#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 9424
#define LARGE_STATE_COUNT 2500
#define SYMBOL_COUNT 519
#define ALIAS_COUNT 5
#define TOKEN_COUNT 213
#define EXTERNAL_TOKEN_COUNT 2
#define FIELD_COUNT 50
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 212

enum ts_symbol_identifiers {
  sym_identifier = 1,
  aux_sym_preproc_include_token1 = 2,
  aux_sym_preproc_include_token2 = 3,
  aux_sym_preproc_def_token1 = 4,
  anon_sym_LPAREN = 5,
  anon_sym_DOT_DOT_DOT = 6,
  anon_sym_COMMA = 7,
  anon_sym_RPAREN = 8,
  aux_sym_preproc_if_token1 = 9,
  anon_sym_LF = 10,
  aux_sym_preproc_if_token2 = 11,
  aux_sym_preproc_ifdef_token1 = 12,
  aux_sym_preproc_ifdef_token2 = 13,
  aux_sym_preproc_else_token1 = 14,
  aux_sym_preproc_elif_token1 = 15,
  aux_sym_preproc_elifdef_token1 = 16,
  aux_sym_preproc_elifdef_token2 = 17,
  sym_preproc_arg = 18,
  sym_preproc_directive = 19,
  anon_sym_LPAREN2 = 20,
  anon_sym_defined = 21,
  anon_sym_BANG = 22,
  anon_sym_TILDE = 23,
  anon_sym_DASH = 24,
  anon_sym_PLUS = 25,
  anon_sym_STAR = 26,
  anon_sym_SLASH = 27,
  anon_sym_PERCENT = 28,
  anon_sym_PIPE_PIPE = 29,
  anon_sym_AMP_AMP = 30,
  anon_sym_PIPE = 31,
  anon_sym_CARET = 32,
  anon_sym_AMP = 33,
  anon_sym_EQ_EQ = 34,
  anon_sym_BANG_EQ = 35,
  anon_sym_GT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_LT = 39,
  anon_sym_LT_LT = 40,
  anon_sym_GT_GT = 41,
  anon_sym_SEMI = 42,
  anon_sym___extension__ = 43,
  anon_sym_typedef = 44,
  anon_sym_extern = 45,
  anon_sym___attribute__ = 46,
  anon_sym_COLON_COLON = 47,
  anon_sym_LBRACK_LBRACK = 48,
  anon_sym_RBRACK_RBRACK = 49,
  anon_sym___declspec = 50,
  anon_sym___based = 51,
  anon_sym___cdecl = 52,
  anon_sym___clrcall = 53,
  anon_sym___stdcall = 54,
  anon_sym___fastcall = 55,
  anon_sym___thiscall = 56,
  anon_sym___vectorcall = 57,
  sym_ms_restrict_modifier = 58,
  sym_ms_unsigned_ptr_modifier = 59,
  sym_ms_signed_ptr_modifier = 60,
  anon_sym__unaligned = 61,
  anon_sym___unaligned = 62,
  anon_sym_LBRACE = 63,
  anon_sym_RBRACE = 64,
  anon_sym_signed = 65,
  anon_sym_unsigned = 66,
  anon_sym_long = 67,
  anon_sym_short = 68,
  anon_sym_LBRACK = 69,
  anon_sym_RBRACK = 70,
  anon_sym_EQ = 71,
  anon_sym_static = 72,
  anon_sym_register = 73,
  anon_sym_inline = 74,
  anon_sym___inline = 75,
  anon_sym___inline__ = 76,
  anon_sym___forceinline = 77,
  anon_sym_thread_local = 78,
  anon_sym___thread = 79,
  anon_sym_const = 80,
  anon_sym_constexpr = 81,
  anon_sym_volatile = 82,
  anon_sym_restrict = 83,
  anon_sym___restrict__ = 84,
  anon_sym__Atomic = 85,
  anon_sym__Noreturn = 86,
  anon_sym_noreturn = 87,
  anon_sym_mutable = 88,
  anon_sym_constinit = 89,
  anon_sym_consteval = 90,
  sym_primitive_type = 91,
  anon_sym_enum = 92,
  anon_sym_class = 93,
  anon_sym_struct = 94,
  anon_sym_union = 95,
  anon_sym_COLON = 96,
  anon_sym_if = 97,
  anon_sym_else = 98,
  anon_sym_switch = 99,
  anon_sym_case = 100,
  anon_sym_default = 101,
  anon_sym_while = 102,
  anon_sym_do = 103,
  anon_sym_for = 104,
  anon_sym_return = 105,
  anon_sym_break = 106,
  anon_sym_continue = 107,
  anon_sym_goto = 108,
  anon_sym___try = 109,
  anon_sym___except = 110,
  anon_sym___finally = 111,
  anon_sym___leave = 112,
  anon_sym_QMARK = 113,
  anon_sym_STAR_EQ = 114,
  anon_sym_SLASH_EQ = 115,
  anon_sym_PERCENT_EQ = 116,
  anon_sym_PLUS_EQ = 117,
  anon_sym_DASH_EQ = 118,
  anon_sym_LT_LT_EQ = 119,
  anon_sym_GT_GT_EQ = 120,
  anon_sym_AMP_EQ = 121,
  anon_sym_CARET_EQ = 122,
  anon_sym_PIPE_EQ = 123,
  anon_sym_and_eq = 124,
  anon_sym_or_eq = 125,
  anon_sym_xor_eq = 126,
  anon_sym_not = 127,
  anon_sym_compl = 128,
  anon_sym_LT_EQ_GT = 129,
  anon_sym_or = 130,
  anon_sym_and = 131,
  anon_sym_bitor = 132,
  anon_sym_xor = 133,
  anon_sym_bitand = 134,
  anon_sym_not_eq = 135,
  anon_sym_DASH_DASH = 136,
  anon_sym_PLUS_PLUS = 137,
  anon_sym_sizeof = 138,
  anon_sym___alignof__ = 139,
  anon_sym___alignof = 140,
  anon_sym__alignof = 141,
  anon_sym_alignof = 142,
  anon_sym__Alignof = 143,
  anon_sym_offsetof = 144,
  anon_sym__Generic = 145,
  anon_sym_asm = 146,
  anon_sym___asm__ = 147,
  anon_sym_DOT = 148,
  anon_sym_DOT_STAR = 149,
  anon_sym_DASH_GT = 150,
  sym_number_literal = 151,
  anon_sym_L_SQUOTE = 152,
  anon_sym_u_SQUOTE = 153,
  anon_sym_U_SQUOTE = 154,
  anon_sym_u8_SQUOTE = 155,
  anon_sym_SQUOTE = 156,
  aux_sym_char_literal_token1 = 157,
  anon_sym_L_DQUOTE = 158,
  anon_sym_u_DQUOTE = 159,
  anon_sym_U_DQUOTE = 160,
  anon_sym_u8_DQUOTE = 161,
  anon_sym_DQUOTE = 162,
  aux_sym_string_literal_token1 = 163,
  sym_escape_sequence = 164,
  sym_system_lib_string = 165,
  sym_true = 166,
  sym_false = 167,
  anon_sym_NULL = 168,
  anon_sym_nullptr = 169,
  sym_comment = 170,
  sym_auto = 171,
  anon_sym_decltype = 172,
  anon_sym_final = 173,
  anon_sym_override = 174,
  anon_sym_virtual = 175,
  anon_sym_alignas = 176,
  anon_sym_explicit = 177,
  anon_sym_typename = 178,
  anon_sym_template = 179,
  anon_sym_GT2 = 180,
  anon_sym_operator = 181,
  anon_sym_try = 182,
  anon_sym_delete = 183,
  anon_sym_friend = 184,
  anon_sym_public = 185,
  anon_sym_private = 186,
  anon_sym_protected = 187,
  anon_sym_noexcept = 188,
  anon_sym_throw = 189,
  anon_sym_namespace = 190,
  anon_sym_using = 191,
  anon_sym_static_assert = 192,
  anon_sym_concept = 193,
  anon_sym_co_return = 194,
  anon_sym_co_yield = 195,
  anon_sym_catch = 196,
  anon_sym_R_DQUOTE = 197,
  anon_sym_LR_DQUOTE = 198,
  anon_sym_uR_DQUOTE = 199,
  anon_sym_UR_DQUOTE = 200,
  anon_sym_u8R_DQUOTE = 201,
  anon_sym_co_await = 202,
  anon_sym_new = 203,
  anon_sym_requires = 204,
  anon_sym_DASH_GT_STAR = 205,
  anon_sym_LPAREN_RPAREN = 206,
  anon_sym_LBRACK_RBRACK = 207,
  anon_sym_DQUOTE_DQUOTE = 208,
  sym_this = 209,
  sym_literal_suffix = 210,
  sym_raw_string_delimiter = 211,
  sym_raw_string_content = 212,
  sym_translation_unit = 213,
  sym_preproc_include = 214,
  sym_preproc_def = 215,
  sym_preproc_function_def = 216,
  sym_preproc_params = 217,
  sym_preproc_call = 218,
  sym_preproc_if = 219,
  sym_preproc_ifdef = 220,
  sym_preproc_else = 221,
  sym_preproc_elif = 222,
  sym_preproc_elifdef = 223,
  sym_preproc_if_in_field_declaration_list = 224,
  sym_preproc_ifdef_in_field_declaration_list = 225,
  sym_preproc_else_in_field_declaration_list = 226,
  sym_preproc_elif_in_field_declaration_list = 227,
  sym_preproc_if_in_enumerator_list = 228,
  sym_preproc_ifdef_in_enumerator_list = 229,
  sym_preproc_else_in_enumerator_list = 230,
  sym_preproc_elif_in_enumerator_list = 231,
  sym_preproc_if_in_enumerator_list_no_comma = 232,
  sym_preproc_ifdef_in_enumerator_list_no_comma = 233,
  sym_preproc_else_in_enumerator_list_no_comma = 234,
  sym_preproc_elif_in_enumerator_list_no_comma = 235,
  sym__preproc_expression = 236,
  sym_preproc_parenthesized_expression = 237,
  sym_preproc_defined = 238,
  sym_preproc_unary_expression = 239,
  sym_preproc_call_expression = 240,
  sym_preproc_argument_list = 241,
  sym_preproc_binary_expression = 242,
  sym_function_definition = 243,
  sym_declaration = 244,
  sym__declaration_declarator = 245,
  sym_type_definition = 246,
  sym__type_definition_type = 247,
  sym__type_definition_declarators = 248,
  sym__declaration_modifiers = 249,
  sym__declaration_specifiers = 250,
  sym_linkage_specification = 251,
  sym_attribute_specifier = 252,
  sym_attribute = 253,
  sym_attribute_declaration = 254,
  sym_ms_declspec_modifier = 255,
  sym_ms_based_modifier = 256,
  sym_ms_call_modifier = 257,
  sym_ms_unaligned_ptr_modifier = 258,
  sym_ms_pointer_modifier = 259,
  sym_declaration_list = 260,
  sym__declarator = 261,
  sym__field_declarator = 262,
  sym__type_declarator = 263,
  sym__abstract_declarator = 264,
  sym_parenthesized_declarator = 265,
  sym_parenthesized_field_declarator = 266,
  sym_parenthesized_type_declarator = 267,
  sym_abstract_parenthesized_declarator = 268,
  sym_attributed_declarator = 269,
  sym_attributed_field_declarator = 270,
  sym_attributed_type_declarator = 271,
  sym_pointer_declarator = 272,
  sym_pointer_field_declarator = 273,
  sym_pointer_type_declarator = 274,
  sym_abstract_pointer_declarator = 275,
  sym_function_declarator = 276,
  sym_function_field_declarator = 277,
  sym_function_type_declarator = 278,
  sym_abstract_function_declarator = 279,
  sym_array_declarator = 280,
  sym_array_field_declarator = 281,
  sym_array_type_declarator = 282,
  sym_abstract_array_declarator = 283,
  sym_init_declarator = 284,
  sym_compound_statement = 285,
  sym_storage_class_specifier = 286,
  sym_type_qualifier = 287,
  sym__type_specifier = 288,
  sym_sized_type_specifier = 289,
  sym_enum_specifier = 290,
  sym_enumerator_list = 291,
  sym_struct_specifier = 292,
  sym_union_specifier = 293,
  sym_field_declaration_list = 294,
  sym__field_declaration_list_item = 295,
  sym_field_declaration = 296,
  sym_bitfield_clause = 297,
  sym_enumerator = 298,
  sym_parameter_list = 299,
  sym_parameter_declaration = 300,
  sym_attributed_statement = 301,
  sym_labeled_statement = 302,
  sym__top_level_expression_statement = 303,
  sym_expression_statement = 304,
  sym_if_statement = 305,
  sym_else_clause = 306,
  sym_switch_statement = 307,
  sym_case_statement = 308,
  sym_while_statement = 309,
  sym_do_statement = 310,
  sym_for_statement = 311,
  sym__for_statement_body = 312,
  sym_return_statement = 313,
  sym_break_statement = 314,
  sym_continue_statement = 315,
  sym_goto_statement = 316,
  sym_seh_try_statement = 317,
  sym_seh_except_clause = 318,
  sym_seh_finally_clause = 319,
  sym_seh_leave_statement = 320,
  sym__expression = 321,
  sym__expression_not_binary = 322,
  sym_comma_expression = 323,
  sym_conditional_expression = 324,
  sym_assignment_expression = 325,
  sym_pointer_expression = 326,
  sym_unary_expression = 327,
  sym_binary_expression = 328,
  sym_update_expression = 329,
  sym_cast_expression = 330,
  sym_type_descriptor = 331,
  sym_sizeof_expression = 332,
  sym_alignof_expression = 333,
  sym_offsetof_expression = 334,
  sym_generic_expression = 335,
  sym_subscript_expression = 336,
  sym_call_expression = 337,
  sym_gnu_asm_expression = 338,
  sym_gnu_asm_qualifier = 339,
  sym_gnu_asm_output_operand_list = 340,
  sym_gnu_asm_output_operand = 341,
  sym_gnu_asm_input_operand_list = 342,
  sym_gnu_asm_input_operand = 343,
  sym_gnu_asm_clobber_list = 344,
  sym_gnu_asm_goto_list = 345,
  sym_argument_list = 346,
  sym_field_expression = 347,
  sym_compound_literal_expression = 348,
  sym_parenthesized_expression = 349,
  sym_initializer_list = 350,
  sym_initializer_pair = 351,
  sym_subscript_designator = 352,
  sym_subscript_range_designator = 353,
  sym_field_designator = 354,
  sym_char_literal = 355,
  sym_concatenated_string = 356,
  sym_string_literal = 357,
  sym_null = 358,
  sym__empty_declaration = 359,
  sym_placeholder_type_specifier = 360,
  sym_decltype_auto = 361,
  sym_decltype = 362,
  sym__class_declaration = 363,
  sym__class_declaration_item = 364,
  sym_class_specifier = 365,
  sym__class_name = 366,
  sym_virtual_specifier = 367,
  sym_virtual = 368,
  sym_alignas_specifier = 369,
  sym_explicit_function_specifier = 370,
  sym_base_class_clause = 371,
  sym__enum_base_clause = 372,
  sym_dependent_type = 373,
  sym_template_declaration = 374,
  sym_template_instantiation = 375,
  sym_template_parameter_list = 376,
  sym_type_parameter_declaration = 377,
  sym_variadic_type_parameter_declaration = 378,
  sym_optional_type_parameter_declaration = 379,
  sym_template_template_parameter_declaration = 380,
  sym_optional_parameter_declaration = 381,
  sym_variadic_parameter_declaration = 382,
  sym_variadic_declarator = 383,
  sym_variadic_reference_declarator = 384,
  sym_operator_cast = 385,
  sym_field_initializer_list = 386,
  sym_field_initializer = 387,
  sym_inline_method_definition = 388,
  sym__constructor_specifiers = 389,
  sym_operator_cast_definition = 390,
  sym_operator_cast_declaration = 391,
  sym_constructor_try_statement = 392,
  sym_constructor_or_destructor_definition = 393,
  sym_constructor_or_destructor_declaration = 394,
  sym_default_method_clause = 395,
  sym_delete_method_clause = 396,
  sym_friend_declaration = 397,
  sym_access_specifier = 398,
  sym_reference_declarator = 399,
  sym_reference_field_declarator = 400,
  sym_abstract_reference_declarator = 401,
  sym_structured_binding_declarator = 402,
  sym_ref_qualifier = 403,
  sym__function_declarator_seq = 404,
  sym__function_attributes_start = 405,
  sym__function_exception_specification = 406,
  sym__function_attributes_end = 407,
  sym__function_postfix = 408,
  sym_trailing_return_type = 409,
  sym_noexcept = 410,
  sym_throw_specifier = 411,
  sym_template_type = 412,
  sym_template_method = 413,
  sym_template_function = 414,
  sym_template_argument_list = 415,
  sym_namespace_definition = 416,
  sym_namespace_alias_definition = 417,
  sym__namespace_specifier = 418,
  sym_nested_namespace_specifier = 419,
  sym_using_declaration = 420,
  sym_alias_declaration = 421,
  sym_static_assert_declaration = 422,
  sym_concept_definition = 423,
  sym_for_range_loop = 424,
  sym__for_range_loop_body = 425,
  sym_init_statement = 426,
  sym_condition_clause = 427,
  sym_condition_declaration = 428,
  sym_co_return_statement = 429,
  sym_co_yield_statement = 430,
  sym_throw_statement = 431,
  sym_try_statement = 432,
  sym_catch_clause = 433,
  sym_raw_string_literal = 434,
  sym_subscript_argument_list = 435,
  sym_co_await_expression = 436,
  sym_new_expression = 437,
  sym_new_declarator = 438,
  sym_delete_expression = 439,
  sym_type_requirement = 440,
  sym_compound_requirement = 441,
  sym__requirement = 442,
  sym_requirement_seq = 443,
  sym_constraint_conjunction = 444,
  sym_constraint_disjunction = 445,
  sym__requirement_clause_constraint = 446,
  sym_requires_clause = 447,
  sym_requires_parameter_list = 448,
  sym_requires_expression = 449,
  sym_lambda_expression = 450,
  sym_lambda_capture_specifier = 451,
  sym_lambda_default_capture = 452,
  sym__fold_operator = 453,
  sym__binary_fold_operator = 454,
  sym__unary_left_fold = 455,
  sym__unary_right_fold = 456,
  sym__binary_fold = 457,
  sym_fold_expression = 458,
  sym_parameter_pack_expansion = 459,
  sym_type_parameter_pack_expansion = 460,
  sym_destructor_name = 461,
  sym_dependent_identifier = 462,
  sym_dependent_field_identifier = 463,
  sym_dependent_type_identifier = 464,
  sym__scope_resolution = 465,
  sym_qualified_field_identifier = 466,
  sym_qualified_identifier = 467,
  sym_qualified_type_identifier = 468,
  sym_qualified_operator_cast_identifier = 469,
  sym__assignment_expression_lhs = 470,
  sym_operator_name = 471,
  sym_user_defined_literal = 472,
  aux_sym_translation_unit_repeat1 = 473,
  aux_sym_preproc_params_repeat1 = 474,
  aux_sym_preproc_if_repeat1 = 475,
  aux_sym_preproc_if_in_field_declaration_list_repeat1 = 476,
  aux_sym_preproc_if_in_enumerator_list_repeat1 = 477,
  aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1 = 478,
  aux_sym_preproc_argument_list_repeat1 = 479,
  aux_sym__declaration_declarator_repeat1 = 480,
  aux_sym_type_definition_repeat1 = 481,
  aux_sym__type_definition_type_repeat1 = 482,
  aux_sym__type_definition_declarators_repeat1 = 483,
  aux_sym__declaration_specifiers_repeat1 = 484,
  aux_sym_attribute_declaration_repeat1 = 485,
  aux_sym_attributed_declarator_repeat1 = 486,
  aux_sym_pointer_declarator_repeat1 = 487,
  aux_sym_sized_type_specifier_repeat1 = 488,
  aux_sym_enumerator_list_repeat1 = 489,
  aux_sym_field_declaration_repeat1 = 490,
  aux_sym_parameter_list_repeat1 = 491,
  aux_sym_case_statement_repeat1 = 492,
  aux_sym_generic_expression_repeat1 = 493,
  aux_sym_gnu_asm_expression_repeat1 = 494,
  aux_sym_gnu_asm_output_operand_list_repeat1 = 495,
  aux_sym_gnu_asm_input_operand_list_repeat1 = 496,
  aux_sym_gnu_asm_clobber_list_repeat1 = 497,
  aux_sym_gnu_asm_goto_list_repeat1 = 498,
  aux_sym_argument_list_repeat1 = 499,
  aux_sym_initializer_list_repeat1 = 500,
  aux_sym_initializer_pair_repeat1 = 501,
  aux_sym_char_literal_repeat1 = 502,
  aux_sym_concatenated_string_repeat1 = 503,
  aux_sym_string_literal_repeat1 = 504,
  aux_sym__class_declaration_repeat1 = 505,
  aux_sym_base_class_clause_repeat1 = 506,
  aux_sym_template_parameter_list_repeat1 = 507,
  aux_sym_field_initializer_list_repeat1 = 508,
  aux_sym_operator_cast_definition_repeat1 = 509,
  aux_sym_constructor_try_statement_repeat1 = 510,
  aux_sym_structured_binding_declarator_repeat1 = 511,
  aux_sym__function_postfix_repeat1 = 512,
  aux_sym_throw_specifier_repeat1 = 513,
  aux_sym_template_argument_list_repeat1 = 514,
  aux_sym_subscript_argument_list_repeat1 = 515,
  aux_sym_requirement_seq_repeat1 = 516,
  aux_sym_requires_parameter_list_repeat1 = 517,
  aux_sym_lambda_capture_specifier_repeat1 = 518,
  alias_sym_field_identifier = 519,
  alias_sym_namespace_identifier = 520,
  alias_sym_simple_requirement = 521,
  alias_sym_statement_identifier = 522,
  alias_sym_type_identifier = 523,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [aux_sym_preproc_include_token1] = "#include",
  [aux_sym_preproc_include_token2] = "preproc_include_token2",
  [aux_sym_preproc_def_token1] = "#define",
  [anon_sym_LPAREN] = "(",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_COMMA] = ",",
  [anon_sym_RPAREN] = ")",
  [aux_sym_preproc_if_token1] = "#if",
  [anon_sym_LF] = "\n",
  [aux_sym_preproc_if_token2] = "#endif",
  [aux_sym_preproc_ifdef_token1] = "#ifdef",
  [aux_sym_preproc_ifdef_token2] = "#ifndef",
  [aux_sym_preproc_else_token1] = "#else",
  [aux_sym_preproc_elif_token1] = "#elif",
  [aux_sym_preproc_elifdef_token1] = "#elifdef",
  [aux_sym_preproc_elifdef_token2] = "#elifndef",
  [sym_preproc_arg] = "preproc_arg",
  [sym_preproc_directive] = "preproc_directive",
  [anon_sym_LPAREN2] = "(",
  [anon_sym_defined] = "defined",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_DASH] = "-",
  [anon_sym_PLUS] = "+",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_SEMI] = ";",
  [anon_sym___extension__] = "__extension__",
  [anon_sym_typedef] = "typedef",
  [anon_sym_extern] = "extern",
  [anon_sym___attribute__] = "__attribute__",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_LBRACK] = "[[",
  [anon_sym_RBRACK_RBRACK] = "]]",
  [anon_sym___declspec] = "__declspec",
  [anon_sym___based] = "__based",
  [anon_sym___cdecl] = "__cdecl",
  [anon_sym___clrcall] = "__clrcall",
  [anon_sym___stdcall] = "__stdcall",
  [anon_sym___fastcall] = "__fastcall",
  [anon_sym___thiscall] = "__thiscall",
  [anon_sym___vectorcall] = "__vectorcall",
  [sym_ms_restrict_modifier] = "ms_restrict_modifier",
  [sym_ms_unsigned_ptr_modifier] = "ms_unsigned_ptr_modifier",
  [sym_ms_signed_ptr_modifier] = "ms_signed_ptr_modifier",
  [anon_sym__unaligned] = "_unaligned",
  [anon_sym___unaligned] = "__unaligned",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_signed] = "signed",
  [anon_sym_unsigned] = "unsigned",
  [anon_sym_long] = "long",
  [anon_sym_short] = "short",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_EQ] = "=",
  [anon_sym_static] = "static",
  [anon_sym_register] = "register",
  [anon_sym_inline] = "inline",
  [anon_sym___inline] = "__inline",
  [anon_sym___inline__] = "__inline__",
  [anon_sym___forceinline] = "__forceinline",
  [anon_sym_thread_local] = "thread_local",
  [anon_sym___thread] = "__thread",
  [anon_sym_const] = "const",
  [anon_sym_constexpr] = "constexpr",
  [anon_sym_volatile] = "volatile",
  [anon_sym_restrict] = "restrict",
  [anon_sym___restrict__] = "__restrict__",
  [anon_sym__Atomic] = "_Atomic",
  [anon_sym__Noreturn] = "_Noreturn",
  [anon_sym_noreturn] = "noreturn",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constinit] = "constinit",
  [anon_sym_consteval] = "consteval",
  [sym_primitive_type] = "primitive_type",
  [anon_sym_enum] = "enum",
  [anon_sym_class] = "class",
  [anon_sym_struct] = "struct",
  [anon_sym_union] = "union",
  [anon_sym_COLON] = ":",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_for] = "for",
  [anon_sym_return] = "return",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_goto] = "goto",
  [anon_sym___try] = "__try",
  [anon_sym___except] = "__except",
  [anon_sym___finally] = "__finally",
  [anon_sym___leave] = "__leave",
  [anon_sym_QMARK] = "\?",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_and_eq] = "and_eq",
  [anon_sym_or_eq] = "or_eq",
  [anon_sym_xor_eq] = "xor_eq",
  [anon_sym_not] = "not",
  [anon_sym_compl] = "compl",
  [anon_sym_LT_EQ_GT] = "<=>",
  [anon_sym_or] = "or",
  [anon_sym_and] = "and",
  [anon_sym_bitor] = "bitor",
  [anon_sym_xor] = "xor",
  [anon_sym_bitand] = "bitand",
  [anon_sym_not_eq] = "not_eq",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_sizeof] = "sizeof",
  [anon_sym___alignof__] = "__alignof__",
  [anon_sym___alignof] = "__alignof",
  [anon_sym__alignof] = "_alignof",
  [anon_sym_alignof] = "alignof",
  [anon_sym__Alignof] = "_Alignof",
  [anon_sym_offsetof] = "offsetof",
  [anon_sym__Generic] = "_Generic",
  [anon_sym_asm] = "asm",
  [anon_sym___asm__] = "__asm__",
  [anon_sym_DOT] = ".",
  [anon_sym_DOT_STAR] = ".*",
  [anon_sym_DASH_GT] = "->",
  [sym_number_literal] = "number_literal",
  [anon_sym_L_SQUOTE] = "L'",
  [anon_sym_u_SQUOTE] = "u'",
  [anon_sym_U_SQUOTE] = "U'",
  [anon_sym_u8_SQUOTE] = "u8'",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_char_literal_token1] = "character",
  [anon_sym_L_DQUOTE] = "L\"",
  [anon_sym_u_DQUOTE] = "u\"",
  [anon_sym_U_DQUOTE] = "U\"",
  [anon_sym_u8_DQUOTE] = "u8\"",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_literal_token1] = "string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_system_lib_string] = "system_lib_string",
  [sym_true] = "true",
  [sym_false] = "false",
  [anon_sym_NULL] = "NULL",
  [anon_sym_nullptr] = "nullptr",
  [sym_comment] = "comment",
  [sym_auto] = "auto",
  [anon_sym_decltype] = "decltype",
  [anon_sym_final] = "final",
  [anon_sym_override] = "override",
  [anon_sym_virtual] = "virtual",
  [anon_sym_alignas] = "alignas",
  [anon_sym_explicit] = "explicit",
  [anon_sym_typename] = "typename",
  [anon_sym_template] = "template",
  [anon_sym_GT2] = ">",
  [anon_sym_operator] = "operator",
  [anon_sym_try] = "try",
  [anon_sym_delete] = "delete",
  [anon_sym_friend] = "friend",
  [anon_sym_public] = "public",
  [anon_sym_private] = "private",
  [anon_sym_protected] = "protected",
  [anon_sym_noexcept] = "noexcept",
  [anon_sym_throw] = "throw",
  [anon_sym_namespace] = "namespace",
  [anon_sym_using] = "using",
  [anon_sym_static_assert] = "static_assert",
  [anon_sym_concept] = "concept",
  [anon_sym_co_return] = "co_return",
  [anon_sym_co_yield] = "co_yield",
  [anon_sym_catch] = "catch",
  [anon_sym_R_DQUOTE] = "R\"",
  [anon_sym_LR_DQUOTE] = "LR\"",
  [anon_sym_uR_DQUOTE] = "uR\"",
  [anon_sym_UR_DQUOTE] = "UR\"",
  [anon_sym_u8R_DQUOTE] = "u8R\"",
  [anon_sym_co_await] = "co_await",
  [anon_sym_new] = "new",
  [anon_sym_requires] = "requires",
  [anon_sym_DASH_GT_STAR] = "->*",
  [anon_sym_LPAREN_RPAREN] = "()",
  [anon_sym_LBRACK_RBRACK] = "[]",
  [anon_sym_DQUOTE_DQUOTE] = "\"\"",
  [sym_this] = "this",
  [sym_literal_suffix] = "literal_suffix",
  [sym_raw_string_delimiter] = "raw_string_delimiter",
  [sym_raw_string_content] = "raw_string_content",
  [sym_translation_unit] = "translation_unit",
  [sym_preproc_include] = "preproc_include",
  [sym_preproc_def] = "preproc_def",
  [sym_preproc_function_def] = "preproc_function_def",
  [sym_preproc_params] = "preproc_params",
  [sym_preproc_call] = "preproc_call",
  [sym_preproc_if] = "preproc_if",
  [sym_preproc_ifdef] = "preproc_ifdef",
  [sym_preproc_else] = "preproc_else",
  [sym_preproc_elif] = "preproc_elif",
  [sym_preproc_elifdef] = "preproc_elifdef",
  [sym_preproc_if_in_field_declaration_list] = "preproc_if",
  [sym_preproc_ifdef_in_field_declaration_list] = "preproc_ifdef",
  [sym_preproc_else_in_field_declaration_list] = "preproc_else",
  [sym_preproc_elif_in_field_declaration_list] = "preproc_elif",
  [sym_preproc_if_in_enumerator_list] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list] = "preproc_elif",
  [sym_preproc_if_in_enumerator_list_no_comma] = "preproc_if",
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = "preproc_ifdef",
  [sym_preproc_else_in_enumerator_list_no_comma] = "preproc_else",
  [sym_preproc_elif_in_enumerator_list_no_comma] = "preproc_elif",
  [sym__preproc_expression] = "_preproc_expression",
  [sym_preproc_parenthesized_expression] = "parenthesized_expression",
  [sym_preproc_defined] = "preproc_defined",
  [sym_preproc_unary_expression] = "unary_expression",
  [sym_preproc_call_expression] = "call_expression",
  [sym_preproc_argument_list] = "argument_list",
  [sym_preproc_binary_expression] = "binary_expression",
  [sym_function_definition] = "function_definition",
  [sym_declaration] = "declaration",
  [sym__declaration_declarator] = "_declaration_declarator",
  [sym_type_definition] = "type_definition",
  [sym__type_definition_type] = "_type_definition_type",
  [sym__type_definition_declarators] = "_type_definition_declarators",
  [sym__declaration_modifiers] = "_declaration_modifiers",
  [sym__declaration_specifiers] = "_declaration_specifiers",
  [sym_linkage_specification] = "linkage_specification",
  [sym_attribute_specifier] = "attribute_specifier",
  [sym_attribute] = "attribute",
  [sym_attribute_declaration] = "attribute_declaration",
  [sym_ms_declspec_modifier] = "ms_declspec_modifier",
  [sym_ms_based_modifier] = "ms_based_modifier",
  [sym_ms_call_modifier] = "ms_call_modifier",
  [sym_ms_unaligned_ptr_modifier] = "ms_unaligned_ptr_modifier",
  [sym_ms_pointer_modifier] = "ms_pointer_modifier",
  [sym_declaration_list] = "declaration_list",
  [sym__declarator] = "_declarator",
  [sym__field_declarator] = "_field_declarator",
  [sym__type_declarator] = "_type_declarator",
  [sym__abstract_declarator] = "_abstract_declarator",
  [sym_parenthesized_declarator] = "parenthesized_declarator",
  [sym_parenthesized_field_declarator] = "parenthesized_declarator",
  [sym_parenthesized_type_declarator] = "parenthesized_declarator",
  [sym_abstract_parenthesized_declarator] = "abstract_parenthesized_declarator",
  [sym_attributed_declarator] = "attributed_declarator",
  [sym_attributed_field_declarator] = "attributed_declarator",
  [sym_attributed_type_declarator] = "attributed_declarator",
  [sym_pointer_declarator] = "pointer_declarator",
  [sym_pointer_field_declarator] = "pointer_declarator",
  [sym_pointer_type_declarator] = "pointer_type_declarator",
  [sym_abstract_pointer_declarator] = "abstract_pointer_declarator",
  [sym_function_declarator] = "function_declarator",
  [sym_function_field_declarator] = "function_declarator",
  [sym_function_type_declarator] = "function_declarator",
  [sym_abstract_function_declarator] = "abstract_function_declarator",
  [sym_array_declarator] = "array_declarator",
  [sym_array_field_declarator] = "array_declarator",
  [sym_array_type_declarator] = "array_declarator",
  [sym_abstract_array_declarator] = "abstract_array_declarator",
  [sym_init_declarator] = "init_declarator",
  [sym_compound_statement] = "compound_statement",
  [sym_storage_class_specifier] = "storage_class_specifier",
  [sym_type_qualifier] = "type_qualifier",
  [sym__type_specifier] = "_type_specifier",
  [sym_sized_type_specifier] = "sized_type_specifier",
  [sym_enum_specifier] = "enum_specifier",
  [sym_enumerator_list] = "enumerator_list",
  [sym_struct_specifier] = "struct_specifier",
  [sym_union_specifier] = "union_specifier",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym__field_declaration_list_item] = "_field_declaration_list_item",
  [sym_field_declaration] = "field_declaration",
  [sym_bitfield_clause] = "bitfield_clause",
  [sym_enumerator] = "enumerator",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_attributed_statement] = "attributed_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym__top_level_expression_statement] = "expression_statement",
  [sym_expression_statement] = "expression_statement",
  [sym_if_statement] = "if_statement",
  [sym_else_clause] = "else_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_case_statement] = "case_statement",
  [sym_while_statement] = "while_statement",
  [sym_do_statement] = "do_statement",
  [sym_for_statement] = "for_statement",
  [sym__for_statement_body] = "_for_statement_body",
  [sym_return_statement] = "return_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_goto_statement] = "goto_statement",
  [sym_seh_try_statement] = "seh_try_statement",
  [sym_seh_except_clause] = "seh_except_clause",
  [sym_seh_finally_clause] = "seh_finally_clause",
  [sym_seh_leave_statement] = "seh_leave_statement",
  [sym__expression] = "_expression",
  [sym__expression_not_binary] = "_expression_not_binary",
  [sym_comma_expression] = "comma_expression",
  [sym_conditional_expression] = "conditional_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_pointer_expression] = "pointer_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_update_expression] = "update_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_type_descriptor] = "type_descriptor",
  [sym_sizeof_expression] = "sizeof_expression",
  [sym_alignof_expression] = "alignof_expression",
  [sym_offsetof_expression] = "offsetof_expression",
  [sym_generic_expression] = "generic_expression",
  [sym_subscript_expression] = "subscript_expression",
  [sym_call_expression] = "call_expression",
  [sym_gnu_asm_expression] = "gnu_asm_expression",
  [sym_gnu_asm_qualifier] = "gnu_asm_qualifier",
  [sym_gnu_asm_output_operand_list] = "gnu_asm_output_operand_list",
  [sym_gnu_asm_output_operand] = "gnu_asm_output_operand",
  [sym_gnu_asm_input_operand_list] = "gnu_asm_input_operand_list",
  [sym_gnu_asm_input_operand] = "gnu_asm_input_operand",
  [sym_gnu_asm_clobber_list] = "gnu_asm_clobber_list",
  [sym_gnu_asm_goto_list] = "gnu_asm_goto_list",
  [sym_argument_list] = "argument_list",
  [sym_field_expression] = "field_expression",
  [sym_compound_literal_expression] = "compound_literal_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_initializer_list] = "initializer_list",
  [sym_initializer_pair] = "initializer_pair",
  [sym_subscript_designator] = "subscript_designator",
  [sym_subscript_range_designator] = "subscript_range_designator",
  [sym_field_designator] = "field_designator",
  [sym_char_literal] = "char_literal",
  [sym_concatenated_string] = "concatenated_string",
  [sym_string_literal] = "string_literal",
  [sym_null] = "null",
  [sym__empty_declaration] = "_empty_declaration",
  [sym_placeholder_type_specifier] = "placeholder_type_specifier",
  [sym_decltype_auto] = "decltype",
  [sym_decltype] = "decltype",
  [sym__class_declaration] = "_class_declaration",
  [sym__class_declaration_item] = "_class_declaration_item",
  [sym_class_specifier] = "class_specifier",
  [sym__class_name] = "_class_name",
  [sym_virtual_specifier] = "virtual_specifier",
  [sym_virtual] = "virtual",
  [sym_alignas_specifier] = "alignas_specifier",
  [sym_explicit_function_specifier] = "explicit_function_specifier",
  [sym_base_class_clause] = "base_class_clause",
  [sym__enum_base_clause] = "_enum_base_clause",
  [sym_dependent_type] = "dependent_type",
  [sym_template_declaration] = "template_declaration",
  [sym_template_instantiation] = "template_instantiation",
  [sym_template_parameter_list] = "template_parameter_list",
  [sym_type_parameter_declaration] = "type_parameter_declaration",
  [sym_variadic_type_parameter_declaration] = "variadic_type_parameter_declaration",
  [sym_optional_type_parameter_declaration] = "optional_type_parameter_declaration",
  [sym_template_template_parameter_declaration] = "template_template_parameter_declaration",
  [sym_optional_parameter_declaration] = "optional_parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_variadic_declarator] = "variadic_declarator",
  [sym_variadic_reference_declarator] = "reference_declarator",
  [sym_operator_cast] = "operator_cast",
  [sym_field_initializer_list] = "field_initializer_list",
  [sym_field_initializer] = "field_initializer",
  [sym_inline_method_definition] = "function_definition",
  [sym__constructor_specifiers] = "_constructor_specifiers",
  [sym_operator_cast_definition] = "function_definition",
  [sym_operator_cast_declaration] = "declaration",
  [sym_constructor_try_statement] = "try_statement",
  [sym_constructor_or_destructor_definition] = "function_definition",
  [sym_constructor_or_destructor_declaration] = "declaration",
  [sym_default_method_clause] = "default_method_clause",
  [sym_delete_method_clause] = "delete_method_clause",
  [sym_friend_declaration] = "friend_declaration",
  [sym_access_specifier] = "access_specifier",
  [sym_reference_declarator] = "reference_declarator",
  [sym_reference_field_declarator] = "reference_declarator",
  [sym_abstract_reference_declarator] = "abstract_reference_declarator",
  [sym_structured_binding_declarator] = "structured_binding_declarator",
  [sym_ref_qualifier] = "ref_qualifier",
  [sym__function_declarator_seq] = "_function_declarator_seq",
  [sym__function_attributes_start] = "_function_attributes_start",
  [sym__function_exception_specification] = "_function_exception_specification",
  [sym__function_attributes_end] = "_function_attributes_end",
  [sym__function_postfix] = "_function_postfix",
  [sym_trailing_return_type] = "trailing_return_type",
  [sym_noexcept] = "noexcept",
  [sym_throw_specifier] = "throw_specifier",
  [sym_template_type] = "template_type",
  [sym_template_method] = "template_method",
  [sym_template_function] = "template_function",
  [sym_template_argument_list] = "template_argument_list",
  [sym_namespace_definition] = "namespace_definition",
  [sym_namespace_alias_definition] = "namespace_alias_definition",
  [sym__namespace_specifier] = "_namespace_specifier",
  [sym_nested_namespace_specifier] = "nested_namespace_specifier",
  [sym_using_declaration] = "using_declaration",
  [sym_alias_declaration] = "alias_declaration",
  [sym_static_assert_declaration] = "static_assert_declaration",
  [sym_concept_definition] = "concept_definition",
  [sym_for_range_loop] = "for_range_loop",
  [sym__for_range_loop_body] = "_for_range_loop_body",
  [sym_init_statement] = "init_statement",
  [sym_condition_clause] = "condition_clause",
  [sym_condition_declaration] = "declaration",
  [sym_co_return_statement] = "co_return_statement",
  [sym_co_yield_statement] = "co_yield_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_raw_string_literal] = "raw_string_literal",
  [sym_subscript_argument_list] = "subscript_argument_list",
  [sym_co_await_expression] = "co_await_expression",
  [sym_new_expression] = "new_expression",
  [sym_new_declarator] = "new_declarator",
  [sym_delete_expression] = "delete_expression",
  [sym_type_requirement] = "type_requirement",
  [sym_compound_requirement] = "compound_requirement",
  [sym__requirement] = "_requirement",
  [sym_requirement_seq] = "requirement_seq",
  [sym_constraint_conjunction] = "constraint_conjunction",
  [sym_constraint_disjunction] = "constraint_disjunction",
  [sym__requirement_clause_constraint] = "_requirement_clause_constraint",
  [sym_requires_clause] = "requires_clause",
  [sym_requires_parameter_list] = "parameter_list",
  [sym_requires_expression] = "requires_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_lambda_capture_specifier] = "lambda_capture_specifier",
  [sym_lambda_default_capture] = "lambda_default_capture",
  [sym__fold_operator] = "_fold_operator",
  [sym__binary_fold_operator] = "_binary_fold_operator",
  [sym__unary_left_fold] = "_unary_left_fold",
  [sym__unary_right_fold] = "_unary_right_fold",
  [sym__binary_fold] = "_binary_fold",
  [sym_fold_expression] = "fold_expression",
  [sym_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_type_parameter_pack_expansion] = "parameter_pack_expansion",
  [sym_destructor_name] = "destructor_name",
  [sym_dependent_identifier] = "dependent_name",
  [sym_dependent_field_identifier] = "dependent_name",
  [sym_dependent_type_identifier] = "dependent_name",
  [sym__scope_resolution] = "_scope_resolution",
  [sym_qualified_field_identifier] = "qualified_identifier",
  [sym_qualified_identifier] = "qualified_identifier",
  [sym_qualified_type_identifier] = "qualified_identifier",
  [sym_qualified_operator_cast_identifier] = "qualified_identifier",
  [sym__assignment_expression_lhs] = "assignment_expression",
  [sym_operator_name] = "operator_name",
  [sym_user_defined_literal] = "user_defined_literal",
  [aux_sym_translation_unit_repeat1] = "translation_unit_repeat1",
  [aux_sym_preproc_params_repeat1] = "preproc_params_repeat1",
  [aux_sym_preproc_if_repeat1] = "preproc_if_repeat1",
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = "preproc_if_in_field_declaration_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = "preproc_if_in_enumerator_list_repeat1",
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = "preproc_if_in_enumerator_list_no_comma_repeat1",
  [aux_sym_preproc_argument_list_repeat1] = "preproc_argument_list_repeat1",
  [aux_sym__declaration_declarator_repeat1] = "_declaration_declarator_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym__type_definition_type_repeat1] = "_type_definition_type_repeat1",
  [aux_sym__type_definition_declarators_repeat1] = "_type_definition_declarators_repeat1",
  [aux_sym__declaration_specifiers_repeat1] = "_declaration_specifiers_repeat1",
  [aux_sym_attribute_declaration_repeat1] = "attribute_declaration_repeat1",
  [aux_sym_attributed_declarator_repeat1] = "attributed_declarator_repeat1",
  [aux_sym_pointer_declarator_repeat1] = "pointer_declarator_repeat1",
  [aux_sym_sized_type_specifier_repeat1] = "sized_type_specifier_repeat1",
  [aux_sym_enumerator_list_repeat1] = "enumerator_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_case_statement_repeat1] = "case_statement_repeat1",
  [aux_sym_generic_expression_repeat1] = "generic_expression_repeat1",
  [aux_sym_gnu_asm_expression_repeat1] = "gnu_asm_expression_repeat1",
  [aux_sym_gnu_asm_output_operand_list_repeat1] = "gnu_asm_output_operand_list_repeat1",
  [aux_sym_gnu_asm_input_operand_list_repeat1] = "gnu_asm_input_operand_list_repeat1",
  [aux_sym_gnu_asm_clobber_list_repeat1] = "gnu_asm_clobber_list_repeat1",
  [aux_sym_gnu_asm_goto_list_repeat1] = "gnu_asm_goto_list_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_initializer_list_repeat1] = "initializer_list_repeat1",
  [aux_sym_initializer_pair_repeat1] = "initializer_pair_repeat1",
  [aux_sym_char_literal_repeat1] = "char_literal_repeat1",
  [aux_sym_concatenated_string_repeat1] = "concatenated_string_repeat1",
  [aux_sym_string_literal_repeat1] = "string_literal_repeat1",
  [aux_sym__class_declaration_repeat1] = "_class_declaration_repeat1",
  [aux_sym_base_class_clause_repeat1] = "base_class_clause_repeat1",
  [aux_sym_template_parameter_list_repeat1] = "template_parameter_list_repeat1",
  [aux_sym_field_initializer_list_repeat1] = "field_initializer_list_repeat1",
  [aux_sym_operator_cast_definition_repeat1] = "operator_cast_definition_repeat1",
  [aux_sym_constructor_try_statement_repeat1] = "constructor_try_statement_repeat1",
  [aux_sym_structured_binding_declarator_repeat1] = "structured_binding_declarator_repeat1",
  [aux_sym__function_postfix_repeat1] = "_function_postfix_repeat1",
  [aux_sym_throw_specifier_repeat1] = "throw_specifier_repeat1",
  [aux_sym_template_argument_list_repeat1] = "template_argument_list_repeat1",
  [aux_sym_subscript_argument_list_repeat1] = "subscript_argument_list_repeat1",
  [aux_sym_requirement_seq_repeat1] = "requirement_seq_repeat1",
  [aux_sym_requires_parameter_list_repeat1] = "requires_parameter_list_repeat1",
  [aux_sym_lambda_capture_specifier_repeat1] = "lambda_capture_specifier_repeat1",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_namespace_identifier] = "namespace_identifier",
  [alias_sym_simple_requirement] = "simple_requirement",
  [alias_sym_statement_identifier] = "statement_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [aux_sym_preproc_include_token1] = aux_sym_preproc_include_token1,
  [aux_sym_preproc_include_token2] = aux_sym_preproc_include_token2,
  [aux_sym_preproc_def_token1] = aux_sym_preproc_def_token1,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [aux_sym_preproc_if_token1] = aux_sym_preproc_if_token1,
  [anon_sym_LF] = anon_sym_LF,
  [aux_sym_preproc_if_token2] = aux_sym_preproc_if_token2,
  [aux_sym_preproc_ifdef_token1] = aux_sym_preproc_ifdef_token1,
  [aux_sym_preproc_ifdef_token2] = aux_sym_preproc_ifdef_token2,
  [aux_sym_preproc_else_token1] = aux_sym_preproc_else_token1,
  [aux_sym_preproc_elif_token1] = aux_sym_preproc_elif_token1,
  [aux_sym_preproc_elifdef_token1] = aux_sym_preproc_elifdef_token1,
  [aux_sym_preproc_elifdef_token2] = aux_sym_preproc_elifdef_token2,
  [sym_preproc_arg] = sym_preproc_arg,
  [sym_preproc_directive] = sym_preproc_directive,
  [anon_sym_LPAREN2] = anon_sym_LPAREN,
  [anon_sym_defined] = anon_sym_defined,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym___extension__] = anon_sym___extension__,
  [anon_sym_typedef] = anon_sym_typedef,
  [anon_sym_extern] = anon_sym_extern,
  [anon_sym___attribute__] = anon_sym___attribute__,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_LBRACK] = anon_sym_LBRACK_LBRACK,
  [anon_sym_RBRACK_RBRACK] = anon_sym_RBRACK_RBRACK,
  [anon_sym___declspec] = anon_sym___declspec,
  [anon_sym___based] = anon_sym___based,
  [anon_sym___cdecl] = anon_sym___cdecl,
  [anon_sym___clrcall] = anon_sym___clrcall,
  [anon_sym___stdcall] = anon_sym___stdcall,
  [anon_sym___fastcall] = anon_sym___fastcall,
  [anon_sym___thiscall] = anon_sym___thiscall,
  [anon_sym___vectorcall] = anon_sym___vectorcall,
  [sym_ms_restrict_modifier] = sym_ms_restrict_modifier,
  [sym_ms_unsigned_ptr_modifier] = sym_ms_unsigned_ptr_modifier,
  [sym_ms_signed_ptr_modifier] = sym_ms_signed_ptr_modifier,
  [anon_sym__unaligned] = anon_sym__unaligned,
  [anon_sym___unaligned] = anon_sym___unaligned,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_signed] = anon_sym_signed,
  [anon_sym_unsigned] = anon_sym_unsigned,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_register] = anon_sym_register,
  [anon_sym_inline] = anon_sym_inline,
  [anon_sym___inline] = anon_sym___inline,
  [anon_sym___inline__] = anon_sym___inline__,
  [anon_sym___forceinline] = anon_sym___forceinline,
  [anon_sym_thread_local] = anon_sym_thread_local,
  [anon_sym___thread] = anon_sym___thread,
  [anon_sym_const] = anon_sym_const,
  [anon_sym_constexpr] = anon_sym_constexpr,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_restrict] = anon_sym_restrict,
  [anon_sym___restrict__] = anon_sym___restrict__,
  [anon_sym__Atomic] = anon_sym__Atomic,
  [anon_sym__Noreturn] = anon_sym__Noreturn,
  [anon_sym_noreturn] = anon_sym_noreturn,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constinit] = anon_sym_constinit,
  [anon_sym_consteval] = anon_sym_consteval,
  [sym_primitive_type] = sym_primitive_type,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_goto] = anon_sym_goto,
  [anon_sym___try] = anon_sym___try,
  [anon_sym___except] = anon_sym___except,
  [anon_sym___finally] = anon_sym___finally,
  [anon_sym___leave] = anon_sym___leave,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_and_eq] = anon_sym_and_eq,
  [anon_sym_or_eq] = anon_sym_or_eq,
  [anon_sym_xor_eq] = anon_sym_xor_eq,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_compl] = anon_sym_compl,
  [anon_sym_LT_EQ_GT] = anon_sym_LT_EQ_GT,
  [anon_sym_or] = anon_sym_or,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_bitor] = anon_sym_bitor,
  [anon_sym_xor] = anon_sym_xor,
  [anon_sym_bitand] = anon_sym_bitand,
  [anon_sym_not_eq] = anon_sym_not_eq,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_sizeof] = anon_sym_sizeof,
  [anon_sym___alignof__] = anon_sym___alignof__,
  [anon_sym___alignof] = anon_sym___alignof,
  [anon_sym__alignof] = anon_sym__alignof,
  [anon_sym_alignof] = anon_sym_alignof,
  [anon_sym__Alignof] = anon_sym__Alignof,
  [anon_sym_offsetof] = anon_sym_offsetof,
  [anon_sym__Generic] = anon_sym__Generic,
  [anon_sym_asm] = anon_sym_asm,
  [anon_sym___asm__] = anon_sym___asm__,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DOT_STAR] = anon_sym_DOT_STAR,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [sym_number_literal] = sym_number_literal,
  [anon_sym_L_SQUOTE] = anon_sym_L_SQUOTE,
  [anon_sym_u_SQUOTE] = anon_sym_u_SQUOTE,
  [anon_sym_U_SQUOTE] = anon_sym_U_SQUOTE,
  [anon_sym_u8_SQUOTE] = anon_sym_u8_SQUOTE,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_char_literal_token1] = aux_sym_char_literal_token1,
  [anon_sym_L_DQUOTE] = anon_sym_L_DQUOTE,
  [anon_sym_u_DQUOTE] = anon_sym_u_DQUOTE,
  [anon_sym_U_DQUOTE] = anon_sym_U_DQUOTE,
  [anon_sym_u8_DQUOTE] = anon_sym_u8_DQUOTE,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_literal_token1] = aux_sym_string_literal_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_system_lib_string] = sym_system_lib_string,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_nullptr] = anon_sym_nullptr,
  [sym_comment] = sym_comment,
  [sym_auto] = sym_auto,
  [anon_sym_decltype] = anon_sym_decltype,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_override] = anon_sym_override,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_alignas] = anon_sym_alignas,
  [anon_sym_explicit] = anon_sym_explicit,
  [anon_sym_typename] = anon_sym_typename,
  [anon_sym_template] = anon_sym_template,
  [anon_sym_GT2] = anon_sym_GT,
  [anon_sym_operator] = anon_sym_operator,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_delete] = anon_sym_delete,
  [anon_sym_friend] = anon_sym_friend,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_noexcept] = anon_sym_noexcept,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_namespace] = anon_sym_namespace,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_static_assert] = anon_sym_static_assert,
  [anon_sym_concept] = anon_sym_concept,
  [anon_sym_co_return] = anon_sym_co_return,
  [anon_sym_co_yield] = anon_sym_co_yield,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_R_DQUOTE] = anon_sym_R_DQUOTE,
  [anon_sym_LR_DQUOTE] = anon_sym_LR_DQUOTE,
  [anon_sym_uR_DQUOTE] = anon_sym_uR_DQUOTE,
  [anon_sym_UR_DQUOTE] = anon_sym_UR_DQUOTE,
  [anon_sym_u8R_DQUOTE] = anon_sym_u8R_DQUOTE,
  [anon_sym_co_await] = anon_sym_co_await,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_DASH_GT_STAR] = anon_sym_DASH_GT_STAR,
  [anon_sym_LPAREN_RPAREN] = anon_sym_LPAREN_RPAREN,
  [anon_sym_LBRACK_RBRACK] = anon_sym_LBRACK_RBRACK,
  [anon_sym_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE,
  [sym_this] = sym_this,
  [sym_literal_suffix] = sym_literal_suffix,
  [sym_raw_string_delimiter] = sym_raw_string_delimiter,
  [sym_raw_string_content] = sym_raw_string_content,
  [sym_translation_unit] = sym_translation_unit,
  [sym_preproc_include] = sym_preproc_include,
  [sym_preproc_def] = sym_preproc_def,
  [sym_preproc_function_def] = sym_preproc_function_def,
  [sym_preproc_params] = sym_preproc_params,
  [sym_preproc_call] = sym_preproc_call,
  [sym_preproc_if] = sym_preproc_if,
  [sym_preproc_ifdef] = sym_preproc_ifdef,
  [sym_preproc_else] = sym_preproc_else,
  [sym_preproc_elif] = sym_preproc_elif,
  [sym_preproc_elifdef] = sym_preproc_elifdef,
  [sym_preproc_if_in_field_declaration_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_field_declaration_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_field_declaration_list] = sym_preproc_else,
  [sym_preproc_elif_in_field_declaration_list] = sym_preproc_elif,
  [sym_preproc_if_in_enumerator_list] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list] = sym_preproc_elif,
  [sym_preproc_if_in_enumerator_list_no_comma] = sym_preproc_if,
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = sym_preproc_ifdef,
  [sym_preproc_else_in_enumerator_list_no_comma] = sym_preproc_else,
  [sym_preproc_elif_in_enumerator_list_no_comma] = sym_preproc_elif,
  [sym__preproc_expression] = sym__preproc_expression,
  [sym_preproc_parenthesized_expression] = sym_parenthesized_expression,
  [sym_preproc_defined] = sym_preproc_defined,
  [sym_preproc_unary_expression] = sym_unary_expression,
  [sym_preproc_call_expression] = sym_call_expression,
  [sym_preproc_argument_list] = sym_argument_list,
  [sym_preproc_binary_expression] = sym_binary_expression,
  [sym_function_definition] = sym_function_definition,
  [sym_declaration] = sym_declaration,
  [sym__declaration_declarator] = sym__declaration_declarator,
  [sym_type_definition] = sym_type_definition,
  [sym__type_definition_type] = sym__type_definition_type,
  [sym__type_definition_declarators] = sym__type_definition_declarators,
  [sym__declaration_modifiers] = sym__declaration_modifiers,
  [sym__declaration_specifiers] = sym__declaration_specifiers,
  [sym_linkage_specification] = sym_linkage_specification,
  [sym_attribute_specifier] = sym_attribute_specifier,
  [sym_attribute] = sym_attribute,
  [sym_attribute_declaration] = sym_attribute_declaration,
  [sym_ms_declspec_modifier] = sym_ms_declspec_modifier,
  [sym_ms_based_modifier] = sym_ms_based_modifier,
  [sym_ms_call_modifier] = sym_ms_call_modifier,
  [sym_ms_unaligned_ptr_modifier] = sym_ms_unaligned_ptr_modifier,
  [sym_ms_pointer_modifier] = sym_ms_pointer_modifier,
  [sym_declaration_list] = sym_declaration_list,
  [sym__declarator] = sym__declarator,
  [sym__field_declarator] = sym__field_declarator,
  [sym__type_declarator] = sym__type_declarator,
  [sym__abstract_declarator] = sym__abstract_declarator,
  [sym_parenthesized_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_field_declarator] = sym_parenthesized_declarator,
  [sym_parenthesized_type_declarator] = sym_parenthesized_declarator,
  [sym_abstract_parenthesized_declarator] = sym_abstract_parenthesized_declarator,
  [sym_attributed_declarator] = sym_attributed_declarator,
  [sym_attributed_field_declarator] = sym_attributed_declarator,
  [sym_attributed_type_declarator] = sym_attributed_declarator,
  [sym_pointer_declarator] = sym_pointer_declarator,
  [sym_pointer_field_declarator] = sym_pointer_declarator,
  [sym_pointer_type_declarator] = sym_pointer_type_declarator,
  [sym_abstract_pointer_declarator] = sym_abstract_pointer_declarator,
  [sym_function_declarator] = sym_function_declarator,
  [sym_function_field_declarator] = sym_function_declarator,
  [sym_function_type_declarator] = sym_function_declarator,
  [sym_abstract_function_declarator] = sym_abstract_function_declarator,
  [sym_array_declarator] = sym_array_declarator,
  [sym_array_field_declarator] = sym_array_declarator,
  [sym_array_type_declarator] = sym_array_declarator,
  [sym_abstract_array_declarator] = sym_abstract_array_declarator,
  [sym_init_declarator] = sym_init_declarator,
  [sym_compound_statement] = sym_compound_statement,
  [sym_storage_class_specifier] = sym_storage_class_specifier,
  [sym_type_qualifier] = sym_type_qualifier,
  [sym__type_specifier] = sym__type_specifier,
  [sym_sized_type_specifier] = sym_sized_type_specifier,
  [sym_enum_specifier] = sym_enum_specifier,
  [sym_enumerator_list] = sym_enumerator_list,
  [sym_struct_specifier] = sym_struct_specifier,
  [sym_union_specifier] = sym_union_specifier,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym__field_declaration_list_item] = sym__field_declaration_list_item,
  [sym_field_declaration] = sym_field_declaration,
  [sym_bitfield_clause] = sym_bitfield_clause,
  [sym_enumerator] = sym_enumerator,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_attributed_statement] = sym_attributed_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym__top_level_expression_statement] = sym_expression_statement,
  [sym_expression_statement] = sym_expression_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_else_clause] = sym_else_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_case_statement] = sym_case_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_for_statement] = sym_for_statement,
  [sym__for_statement_body] = sym__for_statement_body,
  [sym_return_statement] = sym_return_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_goto_statement] = sym_goto_statement,
  [sym_seh_try_statement] = sym_seh_try_statement,
  [sym_seh_except_clause] = sym_seh_except_clause,
  [sym_seh_finally_clause] = sym_seh_finally_clause,
  [sym_seh_leave_statement] = sym_seh_leave_statement,
  [sym__expression] = sym__expression,
  [sym__expression_not_binary] = sym__expression_not_binary,
  [sym_comma_expression] = sym_comma_expression,
  [sym_conditional_expression] = sym_conditional_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_pointer_expression] = sym_pointer_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_type_descriptor] = sym_type_descriptor,
  [sym_sizeof_expression] = sym_sizeof_expression,
  [sym_alignof_expression] = sym_alignof_expression,
  [sym_offsetof_expression] = sym_offsetof_expression,
  [sym_generic_expression] = sym_generic_expression,
  [sym_subscript_expression] = sym_subscript_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_gnu_asm_expression] = sym_gnu_asm_expression,
  [sym_gnu_asm_qualifier] = sym_gnu_asm_qualifier,
  [sym_gnu_asm_output_operand_list] = sym_gnu_asm_output_operand_list,
  [sym_gnu_asm_output_operand] = sym_gnu_asm_output_operand,
  [sym_gnu_asm_input_operand_list] = sym_gnu_asm_input_operand_list,
  [sym_gnu_asm_input_operand] = sym_gnu_asm_input_operand,
  [sym_gnu_asm_clobber_list] = sym_gnu_asm_clobber_list,
  [sym_gnu_asm_goto_list] = sym_gnu_asm_goto_list,
  [sym_argument_list] = sym_argument_list,
  [sym_field_expression] = sym_field_expression,
  [sym_compound_literal_expression] = sym_compound_literal_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_initializer_list] = sym_initializer_list,
  [sym_initializer_pair] = sym_initializer_pair,
  [sym_subscript_designator] = sym_subscript_designator,
  [sym_subscript_range_designator] = sym_subscript_range_designator,
  [sym_field_designator] = sym_field_designator,
  [sym_char_literal] = sym_char_literal,
  [sym_concatenated_string] = sym_concatenated_string,
  [sym_string_literal] = sym_string_literal,
  [sym_null] = sym_null,
  [sym__empty_declaration] = sym__empty_declaration,
  [sym_placeholder_type_specifier] = sym_placeholder_type_specifier,
  [sym_decltype_auto] = sym_decltype,
  [sym_decltype] = sym_decltype,
  [sym__class_declaration] = sym__class_declaration,
  [sym__class_declaration_item] = sym__class_declaration_item,
  [sym_class_specifier] = sym_class_specifier,
  [sym__class_name] = sym__class_name,
  [sym_virtual_specifier] = sym_virtual_specifier,
  [sym_virtual] = sym_virtual,
  [sym_alignas_specifier] = sym_alignas_specifier,
  [sym_explicit_function_specifier] = sym_explicit_function_specifier,
  [sym_base_class_clause] = sym_base_class_clause,
  [sym__enum_base_clause] = sym__enum_base_clause,
  [sym_dependent_type] = sym_dependent_type,
  [sym_template_declaration] = sym_template_declaration,
  [sym_template_instantiation] = sym_template_instantiation,
  [sym_template_parameter_list] = sym_template_parameter_list,
  [sym_type_parameter_declaration] = sym_type_parameter_declaration,
  [sym_variadic_type_parameter_declaration] = sym_variadic_type_parameter_declaration,
  [sym_optional_type_parameter_declaration] = sym_optional_type_parameter_declaration,
  [sym_template_template_parameter_declaration] = sym_template_template_parameter_declaration,
  [sym_optional_parameter_declaration] = sym_optional_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_variadic_declarator] = sym_variadic_declarator,
  [sym_variadic_reference_declarator] = sym_reference_declarator,
  [sym_operator_cast] = sym_operator_cast,
  [sym_field_initializer_list] = sym_field_initializer_list,
  [sym_field_initializer] = sym_field_initializer,
  [sym_inline_method_definition] = sym_function_definition,
  [sym__constructor_specifiers] = sym__constructor_specifiers,
  [sym_operator_cast_definition] = sym_function_definition,
  [sym_operator_cast_declaration] = sym_declaration,
  [sym_constructor_try_statement] = sym_try_statement,
  [sym_constructor_or_destructor_definition] = sym_function_definition,
  [sym_constructor_or_destructor_declaration] = sym_declaration,
  [sym_default_method_clause] = sym_default_method_clause,
  [sym_delete_method_clause] = sym_delete_method_clause,
  [sym_friend_declaration] = sym_friend_declaration,
  [sym_access_specifier] = sym_access_specifier,
  [sym_reference_declarator] = sym_reference_declarator,
  [sym_reference_field_declarator] = sym_reference_declarator,
  [sym_abstract_reference_declarator] = sym_abstract_reference_declarator,
  [sym_structured_binding_declarator] = sym_structured_binding_declarator,
  [sym_ref_qualifier] = sym_ref_qualifier,
  [sym__function_declarator_seq] = sym__function_declarator_seq,
  [sym__function_attributes_start] = sym__function_attributes_start,
  [sym__function_exception_specification] = sym__function_exception_specification,
  [sym__function_attributes_end] = sym__function_attributes_end,
  [sym__function_postfix] = sym__function_postfix,
  [sym_trailing_return_type] = sym_trailing_return_type,
  [sym_noexcept] = sym_noexcept,
  [sym_throw_specifier] = sym_throw_specifier,
  [sym_template_type] = sym_template_type,
  [sym_template_method] = sym_template_method,
  [sym_template_function] = sym_template_function,
  [sym_template_argument_list] = sym_template_argument_list,
  [sym_namespace_definition] = sym_namespace_definition,
  [sym_namespace_alias_definition] = sym_namespace_alias_definition,
  [sym__namespace_specifier] = sym__namespace_specifier,
  [sym_nested_namespace_specifier] = sym_nested_namespace_specifier,
  [sym_using_declaration] = sym_using_declaration,
  [sym_alias_declaration] = sym_alias_declaration,
  [sym_static_assert_declaration] = sym_static_assert_declaration,
  [sym_concept_definition] = sym_concept_definition,
  [sym_for_range_loop] = sym_for_range_loop,
  [sym__for_range_loop_body] = sym__for_range_loop_body,
  [sym_init_statement] = sym_init_statement,
  [sym_condition_clause] = sym_condition_clause,
  [sym_condition_declaration] = sym_declaration,
  [sym_co_return_statement] = sym_co_return_statement,
  [sym_co_yield_statement] = sym_co_yield_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [sym_subscript_argument_list] = sym_subscript_argument_list,
  [sym_co_await_expression] = sym_co_await_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_new_declarator] = sym_new_declarator,
  [sym_delete_expression] = sym_delete_expression,
  [sym_type_requirement] = sym_type_requirement,
  [sym_compound_requirement] = sym_compound_requirement,
  [sym__requirement] = sym__requirement,
  [sym_requirement_seq] = sym_requirement_seq,
  [sym_constraint_conjunction] = sym_constraint_conjunction,
  [sym_constraint_disjunction] = sym_constraint_disjunction,
  [sym__requirement_clause_constraint] = sym__requirement_clause_constraint,
  [sym_requires_clause] = sym_requires_clause,
  [sym_requires_parameter_list] = sym_parameter_list,
  [sym_requires_expression] = sym_requires_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_lambda_capture_specifier] = sym_lambda_capture_specifier,
  [sym_lambda_default_capture] = sym_lambda_default_capture,
  [sym__fold_operator] = sym__fold_operator,
  [sym__binary_fold_operator] = sym__binary_fold_operator,
  [sym__unary_left_fold] = sym__unary_left_fold,
  [sym__unary_right_fold] = sym__unary_right_fold,
  [sym__binary_fold] = sym__binary_fold,
  [sym_fold_expression] = sym_fold_expression,
  [sym_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_type_parameter_pack_expansion] = sym_parameter_pack_expansion,
  [sym_destructor_name] = sym_destructor_name,
  [sym_dependent_identifier] = sym_dependent_identifier,
  [sym_dependent_field_identifier] = sym_dependent_identifier,
  [sym_dependent_type_identifier] = sym_dependent_identifier,
  [sym__scope_resolution] = sym__scope_resolution,
  [sym_qualified_field_identifier] = sym_qualified_identifier,
  [sym_qualified_identifier] = sym_qualified_identifier,
  [sym_qualified_type_identifier] = sym_qualified_identifier,
  [sym_qualified_operator_cast_identifier] = sym_qualified_identifier,
  [sym__assignment_expression_lhs] = sym_assignment_expression,
  [sym_operator_name] = sym_operator_name,
  [sym_user_defined_literal] = sym_user_defined_literal,
  [aux_sym_translation_unit_repeat1] = aux_sym_translation_unit_repeat1,
  [aux_sym_preproc_params_repeat1] = aux_sym_preproc_params_repeat1,
  [aux_sym_preproc_if_repeat1] = aux_sym_preproc_if_repeat1,
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = aux_sym_preproc_if_in_field_declaration_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = aux_sym_preproc_if_in_enumerator_list_repeat1,
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [aux_sym_preproc_argument_list_repeat1] = aux_sym_preproc_argument_list_repeat1,
  [aux_sym__declaration_declarator_repeat1] = aux_sym__declaration_declarator_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym__type_definition_type_repeat1] = aux_sym__type_definition_type_repeat1,
  [aux_sym__type_definition_declarators_repeat1] = aux_sym__type_definition_declarators_repeat1,
  [aux_sym__declaration_specifiers_repeat1] = aux_sym__declaration_specifiers_repeat1,
  [aux_sym_attribute_declaration_repeat1] = aux_sym_attribute_declaration_repeat1,
  [aux_sym_attributed_declarator_repeat1] = aux_sym_attributed_declarator_repeat1,
  [aux_sym_pointer_declarator_repeat1] = aux_sym_pointer_declarator_repeat1,
  [aux_sym_sized_type_specifier_repeat1] = aux_sym_sized_type_specifier_repeat1,
  [aux_sym_enumerator_list_repeat1] = aux_sym_enumerator_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_case_statement_repeat1] = aux_sym_case_statement_repeat1,
  [aux_sym_generic_expression_repeat1] = aux_sym_generic_expression_repeat1,
  [aux_sym_gnu_asm_expression_repeat1] = aux_sym_gnu_asm_expression_repeat1,
  [aux_sym_gnu_asm_output_operand_list_repeat1] = aux_sym_gnu_asm_output_operand_list_repeat1,
  [aux_sym_gnu_asm_input_operand_list_repeat1] = aux_sym_gnu_asm_input_operand_list_repeat1,
  [aux_sym_gnu_asm_clobber_list_repeat1] = aux_sym_gnu_asm_clobber_list_repeat1,
  [aux_sym_gnu_asm_goto_list_repeat1] = aux_sym_gnu_asm_goto_list_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_initializer_list_repeat1] = aux_sym_initializer_list_repeat1,
  [aux_sym_initializer_pair_repeat1] = aux_sym_initializer_pair_repeat1,
  [aux_sym_char_literal_repeat1] = aux_sym_char_literal_repeat1,
  [aux_sym_concatenated_string_repeat1] = aux_sym_concatenated_string_repeat1,
  [aux_sym_string_literal_repeat1] = aux_sym_string_literal_repeat1,
  [aux_sym__class_declaration_repeat1] = aux_sym__class_declaration_repeat1,
  [aux_sym_base_class_clause_repeat1] = aux_sym_base_class_clause_repeat1,
  [aux_sym_template_parameter_list_repeat1] = aux_sym_template_parameter_list_repeat1,
  [aux_sym_field_initializer_list_repeat1] = aux_sym_field_initializer_list_repeat1,
  [aux_sym_operator_cast_definition_repeat1] = aux_sym_operator_cast_definition_repeat1,
  [aux_sym_constructor_try_statement_repeat1] = aux_sym_constructor_try_statement_repeat1,
  [aux_sym_structured_binding_declarator_repeat1] = aux_sym_structured_binding_declarator_repeat1,
  [aux_sym__function_postfix_repeat1] = aux_sym__function_postfix_repeat1,
  [aux_sym_throw_specifier_repeat1] = aux_sym_throw_specifier_repeat1,
  [aux_sym_template_argument_list_repeat1] = aux_sym_template_argument_list_repeat1,
  [aux_sym_subscript_argument_list_repeat1] = aux_sym_subscript_argument_list_repeat1,
  [aux_sym_requirement_seq_repeat1] = aux_sym_requirement_seq_repeat1,
  [aux_sym_requires_parameter_list_repeat1] = aux_sym_requires_parameter_list_repeat1,
  [aux_sym_lambda_capture_specifier_repeat1] = aux_sym_lambda_capture_specifier_repeat1,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_namespace_identifier] = alias_sym_namespace_identifier,
  [alias_sym_simple_requirement] = alias_sym_simple_requirement,
  [alias_sym_statement_identifier] = alias_sym_statement_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_preproc_include_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_include_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_def_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_if_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_ifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_else_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elif_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token1] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_preproc_elifdef_token2] = {
    .visible = true,
    .named = false,
  },
  [sym_preproc_arg] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_directive] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defined] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___extension__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typedef] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extern] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___attribute__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___declspec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___based] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___cdecl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___clrcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___stdcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___fastcall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thiscall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___vectorcall] = {
    .visible = true,
    .named = false,
  },
  [sym_ms_restrict_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unsigned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_signed_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___unaligned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_signed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_unsigned] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_register] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___inline__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___forceinline] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_thread_local] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___thread] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_const] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constexpr] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_restrict] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___restrict__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Atomic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noreturn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constinit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_consteval] = {
    .visible = true,
    .named = false,
  },
  [sym_primitive_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_goto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___except] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___leave] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_compl] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_or] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_xor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bitand] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not_eq] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sizeof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Alignof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_offsetof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__Generic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_asm] = {
    .visible = true,
    .named = false,
  },
  [anon_sym___asm__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_char_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_L_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_U_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_literal_token1] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_system_lib_string] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nullptr] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_auto] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_decltype] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_override] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alignas] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_explicit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_typename] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_template] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_operator] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_delete] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_friend] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_noexcept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_namespace] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_concept] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_UR_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_u8R_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_co_await] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_suffix] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_delimiter] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_translation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_include] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_function_def] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_params] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elifdef] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_if_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_ifdef_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_else_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_elif_in_enumerator_list_no_comma] = {
    .visible = true,
    .named = true,
  },
  [sym__preproc_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_preproc_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_defined] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_preproc_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__type_definition_type] = {
    .visible = false,
    .named = true,
  },
  [sym__type_definition_declarators] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_modifiers] = {
    .visible = false,
    .named = true,
  },
  [sym__declaration_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_linkage_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_declspec_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_based_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_call_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_unaligned_ptr_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_ms_pointer_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__field_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__abstract_declarator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_parenthesized_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_pointer_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_function_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_array_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_init_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_storage_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_type_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__type_specifier] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_sized_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator_list] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_union_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym__field_declaration_list_item] = {
    .visible = false,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_bitfield_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_enumerator] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_attributed_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__top_level_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_case_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__for_statement_body] = {
    .visible = false,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_goto_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_except_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_seh_leave_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression_not_binary] = {
    .visible = false,
    .named = true,
  },
  [sym_comma_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_conditional_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_descriptor] = {
    .visible = true,
    .named = true,
  },
  [sym_sizeof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_alignof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_offsetof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_output_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_input_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_clobber_list] = {
    .visible = true,
    .named = true,
  },
  [sym_gnu_asm_goto_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_literal_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_initializer_pair] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_range_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_field_designator] = {
    .visible = true,
    .named = true,
  },
  [sym_char_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_concatenated_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_null] = {
    .visible = true,
    .named = true,
  },
  [sym__empty_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_placeholder_type_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype_auto] = {
    .visible = true,
    .named = true,
  },
  [sym_decltype] = {
    .visible = true,
    .named = true,
  },
  [sym__class_declaration] = {
    .visible = false,
    .named = true,
  },
  [sym__class_declaration_item] = {
    .visible = false,
    .named = true,
  },
  [sym_class_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym__class_name] = {
    .visible = false,
    .named = true,
  },
  [sym_virtual_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_virtual] = {
    .visible = true,
    .named = true,
  },
  [sym_alignas_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_function_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_base_class_clause] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_base_clause] = {
    .visible = false,
    .named = true,
  },
  [sym_dependent_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_instantiation] = {
    .visible = true,
    .named = true,
  },
  [sym_template_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_type_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_template_template_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_optional_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_inline_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_specifiers] = {
    .visible = false,
    .named = true,
  },
  [sym_operator_cast_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_cast_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_or_destructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_default_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_method_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_friend_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_access_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_reference_field_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_abstract_reference_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_structured_binding_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_ref_qualifier] = {
    .visible = true,
    .named = true,
  },
  [sym__function_declarator_seq] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_start] = {
    .visible = false,
    .named = true,
  },
  [sym__function_exception_specification] = {
    .visible = false,
    .named = true,
  },
  [sym__function_attributes_end] = {
    .visible = false,
    .named = true,
  },
  [sym__function_postfix] = {
    .visible = false,
    .named = true,
  },
  [sym_trailing_return_type] = {
    .visible = true,
    .named = true,
  },
  [sym_noexcept] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_template_type] = {
    .visible = true,
    .named = true,
  },
  [sym_template_method] = {
    .visible = true,
    .named = true,
  },
  [sym_template_function] = {
    .visible = true,
    .named = true,
  },
  [sym_template_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_namespace_alias_definition] = {
    .visible = true,
    .named = true,
  },
  [sym__namespace_specifier] = {
    .visible = false,
    .named = true,
  },
  [sym_nested_namespace_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_using_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_static_assert_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_concept_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_for_range_loop] = {
    .visible = true,
    .named = true,
  },
  [sym__for_range_loop_body] = {
    .visible = false,
    .named = true,
  },
  [sym_init_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_condition_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_co_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_co_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_subscript_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_co_await_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym_delete_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym_compound_requirement] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement] = {
    .visible = false,
    .named = true,
  },
  [sym_requirement_seq] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_conjunction] = {
    .visible = true,
    .named = true,
  },
  [sym_constraint_disjunction] = {
    .visible = true,
    .named = true,
  },
  [sym__requirement_clause_constraint] = {
    .visible = false,
    .named = true,
  },
  [sym_requires_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_capture_specifier] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_default_capture] = {
    .visible = true,
    .named = true,
  },
  [sym__fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold_operator] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_left_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__unary_right_fold] = {
    .visible = false,
    .named = true,
  },
  [sym__binary_fold] = {
    .visible = false,
    .named = true,
  },
  [sym_fold_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_pack_expansion] = {
    .visible = true,
    .named = true,
  },
  [sym_destructor_name] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_dependent_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__scope_resolution] = {
    .visible = false,
    .named = true,
  },
  [sym_qualified_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_operator_cast_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym__assignment_expression_lhs] = {
    .visible = true,
    .named = true,
  },
  [sym_operator_name] = {
    .visible = true,
    .named = true,
  },
  [sym_user_defined_literal] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_translation_unit_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_preproc_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_definition_declarators_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__declaration_specifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attributed_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_pointer_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_sized_type_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enumerator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_case_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_generic_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_output_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_input_operand_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_clobber_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_gnu_asm_goto_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_initializer_pair_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_char_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_concatenated_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__class_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_base_class_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_initializer_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_operator_cast_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_structured_binding_declarator_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__function_postfix_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_throw_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_template_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_subscript_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requirement_seq_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_lambda_capture_specifier_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_namespace_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_simple_requirement] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_statement_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_assembly_code = 4,
  field_base = 5,
  field_body = 6,
  field_captures = 7,
  field_clobbers = 8,
  field_condition = 9,
  field_consequence = 10,
  field_constraint = 11,
  field_declarator = 12,
  field_default_type = 13,
  field_default_value = 14,
  field_delimiter = 15,
  field_designator = 16,
  field_directive = 17,
  field_end = 18,
  field_field = 19,
  field_filter = 20,
  field_function = 21,
  field_goto_labels = 22,
  field_indices = 23,
  field_initializer = 24,
  field_input_operands = 25,
  field_label = 26,
  field_left = 27,
  field_length = 28,
  field_member = 29,
  field_message = 30,
  field_name = 31,
  field_operand = 32,
  field_operator = 33,
  field_output_operands = 34,
  field_parameters = 35,
  field_path = 36,
  field_pattern = 37,
  field_placement = 38,
  field_prefix = 39,
  field_register = 40,
  field_requirements = 41,
  field_right = 42,
  field_scope = 43,
  field_size = 44,
  field_start = 45,
  field_symbol = 46,
  field_template_parameters = 47,
  field_type = 48,
  field_update = 49,
  field_value = 50,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_assembly_code] = "assembly_code",
  [field_base] = "base",
  [field_body] = "body",
  [field_captures] = "captures",
  [field_clobbers] = "clobbers",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constraint] = "constraint",
  [field_declarator] = "declarator",
  [field_default_type] = "default_type",
  [field_default_value] = "default_value",
  [field_delimiter] = "delimiter",
  [field_designator] = "designator",
  [field_directive] = "directive",
  [field_end] = "end",
  [field_field] = "field",
  [field_filter] = "filter",
  [field_function] = "function",
  [field_goto_labels] = "goto_labels",
  [field_indices] = "indices",
  [field_initializer] = "initializer",
  [field_input_operands] = "input_operands",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_member] = "member",
  [field_message] = "message",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_output_operands] = "output_operands",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_pattern] = "pattern",
  [field_placement] = "placement",
  [field_prefix] = "prefix",
  [field_register] = "register",
  [field_requirements] = "requirements",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_size] = "size",
  [field_start] = "start",
  [field_symbol] = "symbol",
  [field_template_parameters] = "template_parameters",
  [field_type] = "type",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [3] = {.index = 1, .length = 1},
  [4] = {.index = 2, .length = 2},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 1},
  [7] = {.index = 6, .length = 2},
  [8] = {.index = 8, .length = 2},
  [9] = {.index = 10, .length = 1},
  [10] = {.index = 11, .length = 1},
  [11] = {.index = 12, .length = 1},
  [12] = {.index = 13, .length = 2},
  [13] = {.index = 15, .length = 2},
  [14] = {.index = 17, .length = 1},
  [15] = {.index = 18, .length = 1},
  [16] = {.index = 19, .length = 2},
  [17] = {.index = 19, .length = 2},
  [18] = {.index = 0, .length = 1},
  [20] = {.index = 21, .length = 1},
  [21] = {.index = 22, .length = 1},
  [22] = {.index = 23, .length = 1},
  [23] = {.index = 24, .length = 1},
  [24] = {.index = 25, .length = 1},
  [25] = {.index = 26, .length = 2},
  [26] = {.index = 28, .length = 2},
  [27] = {.index = 30, .length = 1},
  [28] = {.index = 31, .length = 1},
  [29] = {.index = 32, .length = 2},
  [30] = {.index = 34, .length = 2},
  [31] = {.index = 18, .length = 1},
  [32] = {.index = 36, .length = 2},
  [33] = {.index = 38, .length = 1},
  [34] = {.index = 39, .length = 2},
  [35] = {.index = 39, .length = 2},
  [36] = {.index = 21, .length = 1},
  [37] = {.index = 41, .length = 1},
  [38] = {.index = 42, .length = 2},
  [39] = {.index = 44, .length = 2},
  [40] = {.index = 46, .length = 3},
  [41] = {.index = 49, .length = 1},
  [44] = {.index = 50, .length = 2},
  [45] = {.index = 52, .length = 1},
  [46] = {.index = 53, .length = 1},
  [47] = {.index = 54, .length = 1},
  [48] = {.index = 55, .length = 2},
  [49] = {.index = 57, .length = 2},
  [50] = {.index = 59, .length = 2},
  [51] = {.index = 61, .length = 2},
  [52] = {.index = 63, .length = 2},
  [53] = {.index = 65, .length = 1},
  [54] = {.index = 66, .length = 3},
  [55] = {.index = 69, .length = 1},
  [56] = {.index = 70, .length = 1},
  [57] = {.index = 71, .length = 1},
  [58] = {.index = 72, .length = 2},
  [60] = {.index = 55, .length = 2},
  [61] = {.index = 74, .length = 2},
  [62] = {.index = 76, .length = 2},
  [63] = {.index = 78, .length = 2},
  [65] = {.index = 80, .length = 2},
  [66] = {.index = 82, .length = 2},
  [67] = {.index = 84, .length = 3},
  [68] = {.index = 87, .length = 2},
  [69] = {.index = 89, .length = 2},
  [70] = {.index = 91, .length = 2},
  [71] = {.index = 93, .length = 2},
  [72] = {.index = 95, .length = 3},
  [73] = {.index = 95, .length = 3},
  [74] = {.index = 98, .length = 3},
  [75] = {.index = 101, .length = 3},
  [76] = {.index = 104, .length = 3},
  [77] = {.index = 107, .length = 2},
  [78] = {.index = 109, .length = 2},
  [79] = {.index = 111, .length = 2},
  [80] = {.index = 113, .length = 1},
  [81] = {.index = 114, .length = 2},
  [82] = {.index = 116, .length = 2},
  [83] = {.index = 118, .length = 2},
  [84] = {.index = 120, .length = 3},
  [85] = {.index = 123, .length = 2},
  [86] = {.index = 125, .length = 1},
  [87] = {.index = 126, .length = 2},
  [88] = {.index = 128, .length = 2},
  [89] = {.index = 130, .length = 2},
  [90] = {.index = 132, .length = 2},
  [91] = {.index = 134, .length = 2},
  [92] = {.index = 136, .length = 2},
  [93] = {.index = 138, .length = 2},
  [94] = {.index = 138, .length = 2},
  [96] = {.index = 140, .length = 2},
  [97] = {.index = 142, .length = 1},
  [98] = {.index = 142, .length = 1},
  [99] = {.index = 143, .length = 3},
  [101] = {.index = 146, .length = 2},
  [102] = {.index = 148, .length = 2},
  [103] = {.index = 150, .length = 2},
  [104] = {.index = 152, .length = 3},
  [105] = {.index = 155, .length = 1},
  [106] = {.index = 156, .length = 1},
  [108] = {.index = 157, .length = 2},
  [109] = {.index = 159, .length = 3},
  [110] = {.index = 162, .length = 3},
  [111] = {.index = 165, .length = 3},
  [112] = {.index = 168, .length = 2},
  [113] = {.index = 170, .length = 3},
  [114] = {.index = 173, .length = 2},
  [115] = {.index = 175, .length = 3},
  [116] = {.index = 178, .length = 2},
  [117] = {.index = 19, .length = 2},
  [118] = {.index = 39, .length = 2},
  [119] = {.index = 180, .length = 2},
  [120] = {.index = 182, .length = 2},
  [121] = {.index = 184, .length = 1},
  [122] = {.index = 185, .length = 4},
  [123] = {.index = 189, .length = 4},
  [124] = {.index = 193, .length = 2},
  [125] = {.index = 195, .length = 3},
  [126] = {.index = 198, .length = 2},
  [127] = {.index = 200, .length = 2},
  [128] = {.index = 202, .length = 1},
  [129] = {.index = 203, .length = 2},
  [130] = {.index = 205, .length = 2},
  [131] = {.index = 207, .length = 3},
  [132] = {.index = 210, .length = 3},
  [133] = {.index = 213, .length = 3},
  [134] = {.index = 216, .length = 2},
  [135] = {.index = 216, .length = 2},
  [136] = {.index = 218, .length = 2},
  [137] = {.index = 220, .length = 3},
  [138] = {.index = 223, .length = 2},
  [139] = {.index = 225, .length = 2},
  [140] = {.index = 227, .length = 3},
  [141] = {.index = 230, .length = 2},
  [142] = {.index = 232, .length = 3},
  [143] = {.index = 235, .length = 2},
  [144] = {.index = 237, .length = 1},
  [145] = {.index = 238, .length = 2},
  [146] = {.index = 240, .length = 2},
  [147] = {.index = 242, .length = 4},
  [148] = {.index = 246, .length = 5},
  [149] = {.index = 251, .length = 1},
  [150] = {.index = 252, .length = 1},
  [151] = {.index = 253, .length = 2},
  [152] = {.index = 255, .length = 1},
  [154] = {.index = 256, .length = 1},
  [155] = {.index = 257, .length = 2},
  [156] = {.index = 259, .length = 2},
  [157] = {.index = 11, .length = 1},
  [158] = {.index = 11, .length = 1},
  [159] = {.index = 261, .length = 2},
  [160] = {.index = 263, .length = 1},
  [161] = {.index = 264, .length = 1},
  [162] = {.index = 265, .length = 4},
  [163] = {.index = 269, .length = 2},
  [164] = {.index = 271, .length = 1},
  [165] = {.index = 272, .length = 2},
  [166] = {.index = 274, .length = 3},
  [167] = {.index = 277, .length = 1},
  [168] = {.index = 278, .length = 5},
  [169] = {.index = 283, .length = 2},
  [170] = {.index = 285, .length = 2},
  [171] = {.index = 287, .length = 4},
  [172] = {.index = 291, .length = 2},
  [173] = {.index = 293, .length = 3},
  [174] = {.index = 296, .length = 4},
  [175] = {.index = 300, .length = 4},
  [176] = {.index = 304, .length = 3},
  [177] = {.index = 307, .length = 2},
  [178] = {.index = 309, .length = 3},
  [179] = {.index = 312, .length = 3},
  [180] = {.index = 315, .length = 2},
  [181] = {.index = 317, .length = 2},
  [182] = {.index = 319, .length = 2},
  [183] = {.index = 321, .length = 2},
  [184] = {.index = 323, .length = 3},
  [185] = {.index = 326, .length = 2},
  [186] = {.index = 328, .length = 2},
  [187] = {.index = 330, .length = 3},
  [188] = {.index = 333, .length = 2},
  [189] = {.index = 335, .length = 2},
  [190] = {.index = 337, .length = 2},
  [191] = {.index = 339, .length = 4},
  [192] = {.index = 343, .length = 5},
  [193] = {.index = 348, .length = 3},
  [194] = {.index = 351, .length = 4},
  [195] = {.index = 355, .length = 2},
  [196] = {.index = 357, .length = 1},
  [197] = {.index = 358, .length = 4},
  [198] = {.index = 362, .length = 3},
  [199] = {.index = 365, .length = 2},
  [200] = {.index = 367, .length = 1},
  [201] = {.index = 368, .length = 5},
  [202] = {.index = 373, .length = 2},
  [203] = {.index = 375, .length = 2},
  [204] = {.index = 65, .length = 1},
  [205] = {.index = 377, .length = 5},
  [206] = {.index = 382, .length = 4},
  [207] = {.index = 386, .length = 2},
  [208] = {.index = 388, .length = 2},
  [209] = {.index = 390, .length = 5},
  [210] = {.index = 395, .length = 2},
  [211] = {.index = 397, .length = 3},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_type, 0},
  [1] =
    {field_directive, 0},
  [2] =
    {field_argument, 1},
    {field_operator, 0},
  [4] =
    {field_declarator, 1},
  [5] =
    {field_name, 0},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_type, 0},
    {field_value, 1},
  [10] =
    {field_body, 1},
  [11] =
    {field_name, 1},
  [12] =
    {field_body, 0},
  [13] =
    {field_body, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [15] =
    {field_body, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [17] =
    {field_value, 1},
  [18] =
    {field_scope, 0},
  [19] =
    {field_arguments, 1},
    {field_name, 0},
  [21] =
    {field_type, 1},
  [22] =
    {field_requirements, 1},
  [23] =
    {field_constraint, 1},
  [24] =
    {field_declarator, 0},
  [25] =
    {field_parameters, 0},
  [26] =
    {field_declarator, 0},
    {field_parameters, 1, .inherited = true},
  [28] =
    {field_body, 1},
    {field_declarator, 0},
  [30] =
    {field_constraint, 0},
  [31] =
    {field_pattern, 0},
  [32] =
    {field_argument, 0},
    {field_operator, 1},
  [34] =
    {field_argument, 0},
    {field_indices, 1},
  [36] =
    {field_body, 1},
    {field_captures, 0},
  [38] =
    {field_parameters, 0, .inherited = true},
  [39] =
    {field_name, 1},
    {field_scope, 0, .inherited = true},
  [41] =
    {field_path, 1},
  [42] =
    {field_argument, 1},
    {field_directive, 0},
  [44] =
    {field_declarator, 1},
    {field_type, 0},
  [46] =
    {field_left, 1, .inherited = true},
    {field_operator, 1, .inherited = true},
    {field_right, 1, .inherited = true},
  [49] =
    {field_declarator, 2},
  [50] =
    {field_body, 2},
    {field_value, 1},
  [52] =
    {field_type, 2},
  [53] =
    {field_body, 2},
  [54] =
    {field_name, 2},
  [55] =
    {field_body, 2},
    {field_name, 1},
  [57] =
    {field_base, 2, .inherited = true},
    {field_name, 1},
  [59] =
    {field_body, 1},
    {field_name, 0},
  [61] =
    {field_condition, 1},
    {field_consequence, 2},
  [63] =
    {field_body, 2},
    {field_condition, 1},
  [65] =
    {field_label, 1},
  [66] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [69] =
    {field_label, 0},
  [70] =
    {field_type, 0, .inherited = true},
  [71] =
    {field_parameters, 1},
  [72] =
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [74] =
    {field_arguments, 2},
    {field_type, 1},
  [76] =
    {field_declarator, 2},
    {field_type, 1},
  [78] =
    {field_placement, 1},
    {field_type, 2},
  [80] =
    {field_parameters, 1},
    {field_requirements, 2},
  [82] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0, .inherited = true},
  [84] =
    {field_body, 2},
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [87] =
    {field_declarator, 0},
    {field_declarator, 1},
  [89] =
    {field_declarator, 0},
    {field_value, 1},
  [91] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [93] =
    {field_body, 2},
    {field_declarator, 0},
  [95] =
    {field_argument, 0},
    {field_field, 2},
    {field_operator, 1},
  [98] =
    {field_body, 2},
    {field_captures, 0},
    {field_declarator, 1},
  [101] =
    {field_body, 2},
    {field_captures, 0},
    {field_template_parameters, 1},
  [104] =
    {field_name, 1},
    {field_name, 2},
    {field_scope, 0, .inherited = true},
  [107] =
    {field_body, 2},
    {field_declarator, 1},
  [109] =
    {field_name, 1},
    {field_value, 2},
  [111] =
    {field_name, 1},
    {field_parameters, 2},
  [113] =
    {field_condition, 1},
  [114] =
    {field_alternative, 2},
    {field_name, 1},
  [116] =
    {field_declarator, 2},
    {field_type, 0},
  [118] =
    {field_left, 0},
    {field_right, 2},
  [120] =
    {field_left, 0},
    {field_operator, 1, .inherited = true},
    {field_right, 2},
  [123] =
    {field_type, 1},
    {field_value, 3},
  [125] =
    {field_declarator, 3},
  [126] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1, .inherited = true},
  [128] =
    {field_declarator, 0},
    {field_parameters, 1},
  [130] =
    {field_arguments, 3},
    {field_type, 2},
  [132] =
    {field_declarator, 3},
    {field_type, 2},
  [134] =
    {field_placement, 2},
    {field_type, 3},
  [136] =
    {field_name, 2},
    {field_prefix, 0},
  [138] =
    {field_body, 3},
    {field_name, 2},
  [140] =
    {field_base, 3, .inherited = true},
    {field_name, 2},
  [142] =
    {field_base, 1},
  [143] =
    {field_base, 2, .inherited = true},
    {field_body, 3},
    {field_name, 1},
  [146] =
    {field_body, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [148] =
    {field_body, 2},
    {field_name, 0},
  [150] =
    {field_condition, 2},
    {field_consequence, 3},
  [152] =
    {field_alternative, 3},
    {field_condition, 1},
    {field_consequence, 2},
  [155] =
    {field_initializer, 0},
  [156] =
    {field_assembly_code, 2},
  [157] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
  [159] =
    {field_arguments, 3},
    {field_declarator, 2},
    {field_type, 1},
  [162] =
    {field_arguments, 3},
    {field_placement, 1},
    {field_type, 2},
  [165] =
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [168] =
    {field_declarator, 0},
    {field_value, 2},
  [170] =
    {field_declarator, 0},
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
  [173] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [175] =
    {field_body, 3},
    {field_declarator, 2},
    {field_type, 1, .inherited = true},
  [178] =
    {field_declarator, 0},
    {field_size, 2},
  [180] =
    {field_alternative, 3},
    {field_condition, 0},
  [182] =
    {field_declarator, 0},
    {field_default_value, 2},
  [184] =
    {field_size, 1},
  [185] =
    {field_body, 3},
    {field_captures, 0},
    {field_declarator, 2},
    {field_template_parameters, 1},
  [189] =
    {field_body, 3},
    {field_captures, 0},
    {field_constraint, 2},
    {field_template_parameters, 1},
  [193] =
    {field_body, 3},
    {field_declarator, 1},
  [195] =
    {field_name, 1},
    {field_parameters, 2},
    {field_value, 3},
  [198] =
    {field_alternative, 3},
    {field_condition, 1},
  [200] =
    {field_alternative, 3},
    {field_name, 1},
  [202] =
    {field_operator, 0},
  [203] =
    {field_declarator, 3},
    {field_type, 1},
  [205] =
    {field_declarator, 3, .inherited = true},
    {field_type, 2, .inherited = true},
  [207] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_type, 2},
  [210] =
    {field_arguments, 4},
    {field_placement, 2},
    {field_type, 3},
  [213] =
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [216] =
    {field_designator, 0},
    {field_value, 2},
  [218] =
    {field_name, 0},
    {field_value, 2},
  [220] =
    {field_base, 3, .inherited = true},
    {field_body, 4},
    {field_name, 2},
  [223] =
    {field_body, 3},
    {field_name, 0},
  [225] =
    {field_body, 3, .inherited = true},
    {field_name, 3, .inherited = true},
  [227] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 2},
  [230] =
    {field_initializer, 1},
    {field_value, 2},
  [232] =
    {field_alternative, 4},
    {field_condition, 2},
    {field_consequence, 3},
  [235] =
    {field_body, 1},
    {field_condition, 3},
  [237] =
    {field_update, 2},
  [238] =
    {field_initializer, 0},
    {field_update, 2},
  [240] =
    {field_condition, 1},
    {field_initializer, 0},
  [242] =
    {field_body, 4},
    {field_condition, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_update, 2, .inherited = true},
  [246] =
    {field_body, 4},
    {field_declarator, 2, .inherited = true},
    {field_initializer, 2, .inherited = true},
    {field_right, 2, .inherited = true},
    {field_type, 2, .inherited = true},
  [251] =
    {field_value, 3},
  [252] =
    {field_operand, 1},
  [253] =
    {field_assembly_code, 2},
    {field_output_operands, 3},
  [255] =
    {field_assembly_code, 3},
  [256] =
    {field_default_type, 2},
  [257] =
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [259] =
    {field_body, 2},
    {field_parameters, 1},
  [261] =
    {field_name, 1},
    {field_type, 3},
  [263] =
    {field_condition, 2},
  [264] =
    {field_length, 1},
  [265] =
    {field_arguments, 4},
    {field_declarator, 3},
    {field_placement, 1},
    {field_type, 2},
  [269] =
    {field_declarator, 1},
    {field_declarator, 2},
  [271] =
    {field_declarator, 4},
  [272] =
    {field_declarator, 0},
    {field_size, 3},
  [274] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [277] =
    {field_size, 2},
  [278] =
    {field_body, 4},
    {field_captures, 0},
    {field_constraint, 2},
    {field_declarator, 3},
    {field_template_parameters, 1},
  [283] =
    {field_declarator, 1},
    {field_default_value, 3},
  [285] =
    {field_alternative, 4},
    {field_condition, 1},
  [287] =
    {field_arguments, 5},
    {field_declarator, 4},
    {field_placement, 2},
    {field_type, 3},
  [291] =
    {field_body, 2},
    {field_filter, 1},
  [293] =
    {field_declarator, 1},
    {field_default_value, 2},
    {field_type, 0, .inherited = true},
  [296] =
    {field_declarator, 1},
    {field_declarator, 2, .inherited = true},
    {field_default_value, 2, .inherited = true},
    {field_type, 0, .inherited = true},
  [300] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
    {field_default_value, 0, .inherited = true},
    {field_default_value, 1, .inherited = true},
  [304] =
    {field_declarator, 1},
    {field_type, 0, .inherited = true},
    {field_value, 3},
  [307] =
    {field_condition, 1},
    {field_update, 3},
  [309] =
    {field_condition, 1},
    {field_initializer, 0},
    {field_update, 3},
  [312] =
    {field_declarator, 1},
    {field_right, 3},
    {field_type, 0, .inherited = true},
  [315] =
    {field_initializer, 0},
    {field_update, 3},
  [317] =
    {field_condition, 2},
    {field_initializer, 0},
  [319] =
    {field_member, 4},
    {field_type, 2},
  [321] =
    {field_operand, 1},
    {field_operand, 2, .inherited = true},
  [323] =
    {field_assembly_code, 2},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [326] =
    {field_assembly_code, 3},
    {field_output_operands, 4},
  [328] =
    {field_default_type, 3},
    {field_name, 1},
  [330] =
    {field_declarator, 1},
    {field_default_value, 3},
    {field_type, 0, .inherited = true},
  [333] =
    {field_name, 1},
    {field_type, 4},
  [335] =
    {field_end, 3},
    {field_start, 1},
  [337] =
    {field_declarator, 1},
    {field_default_value, 2},
  [339] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [343] =
    {field_declarator, 1},
    {field_declarator, 3, .inherited = true},
    {field_default_value, 2},
    {field_default_value, 3, .inherited = true},
    {field_type, 0, .inherited = true},
  [348] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [351] =
    {field_declarator, 2},
    {field_initializer, 0},
    {field_right, 4},
    {field_type, 1, .inherited = true},
  [355] =
    {field_operand, 0, .inherited = true},
    {field_operand, 1, .inherited = true},
  [357] =
    {field_register, 1},
  [358] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [362] =
    {field_assembly_code, 3},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [365] =
    {field_condition, 2},
    {field_message, 4},
  [367] =
    {field_delimiter, 1},
  [368] =
    {field_declarator, 1},
    {field_declarator, 4, .inherited = true},
    {field_default_value, 3},
    {field_default_value, 4, .inherited = true},
    {field_type, 0, .inherited = true},
  [373] =
    {field_constraint, 0},
    {field_value, 2},
  [375] =
    {field_register, 1},
    {field_register, 2, .inherited = true},
  [377] =
    {field_assembly_code, 2},
    {field_clobbers, 5},
    {field_goto_labels, 6},
    {field_input_operands, 4},
    {field_output_operands, 3},
  [382] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [386] =
    {field_register, 0, .inherited = true},
    {field_register, 1, .inherited = true},
  [388] =
    {field_label, 1},
    {field_label, 2, .inherited = true},
  [390] =
    {field_assembly_code, 3},
    {field_clobbers, 6},
    {field_goto_labels, 7},
    {field_input_operands, 5},
    {field_output_operands, 4},
  [395] =
    {field_label, 0, .inherited = true},
    {field_label, 1, .inherited = true},
  [397] =
    {field_constraint, 3},
    {field_symbol, 1},
    {field_value, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_namespace_identifier,
  },
  [16] = {
    [0] = alias_sym_type_identifier,
  },
  [18] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_namespace_identifier,
  },
  [35] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [1] = alias_sym_type_identifier,
  },
  [42] = {
    [0] = sym_primitive_type,
  },
  [43] = {
    [0] = sym_pointer_declarator,
  },
  [53] = {
    [1] = alias_sym_statement_identifier,
  },
  [55] = {
    [0] = alias_sym_statement_identifier,
  },
  [59] = {
    [1] = alias_sym_namespace_identifier,
  },
  [60] = {
    [1] = alias_sym_namespace_identifier,
  },
  [64] = {
    [0] = alias_sym_simple_requirement,
  },
  [72] = {
    [2] = alias_sym_field_identifier,
  },
  [93] = {
    [2] = alias_sym_namespace_identifier,
  },
  [95] = {
    [1] = alias_sym_field_identifier,
  },
  [98] = {
    [1] = alias_sym_type_identifier,
  },
  [100] = {
    [0] = alias_sym_field_identifier,
  },
  [107] = {
    [1] = alias_sym_type_identifier,
  },
  [117] = {
    [0] = alias_sym_field_identifier,
  },
  [118] = {
    [1] = alias_sym_field_identifier,
  },
  [134] = {
    [0] = alias_sym_field_identifier,
  },
  [153] = {
    [2] = alias_sym_type_identifier,
  },
  [157] = {
    [1] = alias_sym_namespace_identifier,
    [3] = alias_sym_namespace_identifier,
  },
  [158] = {
    [1] = alias_sym_namespace_identifier,
  },
  [159] = {
    [1] = alias_sym_type_identifier,
  },
  [182] = {
    [4] = alias_sym_field_identifier,
  },
  [186] = {
    [1] = alias_sym_type_identifier,
  },
  [188] = {
    [1] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym_pointer_type_declarator, 2,
    sym_pointer_type_declarator,
    sym_pointer_declarator,
  sym_expression_statement, 2,
    sym_expression_statement,
    alias_sym_simple_requirement,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 16,
  [17] = 17,
  [18] = 16,
  [19] = 17,
  [20] = 17,
  [21] = 17,
  [22] = 16,
  [23] = 17,
  [24] = 16,
  [25] = 16,
  [26] = 26,
  [27] = 27,
  [28] = 27,
  [29] = 29,
  [30] = 30,
  [31] = 27,
  [32] = 32,
  [33] = 29,
  [34] = 29,
  [35] = 29,
  [36] = 27,
  [37] = 37,
  [38] = 38,
  [39] = 27,
  [40] = 29,
  [41] = 37,
  [42] = 42,
  [43] = 42,
  [44] = 44,
  [45] = 44,
  [46] = 42,
  [47] = 42,
  [48] = 44,
  [49] = 44,
  [50] = 42,
  [51] = 37,
  [52] = 44,
  [53] = 42,
  [54] = 54,
  [55] = 54,
  [56] = 54,
  [57] = 42,
  [58] = 44,
  [59] = 37,
  [60] = 42,
  [61] = 44,
  [62] = 62,
  [63] = 62,
  [64] = 44,
  [65] = 42,
  [66] = 44,
  [67] = 42,
  [68] = 42,
  [69] = 62,
  [70] = 44,
  [71] = 71,
  [72] = 44,
  [73] = 42,
  [74] = 62,
  [75] = 44,
  [76] = 42,
  [77] = 44,
  [78] = 42,
  [79] = 42,
  [80] = 62,
  [81] = 44,
  [82] = 42,
  [83] = 44,
  [84] = 42,
  [85] = 54,
  [86] = 54,
  [87] = 44,
  [88] = 44,
  [89] = 89,
  [90] = 44,
  [91] = 44,
  [92] = 42,
  [93] = 42,
  [94] = 44,
  [95] = 42,
  [96] = 42,
  [97] = 44,
  [98] = 98,
  [99] = 99,
  [100] = 100,
  [101] = 101,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 102,
  [106] = 100,
  [107] = 104,
  [108] = 101,
  [109] = 103,
  [110] = 102,
  [111] = 101,
  [112] = 103,
  [113] = 100,
  [114] = 103,
  [115] = 101,
  [116] = 101,
  [117] = 104,
  [118] = 104,
  [119] = 100,
  [120] = 100,
  [121] = 102,
  [122] = 103,
  [123] = 102,
  [124] = 104,
  [125] = 102,
  [126] = 104,
  [127] = 101,
  [128] = 103,
  [129] = 100,
  [130] = 130,
  [131] = 130,
  [132] = 130,
  [133] = 130,
  [134] = 130,
  [135] = 130,
  [136] = 130,
  [137] = 137,
  [138] = 138,
  [139] = 139,
  [140] = 139,
  [141] = 139,
  [142] = 139,
  [143] = 139,
  [144] = 139,
  [145] = 139,
  [146] = 139,
  [147] = 147,
  [148] = 148,
  [149] = 148,
  [150] = 148,
  [151] = 151,
  [152] = 152,
  [153] = 153,
  [154] = 152,
  [155] = 152,
  [156] = 152,
  [157] = 157,
  [158] = 152,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 162,
  [165] = 165,
  [166] = 161,
  [167] = 167,
  [168] = 168,
  [169] = 168,
  [170] = 159,
  [171] = 171,
  [172] = 160,
  [173] = 165,
  [174] = 171,
  [175] = 175,
  [176] = 167,
  [177] = 163,
  [178] = 161,
  [179] = 160,
  [180] = 161,
  [181] = 175,
  [182] = 162,
  [183] = 165,
  [184] = 175,
  [185] = 165,
  [186] = 168,
  [187] = 163,
  [188] = 159,
  [189] = 168,
  [190] = 167,
  [191] = 175,
  [192] = 167,
  [193] = 171,
  [194] = 159,
  [195] = 163,
  [196] = 159,
  [197] = 175,
  [198] = 175,
  [199] = 162,
  [200] = 162,
  [201] = 163,
  [202] = 165,
  [203] = 168,
  [204] = 167,
  [205] = 161,
  [206] = 175,
  [207] = 171,
  [208] = 159,
  [209] = 163,
  [210] = 160,
  [211] = 167,
  [212] = 162,
  [213] = 165,
  [214] = 168,
  [215] = 168,
  [216] = 167,
  [217] = 171,
  [218] = 160,
  [219] = 171,
  [220] = 159,
  [221] = 163,
  [222] = 160,
  [223] = 171,
  [224] = 160,
  [225] = 152,
  [226] = 162,
  [227] = 161,
  [228] = 165,
  [229] = 229,
  [230] = 152,
  [231] = 231,
  [232] = 232,
  [233] = 233,
  [234] = 152,
  [235] = 235,
  [236] = 235,
  [237] = 235,
  [238] = 151,
  [239] = 239,
  [240] = 229,
  [241] = 235,
  [242] = 231,
  [243] = 239,
  [244] = 235,
  [245] = 153,
  [246] = 239,
  [247] = 247,
  [248] = 239,
  [249] = 239,
  [250] = 235,
  [251] = 235,
  [252] = 239,
  [253] = 239,
  [254] = 239,
  [255] = 239,
  [256] = 235,
  [257] = 239,
  [258] = 239,
  [259] = 235,
  [260] = 235,
  [261] = 239,
  [262] = 239,
  [263] = 235,
  [264] = 235,
  [265] = 265,
  [266] = 266,
  [267] = 239,
  [268] = 235,
  [269] = 235,
  [270] = 235,
  [271] = 239,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 232,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 233,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 231,
  [352] = 352,
  [353] = 353,
  [354] = 229,
  [355] = 229,
  [356] = 356,
  [357] = 357,
  [358] = 358,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 353,
  [363] = 363,
  [364] = 346,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 231,
  [386] = 353,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 394,
  [395] = 353,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 346,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 247,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 229,
  [411] = 411,
  [412] = 231,
  [413] = 266,
  [414] = 414,
  [415] = 346,
  [416] = 265,
  [417] = 417,
  [418] = 153,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 151,
  [426] = 332,
  [427] = 314,
  [428] = 288,
  [429] = 278,
  [430] = 284,
  [431] = 282,
  [432] = 281,
  [433] = 280,
  [434] = 279,
  [435] = 232,
  [436] = 299,
  [437] = 437,
  [438] = 438,
  [439] = 233,
  [440] = 274,
  [441] = 276,
  [442] = 308,
  [443] = 287,
  [444] = 275,
  [445] = 233,
  [446] = 232,
  [447] = 283,
  [448] = 320,
  [449] = 289,
  [450] = 290,
  [451] = 291,
  [452] = 292,
  [453] = 295,
  [454] = 293,
  [455] = 277,
  [456] = 294,
  [457] = 301,
  [458] = 296,
  [459] = 297,
  [460] = 298,
  [461] = 272,
  [462] = 300,
  [463] = 304,
  [464] = 302,
  [465] = 305,
  [466] = 309,
  [467] = 310,
  [468] = 306,
  [469] = 311,
  [470] = 324,
  [471] = 307,
  [472] = 312,
  [473] = 326,
  [474] = 327,
  [475] = 328,
  [476] = 329,
  [477] = 330,
  [478] = 313,
  [479] = 333,
  [480] = 334,
  [481] = 335,
  [482] = 336,
  [483] = 337,
  [484] = 338,
  [485] = 339,
  [486] = 341,
  [487] = 315,
  [488] = 488,
  [489] = 342,
  [490] = 317,
  [491] = 343,
  [492] = 344,
  [493] = 273,
  [494] = 318,
  [495] = 345,
  [496] = 285,
  [497] = 323,
  [498] = 319,
  [499] = 322,
  [500] = 340,
  [501] = 331,
  [502] = 325,
  [503] = 321,
  [504] = 316,
  [505] = 505,
  [506] = 505,
  [507] = 151,
  [508] = 505,
  [509] = 505,
  [510] = 153,
  [511] = 361,
  [512] = 505,
  [513] = 505,
  [514] = 505,
  [515] = 406,
  [516] = 505,
  [517] = 356,
  [518] = 265,
  [519] = 357,
  [520] = 358,
  [521] = 371,
  [522] = 372,
  [523] = 374,
  [524] = 505,
  [525] = 350,
  [526] = 347,
  [527] = 379,
  [528] = 396,
  [529] = 382,
  [530] = 389,
  [531] = 348,
  [532] = 352,
  [533] = 505,
  [534] = 505,
  [535] = 393,
  [536] = 394,
  [537] = 505,
  [538] = 398,
  [539] = 402,
  [540] = 505,
  [541] = 265,
  [542] = 505,
  [543] = 505,
  [544] = 365,
  [545] = 420,
  [546] = 363,
  [547] = 384,
  [548] = 405,
  [549] = 366,
  [550] = 417,
  [551] = 419,
  [552] = 367,
  [553] = 409,
  [554] = 411,
  [555] = 407,
  [556] = 423,
  [557] = 376,
  [558] = 378,
  [559] = 266,
  [560] = 401,
  [561] = 380,
  [562] = 505,
  [563] = 381,
  [564] = 397,
  [565] = 247,
  [566] = 505,
  [567] = 387,
  [568] = 151,
  [569] = 266,
  [570] = 505,
  [571] = 391,
  [572] = 359,
  [573] = 390,
  [574] = 360,
  [575] = 424,
  [576] = 349,
  [577] = 266,
  [578] = 153,
  [579] = 421,
  [580] = 505,
  [581] = 414,
  [582] = 422,
  [583] = 404,
  [584] = 408,
  [585] = 400,
  [586] = 392,
  [587] = 388,
  [588] = 383,
  [589] = 377,
  [590] = 370,
  [591] = 265,
  [592] = 247,
  [593] = 247,
  [594] = 375,
  [595] = 373,
  [596] = 369,
  [597] = 368,
  [598] = 330,
  [599] = 334,
  [600] = 279,
  [601] = 277,
  [602] = 602,
  [603] = 316,
  [604] = 295,
  [605] = 288,
  [606] = 316,
  [607] = 279,
  [608] = 288,
  [609] = 609,
  [610] = 283,
  [611] = 285,
  [612] = 322,
  [613] = 299,
  [614] = 287,
  [615] = 323,
  [616] = 616,
  [617] = 282,
  [618] = 285,
  [619] = 619,
  [620] = 609,
  [621] = 307,
  [622] = 274,
  [623] = 276,
  [624] = 275,
  [625] = 275,
  [626] = 626,
  [627] = 307,
  [628] = 320,
  [629] = 281,
  [630] = 299,
  [631] = 287,
  [632] = 280,
  [633] = 284,
  [634] = 306,
  [635] = 635,
  [636] = 305,
  [637] = 304,
  [638] = 301,
  [639] = 308,
  [640] = 277,
  [641] = 320,
  [642] = 278,
  [643] = 304,
  [644] = 276,
  [645] = 282,
  [646] = 277,
  [647] = 295,
  [648] = 274,
  [649] = 276,
  [650] = 301,
  [651] = 307,
  [652] = 652,
  [653] = 626,
  [654] = 281,
  [655] = 274,
  [656] = 656,
  [657] = 289,
  [658] = 306,
  [659] = 308,
  [660] = 306,
  [661] = 290,
  [662] = 291,
  [663] = 299,
  [664] = 292,
  [665] = 293,
  [666] = 280,
  [667] = 305,
  [668] = 278,
  [669] = 294,
  [670] = 296,
  [671] = 297,
  [672] = 283,
  [673] = 284,
  [674] = 298,
  [675] = 308,
  [676] = 304,
  [677] = 272,
  [678] = 322,
  [679] = 315,
  [680] = 323,
  [681] = 320,
  [682] = 324,
  [683] = 300,
  [684] = 302,
  [685] = 326,
  [686] = 327,
  [687] = 328,
  [688] = 329,
  [689] = 309,
  [690] = 310,
  [691] = 278,
  [692] = 332,
  [693] = 311,
  [694] = 324,
  [695] = 312,
  [696] = 313,
  [697] = 314,
  [698] = 333,
  [699] = 334,
  [700] = 279,
  [701] = 289,
  [702] = 290,
  [703] = 317,
  [704] = 318,
  [705] = 319,
  [706] = 291,
  [707] = 292,
  [708] = 293,
  [709] = 294,
  [710] = 296,
  [711] = 297,
  [712] = 321,
  [713] = 298,
  [714] = 272,
  [715] = 300,
  [716] = 302,
  [717] = 309,
  [718] = 310,
  [719] = 311,
  [720] = 312,
  [721] = 313,
  [722] = 314,
  [723] = 315,
  [724] = 317,
  [725] = 318,
  [726] = 626,
  [727] = 335,
  [728] = 325,
  [729] = 656,
  [730] = 336,
  [731] = 319,
  [732] = 321,
  [733] = 331,
  [734] = 340,
  [735] = 345,
  [736] = 325,
  [737] = 273,
  [738] = 331,
  [739] = 340,
  [740] = 345,
  [741] = 273,
  [742] = 275,
  [743] = 344,
  [744] = 344,
  [745] = 343,
  [746] = 342,
  [747] = 343,
  [748] = 341,
  [749] = 342,
  [750] = 339,
  [751] = 341,
  [752] = 288,
  [753] = 287,
  [754] = 338,
  [755] = 337,
  [756] = 336,
  [757] = 335,
  [758] = 334,
  [759] = 333,
  [760] = 332,
  [761] = 330,
  [762] = 301,
  [763] = 316,
  [764] = 329,
  [765] = 337,
  [766] = 338,
  [767] = 339,
  [768] = 339,
  [769] = 305,
  [770] = 341,
  [771] = 338,
  [772] = 337,
  [773] = 336,
  [774] = 335,
  [775] = 328,
  [776] = 342,
  [777] = 656,
  [778] = 327,
  [779] = 326,
  [780] = 333,
  [781] = 332,
  [782] = 330,
  [783] = 329,
  [784] = 343,
  [785] = 328,
  [786] = 344,
  [787] = 273,
  [788] = 345,
  [789] = 340,
  [790] = 331,
  [791] = 325,
  [792] = 327,
  [793] = 321,
  [794] = 319,
  [795] = 318,
  [796] = 317,
  [797] = 315,
  [798] = 314,
  [799] = 313,
  [800] = 312,
  [801] = 311,
  [802] = 310,
  [803] = 309,
  [804] = 302,
  [805] = 326,
  [806] = 324,
  [807] = 323,
  [808] = 322,
  [809] = 283,
  [810] = 300,
  [811] = 272,
  [812] = 298,
  [813] = 297,
  [814] = 296,
  [815] = 294,
  [816] = 293,
  [817] = 292,
  [818] = 291,
  [819] = 290,
  [820] = 280,
  [821] = 281,
  [822] = 282,
  [823] = 289,
  [824] = 626,
  [825] = 284,
  [826] = 285,
  [827] = 295,
  [828] = 656,
  [829] = 359,
  [830] = 422,
  [831] = 398,
  [832] = 361,
  [833] = 366,
  [834] = 393,
  [835] = 402,
  [836] = 420,
  [837] = 359,
  [838] = 358,
  [839] = 357,
  [840] = 356,
  [841] = 379,
  [842] = 404,
  [843] = 379,
  [844] = 417,
  [845] = 365,
  [846] = 391,
  [847] = 368,
  [848] = 376,
  [849] = 369,
  [850] = 378,
  [851] = 380,
  [852] = 381,
  [853] = 360,
  [854] = 387,
  [855] = 371,
  [856] = 390,
  [857] = 350,
  [858] = 372,
  [859] = 414,
  [860] = 389,
  [861] = 275,
  [862] = 421,
  [863] = 373,
  [864] = 422,
  [865] = 389,
  [866] = 408,
  [867] = 400,
  [868] = 392,
  [869] = 388,
  [870] = 390,
  [871] = 383,
  [872] = 377,
  [873] = 356,
  [874] = 370,
  [875] = 357,
  [876] = 358,
  [877] = 421,
  [878] = 378,
  [879] = 374,
  [880] = 376,
  [881] = 371,
  [882] = 349,
  [883] = 424,
  [884] = 375,
  [885] = 373,
  [886] = 369,
  [887] = 368,
  [888] = 372,
  [889] = 361,
  [890] = 360,
  [891] = 382,
  [892] = 394,
  [893] = 365,
  [894] = 423,
  [895] = 374,
  [896] = 387,
  [897] = 233,
  [898] = 397,
  [899] = 347,
  [900] = 382,
  [901] = 350,
  [902] = 375,
  [903] = 401,
  [904] = 420,
  [905] = 347,
  [906] = 348,
  [907] = 352,
  [908] = 411,
  [909] = 409,
  [910] = 363,
  [911] = 407,
  [912] = 366,
  [913] = 367,
  [914] = 393,
  [915] = 394,
  [916] = 408,
  [917] = 348,
  [918] = 352,
  [919] = 396,
  [920] = 409,
  [921] = 411,
  [922] = 419,
  [923] = 417,
  [924] = 405,
  [925] = 384,
  [926] = 391,
  [927] = 405,
  [928] = 384,
  [929] = 423,
  [930] = 397,
  [931] = 406,
  [932] = 398,
  [933] = 424,
  [934] = 396,
  [935] = 349,
  [936] = 401,
  [937] = 402,
  [938] = 370,
  [939] = 363,
  [940] = 406,
  [941] = 404,
  [942] = 367,
  [943] = 407,
  [944] = 400,
  [945] = 414,
  [946] = 377,
  [947] = 383,
  [948] = 392,
  [949] = 419,
  [950] = 381,
  [951] = 380,
  [952] = 388,
  [953] = 232,
  [954] = 152,
  [955] = 635,
  [956] = 956,
  [957] = 957,
  [958] = 348,
  [959] = 956,
  [960] = 400,
  [961] = 392,
  [962] = 388,
  [963] = 406,
  [964] = 419,
  [965] = 349,
  [966] = 417,
  [967] = 383,
  [968] = 357,
  [969] = 956,
  [970] = 635,
  [971] = 377,
  [972] = 358,
  [973] = 359,
  [974] = 956,
  [975] = 975,
  [976] = 421,
  [977] = 370,
  [978] = 391,
  [979] = 360,
  [980] = 414,
  [981] = 367,
  [982] = 975,
  [983] = 956,
  [984] = 361,
  [985] = 366,
  [986] = 152,
  [987] = 368,
  [988] = 152,
  [989] = 369,
  [990] = 975,
  [991] = 356,
  [992] = 404,
  [993] = 363,
  [994] = 975,
  [995] = 350,
  [996] = 424,
  [997] = 997,
  [998] = 423,
  [999] = 398,
  [1000] = 956,
  [1001] = 376,
  [1002] = 405,
  [1003] = 378,
  [1004] = 397,
  [1005] = 384,
  [1006] = 956,
  [1007] = 956,
  [1008] = 379,
  [1009] = 396,
  [1010] = 408,
  [1011] = 394,
  [1012] = 393,
  [1013] = 956,
  [1014] = 975,
  [1015] = 975,
  [1016] = 390,
  [1017] = 389,
  [1018] = 347,
  [1019] = 422,
  [1020] = 375,
  [1021] = 975,
  [1022] = 374,
  [1023] = 365,
  [1024] = 975,
  [1025] = 381,
  [1026] = 373,
  [1027] = 420,
  [1028] = 975,
  [1029] = 635,
  [1030] = 380,
  [1031] = 352,
  [1032] = 371,
  [1033] = 372,
  [1034] = 975,
  [1035] = 956,
  [1036] = 411,
  [1037] = 975,
  [1038] = 407,
  [1039] = 401,
  [1040] = 956,
  [1041] = 409,
  [1042] = 975,
  [1043] = 956,
  [1044] = 387,
  [1045] = 402,
  [1046] = 1046,
  [1047] = 382,
  [1048] = 152,
  [1049] = 152,
  [1050] = 152,
  [1051] = 152,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1053,
  [1055] = 1055,
  [1056] = 1055,
  [1057] = 1055,
  [1058] = 1055,
  [1059] = 1055,
  [1060] = 1055,
  [1061] = 1055,
  [1062] = 1055,
  [1063] = 1055,
  [1064] = 1064,
  [1065] = 1065,
  [1066] = 1066,
  [1067] = 1066,
  [1068] = 1066,
  [1069] = 1066,
  [1070] = 1066,
  [1071] = 1066,
  [1072] = 1066,
  [1073] = 1066,
  [1074] = 1066,
  [1075] = 1075,
  [1076] = 229,
  [1077] = 231,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1081,
  [1082] = 1082,
  [1083] = 1081,
  [1084] = 1081,
  [1085] = 1079,
  [1086] = 1086,
  [1087] = 1087,
  [1088] = 1088,
  [1089] = 1079,
  [1090] = 1079,
  [1091] = 1081,
  [1092] = 1092,
  [1093] = 1086,
  [1094] = 1081,
  [1095] = 1078,
  [1096] = 1087,
  [1097] = 1079,
  [1098] = 1098,
  [1099] = 1099,
  [1100] = 1098,
  [1101] = 151,
  [1102] = 1102,
  [1103] = 265,
  [1104] = 247,
  [1105] = 153,
  [1106] = 266,
  [1107] = 1102,
  [1108] = 304,
  [1109] = 299,
  [1110] = 332,
  [1111] = 330,
  [1112] = 325,
  [1113] = 329,
  [1114] = 328,
  [1115] = 327,
  [1116] = 331,
  [1117] = 326,
  [1118] = 340,
  [1119] = 1075,
  [1120] = 345,
  [1121] = 324,
  [1122] = 273,
  [1123] = 344,
  [1124] = 287,
  [1125] = 308,
  [1126] = 278,
  [1127] = 1065,
  [1128] = 343,
  [1129] = 342,
  [1130] = 341,
  [1131] = 323,
  [1132] = 339,
  [1133] = 322,
  [1134] = 285,
  [1135] = 338,
  [1136] = 277,
  [1137] = 319,
  [1138] = 337,
  [1139] = 283,
  [1140] = 336,
  [1141] = 307,
  [1142] = 335,
  [1143] = 334,
  [1144] = 321,
  [1145] = 318,
  [1146] = 320,
  [1147] = 306,
  [1148] = 317,
  [1149] = 315,
  [1150] = 305,
  [1151] = 316,
  [1152] = 314,
  [1153] = 313,
  [1154] = 312,
  [1155] = 311,
  [1156] = 310,
  [1157] = 309,
  [1158] = 302,
  [1159] = 301,
  [1160] = 300,
  [1161] = 333,
  [1162] = 276,
  [1163] = 274,
  [1164] = 1064,
  [1165] = 272,
  [1166] = 289,
  [1167] = 298,
  [1168] = 295,
  [1169] = 297,
  [1170] = 290,
  [1171] = 279,
  [1172] = 296,
  [1173] = 280,
  [1174] = 281,
  [1175] = 294,
  [1176] = 282,
  [1177] = 288,
  [1178] = 293,
  [1179] = 284,
  [1180] = 292,
  [1181] = 291,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1183,
  [1185] = 1183,
  [1186] = 1186,
  [1187] = 1186,
  [1188] = 1188,
  [1189] = 1189,
  [1190] = 1186,
  [1191] = 1183,
  [1192] = 1192,
  [1193] = 1183,
  [1194] = 1189,
  [1195] = 1192,
  [1196] = 1196,
  [1197] = 1183,
  [1198] = 1183,
  [1199] = 1183,
  [1200] = 1183,
  [1201] = 1201,
  [1202] = 1189,
  [1203] = 1192,
  [1204] = 1192,
  [1205] = 1192,
  [1206] = 1192,
  [1207] = 1183,
  [1208] = 1208,
  [1209] = 1192,
  [1210] = 1196,
  [1211] = 1186,
  [1212] = 1186,
  [1213] = 1186,
  [1214] = 1208,
  [1215] = 1189,
  [1216] = 1192,
  [1217] = 1208,
  [1218] = 1189,
  [1219] = 1186,
  [1220] = 1192,
  [1221] = 1186,
  [1222] = 1183,
  [1223] = 1192,
  [1224] = 1189,
  [1225] = 1192,
  [1226] = 1208,
  [1227] = 1227,
  [1228] = 1227,
  [1229] = 1208,
  [1230] = 1227,
  [1231] = 1231,
  [1232] = 1227,
  [1233] = 1227,
  [1234] = 1231,
  [1235] = 1227,
  [1236] = 1231,
  [1237] = 1231,
  [1238] = 1196,
  [1239] = 1231,
  [1240] = 1227,
  [1241] = 1231,
  [1242] = 1231,
  [1243] = 1231,
  [1244] = 1227,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1247,
  [1248] = 1247,
  [1249] = 1247,
  [1250] = 1247,
  [1251] = 1247,
  [1252] = 1247,
  [1253] = 1247,
  [1254] = 1247,
  [1255] = 1247,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1257,
  [1259] = 1257,
  [1260] = 1257,
  [1261] = 1257,
  [1262] = 1256,
  [1263] = 1257,
  [1264] = 1257,
  [1265] = 1256,
  [1266] = 1266,
  [1267] = 1256,
  [1268] = 1256,
  [1269] = 1257,
  [1270] = 1256,
  [1271] = 1257,
  [1272] = 1257,
  [1273] = 1257,
  [1274] = 1274,
  [1275] = 1274,
  [1276] = 1276,
  [1277] = 1277,
  [1278] = 1278,
  [1279] = 1279,
  [1280] = 1279,
  [1281] = 1281,
  [1282] = 1276,
  [1283] = 1278,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1279,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1279,
  [1291] = 1291,
  [1292] = 1292,
  [1293] = 1274,
  [1294] = 1294,
  [1295] = 1281,
  [1296] = 1296,
  [1297] = 1281,
  [1298] = 1278,
  [1299] = 1278,
  [1300] = 1300,
  [1301] = 1274,
  [1302] = 1279,
  [1303] = 1274,
  [1304] = 1281,
  [1305] = 1305,
  [1306] = 1306,
  [1307] = 1279,
  [1308] = 1279,
  [1309] = 1309,
  [1310] = 1279,
  [1311] = 1305,
  [1312] = 1305,
  [1313] = 1281,
  [1314] = 1279,
  [1315] = 1274,
  [1316] = 1276,
  [1317] = 1274,
  [1318] = 1281,
  [1319] = 1274,
  [1320] = 1281,
  [1321] = 1281,
  [1322] = 1278,
  [1323] = 1278,
  [1324] = 1274,
  [1325] = 1279,
  [1326] = 1305,
  [1327] = 1276,
  [1328] = 1281,
  [1329] = 1279,
  [1330] = 1278,
  [1331] = 1281,
  [1332] = 1278,
  [1333] = 1278,
  [1334] = 1274,
  [1335] = 1274,
  [1336] = 1279,
  [1337] = 1274,
  [1338] = 1278,
  [1339] = 1278,
  [1340] = 1340,
  [1341] = 1281,
  [1342] = 1274,
  [1343] = 1278,
  [1344] = 1344,
  [1345] = 1278,
  [1346] = 1281,
  [1347] = 1279,
  [1348] = 1278,
  [1349] = 1278,
  [1350] = 1281,
  [1351] = 1279,
  [1352] = 1281,
  [1353] = 1274,
  [1354] = 1281,
  [1355] = 1279,
  [1356] = 1274,
  [1357] = 1357,
  [1358] = 1358,
  [1359] = 1359,
  [1360] = 1358,
  [1361] = 1357,
  [1362] = 1362,
  [1363] = 1357,
  [1364] = 1364,
  [1365] = 1358,
  [1366] = 1366,
  [1367] = 1358,
  [1368] = 1358,
  [1369] = 1358,
  [1370] = 1370,
  [1371] = 1371,
  [1372] = 1372,
  [1373] = 1373,
  [1374] = 1374,
  [1375] = 1375,
  [1376] = 1376,
  [1377] = 1358,
  [1378] = 1358,
  [1379] = 1358,
  [1380] = 1358,
  [1381] = 1381,
  [1382] = 1357,
  [1383] = 1357,
  [1384] = 1358,
  [1385] = 1357,
  [1386] = 1386,
  [1387] = 1387,
  [1388] = 1388,
  [1389] = 1389,
  [1390] = 1390,
  [1391] = 1358,
  [1392] = 1357,
  [1393] = 1358,
  [1394] = 1394,
  [1395] = 1357,
  [1396] = 1358,
  [1397] = 1358,
  [1398] = 1398,
  [1399] = 1399,
  [1400] = 1400,
  [1401] = 1398,
  [1402] = 1402,
  [1403] = 1403,
  [1404] = 1404,
  [1405] = 1402,
  [1406] = 1406,
  [1407] = 1407,
  [1408] = 1400,
  [1409] = 1409,
  [1410] = 1403,
  [1411] = 1411,
  [1412] = 1412,
  [1413] = 1402,
  [1414] = 1414,
  [1415] = 1415,
  [1416] = 1398,
  [1417] = 1398,
  [1418] = 1411,
  [1419] = 1407,
  [1420] = 1402,
  [1421] = 1402,
  [1422] = 1398,
  [1423] = 1398,
  [1424] = 1403,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1403,
  [1429] = 1402,
  [1430] = 1430,
  [1431] = 1431,
  [1432] = 1403,
  [1433] = 1407,
  [1434] = 1398,
  [1435] = 1425,
  [1436] = 1411,
  [1437] = 1426,
  [1438] = 1438,
  [1439] = 1398,
  [1440] = 1403,
  [1441] = 1441,
  [1442] = 1427,
  [1443] = 1430,
  [1444] = 1431,
  [1445] = 1445,
  [1446] = 1438,
  [1447] = 1441,
  [1448] = 1445,
  [1449] = 1407,
  [1450] = 1450,
  [1451] = 1411,
  [1452] = 1452,
  [1453] = 1453,
  [1454] = 1452,
  [1455] = 1398,
  [1456] = 1453,
  [1457] = 1398,
  [1458] = 1458,
  [1459] = 1399,
  [1460] = 1460,
  [1461] = 1458,
  [1462] = 1462,
  [1463] = 1463,
  [1464] = 1464,
  [1465] = 1403,
  [1466] = 1466,
  [1467] = 1409,
  [1468] = 1468,
  [1469] = 1469,
  [1470] = 1403,
  [1471] = 1471,
  [1472] = 1472,
  [1473] = 1403,
  [1474] = 1474,
  [1475] = 1402,
  [1476] = 1476,
  [1477] = 1477,
  [1478] = 1478,
  [1479] = 1398,
  [1480] = 1466,
  [1481] = 1481,
  [1482] = 1400,
  [1483] = 1483,
  [1484] = 1403,
  [1485] = 1409,
  [1486] = 1486,
  [1487] = 1402,
  [1488] = 1398,
  [1489] = 1414,
  [1490] = 1403,
  [1491] = 1415,
  [1492] = 1403,
  [1493] = 1398,
  [1494] = 1494,
  [1495] = 1412,
  [1496] = 1400,
  [1497] = 1403,
  [1498] = 1466,
  [1499] = 1402,
  [1500] = 1463,
  [1501] = 1483,
  [1502] = 1402,
  [1503] = 1481,
  [1504] = 1478,
  [1505] = 1477,
  [1506] = 1476,
  [1507] = 1407,
  [1508] = 1411,
  [1509] = 1398,
  [1510] = 1403,
  [1511] = 1460,
  [1512] = 1402,
  [1513] = 1398,
  [1514] = 1411,
  [1515] = 1466,
  [1516] = 1400,
  [1517] = 1407,
  [1518] = 1402,
  [1519] = 1409,
  [1520] = 1474,
  [1521] = 1472,
  [1522] = 1471,
  [1523] = 1403,
  [1524] = 1469,
  [1525] = 1464,
  [1526] = 1486,
  [1527] = 1409,
  [1528] = 1528,
  [1529] = 1529,
  [1530] = 1530,
  [1531] = 1531,
  [1532] = 1528,
  [1533] = 1533,
  [1534] = 1534,
  [1535] = 1535,
  [1536] = 1536,
  [1537] = 1537,
  [1538] = 1538,
  [1539] = 1539,
  [1540] = 1540,
  [1541] = 1541,
  [1542] = 1542,
  [1543] = 1543,
  [1544] = 1544,
  [1545] = 1536,
  [1546] = 1546,
  [1547] = 1547,
  [1548] = 1548,
  [1549] = 1536,
  [1550] = 1529,
  [1551] = 1546,
  [1552] = 1552,
  [1553] = 1534,
  [1554] = 1554,
  [1555] = 1555,
  [1556] = 1556,
  [1557] = 1528,
  [1558] = 1531,
  [1559] = 1544,
  [1560] = 1560,
  [1561] = 1552,
  [1562] = 1548,
  [1563] = 1535,
  [1564] = 1547,
  [1565] = 1543,
  [1566] = 1541,
  [1567] = 1539,
  [1568] = 1544,
  [1569] = 1531,
  [1570] = 1560,
  [1571] = 1552,
  [1572] = 1548,
  [1573] = 1547,
  [1574] = 1543,
  [1575] = 1541,
  [1576] = 1539,
  [1577] = 1544,
  [1578] = 1537,
  [1579] = 1536,
  [1580] = 1580,
  [1581] = 1581,
  [1582] = 1582,
  [1583] = 1544,
  [1584] = 1536,
  [1585] = 1539,
  [1586] = 1541,
  [1587] = 1543,
  [1588] = 1547,
  [1589] = 1548,
  [1590] = 1590,
  [1591] = 1536,
  [1592] = 1552,
  [1593] = 1560,
  [1594] = 1531,
  [1595] = 1582,
  [1596] = 1528,
  [1597] = 1597,
  [1598] = 1534,
  [1599] = 1537,
  [1600] = 1581,
  [1601] = 1580,
  [1602] = 1580,
  [1603] = 1603,
  [1604] = 1537,
  [1605] = 1534,
  [1606] = 1528,
  [1607] = 1531,
  [1608] = 1560,
  [1609] = 1552,
  [1610] = 1556,
  [1611] = 1548,
  [1612] = 1536,
  [1613] = 1547,
  [1614] = 1534,
  [1615] = 1537,
  [1616] = 1543,
  [1617] = 1541,
  [1618] = 1539,
  [1619] = 1544,
  [1620] = 1603,
  [1621] = 1537,
  [1622] = 1546,
  [1623] = 1534,
  [1624] = 1534,
  [1625] = 1537,
  [1626] = 1528,
  [1627] = 1531,
  [1628] = 1538,
  [1629] = 1560,
  [1630] = 1552,
  [1631] = 1548,
  [1632] = 1547,
  [1633] = 1543,
  [1634] = 1541,
  [1635] = 1539,
  [1636] = 1534,
  [1637] = 1637,
  [1638] = 1638,
  [1639] = 1639,
  [1640] = 1535,
  [1641] = 1641,
  [1642] = 1537,
  [1643] = 1643,
  [1644] = 1556,
  [1645] = 1645,
  [1646] = 1646,
  [1647] = 1528,
  [1648] = 1531,
  [1649] = 1560,
  [1650] = 1552,
  [1651] = 1548,
  [1652] = 1547,
  [1653] = 1543,
  [1654] = 1541,
  [1655] = 1539,
  [1656] = 1538,
  [1657] = 1544,
  [1658] = 1538,
  [1659] = 1537,
  [1660] = 1534,
  [1661] = 1528,
  [1662] = 1531,
  [1663] = 1560,
  [1664] = 1552,
  [1665] = 1548,
  [1666] = 1547,
  [1667] = 1543,
  [1668] = 1668,
  [1669] = 1541,
  [1670] = 1670,
  [1671] = 1539,
  [1672] = 1581,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1544,
  [1676] = 1676,
  [1677] = 1637,
  [1678] = 1678,
  [1679] = 1546,
  [1680] = 1680,
  [1681] = 1681,
  [1682] = 1603,
  [1683] = 1603,
  [1684] = 1537,
  [1685] = 1544,
  [1686] = 1539,
  [1687] = 1541,
  [1688] = 1543,
  [1689] = 1547,
  [1690] = 1548,
  [1691] = 1582,
  [1692] = 1581,
  [1693] = 1546,
  [1694] = 1638,
  [1695] = 1681,
  [1696] = 1534,
  [1697] = 1546,
  [1698] = 1552,
  [1699] = 1560,
  [1700] = 1531,
  [1701] = 1528,
  [1702] = 1528,
  [1703] = 1556,
  [1704] = 1639,
  [1705] = 1556,
  [1706] = 1531,
  [1707] = 1542,
  [1708] = 1560,
  [1709] = 1638,
  [1710] = 1552,
  [1711] = 1536,
  [1712] = 1645,
  [1713] = 1546,
  [1714] = 1680,
  [1715] = 1548,
  [1716] = 1547,
  [1717] = 1543,
  [1718] = 1580,
  [1719] = 1538,
  [1720] = 1541,
  [1721] = 1529,
  [1722] = 1539,
  [1723] = 1670,
  [1724] = 1544,
  [1725] = 1582,
  [1726] = 1673,
  [1727] = 1528,
  [1728] = 1639,
  [1729] = 1531,
  [1730] = 1542,
  [1731] = 1580,
  [1732] = 1560,
  [1733] = 1638,
  [1734] = 1645,
  [1735] = 1680,
  [1736] = 1552,
  [1737] = 1548,
  [1738] = 1547,
  [1739] = 1560,
  [1740] = 1543,
  [1741] = 1670,
  [1742] = 1541,
  [1743] = 1537,
  [1744] = 1539,
  [1745] = 1673,
  [1746] = 1556,
  [1747] = 1528,
  [1748] = 1748,
  [1749] = 1531,
  [1750] = 1560,
  [1751] = 1552,
  [1752] = 1548,
  [1753] = 1547,
  [1754] = 1543,
  [1755] = 1541,
  [1756] = 1539,
  [1757] = 1544,
  [1758] = 1639,
  [1759] = 1542,
  [1760] = 1638,
  [1761] = 1645,
  [1762] = 1544,
  [1763] = 1680,
  [1764] = 1538,
  [1765] = 1534,
  [1766] = 1529,
  [1767] = 1670,
  [1768] = 1582,
  [1769] = 1538,
  [1770] = 1673,
  [1771] = 1581,
  [1772] = 1544,
  [1773] = 1539,
  [1774] = 1541,
  [1775] = 1543,
  [1776] = 1547,
  [1777] = 1548,
  [1778] = 1552,
  [1779] = 1560,
  [1780] = 1531,
  [1781] = 1528,
  [1782] = 1556,
  [1783] = 1639,
  [1784] = 1580,
  [1785] = 1542,
  [1786] = 1638,
  [1787] = 1645,
  [1788] = 1580,
  [1789] = 1680,
  [1790] = 1581,
  [1791] = 1582,
  [1792] = 1580,
  [1793] = 1529,
  [1794] = 1556,
  [1795] = 1670,
  [1796] = 1673,
  [1797] = 1797,
  [1798] = 1639,
  [1799] = 1542,
  [1800] = 1638,
  [1801] = 1645,
  [1802] = 1680,
  [1803] = 1546,
  [1804] = 1529,
  [1805] = 1805,
  [1806] = 1639,
  [1807] = 1542,
  [1808] = 1641,
  [1809] = 1643,
  [1810] = 1638,
  [1811] = 1581,
  [1812] = 1645,
  [1813] = 1546,
  [1814] = 1582,
  [1815] = 1680,
  [1816] = 1538,
  [1817] = 1529,
  [1818] = 1637,
  [1819] = 1639,
  [1820] = 1542,
  [1821] = 1534,
  [1822] = 1645,
  [1823] = 1680,
  [1824] = 1582,
  [1825] = 1603,
  [1826] = 1534,
  [1827] = 1529,
  [1828] = 1581,
  [1829] = 1639,
  [1830] = 1542,
  [1831] = 1580,
  [1832] = 1638,
  [1833] = 1680,
  [1834] = 1603,
  [1835] = 1556,
  [1836] = 1556,
  [1837] = 1546,
  [1838] = 1537,
  [1839] = 1538,
  [1840] = 1534,
  [1841] = 1670,
  [1842] = 1537,
  [1843] = 1582,
  [1844] = 1581,
  [1845] = 1582,
  [1846] = 1581,
  [1847] = 1580,
  [1848] = 1668,
  [1849] = 1556,
  [1850] = 1546,
  [1851] = 1534,
  [1852] = 1537,
  [1853] = 1853,
  [1854] = 1539,
  [1855] = 1538,
  [1856] = 1582,
  [1857] = 1668,
  [1858] = 1668,
  [1859] = 1668,
  [1860] = 1668,
  [1861] = 1668,
  [1862] = 1668,
  [1863] = 1668,
  [1864] = 1603,
  [1865] = 1544,
  [1866] = 1539,
  [1867] = 1541,
  [1868] = 1543,
  [1869] = 1581,
  [1870] = 1580,
  [1871] = 1556,
  [1872] = 1547,
  [1873] = 1548,
  [1874] = 1552,
  [1875] = 1560,
  [1876] = 1531,
  [1877] = 1581,
  [1878] = 1528,
  [1879] = 1673,
  [1880] = 1546,
  [1881] = 1582,
  [1882] = 1581,
  [1883] = 1580,
  [1884] = 1556,
  [1885] = 1538,
  [1886] = 1582,
  [1887] = 1582,
  [1888] = 1581,
  [1889] = 1580,
  [1890] = 1538,
  [1891] = 1528,
  [1892] = 1531,
  [1893] = 1556,
  [1894] = 1546,
  [1895] = 1853,
  [1896] = 1538,
  [1897] = 1546,
  [1898] = 1538,
  [1899] = 1582,
  [1900] = 1581,
  [1901] = 1580,
  [1902] = 1580,
  [1903] = 1556,
  [1904] = 1544,
  [1905] = 1541,
  [1906] = 1543,
  [1907] = 1546,
  [1908] = 1537,
  [1909] = 1547,
  [1910] = 1548,
  [1911] = 1552,
  [1912] = 1538,
  [1913] = 1560,
  [1914] = 1914,
  [1915] = 1914,
  [1916] = 1914,
  [1917] = 1914,
  [1918] = 1914,
  [1919] = 1919,
  [1920] = 406,
  [1921] = 396,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1927,
  [1928] = 1928,
  [1929] = 1929,
  [1930] = 1929,
  [1931] = 1929,
  [1932] = 1932,
  [1933] = 1923,
  [1934] = 1929,
  [1935] = 1932,
  [1936] = 1928,
  [1937] = 1927,
  [1938] = 1926,
  [1939] = 1932,
  [1940] = 1940,
  [1941] = 1922,
  [1942] = 1925,
  [1943] = 1924,
  [1944] = 1932,
  [1945] = 1196,
  [1946] = 1946,
  [1947] = 1946,
  [1948] = 1196,
  [1949] = 1923,
  [1950] = 1928,
  [1951] = 1932,
  [1952] = 1922,
  [1953] = 1924,
  [1954] = 1925,
  [1955] = 1926,
  [1956] = 1927,
  [1957] = 1924,
  [1958] = 1925,
  [1959] = 1923,
  [1960] = 1927,
  [1961] = 1926,
  [1962] = 1922,
  [1963] = 1928,
  [1964] = 1964,
  [1965] = 1964,
  [1966] = 1964,
  [1967] = 1964,
  [1968] = 1964,
  [1969] = 1969,
  [1970] = 1969,
  [1971] = 1969,
  [1972] = 1969,
  [1973] = 1969,
  [1974] = 1974,
  [1975] = 1969,
  [1976] = 1969,
  [1977] = 1969,
  [1978] = 1969,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1982,
  [1983] = 1983,
  [1984] = 1984,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1987,
  [1988] = 1988,
  [1989] = 1989,
  [1990] = 1990,
  [1991] = 1991,
  [1992] = 1992,
  [1993] = 1993,
  [1994] = 1994,
  [1995] = 1995,
  [1996] = 1996,
  [1997] = 1981,
  [1998] = 1998,
  [1999] = 1999,
  [2000] = 2000,
  [2001] = 1932,
  [2002] = 2002,
  [2003] = 1932,
  [2004] = 2004,
  [2005] = 1932,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 1927,
  [2009] = 2009,
  [2010] = 2006,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2006,
  [2014] = 1924,
  [2015] = 1928,
  [2016] = 1926,
  [2017] = 1923,
  [2018] = 1922,
  [2019] = 2006,
  [2020] = 1925,
  [2021] = 2021,
  [2022] = 2006,
  [2023] = 1922,
  [2024] = 2012,
  [2025] = 1927,
  [2026] = 1979,
  [2027] = 1925,
  [2028] = 1928,
  [2029] = 1923,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 232,
  [2033] = 233,
  [2034] = 1924,
  [2035] = 1926,
  [2036] = 229,
  [2037] = 2037,
  [2038] = 231,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2041,
  [2043] = 2041,
  [2044] = 2039,
  [2045] = 1929,
  [2046] = 2039,
  [2047] = 2039,
  [2048] = 275,
  [2049] = 2039,
  [2050] = 2041,
  [2051] = 2039,
  [2052] = 2039,
  [2053] = 2039,
  [2054] = 2039,
  [2055] = 275,
  [2056] = 1932,
  [2057] = 2041,
  [2058] = 1979,
  [2059] = 231,
  [2060] = 2060,
  [2061] = 151,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 1929,
  [2065] = 2065,
  [2066] = 2066,
  [2067] = 233,
  [2068] = 247,
  [2069] = 2069,
  [2070] = 232,
  [2071] = 229,
  [2072] = 2072,
  [2073] = 1979,
  [2074] = 153,
  [2075] = 2075,
  [2076] = 406,
  [2077] = 2077,
  [2078] = 373,
  [2079] = 2079,
  [2080] = 2080,
  [2081] = 383,
  [2082] = 375,
  [2083] = 1923,
  [2084] = 2069,
  [2085] = 360,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 1924,
  [2089] = 1925,
  [2090] = 1929,
  [2091] = 359,
  [2092] = 1926,
  [2093] = 388,
  [2094] = 365,
  [2095] = 2095,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 2098,
  [2099] = 1986,
  [2100] = 2100,
  [2101] = 1928,
  [2102] = 2102,
  [2103] = 2103,
  [2104] = 2104,
  [2105] = 1927,
  [2106] = 2106,
  [2107] = 2107,
  [2108] = 1927,
  [2109] = 1926,
  [2110] = 1928,
  [2111] = 370,
  [2112] = 397,
  [2113] = 398,
  [2114] = 2114,
  [2115] = 2115,
  [2116] = 2116,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 2121,
  [2122] = 2122,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2126,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 2130,
  [2131] = 2131,
  [2132] = 2132,
  [2133] = 377,
  [2134] = 401,
  [2135] = 2135,
  [2136] = 372,
  [2137] = 420,
  [2138] = 392,
  [2139] = 407,
  [2140] = 400,
  [2141] = 2141,
  [2142] = 2142,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2087,
  [2146] = 316,
  [2147] = 2147,
  [2148] = 275,
  [2149] = 371,
  [2150] = 376,
  [2151] = 378,
  [2152] = 379,
  [2153] = 2153,
  [2154] = 380,
  [2155] = 381,
  [2156] = 369,
  [2157] = 2157,
  [2158] = 384,
  [2159] = 405,
  [2160] = 2160,
  [2161] = 1998,
  [2162] = 2162,
  [2163] = 368,
  [2164] = 322,
  [2165] = 1923,
  [2166] = 1924,
  [2167] = 1925,
  [2168] = 2077,
  [2169] = 387,
  [2170] = 2080,
  [2171] = 1974,
  [2172] = 390,
  [2173] = 275,
  [2174] = 2086,
  [2175] = 1979,
  [2176] = 408,
  [2177] = 2177,
  [2178] = 1922,
  [2179] = 2079,
  [2180] = 323,
  [2181] = 409,
  [2182] = 419,
  [2183] = 417,
  [2184] = 2080,
  [2185] = 2185,
  [2186] = 411,
  [2187] = 1985,
  [2188] = 421,
  [2189] = 422,
  [2190] = 361,
  [2191] = 278,
  [2192] = 2185,
  [2193] = 396,
  [2194] = 285,
  [2195] = 1922,
  [2196] = 1932,
  [2197] = 1985,
  [2198] = 2198,
  [2199] = 2199,
  [2200] = 232,
  [2201] = 2201,
  [2202] = 2198,
  [2203] = 2203,
  [2204] = 229,
  [2205] = 2095,
  [2206] = 247,
  [2207] = 2207,
  [2208] = 233,
  [2209] = 2209,
  [2210] = 2095,
  [2211] = 2211,
  [2212] = 2203,
  [2213] = 2095,
  [2214] = 2203,
  [2215] = 1979,
  [2216] = 2203,
  [2217] = 1974,
  [2218] = 1979,
  [2219] = 229,
  [2220] = 2220,
  [2221] = 2095,
  [2222] = 2069,
  [2223] = 2223,
  [2224] = 1979,
  [2225] = 2225,
  [2226] = 2226,
  [2227] = 2227,
  [2228] = 2203,
  [2229] = 2229,
  [2230] = 2230,
  [2231] = 2231,
  [2232] = 232,
  [2233] = 2233,
  [2234] = 2234,
  [2235] = 1979,
  [2236] = 2220,
  [2237] = 2237,
  [2238] = 2238,
  [2239] = 1985,
  [2240] = 2240,
  [2241] = 2241,
  [2242] = 2203,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2251,
  [2252] = 2252,
  [2253] = 2253,
  [2254] = 2254,
  [2255] = 2255,
  [2256] = 2256,
  [2257] = 2257,
  [2258] = 2258,
  [2259] = 2095,
  [2260] = 2260,
  [2261] = 2261,
  [2262] = 2262,
  [2263] = 2263,
  [2264] = 2264,
  [2265] = 2203,
  [2266] = 231,
  [2267] = 1998,
  [2268] = 2203,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 1998,
  [2272] = 2272,
  [2273] = 2095,
  [2274] = 2274,
  [2275] = 1986,
  [2276] = 2276,
  [2277] = 1932,
  [2278] = 1986,
  [2279] = 153,
  [2280] = 151,
  [2281] = 231,
  [2282] = 233,
  [2283] = 2203,
  [2284] = 2284,
  [2285] = 2285,
  [2286] = 2238,
  [2287] = 377,
  [2288] = 2009,
  [2289] = 323,
  [2290] = 322,
  [2291] = 2291,
  [2292] = 2115,
  [2293] = 2116,
  [2294] = 2117,
  [2295] = 2295,
  [2296] = 2118,
  [2297] = 2119,
  [2298] = 1998,
  [2299] = 2129,
  [2300] = 2130,
  [2301] = 2131,
  [2302] = 1979,
  [2303] = 2132,
  [2304] = 2135,
  [2305] = 2305,
  [2306] = 278,
  [2307] = 2209,
  [2308] = 2153,
  [2309] = 2309,
  [2310] = 1986,
  [2311] = 383,
  [2312] = 2141,
  [2313] = 2142,
  [2314] = 2143,
  [2315] = 388,
  [2316] = 2144,
  [2317] = 392,
  [2318] = 400,
  [2319] = 2319,
  [2320] = 408,
  [2321] = 2147,
  [2322] = 2322,
  [2323] = 409,
  [2324] = 2157,
  [2325] = 2160,
  [2326] = 2326,
  [2327] = 411,
  [2328] = 422,
  [2329] = 2098,
  [2330] = 421,
  [2331] = 2211,
  [2332] = 2332,
  [2333] = 2333,
  [2334] = 2107,
  [2335] = 2011,
  [2336] = 2336,
  [2337] = 2021,
  [2338] = 2106,
  [2339] = 316,
  [2340] = 2262,
  [2341] = 2333,
  [2342] = 370,
  [2343] = 2343,
  [2344] = 2127,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 372,
  [2349] = 1979,
  [2350] = 2211,
  [2351] = 2241,
  [2352] = 2096,
  [2353] = 390,
  [2354] = 2104,
  [2355] = 2291,
  [2356] = 2356,
  [2357] = 2103,
  [2358] = 387,
  [2359] = 275,
  [2360] = 419,
  [2361] = 396,
  [2362] = 285,
  [2363] = 2102,
  [2364] = 275,
  [2365] = 417,
  [2366] = 2100,
  [2367] = 2291,
  [2368] = 275,
  [2369] = 375,
  [2370] = 275,
  [2371] = 373,
  [2372] = 2121,
  [2373] = 407,
  [2374] = 420,
  [2375] = 401,
  [2376] = 2262,
  [2377] = 2114,
  [2378] = 2075,
  [2379] = 2126,
  [2380] = 2125,
  [2381] = 2124,
  [2382] = 381,
  [2383] = 2123,
  [2384] = 2122,
  [2385] = 365,
  [2386] = 1985,
  [2387] = 2120,
  [2388] = 2097,
  [2389] = 380,
  [2390] = 398,
  [2391] = 397,
  [2392] = 379,
  [2393] = 406,
  [2394] = 384,
  [2395] = 405,
  [2396] = 1979,
  [2397] = 2291,
  [2398] = 2128,
  [2399] = 2007,
  [2400] = 359,
  [2401] = 360,
  [2402] = 361,
  [2403] = 368,
  [2404] = 369,
  [2405] = 371,
  [2406] = 2406,
  [2407] = 2407,
  [2408] = 2408,
  [2409] = 376,
  [2410] = 378,
  [2411] = 2248,
  [2412] = 2412,
  [2413] = 2225,
  [2414] = 2414,
  [2415] = 2263,
  [2416] = 2249,
  [2417] = 2237,
  [2418] = 2270,
  [2419] = 2419,
  [2420] = 2209,
  [2421] = 2234,
  [2422] = 2229,
  [2423] = 2233,
  [2424] = 2424,
  [2425] = 2230,
  [2426] = 2264,
  [2427] = 2021,
  [2428] = 2428,
  [2429] = 2009,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 1929,
  [2435] = 2276,
  [2436] = 2069,
  [2437] = 2437,
  [2438] = 153,
  [2439] = 2261,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 247,
  [2443] = 2269,
  [2444] = 2207,
  [2445] = 2430,
  [2446] = 2223,
  [2447] = 2227,
  [2448] = 151,
  [2449] = 2449,
  [2450] = 2450,
  [2451] = 2240,
  [2452] = 2452,
  [2453] = 2065,
  [2454] = 2231,
  [2455] = 2455,
  [2456] = 2226,
  [2457] = 2062,
  [2458] = 2250,
  [2459] = 2012,
  [2460] = 2251,
  [2461] = 1979,
  [2462] = 2462,
  [2463] = 2031,
  [2464] = 2011,
  [2465] = 2465,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2245,
  [2469] = 2469,
  [2470] = 2440,
  [2471] = 2471,
  [2472] = 2241,
  [2473] = 2473,
  [2474] = 2441,
  [2475] = 2007,
  [2476] = 2272,
  [2477] = 2253,
  [2478] = 2478,
  [2479] = 2452,
  [2480] = 2284,
  [2481] = 2455,
  [2482] = 2254,
  [2483] = 2243,
  [2484] = 2244,
  [2485] = 2345,
  [2486] = 2201,
  [2487] = 2247,
  [2488] = 247,
  [2489] = 2252,
  [2490] = 2256,
  [2491] = 2255,
  [2492] = 2257,
  [2493] = 2258,
  [2494] = 2069,
  [2495] = 153,
  [2496] = 2260,
  [2497] = 2466,
  [2498] = 2465,
  [2499] = 151,
  [2500] = 2075,
  [2501] = 2012,
  [2502] = 400,
  [2503] = 2466,
  [2504] = 407,
  [2505] = 408,
  [2506] = 388,
  [2507] = 383,
  [2508] = 2433,
  [2509] = 377,
  [2510] = 370,
  [2511] = 420,
  [2512] = 379,
  [2513] = 422,
  [2514] = 401,
  [2515] = 1986,
  [2516] = 316,
  [2517] = 398,
  [2518] = 2211,
  [2519] = 2440,
  [2520] = 397,
  [2521] = 1985,
  [2522] = 421,
  [2523] = 411,
  [2524] = 409,
  [2525] = 2441,
  [2526] = 2433,
  [2527] = 384,
  [2528] = 405,
  [2529] = 2069,
  [2530] = 2455,
  [2531] = 2452,
  [2532] = 2430,
  [2533] = 2009,
  [2534] = 278,
  [2535] = 1998,
  [2536] = 2120,
  [2537] = 372,
  [2538] = 371,
  [2539] = 405,
  [2540] = 2121,
  [2541] = 2021,
  [2542] = 2096,
  [2543] = 2097,
  [2544] = 2114,
  [2545] = 398,
  [2546] = 359,
  [2547] = 2098,
  [2548] = 2100,
  [2549] = 2102,
  [2550] = 2122,
  [2551] = 2135,
  [2552] = 390,
  [2553] = 2132,
  [2554] = 2103,
  [2555] = 387,
  [2556] = 2104,
  [2557] = 2106,
  [2558] = 2107,
  [2559] = 407,
  [2560] = 2123,
  [2561] = 2115,
  [2562] = 2465,
  [2563] = 360,
  [2564] = 2131,
  [2565] = 361,
  [2566] = 2116,
  [2567] = 2125,
  [2568] = 368,
  [2569] = 369,
  [2570] = 371,
  [2571] = 2126,
  [2572] = 2075,
  [2573] = 372,
  [2574] = 2117,
  [2575] = 2118,
  [2576] = 2119,
  [2577] = 406,
  [2578] = 2129,
  [2579] = 2130,
  [2580] = 2131,
  [2581] = 285,
  [2582] = 381,
  [2583] = 380,
  [2584] = 373,
  [2585] = 384,
  [2586] = 375,
  [2587] = 375,
  [2588] = 373,
  [2589] = 2132,
  [2590] = 2096,
  [2591] = 2135,
  [2592] = 2130,
  [2593] = 396,
  [2594] = 2333,
  [2595] = 2129,
  [2596] = 2097,
  [2597] = 2124,
  [2598] = 406,
  [2599] = 417,
  [2600] = 378,
  [2601] = 376,
  [2602] = 2007,
  [2603] = 419,
  [2604] = 2119,
  [2605] = 2141,
  [2606] = 2118,
  [2607] = 370,
  [2608] = 2142,
  [2609] = 2143,
  [2610] = 2144,
  [2611] = 377,
  [2612] = 323,
  [2613] = 322,
  [2614] = 2147,
  [2615] = 2157,
  [2616] = 2160,
  [2617] = 383,
  [2618] = 388,
  [2619] = 2117,
  [2620] = 285,
  [2621] = 2116,
  [2622] = 2115,
  [2623] = 2623,
  [2624] = 2624,
  [2625] = 401,
  [2626] = 2626,
  [2627] = 392,
  [2628] = 2031,
  [2629] = 2262,
  [2630] = 369,
  [2631] = 368,
  [2632] = 400,
  [2633] = 397,
  [2634] = 2011,
  [2635] = 396,
  [2636] = 361,
  [2637] = 360,
  [2638] = 365,
  [2639] = 359,
  [2640] = 278,
  [2641] = 1932,
  [2642] = 322,
  [2643] = 323,
  [2644] = 408,
  [2645] = 409,
  [2646] = 419,
  [2647] = 2121,
  [2648] = 417,
  [2649] = 2114,
  [2650] = 365,
  [2651] = 411,
  [2652] = 2011,
  [2653] = 2007,
  [2654] = 422,
  [2655] = 2160,
  [2656] = 2098,
  [2657] = 2100,
  [2658] = 421,
  [2659] = 2102,
  [2660] = 2103,
  [2661] = 2157,
  [2662] = 2104,
  [2663] = 2106,
  [2664] = 2147,
  [2665] = 2009,
  [2666] = 2021,
  [2667] = 420,
  [2668] = 2120,
  [2669] = 2107,
  [2670] = 2122,
  [2671] = 2123,
  [2672] = 2124,
  [2673] = 2125,
  [2674] = 2126,
  [2675] = 376,
  [2676] = 378,
  [2677] = 392,
  [2678] = 379,
  [2679] = 316,
  [2680] = 380,
  [2681] = 381,
  [2682] = 387,
  [2683] = 2144,
  [2684] = 2143,
  [2685] = 390,
  [2686] = 2686,
  [2687] = 2142,
  [2688] = 2141,
  [2689] = 1925,
  [2690] = 153,
  [2691] = 2691,
  [2692] = 1065,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2012,
  [2696] = 2198,
  [2697] = 2697,
  [2698] = 2698,
  [2699] = 2007,
  [2700] = 2185,
  [2701] = 2087,
  [2702] = 2211,
  [2703] = 2011,
  [2704] = 2704,
  [2705] = 2011,
  [2706] = 1064,
  [2707] = 2021,
  [2708] = 2007,
  [2709] = 2241,
  [2710] = 2710,
  [2711] = 2065,
  [2712] = 151,
  [2713] = 2713,
  [2714] = 2012,
  [2715] = 2715,
  [2716] = 2430,
  [2717] = 2086,
  [2718] = 2718,
  [2719] = 2719,
  [2720] = 2720,
  [2721] = 2262,
  [2722] = 2077,
  [2723] = 2723,
  [2724] = 2724,
  [2725] = 2062,
  [2726] = 2021,
  [2727] = 2727,
  [2728] = 2007,
  [2729] = 2011,
  [2730] = 2009,
  [2731] = 2211,
  [2732] = 1922,
  [2733] = 2009,
  [2734] = 1924,
  [2735] = 1923,
  [2736] = 2441,
  [2737] = 2440,
  [2738] = 2466,
  [2739] = 2465,
  [2740] = 1926,
  [2741] = 2741,
  [2742] = 2012,
  [2743] = 1927,
  [2744] = 2031,
  [2745] = 1928,
  [2746] = 2746,
  [2747] = 2452,
  [2748] = 2748,
  [2749] = 2021,
  [2750] = 2455,
  [2751] = 2262,
  [2752] = 2752,
  [2753] = 2009,
  [2754] = 1991,
  [2755] = 2755,
  [2756] = 1982,
  [2757] = 1992,
  [2758] = 2758,
  [2759] = 2759,
  [2760] = 2211,
  [2761] = 1922,
  [2762] = 1925,
  [2763] = 1924,
  [2764] = 2764,
  [2765] = 1923,
  [2766] = 1926,
  [2767] = 2767,
  [2768] = 2768,
  [2769] = 1927,
  [2770] = 2770,
  [2771] = 151,
  [2772] = 1928,
  [2773] = 2773,
  [2774] = 2774,
  [2775] = 2775,
  [2776] = 2262,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2779,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 1995,
  [2783] = 2783,
  [2784] = 2784,
  [2785] = 1993,
  [2786] = 2623,
  [2787] = 2012,
  [2788] = 2788,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2333,
  [2793] = 2793,
  [2794] = 153,
  [2795] = 2795,
  [2796] = 2796,
  [2797] = 2797,
  [2798] = 2798,
  [2799] = 2694,
  [2800] = 1988,
  [2801] = 2801,
  [2802] = 2802,
  [2803] = 2011,
  [2804] = 2624,
  [2805] = 2274,
  [2806] = 2626,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 1989,
  [2810] = 1980,
  [2811] = 2069,
  [2812] = 2812,
  [2813] = 1994,
  [2814] = 2814,
  [2815] = 1987,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2820,
  [2821] = 2626,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2009,
  [2825] = 2825,
  [2826] = 2077,
  [2827] = 1983,
  [2828] = 2241,
  [2829] = 2086,
  [2830] = 2830,
  [2831] = 2021,
  [2832] = 2832,
  [2833] = 2246,
  [2834] = 2834,
  [2835] = 2624,
  [2836] = 2087,
  [2837] = 2837,
  [2838] = 2031,
  [2839] = 2839,
  [2840] = 2840,
  [2841] = 2841,
  [2842] = 2842,
  [2843] = 2843,
  [2844] = 2433,
  [2845] = 2007,
  [2846] = 2846,
  [2847] = 1984,
  [2848] = 2752,
  [2849] = 2623,
  [2850] = 1974,
  [2851] = 2851,
  [2852] = 1999,
  [2853] = 1990,
  [2854] = 2854,
  [2855] = 2855,
  [2856] = 1996,
  [2857] = 2857,
  [2858] = 2185,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2305,
  [2864] = 2626,
  [2865] = 2440,
  [2866] = 2072,
  [2867] = 2333,
  [2868] = 2455,
  [2869] = 2031,
  [2870] = 2407,
  [2871] = 2406,
  [2872] = 2441,
  [2873] = 1985,
  [2874] = 2060,
  [2875] = 2347,
  [2876] = 2198,
  [2877] = 2007,
  [2878] = 2336,
  [2879] = 2452,
  [2880] = 2356,
  [2881] = 2430,
  [2882] = 2009,
  [2883] = 2465,
  [2884] = 2884,
  [2885] = 2285,
  [2886] = 2466,
  [2887] = 1998,
  [2888] = 2021,
  [2889] = 2452,
  [2890] = 2065,
  [2891] = 2343,
  [2892] = 2440,
  [2893] = 2455,
  [2894] = 2430,
  [2895] = 2066,
  [2896] = 2441,
  [2897] = 2326,
  [2898] = 1986,
  [2899] = 2899,
  [2900] = 2063,
  [2901] = 2901,
  [2902] = 2011,
  [2903] = 2309,
  [2904] = 2466,
  [2905] = 2322,
  [2906] = 2062,
  [2907] = 2465,
  [2908] = 2346,
  [2909] = 2009,
  [2910] = 2007,
  [2911] = 2624,
  [2912] = 2211,
  [2913] = 2623,
  [2914] = 2185,
  [2915] = 2441,
  [2916] = 2077,
  [2917] = 2021,
  [2918] = 2062,
  [2919] = 2433,
  [2920] = 2065,
  [2921] = 2012,
  [2922] = 2011,
  [2923] = 2440,
  [2924] = 2241,
  [2925] = 2466,
  [2926] = 2465,
  [2927] = 2246,
  [2928] = 2430,
  [2929] = 2086,
  [2930] = 2455,
  [2931] = 2274,
  [2932] = 2031,
  [2933] = 2433,
  [2934] = 2452,
  [2935] = 1974,
  [2936] = 2262,
  [2937] = 2087,
  [2938] = 2326,
  [2939] = 2407,
  [2940] = 2356,
  [2941] = 2012,
  [2942] = 2072,
  [2943] = 2065,
  [2944] = 2077,
  [2945] = 2305,
  [2946] = 2624,
  [2947] = 2066,
  [2948] = 2198,
  [2949] = 2285,
  [2950] = 2623,
  [2951] = 1974,
  [2952] = 2060,
  [2953] = 2346,
  [2954] = 2185,
  [2955] = 2336,
  [2956] = 2087,
  [2957] = 2063,
  [2958] = 2343,
  [2959] = 2406,
  [2960] = 2086,
  [2961] = 2062,
  [2962] = 2433,
  [2963] = 2309,
  [2964] = 2347,
  [2965] = 2333,
  [2966] = 1974,
  [2967] = 2322,
  [2968] = 2452,
  [2969] = 2127,
  [2970] = 2153,
  [2971] = 1928,
  [2972] = 2258,
  [2973] = 2066,
  [2974] = 2974,
  [2975] = 2021,
  [2976] = 2247,
  [2977] = 2011,
  [2978] = 2072,
  [2979] = 2007,
  [2980] = 2980,
  [2981] = 2060,
  [2982] = 2284,
  [2983] = 2226,
  [2984] = 1064,
  [2985] = 2985,
  [2986] = 2063,
  [2987] = 2319,
  [2988] = 2988,
  [2989] = 2198,
  [2990] = 2990,
  [2991] = 2991,
  [2992] = 2992,
  [2993] = 2993,
  [2994] = 2994,
  [2995] = 2408,
  [2996] = 1974,
  [2997] = 1926,
  [2998] = 1927,
  [2999] = 2999,
  [3000] = 3000,
  [3001] = 3001,
  [3002] = 2009,
  [3003] = 2248,
  [3004] = 2246,
  [3005] = 2231,
  [3006] = 3006,
  [3007] = 2274,
  [3008] = 3008,
  [3009] = 1923,
  [3010] = 1924,
  [3011] = 1925,
  [3012] = 2430,
  [3013] = 2077,
  [3014] = 2086,
  [3015] = 2087,
  [3016] = 2185,
  [3017] = 2455,
  [3018] = 1065,
  [3019] = 2128,
  [3020] = 1922,
  [3021] = 3021,
  [3022] = 3022,
  [3023] = 3023,
  [3024] = 2465,
  [3025] = 2466,
  [3026] = 2274,
  [3027] = 2332,
  [3028] = 2246,
  [3029] = 2065,
  [3030] = 2441,
  [3031] = 2062,
  [3032] = 2440,
  [3033] = 2295,
  [3034] = 2245,
  [3035] = 2185,
  [3036] = 2624,
  [3037] = 2246,
  [3038] = 1923,
  [3039] = 1924,
  [3040] = 1925,
  [3041] = 2802,
  [3042] = 2309,
  [3043] = 3043,
  [3044] = 3043,
  [3045] = 2305,
  [3046] = 2469,
  [3047] = 2274,
  [3048] = 2343,
  [3049] = 2347,
  [3050] = 1929,
  [3051] = 1928,
  [3052] = 1927,
  [3053] = 1926,
  [3054] = 1923,
  [3055] = 1924,
  [3056] = 1925,
  [3057] = 2326,
  [3058] = 1922,
  [3059] = 1922,
  [3060] = 2336,
  [3061] = 2185,
  [3062] = 2433,
  [3063] = 287,
  [3064] = 2285,
  [3065] = 3065,
  [3066] = 1932,
  [3067] = 2256,
  [3068] = 2201,
  [3069] = 1928,
  [3070] = 2223,
  [3071] = 1927,
  [3072] = 2229,
  [3073] = 2356,
  [3074] = 2077,
  [3075] = 1926,
  [3076] = 2406,
  [3077] = 2407,
  [3078] = 2198,
  [3079] = 2233,
  [3080] = 3043,
  [3081] = 2346,
  [3082] = 1923,
  [3083] = 1924,
  [3084] = 1925,
  [3085] = 2207,
  [3086] = 2237,
  [3087] = 1922,
  [3088] = 3088,
  [3089] = 2077,
  [3090] = 2788,
  [3091] = 2467,
  [3092] = 2086,
  [3093] = 2087,
  [3094] = 308,
  [3095] = 2269,
  [3096] = 2623,
  [3097] = 3097,
  [3098] = 2450,
  [3099] = 2322,
  [3100] = 2773,
  [3101] = 2407,
  [3102] = 3043,
  [3103] = 1926,
  [3104] = 2406,
  [3105] = 2346,
  [3106] = 1927,
  [3107] = 1928,
  [3108] = 2777,
  [3109] = 2240,
  [3110] = 2250,
  [3111] = 2087,
  [3112] = 2249,
  [3113] = 2198,
  [3114] = 2264,
  [3115] = 2263,
  [3116] = 2270,
  [3117] = 2322,
  [3118] = 2276,
  [3119] = 2309,
  [3120] = 2356,
  [3121] = 2305,
  [3122] = 2789,
  [3123] = 2414,
  [3124] = 3043,
  [3125] = 2234,
  [3126] = 2225,
  [3127] = 2791,
  [3128] = 2086,
  [3129] = 2285,
  [3130] = 2185,
  [3131] = 2795,
  [3132] = 2198,
  [3133] = 2798,
  [3134] = 3134,
  [3135] = 2793,
  [3136] = 3136,
  [3137] = 2077,
  [3138] = 3138,
  [3139] = 2254,
  [3140] = 2343,
  [3141] = 2209,
  [3142] = 2345,
  [3143] = 2272,
  [3144] = 2227,
  [3145] = 2230,
  [3146] = 2822,
  [3147] = 2243,
  [3148] = 2244,
  [3149] = 2336,
  [3150] = 2347,
  [3151] = 2253,
  [3152] = 2842,
  [3153] = 2251,
  [3154] = 2252,
  [3155] = 2255,
  [3156] = 2260,
  [3157] = 2437,
  [3158] = 2261,
  [3159] = 3159,
  [3160] = 1974,
  [3161] = 2326,
  [3162] = 2412,
  [3163] = 2087,
  [3164] = 2086,
  [3165] = 2257,
  [3166] = 2066,
  [3167] = 2999,
  [3168] = 2326,
  [3169] = 2060,
  [3170] = 2153,
  [3171] = 2336,
  [3172] = 2748,
  [3173] = 2258,
  [3174] = 2727,
  [3175] = 2724,
  [3176] = 2153,
  [3177] = 3006,
  [3178] = 3178,
  [3179] = 2127,
  [3180] = 2295,
  [3181] = 3008,
  [3182] = 2723,
  [3183] = 2231,
  [3184] = 3006,
  [3185] = 2704,
  [3186] = 2305,
  [3187] = 2128,
  [3188] = 1929,
  [3189] = 2309,
  [3190] = 3023,
  [3191] = 2248,
  [3192] = 3065,
  [3193] = 2686,
  [3194] = 2322,
  [3195] = 3022,
  [3196] = 1932,
  [3197] = 2258,
  [3198] = 2346,
  [3199] = 2063,
  [3200] = 2319,
  [3201] = 2974,
  [3202] = 3001,
  [3203] = 3178,
  [3204] = 3204,
  [3205] = 2408,
  [3206] = 3088,
  [3207] = 2407,
  [3208] = 2128,
  [3209] = 2406,
  [3210] = 2231,
  [3211] = 2985,
  [3212] = 3021,
  [3213] = 3021,
  [3214] = 2999,
  [3215] = 2072,
  [3216] = 2994,
  [3217] = 3178,
  [3218] = 2993,
  [3219] = 2992,
  [3220] = 2356,
  [3221] = 2980,
  [3222] = 3222,
  [3223] = 2247,
  [3224] = 2127,
  [3225] = 2991,
  [3226] = 2248,
  [3227] = 2990,
  [3228] = 2988,
  [3229] = 3022,
  [3230] = 3000,
  [3231] = 3023,
  [3232] = 2697,
  [3233] = 2285,
  [3234] = 2974,
  [3235] = 2985,
  [3236] = 2247,
  [3237] = 2332,
  [3238] = 2980,
  [3239] = 2988,
  [3240] = 2991,
  [3241] = 2284,
  [3242] = 3242,
  [3243] = 3000,
  [3244] = 1929,
  [3245] = 2994,
  [3246] = 2993,
  [3247] = 2198,
  [3248] = 2284,
  [3249] = 2343,
  [3250] = 2990,
  [3251] = 2226,
  [3252] = 2347,
  [3253] = 3178,
  [3254] = 2698,
  [3255] = 2226,
  [3256] = 3256,
  [3257] = 2992,
  [3258] = 3008,
  [3259] = 3001,
  [3260] = 2746,
  [3261] = 2408,
  [3262] = 1065,
  [3263] = 2437,
  [3264] = 2225,
  [3265] = 2412,
  [3266] = 2234,
  [3267] = 2230,
  [3268] = 2227,
  [3269] = 3269,
  [3270] = 2128,
  [3271] = 2693,
  [3272] = 2428,
  [3273] = 2419,
  [3274] = 2227,
  [3275] = 2230,
  [3276] = 2201,
  [3277] = 2243,
  [3278] = 2244,
  [3279] = 2276,
  [3280] = 2244,
  [3281] = 2231,
  [3282] = 2252,
  [3283] = 2255,
  [3284] = 2270,
  [3285] = 2260,
  [3286] = 2263,
  [3287] = 1922,
  [3288] = 2264,
  [3289] = 2249,
  [3290] = 2261,
  [3291] = 2272,
  [3292] = 2720,
  [3293] = 3065,
  [3294] = 2207,
  [3295] = 2252,
  [3296] = 2233,
  [3297] = 2240,
  [3298] = 3269,
  [3299] = 1928,
  [3300] = 2319,
  [3301] = 1927,
  [3302] = 2248,
  [3303] = 1926,
  [3304] = 2414,
  [3305] = 2269,
  [3306] = 2255,
  [3307] = 2260,
  [3308] = 2462,
  [3309] = 2471,
  [3310] = 2207,
  [3311] = 2274,
  [3312] = 2691,
  [3313] = 2467,
  [3314] = 3269,
  [3315] = 2261,
  [3316] = 2127,
  [3317] = 2237,
  [3318] = 2233,
  [3319] = 2209,
  [3320] = 2473,
  [3321] = 2226,
  [3322] = 2332,
  [3323] = 2243,
  [3324] = 2276,
  [3325] = 2272,
  [3326] = 2270,
  [3327] = 2478,
  [3328] = 2284,
  [3329] = 2257,
  [3330] = 2263,
  [3331] = 2264,
  [3332] = 2256,
  [3333] = 2249,
  [3334] = 2254,
  [3335] = 2450,
  [3336] = 2247,
  [3337] = 1923,
  [3338] = 2253,
  [3339] = 2251,
  [3340] = 2431,
  [3341] = 2449,
  [3342] = 2424,
  [3343] = 2432,
  [3344] = 2153,
  [3345] = 2469,
  [3346] = 2240,
  [3347] = 2229,
  [3348] = 2245,
  [3349] = 3269,
  [3350] = 2201,
  [3351] = 2234,
  [3352] = 2250,
  [3353] = 2209,
  [3354] = 2229,
  [3355] = 3269,
  [3356] = 2741,
  [3357] = 2258,
  [3358] = 2295,
  [3359] = 1924,
  [3360] = 2256,
  [3361] = 2257,
  [3362] = 2246,
  [3363] = 3269,
  [3364] = 1925,
  [3365] = 3269,
  [3366] = 2223,
  [3367] = 2269,
  [3368] = 2345,
  [3369] = 1064,
  [3370] = 2715,
  [3371] = 2225,
  [3372] = 2345,
  [3373] = 2250,
  [3374] = 2251,
  [3375] = 2834,
  [3376] = 1929,
  [3377] = 3088,
  [3378] = 1932,
  [3379] = 2245,
  [3380] = 2069,
  [3381] = 2253,
  [3382] = 2237,
  [3383] = 2223,
  [3384] = 2254,
  [3385] = 1986,
  [3386] = 2823,
  [3387] = 1993,
  [3388] = 2285,
  [3389] = 2832,
  [3390] = 1996,
  [3391] = 2356,
  [3392] = 2988,
  [3393] = 3393,
  [3394] = 2406,
  [3395] = 2407,
  [3396] = 2437,
  [3397] = 2854,
  [3398] = 1929,
  [3399] = 2755,
  [3400] = 2724,
  [3401] = 2764,
  [3402] = 2770,
  [3403] = 2234,
  [3404] = 2225,
  [3405] = 3022,
  [3406] = 3006,
  [3407] = 2704,
  [3408] = 2250,
  [3409] = 2251,
  [3410] = 2253,
  [3411] = 2254,
  [3412] = 2256,
  [3413] = 2257,
  [3414] = 3023,
  [3415] = 2859,
  [3416] = 2843,
  [3417] = 2837,
  [3418] = 2980,
  [3419] = 2783,
  [3420] = 2784,
  [3421] = 2272,
  [3422] = 2780,
  [3423] = 2778,
  [3424] = 2822,
  [3425] = 2841,
  [3426] = 2261,
  [3427] = 2807,
  [3428] = 2260,
  [3429] = 2985,
  [3430] = 2825,
  [3431] = 2255,
  [3432] = 2693,
  [3433] = 2252,
  [3434] = 2691,
  [3435] = 2781,
  [3436] = 153,
  [3437] = 2839,
  [3438] = 2244,
  [3439] = 2243,
  [3440] = 2819,
  [3441] = 151,
  [3442] = 2718,
  [3443] = 2988,
  [3444] = 2752,
  [3445] = 2230,
  [3446] = 2227,
  [3447] = 2990,
  [3448] = 2779,
  [3449] = 2467,
  [3450] = 1998,
  [3451] = 2991,
  [3452] = 2727,
  [3453] = 2768,
  [3454] = 2851,
  [3455] = 2992,
  [3456] = 2993,
  [3457] = 2345,
  [3458] = 2788,
  [3459] = 2698,
  [3460] = 2723,
  [3461] = 2994,
  [3462] = 2773,
  [3463] = 2846,
  [3464] = 2999,
  [3465] = 2801,
  [3466] = 2346,
  [3467] = 2748,
  [3468] = 2767,
  [3469] = 2818,
  [3470] = 2862,
  [3471] = 2992,
  [3472] = 2450,
  [3473] = 2322,
  [3474] = 2830,
  [3475] = 2993,
  [3476] = 2994,
  [3477] = 2999,
  [3478] = 2697,
  [3479] = 2309,
  [3480] = 2241,
  [3481] = 2305,
  [3482] = 3000,
  [3483] = 3021,
  [3484] = 3001,
  [3485] = 2759,
  [3486] = 1990,
  [3487] = 2069,
  [3488] = 2808,
  [3489] = 2686,
  [3490] = 2842,
  [3491] = 2713,
  [3492] = 2861,
  [3493] = 2276,
  [3494] = 2270,
  [3495] = 2414,
  [3496] = 1985,
  [3497] = 2812,
  [3498] = 3222,
  [3499] = 2263,
  [3500] = 2264,
  [3501] = 2249,
  [3502] = 2797,
  [3503] = 2814,
  [3504] = 2840,
  [3505] = 1999,
  [3506] = 2207,
  [3507] = 3507,
  [3508] = 1984,
  [3509] = 1988,
  [3510] = 2240,
  [3511] = 2693,
  [3512] = 2412,
  [3513] = 2980,
  [3514] = 2694,
  [3515] = 1991,
  [3516] = 1983,
  [3517] = 2710,
  [3518] = 2719,
  [3519] = 2031,
  [3520] = 2817,
  [3521] = 3000,
  [3522] = 2820,
  [3523] = 1989,
  [3524] = 1994,
  [3525] = 2991,
  [3526] = 1995,
  [3527] = 2691,
  [3528] = 2469,
  [3529] = 1982,
  [3530] = 2347,
  [3531] = 2343,
  [3532] = 2855,
  [3533] = 3222,
  [3534] = 2691,
  [3535] = 2790,
  [3536] = 3006,
  [3537] = 1992,
  [3538] = 2798,
  [3539] = 2209,
  [3540] = 2795,
  [3541] = 2153,
  [3542] = 2793,
  [3543] = 2791,
  [3544] = 2789,
  [3545] = 3008,
  [3546] = 2241,
  [3547] = 2777,
  [3548] = 2326,
  [3549] = 2796,
  [3550] = 3021,
  [3551] = 3022,
  [3552] = 3023,
  [3553] = 2336,
  [3554] = 2775,
  [3555] = 1932,
  [3556] = 2774,
  [3557] = 2269,
  [3558] = 3001,
  [3559] = 3559,
  [3560] = 2201,
  [3561] = 3008,
  [3562] = 2127,
  [3563] = 2758,
  [3564] = 2245,
  [3565] = 2974,
  [3566] = 2985,
  [3567] = 3567,
  [3568] = 2237,
  [3569] = 2233,
  [3570] = 2802,
  [3571] = 2128,
  [3572] = 2990,
  [3573] = 2229,
  [3574] = 2223,
  [3575] = 2857,
  [3576] = 3256,
  [3577] = 2816,
  [3578] = 2691,
  [3579] = 2345,
  [3580] = 1980,
  [3581] = 2860,
  [3582] = 2974,
  [3583] = 1987,
  [3584] = 2431,
  [3585] = 2691,
  [3586] = 3256,
  [3587] = 2153,
  [3588] = 2261,
  [3589] = 3589,
  [3590] = 2791,
  [3591] = 2250,
  [3592] = 2251,
  [3593] = 2253,
  [3594] = 2428,
  [3595] = 2419,
  [3596] = 1998,
  [3597] = 2234,
  [3598] = 2746,
  [3599] = 2269,
  [3600] = 2229,
  [3601] = 2432,
  [3602] = 3000,
  [3603] = 2686,
  [3604] = 2069,
  [3605] = 2424,
  [3606] = 2449,
  [3607] = 3222,
  [3608] = 3608,
  [3609] = 2691,
  [3610] = 2258,
  [3611] = 3611,
  [3612] = 2691,
  [3613] = 2201,
  [3614] = 2237,
  [3615] = 3065,
  [3616] = 2211,
  [3617] = 3608,
  [3618] = 2260,
  [3619] = 2241,
  [3620] = 2252,
  [3621] = 2255,
  [3622] = 2720,
  [3623] = 2233,
  [3624] = 3608,
  [3625] = 1065,
  [3626] = 2231,
  [3627] = 2128,
  [3628] = 2758,
  [3629] = 2223,
  [3630] = 2974,
  [3631] = 2798,
  [3632] = 2985,
  [3633] = 3088,
  [3634] = 2262,
  [3635] = 2211,
  [3636] = 3636,
  [3637] = 2980,
  [3638] = 3608,
  [3639] = 2127,
  [3640] = 2262,
  [3641] = 3608,
  [3642] = 3608,
  [3643] = 2715,
  [3644] = 2226,
  [3645] = 2227,
  [3646] = 2230,
  [3647] = 3647,
  [3648] = 2254,
  [3649] = 2795,
  [3650] = 3611,
  [3651] = 3608,
  [3652] = 2247,
  [3653] = 2243,
  [3654] = 1986,
  [3655] = 2244,
  [3656] = 3608,
  [3657] = 2698,
  [3658] = 2793,
  [3659] = 2284,
  [3660] = 3608,
  [3661] = 3023,
  [3662] = 2256,
  [3663] = 3022,
  [3664] = 2988,
  [3665] = 2462,
  [3666] = 2284,
  [3667] = 2789,
  [3668] = 2257,
  [3669] = 2473,
  [3670] = 2748,
  [3671] = 2226,
  [3672] = 2777,
  [3673] = 2231,
  [3674] = 2741,
  [3675] = 3088,
  [3676] = 2990,
  [3677] = 2240,
  [3678] = 2991,
  [3679] = 2207,
  [3680] = 2992,
  [3681] = 2993,
  [3682] = 2994,
  [3683] = 2999,
  [3684] = 2697,
  [3685] = 3021,
  [3686] = 3608,
  [3687] = 2248,
  [3688] = 2773,
  [3689] = 2478,
  [3690] = 2258,
  [3691] = 2247,
  [3692] = 2198,
  [3693] = 2727,
  [3694] = 2724,
  [3695] = 1064,
  [3696] = 2272,
  [3697] = 3697,
  [3698] = 2249,
  [3699] = 2823,
  [3700] = 2758,
  [3701] = 2817,
  [3702] = 3006,
  [3703] = 3608,
  [3704] = 2691,
  [3705] = 2704,
  [3706] = 3636,
  [3707] = 3001,
  [3708] = 2263,
  [3709] = 3611,
  [3710] = 2723,
  [3711] = 1932,
  [3712] = 2264,
  [3713] = 2270,
  [3714] = 2834,
  [3715] = 3065,
  [3716] = 2471,
  [3717] = 2817,
  [3718] = 2225,
  [3719] = 2276,
  [3720] = 2245,
  [3721] = 2693,
  [3722] = 2823,
  [3723] = 2031,
  [3724] = 2248,
  [3725] = 3008,
  [3726] = 1932,
  [3727] = 1985,
  [3728] = 3728,
  [3729] = 2820,
  [3730] = 2333,
  [3731] = 2211,
  [3732] = 2693,
  [3733] = 3733,
  [3734] = 2262,
  [3735] = 2788,
  [3736] = 3736,
  [3737] = 2723,
  [3738] = 2431,
  [3739] = 2449,
  [3740] = 2424,
  [3741] = 2432,
  [3742] = 2009,
  [3743] = 3743,
  [3744] = 2842,
  [3745] = 3736,
  [3746] = 3736,
  [3747] = 2834,
  [3748] = 2859,
  [3749] = 2715,
  [3750] = 3736,
  [3751] = 3733,
  [3752] = 3736,
  [3753] = 2802,
  [3754] = 2770,
  [3755] = 2473,
  [3756] = 2764,
  [3757] = 3736,
  [3758] = 3728,
  [3759] = 1993,
  [3760] = 2823,
  [3761] = 2807,
  [3762] = 1996,
  [3763] = 2854,
  [3764] = 151,
  [3765] = 2822,
  [3766] = 2817,
  [3767] = 3767,
  [3768] = 2841,
  [3769] = 3769,
  [3770] = 3736,
  [3771] = 2720,
  [3772] = 1988,
  [3773] = 2011,
  [3774] = 2694,
  [3775] = 2781,
  [3776] = 2758,
  [3777] = 2419,
  [3778] = 2428,
  [3779] = 3736,
  [3780] = 2839,
  [3781] = 2843,
  [3782] = 2837,
  [3783] = 3767,
  [3784] = 3000,
  [3785] = 153,
  [3786] = 2974,
  [3787] = 2333,
  [3788] = 1992,
  [3789] = 2832,
  [3790] = 2980,
  [3791] = 2784,
  [3792] = 2698,
  [3793] = 2783,
  [3794] = 3023,
  [3795] = 3728,
  [3796] = 3022,
  [3797] = 2780,
  [3798] = 2012,
  [3799] = 2988,
  [3800] = 2779,
  [3801] = 2990,
  [3802] = 2991,
  [3803] = 2992,
  [3804] = 2778,
  [3805] = 3769,
  [3806] = 2993,
  [3807] = 2994,
  [3808] = 2999,
  [3809] = 2697,
  [3810] = 3021,
  [3811] = 3697,
  [3812] = 2790,
  [3813] = 3001,
  [3814] = 2768,
  [3815] = 3743,
  [3816] = 2767,
  [3817] = 2746,
  [3818] = 3256,
  [3819] = 2430,
  [3820] = 2862,
  [3821] = 2691,
  [3822] = 2462,
  [3823] = 2471,
  [3824] = 3008,
  [3825] = 2830,
  [3826] = 2819,
  [3827] = 3827,
  [3828] = 3769,
  [3829] = 2478,
  [3830] = 2851,
  [3831] = 2846,
  [3832] = 2441,
  [3833] = 2985,
  [3834] = 3065,
  [3835] = 1994,
  [3836] = 3743,
  [3837] = 2245,
  [3838] = 3767,
  [3839] = 2818,
  [3840] = 2201,
  [3841] = 3256,
  [3842] = 1064,
  [3843] = 2345,
  [3844] = 2704,
  [3845] = 153,
  [3846] = 2223,
  [3847] = 2229,
  [3848] = 2233,
  [3849] = 2237,
  [3850] = 3006,
  [3851] = 2724,
  [3852] = 1985,
  [3853] = 2727,
  [3854] = 2269,
  [3855] = 2816,
  [3856] = 1982,
  [3857] = 3088,
  [3858] = 1065,
  [3859] = 2777,
  [3860] = 2789,
  [3861] = 2801,
  [3862] = 2791,
  [3863] = 2793,
  [3864] = 1995,
  [3865] = 1987,
  [3866] = 2795,
  [3867] = 2798,
  [3868] = 1980,
  [3869] = 2748,
  [3870] = 1989,
  [3871] = 3827,
  [3872] = 3769,
  [3873] = 151,
  [3874] = 1994,
  [3875] = 2240,
  [3876] = 2207,
  [3877] = 2264,
  [3878] = 2263,
  [3879] = 2270,
  [3880] = 2276,
  [3881] = 2775,
  [3882] = 3743,
  [3883] = 2774,
  [3884] = 2759,
  [3885] = 1986,
  [3886] = 1989,
  [3887] = 2467,
  [3888] = 2234,
  [3889] = 2225,
  [3890] = 2713,
  [3891] = 3728,
  [3892] = 2796,
  [3893] = 2333,
  [3894] = 3728,
  [3895] = 2860,
  [3896] = 2861,
  [3897] = 2249,
  [3898] = 1980,
  [3899] = 2773,
  [3900] = 1987,
  [3901] = 3827,
  [3902] = 1983,
  [3903] = 2710,
  [3904] = 2691,
  [3905] = 1990,
  [3906] = 2209,
  [3907] = 2450,
  [3908] = 2021,
  [3909] = 2227,
  [3910] = 2230,
  [3911] = 1991,
  [3912] = 2241,
  [3913] = 2243,
  [3914] = 2755,
  [3915] = 2244,
  [3916] = 1995,
  [3917] = 2252,
  [3918] = 2255,
  [3919] = 3767,
  [3920] = 2260,
  [3921] = 2261,
  [3922] = 3827,
  [3923] = 2452,
  [3924] = 1982,
  [3925] = 3827,
  [3926] = 2465,
  [3927] = 2466,
  [3928] = 2808,
  [3929] = 2840,
  [3930] = 2272,
  [3931] = 2007,
  [3932] = 2812,
  [3933] = 2857,
  [3934] = 2855,
  [3935] = 2414,
  [3936] = 2814,
  [3937] = 2440,
  [3938] = 1990,
  [3939] = 3767,
  [3940] = 2455,
  [3941] = 1999,
  [3942] = 2752,
  [3943] = 1984,
  [3944] = 3769,
  [3945] = 2412,
  [3946] = 3736,
  [3947] = 2257,
  [3948] = 2256,
  [3949] = 2691,
  [3950] = 1998,
  [3951] = 2253,
  [3952] = 2251,
  [3953] = 2250,
  [3954] = 3827,
  [3955] = 3769,
  [3956] = 2718,
  [3957] = 1983,
  [3958] = 1991,
  [3959] = 3743,
  [3960] = 1996,
  [3961] = 3728,
  [3962] = 1993,
  [3963] = 1992,
  [3964] = 1999,
  [3965] = 2254,
  [3966] = 1988,
  [3967] = 1984,
  [3968] = 3767,
  [3969] = 2741,
  [3970] = 2719,
  [3971] = 2797,
  [3972] = 2825,
  [3973] = 3008,
  [3974] = 1065,
  [3975] = 2764,
  [3976] = 2686,
  [3977] = 3977,
  [3978] = 1992,
  [3979] = 2781,
  [3980] = 1993,
  [3981] = 1996,
  [3982] = 2801,
  [3983] = 2773,
  [3984] = 2788,
  [3985] = 2755,
  [3986] = 2209,
  [3987] = 1994,
  [3988] = 2777,
  [3989] = 2770,
  [3990] = 2846,
  [3991] = 3991,
  [3992] = 1984,
  [3993] = 2851,
  [3994] = 3256,
  [3995] = 3021,
  [3996] = 2790,
  [3997] = 2819,
  [3998] = 1990,
  [3999] = 3977,
  [4000] = 2466,
  [4001] = 2440,
  [4002] = 2759,
  [4003] = 2758,
  [4004] = 2789,
  [4005] = 2441,
  [4006] = 2796,
  [4007] = 3977,
  [4008] = 2440,
  [4009] = 2778,
  [4010] = 4010,
  [4011] = 3023,
  [4012] = 2783,
  [4013] = 2814,
  [4014] = 1995,
  [4015] = 2791,
  [4016] = 1932,
  [4017] = 1982,
  [4018] = 2441,
  [4019] = 2011,
  [4020] = 3256,
  [4021] = 2994,
  [4022] = 2007,
  [4023] = 2069,
  [4024] = 2840,
  [4025] = 2031,
  [4026] = 2465,
  [4027] = 2748,
  [4028] = 2861,
  [4029] = 2793,
  [4030] = 2433,
  [4031] = 2727,
  [4032] = 2009,
  [4033] = 2021,
  [4034] = 2807,
  [4035] = 2062,
  [4036] = 2795,
  [4037] = 2812,
  [4038] = 2031,
  [4039] = 4039,
  [4040] = 1991,
  [4041] = 1983,
  [4042] = 2065,
  [4043] = 4043,
  [4044] = 2697,
  [4045] = 2818,
  [4046] = 2724,
  [4047] = 1988,
  [4048] = 4048,
  [4049] = 2857,
  [4050] = 3006,
  [4051] = 2993,
  [4052] = 2704,
  [4053] = 2808,
  [4054] = 3977,
  [4055] = 2798,
  [4056] = 2816,
  [4057] = 2797,
  [4058] = 2999,
  [4059] = 2992,
  [4060] = 2466,
  [4061] = 2465,
  [4062] = 2825,
  [4063] = 2842,
  [4064] = 2698,
  [4065] = 2012,
  [4066] = 2991,
  [4067] = 2817,
  [4068] = 2990,
  [4069] = 2718,
  [4070] = 2839,
  [4071] = 1989,
  [4072] = 1980,
  [4073] = 3977,
  [4074] = 2988,
  [4075] = 2822,
  [4076] = 3022,
  [4077] = 2841,
  [4078] = 3977,
  [4079] = 3733,
  [4080] = 2860,
  [4081] = 2820,
  [4082] = 2834,
  [4083] = 2974,
  [4084] = 2719,
  [4085] = 2065,
  [4086] = 2694,
  [4087] = 3977,
  [4088] = 2062,
  [4089] = 3977,
  [4090] = 2843,
  [4091] = 2455,
  [4092] = 2837,
  [4093] = 2713,
  [4094] = 2985,
  [4095] = 2452,
  [4096] = 2710,
  [4097] = 2855,
  [4098] = 3733,
  [4099] = 1999,
  [4100] = 3001,
  [4101] = 4101,
  [4102] = 2430,
  [4103] = 2752,
  [4104] = 2241,
  [4105] = 2433,
  [4106] = 2784,
  [4107] = 2780,
  [4108] = 2779,
  [4109] = 2854,
  [4110] = 3000,
  [4111] = 151,
  [4112] = 2768,
  [4113] = 2767,
  [4114] = 4114,
  [4115] = 2980,
  [4116] = 153,
  [4117] = 2862,
  [4118] = 2830,
  [4119] = 2823,
  [4120] = 2832,
  [4121] = 2859,
  [4122] = 2430,
  [4123] = 2455,
  [4124] = 2802,
  [4125] = 1064,
  [4126] = 3507,
  [4127] = 2775,
  [4128] = 1987,
  [4129] = 2774,
  [4130] = 3977,
  [4131] = 2452,
  [4132] = 3733,
  [4133] = 3088,
  [4134] = 3733,
  [4135] = 3256,
  [4136] = 4043,
  [4137] = 2012,
  [4138] = 2741,
  [4139] = 2623,
  [4140] = 3733,
  [4141] = 3733,
  [4142] = 3733,
  [4143] = 1932,
  [4144] = 1922,
  [4145] = 2686,
  [4146] = 1925,
  [4147] = 1924,
  [4148] = 1923,
  [4149] = 1926,
  [4150] = 1927,
  [4151] = 1928,
  [4152] = 3733,
  [4153] = 2624,
  [4154] = 2021,
  [4155] = 2211,
  [4156] = 2185,
  [4157] = 1974,
  [4158] = 2009,
  [4159] = 3733,
  [4160] = 4048,
  [4161] = 2065,
  [4162] = 2333,
  [4163] = 2007,
  [4164] = 2077,
  [4165] = 2624,
  [4166] = 2011,
  [4167] = 2086,
  [4168] = 2087,
  [4169] = 4169,
  [4170] = 2262,
  [4171] = 2623,
  [4172] = 3065,
  [4173] = 2069,
  [4174] = 3733,
  [4175] = 2062,
  [4176] = 2433,
  [4177] = 1999,
  [4178] = 2767,
  [4179] = 4179,
  [4180] = 1988,
  [4181] = 4179,
  [4182] = 2861,
  [4183] = 2781,
  [4184] = 2801,
  [4185] = 2007,
  [4186] = 2839,
  [4187] = 1992,
  [4188] = 2198,
  [4189] = 2697,
  [4190] = 2808,
  [4191] = 2816,
  [4192] = 2011,
  [4193] = 2724,
  [4194] = 2846,
  [4195] = 2802,
  [4196] = 2842,
  [4197] = 2796,
  [4198] = 2021,
  [4199] = 3733,
  [4200] = 2694,
  [4201] = 2788,
  [4202] = 2060,
  [4203] = 2009,
  [4204] = 2007,
  [4205] = 2727,
  [4206] = 4179,
  [4207] = 2812,
  [4208] = 2790,
  [4209] = 2768,
  [4210] = 2333,
  [4211] = 2775,
  [4212] = 2814,
  [4213] = 3733,
  [4214] = 153,
  [4215] = 2441,
  [4216] = 3733,
  [4217] = 1996,
  [4218] = 1993,
  [4219] = 2440,
  [4220] = 2704,
  [4221] = 1989,
  [4222] = 1980,
  [4223] = 2774,
  [4224] = 2741,
  [4225] = 2466,
  [4226] = 2851,
  [4227] = 2465,
  [4228] = 1987,
  [4229] = 2012,
  [4230] = 2065,
  [4231] = 2816,
  [4232] = 2759,
  [4233] = 2822,
  [4234] = 2009,
  [4235] = 2784,
  [4236] = 4179,
  [4237] = 3733,
  [4238] = 151,
  [4239] = 2861,
  [4240] = 2062,
  [4241] = 2066,
  [4242] = 4179,
  [4243] = 2021,
  [4244] = 2851,
  [4245] = 2862,
  [4246] = 1995,
  [4247] = 2830,
  [4248] = 2063,
  [4249] = 2770,
  [4250] = 2455,
  [4251] = 1982,
  [4252] = 2783,
  [4253] = 2840,
  [4254] = 2452,
  [4255] = 2780,
  [4256] = 2274,
  [4257] = 4179,
  [4258] = 2808,
  [4259] = 2430,
  [4260] = 4179,
  [4261] = 1983,
  [4262] = 2778,
  [4263] = 2698,
  [4264] = 1991,
  [4265] = 2779,
  [4266] = 2854,
  [4267] = 2246,
  [4268] = 2819,
  [4269] = 1990,
  [4270] = 2860,
  [4271] = 2065,
  [4272] = 2011,
  [4273] = 2062,
  [4274] = 1984,
  [4275] = 2797,
  [4276] = 4179,
  [4277] = 2748,
  [4278] = 2755,
  [4279] = 2072,
  [4280] = 2011,
  [4281] = 2855,
  [4282] = 2764,
  [4283] = 4179,
  [4284] = 2857,
  [4285] = 2007,
  [4286] = 2752,
  [4287] = 1994,
  [4288] = 2185,
  [4289] = 2774,
  [4290] = 2009,
  [4291] = 1927,
  [4292] = 2830,
  [4293] = 1926,
  [4294] = 2779,
  [4295] = 1923,
  [4296] = 1924,
  [4297] = 2778,
  [4298] = 2333,
  [4299] = 2840,
  [4300] = 1925,
  [4301] = 3733,
  [4302] = 3991,
  [4303] = 2274,
  [4304] = 2768,
  [4305] = 2790,
  [4306] = 2862,
  [4307] = 2780,
  [4308] = 2819,
  [4309] = 2797,
  [4310] = 2846,
  [4311] = 2011,
  [4312] = 2759,
  [4313] = 2755,
  [4314] = 2767,
  [4315] = 2812,
  [4316] = 1928,
  [4317] = 1974,
  [4318] = 2021,
  [4319] = 2246,
  [4320] = 2274,
  [4321] = 2839,
  [4322] = 2241,
  [4323] = 2764,
  [4324] = 2775,
  [4325] = 2770,
  [4326] = 2246,
  [4327] = 2077,
  [4328] = 3733,
  [4329] = 2086,
  [4330] = 2087,
  [4331] = 2781,
  [4332] = 2783,
  [4333] = 2801,
  [4334] = 2814,
  [4335] = 2857,
  [4336] = 3991,
  [4337] = 2623,
  [4338] = 2796,
  [4339] = 2624,
  [4340] = 2860,
  [4341] = 4341,
  [4342] = 2433,
  [4343] = 2855,
  [4344] = 2007,
  [4345] = 2624,
  [4346] = 1922,
  [4347] = 2623,
  [4348] = 2854,
  [4349] = 2784,
  [4350] = 2406,
  [4351] = 2347,
  [4352] = 2198,
  [4353] = 2063,
  [4354] = 2305,
  [4355] = 2065,
  [4356] = 2285,
  [4357] = 2309,
  [4358] = 2467,
  [4359] = 2406,
  [4360] = 2285,
  [4361] = 2336,
  [4362] = 2326,
  [4363] = 2336,
  [4364] = 2407,
  [4365] = 2309,
  [4366] = 2060,
  [4367] = 2062,
  [4368] = 2066,
  [4369] = 2322,
  [4370] = 2305,
  [4371] = 2346,
  [4372] = 2309,
  [4373] = 2412,
  [4374] = 2347,
  [4375] = 2356,
  [4376] = 2322,
  [4377] = 2285,
  [4378] = 2305,
  [4379] = 2356,
  [4380] = 2343,
  [4381] = 2066,
  [4382] = 2060,
  [4383] = 2326,
  [4384] = 2072,
  [4385] = 2406,
  [4386] = 2407,
  [4387] = 4387,
  [4388] = 2346,
  [4389] = 2343,
  [4390] = 2333,
  [4391] = 2414,
  [4392] = 2322,
  [4393] = 2407,
  [4394] = 2343,
  [4395] = 2326,
  [4396] = 2450,
  [4397] = 2063,
  [4398] = 2356,
  [4399] = 2346,
  [4400] = 2347,
  [4401] = 2336,
  [4402] = 2072,
  [4403] = 4403,
  [4404] = 4404,
  [4405] = 4405,
  [4406] = 4405,
  [4407] = 2246,
  [4408] = 4408,
  [4409] = 4409,
  [4410] = 4410,
  [4411] = 4408,
  [4412] = 4403,
  [4413] = 2248,
  [4414] = 4403,
  [4415] = 4409,
  [4416] = 4403,
  [4417] = 2231,
  [4418] = 4404,
  [4419] = 4404,
  [4420] = 4409,
  [4421] = 4421,
  [4422] = 3733,
  [4423] = 4423,
  [4424] = 2623,
  [4425] = 4404,
  [4426] = 4408,
  [4427] = 4408,
  [4428] = 3733,
  [4429] = 4409,
  [4430] = 2128,
  [4431] = 3991,
  [4432] = 4405,
  [4433] = 4405,
  [4434] = 2274,
  [4435] = 4435,
  [4436] = 4409,
  [4437] = 4408,
  [4438] = 4409,
  [4439] = 4404,
  [4440] = 4440,
  [4441] = 4423,
  [4442] = 2345,
  [4443] = 4403,
  [4444] = 4404,
  [4445] = 4435,
  [4446] = 4446,
  [4447] = 4404,
  [4448] = 2226,
  [4449] = 4405,
  [4450] = 2238,
  [4451] = 4408,
  [4452] = 4405,
  [4453] = 2153,
  [4454] = 4408,
  [4455] = 2284,
  [4456] = 4409,
  [4457] = 4457,
  [4458] = 4403,
  [4459] = 4409,
  [4460] = 4409,
  [4461] = 2247,
  [4462] = 4404,
  [4463] = 4404,
  [4464] = 4408,
  [4465] = 4409,
  [4466] = 3733,
  [4467] = 3393,
  [4468] = 4408,
  [4469] = 4403,
  [4470] = 2624,
  [4471] = 4403,
  [4472] = 4408,
  [4473] = 4405,
  [4474] = 4039,
  [4475] = 4423,
  [4476] = 4435,
  [4477] = 4421,
  [4478] = 4405,
  [4479] = 4421,
  [4480] = 2065,
  [4481] = 4423,
  [4482] = 4423,
  [4483] = 2062,
  [4484] = 4408,
  [4485] = 4435,
  [4486] = 4405,
  [4487] = 4409,
  [4488] = 4421,
  [4489] = 4403,
  [4490] = 2127,
  [4491] = 4403,
  [4492] = 4423,
  [4493] = 4435,
  [4494] = 1929,
  [4495] = 4421,
  [4496] = 4435,
  [4497] = 4421,
  [4498] = 2258,
  [4499] = 4405,
  [4500] = 4421,
  [4501] = 4404,
  [4502] = 4403,
  [4503] = 4408,
  [4504] = 4405,
  [4505] = 4435,
  [4506] = 4423,
  [4507] = 4404,
  [4508] = 4423,
  [4509] = 4435,
  [4510] = 3733,
  [4511] = 4421,
  [4512] = 2255,
  [4513] = 1932,
  [4514] = 4514,
  [4515] = 2254,
  [4516] = 2623,
  [4517] = 2624,
  [4518] = 2253,
  [4519] = 2336,
  [4520] = 2251,
  [4521] = 2250,
  [4522] = 4514,
  [4523] = 2326,
  [4524] = 4514,
  [4525] = 4514,
  [4526] = 2245,
  [4527] = 2063,
  [4528] = 4514,
  [4529] = 2201,
  [4530] = 2060,
  [4531] = 2305,
  [4532] = 2309,
  [4533] = 2322,
  [4534] = 2229,
  [4535] = 4514,
  [4536] = 4514,
  [4537] = 2257,
  [4538] = 2233,
  [4539] = 2346,
  [4540] = 2237,
  [4541] = 4514,
  [4542] = 4514,
  [4543] = 2269,
  [4544] = 2623,
  [4545] = 2225,
  [4546] = 2624,
  [4547] = 2234,
  [4548] = 2223,
  [4549] = 2031,
  [4550] = 2240,
  [4551] = 2072,
  [4552] = 2207,
  [4553] = 2249,
  [4554] = 2264,
  [4555] = 4514,
  [4556] = 2263,
  [4557] = 2272,
  [4558] = 4558,
  [4559] = 2270,
  [4560] = 2276,
  [4561] = 4514,
  [4562] = 2407,
  [4563] = 2406,
  [4564] = 2356,
  [4565] = 2066,
  [4566] = 2285,
  [4567] = 2256,
  [4568] = 4514,
  [4569] = 2261,
  [4570] = 2260,
  [4571] = 4514,
  [4572] = 4514,
  [4573] = 2227,
  [4574] = 2252,
  [4575] = 2347,
  [4576] = 2230,
  [4577] = 2244,
  [4578] = 2243,
  [4579] = 2343,
  [4580] = 4580,
  [4581] = 4581,
  [4582] = 2063,
  [4583] = 2788,
  [4584] = 4581,
  [4585] = 2258,
  [4586] = 3204,
  [4587] = 4580,
  [4588] = 4588,
  [4589] = 4589,
  [4590] = 4589,
  [4591] = 2072,
  [4592] = 2153,
  [4593] = 2128,
  [4594] = 2974,
  [4595] = 4581,
  [4596] = 4580,
  [4597] = 4580,
  [4598] = 2247,
  [4599] = 2985,
  [4600] = 2284,
  [4601] = 4581,
  [4602] = 3006,
  [4603] = 3000,
  [4604] = 2226,
  [4605] = 2066,
  [4606] = 3242,
  [4607] = 2988,
  [4608] = 4580,
  [4609] = 2990,
  [4610] = 2991,
  [4611] = 4611,
  [4612] = 2980,
  [4613] = 4613,
  [4614] = 2992,
  [4615] = 2993,
  [4616] = 2994,
  [4617] = 4589,
  [4618] = 2999,
  [4619] = 4589,
  [4620] = 2802,
  [4621] = 3021,
  [4622] = 4589,
  [4623] = 3022,
  [4624] = 4581,
  [4625] = 4580,
  [4626] = 2231,
  [4627] = 4581,
  [4628] = 3023,
  [4629] = 4589,
  [4630] = 2842,
  [4631] = 3008,
  [4632] = 2127,
  [4633] = 2248,
  [4634] = 2822,
  [4635] = 3001,
  [4636] = 2060,
  [4637] = 4611,
  [4638] = 2467,
  [4639] = 2227,
  [4640] = 2245,
  [4641] = 2250,
  [4642] = 2249,
  [4643] = 2264,
  [4644] = 2263,
  [4645] = 2270,
  [4646] = 2276,
  [4647] = 2251,
  [4648] = 2223,
  [4649] = 2253,
  [4650] = 2254,
  [4651] = 2229,
  [4652] = 2412,
  [4653] = 2256,
  [4654] = 2257,
  [4655] = 2450,
  [4656] = 2233,
  [4657] = 2237,
  [4658] = 1929,
  [4659] = 2209,
  [4660] = 3736,
  [4661] = 2240,
  [4662] = 3065,
  [4663] = 2207,
  [4664] = 2467,
  [4665] = 3736,
  [4666] = 2345,
  [4667] = 2201,
  [4668] = 2272,
  [4669] = 2261,
  [4670] = 2260,
  [4671] = 2255,
  [4672] = 2450,
  [4673] = 2414,
  [4674] = 3088,
  [4675] = 1929,
  [4676] = 2252,
  [4677] = 2414,
  [4678] = 2225,
  [4679] = 2234,
  [4680] = 2269,
  [4681] = 2244,
  [4682] = 2243,
  [4683] = 2230,
  [4684] = 2412,
  [4685] = 2624,
  [4686] = 3021,
  [4687] = 4687,
  [4688] = 3022,
  [4689] = 4689,
  [4690] = 2623,
  [4691] = 2748,
  [4692] = 3023,
  [4693] = 3065,
  [4694] = 2752,
  [4695] = 2999,
  [4696] = 316,
  [4697] = 4697,
  [4698] = 2974,
  [4699] = 4687,
  [4700] = 4700,
  [4701] = 2994,
  [4702] = 3001,
  [4703] = 4700,
  [4704] = 2993,
  [4705] = 2985,
  [4706] = 3000,
  [4707] = 4697,
  [4708] = 2992,
  [4709] = 2991,
  [4710] = 4613,
  [4711] = 2990,
  [4712] = 4700,
  [4713] = 3088,
  [4714] = 323,
  [4715] = 2988,
  [4716] = 1919,
  [4717] = 4687,
  [4718] = 2694,
  [4719] = 2697,
  [4720] = 322,
  [4721] = 4721,
  [4722] = 406,
  [4723] = 2752,
  [4724] = 2980,
  [4725] = 2698,
  [4726] = 2727,
  [4727] = 1932,
  [4728] = 2724,
  [4729] = 3006,
  [4730] = 2704,
  [4731] = 3008,
  [4732] = 285,
  [4733] = 396,
  [4734] = 4697,
  [4735] = 2694,
  [4736] = 2686,
  [4737] = 4687,
  [4738] = 3008,
  [4739] = 1932,
  [4740] = 2988,
  [4741] = 2999,
  [4742] = 2974,
  [4743] = 3023,
  [4744] = 2333,
  [4745] = 4700,
  [4746] = 3022,
  [4747] = 2990,
  [4748] = 2991,
  [4749] = 2992,
  [4750] = 2993,
  [4751] = 3000,
  [4752] = 2994,
  [4753] = 3021,
  [4754] = 3006,
  [4755] = 4457,
  [4756] = 4410,
  [4757] = 3001,
  [4758] = 3559,
  [4759] = 3507,
  [4760] = 1929,
  [4761] = 2241,
  [4762] = 2741,
  [4763] = 2062,
  [4764] = 4764,
  [4765] = 2333,
  [4766] = 3065,
  [4767] = 2985,
  [4768] = 3088,
  [4769] = 3567,
  [4770] = 2065,
  [4771] = 2980,
  [4772] = 4772,
  [4773] = 4697,
  [4774] = 4774,
  [4775] = 2861,
  [4776] = 4776,
  [4777] = 4777,
  [4778] = 2788,
  [4779] = 4779,
  [4780] = 4780,
  [4781] = 1999,
  [4782] = 4782,
  [4783] = 2808,
  [4784] = 2802,
  [4785] = 1984,
  [4786] = 2812,
  [4787] = 2814,
  [4788] = 3022,
  [4789] = 1996,
  [4790] = 2985,
  [4791] = 4782,
  [4792] = 4776,
  [4793] = 2855,
  [4794] = 2857,
  [4795] = 2980,
  [4796] = 4774,
  [4797] = 4797,
  [4798] = 2860,
  [4799] = 4779,
  [4800] = 4777,
  [4801] = 4700,
  [4802] = 1991,
  [4803] = 4697,
  [4804] = 1983,
  [4805] = 4805,
  [4806] = 4777,
  [4807] = 4774,
  [4808] = 4797,
  [4809] = 2816,
  [4810] = 4779,
  [4811] = 1995,
  [4812] = 4774,
  [4813] = 2796,
  [4814] = 1988,
  [4815] = 2694,
  [4816] = 4816,
  [4817] = 1982,
  [4818] = 2790,
  [4819] = 1992,
  [4820] = 2412,
  [4821] = 4821,
  [4822] = 2012,
  [4823] = 4779,
  [4824] = 4824,
  [4825] = 2467,
  [4826] = 4826,
  [4827] = 4777,
  [4828] = 3023,
  [4829] = 1989,
  [4830] = 1980,
  [4831] = 1987,
  [4832] = 2988,
  [4833] = 4779,
  [4834] = 2990,
  [4835] = 2991,
  [4836] = 2992,
  [4837] = 2993,
  [4838] = 2994,
  [4839] = 4797,
  [4840] = 2999,
  [4841] = 4779,
  [4842] = 3021,
  [4843] = 4774,
  [4844] = 2822,
  [4845] = 2414,
  [4846] = 2819,
  [4847] = 2759,
  [4848] = 2840,
  [4849] = 4849,
  [4850] = 4797,
  [4851] = 4851,
  [4852] = 2797,
  [4853] = 3001,
  [4854] = 4777,
  [4855] = 2262,
  [4856] = 4856,
  [4857] = 4777,
  [4858] = 1982,
  [4859] = 2778,
  [4860] = 4860,
  [4861] = 1995,
  [4862] = 4721,
  [4863] = 4863,
  [4864] = 4777,
  [4865] = 4721,
  [4866] = 2450,
  [4867] = 4867,
  [4868] = 4868,
  [4869] = 4780,
  [4870] = 4870,
  [4871] = 4871,
  [4872] = 4782,
  [4873] = 4873,
  [4874] = 1993,
  [4875] = 1996,
  [4876] = 3008,
  [4877] = 2801,
  [4878] = 4700,
  [4879] = 4774,
  [4880] = 4779,
  [4881] = 3000,
  [4882] = 2783,
  [4883] = 153,
  [4884] = 151,
  [4885] = 2846,
  [4886] = 4779,
  [4887] = 4774,
  [4888] = 4782,
  [4889] = 2211,
  [4890] = 4890,
  [4891] = 2839,
  [4892] = 2781,
  [4893] = 4797,
  [4894] = 1987,
  [4895] = 1980,
  [4896] = 1989,
  [4897] = 2752,
  [4898] = 2755,
  [4899] = 4782,
  [4900] = 2784,
  [4901] = 2780,
  [4902] = 2851,
  [4903] = 2779,
  [4904] = 1990,
  [4905] = 2768,
  [4906] = 2767,
  [4907] = 4776,
  [4908] = 2862,
  [4909] = 1990,
  [4910] = 1999,
  [4911] = 4782,
  [4912] = 1984,
  [4913] = 4777,
  [4914] = 2974,
  [4915] = 2830,
  [4916] = 3006,
  [4917] = 1991,
  [4918] = 1983,
  [4919] = 2854,
  [4920] = 1992,
  [4921] = 4774,
  [4922] = 151,
  [4923] = 4782,
  [4924] = 4777,
  [4925] = 4776,
  [4926] = 4777,
  [4927] = 4777,
  [4928] = 4797,
  [4929] = 4777,
  [4930] = 153,
  [4931] = 2764,
  [4932] = 1993,
  [4933] = 4821,
  [4934] = 4777,
  [4935] = 2770,
  [4936] = 1988,
  [4937] = 4777,
  [4938] = 4777,
  [4939] = 1994,
  [4940] = 4697,
  [4941] = 4774,
  [4942] = 4782,
  [4943] = 4797,
  [4944] = 4777,
  [4945] = 4797,
  [4946] = 4777,
  [4947] = 2842,
  [4948] = 1994,
  [4949] = 2775,
  [4950] = 4777,
  [4951] = 2774,
  [4952] = 4952,
  [4953] = 4777,
  [4954] = 4849,
  [4955] = 4856,
  [4956] = 4779,
  [4957] = 4957,
  [4958] = 3023,
  [4959] = 4959,
  [4960] = 2980,
  [4961] = 2241,
  [4962] = 2704,
  [4963] = 2985,
  [4964] = 3006,
  [4965] = 4965,
  [4966] = 4966,
  [4967] = 4967,
  [4968] = 2974,
  [4969] = 3000,
  [4970] = 4970,
  [4971] = 2724,
  [4972] = 2727,
  [4973] = 4973,
  [4974] = 4974,
  [4975] = 4957,
  [4976] = 4976,
  [4977] = 4977,
  [4978] = 4978,
  [4979] = 4979,
  [4980] = 4973,
  [4981] = 4974,
  [4982] = 4976,
  [4983] = 4977,
  [4984] = 4957,
  [4985] = 3008,
  [4986] = 4978,
  [4987] = 3023,
  [4988] = 4988,
  [4989] = 3022,
  [4990] = 4978,
  [4991] = 4991,
  [4992] = 4957,
  [4993] = 2988,
  [4994] = 4965,
  [4995] = 2748,
  [4996] = 2990,
  [4997] = 2991,
  [4998] = 2992,
  [4999] = 2993,
  [5000] = 2994,
  [5001] = 4721,
  [5002] = 2999,
  [5003] = 3021,
  [5004] = 5004,
  [5005] = 4959,
  [5006] = 3001,
  [5007] = 4979,
  [5008] = 3008,
  [5009] = 5009,
  [5010] = 5010,
  [5011] = 5011,
  [5012] = 5010,
  [5013] = 4965,
  [5014] = 4965,
  [5015] = 5015,
  [5016] = 5016,
  [5017] = 4978,
  [5018] = 5018,
  [5019] = 5019,
  [5020] = 4959,
  [5021] = 4959,
  [5022] = 3006,
  [5023] = 3065,
  [5024] = 5024,
  [5025] = 5009,
  [5026] = 5010,
  [5027] = 5010,
  [5028] = 4959,
  [5029] = 5029,
  [5030] = 4977,
  [5031] = 4976,
  [5032] = 4978,
  [5033] = 4974,
  [5034] = 3021,
  [5035] = 4957,
  [5036] = 4973,
  [5037] = 4965,
  [5038] = 5038,
  [5039] = 4959,
  [5040] = 5004,
  [5041] = 5010,
  [5042] = 4772,
  [5043] = 5004,
  [5044] = 4979,
  [5045] = 4979,
  [5046] = 5010,
  [5047] = 5004,
  [5048] = 3000,
  [5049] = 4965,
  [5050] = 4978,
  [5051] = 4959,
  [5052] = 5052,
  [5053] = 4979,
  [5054] = 5054,
  [5055] = 5004,
  [5056] = 2686,
  [5057] = 4957,
  [5058] = 4700,
  [5059] = 5059,
  [5060] = 1932,
  [5061] = 3088,
  [5062] = 2980,
  [5063] = 2974,
  [5064] = 3001,
  [5065] = 5065,
  [5066] = 4965,
  [5067] = 5067,
  [5068] = 4959,
  [5069] = 2985,
  [5070] = 4697,
  [5071] = 5071,
  [5072] = 4959,
  [5073] = 5004,
  [5074] = 4978,
  [5075] = 5075,
  [5076] = 4957,
  [5077] = 5077,
  [5078] = 5052,
  [5079] = 5004,
  [5080] = 4965,
  [5081] = 2698,
  [5082] = 5010,
  [5083] = 5054,
  [5084] = 4957,
  [5085] = 3636,
  [5086] = 4978,
  [5087] = 5087,
  [5088] = 5010,
  [5089] = 5089,
  [5090] = 4613,
  [5091] = 2697,
  [5092] = 2999,
  [5093] = 2994,
  [5094] = 1932,
  [5095] = 2993,
  [5096] = 4979,
  [5097] = 2992,
  [5098] = 2991,
  [5099] = 2990,
  [5100] = 2988,
  [5101] = 3022,
  [5102] = 5102,
  [5103] = 5103,
  [5104] = 5102,
  [5105] = 5105,
  [5106] = 5106,
  [5107] = 5107,
  [5108] = 5107,
  [5109] = 5102,
  [5110] = 5105,
  [5111] = 5111,
  [5112] = 5112,
  [5113] = 5113,
  [5114] = 5114,
  [5115] = 5115,
  [5116] = 5106,
  [5117] = 2624,
  [5118] = 5118,
  [5119] = 5119,
  [5120] = 5118,
  [5121] = 5105,
  [5122] = 5112,
  [5123] = 2333,
  [5124] = 5102,
  [5125] = 2623,
  [5126] = 2748,
  [5127] = 5102,
  [5128] = 5128,
  [5129] = 5103,
  [5130] = 5103,
  [5131] = 5131,
  [5132] = 5105,
  [5133] = 5112,
  [5134] = 5134,
  [5135] = 5131,
  [5136] = 5105,
  [5137] = 4977,
  [5138] = 5115,
  [5139] = 5139,
  [5140] = 5105,
  [5141] = 5111,
  [5142] = 5142,
  [5143] = 5112,
  [5144] = 5112,
  [5145] = 2727,
  [5146] = 5128,
  [5147] = 5119,
  [5148] = 5148,
  [5149] = 5142,
  [5150] = 2724,
  [5151] = 5112,
  [5152] = 5134,
  [5153] = 2162,
  [5154] = 5114,
  [5155] = 5155,
  [5156] = 5105,
  [5157] = 5112,
  [5158] = 2704,
  [5159] = 2697,
  [5160] = 5105,
  [5161] = 5161,
  [5162] = 5114,
  [5163] = 5105,
  [5164] = 3006,
  [5165] = 5165,
  [5166] = 2698,
  [5167] = 5115,
  [5168] = 5111,
  [5169] = 5169,
  [5170] = 5114,
  [5171] = 5134,
  [5172] = 5131,
  [5173] = 5134,
  [5174] = 5115,
  [5175] = 5106,
  [5176] = 5131,
  [5177] = 5103,
  [5178] = 5114,
  [5179] = 5142,
  [5180] = 5142,
  [5181] = 3065,
  [5182] = 5169,
  [5183] = 5111,
  [5184] = 5102,
  [5185] = 5128,
  [5186] = 5186,
  [5187] = 5105,
  [5188] = 5188,
  [5189] = 4697,
  [5190] = 5111,
  [5191] = 2741,
  [5192] = 5112,
  [5193] = 5142,
  [5194] = 5106,
  [5195] = 5195,
  [5196] = 5118,
  [5197] = 5106,
  [5198] = 5105,
  [5199] = 5105,
  [5200] = 5200,
  [5201] = 5106,
  [5202] = 5114,
  [5203] = 5112,
  [5204] = 3088,
  [5205] = 5105,
  [5206] = 5206,
  [5207] = 2985,
  [5208] = 5106,
  [5209] = 5102,
  [5210] = 5115,
  [5211] = 5103,
  [5212] = 4976,
  [5213] = 5114,
  [5214] = 5214,
  [5215] = 5215,
  [5216] = 5102,
  [5217] = 5131,
  [5218] = 5105,
  [5219] = 5112,
  [5220] = 4974,
  [5221] = 5134,
  [5222] = 2433,
  [5223] = 5114,
  [5224] = 5115,
  [5225] = 2441,
  [5226] = 5226,
  [5227] = 2999,
  [5228] = 2440,
  [5229] = 5142,
  [5230] = 5111,
  [5231] = 5113,
  [5232] = 5106,
  [5233] = 5128,
  [5234] = 5234,
  [5235] = 3000,
  [5236] = 2466,
  [5237] = 4973,
  [5238] = 2974,
  [5239] = 5118,
  [5240] = 2465,
  [5241] = 3008,
  [5242] = 5131,
  [5243] = 5128,
  [5244] = 3001,
  [5245] = 5115,
  [5246] = 5246,
  [5247] = 5142,
  [5248] = 3021,
  [5249] = 5106,
  [5250] = 2980,
  [5251] = 5115,
  [5252] = 2012,
  [5253] = 2994,
  [5254] = 5254,
  [5255] = 4700,
  [5256] = 5142,
  [5257] = 2993,
  [5258] = 5103,
  [5259] = 5114,
  [5260] = 2455,
  [5261] = 3023,
  [5262] = 5102,
  [5263] = 2262,
  [5264] = 5105,
  [5265] = 2452,
  [5266] = 5112,
  [5267] = 3022,
  [5268] = 2988,
  [5269] = 2211,
  [5270] = 5270,
  [5271] = 2992,
  [5272] = 5272,
  [5273] = 2065,
  [5274] = 2430,
  [5275] = 5118,
  [5276] = 2062,
  [5277] = 5188,
  [5278] = 2991,
  [5279] = 5134,
  [5280] = 2990,
  [5281] = 5281,
  [5282] = 4973,
  [5283] = 2851,
  [5284] = 2846,
  [5285] = 2801,
  [5286] = 2781,
  [5287] = 2694,
  [5288] = 2830,
  [5289] = 2862,
  [5290] = 2839,
  [5291] = 5291,
  [5292] = 2857,
  [5293] = 2775,
  [5294] = 2822,
  [5295] = 2802,
  [5296] = 2774,
  [5297] = 2796,
  [5298] = 2759,
  [5299] = 2840,
  [5300] = 5291,
  [5301] = 2790,
  [5302] = 5302,
  [5303] = 4974,
  [5304] = 2770,
  [5305] = 2855,
  [5306] = 2752,
  [5307] = 5307,
  [5308] = 4973,
  [5309] = 2816,
  [5310] = 2767,
  [5311] = 2768,
  [5312] = 4697,
  [5313] = 2819,
  [5314] = 4974,
  [5315] = 2854,
  [5316] = 2779,
  [5317] = 2780,
  [5318] = 4976,
  [5319] = 4977,
  [5320] = 2783,
  [5321] = 2241,
  [5322] = 2784,
  [5323] = 4976,
  [5324] = 2755,
  [5325] = 2842,
  [5326] = 2861,
  [5327] = 2860,
  [5328] = 5328,
  [5329] = 2031,
  [5330] = 2778,
  [5331] = 4977,
  [5332] = 2764,
  [5333] = 2808,
  [5334] = 2814,
  [5335] = 2812,
  [5336] = 2788,
  [5337] = 4700,
  [5338] = 2797,
  [5339] = 4973,
  [5340] = 2440,
  [5341] = 5291,
  [5342] = 1925,
  [5343] = 1924,
  [5344] = 1923,
  [5345] = 1926,
  [5346] = 1927,
  [5347] = 1928,
  [5348] = 2746,
  [5349] = 4700,
  [5350] = 4976,
  [5351] = 5351,
  [5352] = 2715,
  [5353] = 2623,
  [5354] = 2624,
  [5355] = 2430,
  [5356] = 4977,
  [5357] = 2031,
  [5358] = 2077,
  [5359] = 5291,
  [5360] = 4974,
  [5361] = 4697,
  [5362] = 2452,
  [5363] = 2455,
  [5364] = 2333,
  [5365] = 2185,
  [5366] = 2086,
  [5367] = 2087,
  [5368] = 2241,
  [5369] = 1922,
  [5370] = 2162,
  [5371] = 2209,
  [5372] = 2720,
  [5373] = 2441,
  [5374] = 1974,
  [5375] = 2465,
  [5376] = 2466,
  [5377] = 2238,
  [5378] = 4976,
  [5379] = 5328,
  [5380] = 5302,
  [5381] = 4697,
  [5382] = 5291,
  [5383] = 4977,
  [5384] = 2198,
  [5385] = 2062,
  [5386] = 2623,
  [5387] = 5291,
  [5388] = 5291,
  [5389] = 5291,
  [5390] = 2062,
  [5391] = 5291,
  [5392] = 2624,
  [5393] = 5291,
  [5394] = 5291,
  [5395] = 2433,
  [5396] = 5396,
  [5397] = 5291,
  [5398] = 4974,
  [5399] = 2246,
  [5400] = 2065,
  [5401] = 5307,
  [5402] = 2065,
  [5403] = 4973,
  [5404] = 4700,
  [5405] = 2274,
  [5406] = 4697,
  [5407] = 5407,
  [5408] = 2406,
  [5409] = 2336,
  [5410] = 5410,
  [5411] = 2333,
  [5412] = 2343,
  [5413] = 5291,
  [5414] = 2346,
  [5415] = 5407,
  [5416] = 5416,
  [5417] = 4973,
  [5418] = 2326,
  [5419] = 4700,
  [5420] = 2309,
  [5421] = 2305,
  [5422] = 4697,
  [5423] = 4974,
  [5424] = 4976,
  [5425] = 2285,
  [5426] = 2356,
  [5427] = 2347,
  [5428] = 5291,
  [5429] = 2128,
  [5430] = 5410,
  [5431] = 5291,
  [5432] = 2238,
  [5433] = 2407,
  [5434] = 4700,
  [5435] = 5291,
  [5436] = 2322,
  [5437] = 4977,
  [5438] = 2031,
  [5439] = 2253,
  [5440] = 2333,
  [5441] = 2276,
  [5442] = 5442,
  [5443] = 5443,
  [5444] = 2272,
  [5445] = 5442,
  [5446] = 4976,
  [5447] = 2231,
  [5448] = 2234,
  [5449] = 4974,
  [5450] = 2225,
  [5451] = 5407,
  [5452] = 2245,
  [5453] = 5291,
  [5454] = 5410,
  [5455] = 2252,
  [5456] = 2201,
  [5457] = 5410,
  [5458] = 2248,
  [5459] = 5443,
  [5460] = 2249,
  [5461] = 2264,
  [5462] = 2246,
  [5463] = 2207,
  [5464] = 5442,
  [5465] = 2226,
  [5466] = 2227,
  [5467] = 5443,
  [5468] = 2230,
  [5469] = 5442,
  [5470] = 5291,
  [5471] = 2263,
  [5472] = 5442,
  [5473] = 2270,
  [5474] = 5443,
  [5475] = 5442,
  [5476] = 5443,
  [5477] = 5477,
  [5478] = 5442,
  [5479] = 2284,
  [5480] = 5407,
  [5481] = 2243,
  [5482] = 2258,
  [5483] = 5443,
  [5484] = 5443,
  [5485] = 2244,
  [5486] = 2261,
  [5487] = 5443,
  [5488] = 5443,
  [5489] = 2240,
  [5490] = 2257,
  [5491] = 5442,
  [5492] = 5442,
  [5493] = 2250,
  [5494] = 2256,
  [5495] = 2269,
  [5496] = 2233,
  [5497] = 2162,
  [5498] = 5443,
  [5499] = 5443,
  [5500] = 2260,
  [5501] = 2247,
  [5502] = 2229,
  [5503] = 2254,
  [5504] = 2255,
  [5505] = 2237,
  [5506] = 2274,
  [5507] = 5442,
  [5508] = 2251,
  [5509] = 2223,
  [5510] = 5510,
  [5511] = 4977,
  [5512] = 4973,
  [5513] = 5442,
  [5514] = 2285,
  [5515] = 5515,
  [5516] = 5407,
  [5517] = 5517,
  [5518] = 2623,
  [5519] = 4974,
  [5520] = 2322,
  [5521] = 5410,
  [5522] = 5517,
  [5523] = 4974,
  [5524] = 2623,
  [5525] = 5407,
  [5526] = 2346,
  [5527] = 5410,
  [5528] = 5517,
  [5529] = 5407,
  [5530] = 5530,
  [5531] = 5517,
  [5532] = 2336,
  [5533] = 4976,
  [5534] = 2343,
  [5535] = 5410,
  [5536] = 2347,
  [5537] = 5407,
  [5538] = 5407,
  [5539] = 5517,
  [5540] = 4973,
  [5541] = 5515,
  [5542] = 5410,
  [5543] = 5543,
  [5544] = 5515,
  [5545] = 5515,
  [5546] = 5546,
  [5547] = 5517,
  [5548] = 2624,
  [5549] = 2062,
  [5550] = 5517,
  [5551] = 5530,
  [5552] = 2624,
  [5553] = 4977,
  [5554] = 5554,
  [5555] = 2065,
  [5556] = 5410,
  [5557] = 5546,
  [5558] = 5543,
  [5559] = 2356,
  [5560] = 5410,
  [5561] = 5515,
  [5562] = 2305,
  [5563] = 4697,
  [5564] = 5407,
  [5565] = 4977,
  [5566] = 5410,
  [5567] = 5410,
  [5568] = 5517,
  [5569] = 5569,
  [5570] = 5407,
  [5571] = 5517,
  [5572] = 5515,
  [5573] = 2309,
  [5574] = 5407,
  [5575] = 2326,
  [5576] = 4700,
  [5577] = 2406,
  [5578] = 2407,
  [5579] = 5410,
  [5580] = 5580,
  [5581] = 5581,
  [5582] = 5580,
  [5583] = 5583,
  [5584] = 5580,
  [5585] = 5581,
  [5586] = 5410,
  [5587] = 5587,
  [5588] = 5407,
  [5589] = 5581,
  [5590] = 5590,
  [5591] = 5591,
  [5592] = 5583,
  [5593] = 4976,
  [5594] = 5587,
  [5595] = 5591,
  [5596] = 5410,
  [5597] = 2258,
  [5598] = 4973,
  [5599] = 5291,
  [5600] = 5587,
  [5601] = 2127,
  [5602] = 5580,
  [5603] = 5580,
  [5604] = 5590,
  [5605] = 5590,
  [5606] = 5590,
  [5607] = 2248,
  [5608] = 5580,
  [5609] = 5580,
  [5610] = 5291,
  [5611] = 5611,
  [5612] = 5591,
  [5613] = 5591,
  [5614] = 5580,
  [5615] = 5591,
  [5616] = 5580,
  [5617] = 5583,
  [5618] = 2162,
  [5619] = 5619,
  [5620] = 5583,
  [5621] = 4977,
  [5622] = 5407,
  [5623] = 2231,
  [5624] = 5590,
  [5625] = 5587,
  [5626] = 5591,
  [5627] = 4974,
  [5628] = 5581,
  [5629] = 5581,
  [5630] = 5590,
  [5631] = 2162,
  [5632] = 4977,
  [5633] = 5590,
  [5634] = 5580,
  [5635] = 2153,
  [5636] = 5410,
  [5637] = 5587,
  [5638] = 5583,
  [5639] = 5580,
  [5640] = 4976,
  [5641] = 5580,
  [5642] = 5581,
  [5643] = 5587,
  [5644] = 5590,
  [5645] = 2128,
  [5646] = 5580,
  [5647] = 5580,
  [5648] = 5580,
  [5649] = 5583,
  [5650] = 5580,
  [5651] = 5291,
  [5652] = 5587,
  [5653] = 3697,
  [5654] = 5583,
  [5655] = 5407,
  [5656] = 5580,
  [5657] = 5587,
  [5658] = 5581,
  [5659] = 5591,
  [5660] = 4973,
  [5661] = 5591,
  [5662] = 5583,
  [5663] = 5581,
  [5664] = 5587,
  [5665] = 5407,
  [5666] = 2226,
  [5667] = 5580,
  [5668] = 4974,
  [5669] = 5580,
  [5670] = 2284,
  [5671] = 5291,
  [5672] = 5587,
  [5673] = 5590,
  [5674] = 2247,
  [5675] = 5590,
  [5676] = 5676,
  [5677] = 5580,
  [5678] = 5580,
  [5679] = 5587,
  [5680] = 5590,
  [5681] = 5681,
  [5682] = 5682,
  [5683] = 5683,
  [5684] = 5682,
  [5685] = 5682,
  [5686] = 5686,
  [5687] = 5681,
  [5688] = 5683,
  [5689] = 5689,
  [5690] = 5690,
  [5691] = 5691,
  [5692] = 5690,
  [5693] = 5693,
  [5694] = 5690,
  [5695] = 5693,
  [5696] = 5690,
  [5697] = 5682,
  [5698] = 2223,
  [5699] = 5682,
  [5700] = 5690,
  [5701] = 5693,
  [5702] = 5682,
  [5703] = 5693,
  [5704] = 5690,
  [5705] = 5682,
  [5706] = 5693,
  [5707] = 5690,
  [5708] = 5708,
  [5709] = 2229,
  [5710] = 5691,
  [5711] = 5711,
  [5712] = 5686,
  [5713] = 5690,
  [5714] = 5693,
  [5715] = 5682,
  [5716] = 5682,
  [5717] = 5693,
  [5718] = 5681,
  [5719] = 5683,
  [5720] = 5690,
  [5721] = 2233,
  [5722] = 5689,
  [5723] = 2237,
  [5724] = 5690,
  [5725] = 5693,
  [5726] = 5682,
  [5727] = 5727,
  [5728] = 5686,
  [5729] = 2269,
  [5730] = 5689,
  [5731] = 5681,
  [5732] = 5691,
  [5733] = 5682,
  [5734] = 5734,
  [5735] = 5407,
  [5736] = 5690,
  [5737] = 5693,
  [5738] = 5682,
  [5739] = 5693,
  [5740] = 5410,
  [5741] = 5690,
  [5742] = 5691,
  [5743] = 5686,
  [5744] = 5681,
  [5745] = 2345,
  [5746] = 2241,
  [5747] = 5510,
  [5748] = 5689,
  [5749] = 5681,
  [5750] = 2240,
  [5751] = 5691,
  [5752] = 5683,
  [5753] = 5682,
  [5754] = 5693,
  [5755] = 5690,
  [5756] = 2207,
  [5757] = 5686,
  [5758] = 5689,
  [5759] = 2249,
  [5760] = 2264,
  [5761] = 2263,
  [5762] = 5683,
  [5763] = 2270,
  [5764] = 2276,
  [5765] = 2209,
  [5766] = 5689,
  [5767] = 5686,
  [5768] = 2245,
  [5769] = 5691,
  [5770] = 2227,
  [5771] = 2230,
  [5772] = 2243,
  [5773] = 5711,
  [5774] = 5774,
  [5775] = 5693,
  [5776] = 2244,
  [5777] = 5711,
  [5778] = 5682,
  [5779] = 2252,
  [5780] = 2624,
  [5781] = 2255,
  [5782] = 5681,
  [5783] = 2623,
  [5784] = 5682,
  [5785] = 5689,
  [5786] = 5681,
  [5787] = 5686,
  [5788] = 5693,
  [5789] = 5691,
  [5790] = 5690,
  [5791] = 5711,
  [5792] = 5682,
  [5793] = 5691,
  [5794] = 5711,
  [5795] = 5681,
  [5796] = 5689,
  [5797] = 5683,
  [5798] = 2260,
  [5799] = 2261,
  [5800] = 5682,
  [5801] = 5693,
  [5802] = 5693,
  [5803] = 5690,
  [5804] = 5686,
  [5805] = 5686,
  [5806] = 5693,
  [5807] = 2272,
  [5808] = 5682,
  [5809] = 5690,
  [5810] = 5693,
  [5811] = 5693,
  [5812] = 2257,
  [5813] = 5690,
  [5814] = 2256,
  [5815] = 2623,
  [5816] = 5690,
  [5817] = 5691,
  [5818] = 5407,
  [5819] = 2254,
  [5820] = 2253,
  [5821] = 2251,
  [5822] = 2250,
  [5823] = 5690,
  [5824] = 2225,
  [5825] = 5410,
  [5826] = 5689,
  [5827] = 2234,
  [5828] = 2201,
  [5829] = 5693,
  [5830] = 5682,
  [5831] = 5831,
  [5832] = 5682,
  [5833] = 5693,
  [5834] = 5690,
  [5835] = 2624,
  [5836] = 3697,
  [5837] = 5837,
  [5838] = 5837,
  [5839] = 5839,
  [5840] = 5839,
  [5841] = 5841,
  [5842] = 4976,
  [5843] = 5839,
  [5844] = 5839,
  [5845] = 5845,
  [5846] = 4977,
  [5847] = 5839,
  [5848] = 5839,
  [5849] = 5839,
  [5850] = 5845,
  [5851] = 5839,
  [5852] = 5839,
  [5853] = 5839,
  [5854] = 5839,
  [5855] = 4974,
  [5856] = 5839,
  [5857] = 2437,
  [5858] = 4973,
  [5859] = 5839,
  [5860] = 5839,
  [5861] = 5841,
  [5862] = 5839,
  [5863] = 5839,
  [5864] = 5839,
  [5865] = 5839,
  [5866] = 5839,
  [5867] = 5839,
  [5868] = 5837,
  [5869] = 5407,
  [5870] = 5410,
  [5871] = 5845,
  [5872] = 2333,
  [5873] = 5407,
  [5874] = 5841,
  [5875] = 2274,
  [5876] = 5407,
  [5877] = 2246,
  [5878] = 5410,
  [5879] = 5845,
  [5880] = 5841,
  [5881] = 5407,
  [5882] = 5410,
  [5883] = 5410,
  [5884] = 5837,
  [5885] = 5841,
  [5886] = 2262,
  [5887] = 5845,
  [5888] = 5837,
  [5889] = 5837,
  [5890] = 5837,
  [5891] = 5845,
  [5892] = 5841,
  [5893] = 2211,
  [5894] = 2452,
  [5895] = 5837,
  [5896] = 2455,
  [5897] = 2441,
  [5898] = 5841,
  [5899] = 5841,
  [5900] = 5900,
  [5901] = 5845,
  [5902] = 5845,
  [5903] = 2430,
  [5904] = 2440,
  [5905] = 5841,
  [5906] = 5837,
  [5907] = 5845,
  [5908] = 5841,
  [5909] = 5841,
  [5910] = 5837,
  [5911] = 5911,
  [5912] = 5841,
  [5913] = 5845,
  [5914] = 5845,
  [5915] = 5837,
  [5916] = 5727,
  [5917] = 5708,
  [5918] = 2466,
  [5919] = 2465,
  [5920] = 5845,
  [5921] = 5837,
  [5922] = 5922,
  [5923] = 2285,
  [5924] = 5845,
  [5925] = 5922,
  [5926] = 5841,
  [5927] = 2347,
  [5928] = 5837,
  [5929] = 2343,
  [5930] = 5837,
  [5931] = 5845,
  [5932] = 5841,
  [5933] = 5922,
  [5934] = 5922,
  [5935] = 5841,
  [5936] = 2326,
  [5937] = 5837,
  [5938] = 5837,
  [5939] = 5922,
  [5940] = 2346,
  [5941] = 5845,
  [5942] = 5845,
  [5943] = 5922,
  [5944] = 2322,
  [5945] = 5922,
  [5946] = 5922,
  [5947] = 2309,
  [5948] = 5841,
  [5949] = 2305,
  [5950] = 2407,
  [5951] = 2406,
  [5952] = 2336,
  [5953] = 5922,
  [5954] = 4457,
  [5955] = 2356,
  [5956] = 5845,
  [5957] = 5957,
  [5958] = 5845,
  [5959] = 5957,
  [5960] = 5837,
  [5961] = 5841,
  [5962] = 4410,
  [5963] = 2433,
  [5964] = 5841,
  [5965] = 5957,
  [5966] = 5837,
  [5967] = 5967,
  [5968] = 5957,
  [5969] = 5969,
  [5970] = 2162,
  [5971] = 5971,
  [5972] = 5972,
  [5973] = 5837,
  [5974] = 5971,
  [5975] = 5845,
  [5976] = 5976,
  [5977] = 5977,
  [5978] = 5841,
  [5979] = 5977,
  [5980] = 5977,
  [5981] = 5981,
  [5982] = 5982,
  [5983] = 5971,
  [5984] = 5971,
  [5985] = 5977,
  [5986] = 5972,
  [5987] = 5971,
  [5988] = 5972,
  [5989] = 5971,
  [5990] = 5972,
  [5991] = 5977,
  [5992] = 5977,
  [5993] = 5972,
  [5994] = 5845,
  [5995] = 5995,
  [5996] = 5976,
  [5997] = 5971,
  [5998] = 5981,
  [5999] = 5845,
  [6000] = 6000,
  [6001] = 5837,
  [6002] = 5971,
  [6003] = 5971,
  [6004] = 5841,
  [6005] = 5981,
  [6006] = 5972,
  [6007] = 5972,
  [6008] = 5971,
  [6009] = 5971,
  [6010] = 5972,
  [6011] = 5972,
  [6012] = 5972,
  [6013] = 5972,
  [6014] = 5845,
  [6015] = 5971,
  [6016] = 5971,
  [6017] = 5977,
  [6018] = 5972,
  [6019] = 5971,
  [6020] = 5981,
  [6021] = 5972,
  [6022] = 5972,
  [6023] = 5971,
  [6024] = 5977,
  [6025] = 5971,
  [6026] = 5837,
  [6027] = 5972,
  [6028] = 5841,
  [6029] = 5841,
  [6030] = 5972,
  [6031] = 5972,
  [6032] = 5957,
  [6033] = 5972,
  [6034] = 5977,
  [6035] = 5971,
  [6036] = 5957,
  [6037] = 5971,
  [6038] = 5976,
  [6039] = 5837,
  [6040] = 6040,
  [6041] = 6041,
  [6042] = 6042,
  [6043] = 6043,
  [6044] = 6042,
  [6045] = 6042,
  [6046] = 6043,
  [6047] = 6041,
  [6048] = 6048,
  [6049] = 6040,
  [6050] = 6041,
  [6051] = 6042,
  [6052] = 6040,
  [6053] = 6043,
  [6054] = 6040,
  [6055] = 6055,
  [6056] = 6042,
  [6057] = 6048,
  [6058] = 6041,
  [6059] = 6040,
  [6060] = 6060,
  [6061] = 6041,
  [6062] = 6041,
  [6063] = 6048,
  [6064] = 6040,
  [6065] = 6043,
  [6066] = 6042,
  [6067] = 6048,
  [6068] = 6043,
  [6069] = 6048,
  [6070] = 2238,
  [6071] = 6042,
  [6072] = 6048,
  [6073] = 6040,
  [6074] = 5957,
  [6075] = 6043,
  [6076] = 6043,
  [6077] = 6077,
  [6078] = 6043,
  [6079] = 6040,
  [6080] = 6048,
  [6081] = 6041,
  [6082] = 6042,
  [6083] = 6040,
  [6084] = 6041,
  [6085] = 6043,
  [6086] = 6042,
  [6087] = 6041,
  [6088] = 6043,
  [6089] = 6048,
  [6090] = 6048,
  [6091] = 6043,
  [6092] = 6041,
  [6093] = 6040,
  [6094] = 6042,
  [6095] = 6048,
  [6096] = 5982,
  [6097] = 6060,
  [6098] = 6060,
  [6099] = 6043,
  [6100] = 6040,
  [6101] = 6042,
  [6102] = 6077,
  [6103] = 6048,
  [6104] = 6048,
  [6105] = 6041,
  [6106] = 6041,
  [6107] = 6077,
  [6108] = 6048,
  [6109] = 6109,
  [6110] = 6048,
  [6111] = 6041,
  [6112] = 6040,
  [6113] = 6040,
  [6114] = 6048,
  [6115] = 6042,
  [6116] = 6041,
  [6117] = 6043,
  [6118] = 6048,
  [6119] = 6043,
  [6120] = 6042,
  [6121] = 6041,
  [6122] = 6042,
  [6123] = 6041,
  [6124] = 6040,
  [6125] = 6040,
  [6126] = 6040,
  [6127] = 6048,
  [6128] = 6042,
  [6129] = 6041,
  [6130] = 6042,
  [6131] = 6041,
  [6132] = 6043,
  [6133] = 6040,
  [6134] = 6040,
  [6135] = 6042,
  [6136] = 6048,
  [6137] = 6042,
  [6138] = 6041,
  [6139] = 6043,
  [6140] = 6040,
  [6141] = 6040,
  [6142] = 6043,
  [6143] = 6043,
  [6144] = 6048,
  [6145] = 6042,
  [6146] = 6043,
  [6147] = 6048,
  [6148] = 6041,
  [6149] = 6043,
  [6150] = 6042,
  [6151] = 6151,
  [6152] = 6152,
  [6153] = 6153,
  [6154] = 6154,
  [6155] = 6155,
  [6156] = 6156,
  [6157] = 6156,
  [6158] = 6158,
  [6159] = 6159,
  [6160] = 6156,
  [6161] = 6161,
  [6162] = 6161,
  [6163] = 6163,
  [6164] = 6164,
  [6165] = 6165,
  [6166] = 6166,
  [6167] = 6154,
  [6168] = 6168,
  [6169] = 6165,
  [6170] = 6170,
  [6171] = 6161,
  [6172] = 6156,
  [6173] = 6154,
  [6174] = 6174,
  [6175] = 6175,
  [6176] = 6176,
  [6177] = 6156,
  [6178] = 6178,
  [6179] = 6179,
  [6180] = 6180,
  [6181] = 6156,
  [6182] = 6154,
  [6183] = 6183,
  [6184] = 6184,
  [6185] = 6185,
  [6186] = 6165,
  [6187] = 6187,
  [6188] = 6164,
  [6189] = 6189,
  [6190] = 6190,
  [6191] = 6156,
  [6192] = 3088,
  [6193] = 6193,
  [6194] = 6194,
  [6195] = 6195,
  [6196] = 6190,
  [6197] = 6156,
  [6198] = 6198,
  [6199] = 6153,
  [6200] = 6200,
  [6201] = 6165,
  [6202] = 6180,
  [6203] = 6156,
  [6204] = 6154,
  [6205] = 6205,
  [6206] = 6187,
  [6207] = 6153,
  [6208] = 5957,
  [6209] = 5995,
  [6210] = 6161,
  [6211] = 6193,
  [6212] = 6156,
  [6213] = 6000,
  [6214] = 6154,
  [6215] = 6154,
  [6216] = 6153,
  [6217] = 6217,
  [6218] = 6154,
  [6219] = 6178,
  [6220] = 6156,
  [6221] = 6198,
  [6222] = 6183,
  [6223] = 6223,
  [6224] = 6156,
  [6225] = 6225,
  [6226] = 6226,
  [6227] = 6156,
  [6228] = 6158,
  [6229] = 6229,
  [6230] = 6230,
  [6231] = 6161,
  [6232] = 6154,
  [6233] = 6189,
  [6234] = 6184,
  [6235] = 6156,
  [6236] = 6236,
  [6237] = 6237,
  [6238] = 6238,
  [6239] = 6185,
  [6240] = 6240,
  [6241] = 6241,
  [6242] = 6242,
  [6243] = 6242,
  [6244] = 6244,
  [6245] = 6245,
  [6246] = 1988,
  [6247] = 151,
  [6248] = 6248,
  [6249] = 3088,
  [6250] = 153,
  [6251] = 6251,
  [6252] = 1991,
  [6253] = 6229,
  [6254] = 1992,
  [6255] = 2694,
  [6256] = 5957,
  [6257] = 6257,
  [6258] = 6236,
  [6259] = 6259,
  [6260] = 6257,
  [6261] = 6261,
  [6262] = 1983,
  [6263] = 6238,
  [6264] = 6264,
  [6265] = 6257,
  [6266] = 6266,
  [6267] = 6267,
  [6268] = 6268,
  [6269] = 6269,
  [6270] = 6244,
  [6271] = 6271,
  [6272] = 6272,
  [6273] = 6242,
  [6274] = 6217,
  [6275] = 6275,
  [6276] = 6276,
  [6277] = 6237,
  [6278] = 6194,
  [6279] = 1999,
  [6280] = 6280,
  [6281] = 6280,
  [6282] = 6257,
  [6283] = 6244,
  [6284] = 2752,
  [6285] = 6285,
  [6286] = 2694,
  [6287] = 6257,
  [6288] = 6288,
  [6289] = 1989,
  [6290] = 6276,
  [6291] = 1980,
  [6292] = 6292,
  [6293] = 6293,
  [6294] = 6294,
  [6295] = 6295,
  [6296] = 6296,
  [6297] = 6285,
  [6298] = 6251,
  [6299] = 2752,
  [6300] = 6242,
  [6301] = 6292,
  [6302] = 6230,
  [6303] = 6244,
  [6304] = 6304,
  [6305] = 6305,
  [6306] = 6306,
  [6307] = 6285,
  [6308] = 6168,
  [6309] = 1987,
  [6310] = 6251,
  [6311] = 1984,
  [6312] = 6305,
  [6313] = 6313,
  [6314] = 6242,
  [6315] = 6242,
  [6316] = 6251,
  [6317] = 6245,
  [6318] = 1982,
  [6319] = 6305,
  [6320] = 6285,
  [6321] = 6305,
  [6322] = 6322,
  [6323] = 6195,
  [6324] = 6166,
  [6325] = 6152,
  [6326] = 6261,
  [6327] = 6276,
  [6328] = 6292,
  [6329] = 1994,
  [6330] = 6280,
  [6331] = 6285,
  [6332] = 6285,
  [6333] = 6251,
  [6334] = 6268,
  [6335] = 6268,
  [6336] = 6257,
  [6337] = 6337,
  [6338] = 6322,
  [6339] = 6276,
  [6340] = 6292,
  [6341] = 6244,
  [6342] = 6245,
  [6343] = 6322,
  [6344] = 6268,
  [6345] = 6280,
  [6346] = 6305,
  [6347] = 6305,
  [6348] = 1996,
  [6349] = 6349,
  [6350] = 1995,
  [6351] = 6322,
  [6352] = 6155,
  [6353] = 1990,
  [6354] = 6159,
  [6355] = 6251,
  [6356] = 6226,
  [6357] = 6176,
  [6358] = 6245,
  [6359] = 6359,
  [6360] = 6225,
  [6361] = 6361,
  [6362] = 6362,
  [6363] = 1993,
  [6364] = 6163,
  [6365] = 6200,
  [6366] = 6251,
  [6367] = 6349,
  [6368] = 6285,
  [6369] = 6251,
  [6370] = 6242,
  [6371] = 6242,
  [6372] = 6305,
  [6373] = 6285,
  [6374] = 5957,
  [6375] = 6305,
  [6376] = 6248,
  [6377] = 2437,
  [6378] = 6294,
  [6379] = 6379,
  [6380] = 6380,
  [6381] = 6381,
  [6382] = 6251,
  [6383] = 6380,
  [6384] = 6384,
  [6385] = 6385,
  [6386] = 6251,
  [6387] = 6385,
  [6388] = 6388,
  [6389] = 5957,
  [6390] = 6390,
  [6391] = 6285,
  [6392] = 6380,
  [6393] = 6384,
  [6394] = 6394,
  [6395] = 6384,
  [6396] = 6305,
  [6397] = 6242,
  [6398] = 6242,
  [6399] = 6399,
  [6400] = 6385,
  [6401] = 6401,
  [6402] = 6285,
  [6403] = 6403,
  [6404] = 6242,
  [6405] = 6380,
  [6406] = 6406,
  [6407] = 6407,
  [6408] = 6406,
  [6409] = 6409,
  [6410] = 6385,
  [6411] = 6305,
  [6412] = 6385,
  [6413] = 6251,
  [6414] = 6385,
  [6415] = 6380,
  [6416] = 6406,
  [6417] = 6380,
  [6418] = 6380,
  [6419] = 6384,
  [6420] = 5957,
  [6421] = 6305,
  [6422] = 6406,
  [6423] = 6242,
  [6424] = 6380,
  [6425] = 2065,
  [6426] = 6285,
  [6427] = 6406,
  [6428] = 6384,
  [6429] = 6429,
  [6430] = 6305,
  [6431] = 6431,
  [6432] = 6384,
  [6433] = 6384,
  [6434] = 6251,
  [6435] = 6285,
  [6436] = 6401,
  [6437] = 6437,
  [6438] = 6406,
  [6439] = 6385,
  [6440] = 6440,
  [6441] = 6385,
  [6442] = 6442,
  [6443] = 6443,
  [6444] = 6406,
  [6445] = 6384,
  [6446] = 6446,
  [6447] = 6384,
  [6448] = 6406,
  [6449] = 6449,
  [6450] = 6385,
  [6451] = 6406,
  [6452] = 6452,
  [6453] = 6380,
  [6454] = 6384,
  [6455] = 6406,
  [6456] = 6456,
  [6457] = 6406,
  [6458] = 6385,
  [6459] = 6459,
  [6460] = 6460,
  [6461] = 2062,
  [6462] = 6380,
  [6463] = 6380,
  [6464] = 6384,
  [6465] = 6465,
  [6466] = 6466,
  [6467] = 6467,
  [6468] = 6468,
  [6469] = 6406,
  [6470] = 6380,
  [6471] = 6385,
  [6472] = 1990,
  [6473] = 6361,
  [6474] = 6474,
  [6475] = 1982,
  [6476] = 1985,
  [6477] = 6280,
  [6478] = 153,
  [6479] = 151,
  [6480] = 6480,
  [6481] = 6285,
  [6482] = 6268,
  [6483] = 1065,
  [6484] = 1987,
  [6485] = 1980,
  [6486] = 6245,
  [6487] = 1989,
  [6488] = 6322,
  [6489] = 6489,
  [6490] = 1992,
  [6491] = 1995,
  [6492] = 2694,
  [6493] = 1993,
  [6494] = 1988,
  [6495] = 6489,
  [6496] = 6489,
  [6497] = 6489,
  [6498] = 6306,
  [6499] = 2752,
  [6500] = 6322,
  [6501] = 1996,
  [6502] = 6251,
  [6503] = 6489,
  [6504] = 6489,
  [6505] = 6474,
  [6506] = 6268,
  [6507] = 6489,
  [6508] = 6242,
  [6509] = 6292,
  [6510] = 1064,
  [6511] = 6305,
  [6512] = 6280,
  [6513] = 1986,
  [6514] = 6489,
  [6515] = 6489,
  [6516] = 6489,
  [6517] = 6474,
  [6518] = 5957,
  [6519] = 6489,
  [6520] = 6474,
  [6521] = 1998,
  [6522] = 6474,
  [6523] = 6489,
  [6524] = 6489,
  [6525] = 1999,
  [6526] = 2693,
  [6527] = 6245,
  [6528] = 6528,
  [6529] = 6489,
  [6530] = 1984,
  [6531] = 6251,
  [6532] = 6489,
  [6533] = 6489,
  [6534] = 1994,
  [6535] = 6535,
  [6536] = 1991,
  [6537] = 1983,
  [6538] = 6489,
  [6539] = 6242,
  [6540] = 5957,
  [6541] = 6489,
  [6542] = 6489,
  [6543] = 6305,
  [6544] = 6544,
  [6545] = 6292,
  [6546] = 6285,
  [6547] = 6489,
  [6548] = 6548,
  [6549] = 6549,
  [6550] = 6285,
  [6551] = 6549,
  [6552] = 6305,
  [6553] = 6553,
  [6554] = 6554,
  [6555] = 6555,
  [6556] = 6549,
  [6557] = 6557,
  [6558] = 6558,
  [6559] = 6305,
  [6560] = 6560,
  [6561] = 2823,
  [6562] = 6562,
  [6563] = 6549,
  [6564] = 6549,
  [6565] = 6565,
  [6566] = 6557,
  [6567] = 6242,
  [6568] = 6557,
  [6569] = 6548,
  [6570] = 6548,
  [6571] = 6549,
  [6572] = 6242,
  [6573] = 6549,
  [6574] = 2691,
  [6575] = 2758,
  [6576] = 6553,
  [6577] = 6554,
  [6578] = 6555,
  [6579] = 6558,
  [6580] = 6548,
  [6581] = 6549,
  [6582] = 6560,
  [6583] = 6562,
  [6584] = 6565,
  [6585] = 6548,
  [6586] = 6557,
  [6587] = 2437,
  [6588] = 6549,
  [6589] = 2332,
  [6590] = 2295,
  [6591] = 6548,
  [6592] = 6285,
  [6593] = 6557,
  [6594] = 6557,
  [6595] = 6557,
  [6596] = 6557,
  [6597] = 6549,
  [6598] = 6549,
  [6599] = 2408,
  [6600] = 6553,
  [6601] = 6554,
  [6602] = 6548,
  [6603] = 6555,
  [6604] = 6604,
  [6605] = 6558,
  [6606] = 6560,
  [6607] = 6251,
  [6608] = 6562,
  [6609] = 6548,
  [6610] = 6549,
  [6611] = 6565,
  [6612] = 6612,
  [6613] = 6548,
  [6614] = 6557,
  [6615] = 6251,
  [6616] = 2319,
  [6617] = 6617,
  [6618] = 6617,
  [6619] = 6619,
  [6620] = 6620,
  [6621] = 6620,
  [6622] = 6554,
  [6623] = 6623,
  [6624] = 6624,
  [6625] = 6619,
  [6626] = 6626,
  [6627] = 6617,
  [6628] = 6619,
  [6629] = 6629,
  [6630] = 6280,
  [6631] = 5957,
  [6632] = 6322,
  [6633] = 6617,
  [6634] = 6620,
  [6635] = 6635,
  [6636] = 6268,
  [6637] = 6637,
  [6638] = 6617,
  [6639] = 6639,
  [6640] = 6268,
  [6641] = 6553,
  [6642] = 6642,
  [6643] = 6619,
  [6644] = 6617,
  [6645] = 6629,
  [6646] = 6617,
  [6647] = 6555,
  [6648] = 6440,
  [6649] = 6558,
  [6650] = 6437,
  [6651] = 6617,
  [6652] = 6381,
  [6653] = 6292,
  [6654] = 6245,
  [6655] = 6468,
  [6656] = 6617,
  [6657] = 6560,
  [6658] = 6562,
  [6659] = 6245,
  [6660] = 6431,
  [6661] = 6245,
  [6662] = 6322,
  [6663] = 6268,
  [6664] = 6322,
  [6665] = 6280,
  [6666] = 6388,
  [6667] = 2694,
  [6668] = 6629,
  [6669] = 6617,
  [6670] = 6619,
  [6671] = 6443,
  [6672] = 6617,
  [6673] = 6280,
  [6674] = 6629,
  [6675] = 6617,
  [6676] = 6456,
  [6677] = 6629,
  [6678] = 6446,
  [6679] = 6449,
  [6680] = 6390,
  [6681] = 6465,
  [6682] = 6620,
  [6683] = 6467,
  [6684] = 6617,
  [6685] = 6280,
  [6686] = 6620,
  [6687] = 6617,
  [6688] = 6322,
  [6689] = 6689,
  [6690] = 2752,
  [6691] = 6691,
  [6692] = 6292,
  [6693] = 6619,
  [6694] = 6617,
  [6695] = 6452,
  [6696] = 6292,
  [6697] = 6620,
  [6698] = 6429,
  [6699] = 6617,
  [6700] = 6691,
  [6701] = 6617,
  [6702] = 6702,
  [6703] = 6394,
  [6704] = 6620,
  [6705] = 6617,
  [6706] = 6706,
  [6707] = 6626,
  [6708] = 6565,
  [6709] = 6292,
  [6710] = 6623,
  [6711] = 6305,
  [6712] = 6242,
  [6713] = 6617,
  [6714] = 6629,
  [6715] = 6629,
  [6716] = 6403,
  [6717] = 6251,
  [6718] = 6629,
  [6719] = 6268,
  [6720] = 6285,
  [6721] = 6620,
  [6722] = 6639,
  [6723] = 6442,
  [6724] = 6617,
  [6725] = 6245,
  [6726] = 6619,
  [6727] = 2694,
  [6728] = 1932,
  [6729] = 6629,
  [6730] = 6305,
  [6731] = 6731,
  [6732] = 6399,
  [6733] = 6619,
  [6734] = 6617,
  [6735] = 6242,
  [6736] = 2469,
  [6737] = 6620,
  [6738] = 6251,
  [6739] = 6619,
  [6740] = 6731,
  [6741] = 6285,
  [6742] = 6407,
  [6743] = 2752,
  [6744] = 6744,
  [6745] = 2789,
  [6746] = 2773,
  [6747] = 6747,
  [6748] = 2009,
  [6749] = 2471,
  [6750] = 2478,
  [6751] = 6751,
  [6752] = 2473,
  [6753] = 6251,
  [6754] = 2332,
  [6755] = 2408,
  [6756] = 6285,
  [6757] = 6747,
  [6758] = 6758,
  [6759] = 2021,
  [6760] = 6760,
  [6761] = 6751,
  [6762] = 6305,
  [6763] = 2777,
  [6764] = 6764,
  [6765] = 6242,
  [6766] = 6766,
  [6767] = 6251,
  [6768] = 6766,
  [6769] = 6553,
  [6770] = 6770,
  [6771] = 6751,
  [6772] = 2319,
  [6773] = 6562,
  [6774] = 6751,
  [6775] = 6747,
  [6776] = 2449,
  [6777] = 6242,
  [6778] = 6778,
  [6779] = 6285,
  [6780] = 6565,
  [6781] = 6766,
  [6782] = 6751,
  [6783] = 6751,
  [6784] = 6766,
  [6785] = 6554,
  [6786] = 6786,
  [6787] = 2007,
  [6788] = 6788,
  [6789] = 6565,
  [6790] = 6766,
  [6791] = 2462,
  [6792] = 6747,
  [6793] = 6558,
  [6794] = 6562,
  [6795] = 6795,
  [6796] = 6796,
  [6797] = 6560,
  [6798] = 6558,
  [6799] = 6747,
  [6800] = 6555,
  [6801] = 6747,
  [6802] = 6554,
  [6803] = 2431,
  [6804] = 6560,
  [6805] = 6751,
  [6806] = 2419,
  [6807] = 2424,
  [6808] = 6553,
  [6809] = 2791,
  [6810] = 2428,
  [6811] = 2432,
  [6812] = 2011,
  [6813] = 6747,
  [6814] = 2793,
  [6815] = 2795,
  [6816] = 6816,
  [6817] = 6766,
  [6818] = 2295,
  [6819] = 6819,
  [6820] = 6751,
  [6821] = 6747,
  [6822] = 2798,
  [6823] = 6766,
  [6824] = 6555,
  [6825] = 6766,
  [6826] = 6766,
  [6827] = 6305,
  [6828] = 6828,
  [6829] = 6747,
  [6830] = 2817,
  [6831] = 6751,
  [6832] = 6832,
  [6833] = 6832,
  [6834] = 6834,
  [6835] = 6832,
  [6836] = 6836,
  [6837] = 6832,
  [6838] = 6553,
  [6839] = 6242,
  [6840] = 6840,
  [6841] = 6832,
  [6842] = 6305,
  [6843] = 6554,
  [6844] = 6555,
  [6845] = 6832,
  [6846] = 6565,
  [6847] = 6691,
  [6848] = 6834,
  [6849] = 6832,
  [6850] = 6626,
  [6851] = 2295,
  [6852] = 6852,
  [6853] = 2319,
  [6854] = 6292,
  [6855] = 6832,
  [6856] = 6292,
  [6857] = 6245,
  [6858] = 2752,
  [6859] = 6859,
  [6860] = 6859,
  [6861] = 6832,
  [6862] = 6832,
  [6863] = 6322,
  [6864] = 6834,
  [6865] = 6268,
  [6866] = 6832,
  [6867] = 6251,
  [6868] = 6280,
  [6869] = 6869,
  [6870] = 6832,
  [6871] = 6558,
  [6872] = 6624,
  [6873] = 6562,
  [6874] = 6832,
  [6875] = 6875,
  [6876] = 6832,
  [6877] = 6623,
  [6878] = 6834,
  [6879] = 6859,
  [6880] = 6832,
  [6881] = 6881,
  [6882] = 6731,
  [6883] = 2408,
  [6884] = 6560,
  [6885] = 2694,
  [6886] = 6245,
  [6887] = 6285,
  [6888] = 6322,
  [6889] = 6832,
  [6890] = 6268,
  [6891] = 6639,
  [6892] = 6280,
  [6893] = 6305,
  [6894] = 6859,
  [6895] = 6832,
  [6896] = 2332,
  [6897] = 6834,
  [6898] = 6859,
  [6899] = 6899,
  [6900] = 6832,
  [6901] = 6832,
  [6902] = 6832,
  [6903] = 6903,
  [6904] = 2469,
  [6905] = 6285,
  [6906] = 6832,
  [6907] = 6251,
  [6908] = 6242,
  [6909] = 6560,
  [6910] = 2469,
  [6911] = 6911,
  [6912] = 6912,
  [6913] = 6913,
  [6914] = 6914,
  [6915] = 6915,
  [6916] = 6639,
  [6917] = 6562,
  [6918] = 6560,
  [6919] = 6913,
  [6920] = 6280,
  [6921] = 6268,
  [6922] = 6558,
  [6923] = 6555,
  [6924] = 6322,
  [6925] = 6245,
  [6926] = 6926,
  [6927] = 6292,
  [6928] = 6914,
  [6929] = 6929,
  [6930] = 6914,
  [6931] = 6926,
  [6932] = 6565,
  [6933] = 6933,
  [6934] = 6926,
  [6935] = 6935,
  [6936] = 6554,
  [6937] = 6937,
  [6938] = 6938,
  [6939] = 6929,
  [6940] = 6940,
  [6941] = 6553,
  [6942] = 6929,
  [6943] = 2719,
  [6944] = 6913,
  [6945] = 6626,
  [6946] = 6914,
  [6947] = 2820,
  [6948] = 6913,
  [6949] = 6731,
  [6950] = 6913,
  [6951] = 6914,
  [6952] = 6929,
  [6953] = 6623,
  [6954] = 6914,
  [6955] = 6929,
  [6956] = 6926,
  [6957] = 6957,
  [6958] = 6958,
  [6959] = 6929,
  [6960] = 6292,
  [6961] = 6245,
  [6962] = 6914,
  [6963] = 6926,
  [6964] = 6322,
  [6965] = 6965,
  [6966] = 6268,
  [6967] = 6280,
  [6968] = 6926,
  [6969] = 6913,
  [6970] = 6970,
  [6971] = 2752,
  [6972] = 6914,
  [6973] = 6913,
  [6974] = 6929,
  [6975] = 6913,
  [6976] = 6554,
  [6977] = 2694,
  [6978] = 6929,
  [6979] = 6929,
  [6980] = 6914,
  [6981] = 6926,
  [6982] = 6691,
  [6983] = 6914,
  [6984] = 6914,
  [6985] = 6913,
  [6986] = 6913,
  [6987] = 6926,
  [6988] = 6914,
  [6989] = 6926,
  [6990] = 6562,
  [6991] = 6913,
  [6992] = 6913,
  [6993] = 6993,
  [6994] = 6994,
  [6995] = 6994,
  [6996] = 6996,
  [6997] = 6994,
  [6998] = 6565,
  [6999] = 6999,
  [7000] = 6562,
  [7001] = 6560,
  [7002] = 6558,
  [7003] = 6555,
  [7004] = 6994,
  [7005] = 6554,
  [7006] = 6994,
  [7007] = 7007,
  [7008] = 6994,
  [7009] = 6553,
  [7010] = 6994,
  [7011] = 7011,
  [7012] = 1922,
  [7013] = 6994,
  [7014] = 6994,
  [7015] = 1925,
  [7016] = 6994,
  [7017] = 1924,
  [7018] = 1923,
  [7019] = 1926,
  [7020] = 1927,
  [7021] = 7021,
  [7022] = 1928,
  [7023] = 7023,
  [7024] = 7024,
  [7025] = 6994,
  [7026] = 6994,
  [7027] = 7027,
  [7028] = 6994,
  [7029] = 6994,
  [7030] = 7030,
  [7031] = 7007,
  [7032] = 6994,
  [7033] = 6555,
  [7034] = 7034,
  [7035] = 7034,
  [7036] = 7034,
  [7037] = 7034,
  [7038] = 7038,
  [7039] = 7039,
  [7040] = 7034,
  [7041] = 7038,
  [7042] = 7034,
  [7043] = 7034,
  [7044] = 6565,
  [7045] = 7034,
  [7046] = 7034,
  [7047] = 7038,
  [7048] = 7048,
  [7049] = 7038,
  [7050] = 7034,
  [7051] = 7034,
  [7052] = 7039,
  [7053] = 6562,
  [7054] = 7034,
  [7055] = 7055,
  [7056] = 7034,
  [7057] = 6560,
  [7058] = 7034,
  [7059] = 2694,
  [7060] = 7039,
  [7061] = 6558,
  [7062] = 6554,
  [7063] = 7038,
  [7064] = 7034,
  [7065] = 7039,
  [7066] = 7034,
  [7067] = 6553,
  [7068] = 7034,
  [7069] = 7039,
  [7070] = 2752,
  [7071] = 6480,
  [7072] = 7039,
  [7073] = 7034,
  [7074] = 7034,
  [7075] = 6528,
  [7076] = 7034,
  [7077] = 7039,
  [7078] = 7034,
  [7079] = 7039,
  [7080] = 7034,
  [7081] = 7039,
  [7082] = 7082,
  [7083] = 7083,
  [7084] = 7034,
  [7085] = 7085,
  [7086] = 7085,
  [7087] = 7085,
  [7088] = 7085,
  [7089] = 6639,
  [7090] = 6480,
  [7091] = 7091,
  [7092] = 7092,
  [7093] = 7093,
  [7094] = 7094,
  [7095] = 7092,
  [7096] = 7094,
  [7097] = 7097,
  [7098] = 7098,
  [7099] = 7099,
  [7100] = 6691,
  [7101] = 7094,
  [7102] = 6565,
  [7103] = 7092,
  [7104] = 6689,
  [7105] = 6562,
  [7106] = 6706,
  [7107] = 6560,
  [7108] = 6637,
  [7109] = 7109,
  [7110] = 6635,
  [7111] = 7111,
  [7112] = 6558,
  [7113] = 6555,
  [7114] = 2691,
  [7115] = 7111,
  [7116] = 6642,
  [7117] = 7092,
  [7118] = 7085,
  [7119] = 7085,
  [7120] = 7085,
  [7121] = 6528,
  [7122] = 7094,
  [7123] = 6731,
  [7124] = 7124,
  [7125] = 7094,
  [7126] = 7126,
  [7127] = 7127,
  [7128] = 7111,
  [7129] = 7129,
  [7130] = 7085,
  [7131] = 7092,
  [7132] = 7132,
  [7133] = 7133,
  [7134] = 7134,
  [7135] = 7111,
  [7136] = 7136,
  [7137] = 7111,
  [7138] = 6623,
  [7139] = 7085,
  [7140] = 7140,
  [7141] = 7141,
  [7142] = 6626,
  [7143] = 7143,
  [7144] = 6554,
  [7145] = 7145,
  [7146] = 7146,
  [7147] = 6553,
  [7148] = 7148,
  [7149] = 7149,
  [7150] = 2899,
  [7151] = 7151,
  [7152] = 2691,
  [7153] = 7153,
  [7154] = 6553,
  [7155] = 2295,
  [7156] = 2884,
  [7157] = 7157,
  [7158] = 6554,
  [7159] = 7157,
  [7160] = 6565,
  [7161] = 2901,
  [7162] = 7162,
  [7163] = 7163,
  [7164] = 7164,
  [7165] = 7165,
  [7166] = 6565,
  [7167] = 6560,
  [7168] = 7168,
  [7169] = 2332,
  [7170] = 7164,
  [7171] = 6562,
  [7172] = 7164,
  [7173] = 7164,
  [7174] = 7174,
  [7175] = 6558,
  [7176] = 6555,
  [7177] = 7177,
  [7178] = 7157,
  [7179] = 7157,
  [7180] = 7164,
  [7181] = 6554,
  [7182] = 6560,
  [7183] = 6562,
  [7184] = 6555,
  [7185] = 2408,
  [7186] = 7162,
  [7187] = 6553,
  [7188] = 7162,
  [7189] = 7162,
  [7190] = 7162,
  [7191] = 7157,
  [7192] = 7192,
  [7193] = 6558,
  [7194] = 2319,
  [7195] = 7195,
  [7196] = 7196,
  [7197] = 7197,
  [7198] = 7198,
  [7199] = 7197,
  [7200] = 7197,
  [7201] = 7198,
  [7202] = 7127,
  [7203] = 2469,
  [7204] = 7195,
  [7205] = 7195,
  [7206] = 7198,
  [7207] = 7198,
  [7208] = 7208,
  [7209] = 6852,
  [7210] = 2691,
  [7211] = 7195,
  [7212] = 7140,
  [7213] = 7208,
  [7214] = 7197,
  [7215] = 7198,
  [7216] = 7198,
  [7217] = 7197,
  [7218] = 7196,
  [7219] = 7197,
  [7220] = 7208,
  [7221] = 7195,
  [7222] = 7141,
  [7223] = 7197,
  [7224] = 7224,
  [7225] = 6881,
  [7226] = 7197,
  [7227] = 7208,
  [7228] = 2691,
  [7229] = 7197,
  [7230] = 7198,
  [7231] = 7195,
  [7232] = 7232,
  [7233] = 7198,
  [7234] = 7195,
  [7235] = 6875,
  [7236] = 7236,
  [7237] = 7208,
  [7238] = 7208,
  [7239] = 7239,
  [7240] = 7195,
  [7241] = 7198,
  [7242] = 7208,
  [7243] = 7195,
  [7244] = 7208,
  [7245] = 7245,
  [7246] = 7246,
  [7247] = 7208,
  [7248] = 7245,
  [7249] = 6562,
  [7250] = 7250,
  [7251] = 7251,
  [7252] = 7252,
  [7253] = 7253,
  [7254] = 7254,
  [7255] = 7255,
  [7256] = 7254,
  [7257] = 7257,
  [7258] = 7258,
  [7259] = 6565,
  [7260] = 7260,
  [7261] = 6558,
  [7262] = 7262,
  [7263] = 7263,
  [7264] = 7264,
  [7265] = 7265,
  [7266] = 7266,
  [7267] = 7267,
  [7268] = 7268,
  [7269] = 7263,
  [7270] = 7270,
  [7271] = 7251,
  [7272] = 7268,
  [7273] = 2691,
  [7274] = 7258,
  [7275] = 7275,
  [7276] = 7276,
  [7277] = 7277,
  [7278] = 7263,
  [7279] = 7279,
  [7280] = 7276,
  [7281] = 7281,
  [7282] = 7282,
  [7283] = 7263,
  [7284] = 7270,
  [7285] = 7285,
  [7286] = 7263,
  [7287] = 7287,
  [7288] = 7281,
  [7289] = 7289,
  [7290] = 7264,
  [7291] = 7266,
  [7292] = 7292,
  [7293] = 7267,
  [7294] = 7266,
  [7295] = 7264,
  [7296] = 7296,
  [7297] = 7297,
  [7298] = 7267,
  [7299] = 7258,
  [7300] = 7270,
  [7301] = 6555,
  [7302] = 7258,
  [7303] = 6553,
  [7304] = 7268,
  [7305] = 7292,
  [7306] = 7292,
  [7307] = 7307,
  [7308] = 7276,
  [7309] = 7276,
  [7310] = 7310,
  [7311] = 7311,
  [7312] = 7312,
  [7313] = 7270,
  [7314] = 7153,
  [7315] = 2691,
  [7316] = 7292,
  [7317] = 6554,
  [7318] = 7318,
  [7319] = 6560,
  [7320] = 7320,
  [7321] = 7268,
  [7322] = 7267,
  [7323] = 7266,
  [7324] = 7264,
  [7325] = 7325,
  [7326] = 7326,
  [7327] = 7327,
  [7328] = 7328,
  [7329] = 7329,
  [7330] = 7330,
  [7331] = 7331,
  [7332] = 7328,
  [7333] = 7333,
  [7334] = 7330,
  [7335] = 7328,
  [7336] = 7336,
  [7337] = 7333,
  [7338] = 7338,
  [7339] = 7330,
  [7340] = 7325,
  [7341] = 7341,
  [7342] = 7328,
  [7343] = 7333,
  [7344] = 7329,
  [7345] = 7345,
  [7346] = 7331,
  [7347] = 7330,
  [7348] = 7348,
  [7349] = 7236,
  [7350] = 7328,
  [7351] = 7351,
  [7352] = 7352,
  [7353] = 7353,
  [7354] = 7354,
  [7355] = 7333,
  [7356] = 7341,
  [7357] = 7357,
  [7358] = 7331,
  [7359] = 7330,
  [7360] = 7328,
  [7361] = 7348,
  [7362] = 7362,
  [7363] = 7363,
  [7364] = 7333,
  [7365] = 7333,
  [7366] = 7338,
  [7367] = 7330,
  [7368] = 7333,
  [7369] = 7328,
  [7370] = 7329,
  [7371] = 7371,
  [7372] = 7333,
  [7373] = 7373,
  [7374] = 7330,
  [7375] = 7375,
  [7376] = 7373,
  [7377] = 7377,
  [7378] = 7357,
  [7379] = 7331,
  [7380] = 7329,
  [7381] = 7328,
  [7382] = 7329,
  [7383] = 7328,
  [7384] = 7384,
  [7385] = 7385,
  [7386] = 7326,
  [7387] = 7387,
  [7388] = 7362,
  [7389] = 7333,
  [7390] = 7362,
  [7391] = 7391,
  [7392] = 7329,
  [7393] = 7377,
  [7394] = 7333,
  [7395] = 7331,
  [7396] = 7396,
  [7397] = 7330,
  [7398] = 7338,
  [7399] = 7375,
  [7400] = 7377,
  [7401] = 7345,
  [7402] = 7354,
  [7403] = 7375,
  [7404] = 7330,
  [7405] = 7326,
  [7406] = 7354,
  [7407] = 7328,
  [7408] = 7331,
  [7409] = 7363,
  [7410] = 7362,
  [7411] = 7329,
  [7412] = 7363,
  [7413] = 7354,
  [7414] = 7330,
  [7415] = 7375,
  [7416] = 7325,
  [7417] = 7351,
  [7418] = 7348,
  [7419] = 7387,
  [7420] = 7333,
  [7421] = 7325,
  [7422] = 7371,
  [7423] = 7326,
  [7424] = 7330,
  [7425] = 7338,
  [7426] = 7373,
  [7427] = 7362,
  [7428] = 7326,
  [7429] = 7325,
  [7430] = 7375,
  [7431] = 7431,
  [7432] = 7432,
  [7433] = 7345,
  [7434] = 7362,
  [7435] = 7435,
  [7436] = 7385,
  [7437] = 7387,
  [7438] = 7438,
  [7439] = 7439,
  [7440] = 7440,
  [7441] = 7330,
  [7442] = 7375,
  [7443] = 7338,
  [7444] = 7371,
  [7445] = 7345,
  [7446] = 7385,
  [7447] = 7328,
  [7448] = 7336,
  [7449] = 7328,
  [7450] = 7353,
  [7451] = 7333,
  [7452] = 7328,
  [7453] = 7330,
  [7454] = 7363,
  [7455] = 7351,
  [7456] = 7341,
  [7457] = 7375,
  [7458] = 7328,
  [7459] = 7331,
  [7460] = 7329,
  [7461] = 7461,
  [7462] = 7353,
  [7463] = 7351,
  [7464] = 7464,
  [7465] = 7341,
  [7466] = 7377,
  [7467] = 7325,
  [7468] = 7385,
  [7469] = 7357,
  [7470] = 7326,
  [7471] = 7351,
  [7472] = 7353,
  [7473] = 7363,
  [7474] = 7333,
  [7475] = 7373,
  [7476] = 7353,
  [7477] = 7477,
  [7478] = 7478,
  [7479] = 7338,
  [7480] = 7385,
  [7481] = 7326,
  [7482] = 7363,
  [7483] = 7345,
  [7484] = 7351,
  [7485] = 7357,
  [7486] = 7387,
  [7487] = 7373,
  [7488] = 7387,
  [7489] = 7362,
  [7490] = 7354,
  [7491] = 7491,
  [7492] = 7325,
  [7493] = 7493,
  [7494] = 7330,
  [7495] = 7375,
  [7496] = 7329,
  [7497] = 7333,
  [7498] = 7331,
  [7499] = 7499,
  [7500] = 7336,
  [7501] = 7345,
  [7502] = 7328,
  [7503] = 7503,
  [7504] = 7377,
  [7505] = 7353,
  [7506] = 7506,
  [7507] = 7328,
  [7508] = 7331,
  [7509] = 7328,
  [7510] = 7329,
  [7511] = 7330,
  [7512] = 7338,
  [7513] = 7325,
  [7514] = 7328,
  [7515] = 7515,
  [7516] = 7331,
  [7517] = 7328,
  [7518] = 7518,
  [7519] = 7387,
  [7520] = 7387,
  [7521] = 7329,
  [7522] = 7522,
  [7523] = 7357,
  [7524] = 7341,
  [7525] = 7387,
  [7526] = 7345,
  [7527] = 7385,
  [7528] = 7341,
  [7529] = 7353,
  [7530] = 7351,
  [7531] = 7373,
  [7532] = 7338,
  [7533] = 7387,
  [7534] = 7377,
  [7535] = 7354,
  [7536] = 7385,
  [7537] = 7333,
  [7538] = 7325,
  [7539] = 7357,
  [7540] = 7325,
  [7541] = 7326,
  [7542] = 7542,
  [7543] = 7328,
  [7544] = 7338,
  [7545] = 7375,
  [7546] = 7362,
  [7547] = 7330,
  [7548] = 7363,
  [7549] = 7385,
  [7550] = 7351,
  [7551] = 7333,
  [7552] = 7345,
  [7553] = 7336,
  [7554] = 7345,
  [7555] = 7555,
  [7556] = 7375,
  [7557] = 7330,
  [7558] = 7558,
  [7559] = 7353,
  [7560] = 7338,
  [7561] = 7351,
  [7562] = 7371,
  [7563] = 7385,
  [7564] = 7325,
  [7565] = 7371,
  [7566] = 7345,
  [7567] = 7567,
  [7568] = 7375,
  [7569] = 7330,
  [7570] = 7373,
  [7571] = 7571,
  [7572] = 7387,
  [7573] = 7338,
  [7574] = 7357,
  [7575] = 7348,
  [7576] = 7363,
  [7577] = 7354,
  [7578] = 7354,
  [7579] = 7377,
  [7580] = 7580,
  [7581] = 7373,
  [7582] = 7330,
  [7583] = 7375,
  [7584] = 7387,
  [7585] = 7341,
  [7586] = 7345,
  [7587] = 7377,
  [7588] = 7345,
  [7589] = 7354,
  [7590] = 7330,
  [7591] = 7373,
  [7592] = 7387,
  [7593] = 7375,
  [7594] = 7594,
  [7595] = 7336,
  [7596] = 7596,
  [7597] = 7354,
  [7598] = 7357,
  [7599] = 7599,
  [7600] = 7353,
  [7601] = 7363,
  [7602] = 7373,
  [7603] = 7353,
  [7604] = 7328,
  [7605] = 7338,
  [7606] = 7333,
  [7607] = 7345,
  [7608] = 7371,
  [7609] = 7357,
  [7610] = 7375,
  [7611] = 7330,
  [7612] = 7333,
  [7613] = 7613,
  [7614] = 7614,
  [7615] = 6528,
  [7616] = 7348,
  [7617] = 7341,
  [7618] = 7373,
  [7619] = 7341,
  [7620] = 7363,
  [7621] = 7357,
  [7622] = 7345,
  [7623] = 7338,
  [7624] = 7331,
  [7625] = 7371,
  [7626] = 7362,
  [7627] = 7363,
  [7628] = 7325,
  [7629] = 7354,
  [7630] = 7329,
  [7631] = 7357,
  [7632] = 7351,
  [7633] = 7353,
  [7634] = 7338,
  [7635] = 7333,
  [7636] = 7326,
  [7637] = 7351,
  [7638] = 7638,
  [7639] = 7639,
  [7640] = 7640,
  [7641] = 7641,
  [7642] = 7642,
  [7643] = 7643,
  [7644] = 7640,
  [7645] = 7645,
  [7646] = 7646,
  [7647] = 7647,
  [7648] = 7648,
  [7649] = 7649,
  [7650] = 7650,
  [7651] = 7651,
  [7652] = 266,
  [7653] = 7653,
  [7654] = 7654,
  [7655] = 7655,
  [7656] = 7656,
  [7657] = 7657,
  [7658] = 7658,
  [7659] = 7659,
  [7660] = 7660,
  [7661] = 7661,
  [7662] = 7662,
  [7663] = 7663,
  [7664] = 7647,
  [7665] = 7665,
  [7666] = 7666,
  [7667] = 7667,
  [7668] = 7668,
  [7669] = 7669,
  [7670] = 7656,
  [7671] = 7671,
  [7672] = 7672,
  [7673] = 7646,
  [7674] = 7660,
  [7675] = 7659,
  [7676] = 7676,
  [7677] = 7677,
  [7678] = 7654,
  [7679] = 7654,
  [7680] = 7667,
  [7681] = 7681,
  [7682] = 7682,
  [7683] = 7657,
  [7684] = 7684,
  [7685] = 7685,
  [7686] = 7658,
  [7687] = 7687,
  [7688] = 7641,
  [7689] = 7689,
  [7690] = 7690,
  [7691] = 7656,
  [7692] = 7646,
  [7693] = 7660,
  [7694] = 7642,
  [7695] = 7668,
  [7696] = 7696,
  [7697] = 7668,
  [7698] = 7690,
  [7699] = 7654,
  [7700] = 7690,
  [7701] = 7656,
  [7702] = 7640,
  [7703] = 7655,
  [7704] = 7666,
  [7705] = 7671,
  [7706] = 7666,
  [7707] = 7687,
  [7708] = 7708,
  [7709] = 7671,
  [7710] = 7710,
  [7711] = 7667,
  [7712] = 7712,
  [7713] = 7668,
  [7714] = 7714,
  [7715] = 7656,
  [7716] = 7671,
  [7717] = 7677,
  [7718] = 7677,
  [7719] = 7690,
  [7720] = 7671,
  [7721] = 7721,
  [7722] = 7722,
  [7723] = 7671,
  [7724] = 7643,
  [7725] = 7643,
  [7726] = 7690,
  [7727] = 7727,
  [7728] = 7642,
  [7729] = 7646,
  [7730] = 7730,
  [7731] = 7640,
  [7732] = 7660,
  [7733] = 7685,
  [7734] = 7734,
  [7735] = 7640,
  [7736] = 7736,
  [7737] = 7643,
  [7738] = 7668,
  [7739] = 7642,
  [7740] = 7654,
  [7741] = 7660,
  [7742] = 7742,
  [7743] = 7743,
  [7744] = 7744,
  [7745] = 265,
  [7746] = 7649,
  [7747] = 7650,
  [7748] = 7651,
  [7749] = 7696,
  [7750] = 7750,
  [7751] = 7647,
  [7752] = 7752,
  [7753] = 7753,
  [7754] = 7648,
  [7755] = 7649,
  [7756] = 7650,
  [7757] = 7651,
  [7758] = 7685,
  [7759] = 7687,
  [7760] = 7662,
  [7761] = 7642,
  [7762] = 7641,
  [7763] = 7641,
  [7764] = 7641,
  [7765] = 7765,
  [7766] = 7766,
  [7767] = 7767,
  [7768] = 7768,
  [7769] = 7667,
  [7770] = 7681,
  [7771] = 7666,
  [7772] = 7687,
  [7773] = 2691,
  [7774] = 7774,
  [7775] = 7775,
  [7776] = 7656,
  [7777] = 7657,
  [7778] = 7778,
  [7779] = 7689,
  [7780] = 7662,
  [7781] = 7661,
  [7782] = 7659,
  [7783] = 7783,
  [7784] = 7681,
  [7785] = 7658,
  [7786] = 7786,
  [7787] = 7689,
  [7788] = 7657,
  [7789] = 7690,
  [7790] = 7656,
  [7791] = 7677,
  [7792] = 7792,
  [7793] = 7642,
  [7794] = 7794,
  [7795] = 7666,
  [7796] = 7660,
  [7797] = 7658,
  [7798] = 7656,
  [7799] = 7659,
  [7800] = 7651,
  [7801] = 7801,
  [7802] = 7648,
  [7803] = 7650,
  [7804] = 7687,
  [7805] = 7649,
  [7806] = 7648,
  [7807] = 7807,
  [7808] = 7647,
  [7809] = 7809,
  [7810] = 7649,
  [7811] = 7811,
  [7812] = 7812,
  [7813] = 7685,
  [7814] = 7660,
  [7815] = 7646,
  [7816] = 7661,
  [7817] = 7817,
  [7818] = 7818,
  [7819] = 7662,
  [7820] = 7820,
  [7821] = 7655,
  [7822] = 7822,
  [7823] = 7668,
  [7824] = 7641,
  [7825] = 7655,
  [7826] = 7666,
  [7827] = 7647,
  [7828] = 7649,
  [7829] = 7650,
  [7830] = 7651,
  [7831] = 7681,
  [7832] = 7832,
  [7833] = 7667,
  [7834] = 7656,
  [7835] = 7835,
  [7836] = 7646,
  [7837] = 7837,
  [7838] = 7687,
  [7839] = 7642,
  [7840] = 7662,
  [7841] = 7661,
  [7842] = 7690,
  [7843] = 7668,
  [7844] = 7681,
  [7845] = 7649,
  [7846] = 7650,
  [7847] = 7660,
  [7848] = 7848,
  [7849] = 7651,
  [7850] = 7685,
  [7851] = 7646,
  [7852] = 7654,
  [7853] = 7853,
  [7854] = 7696,
  [7855] = 7648,
  [7856] = 7856,
  [7857] = 7659,
  [7858] = 7858,
  [7859] = 7859,
  [7860] = 7860,
  [7861] = 7658,
  [7862] = 7862,
  [7863] = 7650,
  [7864] = 7642,
  [7865] = 7651,
  [7866] = 7866,
  [7867] = 7685,
  [7868] = 7641,
  [7869] = 7696,
  [7870] = 7870,
  [7871] = 7871,
  [7872] = 7656,
  [7873] = 7640,
  [7874] = 7766,
  [7875] = 7641,
  [7876] = 7665,
  [7877] = 7690,
  [7878] = 7878,
  [7879] = 7879,
  [7880] = 7668,
  [7881] = 7881,
  [7882] = 7640,
  [7883] = 7662,
  [7884] = 7884,
  [7885] = 7885,
  [7886] = 7656,
  [7887] = 7660,
  [7888] = 7647,
  [7889] = 7671,
  [7890] = 7667,
  [7891] = 7647,
  [7892] = 7648,
  [7893] = 7656,
  [7894] = 7648,
  [7895] = 7895,
  [7896] = 7649,
  [7897] = 7650,
  [7898] = 7651,
  [7899] = 7649,
  [7900] = 7654,
  [7901] = 7901,
  [7902] = 7657,
  [7903] = 7127,
  [7904] = 7904,
  [7905] = 7649,
  [7906] = 7650,
  [7907] = 7650,
  [7908] = 7671,
  [7909] = 7651,
  [7910] = 7651,
  [7911] = 7911,
  [7912] = 7774,
  [7913] = 7913,
  [7914] = 7667,
  [7915] = 7915,
  [7916] = 7656,
  [7917] = 7661,
  [7918] = 7918,
  [7919] = 7767,
  [7920] = 7767,
  [7921] = 7660,
  [7922] = 7649,
  [7923] = 7650,
  [7924] = 7651,
  [7925] = 7925,
  [7926] = 7926,
  [7927] = 7656,
  [7928] = 7768,
  [7929] = 7655,
  [7930] = 7767,
  [7931] = 7931,
  [7932] = 7655,
  [7933] = 7933,
  [7934] = 7934,
  [7935] = 7935,
  [7936] = 7768,
  [7937] = 7654,
  [7938] = 7655,
  [7939] = 7939,
  [7940] = 7656,
  [7941] = 7768,
  [7942] = 7668,
  [7943] = 7690,
  [7944] = 7944,
  [7945] = 7660,
  [7946] = 7649,
  [7947] = 7650,
  [7948] = 7651,
  [7949] = 7696,
  [7950] = 7643,
  [7951] = 7951,
  [7952] = 7651,
  [7953] = 7650,
  [7954] = 7649,
  [7955] = 7648,
  [7956] = 7661,
  [7957] = 7681,
  [7958] = 7647,
  [7959] = 7640,
  [7960] = 7667,
  [7961] = 7666,
  [7962] = 7656,
  [7963] = 7658,
  [7964] = 7654,
  [7965] = 7659,
  [7966] = 7660,
  [7967] = 7649,
  [7968] = 7650,
  [7969] = 7651,
  [7970] = 7970,
  [7971] = 7681,
  [7972] = 7774,
  [7973] = 7667,
  [7974] = 7660,
  [7975] = 7687,
  [7976] = 7660,
  [7977] = 7977,
  [7978] = 7666,
  [7979] = 7662,
  [7980] = 7685,
  [7981] = 7681,
  [7982] = 7666,
  [7983] = 7656,
  [7984] = 7661,
  [7985] = 7646,
  [7986] = 7657,
  [7987] = 7660,
  [7988] = 7649,
  [7989] = 7650,
  [7990] = 7651,
  [7991] = 7677,
  [7992] = 7662,
  [7993] = 7667,
  [7994] = 7659,
  [7995] = 7662,
  [7996] = 7658,
  [7997] = 7661,
  [7998] = 7659,
  [7999] = 7661,
  [8000] = 7658,
  [8001] = 7767,
  [8002] = 8002,
  [8003] = 7657,
  [8004] = 7656,
  [8005] = 7659,
  [8006] = 7667,
  [8007] = 7660,
  [8008] = 7649,
  [8009] = 7650,
  [8010] = 7651,
  [8011] = 7671,
  [8012] = 7642,
  [8013] = 7655,
  [8014] = 7658,
  [8015] = 8015,
  [8016] = 7667,
  [8017] = 7656,
  [8018] = 7667,
  [8019] = 7651,
  [8020] = 7660,
  [8021] = 7649,
  [8022] = 7650,
  [8023] = 7651,
  [8024] = 7655,
  [8025] = 7650,
  [8026] = 7689,
  [8027] = 7641,
  [8028] = 7649,
  [8029] = 7657,
  [8030] = 7648,
  [8031] = 7656,
  [8032] = 7647,
  [8033] = 7660,
  [8034] = 7649,
  [8035] = 7650,
  [8036] = 7651,
  [8037] = 7667,
  [8038] = 8038,
  [8039] = 7657,
  [8040] = 7660,
  [8041] = 7656,
  [8042] = 7685,
  [8043] = 7671,
  [8044] = 7646,
  [8045] = 2755,
  [8046] = 2780,
  [8047] = 8047,
  [8048] = 8048,
  [8049] = 8049,
  [8050] = 8049,
  [8051] = 8049,
  [8052] = 8049,
  [8053] = 8049,
  [8054] = 8049,
  [8055] = 8049,
  [8056] = 8056,
  [8057] = 8057,
  [8058] = 8049,
  [8059] = 8049,
  [8060] = 8049,
  [8061] = 8049,
  [8062] = 8062,
  [8063] = 8049,
  [8064] = 8064,
  [8065] = 8065,
  [8066] = 8049,
  [8067] = 8067,
  [8068] = 8068,
  [8069] = 8049,
  [8070] = 8070,
  [8071] = 8049,
  [8072] = 8072,
  [8073] = 8073,
  [8074] = 8074,
  [8075] = 8075,
  [8076] = 8049,
  [8077] = 8072,
  [8078] = 8078,
  [8079] = 8079,
  [8080] = 8049,
  [8081] = 8081,
  [8082] = 8082,
  [8083] = 8083,
  [8084] = 8078,
  [8085] = 8083,
  [8086] = 8086,
  [8087] = 8087,
  [8088] = 8075,
  [8089] = 8047,
  [8090] = 8079,
  [8091] = 8081,
  [8092] = 8092,
  [8093] = 8093,
  [8094] = 8056,
  [8095] = 8093,
  [8096] = 8096,
  [8097] = 8097,
  [8098] = 8096,
  [8099] = 8087,
  [8100] = 8074,
  [8101] = 8101,
  [8102] = 8057,
  [8103] = 8049,
  [8104] = 8104,
  [8105] = 8105,
  [8106] = 8106,
  [8107] = 8097,
  [8108] = 8108,
  [8109] = 8083,
  [8110] = 8093,
  [8111] = 8096,
  [8112] = 8068,
  [8113] = 8113,
  [8114] = 8114,
  [8115] = 8065,
  [8116] = 8074,
  [8117] = 8074,
  [8118] = 8118,
  [8119] = 8119,
  [8120] = 8120,
  [8121] = 8049,
  [8122] = 8093,
  [8123] = 8118,
  [8124] = 8096,
  [8125] = 8125,
  [8126] = 8101,
  [8127] = 8127,
  [8128] = 8128,
  [8129] = 8106,
  [8130] = 8130,
  [8131] = 8131,
  [8132] = 8056,
  [8133] = 8074,
  [8134] = 8128,
  [8135] = 8131,
  [8136] = 8074,
  [8137] = 8119,
  [8138] = 8086,
  [8139] = 8119,
  [8140] = 8097,
  [8141] = 8074,
  [8142] = 8131,
  [8143] = 8101,
  [8144] = 8083,
  [8145] = 8078,
  [8146] = 8062,
  [8147] = 8086,
  [8148] = 8096,
  [8149] = 8048,
  [8150] = 8150,
  [8151] = 8093,
  [8152] = 8105,
  [8153] = 8062,
  [8154] = 8056,
  [8155] = 8075,
  [8156] = 8078,
  [8157] = 8125,
  [8158] = 8083,
  [8159] = 8118,
  [8160] = 8093,
  [8161] = 8096,
  [8162] = 8086,
  [8163] = 8067,
  [8164] = 8164,
  [8165] = 8048,
  [8166] = 8083,
  [8167] = 8093,
  [8168] = 8125,
  [8169] = 8169,
  [8170] = 8101,
  [8171] = 8096,
  [8172] = 8114,
  [8173] = 8118,
  [8174] = 8131,
  [8175] = 8118,
  [8176] = 8068,
  [8177] = 8097,
  [8178] = 8074,
  [8179] = 8101,
  [8180] = 8047,
  [8181] = 8105,
  [8182] = 8118,
  [8183] = 8183,
  [8184] = 8169,
  [8185] = 8105,
  [8186] = 8186,
  [8187] = 8097,
  [8188] = 8188,
  [8189] = 8189,
  [8190] = 8190,
  [8191] = 8191,
  [8192] = 8192,
  [8193] = 8097,
  [8194] = 8194,
  [8195] = 8047,
  [8196] = 8196,
  [8197] = 8197,
  [8198] = 8097,
  [8199] = 8105,
  [8200] = 8106,
  [8201] = 8201,
  [8202] = 8118,
  [8203] = 8203,
  [8204] = 8204,
  [8205] = 8205,
  [8206] = 8086,
  [8207] = 8131,
  [8208] = 8208,
  [8209] = 8081,
  [8210] = 8210,
  [8211] = 8211,
  [8212] = 8119,
  [8213] = 8074,
  [8214] = 8101,
  [8215] = 8215,
  [8216] = 8096,
  [8217] = 8093,
  [8218] = 8047,
  [8219] = 8219,
  [8220] = 8108,
  [8221] = 8056,
  [8222] = 8127,
  [8223] = 8075,
  [8224] = 8224,
  [8225] = 8078,
  [8226] = 8097,
  [8227] = 8083,
  [8228] = 8068,
  [8229] = 8104,
  [8230] = 8230,
  [8231] = 8231,
  [8232] = 8104,
  [8233] = 8233,
  [8234] = 8048,
  [8235] = 8235,
  [8236] = 8169,
  [8237] = 8048,
  [8238] = 8104,
  [8239] = 8087,
  [8240] = 8240,
  [8241] = 8241,
  [8242] = 8183,
  [8243] = 8169,
  [8244] = 8244,
  [8245] = 8128,
  [8246] = 8246,
  [8247] = 8104,
  [8248] = 8087,
  [8249] = 8072,
  [8250] = 8127,
  [8251] = 8047,
  [8252] = 8183,
  [8253] = 8253,
  [8254] = 8254,
  [8255] = 8127,
  [8256] = 8169,
  [8257] = 8083,
  [8258] = 8105,
  [8259] = 8097,
  [8260] = 8128,
  [8261] = 8078,
  [8262] = 8262,
  [8263] = 8104,
  [8264] = 2775,
  [8265] = 8096,
  [8266] = 8266,
  [8267] = 8065,
  [8268] = 8087,
  [8269] = 8118,
  [8270] = 8072,
  [8271] = 8271,
  [8272] = 2830,
  [8273] = 2862,
  [8274] = 2767,
  [8275] = 2768,
  [8276] = 2779,
  [8277] = 8093,
  [8278] = 8097,
  [8279] = 8201,
  [8280] = 8068,
  [8281] = 8101,
  [8282] = 8183,
  [8283] = 2784,
  [8284] = 8169,
  [8285] = 2774,
  [8286] = 8086,
  [8287] = 8128,
  [8288] = 8104,
  [8289] = 8131,
  [8290] = 8087,
  [8291] = 8074,
  [8292] = 8072,
  [8293] = 8293,
  [8294] = 8086,
  [8295] = 8048,
  [8296] = 8201,
  [8297] = 8074,
  [8298] = 8118,
  [8299] = 8183,
  [8300] = 8065,
  [8301] = 8169,
  [8302] = 8068,
  [8303] = 8067,
  [8304] = 8083,
  [8305] = 8048,
  [8306] = 8078,
  [8307] = 8128,
  [8308] = 8101,
  [8309] = 8075,
  [8310] = 8096,
  [8311] = 8108,
  [8312] = 8104,
  [8313] = 8097,
  [8314] = 8093,
  [8315] = 8047,
  [8316] = 8127,
  [8317] = 8087,
  [8318] = 8079,
  [8319] = 8072,
  [8320] = 8119,
  [8321] = 8321,
  [8322] = 8201,
  [8323] = 8078,
  [8324] = 8065,
  [8325] = 8068,
  [8326] = 8183,
  [8327] = 8104,
  [8328] = 8183,
  [8329] = 8057,
  [8330] = 8105,
  [8331] = 8083,
  [8332] = 8169,
  [8333] = 8067,
  [8334] = 8056,
  [8335] = 8068,
  [8336] = 8128,
  [8337] = 8097,
  [8338] = 8083,
  [8339] = 8047,
  [8340] = 8068,
  [8341] = 8083,
  [8342] = 8074,
  [8343] = 8083,
  [8344] = 8114,
  [8345] = 8057,
  [8346] = 8078,
  [8347] = 8108,
  [8348] = 8104,
  [8349] = 8081,
  [8350] = 8087,
  [8351] = 8097,
  [8352] = 8078,
  [8353] = 8057,
  [8354] = 8081,
  [8355] = 8108,
  [8356] = 8075,
  [8357] = 8079,
  [8358] = 8072,
  [8359] = 8359,
  [8360] = 8093,
  [8361] = 8096,
  [8362] = 8074,
  [8363] = 8101,
  [8364] = 8105,
  [8365] = 8047,
  [8366] = 8219,
  [8367] = 8097,
  [8368] = 8201,
  [8369] = 8056,
  [8370] = 8183,
  [8371] = 8371,
  [8372] = 8169,
  [8373] = 8067,
  [8374] = 8074,
  [8375] = 8093,
  [8376] = 8096,
  [8377] = 8086,
  [8378] = 8378,
  [8379] = 8118,
  [8380] = 8128,
  [8381] = 8097,
  [8382] = 8056,
  [8383] = 8125,
  [8384] = 8118,
  [8385] = 8114,
  [8386] = 8108,
  [8387] = 8114,
  [8388] = 8104,
  [8389] = 8093,
  [8390] = 8072,
  [8391] = 8101,
  [8392] = 8125,
  [8393] = 8079,
  [8394] = 8118,
  [8395] = 8081,
  [8396] = 8097,
  [8397] = 8106,
  [8398] = 8057,
  [8399] = 8114,
  [8400] = 8087,
  [8401] = 8118,
  [8402] = 8087,
  [8403] = 8125,
  [8404] = 8086,
  [8405] = 8081,
  [8406] = 8079,
  [8407] = 8097,
  [8408] = 8131,
  [8409] = 8062,
  [8410] = 8062,
  [8411] = 8072,
  [8412] = 8119,
  [8413] = 8074,
  [8414] = 8104,
  [8415] = 8108,
  [8416] = 8114,
  [8417] = 8118,
  [8418] = 8086,
  [8419] = 8074,
  [8420] = 8097,
  [8421] = 8131,
  [8422] = 8119,
  [8423] = 8074,
  [8424] = 8119,
  [8425] = 8101,
  [8426] = 8128,
  [8427] = 8078,
  [8428] = 8074,
  [8429] = 8119,
  [8430] = 8096,
  [8431] = 8093,
  [8432] = 8432,
  [8433] = 8096,
  [8434] = 8068,
  [8435] = 8075,
  [8436] = 8083,
  [8437] = 8086,
  [8438] = 8067,
  [8439] = 8201,
  [8440] = 8440,
  [8441] = 8201,
  [8442] = 8131,
  [8443] = 8169,
  [8444] = 8056,
  [8445] = 8078,
  [8446] = 8106,
  [8447] = 8101,
  [8448] = 8183,
  [8449] = 8449,
  [8450] = 8450,
  [8451] = 8451,
  [8452] = 8452,
  [8453] = 8453,
  [8454] = 8454,
  [8455] = 8455,
  [8456] = 8456,
  [8457] = 8457,
  [8458] = 8458,
  [8459] = 8459,
  [8460] = 8460,
  [8461] = 8461,
  [8462] = 8462,
  [8463] = 8463,
  [8464] = 8464,
  [8465] = 6217,
  [8466] = 8466,
  [8467] = 8467,
  [8468] = 8468,
  [8469] = 8469,
  [8470] = 8470,
  [8471] = 8471,
  [8472] = 8472,
  [8473] = 8473,
  [8474] = 8474,
  [8475] = 8475,
  [8476] = 8476,
  [8477] = 8468,
  [8478] = 8474,
  [8479] = 8459,
  [8480] = 8454,
  [8481] = 8481,
  [8482] = 8482,
  [8483] = 8483,
  [8484] = 8481,
  [8485] = 8475,
  [8486] = 8486,
  [8487] = 8474,
  [8488] = 8488,
  [8489] = 8467,
  [8490] = 8490,
  [8491] = 8491,
  [8492] = 8464,
  [8493] = 8493,
  [8494] = 8494,
  [8495] = 8495,
  [8496] = 8496,
  [8497] = 8497,
  [8498] = 8472,
  [8499] = 8499,
  [8500] = 8474,
  [8501] = 8501,
  [8502] = 8502,
  [8503] = 8493,
  [8504] = 8504,
  [8505] = 8505,
  [8506] = 8470,
  [8507] = 8466,
  [8508] = 8508,
  [8509] = 8494,
  [8510] = 8510,
  [8511] = 8511,
  [8512] = 8512,
  [8513] = 8464,
  [8514] = 8493,
  [8515] = 8462,
  [8516] = 8488,
  [8517] = 8461,
  [8518] = 8462,
  [8519] = 8512,
  [8520] = 8452,
  [8521] = 8521,
  [8522] = 8511,
  [8523] = 8488,
  [8524] = 8510,
  [8525] = 8521,
  [8526] = 8526,
  [8527] = 8527,
  [8528] = 8502,
  [8529] = 8501,
  [8530] = 8530,
  [8531] = 8530,
  [8532] = 8527,
  [8533] = 8526,
  [8534] = 8534,
  [8535] = 8535,
  [8536] = 8455,
  [8537] = 8461,
  [8538] = 8538,
  [8539] = 8482,
  [8540] = 8540,
  [8541] = 8534,
  [8542] = 8535,
  [8543] = 8456,
  [8544] = 8469,
  [8545] = 8494,
  [8546] = 8450,
  [8547] = 8464,
  [8548] = 8468,
  [8549] = 8459,
  [8550] = 8458,
  [8551] = 8540,
  [8552] = 8530,
  [8553] = 8475,
  [8554] = 8491,
  [8555] = 8474,
  [8556] = 8530,
  [8557] = 8453,
  [8558] = 8527,
  [8559] = 8527,
  [8560] = 8526,
  [8561] = 8488,
  [8562] = 8472,
  [8563] = 8451,
  [8564] = 8521,
  [8565] = 8565,
  [8566] = 8566,
  [8567] = 8538,
  [8568] = 8463,
  [8569] = 8534,
  [8570] = 8467,
  [8571] = 8571,
  [8572] = 8466,
  [8573] = 8471,
  [8574] = 8574,
  [8575] = 8473,
  [8576] = 8576,
  [8577] = 8535,
  [8578] = 8578,
  [8579] = 8579,
  [8580] = 8481,
  [8581] = 8581,
  [8582] = 8526,
  [8583] = 8475,
  [8584] = 8501,
  [8585] = 8502,
  [8586] = 8462,
  [8587] = 8587,
  [8588] = 8588,
  [8589] = 8589,
  [8590] = 8461,
  [8591] = 8521,
  [8592] = 8472,
  [8593] = 8565,
  [8594] = 8511,
  [8595] = 8454,
  [8596] = 8596,
  [8597] = 8455,
  [8598] = 8505,
  [8599] = 8599,
  [8600] = 8538,
  [8601] = 8512,
  [8602] = 8602,
  [8603] = 8499,
  [8604] = 8457,
  [8605] = 8497,
  [8606] = 8496,
  [8607] = 8457,
  [8608] = 8454,
  [8609] = 8579,
  [8610] = 8476,
  [8611] = 8495,
  [8612] = 8612,
  [8613] = 8490,
  [8614] = 8483,
  [8615] = 8615,
  [8616] = 8490,
  [8617] = 8476,
  [8618] = 8482,
  [8619] = 8619,
  [8620] = 8615,
  [8621] = 8495,
  [8622] = 8622,
  [8623] = 8619,
  [8624] = 8463,
  [8625] = 8497,
  [8626] = 8468,
  [8627] = 8459,
  [8628] = 8458,
  [8629] = 8629,
  [8630] = 8630,
  [8631] = 8574,
  [8632] = 8632,
  [8633] = 8451,
  [8634] = 8457,
  [8635] = 8453,
  [8636] = 8455,
  [8637] = 8587,
  [8638] = 8638,
  [8639] = 8476,
  [8640] = 8454,
  [8641] = 8641,
  [8642] = 8571,
  [8643] = 8463,
  [8644] = 8619,
  [8645] = 8483,
  [8646] = 8471,
  [8647] = 8451,
  [8648] = 8473,
  [8649] = 8490,
  [8650] = 8501,
  [8651] = 8578,
  [8652] = 8589,
  [8653] = 8457,
  [8654] = 8457,
  [8655] = 8511,
  [8656] = 8461,
  [8657] = 8602,
  [8658] = 8462,
  [8659] = 8466,
  [8660] = 8472,
  [8661] = 8512,
  [8662] = 8491,
  [8663] = 8475,
  [8664] = 8664,
  [8665] = 8521,
  [8666] = 8666,
  [8667] = 8526,
  [8668] = 8527,
  [8669] = 8454,
  [8670] = 8670,
  [8671] = 8488,
  [8672] = 8672,
  [8673] = 8530,
  [8674] = 8482,
  [8675] = 8452,
  [8676] = 8455,
  [8677] = 8579,
  [8678] = 8678,
  [8679] = 8490,
  [8680] = 8680,
  [8681] = 8458,
  [8682] = 8682,
  [8683] = 8683,
  [8684] = 8505,
  [8685] = 8638,
  [8686] = 8615,
  [8687] = 8453,
  [8688] = 8464,
  [8689] = 8467,
  [8690] = 8690,
  [8691] = 8691,
  [8692] = 8692,
  [8693] = 8476,
  [8694] = 8483,
  [8695] = 8463,
  [8696] = 8696,
  [8697] = 8499,
  [8698] = 8471,
  [8699] = 8699,
  [8700] = 8473,
  [8701] = 8701,
  [8702] = 8501,
  [8703] = 8612,
  [8704] = 8474,
  [8705] = 8464,
  [8706] = 8619,
  [8707] = 8495,
  [8708] = 8708,
  [8709] = 8709,
  [8710] = 8710,
  [8711] = 8711,
  [8712] = 8540,
  [8713] = 8494,
  [8714] = 8714,
  [8715] = 8715,
  [8716] = 8630,
  [8717] = 8482,
  [8718] = 8718,
  [8719] = 8719,
  [8720] = 8720,
  [8721] = 8493,
  [8722] = 8722,
  [8723] = 8458,
  [8724] = 8724,
  [8725] = 8725,
  [8726] = 8726,
  [8727] = 8727,
  [8728] = 8728,
  [8729] = 8453,
  [8730] = 8730,
  [8731] = 8488,
  [8732] = 8732,
  [8733] = 8733,
  [8734] = 8497,
  [8735] = 8735,
  [8736] = 8475,
  [8737] = 8463,
  [8738] = 8472,
  [8739] = 8739,
  [8740] = 8471,
  [8741] = 8741,
  [8742] = 8473,
  [8743] = 8449,
  [8744] = 8501,
  [8745] = 8457,
  [8746] = 8746,
  [8747] = 8496,
  [8748] = 8497,
  [8749] = 8749,
  [8750] = 8746,
  [8751] = 8454,
  [8752] = 8741,
  [8753] = 8638,
  [8754] = 8476,
  [8755] = 8483,
  [8756] = 8490,
  [8757] = 8732,
  [8758] = 8530,
  [8759] = 8482,
  [8760] = 8527,
  [8761] = 8526,
  [8762] = 8521,
  [8763] = 8725,
  [8764] = 8538,
  [8765] = 8458,
  [8766] = 8499,
  [8767] = 8476,
  [8768] = 8692,
  [8769] = 8691,
  [8770] = 8490,
  [8771] = 8453,
  [8772] = 8772,
  [8773] = 8505,
  [8774] = 8774,
  [8775] = 8666,
  [8776] = 8776,
  [8777] = 8777,
  [8778] = 8463,
  [8779] = 8496,
  [8780] = 8682,
  [8781] = 8471,
  [8782] = 8782,
  [8783] = 8473,
  [8784] = 8784,
  [8785] = 8501,
  [8786] = 8786,
  [8787] = 8690,
  [8788] = 8788,
  [8789] = 8464,
  [8790] = 6230,
  [8791] = 8612,
  [8792] = 8792,
  [8793] = 8666,
  [8794] = 8450,
  [8795] = 8795,
  [8796] = 8796,
  [8797] = 8797,
  [8798] = 8495,
  [8799] = 8482,
  [8800] = 8800,
  [8801] = 8630,
  [8802] = 8530,
  [8803] = 8666,
  [8804] = 8804,
  [8805] = 8805,
  [8806] = 8806,
  [8807] = 8527,
  [8808] = 8453,
  [8809] = 8809,
  [8810] = 8526,
  [8811] = 8505,
  [8812] = 8499,
  [8813] = 8813,
  [8814] = 8521,
  [8815] = 8730,
  [8816] = 8471,
  [8817] = 8817,
  [8818] = 8473,
  [8819] = 8497,
  [8820] = 8820,
  [8821] = 8496,
  [8822] = 8822,
  [8823] = 8565,
  [8824] = 8482,
  [8825] = 8495,
  [8826] = 8826,
  [8827] = 8495,
  [8828] = 8453,
  [8829] = 8612,
  [8830] = 8830,
  [8831] = 8473,
  [8832] = 8832,
  [8833] = 8833,
  [8834] = 8834,
  [8835] = 8835,
  [8836] = 8482,
  [8837] = 8735,
  [8838] = 8838,
  [8839] = 8453,
  [8840] = 8490,
  [8841] = 8473,
  [8842] = 8739,
  [8843] = 8473,
  [8844] = 8483,
  [8845] = 8482,
  [8846] = 8453,
  [8847] = 8473,
  [8848] = 8476,
  [8849] = 8453,
  [8850] = 8473,
  [8851] = 8851,
  [8852] = 8453,
  [8853] = 8473,
  [8854] = 8453,
  [8855] = 8473,
  [8856] = 8453,
  [8857] = 8473,
  [8858] = 8453,
  [8859] = 8473,
  [8860] = 8453,
  [8861] = 8473,
  [8862] = 8453,
  [8863] = 8473,
  [8864] = 8619,
  [8865] = 8471,
  [8866] = 8449,
  [8867] = 8867,
  [8868] = 8455,
  [8869] = 8869,
  [8870] = 8870,
  [8871] = 8510,
  [8872] = 8872,
  [8873] = 8873,
  [8874] = 8874,
  [8875] = 8875,
  [8876] = 8876,
  [8877] = 8538,
  [8878] = 8878,
  [8879] = 8454,
  [8880] = 8880,
  [8881] = 8521,
  [8882] = 8882,
  [8883] = 8883,
  [8884] = 8884,
  [8885] = 8451,
  [8886] = 8682,
  [8887] = 8508,
  [8888] = 8888,
  [8889] = 8690,
  [8890] = 8472,
  [8891] = 8497,
  [8892] = 8892,
  [8893] = 8457,
  [8894] = 8894,
  [8895] = 8461,
  [8896] = 8497,
  [8897] = 8462,
  [8898] = 8749,
  [8899] = 8899,
  [8900] = 8900,
  [8901] = 8466,
  [8902] = 8460,
  [8903] = 8746,
  [8904] = 8467,
  [8905] = 8473,
  [8906] = 8530,
  [8907] = 8741,
  [8908] = 8491,
  [8909] = 8475,
  [8910] = 8910,
  [8911] = 8497,
  [8912] = 8912,
  [8913] = 8913,
  [8914] = 8914,
  [8915] = 8475,
  [8916] = 8916,
  [8917] = 8732,
  [8918] = 8725,
  [8919] = 8919,
  [8920] = 8496,
  [8921] = 8488,
  [8922] = 8612,
  [8923] = 8835,
  [8924] = 8924,
  [8925] = 8499,
  [8926] = 8926,
  [8927] = 8452,
  [8928] = 8692,
  [8929] = 8691,
  [8930] = 8464,
  [8931] = 8602,
  [8932] = 8710,
  [8933] = 8463,
  [8934] = 8894,
  [8935] = 8508,
  [8936] = 8494,
  [8937] = 8937,
  [8938] = 8505,
  [8939] = 8581,
  [8940] = 8589,
  [8941] = 8494,
  [8942] = 8587,
  [8943] = 8943,
  [8944] = 8453,
  [8945] = 8945,
  [8946] = 8493,
  [8947] = 8495,
  [8948] = 8471,
  [8949] = 8470,
  [8950] = 8739,
  [8951] = 8735,
  [8952] = 8952,
  [8953] = 8730,
  [8954] = 8578,
  [8955] = 8574,
  [8956] = 8452,
  [8957] = 8521,
  [8958] = 8534,
  [8959] = 8959,
  [8960] = 8540,
  [8961] = 8495,
  [8962] = 8538,
  [8963] = 8530,
  [8964] = 8565,
  [8965] = 8521,
  [8966] = 8527,
  [8967] = 8526,
  [8968] = 8527,
  [8969] = 8530,
  [8970] = 8526,
  [8971] = 8521,
  [8972] = 8450,
  [8973] = 6194,
  [8974] = 8538,
  [8975] = 8602,
  [8976] = 8976,
  [8977] = 8540,
  [8978] = 8978,
  [8979] = 8979,
  [8980] = 8589,
  [8981] = 8587,
  [8982] = 8612,
  [8983] = 8983,
  [8984] = 8984,
  [8985] = 8482,
  [8986] = 8986,
  [8987] = 8535,
  [8988] = 8574,
  [8989] = 8989,
  [8990] = 8538,
  [8991] = 8991,
  [8992] = 8488,
  [8993] = 8534,
  [8994] = 8464,
  [8995] = 8995,
  [8996] = 8996,
  [8997] = 8521,
  [8998] = 8998,
  [8999] = 8526,
  [9000] = 9000,
  [9001] = 8527,
  [9002] = 8690,
  [9003] = 8574,
  [9004] = 8630,
  [9005] = 8730,
  [9006] = 8540,
  [9007] = 8505,
  [9008] = 8499,
  [9009] = 8735,
  [9010] = 8497,
  [9011] = 8739,
  [9012] = 8496,
  [9013] = 8495,
  [9014] = 8453,
  [9015] = 8612,
  [9016] = 8488,
  [9017] = 8510,
  [9018] = 8458,
  [9019] = 8916,
  [9020] = 8449,
  [9021] = 8459,
  [9022] = 8475,
  [9023] = 8468,
  [9024] = 8535,
  [9025] = 8534,
  [9026] = 8490,
  [9027] = 8483,
  [9028] = 8476,
  [9029] = 9029,
  [9030] = 9030,
  [9031] = 9031,
  [9032] = 9032,
  [9033] = 9033,
  [9034] = 9034,
  [9035] = 9035,
  [9036] = 8508,
  [9037] = 8619,
  [9038] = 9038,
  [9039] = 9039,
  [9040] = 8615,
  [9041] = 9041,
  [9042] = 8571,
  [9043] = 8475,
  [9044] = 8867,
  [9045] = 8870,
  [9046] = 8873,
  [9047] = 8469,
  [9048] = 8875,
  [9049] = 8455,
  [9050] = 8521,
  [9051] = 9051,
  [9052] = 8566,
  [9053] = 8892,
  [9054] = 8454,
  [9055] = 8894,
  [9056] = 8472,
  [9057] = 8496,
  [9058] = 8497,
  [9059] = 8899,
  [9060] = 8900,
  [9061] = 8467,
  [9062] = 8510,
  [9063] = 8475,
  [9064] = 8916,
  [9065] = 8508,
  [9066] = 8451,
  [9067] = 8457,
  [9068] = 8710,
  [9069] = 8835,
  [9070] = 8732,
  [9071] = 8466,
  [9072] = 8867,
  [9073] = 8873,
  [9074] = 8472,
  [9075] = 8875,
  [9076] = 9076,
  [9077] = 8457,
  [9078] = 8892,
  [9079] = 8461,
  [9080] = 8894,
  [9081] = 8462,
  [9082] = 8470,
  [9083] = 8899,
  [9084] = 8900,
  [9085] = 9085,
  [9086] = 8916,
  [9087] = 8466,
  [9088] = 8470,
  [9089] = 8472,
  [9090] = 8710,
  [9091] = 8835,
  [9092] = 9092,
  [9093] = 9093,
  [9094] = 8867,
  [9095] = 8873,
  [9096] = 8493,
  [9097] = 8875,
  [9098] = 9098,
  [9099] = 8491,
  [9100] = 8892,
  [9101] = 8682,
  [9102] = 8894,
  [9103] = 8475,
  [9104] = 8451,
  [9105] = 8899,
  [9106] = 8900,
  [9107] = 8916,
  [9108] = 8454,
  [9109] = 8469,
  [9110] = 9110,
  [9111] = 8710,
  [9112] = 8835,
  [9113] = 8504,
  [9114] = 8867,
  [9115] = 8873,
  [9116] = 8494,
  [9117] = 8875,
  [9118] = 8493,
  [9119] = 8749,
  [9120] = 8892,
  [9121] = 8894,
  [9122] = 8488,
  [9123] = 8490,
  [9124] = 8899,
  [9125] = 8900,
  [9126] = 8916,
  [9127] = 8452,
  [9128] = 8467,
  [9129] = 8464,
  [9130] = 8710,
  [9131] = 8835,
  [9132] = 8474,
  [9133] = 8867,
  [9134] = 8873,
  [9135] = 8497,
  [9136] = 8875,
  [9137] = 8749,
  [9138] = 8746,
  [9139] = 8894,
  [9140] = 8474,
  [9141] = 8892,
  [9142] = 8899,
  [9143] = 8900,
  [9144] = 8916,
  [9145] = 8481,
  [9146] = 8494,
  [9147] = 8741,
  [9148] = 8710,
  [9149] = 8835,
  [9150] = 8490,
  [9151] = 8867,
  [9152] = 8873,
  [9153] = 8464,
  [9154] = 8875,
  [9155] = 8494,
  [9156] = 8725,
  [9157] = 8894,
  [9158] = 7310,
  [9159] = 8499,
  [9160] = 8899,
  [9161] = 8900,
  [9162] = 8916,
  [9163] = 8458,
  [9164] = 8493,
  [9165] = 8482,
  [9166] = 8710,
  [9167] = 8835,
  [9168] = 8497,
  [9169] = 8867,
  [9170] = 8452,
  [9171] = 8875,
  [9172] = 8470,
  [9173] = 8456,
  [9174] = 8508,
  [9175] = 9175,
  [9176] = 8899,
  [9177] = 8900,
  [9178] = 8510,
  [9179] = 8488,
  [9180] = 9180,
  [9181] = 8710,
  [9182] = 8490,
  [9183] = 8867,
  [9184] = 8875,
  [9185] = 8467,
  [9186] = 8900,
  [9187] = 8483,
  [9188] = 8666,
  [9189] = 8710,
  [9190] = 8638,
  [9191] = 8867,
  [9192] = 8875,
  [9193] = 9193,
  [9194] = 8900,
  [9195] = 8475,
  [9196] = 8710,
  [9197] = 8867,
  [9198] = 8875,
  [9199] = 8900,
  [9200] = 8710,
  [9201] = 8900,
  [9202] = 8710,
  [9203] = 8900,
  [9204] = 8710,
  [9205] = 8900,
  [9206] = 8710,
  [9207] = 8900,
  [9208] = 8710,
  [9209] = 8900,
  [9210] = 8710,
  [9211] = 8900,
  [9212] = 8710,
  [9213] = 8900,
  [9214] = 8710,
  [9215] = 9215,
  [9216] = 8491,
  [9217] = 8870,
  [9218] = 9218,
  [9219] = 9219,
  [9220] = 8474,
  [9221] = 8534,
  [9222] = 8535,
  [9223] = 8470,
  [9224] = 8472,
  [9225] = 8481,
  [9226] = 8540,
  [9227] = 8466,
  [9228] = 9228,
  [9229] = 8464,
  [9230] = 8530,
  [9231] = 8527,
  [9232] = 8490,
  [9233] = 8497,
  [9234] = 8914,
  [9235] = 8943,
  [9236] = 8619,
  [9237] = 8526,
  [9238] = 9238,
  [9239] = 9239,
  [9240] = 8521,
  [9241] = 9241,
  [9242] = 8512,
  [9243] = 8599,
  [9244] = 8538,
  [9245] = 9245,
  [9246] = 8462,
  [9247] = 8452,
  [9248] = 8494,
  [9249] = 9219,
  [9250] = 9218,
  [9251] = 8488,
  [9252] = 8457,
  [9253] = 8456,
  [9254] = 8615,
  [9255] = 9255,
  [9256] = 8876,
  [9257] = 8468,
  [9258] = 8521,
  [9259] = 8587,
  [9260] = 8875,
  [9261] = 8589,
  [9262] = 8692,
  [9263] = 8459,
  [9264] = 8691,
  [9265] = 8602,
  [9266] = 8512,
  [9267] = 8451,
  [9268] = 9268,
  [9269] = 9269,
  [9270] = 8873,
  [9271] = 8511,
  [9272] = 8587,
  [9273] = 8589,
  [9274] = 8870,
  [9275] = 6163,
  [9276] = 8602,
  [9277] = 8491,
  [9278] = 8571,
  [9279] = 8578,
  [9280] = 8490,
  [9281] = 8491,
  [9282] = 8497,
  [9283] = 9283,
  [9284] = 8475,
  [9285] = 8454,
  [9286] = 9286,
  [9287] = 8455,
  [9288] = 8579,
  [9289] = 9289,
  [9290] = 8615,
  [9291] = 8511,
  [9292] = 8505,
  [9293] = 8459,
  [9294] = 8869,
  [9295] = 8870,
  [9296] = 9218,
  [9297] = 9219,
  [9298] = 8455,
  [9299] = 8454,
  [9300] = 9300,
  [9301] = 8914,
  [9302] = 8943,
  [9303] = 9303,
  [9304] = 8619,
  [9305] = 8914,
  [9306] = 8870,
  [9307] = 9218,
  [9308] = 9219,
  [9309] = 8472,
  [9310] = 9310,
  [9311] = 8914,
  [9312] = 8943,
  [9313] = 8466,
  [9314] = 9314,
  [9315] = 8867,
  [9316] = 8870,
  [9317] = 9218,
  [9318] = 9219,
  [9319] = 8490,
  [9320] = 8497,
  [9321] = 8914,
  [9322] = 8943,
  [9323] = 9323,
  [9324] = 9324,
  [9325] = 9325,
  [9326] = 9218,
  [9327] = 9219,
  [9328] = 9328,
  [9329] = 8502,
  [9330] = 8914,
  [9331] = 8943,
  [9332] = 8501,
  [9333] = 9333,
  [9334] = 9218,
  [9335] = 9219,
  [9336] = 8578,
  [9337] = 8475,
  [9338] = 8914,
  [9339] = 8943,
  [9340] = 9340,
  [9341] = 8476,
  [9342] = 9218,
  [9343] = 9219,
  [9344] = 8462,
  [9345] = 8638,
  [9346] = 8914,
  [9347] = 8943,
  [9348] = 8476,
  [9349] = 8505,
  [9350] = 9218,
  [9351] = 9219,
  [9352] = 8490,
  [9353] = 8914,
  [9354] = 8943,
  [9355] = 2007,
  [9356] = 8899,
  [9357] = 8914,
  [9358] = 8943,
  [9359] = 8499,
  [9360] = 9360,
  [9361] = 8943,
  [9362] = 8461,
  [9363] = 8943,
  [9364] = 8451,
  [9365] = 8943,
  [9366] = 8900,
  [9367] = 8943,
  [9368] = 8493,
  [9369] = 8943,
  [9370] = 8497,
  [9371] = 8943,
  [9372] = 8490,
  [9373] = 8943,
  [9374] = 8457,
  [9375] = 8943,
  [9376] = 8571,
  [9377] = 8943,
  [9378] = 9269,
  [9379] = 9360,
  [9380] = 8483,
  [9381] = 9269,
  [9382] = 9360,
  [9383] = 8497,
  [9384] = 9269,
  [9385] = 9360,
  [9386] = 8996,
  [9387] = 9269,
  [9388] = 9360,
  [9389] = 8496,
  [9390] = 9269,
  [9391] = 9360,
  [9392] = 8490,
  [9393] = 9269,
  [9394] = 9360,
  [9395] = 8495,
  [9396] = 9269,
  [9397] = 9360,
  [9398] = 8612,
  [9399] = 9360,
  [9400] = 9360,
  [9401] = 9360,
  [9402] = 9360,
  [9403] = 9360,
  [9404] = 9360,
  [9405] = 9360,
  [9406] = 9360,
  [9407] = 9360,
  [9408] = 9360,
  [9409] = 9360,
  [9410] = 8468,
  [9411] = 2011,
  [9412] = 8490,
  [9413] = 8502,
  [9414] = 8501,
  [9415] = 8497,
  [9416] = 8461,
  [9417] = 9268,
  [9418] = 9268,
  [9419] = 9268,
  [9420] = 9268,
  [9421] = 9268,
  [9422] = 9268,
  [9423] = 9268,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 43312
    ? (c < 3804
      ? (c < 2579
        ? (c < 1646
          ? (c < 710
            ? (c < 'j'
              ? (c < 'V'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'K' || (c < 'S'
                    ? (c >= 'M' && c <= 'Q')
                    : c <= 'S')))
                : (c <= 'Z' || (c < 'e'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'a')
                  : (c <= 'e' || (c >= 'g' && c <= 'h')))))
              : (c <= 'l' || (c < 181
                ? (c < 'w'
                  ? (c < 'q'
                    ? c == 'o'
                    : c <= 'r')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))))
            : (c <= 721 || (c < 910
              ? (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || c == 908))))
              : (c <= 929 || (c < 1369
                ? (c < 1162
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1327 || (c >= 1329 && c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))))))
          : (c <= 1647 || (c < 2185
            ? (c < 1994
              ? (c < 1791
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)))
                : (c <= 1791 || (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || c == 1969))))
              : (c <= 2026 || (c < 2084
                ? (c < 2048
                  ? (c < 2042
                    ? (c >= 2036 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2069 || c == 2074))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))))
            : (c <= 2190 || (c < 2482
              ? (c < 2417
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || (c < 2392
                    ? c == 2384
                    : c <= 2401)))
                : (c <= 2432 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))))
              : (c <= 2482 || (c < 2527
                ? (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))
                : (c <= 2529 || (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))))))))))
        : (c <= 2600 || (c < 3114
          ? (c < 2858
            ? (c < 2730
              ? (c < 2654
                ? (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))
              : (c <= 2736 || (c < 2784
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))
                : (c <= 2785 || (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))))))
            : (c <= 2864 || (c < 2969
              ? (c < 2929
                ? (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))
              : (c <= 2970 || (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))))))
          : (c <= 3129 || (c < 3423
            ? (c < 3261
              ? (c < 3205
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))))
              : (c <= 3261 || (c < 3342
                ? (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))))
            : (c <= 3425 || (c < 3713
              ? (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))
              : (c <= 3714 || (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))))))))))
      : (c <= 3807 || (c < 8027
        ? (c < 5888
          ? (c < 4696
            ? (c < 4206
              ? (c < 4159
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)))
                : (c <= 4159 || (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))))
              : (c <= 4208 || (c < 4301
                ? (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))))
            : (c <= 4696 || (c < 4882
              ? (c < 4792
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)))
                : (c <= 4798 || (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c >= 4824 && c <= 4880)))))
              : (c <= 4885 || (c < 5121
                ? (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))))))))
          : (c <= 5905 || (c < 6981
            ? (c < 6320
              ? (c < 6103
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)))
                : (c <= 6103 || (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || c == 6314))))
              : (c <= 6389 || (c < 6576
                ? (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))
                : (c <= 6601 || (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))))))
            : (c <= 6988 || (c < 7406
              ? (c < 7258
                ? (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)))
                : (c <= 7293 || (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))))
              : (c <= 7411 || (c < 7960
                ? (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))
                : (c <= 7965 || (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))))))))))
        : (c <= 8027 || (c < 11712
          ? (c < 8484
            ? (c < 8178
              ? (c < 8130
                ? (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)))
                : (c <= 8132 || (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c >= 8160 && c <= 8172)))))
              : (c <= 8180 || (c < 8450
                ? (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))
                : (c <= 8450 || (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))))))
            : (c <= 8484 || (c < 11520
              ? (c < 8526
                ? (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))
                : (c <= 8526 || (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))))
              : (c <= 11557 || (c < 11648
                ? (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))))))))
          : (c <= 11718 || (c < 42538
            ? (c < 12540
              ? (c < 12337
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)))
                : (c <= 12341 || (c < 12445
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12447 || (c >= 12449 && c <= 12538)))))
              : (c <= 12543 || (c < 13312
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))))))
            : (c <= 42539 || (c < 42994
              ? (c < 42786
                ? (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))))
              : (c <= 43009 || (c < 43138
                ? (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))
                : (c <= 43187 || (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))))))))))))))
    : (c <= 43334 || (c < 70480
      ? (c < 66816
        ? (c < 64323
          ? (c < 43777
            ? (c < 43642
              ? (c < 43514
                ? (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)))
                : (c <= 43518 || (c < 43588
                  ? (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)
                  : (c <= 43595 || (c >= 43616 && c <= 43638)))))
              : (c <= 43642 || (c < 43712
                ? (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))))))
            : (c <= 43782 || (c < 63744
              ? (c < 43868
                ? (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))
                : (c <= 43881 || (c < 55216
                  ? (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)
                  : (c <= 55238 || (c >= 55243 && c <= 55291)))))
              : (c <= 64109 || (c < 64287
                ? (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))
                : (c <= 64296 || (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))))))))
          : (c <= 64324 || (c < 65498
            ? (c < 65147
              ? (c < 65008
                ? (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)))
                : (c <= 65017 || (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || c == 65145))))
              : (c <= 65147 || (c < 65382
                ? (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))
                : (c <= 65437 || (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))))))
            : (c <= 65500 || (c < 66304
              ? (c < 65616
                ? (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))))
              : (c <= 66335 || (c < 66504
                ? (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))
                : (c <= 66511 || (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))))))))))
        : (c <= 66855 || (c < 68608
          ? (c < 67647
            ? (c < 67392
              ? (c < 66967
                ? (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))
                : (c <= 66977 || (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c >= 67072 && c <= 67382)))))
              : (c <= 67413 || (c < 67584
                ? (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))
                : (c <= 67589 || (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))))))
            : (c <= 67669 || (c < 68117
              ? (c < 67872
                ? (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)))
                : (c <= 67897 || (c < 68096
                  ? (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)
                  : (c <= 68096 || (c >= 68112 && c <= 68115)))))
              : (c <= 68119 || (c < 68297
                ? (c < 68224
                  ? (c < 68192
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68220)
                  : (c <= 68252 || (c >= 68288 && c <= 68295)))
                : (c <= 68324 || (c < 68448
                  ? (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)
                  : (c <= 68466 || (c >= 68480 && c <= 68497)))))))))
          : (c <= 68680 || (c < 70006
            ? (c < 69600
              ? (c < 69376
                ? (c < 68864
                  ? (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)
                  : (c <= 68899 || (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)))
                : (c <= 69404 || (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69445)
                  : (c <= 69505 || (c >= 69552 && c <= 69572)))))
              : (c <= 69622 || (c < 69840
                ? (c < 69749
                  ? (c < 69745
                    ? (c >= 69635 && c <= 69687)
                    : c <= 69746)
                  : (c <= 69749 || (c >= 69763 && c <= 69807)))
                : (c <= 69864 || (c < 69959
                  ? (c < 69956
                    ? (c >= 69891 && c <= 69926)
                    : c <= 69956)
                  : (c <= 69959 || (c >= 69968 && c <= 70002)))))))
            : (c <= 70006 || (c < 70287
              ? (c < 70144
                ? (c < 70106
                  ? (c < 70081
                    ? (c >= 70019 && c <= 70066)
                    : c <= 70084)
                  : (c <= 70106 || c == 70108))
                : (c <= 70161 || (c < 70280
                  ? (c < 70272
                    ? (c >= 70163 && c <= 70187)
                    : c <= 70278)
                  : (c <= 70280 || (c >= 70282 && c <= 70285)))))
              : (c <= 70301 || (c < 70419
                ? (c < 70405
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70366)
                  : (c <= 70412 || (c >= 70415 && c <= 70416)))
                : (c <= 70440 || (c < 70453
                  ? (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)
                  : (c <= 70457 || c == 70461))))))))))))
      : (c <= 70480 || (c < 119808
        ? (c < 72971
          ? (c < 71957
            ? (c < 71236
              ? (c < 70852
                ? (c < 70727
                  ? (c < 70656
                    ? (c >= 70493 && c <= 70497)
                    : c <= 70708)
                  : (c <= 70730 || (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)))
                : (c <= 70853 || (c < 71128
                  ? (c < 71040
                    ? c == 70855
                    : c <= 71086)
                  : (c <= 71131 || (c >= 71168 && c <= 71215)))))
              : (c <= 71236 || (c < 71680
                ? (c < 71424
                  ? (c < 71352
                    ? (c >= 71296 && c <= 71338)
                    : c <= 71352)
                  : (c <= 71450 || (c >= 71488 && c <= 71494)))
                : (c <= 71723 || (c < 71945
                  ? (c < 71935
                    ? (c >= 71840 && c <= 71903)
                    : c <= 71942)
                  : (c <= 71945 || (c >= 71948 && c <= 71955)))))))
            : (c <= 71958 || (c < 72272
              ? (c < 72161
                ? (c < 72001
                  ? (c < 71999
                    ? (c >= 71960 && c <= 71983)
                    : c <= 71999)
                  : (c <= 72001 || (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)))
                : (c <= 72161 || (c < 72203
                  ? (c < 72192
                    ? c == 72163
                    : c <= 72192)
                  : (c <= 72242 || c == 72250))))
              : (c <= 72272 || (c < 72714
                ? (c < 72368
                  ? (c < 72349
                    ? (c >= 72284 && c <= 72329)
                    : c <= 72349)
                  : (c <= 72440 || (c >= 72704 && c <= 72712)))
                : (c <= 72750 || (c < 72960
                  ? (c < 72818
                    ? c == 72768
                    : c <= 72847)
                  : (c <= 72966 || (c >= 72968 && c <= 72969)))))))))
          : (c <= 73008 || (c < 93053
            ? (c < 77712
              ? (c < 73440
                ? (c < 73063
                  ? (c < 73056
                    ? c == 73030
                    : c <= 73061)
                  : (c <= 73064 || (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)))
                : (c <= 73458 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c >= 74880 && c <= 75075)))))
              : (c <= 77808 || (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c >= 92736 && c <= 92766)))
                : (c <= 92862 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92975)
                  : (c <= 92995 || (c >= 93027 && c <= 93047)))))))
            : (c <= 93071 || (c < 110581
              ? (c < 94179
                ? (c < 94032
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94032 || (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 43396
    ? (c < 3913
      ? (c < 2613
        ? (c < 1765
          ? (c < 750
            ? (c < 'w'
              ? (c < 'g'
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 'e'
                    ? c == 'a'
                    : c <= 'e')))
                : (c <= 'h' || (c < 'q'
                  ? (c < 'o'
                    ? (c >= 'j' && c <= 'l')
                    : c <= 'o')
                  : (c <= 'r' || c == 't'))))
              : (c <= 'z' || (c < 216
                ? (c < 186
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 186 || (c >= 192 && c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))))
            : (c <= 750 || (c < 1162
              ? (c < 904
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 902)))
                : (c <= 906 || (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))))
              : (c <= 1327 || (c < 1519
                ? (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c >= 1488 && c <= 1514)))
                : (c <= 1522 || (c < 1649
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1610)
                    : c <= 1647)
                  : (c <= 1747 || c == 1749))))))))
          : (c <= 1766 || (c < 2365
            ? (c < 2048
              ? (c < 1869
                ? (c < 1791
                  ? (c < 1786
                    ? (c >= 1774 && c <= 1775)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1810
                    ? c == 1808
                    : c <= 1839)))
                : (c <= 1957 || (c < 2036
                  ? (c < 1994
                    ? c == 1969
                    : c <= 2026)
                  : (c <= 2037 || c == 2042))))
              : (c <= 2069 || (c < 2144
                ? (c < 2088
                  ? (c < 2084
                    ? c == 2074
                    : c <= 2084)
                  : (c <= 2088 || (c >= 2112 && c <= 2136)))
                : (c <= 2154 || (c < 2208
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2249 || (c >= 2308 && c <= 2361)))))))
            : (c <= 2365 || (c < 2510
              ? (c < 2451
                ? (c < 2417
                  ? (c < 2392
                    ? c == 2384
                    : c <= 2401)
                  : (c <= 2432 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))
                : (c <= 2472 || (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || c == 2493))))
              : (c <= 2510 || (c < 2565
                ? (c < 2544
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2529)
                  : (c <= 2545 || c == 2556))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c >= 2610 && c <= 2611)))))))))))
        : (c <= 2614 || (c < 3165
          ? (c < 2877
            ? (c < 2749
              ? (c < 2703
                ? (c < 2654
                  ? (c < 2649
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2652)
                  : (c <= 2654 || (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)))
                : (c <= 2705 || (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c >= 2741 && c <= 2745)))))
              : (c <= 2749 || (c < 2831
                ? (c < 2809
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c >= 2869 && c <= 2873)))))))
            : (c <= 2877 || (c < 2979
              ? (c < 2958
                ? (c < 2929
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2913)
                  : (c <= 2929 || (c < 2949
                    ? c == 2947
                    : c <= 2954)))
                : (c <= 2960 || (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))))
              : (c <= 2980 || (c < 3086
                ? (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))))))))
          : (c <= 3165 || (c < 3482
            ? (c < 3313
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3293
                  ? (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)
                  : (c <= 3294 || (c >= 3296 && c <= 3297)))))
              : (c <= 3314 || (c < 3406
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))
                : (c <= 3406 || (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))))))
            : (c <= 3505 || (c < 3724
              ? (c < 3634
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))
                : (c <= 3634 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))))
              : (c <= 3747 || (c < 3776
                ? (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))
                : (c <= 3780 || (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))))))))))))
      : (c <= 3948 || (c < 8031
        ? (c < 5984
          ? (c < 4746
            ? (c < 4256
              ? (c < 4193
                ? (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)))
                : (c <= 4193 || (c < 4213
                  ? (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)
                  : (c <= 4225 || c == 4238))))
              : (c <= 4293 || (c < 4682
                ? (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))
                : (c <= 4685 || (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))))))
            : (c <= 4749 || (c < 5024
              ? (c < 4808
                ? (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))
                : (c <= 4822 || (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c >= 4992 && c <= 5007)))))
              : (c <= 5109 || (c < 5792
                ? (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c >= 5761 && c <= 5786)))
                : (c <= 5866 || (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))))))))
          : (c <= 5996 || (c < 7098
            ? (c < 6512
              ? (c < 6272
                ? (c < 6103
                  ? (c < 6016
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6067)
                  : (c <= 6103 || (c < 6176
                    ? c == 6108
                    : c <= 6264)))
                : (c <= 6312 || (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c >= 6480 && c <= 6509)))))
              : (c <= 6516 || (c < 6823
                ? (c < 6656
                  ? (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)
                  : (c <= 6678 || (c >= 6688 && c <= 6740)))
                : (c <= 6823 || (c < 7043
                  ? (c < 6981
                    ? (c >= 6917 && c <= 6963)
                    : c <= 6988)
                  : (c <= 7072 || (c >= 7086 && c <= 7087)))))))
            : (c <= 7141 || (c < 7418
              ? (c < 7312
                ? (c < 7258
                  ? (c < 7245
                    ? (c >= 7168 && c <= 7203)
                    : c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7406
                  ? (c < 7401
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7404)
                  : (c <= 7411 || (c >= 7413 && c <= 7414)))))
              : (c <= 7418 || (c < 8008
                ? (c < 7960
                  ? (c < 7680
                    ? (c >= 7424 && c <= 7615)
                    : c <= 7957)
                  : (c <= 7965 || (c >= 7968 && c <= 8005)))
                : (c <= 8013 || (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || c == 8029))))))))))
        : (c <= 8061 || (c < 11728
          ? (c < 8488
            ? (c < 8305
              ? (c < 8144
                ? (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))
                : (c <= 8147 || (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))))
              : (c <= 8305 || (c < 8458
                ? (c < 8450
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8450 || c == 8455))
                : (c <= 8467 || (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || c == 8486))))))
            : (c <= 8488 || (c < 11565
              ? (c < 11264
                ? (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))
                : (c <= 11492 || (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))))
              : (c <= 11565 || (c < 11688
                ? (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))))))))
          : (c <= 11734 || (c < 42623
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c >= 12549 && c <= 12591)))))
              : (c <= 12686 || (c < 42192
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))
                : (c <= 42237 || (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))))))
            : (c <= 42653 || (c < 43015
              ? (c < 42960
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))))
              : (c <= 43018 || (c < 43259
                ? (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))
                : (c <= 43259 || (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))))))))))))))
    : (c <= 43442 || (c < 70493
      ? (c < 66864
        ? (c < 64467
          ? (c < 43793
            ? (c < 43697
              ? (c < 43584
                ? (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)))
                : (c <= 43586 || (c < 43642
                  ? (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)
                  : (c <= 43642 || (c >= 43646 && c <= 43695)))))
              : (c <= 43697 || (c < 43739
                ? (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))
                : (c <= 43741 || (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))))))
            : (c <= 43798 || (c < 64256
              ? (c < 44032
                ? (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)))
                : (c <= 55203 || (c < 63744
                  ? (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))))
              : (c <= 64262 || (c < 64312
                ? (c < 64287
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64285)
                  : (c <= 64296 || (c >= 64298 && c <= 64310)))
                : (c <= 64316 || (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c >= 64326 && c <= 64433)))))))))
          : (c <= 64605 || (c < 65549
            ? (c < 65151
              ? (c < 65139
                ? (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)))
                : (c <= 65139 || (c < 65147
                  ? (c < 65145
                    ? c == 65143
                    : c <= 65145)
                  : (c <= 65147 || c == 65149))))
              : (c <= 65276 || (c < 65474
                ? (c < 65382
                  ? (c < 65345
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65370)
                  : (c <= 65437 || (c >= 65440 && c <= 65470)))
                : (c <= 65479 || (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c >= 65536 && c <= 65547)))))))
            : (c <= 65574 || (c < 66349
              ? (c < 65664
                ? (c < 65599
                  ? (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)
                  : (c <= 65613 || (c >= 65616 && c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 43494
    ? (c < 4186
      ? (c < 2703
        ? (c < 1969
          ? (c < 908
            ? (c < 710
              ? (c < 181
                ? (c < '_'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'Z')
                  : (c <= '_' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))))
              : (c <= 721 || (c < 886
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c >= 880 && c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 902 || (c >= 904 && c <= 906)))))))
            : (c <= 908 || (c < 1646
              ? (c < 1369
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1519
                  ? (c < 1488
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))))
              : (c <= 1647 || (c < 1786
                ? (c < 1765
                  ? (c < 1749
                    ? (c >= 1649 && c <= 1747)
                    : c <= 1749)
                  : (c <= 1766 || (c >= 1774 && c <= 1775)))
                : (c <= 1788 || (c < 1810
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1808)
                  : (c <= 1839 || (c >= 1869 && c <= 1957)))))))))
          : (c <= 1969 || (c < 2474
            ? (c < 2185
              ? (c < 2084
                ? (c < 2042
                  ? (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)))
                : (c <= 2084 || (c < 2144
                  ? (c < 2112
                    ? c == 2088
                    : c <= 2136)
                  : (c <= 2154 || (c >= 2160 && c <= 2183)))))
              : (c <= 2190 || (c < 2392
                ? (c < 2365
                  ? (c < 2308
                    ? (c >= 2208 && c <= 2249)
                    : c <= 2361)
                  : (c <= 2365 || c == 2384))
                : (c <= 2401 || (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2432)
                    : c <= 2444)
                  : (c <= 2448 || (c >= 2451 && c <= 2472)))))))
            : (c <= 2480 || (c < 2575
              ? (c < 2524
                ? (c < 2493
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2493 || c == 2510))
                : (c <= 2525 || (c < 2556
                  ? (c < 2544
                    ? (c >= 2527 && c <= 2529)
                    : c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))))
              : (c <= 2576 || (c < 2616
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c >= 2613 && c <= 2614)))
                : (c <= 2617 || (c < 2674
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2676 || (c >= 2693 && c <= 2701)))))))))))
        : (c <= 2705 || (c < 3218
          ? (c < 2958
            ? (c < 2835
              ? (c < 2768
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)))
                : (c <= 2768 || (c < 2821
                  ? (c < 2809
                    ? (c >= 2784 && c <= 2785)
                    : c <= 2809)
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))))
              : (c <= 2856 || (c < 2908
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || c == 2877))
                : (c <= 2909 || (c < 2947
                  ? (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)
                  : (c <= 2947 || (c >= 2949 && c <= 2954)))))))
            : (c <= 2960 || (c < 3086
              ? (c < 2979
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c >= 2974 && c <= 2975)))
                : (c <= 2980 || (c < 3024
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))))
              : (c <= 3088 || (c < 3165
                ? (c < 3133
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3133 || (c >= 3160 && c <= 3162)))
                : (c <= 3165 || (c < 3205
                  ? (c < 3200
                    ? (c >= 3168 && c <= 3169)
                    : c <= 3200)
                  : (c <= 3212 || (c >= 3214 && c <= 3216)))))))))
          : (c <= 3240 || (c < 3634
            ? (c < 3406
              ? (c < 3313
                ? (c < 3261
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3261 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3332 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3386 || c == 3389))))
              : (c <= 3406 || (c < 3482
                ? (c < 3450
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3414)
                    : c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c >= 3585 && c <= 3632)))))))
            : (c <= 3634 || (c < 3776
              ? (c < 3724
                ? (c < 3716
                  ? (c < 3713
                    ? (c >= 3648 && c <= 3654)
                    : c <= 3714)
                  : (c <= 3716 || (c >= 3718 && c <= 3722)))
                : (c <= 3747 || (c < 3762
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3760)
                  : (c <= 3762 || c == 3773))))
              : (c <= 3780 || (c < 3913
                ? (c < 3840
                  ? (c < 3804
                    ? c == 3782
                    : c <= 3807)
                  : (c <= 3840 || (c >= 3904 && c <= 3911)))
                : (c <= 3948 || (c < 4159
                  ? (c < 4096
                    ? (c >= 3976 && c <= 3980)
                    : c <= 4138)
                  : (c <= 4159 || (c >= 4176 && c <= 4181)))))))))))))
      : (c <= 4189 || (c < 8130
        ? (c < 6108
          ? (c < 4802
            ? (c < 4682
              ? (c < 4256
                ? (c < 4206
                  ? (c < 4197
                    ? c == 4193
                    : c <= 4198)
                  : (c <= 4208 || (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c >= 4348 && c <= 4680)))))
              : (c <= 4685 || (c < 4746
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || c == 4800))))))
            : (c <= 4805 || (c < 5761
              ? (c < 4992
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c >= 4888 && c <= 4954)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c >= 5743 && c <= 5759)))))
              : (c <= 5786 || (c < 5952
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 6016
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6067 || c == 6103))))))))
          : (c <= 6108 || (c < 7296
            ? (c < 6688
              ? (c < 6480
                ? (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c >= 6656 && c <= 6678)))))
              : (c <= 6740 || (c < 7086
                ? (c < 6981
                  ? (c < 6917
                    ? c == 6823
                    : c <= 6963)
                  : (c <= 6988 || (c >= 7043 && c <= 7072)))
                : (c <= 7087 || (c < 7245
                  ? (c < 7168
                    ? (c >= 7098 && c <= 7141)
                    : c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))))))
            : (c <= 7304 || (c < 7968
              ? (c < 7413
                ? (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))
                : (c <= 7414 || (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))))
              : (c <= 8005 || (c < 8029
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || c == 8126))))))))))
        : (c <= 8132 || (c < 12321
          ? (c < 8526
            ? (c < 8455
              ? (c < 8182
                ? (c < 8150
                  ? (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)
                  : (c <= 8155 || (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)))
                : (c <= 8188 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))))
              : (c <= 8455 || (c < 8486
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c >= 8517 && c <= 8521)))))))
            : (c <= 8526 || (c < 11648
              ? (c < 11520
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11568
                  ? (c < 11565
                    ? c == 11559
                    : c <= 11565)
                  : (c <= 11623 || c == 11631))))
              : (c <= 11670 || (c < 11712
                ? (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c >= 11704 && c <= 11710)))
                : (c <= 11718 || (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c >= 12293 && c <= 12295)))))))))
          : (c <= 12329 || (c < 42786
            ? (c < 13312
              ? (c < 12540
                ? (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))
                : (c <= 12543 || (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c >= 12784 && c <= 12799)))))
              : (c <= 19903 || (c < 42538
                ? (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c >= 42512 && c <= 42527)))
                : (c <= 42539 || (c < 42656
                  ? (c < 42623
                    ? (c >= 42560 && c <= 42606)
                    : c <= 42653)
                  : (c <= 42735 || (c >= 42775 && c <= 42783)))))))
            : (c <= 42888 || (c < 43138
              ? (c < 42994
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c >= 42965 && c <= 42969)))
                : (c <= 43009 || (c < 43020
                  ? (c < 43015
                    ? (c >= 43011 && c <= 43013)
                    : c <= 43018)
                  : (c <= 43042 || (c >= 43072 && c <= 43123)))))
              : (c <= 43187 || (c < 43312
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43250 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43262 || (c >= 43274 && c <= 43301)))
                : (c <= 43334 || (c < 43471
                  ? (c < 43396
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43442)
                  : (c <= 43471 || (c >= 43488 && c <= 43492)))))))))))))))
    : (c <= 43503 || (c < 70727
      ? (c < 66956
        ? (c < 64914
          ? (c < 43824
            ? (c < 43712
              ? (c < 43642
                ? (c < 43584
                  ? (c < 43520
                    ? (c >= 43514 && c <= 43518)
                    : c <= 43560)
                  : (c <= 43586 || (c < 43616
                    ? (c >= 43588 && c <= 43595)
                    : c <= 43638)))
                : (c <= 43642 || (c < 43701
                  ? (c < 43697
                    ? (c >= 43646 && c <= 43695)
                    : c <= 43697)
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))))
              : (c <= 43712 || (c < 43777
                ? (c < 43744
                  ? (c < 43739
                    ? c == 43714
                    : c <= 43741)
                  : (c <= 43754 || (c >= 43762 && c <= 43764)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c >= 43816 && c <= 43822)))))))
            : (c <= 43866 || (c < 64287
              ? (c < 63744
                ? (c < 44032
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44002)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || c == 64285))))
              : (c <= 64296 || (c < 64323
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64612
                  ? (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)
                  : (c <= 64829 || (c >= 64848 && c <= 64911)))))))))
          : (c <= 64967 || (c < 65599
            ? (c < 65382
              ? (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65313
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65338 || (c >= 65345 && c <= 65370)))))
              : (c <= 65437 || (c < 65498
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65440 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c >= 65490 && c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))))))
            : (c <= 65613 || (c < 66464
              ? (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c >= 66176 && c <= 66204)))
                : (c <= 66256 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66421 || (c >= 66432 && c <= 66461)))))
              : (c <= 66499 || (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c >= 66736 && c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c >= 66940 && c <= 66954)))))))))))
        : (c <= 66962 || (c < 68864
          ? (c < 67828
            ? (c < 67506
              ? (c < 67072
                ? (c < 66979
                  ? (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)
                  : (c <= 66993 || (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)))
                : (c <= 67382 || (c < 67456
                  ? (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)
                  : (c <= 67461 || (c >= 67463 && c <= 67504)))))
              : (c <= 67514 || (c < 67644
                ? (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))
                : (c <= 67644 || (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c >= 67808 && c <= 67826)))))))
            : (c <= 67829 || (c < 68224
              ? (c < 68096
                ? (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c >= 68030 && c <= 68031)))
                : (c <= 68096 || (c < 68121
                  ? (c < 68117
                    ? (c >= 68112 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c >= 68192 && c <= 68220)))))
              : (c <= 68252 || (c < 68448
                ? (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68324)
                  : (c <= 68405 || (c >= 68416 && c <= 68437)))
                : (c <= 68466 || (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c >= 68800 && c <= 68850)))))))))
          : (c <= 68899 || (c < 70106
            ? (c < 69749
              ? (c < 69488
                ? (c < 69376
                  ? (c < 69296
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69445)))
                : (c <= 69505 || (c < 69635
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69687 || (c >= 69745 && c <= 69746)))))
              : (c <= 69749 || (c < 69959
                ? (c < 69891
                  ? (c < 69840
                    ? (c >= 69763 && c <= 69807)
                    : c <= 69864)
                  : (c <= 69926 || c == 69956))
                : (c <= 69959 || (c < 70019
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70002)
                    : c <= 70006)
                  : (c <= 70066 || (c >= 70081 && c <= 70084)))))))
            : (c <= 70106 || (c < 70405
              ? (c < 70280
                ? (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70187 || (c >= 70272 && c <= 70278)))
                : (c <= 70280 || (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c >= 70320 && c <= 70366)))))
              : (c <= 70412 || (c < 70453
                ? (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c >= 70450 && c <= 70451)))
                : (c <= 70457 || (c < 70493
                  ? (c < 70480
                    ? c == 70461
                    : c <= 70480)
                  : (c <= 70497 || (c >= 70656 && c <= 70708)))))))))))))
      : (c <= 70730 || (c < 119894
        ? (c < 73056
          ? (c < 72001
            ? (c < 71424
              ? (c < 71128
                ? (c < 70852
                  ? (c < 70784
                    ? (c >= 70751 && c <= 70753)
                    : c <= 70831)
                  : (c <= 70853 || (c < 71040
                    ? c == 70855
                    : c <= 71086)))
                : (c <= 71131 || (c < 71296
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71215)
                    : c <= 71236)
                  : (c <= 71338 || c == 71352))))
              : (c <= 71450 || (c < 71945
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71723)
                  : (c <= 71903 || (c >= 71935 && c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71983 || c == 71999))))))
            : (c <= 72001 || (c < 72349
              ? (c < 72192
                ? (c < 72161
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72144)
                  : (c <= 72161 || c == 72163))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_4(int32_t c) {
  return (c < 43488
    ? (c < 4159
      ? (c < 2654
        ? (c < 1808
          ? (c < 895
            ? (c < 192
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 't' || (c < 181
                  ? (c < 170
                    ? (c >= 'v' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || c == 186))))
              : (c <= 214 || (c < 748
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 880
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c >= 891 && c <= 893)))))))
            : (c <= 895 || (c < 1488
              ? (c < 1015
                ? (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))
                : (c <= 1153 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))))
              : (c <= 1514 || (c < 1749
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))
                : (c <= 1749 || (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))))))))
          : (c <= 1808 || (c < 2437
            ? (c < 2112
              ? (c < 2042
                ? (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c < 2036
                    ? (c >= 1994 && c <= 2026)
                    : c <= 2037)))
                : (c <= 2042 || (c < 2084
                  ? (c < 2074
                    ? (c >= 2048 && c <= 2069)
                    : c <= 2074)
                  : (c <= 2084 || c == 2088))))
              : (c <= 2136 || (c < 2308
                ? (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))
                : (c <= 2361 || (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))))))
            : (c <= 2444 || (c < 2544
              ? (c < 2486
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))
                : (c <= 2489 || (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))))
              : (c <= 2545 || (c < 2602
                ? (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))))))))))
        : (c <= 2654 || (c < 3205
          ? (c < 2929
            ? (c < 2809
              ? (c < 2738
                ? (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))
                : (c <= 2739 || (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))))
              : (c <= 2809 || (c < 2866
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))
                : (c <= 2867 || (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))))))
            : (c <= 2929 || (c < 3024
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))))
              : (c <= 3024 || (c < 3133
                ? (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))
                : (c <= 3133 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || c == 3200))))))))
          : (c <= 3212 || (c < 3520
            ? (c < 3346
              ? (c < 3293
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3261
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3261)))
                : (c <= 3294 || (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))))
              : (c <= 3386 || (c < 3450
                ? (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))
                : (c <= 3455 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))))))
            : (c <= 3526 || (c < 3762
              ? (c < 3716
                ? (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))))
              : (c <= 3762 || (c < 3840
                ? (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))
                : (c <= 3840 || (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c >= 4096 && c <= 4138)))))))))))))
      : (c <= 4159 || (c < 8126
        ? (c < 6103
          ? (c < 4792
            ? (c < 4304
              ? (c < 4213
                ? (c < 4193
                  ? (c < 4186
                    ? (c >= 4176 && c <= 4181)
                    : c <= 4189)
                  : (c <= 4193 || (c < 4206
                    ? (c >= 4197 && c <= 4198)
                    : c <= 4208)))
                : (c <= 4225 || (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))))
              : (c <= 4346 || (c < 4698
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c >= 4786 && c <= 4789)))))))
            : (c <= 4798 || (c < 5743
              ? (c < 4888
                ? (c < 4808
                  ? (c < 4802
                    ? c == 4800
                    : c <= 4805)
                  : (c <= 4822 || (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)))
                : (c <= 4954 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))))
              : (c <= 5759 || (c < 5919
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))
                : (c <= 5937 || (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c >= 6016 && c <= 6067)))))))))
          : (c <= 6103 || (c < 7258
            ? (c < 6656
              ? (c < 6400
                ? (c < 6272
                  ? (c < 6176
                    ? c == 6108
                    : c <= 6264)
                  : (c <= 6312 || (c < 6320
                    ? c == 6314
                    : c <= 6389)))
                : (c <= 6430 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))))
              : (c <= 6678 || (c < 7043
                ? (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c >= 7245 && c <= 7247)))))))
            : (c <= 7293 || (c < 7960
              ? (c < 7406
                ? (c < 7357
                  ? (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)
                  : (c <= 7359 || (c >= 7401 && c <= 7404)))
                : (c <= 7411 || (c < 7424
                  ? (c < 7418
                    ? (c >= 7413 && c <= 7414)
                    : c <= 7418)
                  : (c <= 7615 || (c >= 7680 && c <= 7957)))))
              : (c <= 7965 || (c < 8027
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || c == 8025))
                : (c <= 8027 || (c < 8064
                  ? (c < 8031
                    ? c == 8029
                    : c <= 8061)
                  : (c <= 8116 || (c >= 8118 && c <= 8124)))))))))))
        : (c <= 8126 || (c < 12293
          ? (c < 8517
            ? (c < 8450
              ? (c < 8178
                ? (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))
                : (c <= 8180 || (c < 8319
                  ? (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)
                  : (c <= 8319 || (c >= 8336 && c <= 8348)))))
              : (c <= 8450 || (c < 8484
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c >= 8472 && c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c >= 8508 && c <= 8511)))))))
            : (c <= 8521 || (c < 11631
              ? (c < 11506
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c >= 11499 && c <= 11502)))
                : (c <= 11507 || (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c >= 11568 && c <= 11623)))))
              : (c <= 11631 || (c < 11704
                ? (c < 11688
                  ? (c < 11680
                    ? (c >= 11648 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c >= 11696 && c <= 11702)))
                : (c <= 11710 || (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))))))))
          : (c <= 12295 || (c < 42775
            ? (c < 12784
              ? (c < 12449
                ? (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)))
                : (c <= 12538 || (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c >= 12704 && c <= 12735)))))
              : (c <= 12799 || (c < 42512
                ? (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c >= 42240 && c <= 42508)))
                : (c <= 42527 || (c < 42623
                  ? (c < 42560
                    ? (c >= 42538 && c <= 42539)
                    : c <= 42606)
                  : (c <= 42653 || (c >= 42656 && c <= 42735)))))))
            : (c <= 42783 || (c < 43072
              ? (c < 42965
                ? (c < 42960
                  ? (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43015
                  ? (c < 43011
                    ? (c >= 42994 && c <= 43009)
                    : c <= 43013)
                  : (c <= 43018 || (c >= 43020 && c <= 43042)))))
              : (c <= 43123 || (c < 43274
                ? (c < 43259
                  ? (c < 43250
                    ? (c >= 43138 && c <= 43187)
                    : c <= 43255)
                  : (c <= 43259 || (c >= 43261 && c <= 43262)))
                : (c <= 43301 || (c < 43396
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43334)
                    : c <= 43388)
                  : (c <= 43442 || c == 43471))))))))))))))
    : (c <= 43492 || (c < 70656
      ? (c < 66940
        ? (c < 64848
          ? (c < 43816
            ? (c < 43705
              ? (c < 43616
                ? (c < 43520
                  ? (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)
                  : (c <= 43560 || (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)))
                : (c <= 43638 || (c < 43697
                  ? (c < 43646
                    ? c == 43642
                    : c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))))
              : (c <= 43709 || (c < 43762
                ? (c < 43739
                  ? (c < 43714
                    ? c == 43712
                    : c <= 43714)
                  : (c <= 43741 || (c >= 43744 && c <= 43754)))
                : (c <= 43764 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c >= 43808 && c <= 43814)))))))
            : (c <= 43822 || (c < 64285
              ? (c < 55243
                ? (c < 43888
                  ? (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)
                  : (c <= 44002 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c >= 64275 && c <= 64279)))))
              : (c <= 64285 || (c < 64320
                ? (c < 64312
                  ? (c < 64298
                    ? (c >= 64287 && c <= 64296)
                    : c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c >= 64612 && c <= 64829)))))))))
          : (c <= 64911 || (c < 65596
            ? (c < 65345
              ? (c < 65145
                ? (c < 65137
                  ? (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c >= 65313 && c <= 65338)))))
              : (c <= 65370 || (c < 65490
                ? (c < 65474
                  ? (c < 65440
                    ? (c >= 65382 && c <= 65437)
                    : c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c >= 65576 && c <= 65594)))))))
            : (c <= 65597 || (c < 66432
              ? (c < 66176
                ? (c < 65664
                  ? (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)
                  : (c <= 65786 || (c >= 65856 && c <= 65908)))
                : (c <= 66204 || (c < 66349
                  ? (c < 66304
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66335)
                  : (c <= 66378 || (c >= 66384 && c <= 66421)))))
              : (c <= 66461 || (c < 66736
                ? (c < 66513
                  ? (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)
                  : (c <= 66517 || (c >= 66560 && c <= 66717)))
                : (c <= 66771 || (c < 66864
                  ? (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)
                  : (c <= 66915 || (c >= 66928 && c <= 66938)))))))))))
        : (c <= 66954 || (c < 68800
          ? (c < 67808
            ? (c < 67463
              ? (c < 67003
                ? (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))
                : (c <= 67004 || (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c >= 67456 && c <= 67461)))))
              : (c <= 67504 || (c < 67639
                ? (c < 67592
                  ? (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c >= 67712 && c <= 67742)))))))
            : (c <= 67826 || (c < 68192
              ? (c < 68030
                ? (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c >= 67968 && c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_5(int32_t c) {
  return (c < 43520
    ? (c < 4197
      ? (c < 2730
        ? (c < 2036
          ? (c < 1015
            ? (c < 750
              ? (c < 216
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 192
                    ? c == 186
                    : c <= 214)))
                : (c <= 246 || (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || c == 748))))
              : (c <= 750 || (c < 902
                ? (c < 891
                  ? (c < 886
                    ? (c >= 880 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 910
                  ? (c < 908
                    ? (c >= 904 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c >= 931 && c <= 1013)))))))
            : (c <= 1153 || (c < 1749
              ? (c < 1488
                ? (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c >= 1376 && c <= 1416)))
                : (c <= 1514 || (c < 1646
                  ? (c < 1568
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1610)
                  : (c <= 1647 || (c >= 1649 && c <= 1747)))))
              : (c <= 1749 || (c < 1808
                ? (c < 1786
                  ? (c < 1774
                    ? (c >= 1765 && c <= 1766)
                    : c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))))))
          : (c <= 2037 || (c < 2486
            ? (c < 2308
              ? (c < 2112
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || (c < 2088
                    ? c == 2084
                    : c <= 2088)))
                : (c <= 2136 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c >= 2208 && c <= 2249)))))
              : (c <= 2361 || (c < 2437
                ? (c < 2392
                  ? (c < 2384
                    ? c == 2365
                    : c <= 2384)
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))))
            : (c <= 2489 || (c < 2602
              ? (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))
              : (c <= 2608 || (c < 2654
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c >= 2649 && c <= 2652)))
                : (c <= 2654 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2674 && c <= 2676)
                    : c <= 2701)
                  : (c <= 2705 || (c >= 2707 && c <= 2728)))))))))))
        : (c <= 2736 || (c < 3253
          ? (c < 2969
            ? (c < 2866
              ? (c < 2809
                ? (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || (c < 2784
                    ? c == 2768
                    : c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))
              : (c <= 2867 || (c < 2929
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? c == 2947
                    : c <= 2954)
                  : (c <= 2960 || (c >= 2962 && c <= 2965)))))))
            : (c <= 2970 || (c < 3114
              ? (c < 2990
                ? (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))
                : (c <= 3001 || (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))))
              : (c <= 3129 || (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c >= 3242 && c <= 3251)))))))))
          : (c <= 3257 || (c < 3713
            ? (c < 3423
              ? (c < 3342
                ? (c < 3296
                  ? (c < 3293
                    ? c == 3261
                    : c <= 3294)
                  : (c <= 3297 || (c < 3332
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))))
              : (c <= 3425 || (c < 3517
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))
                : (c <= 3517 || (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))))))
            : (c <= 3714 || (c < 3804
              ? (c < 3751
                ? (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))
                : (c <= 3760 || (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))))
              : (c <= 3807 || (c < 4096
                ? (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))
                : (c <= 4138 || (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || c == 4193))))))))))))
      : (c <= 4198 || (c < 8144
        ? (c < 6272
          ? (c < 4824
            ? (c < 4696
              ? (c < 4301
                ? (c < 4238
                  ? (c < 4213
                    ? (c >= 4206 && c <= 4208)
                    : c <= 4225)
                  : (c <= 4238 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))
                : (c <= 4301 || (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))))
              : (c <= 4696 || (c < 4786
                ? (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c >= 4808 && c <= 4822)))))))
            : (c <= 4880 || (c < 5870
              ? (c < 5112
                ? (c < 4992
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 5007 || (c >= 5024 && c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c >= 5792 && c <= 5866)))))
              : (c <= 5880 || (c < 5998
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5905)
                    : c <= 5937)
                  : (c <= 5969 || (c >= 5984 && c <= 5996)))
                : (c <= 6000 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))))))))
          : (c <= 6312 || (c < 7357
            ? (c < 6917
              ? (c < 6528
                ? (c < 6400
                  ? (c < 6320
                    ? c == 6314
                    : c <= 6389)
                  : (c <= 6430 || (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)))
                : (c <= 6571 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6678)
                  : (c <= 6740 || c == 6823))))
              : (c <= 6963 || (c < 7168
                ? (c < 7086
                  ? (c < 7043
                    ? (c >= 6981 && c <= 6988)
                    : c <= 7072)
                  : (c <= 7087 || (c >= 7098 && c <= 7141)))
                : (c <= 7203 || (c < 7296
                  ? (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)
                  : (c <= 7304 || (c >= 7312 && c <= 7354)))))))
            : (c <= 7359 || (c < 8016
              ? (c < 7424
                ? (c < 7413
                  ? (c < 7406
                    ? (c >= 7401 && c <= 7404)
                    : c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7680 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c >= 8008 && c <= 8013)))))
              : (c <= 8023 || (c < 8064
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c >= 8031 && c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c >= 8134 && c <= 8140)))))))))))
        : (c <= 8147 || (c < 12344
          ? (c < 11264
            ? (c < 8469
              ? (c < 8319
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8305
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8305)))
                : (c <= 8319 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8450)
                  : (c <= 8455 || (c >= 8458 && c <= 8467)))))
              : (c <= 8469 || (c < 8490
                ? (c < 8486
                  ? (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)
                  : (c <= 8486 || c == 8488))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c >= 8544 && c <= 8584)))))))
            : (c <= 11492 || (c < 11688
              ? (c < 11565
                ? (c < 11520
                  ? (c < 11506
                    ? (c >= 11499 && c <= 11502)
                    : c <= 11507)
                  : (c <= 11557 || c == 11559))
                : (c <= 11565 || (c < 11648
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))))
              : (c <= 11694 || (c < 11728
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c >= 11720 && c <= 11726)))
                : (c <= 11734 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11736 && c <= 11742)
                    : c <= 12295)
                  : (c <= 12329 || (c >= 12337 && c <= 12341)))))))))
          : (c <= 12348 || (c < 42960
            ? (c < 42192
              ? (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c >= 19968 && c <= 42124)))))
              : (c <= 42237 || (c < 42623
                ? (c < 42538
                  ? (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42786
                  ? (c < 42775
                    ? (c >= 42656 && c <= 42735)
                    : c <= 42783)
                  : (c <= 42888 || (c >= 42891 && c <= 42954)))))))
            : (c <= 42961 || (c < 43259
              ? (c < 43015
                ? (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43009 || (c >= 43011 && c <= 43013)))
                : (c <= 43018 || (c < 43138
                  ? (c < 43072
                    ? (c >= 43020 && c <= 43042)
                    : c <= 43123)
                  : (c <= 43187 || (c >= 43250 && c <= 43255)))))
              : (c <= 43259 || (c < 43396
                ? (c < 43312
                  ? (c < 43274
                    ? (c >= 43261 && c <= 43262)
                    : c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43494
                  ? (c < 43488
                    ? c == 43471
                    : c <= 43492)
                  : (c <= 43503 || (c >= 43514 && c <= 43518)))))))))))))))
    : (c <= 43560 || (c < 70751
      ? (c < 66964
        ? (c < 65008
          ? (c < 43888
            ? (c < 43739
              ? (c < 43697
                ? (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || (c < 43646
                    ? c == 43642
                    : c <= 43695)))
                : (c <= 43697 || (c < 43712
                  ? (c < 43705
                    ? (c >= 43701 && c <= 43702)
                    : c <= 43709)
                  : (c <= 43712 || c == 43714))))
              : (c <= 43741 || (c < 43793
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43754)
                    : c <= 43764)
                  : (c <= 43782 || (c >= 43785 && c <= 43790)))
                : (c <= 43798 || (c < 43824
                  ? (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))))))
            : (c <= 44002 || (c < 64298
              ? (c < 64112
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))
                : (c <= 64217 || (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))))
              : (c <= 64310 || (c < 64326
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c >= 64914 && c <= 64967)))))))))
          : (c <= 65017 || (c < 65616
            ? (c < 65440
              ? (c < 65149
                ? (c < 65143
                  ? (c < 65139
                    ? c == 65137
                    : c <= 65139)
                  : (c <= 65143 || (c < 65147
                    ? c == 65145
                    : c <= 65147)))
                : (c <= 65149 || (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))))
              : (c <= 65470 || (c < 65536
                ? (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))))))
            : (c <= 65629 || (c < 66504
              ? (c < 66304
                ? (c < 66176
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66204 || (c >= 66208 && c <= 66256)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66421)
                  : (c <= 66461 || (c >= 66464 && c <= 66499)))))
              : (c <= 66511 || (c < 66816
                ? (c < 66736
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66771 || (c >= 66776 && c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))))))))))
        : (c <= 66965 || (c < 69248
          ? (c < 67840
            ? (c < 67584
              ? (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c >= 67506 && c <= 67514)))))
              : (c <= 67589 || (c < 67647
                ? (c < 67639
                  ? (c < 67594
                    ? c == 67592
                    : c <= 67637)
                  : (c <= 67640 || c == 67644))
                : (c <= 67669 || (c < 67808
                  ? (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)
                  : (c <= 67826 || (c >= 67828 && c <= 67829)))))))
            : (c <= 67861 || (c < 68288
              ? (c < 68112
                ? (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || c == 68096))
                : (c <= 68115 || (c < 68192
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68220 || (c >= 68224 && c <= 68252)))))
              : (c <= 68295 || (c < 68480
                ? (c < 68416
                  ? (c < 68352
                    ? (c >= 68297 && c <= 68324)
                    : c <= 68405)
                  : (c <= 68437 || (c >= 68448 && c <= 68466)))
                : (c <= 68497 || (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c >= 68864 && c <= 68899)))))))))
          : (c <= 69289 || (c < 70108
            ? (c < 69763
              ? (c < 69552
                ? (c < 69415
                  ? (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)
                  : (c <= 69415 || (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)))
                : (c <= 69572 || (c < 69745
                  ? (c < 69635
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69687)
                  : (c <= 69746 || c == 69749))))
              : (c <= 69807 || (c < 69968
                ? (c < 69956
                  ? (c < 69891
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69926)
                  : (c <= 69956 || c == 69959))
                : (c <= 70002 || (c < 70081
                  ? (c < 70019
                    ? c == 70006
                    : c <= 70066)
                  : (c <= 70084 || c == 70106))))))
            : (c <= 70108 || (c < 70415
              ? (c < 70282
                ? (c < 70272
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70187)
                  : (c <= 70278 || c == 70280))
                : (c <= 70285 || (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70366 || (c >= 70405 && c <= 70412)))))
              : (c <= 70416 || (c < 70461
                ? (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c >= 70453 && c <= 70457)))
                : (c <= 70461 || (c < 70656
                  ? (c < 70493
                    ? c == 70480
                    : c <= 70497)
                  : (c <= 70708 || (c >= 70727 && c <= 70730)))))))))))))
      : (c <= 70753 || (c < 119966
        ? (c < 73063
          ? (c < 72096
            ? (c < 71488
              ? (c < 71168
                ? (c < 70855
                  ? (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)
                  : (c <= 70855 || (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)))
                : (c <= 71215 || (c < 71352
                  ? (c < 71296
                    ? c == 71236
                    : c <= 71338)
                  : (c <= 71352 || (c >= 71424 && c <= 71450)))))
              : (c <= 71494 || (c < 71948
                ? (c < 71935
                  ? (c < 71840
                    ? (c >= 71680 && c <= 71723)
                    : c <= 71903)
                  : (c <= 71942 || c == 71945))
                : (c <= 71955 || (c < 71999
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71983)
                  : (c <= 71999 || c == 72001))))))
            : (c <= 72103 || (c < 72368
              ? (c < 72203
                ? (c < 72163
                  ? (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)
                  : (c <= 72163 || c == 72192))
                : (c <= 72242 || (c < 72284
                  ? (c < 72272
                    ? c == 72250
                    : c <= 72272)
                  : (c <= 72329 || c == 72349))))
              : (c <= 72440 || (c < 72960
                ? (c < 72768
                  ? (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72750)
                  : (c <= 72768 || (c >= 72818 && c <= 72847)))
                : (c <= 72966 || (c < 73030
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73008)
                  : (c <= 73030 || (c >= 73056 && c <= 73061)))))))))
          : (c <= 73064 || (c < 94032
            ? (c < 92160
              ? (c < 74752
                ? (c < 73440
                  ? (c < 73112
                    ? (c >= 73066 && c <= 73097)
                    : c <= 73112)
                  : (c <= 73458 || (c < 73728
                    ? c == 73648
                    : c <= 74649)))
                : (c <= 74862 || (c < 77824
                  ? (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)
                  : (c <= 78894 || (c >= 82944 && c <= 83526)))))
              : (c <= 92728 || (c < 92992
                ? (c < 92880
                  ? (c < 92784
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92862)
                  : (c <= 92909 || (c >= 92928 && c <= 92975)))
                : (c <= 92995 || (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c >= 93952 && c <= 94026)))))))
            : (c <= 94032 || (c < 110592
              ? (c < 100352
                ? (c < 94179
                  ? (c < 94176
                    ? (c >= 94099 && c <= 94111)
                    : c <= 94177)
                  : (c <= 94179 || (c >= 94208 && c <= 100343)))
                : (c <= 101589 || (c < 110581
                  ? (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)
                  : (c <= 110587 || (c >= 110589 && c <= 110590)))))
              : (c <= 110882 || (c < 113776
                ? (c < 110960
                  ? (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)
                  : (c <= 111355 || (c >= 113664 && c <= 113770)))
                : (c <= 113788 || (c < 119808
                  ? (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)
                  : (c <= 119892 || (c >= 119894 && c <= 119964)))))))))))
        : (c <= 119967 || (c < 126464
          ? (c < 120598
            ? (c < 120094
              ? (c < 119997
                ? (c < 119977
                  ? (c < 119973
                    ? c == 119970
                    : c <= 119974)
                  : (c <= 119980 || (c < 119995
                    ? (c >= 119982 && c <= 119993)
                    : c <= 119995)))
                : (c <= 120003 || (c < 120077
                  ? (c < 120071
                    ? (c >= 120005 && c <= 120069)
                    : c <= 120074)
                  : (c <= 120084 || (c >= 120086 && c <= 120092)))))
              : (c <= 120121 || (c < 120146
                ? (c < 120134
                  ? (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)
                  : (c <= 120134 || (c >= 120138 && c <= 120144)))
                : (c <= 120485 || (c < 120540
                  ? (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)
                  : (c <= 120570 || (c >= 120572 && c <= 120596)))))))
            : (c <= 120628 || (c < 123214
              ? (c < 120746
                ? (c < 120688
                  ? (c < 120656
                    ? (c >= 120630 && c <= 120654)
                    : c <= 120686)
                  : (c <= 120712 || (c >= 120714 && c <= 120744)))
                : (c <= 120770 || (c < 123136
                  ? (c < 122624
                    ? (c >= 120772 && c <= 120779)
                    : c <= 122654)
                  : (c <= 123180 || (c >= 123191 && c <= 123197)))))
              : (c <= 123214 || (c < 124909
                ? (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123565)
                    : c <= 123627)
                  : (c <= 124902 || (c >= 124904 && c <= 124907)))
                : (c <= 124910 || (c < 125184
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125251 || c == 125259))))))))
          : (c <= 126467 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || c == 126503))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_6(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < '_'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'Q' || (c < 'V'
                    ? (c >= 'S' && c <= 'T')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'v'
                    ? (c >= 'a' && c <= 't')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_7(int32_t c) {
  return (c < 43360
    ? (c < 3840
      ? (c < 2602
        ? (c < 1649
          ? (c < 736
            ? (c < 'q'
              ? (c < 'a'
                ? (c < 'M'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'K')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'a' || (c < 'j'
                  ? (c < 'g'
                    ? c == 'e'
                    : c <= 'h')
                  : (c <= 'l' || c == 'o'))))
              : (c <= 'r' || (c < 186
                ? (c < 170
                  ? (c < 'w'
                    ? c == 't'
                    : c <= 'z')
                  : (c <= 170 || c == 181))
                : (c <= 186 || (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))))))
            : (c <= 740 || (c < 931
              ? (c < 895
                ? (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))
                : (c <= 895 || (c < 908
                  ? (c < 904
                    ? c == 902
                    : c <= 906)
                  : (c <= 908 || (c >= 910 && c <= 929)))))
              : (c <= 1013 || (c < 1376
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))
                : (c <= 1416 || (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))))))))
          : (c <= 1747 || (c < 2208
            ? (c < 2036
              ? (c < 1808
                ? (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c < 1791
                    ? (c >= 1786 && c <= 1788)
                    : c <= 1791)))
                : (c <= 1808 || (c < 1969
                  ? (c < 1869
                    ? (c >= 1810 && c <= 1839)
                    : c <= 1957)
                  : (c <= 1969 || (c >= 1994 && c <= 2026)))))
              : (c <= 2037 || (c < 2088
                ? (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))
                : (c <= 2088 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))))))
            : (c <= 2249 || (c < 2486
              ? (c < 2437
                ? (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c < 2417
                    ? (c >= 2392 && c <= 2401)
                    : c <= 2432)))
                : (c <= 2444 || (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || c == 2482))))
              : (c <= 2489 || (c < 2544
                ? (c < 2524
                  ? (c < 2510
                    ? c == 2493
                    : c <= 2510)
                  : (c <= 2525 || (c >= 2527 && c <= 2529)))
                : (c <= 2545 || (c < 2575
                  ? (c < 2565
                    ? c == 2556
                    : c <= 2570)
                  : (c <= 2576 || (c >= 2579 && c <= 2600)))))))))))
        : (c <= 2608 || (c < 3133
          ? (c < 2866
            ? (c < 2738
              ? (c < 2674
                ? (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2676 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))))
              : (c <= 2739 || (c < 2809
                ? (c < 2768
                  ? (c < 2749
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2749)
                  : (c <= 2768 || (c >= 2784 && c <= 2785)))
                : (c <= 2809 || (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c >= 2858 && c <= 2864)))))))
            : (c <= 2867 || (c < 2972
              ? (c < 2947
                ? (c < 2908
                  ? (c < 2877
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2877)
                  : (c <= 2909 || (c < 2929
                    ? (c >= 2911 && c <= 2913)
                    : c <= 2929)))
                : (c <= 2947 || (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c >= 2969 && c <= 2970)))))
              : (c <= 2972 || (c < 3024
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c >= 2990 && c <= 3001)))
                : (c <= 3024 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3077 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c >= 3114 && c <= 3129)))))))))
          : (c <= 3133 || (c < 3450
            ? (c < 3293
              ? (c < 3214
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3169 || (c < 3205
                    ? c == 3200
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || c == 3261))))
              : (c <= 3294 || (c < 3346
                ? (c < 3332
                  ? (c < 3313
                    ? (c >= 3296 && c <= 3297)
                    : c <= 3314)
                  : (c <= 3340 || (c >= 3342 && c <= 3344)))
                : (c <= 3386 || (c < 3412
                  ? (c < 3406
                    ? c == 3389
                    : c <= 3406)
                  : (c <= 3414 || (c >= 3423 && c <= 3425)))))))
            : (c <= 3455 || (c < 3716
              ? (c < 3520
                ? (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || c == 3517))
                : (c <= 3526 || (c < 3648
                  ? (c < 3634
                    ? (c >= 3585 && c <= 3632)
                    : c <= 3634)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))))
              : (c <= 3716 || (c < 3762
                ? (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c >= 3751 && c <= 3760)))
                : (c <= 3762 || (c < 3782
                  ? (c < 3776
                    ? c == 3773
                    : c <= 3780)
                  : (c <= 3782 || (c >= 3804 && c <= 3807)))))))))))))
      : (c <= 3840 || (c < 8029
        ? (c < 5919
          ? (c < 4698
            ? (c < 4213
              ? (c < 4176
                ? (c < 3976
                  ? (c < 3913
                    ? (c >= 3904 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3980 || (c < 4159
                    ? (c >= 4096 && c <= 4138)
                    : c <= 4159)))
                : (c <= 4181 || (c < 4197
                  ? (c < 4193
                    ? (c >= 4186 && c <= 4189)
                    : c <= 4193)
                  : (c <= 4198 || (c >= 4206 && c <= 4208)))))
              : (c <= 4225 || (c < 4304
                ? (c < 4295
                  ? (c < 4256
                    ? c == 4238
                    : c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || c == 4696))))))
            : (c <= 4701 || (c < 4888
              ? (c < 4800
                ? (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))
                : (c <= 4800 || (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c >= 4882 && c <= 4885)))))
              : (c <= 4954 || (c < 5743
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c >= 5888 && c <= 5905)))))))))
          : (c <= 5937 || (c < 7043
            ? (c < 6400
              ? (c < 6108
                ? (c < 5998
                  ? (c < 5984
                    ? (c >= 5952 && c <= 5969)
                    : c <= 5996)
                  : (c <= 6000 || (c < 6103
                    ? (c >= 6016 && c <= 6067)
                    : c <= 6103)))
                : (c <= 6108 || (c < 6314
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6312)
                  : (c <= 6314 || (c >= 6320 && c <= 6389)))))
              : (c <= 6430 || (c < 6656
                ? (c < 6528
                  ? (c < 6512
                    ? (c >= 6480 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c >= 6576 && c <= 6601)))
                : (c <= 6678 || (c < 6917
                  ? (c < 6823
                    ? (c >= 6688 && c <= 6740)
                    : c <= 6823)
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))))))
            : (c <= 7072 || (c < 7413
              ? (c < 7296
                ? (c < 7168
                  ? (c < 7098
                    ? (c >= 7086 && c <= 7087)
                    : c <= 7141)
                  : (c <= 7203 || (c < 7258
                    ? (c >= 7245 && c <= 7247)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7401
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7404 || (c >= 7406 && c <= 7411)))))
              : (c <= 7414 || (c < 7968
                ? (c < 7680
                  ? (c < 7424
                    ? c == 7418
                    : c <= 7615)
                  : (c <= 7957 || (c >= 7960 && c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11720
          ? (c < 8486
            ? (c < 8182
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c >= 8178 && c <= 8180)))))
              : (c <= 8188 || (c < 8455
                ? (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || c == 8450))
                : (c <= 8455 || (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || c == 8484))))))
            : (c <= 8486 || (c < 11559
              ? (c < 8544
                ? (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))
                : (c <= 8584 || (c < 11506
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))))
              : (c <= 11559 || (c < 11680
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c >= 11648 && c <= 11670)))
                : (c <= 11686 || (c < 11704
                  ? (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)
                  : (c <= 11710 || (c >= 11712 && c <= 11718)))))))))
          : (c <= 11726 || (c < 42560
            ? (c < 12549
              ? (c < 12344
                ? (c < 12293
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 12295 || (c < 12337
                    ? (c >= 12321 && c <= 12329)
                    : c <= 12341)))
                : (c <= 12348 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12447)
                  : (c <= 12538 || (c >= 12540 && c <= 12543)))))
              : (c <= 12591 || (c < 19968
                ? (c < 12784
                  ? (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)
                  : (c <= 12799 || (c >= 13312 && c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))))))
            : (c <= 42606 || (c < 43011
              ? (c < 42891
                ? (c < 42775
                  ? (c < 42656
                    ? (c >= 42623 && c <= 42653)
                    : c <= 42735)
                  : (c <= 42783 || (c >= 42786 && c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c >= 42994 && c <= 43009)))))
              : (c <= 43013 || (c < 43250
                ? (c < 43072
                  ? (c < 43020
                    ? (c >= 43015 && c <= 43018)
                    : c <= 43042)
                  : (c <= 43123 || (c >= 43138 && c <= 43187)))
                : (c <= 43255 || (c < 43274
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))))))))))))))
    : (c <= 43388 || (c < 70493
      ? (c < 66864
        ? (c < 64326
          ? (c < 43785
            ? (c < 43646
              ? (c < 43520
                ? (c < 43488
                  ? (c < 43471
                    ? (c >= 43396 && c <= 43442)
                    : c <= 43471)
                  : (c <= 43492 || (c < 43514
                    ? (c >= 43494 && c <= 43503)
                    : c <= 43518)))
                : (c <= 43560 || (c < 43616
                  ? (c < 43588
                    ? (c >= 43584 && c <= 43586)
                    : c <= 43595)
                  : (c <= 43638 || c == 43642))))
              : (c <= 43695 || (c < 43714
                ? (c < 43705
                  ? (c < 43701
                    ? c == 43697
                    : c <= 43702)
                  : (c <= 43709 || c == 43712))
                : (c <= 43714 || (c < 43762
                  ? (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43754)
                  : (c <= 43764 || (c >= 43777 && c <= 43782)))))))
            : (c <= 43790 || (c < 64112
              ? (c < 43888
                ? (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))
                : (c <= 44002 || (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c >= 63744 && c <= 64109)))))
              : (c <= 64217 || (c < 64298
                ? (c < 64285
                  ? (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)
                  : (c <= 64285 || (c >= 64287 && c <= 64296)))
                : (c <= 64310 || (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c >= 64323 && c <= 64324)))))))))
          : (c <= 64433 || (c < 65536
            ? (c < 65149
              ? (c < 65137
                ? (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))
                : (c <= 65137 || (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || c == 65147))))
              : (c <= 65149 || (c < 65440
                ? (c < 65345
                  ? (c < 65313
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65338)
                  : (c <= 65370 || (c >= 65382 && c <= 65437)))
                : (c <= 65470 || (c < 65490
                  ? (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)
                  : (c <= 65495 || (c >= 65498 && c <= 65500)))))))
            : (c <= 65547 || (c < 66349
              ? (c < 65664
                ? (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))
                : (c <= 65786 || (c < 66208
                  ? (c < 66176
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66204)
                  : (c <= 66256 || (c >= 66304 && c <= 66335)))))
              : (c <= 66378 || (c < 66513
                ? (c < 66464
                  ? (c < 66432
                    ? (c >= 66384 && c <= 66421)
                    : c <= 66461)
                  : (c <= 66499 || (c >= 66504 && c <= 66511)))
                : (c <= 66517 || (c < 66776
                  ? (c < 66736
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66771)
                  : (c <= 66811 || (c >= 66816 && c <= 66855)))))))))))
        : (c <= 66915 || (c < 68736
          ? (c < 67680
            ? (c < 67424
              ? (c < 66979
                ? (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))
                : (c <= 66993 || (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))))
              : (c <= 67431 || (c < 67592
                ? (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c >= 67584 && c <= 67589)))
                : (c <= 67592 || (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c >= 67647 && c <= 67669)))))))
            : (c <= 67702 || (c < 68121
              ? (c < 67968
                ? (c < 67828
                  ? (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)
                  : (c <= 67829 || (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)))
                : (c <= 68023 || (c < 68112
                  ? (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68096)
                  : (c <= 68115 || (c >= 68117 && c <= 68119)))))
              : (c <= 68149 || (c < 68352
                ? (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c >= 68297 && c <= 68324)))
                : (c <= 68405 || (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c >= 68608 && c <= 68680)))))))))
          : (c <= 68786 || (c < 70019
            ? (c < 69635
              ? (c < 69415
                ? (c < 69248
                  ? (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68899)
                  : (c <= 69289 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))
                : (c <= 69415 || (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69445)
                    : c <= 69505)
                  : (c <= 69572 || (c >= 69600 && c <= 69622)))))
              : (c <= 69687 || (c < 69891
                ? (c < 69763
                  ? (c < 69749
                    ? (c >= 69745 && c <= 69746)
                    : c <= 69749)
                  : (c <= 69807 || (c >= 69840 && c <= 69864)))
                : (c <= 69926 || (c < 69968
                  ? (c < 69959
                    ? c == 69956
                    : c <= 69959)
                  : (c <= 70002 || c == 70006))))))
            : (c <= 70066 || (c < 70303
              ? (c < 70163
                ? (c < 70108
                  ? (c < 70106
                    ? (c >= 70081 && c <= 70084)
                    : c <= 70106)
                  : (c <= 70108 || (c >= 70144 && c <= 70161)))
                : (c <= 70187 || (c < 70282
                  ? (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)
                  : (c <= 70285 || (c >= 70287 && c <= 70301)))))
              : (c <= 70312 || (c < 70442
                ? (c < 70415
                  ? (c < 70405
                    ? (c >= 70320 && c <= 70366)
                    : c <= 70412)
                  : (c <= 70416 || (c >= 70419 && c <= 70440)))
                : (c <= 70448 || (c < 70461
                  ? (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)
                  : (c <= 70461 || c == 70480))))))))))))
      : (c <= 70497 || (c < 119808
        ? (c < 73030
          ? (c < 71960
            ? (c < 71296
              ? (c < 70855
                ? (c < 70751
                  ? (c < 70727
                    ? (c >= 70656 && c <= 70708)
                    : c <= 70730)
                  : (c <= 70753 || (c < 70852
                    ? (c >= 70784 && c <= 70831)
                    : c <= 70853)))
                : (c <= 70855 || (c < 71168
                  ? (c < 71128
                    ? (c >= 71040 && c <= 71086)
                    : c <= 71131)
                  : (c <= 71215 || c == 71236))))
              : (c <= 71338 || (c < 71840
                ? (c < 71488
                  ? (c < 71424
                    ? c == 71352
                    : c <= 71450)
                  : (c <= 71494 || (c >= 71680 && c <= 71723)))
                : (c <= 71903 || (c < 71948
                  ? (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)
                  : (c <= 71955 || (c >= 71957 && c <= 71958)))))))
            : (c <= 71983 || (c < 72284
              ? (c < 72163
                ? (c < 72096
                  ? (c < 72001
                    ? c == 71999
                    : c <= 72001)
                  : (c <= 72103 || (c < 72161
                    ? (c >= 72106 && c <= 72144)
                    : c <= 72161)))
                : (c <= 72163 || (c < 72250
                  ? (c < 72203
                    ? c == 72192
                    : c <= 72242)
                  : (c <= 72250 || c == 72272))))
              : (c <= 72329 || (c < 72768
                ? (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c >= 72714 && c <= 72750)))
                : (c <= 72768 || (c < 72968
                  ? (c < 72960
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72966)
                  : (c <= 72969 || (c >= 72971 && c <= 73008)))))))))
          : (c <= 73030 || (c < 93760
            ? (c < 77824
              ? (c < 73648
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73097 || (c < 73440
                    ? c == 73112
                    : c <= 73458)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c >= 77712 && c <= 77808)))))
              : (c <= 78894 || (c < 92880
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c >= 92784 && c <= 92862)))
                : (c <= 92909 || (c < 93027
                  ? (c < 92992
                    ? (c >= 92928 && c <= 92975)
                    : c <= 92995)
                  : (c <= 93047 || (c >= 93053 && c <= 93071)))))))
            : (c <= 93823 || (c < 110581
              ? (c < 94179
                ? (c < 94099
                  ? (c < 94032
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94032)
                  : (c <= 94111 || (c >= 94176 && c <= 94177)))
                : (c <= 94179 || (c < 101632
                  ? (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)
                  : (c <= 101640 || (c >= 110576 && c <= 110579)))))
              : (c <= 110587 || (c < 110960
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c >= 110948 && c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c >= 113808 && c <= 113817)))))))))))
        : (c <= 119892 || (c < 125259
          ? (c < 120540
            ? (c < 120077
              ? (c < 119982
                ? (c < 119970
                  ? (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)
                  : (c <= 119970 || (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)))
                : (c <= 119993 || (c < 120005
                  ? (c < 119997
                    ? c == 119995
                    : c <= 120003)
                  : (c <= 120069 || (c >= 120071 && c <= 120074)))))
              : (c <= 120084 || (c < 120134
                ? (c < 120123
                  ? (c < 120094
                    ? (c >= 120086 && c <= 120092)
                    : c <= 120121)
                  : (c <= 120126 || (c >= 120128 && c <= 120132)))
                : (c <= 120134 || (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c >= 120514 && c <= 120538)))))))
            : (c <= 120570 || (c < 123191
              ? (c < 120714
                ? (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_8(int32_t c) {
  return (c < 43471
    ? (c < 4096
      ? (c < 2649
        ? (c < 1791
          ? (c < 891
            ? (c < 186
              ? (c < 'a'
                ? (c < 'G'
                  ? (c < 'A'
                    ? c == '$'
                    : c <= 'E')
                  : (c <= 'S' || (c < '_'
                    ? (c >= 'U' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'e' || (c < 170
                  ? (c < 'u'
                    ? (c >= 'g' && c <= 's')
                    : c <= 'z')
                  : (c <= 170 || c == 181))))
              : (c <= 186 || (c < 736
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 880
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c >= 886 && c <= 887)))))))
            : (c <= 893 || (c < 1376
              ? (c < 931
                ? (c < 904
                  ? (c < 902
                    ? c == 895
                    : c <= 902)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))
                : (c <= 1013 || (c < 1329
                  ? (c < 1162
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1327)
                  : (c <= 1366 || c == 1369))))
              : (c <= 1416 || (c < 1649
                ? (c < 1568
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1774
                  ? (c < 1765
                    ? c == 1749
                    : c <= 1766)
                  : (c <= 1775 || (c >= 1786 && c <= 1788)))))))))
          : (c <= 1791 || (c < 2417
            ? (c < 2088
              ? (c < 2036
                ? (c < 1869
                  ? (c < 1810
                    ? c == 1808
                    : c <= 1839)
                  : (c <= 1957 || (c < 1994
                    ? c == 1969
                    : c <= 2026)))
                : (c <= 2037 || (c < 2074
                  ? (c < 2048
                    ? c == 2042
                    : c <= 2069)
                  : (c <= 2074 || c == 2084))))
              : (c <= 2088 || (c < 2208
                ? (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2136)
                    : c <= 2154)
                  : (c <= 2183 || (c >= 2185 && c <= 2190)))
                : (c <= 2249 || (c < 2384
                  ? (c < 2365
                    ? (c >= 2308 && c <= 2361)
                    : c <= 2365)
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))))))
            : (c <= 2432 || (c < 2527
              ? (c < 2482
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c >= 2474 && c <= 2480)))
                : (c <= 2482 || (c < 2510
                  ? (c < 2493
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2493)
                  : (c <= 2510 || (c >= 2524 && c <= 2525)))))
              : (c <= 2529 || (c < 2579
                ? (c < 2565
                  ? (c < 2556
                    ? (c >= 2544 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c >= 2616 && c <= 2617)))))))))))
        : (c <= 2652 || (c < 3200
          ? (c < 2911
            ? (c < 2784
              ? (c < 2730
                ? (c < 2693
                  ? (c < 2674
                    ? c == 2654
                    : c <= 2676)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2749
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2749 || c == 2768))))
              : (c <= 2785 || (c < 2858
                ? (c < 2831
                  ? (c < 2821
                    ? c == 2809
                    : c <= 2828)
                  : (c <= 2832 || (c >= 2835 && c <= 2856)))
                : (c <= 2864 || (c < 2877
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))))))
            : (c <= 2913 || (c < 2990
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2947
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c >= 2984 && c <= 2986)))))
              : (c <= 3001 || (c < 3114
                ? (c < 3086
                  ? (c < 3077
                    ? c == 3024
                    : c <= 3084)
                  : (c <= 3088 || (c >= 3090 && c <= 3112)))
                : (c <= 3129 || (c < 3165
                  ? (c < 3160
                    ? c == 3133
                    : c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))))))))
          : (c <= 3200 || (c < 3517
            ? (c < 3342
              ? (c < 3261
                ? (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))
                : (c <= 3261 || (c < 3313
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3297)
                  : (c <= 3314 || (c >= 3332 && c <= 3340)))))
              : (c <= 3344 || (c < 3423
                ? (c < 3406
                  ? (c < 3389
                    ? (c >= 3346 && c <= 3386)
                    : c <= 3389)
                  : (c <= 3406 || (c >= 3412 && c <= 3414)))
                : (c <= 3425 || (c < 3482
                  ? (c < 3461
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3478)
                  : (c <= 3505 || (c >= 3507 && c <= 3515)))))))
            : (c <= 3517 || (c < 3751
              ? (c < 3713
                ? (c < 3634
                  ? (c < 3585
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3632)
                  : (c <= 3634 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || c == 3749))))
              : (c <= 3760 || (c < 3804
                ? (c < 3776
                  ? (c < 3773
                    ? c == 3762
                    : c <= 3773)
                  : (c <= 3780 || c == 3782))
                : (c <= 3807 || (c < 3913
                  ? (c < 3904
                    ? c == 3840
                    : c <= 3911)
                  : (c <= 3948 || (c >= 3976 && c <= 3980)))))))))))))
      : (c <= 4138 || (c < 8118
        ? (c < 6016
          ? (c < 4786
            ? (c < 4301
              ? (c < 4206
                ? (c < 4186
                  ? (c < 4176
                    ? c == 4159
                    : c <= 4181)
                  : (c <= 4189 || (c < 4197
                    ? c == 4193
                    : c <= 4198)))
                : (c <= 4208 || (c < 4256
                  ? (c < 4238
                    ? (c >= 4213 && c <= 4225)
                    : c <= 4238)
                  : (c <= 4293 || c == 4295))))
              : (c <= 4301 || (c < 4696
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c >= 4688 && c <= 4694)))
                : (c <= 4696 || (c < 4746
                  ? (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)
                  : (c <= 4749 || (c >= 4752 && c <= 4784)))))))
            : (c <= 4789 || (c < 5121
              ? (c < 4882
                ? (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))
                : (c <= 4885 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4888 && c <= 4954)
                    : c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))))
              : (c <= 5740 || (c < 5888
                ? (c < 5792
                  ? (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)
                  : (c <= 5866 || (c >= 5870 && c <= 5880)))
                : (c <= 5905 || (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5937)
                    : c <= 5969)
                  : (c <= 5996 || (c >= 5998 && c <= 6000)))))))))
          : (c <= 6067 || (c < 7245
            ? (c < 6576
              ? (c < 6320
                ? (c < 6176
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6108)
                  : (c <= 6264 || (c < 6314
                    ? (c >= 6272 && c <= 6312)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6512
                  ? (c < 6480
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6509)
                  : (c <= 6516 || (c >= 6528 && c <= 6571)))))
              : (c <= 6601 || (c < 6981
                ? (c < 6823
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6678)
                    : c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7098
                  ? (c < 7086
                    ? (c >= 7043 && c <= 7072)
                    : c <= 7087)
                  : (c <= 7141 || (c >= 7168 && c <= 7203)))))))
            : (c <= 7247 || (c < 7680
              ? (c < 7401
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7258 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c >= 7357 && c <= 7359)))
                : (c <= 7404 || (c < 7418
                  ? (c < 7413
                    ? (c >= 7406 && c <= 7411)
                    : c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))))
              : (c <= 7957 || (c < 8025
                ? (c < 8008
                  ? (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)
                  : (c <= 8013 || (c >= 8016 && c <= 8023)))
                : (c <= 8025 || (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c >= 8064 && c <= 8116)))))))))))
        : (c <= 8124 || (c < 11736
          ? (c < 8508
            ? (c < 8336
              ? (c < 8160
                ? (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))
                : (c <= 8172 || (c < 8305
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8305 || c == 8319))))
              : (c <= 8348 || (c < 8472
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c >= 8490 && c <= 8505)))))))
            : (c <= 8511 || (c < 11568
              ? (c < 11499
                ? (c < 8544
                  ? (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)
                  : (c <= 8584 || (c >= 11264 && c <= 11492)))
                : (c <= 11502 || (c < 11559
                  ? (c < 11520
                    ? (c >= 11506 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || c == 11565))))
              : (c <= 11623 || (c < 11696
                ? (c < 11680
                  ? (c < 11648
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c >= 11728 && c <= 11734)))))))))
          : (c <= 11742 || (c < 42656
            ? (c < 12704
              ? (c < 12445
                ? (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12329)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))
                : (c <= 12447 || (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c >= 12593 && c <= 12686)))))
              : (c <= 12735 || (c < 42240
                ? (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c >= 42192 && c <= 42237)))
                : (c <= 42508 || (c < 42560
                  ? (c < 42538
                    ? (c >= 42512 && c <= 42527)
                    : c <= 42539)
                  : (c <= 42606 || (c >= 42623 && c <= 42653)))))))
            : (c <= 42735 || (c < 43020
              ? (c < 42963
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 43011
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43009)
                  : (c <= 43013 || (c >= 43015 && c <= 43018)))))
              : (c <= 43042 || (c < 43261
                ? (c < 43250
                  ? (c < 43138
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43187)
                  : (c <= 43255 || c == 43259))
                : (c <= 43262 || (c < 43360
                  ? (c < 43312
                    ? (c >= 43274 && c <= 43301)
                    : c <= 43334)
                  : (c <= 43388 || (c >= 43396 && c <= 43442)))))))))))))))
    : (c <= 43471 || (c < 70656
      ? (c < 66928
        ? (c < 64612
          ? (c < 43808
            ? (c < 43701
              ? (c < 43588
                ? (c < 43514
                  ? (c < 43494
                    ? (c >= 43488 && c <= 43492)
                    : c <= 43503)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43560)
                    : c <= 43586)))
                : (c <= 43595 || (c < 43646
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43642)
                  : (c <= 43695 || c == 43697))))
              : (c <= 43702 || (c < 43744
                ? (c < 43714
                  ? (c < 43712
                    ? (c >= 43705 && c <= 43709)
                    : c <= 43712)
                  : (c <= 43714 || (c >= 43739 && c <= 43741)))
                : (c <= 43754 || (c < 43785
                  ? (c < 43777
                    ? (c >= 43762 && c <= 43764)
                    : c <= 43782)
                  : (c <= 43790 || (c >= 43793 && c <= 43798)))))))
            : (c <= 43814 || (c < 64275
              ? (c < 55216
                ? (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44032
                    ? (c >= 43888 && c <= 44002)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))))
              : (c <= 64279 || (c < 64318
                ? (c < 64298
                  ? (c < 64287
                    ? c == 64285
                    : c <= 64296)
                  : (c <= 64310 || (c >= 64312 && c <= 64316)))
                : (c <= 64318 || (c < 64326
                  ? (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)
                  : (c <= 64433 || (c >= 64467 && c <= 64605)))))))))
          : (c <= 64829 || (c < 65576
            ? (c < 65313
              ? (c < 65143
                ? (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c >= 65151 && c <= 65276)))))
              : (c <= 65338 || (c < 65482
                ? (c < 65440
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65437)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65536
                  ? (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)
                  : (c <= 65547 || (c >= 65549 && c <= 65574)))))))
            : (c <= 65594 || (c < 66384
              ? (c < 65856
                ? (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c >= 65664 && c <= 65786)))
                : (c <= 65908 || (c < 66304
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66378)))))
              : (c <= 66421 || (c < 66560
                ? (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c >= 66513 && c <= 66517)))
                : (c <= 66717 || (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c >= 66864 && c <= 66915)))))))))))
        : (c <= 66938 || (c < 68800
          ? (c < 67712
            ? (c < 67456
              ? (c < 66995
                ? (c < 66964
                  ? (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)
                  : (c <= 66965 || (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)))
                : (c <= 67001 || (c < 67392
                  ? (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)
                  : (c <= 67413 || (c >= 67424 && c <= 67431)))))
              : (c <= 67461 || (c < 67594
                ? (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || c == 67592))
                : (c <= 67637 || (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c >= 67680 && c <= 67702)))))))
            : (c <= 67742 || (c < 68192
              ? (c < 68030
                ? (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))
                : (c <= 68031 || (c < 68117
                  ? (c < 68112
                    ? c == 68096
                    : c <= 68115)
                  : (c <= 68119 || (c >= 68121 && c <= 68149)))))
              : (c <= 68220 || (c < 68416
                ? (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68324 || (c >= 68352 && c <= 68405)))
                : (c <= 68437 || (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c >= 68736 && c <= 68786)))))))))
          : (c <= 68850 || (c < 70081
            ? (c < 69745
              ? (c < 69424
                ? (c < 69296
                  ? (c < 69248
                    ? (c >= 68864 && c <= 68899)
                    : c <= 69289)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))
                : (c <= 69445 || (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69505)
                    : c <= 69572)
                  : (c <= 69622 || (c >= 69635 && c <= 69687)))))
              : (c <= 69746 || (c < 69956
                ? (c < 69840
                  ? (c < 69763
                    ? c == 69749
                    : c <= 69807)
                  : (c <= 69864 || (c >= 69891 && c <= 69926)))
                : (c <= 69956 || (c < 70006
                  ? (c < 69968
                    ? c == 69959
                    : c <= 70002)
                  : (c <= 70006 || (c >= 70019 && c <= 70066)))))))
            : (c <= 70084 || (c < 70320
              ? (c < 70272
                ? (c < 70144
                  ? (c < 70108
                    ? c == 70106
                    : c <= 70108)
                  : (c <= 70161 || (c >= 70163 && c <= 70187)))
                : (c <= 70278 || (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c >= 70303 && c <= 70312)))))
              : (c <= 70366 || (c < 70450
                ? (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c >= 70442 && c <= 70448)))
                : (c <= 70451 || (c < 70480
                  ? (c < 70461
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70461)
                  : (c <= 70480 || (c >= 70493 && c <= 70497)))))))))))))
      : (c <= 70708 || (c < 119894
        ? (c < 73056
          ? (c < 71999
            ? (c < 71352
              ? (c < 71040
                ? (c < 70784
                  ? (c < 70751
                    ? (c >= 70727 && c <= 70730)
                    : c <= 70753)
                  : (c <= 70831 || (c < 70855
                    ? (c >= 70852 && c <= 70853)
                    : c <= 70855)))
                : (c <= 71086 || (c < 71236
                  ? (c < 71168
                    ? (c >= 71128 && c <= 71131)
                    : c <= 71215)
                  : (c <= 71236 || (c >= 71296 && c <= 71338)))))
              : (c <= 71352 || (c < 71935
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71424 && c <= 71450)
                    : c <= 71494)
                  : (c <= 71723 || (c >= 71840 && c <= 71903)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c >= 71960 && c <= 71983)))))))
            : (c <= 71999 || (c < 72349
              ? (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? c == 72001
                    : c <= 72103)
                  : (c <= 72144 || (c < 72163
                    ? c == 72161
                    : c <= 72163)))
                : (c <= 72192 || (c < 72272
                  ? (c < 72250
                    ? (c >= 72203 && c <= 72242)
                    : c <= 72250)
                  : (c <= 72272 || (c >= 72284 && c <= 72329)))))
              : (c <= 72349 || (c < 72818
                ? (c < 72714
                  ? (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)
                  : (c <= 72750 || c == 72768))
                : (c <= 72847 || (c < 72971
                  ? (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)
                  : (c <= 73008 || c == 73030))))))))
          : (c <= 73061 || (c < 93952
            ? (c < 82944
              ? (c < 73728
                ? (c < 73112
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73097)
                  : (c <= 73112 || (c < 73648
                    ? (c >= 73440 && c <= 73458)
                    : c <= 73648)))
                : (c <= 74649 || (c < 77712
                  ? (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)
                  : (c <= 77808 || (c >= 77824 && c <= 78894)))))
              : (c <= 83526 || (c < 92928
                ? (c < 92784
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92862 || (c >= 92880 && c <= 92909)))
                : (c <= 92975 || (c < 93053
                  ? (c < 93027
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93047)
                  : (c <= 93071 || (c >= 93760 && c <= 93823)))))))
            : (c <= 94026 || (c < 110589
              ? (c < 94208
                ? (c < 94176
                  ? (c < 94099
                    ? c == 94032
                    : c <= 94111)
                  : (c <= 94177 || c == 94179))
                : (c <= 100343 || (c < 110576
                  ? (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)
                  : (c <= 110579 || (c >= 110581 && c <= 110587)))))
              : (c <= 110590 || (c < 113664
                ? (c < 110948
                  ? (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)
                  : (c <= 110951 || (c >= 110960 && c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c >= 119808 && c <= 119892)))))))))))
        : (c <= 119964 || (c < 125259
          ? (c < 120572
            ? (c < 120086
              ? (c < 119995
                ? (c < 119973
                  ? (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)
                  : (c <= 119974 || (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)))
                : (c <= 119995 || (c < 120071
                  ? (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)
                  : (c <= 120074 || (c >= 120077 && c <= 120084)))))
              : (c <= 120092 || (c < 120138
                ? (c < 120128
                  ? (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)
                  : (c <= 120132 || c == 120134))
                : (c <= 120144 || (c < 120514
                  ? (c < 120488
                    ? (c >= 120146 && c <= 120485)
                    : c <= 120512)
                  : (c <= 120538 || (c >= 120540 && c <= 120570)))))))
            : (c <= 120596 || (c < 123191
              ? (c < 120714
                ? (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c >= 120688 && c <= 120712)))
                : (c <= 120744 || (c < 122624
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 122654 || (c >= 123136 && c <= 123180)))))
              : (c <= 123197 || (c < 124904
                ? (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123565)
                  : (c <= 123627 || (c >= 124896 && c <= 124902)))
                : (c <= 124907 || (c < 124928
                  ? (c < 124912
                    ? (c >= 124909 && c <= 124910)
                    : c <= 124926)
                  : (c <= 125124 || (c >= 125184 && c <= 125251)))))))))
          : (c <= 125259 || (c < 126559
            ? (c < 126535
              ? (c < 126505
                ? (c < 126497
                  ? (c < 126469
                    ? (c >= 126464 && c <= 126467)
                    : c <= 126495)
                  : (c <= 126498 || (c < 126503
                    ? c == 126500
                    : c <= 126503)))
                : (c <= 126514 || (c < 126523
                  ? (c < 126521
                    ? (c >= 126516 && c <= 126519)
                    : c <= 126521)
                  : (c <= 126523 || c == 126530))))
              : (c <= 126535 || (c < 126548
                ? (c < 126541
                  ? (c < 126539
                    ? c == 126537
                    : c <= 126539)
                  : (c <= 126543 || (c >= 126545 && c <= 126546)))
                : (c <= 126548 || (c < 126555
                  ? (c < 126553
                    ? c == 126551
                    : c <= 126553)
                  : (c <= 126555 || c == 126557))))))
            : (c <= 126559 || (c < 126625
              ? (c < 126580
                ? (c < 126567
                  ? (c < 126564
                    ? (c >= 126561 && c <= 126562)
                    : c <= 126564)
                  : (c <= 126570 || (c >= 126572 && c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c >= 126603 && c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 131072
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 173791 || (c >= 173824 && c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c >= 196608 && c <= 201546)))))))))))))))));
}

static inline bool sym_identifier_character_set_9(int32_t c) {
  return (c < 43520
    ? (c < 3724
      ? (c < 2703
        ? (c < 1791
          ? (c < 895
            ? (c < 183
              ? (c < 'A'
                ? (c < '4'
                  ? (c < '0'
                    ? c == '$'
                    : (c <= '0' || c == '2'))
                  : (c <= '5' || (c < '9'
                    ? c == '7'
                    : c <= '9')))
                : (c <= 'Z' || (c < 'q'
                  ? (c < 'a'
                    ? c == '_'
                    : c <= 'o')
                  : (c <= 'z' || (c < 181
                    ? c == 170
                    : c <= 181)))))
              : (c <= 183 || (c < 736
                ? (c < 216
                  ? (c < 192
                    ? c == 186
                    : c <= 214)
                  : (c <= 246 || (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)))
                : (c <= 740 || (c < 768
                  ? (c < 750
                    ? c == 748
                    : c <= 750)
                  : (c <= 884 || (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)))))))
            : (c <= 895 || (c < 1471
              ? (c < 1155
                ? (c < 910
                  ? (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)
                  : (c <= 929 || (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)))
                : (c <= 1159 || (c < 1369
                  ? (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)
                  : (c <= 1369 || (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)))))
              : (c <= 1471 || (c < 1552
                ? (c < 1479
                  ? (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)
                  : (c <= 1479 || (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)))
                : (c <= 1562 || (c < 1749
                  ? (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)
                  : (c <= 1756 || (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)))))))))
          : (c <= 1791 || (c < 2519
            ? (c < 2275
              ? (c < 2048
                ? (c < 1984
                  ? (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)
                  : (c <= 2037 || (c < 2045
                    ? c == 2042
                    : c <= 2045)))
                : (c <= 2093 || (c < 2160
                  ? (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)
                  : (c <= 2183 || (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)))))
              : (c <= 2403 || (c < 2474
                ? (c < 2437
                  ? (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)
                  : (c <= 2444 || (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)))
                : (c <= 2480 || (c < 2492
                  ? (c < 2486
                    ? c == 2482
                    : c <= 2489)
                  : (c <= 2500 || (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)))))))
            : (c <= 2519 || (c < 2613
              ? (c < 2561
                ? (c < 2534
                  ? (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)
                  : (c <= 2545 || (c < 2558
                    ? c == 2556
                    : c <= 2558)))
                : (c <= 2563 || (c < 2579
                  ? (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)
                  : (c <= 2600 || (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)))))
              : (c <= 2614 || (c < 2641
                ? (c < 2622
                  ? (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)
                  : (c <= 2626 || (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)))
                : (c <= 2641 || (c < 2662
                  ? (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)
                  : (c <= 2677 || (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)))))))))))
        : (c <= 2705 || (c < 3142
          ? (c < 2911
            ? (c < 2817
              ? (c < 2759
                ? (c < 2738
                  ? (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)
                  : (c <= 2739 || (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)))
                : (c <= 2761 || (c < 2784
                  ? (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)
                  : (c <= 2787 || (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)))))
              : (c <= 2819 || (c < 2869
                ? (c < 2835
                  ? (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)
                  : (c <= 2856 || (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)))
                : (c <= 2873 || (c < 2891
                  ? (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)
                  : (c <= 2893 || (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)))))))
            : (c <= 2915 || (c < 2990
              ? (c < 2962
                ? (c < 2946
                  ? (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)
                  : (c <= 2947 || (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)))
                : (c <= 2965 || (c < 2974
                  ? (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)
                  : (c <= 2975 || (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)))))
              : (c <= 3001 || (c < 3046
                ? (c < 3018
                  ? (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)
                  : (c <= 3021 || (c < 3031
                    ? c == 3024
                    : c <= 3031)))
                : (c <= 3055 || (c < 3090
                  ? (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)
                  : (c <= 3112 || (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)))))))))
          : (c <= 3144 || (c < 3398
            ? (c < 3253
              ? (c < 3174
                ? (c < 3160
                  ? (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)
                  : (c <= 3162 || (c < 3168
                    ? c == 3165
                    : c <= 3171)))
                : (c <= 3183 || (c < 3214
                  ? (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)
                  : (c <= 3216 || (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)))))
              : (c <= 3257 || (c < 3296
                ? (c < 3274
                  ? (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)
                  : (c <= 3277 || (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)))
                : (c <= 3299 || (c < 3328
                  ? (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)
                  : (c <= 3340 || (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)))))))
            : (c <= 3400 || (c < 3530
              ? (c < 3457
                ? (c < 3423
                  ? (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)
                  : (c <= 3427 || (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)))
                : (c <= 3459 || (c < 3507
                  ? (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)
                  : (c <= 3515 || (c < 3520
                    ? c == 3517
                    : c <= 3526)))))
              : (c <= 3530 || (c < 3585
                ? (c < 3544
                  ? (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)
                  : (c <= 3551 || (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)))
                : (c <= 3642 || (c < 3713
                  ? (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)
                  : (c <= 3714 || (c < 3718
                    ? c == 3716
                    : c <= 3722)))))))))))))
      : (c <= 3747 || (c < 7960
        ? (c < 5743
          ? (c < 4301
            ? (c < 3895
              ? (c < 3792
                ? (c < 3776
                  ? (c < 3751
                    ? c == 3749
                    : c <= 3773)
                  : (c <= 3780 || (c < 3784
                    ? c == 3782
                    : c <= 3789)))
                : (c <= 3801 || (c < 3864
                  ? (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)
                  : (c <= 3865 || (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)))))
              : (c <= 3895 || (c < 3993
                ? (c < 3913
                  ? (c < 3902
                    ? c == 3897
                    : c <= 3911)
                  : (c <= 3948 || (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)))
                : (c <= 4028 || (c < 4176
                  ? (c < 4096
                    ? c == 4038
                    : c <= 4169)
                  : (c <= 4253 || (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)))))))
            : (c <= 4301 || (c < 4800
              ? (c < 4698
                ? (c < 4682
                  ? (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)
                  : (c <= 4685 || (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)))
                : (c <= 4701 || (c < 4752
                  ? (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)
                  : (c <= 4784 || (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)))))
              : (c <= 4800 || (c < 4957
                ? (c < 4824
                  ? (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)
                  : (c <= 4880 || (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)))
                : (c <= 4959 || (c < 5024
                  ? (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)
                  : (c <= 5109 || (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)))))))))
          : (c <= 5759 || (c < 6528
            ? (c < 6108
              ? (c < 5952
                ? (c < 5870
                  ? (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)
                  : (c <= 5880 || (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)))
                : (c <= 5971 || (c < 6002
                  ? (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)
                  : (c <= 6003 || (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)))))
              : (c <= 6109 || (c < 6320
                ? (c < 6159
                  ? (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)
                  : (c <= 6169 || (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)))
                : (c <= 6389 || (c < 6448
                  ? (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)
                  : (c <= 6459 || (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)))))))
            : (c <= 6571 || (c < 6992
              ? (c < 6783
                ? (c < 6656
                  ? (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)
                  : (c <= 6683 || (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)))
                : (c <= 6793 || (c < 6832
                  ? (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)
                  : (c <= 6845 || (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)))))
              : (c <= 7001 || (c < 7296
                ? (c < 7168
                  ? (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)
                  : (c <= 7223 || (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)))
                : (c <= 7304 || (c < 7376
                  ? (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)
                  : (c <= 7378 || (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)))))))))))
        : (c <= 7965 || (c < 11688
          ? (c < 8417
            ? (c < 8134
              ? (c < 8029
                ? (c < 8016
                  ? (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)
                  : (c <= 8023 || (c < 8027
                    ? c == 8025
                    : c <= 8027)))
                : (c <= 8029 || (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))))
              : (c <= 8140 || (c < 8255
                ? (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))
                : (c <= 8256 || (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))))))
            : (c <= 8417 || (c < 8517
              ? (c < 8472
                ? (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))
                : (c <= 8477 || (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))))
              : (c <= 8521 || (c < 11559
                ? (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))
                : (c <= 11559 || (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))))))))
          : (c <= 11694 || (c < 42240
            ? (c < 12353
              ? (c < 11736
                ? (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))
                : (c <= 11742 || (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))))
              : (c <= 12438 || (c < 12593
                ? (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))
                : (c <= 12686 || (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))))))
            : (c <= 42508 || (c < 43052
              ? (c < 42786
                ? (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))
                : (c <= 42888 || (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))))
              : (c <= 43052 || (c < 43261
                ? (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))
                : (c <= 43309 || (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))))))))))))))
    : (c <= 43574 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : (c <= 43609 || (c >= 43616 && c <= 43638)))
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_10(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_11(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Q' || (c < '_'
                    ? (c >= 'S' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_12(int32_t c) {
  return (c < 43584
    ? (c < 3749
      ? (c < 2707
        ? (c < 1808
          ? (c < 902
            ? (c < 186
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 170
                  ? (c < 'j'
                    ? (c >= 'a' && c <= 'h')
                    : c <= 'z')
                  : (c <= 170 || (c < 183
                    ? c == 181
                    : c <= 183)))))
              : (c <= 186 || (c < 748
                ? (c < 248
                  ? (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)
                  : (c <= 705 || (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)))
                : (c <= 748 || (c < 886
                  ? (c < 768
                    ? c == 750
                    : c <= 884)
                  : (c <= 887 || (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)))))))
            : (c <= 906 || (c < 1473
              ? (c < 1162
                ? (c < 931
                  ? (c < 910
                    ? c == 908
                    : c <= 929)
                  : (c <= 1013 || (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)))
                : (c <= 1327 || (c < 1376
                  ? (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)
                  : (c <= 1416 || (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)))))
              : (c <= 1474 || (c < 1568
                ? (c < 1488
                  ? (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)
                  : (c <= 1514 || (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)))
                : (c <= 1641 || (c < 1759
                  ? (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)
                  : (c <= 1768 || (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)))))))))
          : (c <= 1866 || (c < 2524
            ? (c < 2406
              ? (c < 2112
                ? (c < 2042
                  ? (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)
                  : (c <= 2042 || (c < 2048
                    ? c == 2045
                    : c <= 2093)))
                : (c <= 2139 || (c < 2185
                  ? (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)
                  : (c <= 2190 || (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)))))
              : (c <= 2415 || (c < 2482
                ? (c < 2447
                  ? (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)
                  : (c <= 2448 || (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)))
                : (c <= 2482 || (c < 2503
                  ? (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)
                  : (c <= 2504 || (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)))))))
            : (c <= 2525 || (c < 2616
              ? (c < 2565
                ? (c < 2556
                  ? (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)
                  : (c <= 2556 || (c < 2561
                    ? c == 2558
                    : c <= 2563)))
                : (c <= 2570 || (c < 2602
                  ? (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)
                  : (c <= 2608 || (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)))))
              : (c <= 2617 || (c < 2649
                ? (c < 2631
                  ? (c < 2622
                    ? c == 2620
                    : c <= 2626)
                  : (c <= 2632 || (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)))
                : (c <= 2652 || (c < 2689
                  ? (c < 2662
                    ? c == 2654
                    : c <= 2677)
                  : (c <= 2691 || (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)))))))))))
        : (c <= 2728 || (c < 3146
          ? (c < 2918
            ? (c < 2821
              ? (c < 2763
                ? (c < 2741
                  ? (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)
                  : (c <= 2745 || (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)))
                : (c <= 2765 || (c < 2790
                  ? (c < 2784
                    ? c == 2768
                    : c <= 2787)
                  : (c <= 2799 || (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)))))
              : (c <= 2828 || (c < 2876
                ? (c < 2858
                  ? (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)
                  : (c <= 2864 || (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)))
                : (c <= 2884 || (c < 2901
                  ? (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)
                  : (c <= 2903 || (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)))))))
            : (c <= 2927 || (c < 3006
              ? (c < 2969
                ? (c < 2949
                  ? (c < 2946
                    ? c == 2929
                    : c <= 2947)
                  : (c <= 2954 || (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)))
                : (c <= 2970 || (c < 2979
                  ? (c < 2974
                    ? c == 2972
                    : c <= 2975)
                  : (c <= 2980 || (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)))))
              : (c <= 3010 || (c < 3072
                ? (c < 3024
                  ? (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)
                  : (c <= 3024 || (c < 3046
                    ? c == 3031
                    : c <= 3055)))
                : (c <= 3084 || (c < 3114
                  ? (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)
                  : (c <= 3129 || (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)))))))))
          : (c <= 3149 || (c < 3402
            ? (c < 3260
              ? (c < 3200
                ? (c < 3165
                  ? (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)
                  : (c <= 3165 || (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)))
                : (c <= 3203 || (c < 3218
                  ? (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)
                  : (c <= 3240 || (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)))))
              : (c <= 3268 || (c < 3302
                ? (c < 3285
                  ? (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)
                  : (c <= 3286 || (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)))
                : (c <= 3311 || (c < 3342
                  ? (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)
                  : (c <= 3344 || (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)))))))
            : (c <= 3406 || (c < 3535
              ? (c < 3461
                ? (c < 3430
                  ? (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)
                  : (c <= 3439 || (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)))
                : (c <= 3478 || (c < 3517
                  ? (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)
                  : (c <= 3517 || (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)))))
              : (c <= 3540 || (c < 3648
                ? (c < 3558
                  ? (c < 3544
                    ? c == 3542
                    : c <= 3551)
                  : (c <= 3567 || (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)))
                : (c <= 3662 || (c < 3716
                  ? (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)
                  : (c <= 3716 || (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)))))))))))))
      : (c <= 3749 || (c < 7968
        ? (c < 5761
          ? (c < 4304
            ? (c < 3897
              ? (c < 3804
                ? (c < 3782
                  ? (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)
                  : (c <= 3782 || (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)))
                : (c <= 3807 || (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))))
              : (c <= 3897 || (c < 4038
                ? (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))
                : (c <= 4038 || (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))))))
            : (c <= 4346 || (c < 4802
              ? (c < 4704
                ? (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))
                : (c <= 4744 || (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))))
              : (c <= 4805 || (c < 4969
                ? (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))
                : (c <= 4977 || (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))))))))
          : (c <= 5786 || (c < 6576
            ? (c < 6112
              ? (c < 5984
                ? (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))
                : (c <= 5996 || (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))))
              : (c <= 6121 || (c < 6400
                ? (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))
                : (c <= 6430 || (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))))))
            : (c <= 6601 || (c < 7019
              ? (c < 6800
                ? (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))
                : (c <= 6809 || (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))))
              : (c <= 7027 || (c < 7312
                ? (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))
                : (c <= 7354 || (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))))))))))
        : (c <= 8005 || (c < 11696
          ? (c < 8421
            ? (c < 8144
              ? (c < 8031
                ? (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || (c < 8029
                    ? c == 8027
                    : c <= 8029)))
                : (c <= 8061 || (c < 8126
                  ? (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)
                  : (c <= 8126 || (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)))))
              : (c <= 8147 || (c < 8276
                ? (c < 8178
                  ? (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)
                  : (c <= 8180 || (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)))
                : (c <= 8276 || (c < 8336
                  ? (c < 8319
                    ? c == 8305
                    : c <= 8319)
                  : (c <= 8348 || (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)))))))
            : (c <= 8432 || (c < 8526
              ? (c < 8484
                ? (c < 8458
                  ? (c < 8455
                    ? c == 8450
                    : c <= 8455)
                  : (c <= 8467 || (c < 8472
                    ? c == 8469
                    : c <= 8477)))
                : (c <= 8484 || (c < 8490
                  ? (c < 8488
                    ? c == 8486
                    : c <= 8488)
                  : (c <= 8505 || (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)))))
              : (c <= 8526 || (c < 11565
                ? (c < 11499
                  ? (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)
                  : (c <= 11507 || (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)))
                : (c <= 11565 || (c < 11647
                  ? (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)
                  : (c <= 11670 || (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)))))))))
          : (c <= 11702 || (c < 42512
            ? (c < 12441
              ? (c < 11744
                ? (c < 11720
                  ? (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)
                  : (c <= 11726 || (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)))
                : (c <= 11775 || (c < 12337
                  ? (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)
                  : (c <= 12341 || (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)))))
              : (c <= 12442 || (c < 12704
                ? (c < 12540
                  ? (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)
                  : (c <= 12543 || (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)))
                : (c <= 12735 || (c < 19968
                  ? (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)
                  : (c <= 42124 || (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)))))))
            : (c <= 42539 || (c < 43072
              ? (c < 42891
                ? (c < 42623
                  ? (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)
                  : (c <= 42737 || (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)))
                : (c <= 42954 || (c < 42965
                  ? (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)
                  : (c <= 42969 || (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)))))
              : (c <= 43123 || (c < 43312
                ? (c < 43232
                  ? (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)
                  : (c <= 43255 || (c < 43261
                    ? c == 43259
                    : c <= 43309)))
                : (c <= 43347 || (c < 43471
                  ? (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)
                  : (c <= 43481 || (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)))))))))))))))
    : (c <= 43597 || (c < 71424
      ? (c < 67592
        ? (c < 65313
          ? (c < 64285
            ? (c < 43824
              ? (c < 43762
                ? (c < 43642
                  ? (c < 43616
                    ? (c >= 43600 && c <= 43609)
                    : c <= 43638)
                  : (c <= 43714 || (c < 43744
                    ? (c >= 43739 && c <= 43741)
                    : c <= 43759)))
                : (c <= 43766 || (c < 43793
                  ? (c < 43785
                    ? (c >= 43777 && c <= 43782)
                    : c <= 43790)
                  : (c <= 43798 || (c < 43816
                    ? (c >= 43808 && c <= 43814)
                    : c <= 43822)))))
              : (c <= 43866 || (c < 55216
                ? (c < 44012
                  ? (c < 43888
                    ? (c >= 43868 && c <= 43881)
                    : c <= 44010)
                  : (c <= 44013 || (c < 44032
                    ? (c >= 44016 && c <= 44025)
                    : c <= 55203)))
                : (c <= 55238 || (c < 64112
                  ? (c < 63744
                    ? (c >= 55243 && c <= 55291)
                    : c <= 64109)
                  : (c <= 64217 || (c < 64275
                    ? (c >= 64256 && c <= 64262)
                    : c <= 64279)))))))
            : (c <= 64296 || (c < 65024
              ? (c < 64326
                ? (c < 64318
                  ? (c < 64312
                    ? (c >= 64298 && c <= 64310)
                    : c <= 64316)
                  : (c <= 64318 || (c < 64323
                    ? (c >= 64320 && c <= 64321)
                    : c <= 64324)))
                : (c <= 64433 || (c < 64848
                  ? (c < 64612
                    ? (c >= 64467 && c <= 64605)
                    : c <= 64829)
                  : (c <= 64911 || (c < 65008
                    ? (c >= 64914 && c <= 64967)
                    : c <= 65017)))))
              : (c <= 65039 || (c < 65143
                ? (c < 65101
                  ? (c < 65075
                    ? (c >= 65056 && c <= 65071)
                    : c <= 65076)
                  : (c <= 65103 || (c < 65139
                    ? c == 65137
                    : c <= 65139)))
                : (c <= 65143 || (c < 65149
                  ? (c < 65147
                    ? c == 65145
                    : c <= 65147)
                  : (c <= 65149 || (c < 65296
                    ? (c >= 65151 && c <= 65276)
                    : c <= 65305)))))))))
          : (c <= 65338 || (c < 66464
            ? (c < 65599
              ? (c < 65490
                ? (c < 65382
                  ? (c < 65345
                    ? c == 65343
                    : c <= 65370)
                  : (c <= 65470 || (c < 65482
                    ? (c >= 65474 && c <= 65479)
                    : c <= 65487)))
                : (c <= 65495 || (c < 65549
                  ? (c < 65536
                    ? (c >= 65498 && c <= 65500)
                    : c <= 65547)
                  : (c <= 65574 || (c < 65596
                    ? (c >= 65576 && c <= 65594)
                    : c <= 65597)))))
              : (c <= 65613 || (c < 66208
                ? (c < 65856
                  ? (c < 65664
                    ? (c >= 65616 && c <= 65629)
                    : c <= 65786)
                  : (c <= 65908 || (c < 66176
                    ? c == 66045
                    : c <= 66204)))
                : (c <= 66256 || (c < 66349
                  ? (c < 66304
                    ? c == 66272
                    : c <= 66335)
                  : (c <= 66378 || (c < 66432
                    ? (c >= 66384 && c <= 66426)
                    : c <= 66461)))))))
            : (c <= 66499 || (c < 66964
              ? (c < 66776
                ? (c < 66560
                  ? (c < 66513
                    ? (c >= 66504 && c <= 66511)
                    : c <= 66517)
                  : (c <= 66717 || (c < 66736
                    ? (c >= 66720 && c <= 66729)
                    : c <= 66771)))
                : (c <= 66811 || (c < 66928
                  ? (c < 66864
                    ? (c >= 66816 && c <= 66855)
                    : c <= 66915)
                  : (c <= 66938 || (c < 66956
                    ? (c >= 66940 && c <= 66954)
                    : c <= 66962)))))
              : (c <= 66965 || (c < 67392
                ? (c < 66995
                  ? (c < 66979
                    ? (c >= 66967 && c <= 66977)
                    : c <= 66993)
                  : (c <= 67001 || (c < 67072
                    ? (c >= 67003 && c <= 67004)
                    : c <= 67382)))
                : (c <= 67413 || (c < 67463
                  ? (c < 67456
                    ? (c >= 67424 && c <= 67431)
                    : c <= 67461)
                  : (c <= 67504 || (c < 67584
                    ? (c >= 67506 && c <= 67514)
                    : c <= 67589)))))))))))
        : (c <= 67592 || (c < 69888
          ? (c < 68352
            ? (c < 68030
              ? (c < 67712
                ? (c < 67644
                  ? (c < 67639
                    ? (c >= 67594 && c <= 67637)
                    : c <= 67640)
                  : (c <= 67644 || (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)))
                : (c <= 67742 || (c < 67840
                  ? (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)
                  : (c <= 67861 || (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)))))
              : (c <= 68031 || (c < 68152
                ? (c < 68108
                  ? (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)
                  : (c <= 68115 || (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)))
                : (c <= 68154 || (c < 68224
                  ? (c < 68192
                    ? c == 68159
                    : c <= 68220)
                  : (c <= 68252 || (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)))))))
            : (c <= 68405 || (c < 69376
              ? (c < 68800
                ? (c < 68480
                  ? (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)
                  : (c <= 68497 || (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)))
                : (c <= 68850 || (c < 69248
                  ? (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)
                  : (c <= 69289 || (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)))))
              : (c <= 69404 || (c < 69632
                ? (c < 69488
                  ? (c < 69424
                    ? c == 69415
                    : c <= 69456)
                  : (c <= 69509 || (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)))
                : (c <= 69702 || (c < 69826
                  ? (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)
                  : (c <= 69826 || (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)))))))))
          : (c <= 69940 || (c < 70450
            ? (c < 70272
              ? (c < 70089
                ? (c < 69968
                  ? (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)
                  : (c <= 70003 || (c < 70016
                    ? c == 70006
                    : c <= 70084)))
                : (c <= 70092 || (c < 70144
                  ? (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)
                  : (c <= 70161 || (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)))))
              : (c <= 70278 || (c < 70384
                ? (c < 70287
                  ? (c < 70282
                    ? c == 70280
                    : c <= 70285)
                  : (c <= 70301 || (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)))
                : (c <= 70393 || (c < 70415
                  ? (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)
                  : (c <= 70416 || (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)))))))
            : (c <= 70451 || (c < 70750
              ? (c < 70487
                ? (c < 70471
                  ? (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)
                  : (c <= 70472 || (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)))
                : (c <= 70487 || (c < 70512
                  ? (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)
                  : (c <= 70516 || (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)))))
              : (c <= 70753 || (c < 71128
                ? (c < 70864
                  ? (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)
                  : (c <= 70873 || (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)))
                : (c <= 71133 || (c < 71248
                  ? (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)
                  : (c <= 71257 || (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)))))))))))))
      : (c <= 71450 || (c < 119970
        ? (c < 77712
          ? (c < 72714
            ? (c < 71995
              ? (c < 71935
                ? (c < 71488
                  ? (c < 71472
                    ? (c >= 71453 && c <= 71467)
                    : c <= 71481)
                  : (c <= 71494 || (c < 71840
                    ? (c >= 71680 && c <= 71738)
                    : c <= 71913)))
                : (c <= 71942 || (c < 71957
                  ? (c < 71948
                    ? c == 71945
                    : c <= 71955)
                  : (c <= 71958 || (c < 71991
                    ? (c >= 71960 && c <= 71989)
                    : c <= 71992)))))
              : (c <= 72003 || (c < 72192
                ? (c < 72106
                  ? (c < 72096
                    ? (c >= 72016 && c <= 72025)
                    : c <= 72103)
                  : (c <= 72151 || (c < 72163
                    ? (c >= 72154 && c <= 72161)
                    : c <= 72164)))
                : (c <= 72254 || (c < 72349
                  ? (c < 72272
                    ? c == 72263
                    : c <= 72345)
                  : (c <= 72349 || (c < 72704
                    ? (c >= 72368 && c <= 72440)
                    : c <= 72712)))))))
            : (c <= 72758 || (c < 73040
              ? (c < 72960
                ? (c < 72818
                  ? (c < 72784
                    ? (c >= 72760 && c <= 72768)
                    : c <= 72793)
                  : (c <= 72847 || (c < 72873
                    ? (c >= 72850 && c <= 72871)
                    : c <= 72886)))
                : (c <= 72966 || (c < 73018
                  ? (c < 72971
                    ? (c >= 72968 && c <= 72969)
                    : c <= 73014)
                  : (c <= 73018 || (c < 73023
                    ? (c >= 73020 && c <= 73021)
                    : c <= 73031)))))
              : (c <= 73049 || (c < 73120
                ? (c < 73066
                  ? (c < 73063
                    ? (c >= 73056 && c <= 73061)
                    : c <= 73064)
                  : (c <= 73102 || (c < 73107
                    ? (c >= 73104 && c <= 73105)
                    : c <= 73112)))
                : (c <= 73129 || (c < 73728
                  ? (c < 73648
                    ? (c >= 73440 && c <= 73462)
                    : c <= 73648)
                  : (c <= 74649 || (c < 74880
                    ? (c >= 74752 && c <= 74862)
                    : c <= 75075)))))))))
          : (c <= 77808 || (c < 101632
            ? (c < 93008
              ? (c < 92784
                ? (c < 92160
                  ? (c < 82944
                    ? (c >= 77824 && c <= 78894)
                    : c <= 83526)
                  : (c <= 92728 || (c < 92768
                    ? (c >= 92736 && c <= 92766)
                    : c <= 92777)))
                : (c <= 92862 || (c < 92912
                  ? (c < 92880
                    ? (c >= 92864 && c <= 92873)
                    : c <= 92909)
                  : (c <= 92916 || (c < 92992
                    ? (c >= 92928 && c <= 92982)
                    : c <= 92995)))))
              : (c <= 93017 || (c < 94095
                ? (c < 93760
                  ? (c < 93053
                    ? (c >= 93027 && c <= 93047)
                    : c <= 93071)
                  : (c <= 93823 || (c < 94031
                    ? (c >= 93952 && c <= 94026)
                    : c <= 94087)))
                : (c <= 94111 || (c < 94192
                  ? (c < 94179
                    ? (c >= 94176 && c <= 94177)
                    : c <= 94180)
                  : (c <= 94193 || (c < 100352
                    ? (c >= 94208 && c <= 100343)
                    : c <= 101589)))))))
            : (c <= 101640 || (c < 113821
              ? (c < 110948
                ? (c < 110589
                  ? (c < 110581
                    ? (c >= 110576 && c <= 110579)
                    : c <= 110587)
                  : (c <= 110590 || (c < 110928
                    ? (c >= 110592 && c <= 110882)
                    : c <= 110930)))
                : (c <= 110951 || (c < 113776
                  ? (c < 113664
                    ? (c >= 110960 && c <= 111355)
                    : c <= 113770)
                  : (c <= 113788 || (c < 113808
                    ? (c >= 113792 && c <= 113800)
                    : c <= 113817)))))
              : (c <= 113822 || (c < 119173
                ? (c < 119141
                  ? (c < 118576
                    ? (c >= 118528 && c <= 118573)
                    : c <= 118598)
                  : (c <= 119145 || (c < 119163
                    ? (c >= 119149 && c <= 119154)
                    : c <= 119170)))
                : (c <= 119179 || (c < 119808
                  ? (c < 119362
                    ? (c >= 119210 && c <= 119213)
                    : c <= 119364)
                  : (c <= 119892 || (c < 119966
                    ? (c >= 119894 && c <= 119964)
                    : c <= 119967)))))))))))
        : (c <= 119970 || (c < 124909
          ? (c < 120714
            ? (c < 120128
              ? (c < 120005
                ? (c < 119982
                  ? (c < 119977
                    ? (c >= 119973 && c <= 119974)
                    : c <= 119980)
                  : (c <= 119993 || (c < 119997
                    ? c == 119995
                    : c <= 120003)))
                : (c <= 120069 || (c < 120086
                  ? (c < 120077
                    ? (c >= 120071 && c <= 120074)
                    : c <= 120084)
                  : (c <= 120092 || (c < 120123
                    ? (c >= 120094 && c <= 120121)
                    : c <= 120126)))))
              : (c <= 120132 || (c < 120540
                ? (c < 120146
                  ? (c < 120138
                    ? c == 120134
                    : c <= 120144)
                  : (c <= 120485 || (c < 120514
                    ? (c >= 120488 && c <= 120512)
                    : c <= 120538)))
                : (c <= 120570 || (c < 120630
                  ? (c < 120598
                    ? (c >= 120572 && c <= 120596)
                    : c <= 120628)
                  : (c <= 120654 || (c < 120688
                    ? (c >= 120656 && c <= 120686)
                    : c <= 120712)))))))
            : (c <= 120744 || (c < 122888
              ? (c < 121461
                ? (c < 120782
                  ? (c < 120772
                    ? (c >= 120746 && c <= 120770)
                    : c <= 120779)
                  : (c <= 120831 || (c < 121403
                    ? (c >= 121344 && c <= 121398)
                    : c <= 121452)))
                : (c <= 121461 || (c < 121505
                  ? (c < 121499
                    ? c == 121476
                    : c <= 121503)
                  : (c <= 121519 || (c < 122880
                    ? (c >= 122624 && c <= 122654)
                    : c <= 122886)))))
              : (c <= 122904 || (c < 123200
                ? (c < 122918
                  ? (c < 122915
                    ? (c >= 122907 && c <= 122913)
                    : c <= 122916)
                  : (c <= 122922 || (c < 123184
                    ? (c >= 123136 && c <= 123180)
                    : c <= 123197)))
                : (c <= 123209 || (c < 123584
                  ? (c < 123536
                    ? c == 123214
                    : c <= 123566)
                  : (c <= 123641 || (c < 124904
                    ? (c >= 124896 && c <= 124902)
                    : c <= 124907)))))))))
          : (c <= 124910 || (c < 126555
            ? (c < 126516
              ? (c < 126464
                ? (c < 125136
                  ? (c < 124928
                    ? (c >= 124912 && c <= 124926)
                    : c <= 125124)
                  : (c <= 125142 || (c < 125264
                    ? (c >= 125184 && c <= 125259)
                    : c <= 125273)))
                : (c <= 126467 || (c < 126500
                  ? (c < 126497
                    ? (c >= 126469 && c <= 126495)
                    : c <= 126498)
                  : (c <= 126500 || (c < 126505
                    ? c == 126503
                    : c <= 126514)))))
              : (c <= 126519 || (c < 126539
                ? (c < 126530
                  ? (c < 126523
                    ? c == 126521
                    : c <= 126523)
                  : (c <= 126530 || (c < 126537
                    ? c == 126535
                    : c <= 126537)))
                : (c <= 126539 || (c < 126548
                  ? (c < 126545
                    ? (c >= 126541 && c <= 126543)
                    : c <= 126546)
                  : (c <= 126548 || (c < 126553
                    ? c == 126551
                    : c <= 126553)))))))
            : (c <= 126555 || (c < 126625
              ? (c < 126572
                ? (c < 126561
                  ? (c < 126559
                    ? c == 126557
                    : c <= 126559)
                  : (c <= 126562 || (c < 126567
                    ? c == 126564
                    : c <= 126570)))
                : (c <= 126578 || (c < 126590
                  ? (c < 126585
                    ? (c >= 126580 && c <= 126583)
                    : c <= 126588)
                  : (c <= 126590 || (c < 126603
                    ? (c >= 126592 && c <= 126601)
                    : c <= 126619)))))
              : (c <= 126627 || (c < 177984
                ? (c < 130032
                  ? (c < 126635
                    ? (c >= 126629 && c <= 126633)
                    : c <= 126651)
                  : (c <= 130041 || (c < 173824
                    ? (c >= 131072 && c <= 173791)
                    : c <= 177976)))
                : (c <= 178205 || (c < 194560
                  ? (c < 183984
                    ? (c >= 178208 && c <= 183969)
                    : c <= 191456)
                  : (c <= 195101 || (c < 917760
                    ? (c >= 196608 && c <= 201546)
                    : c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_13(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < '_'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < 'S'
                    ? (c >= 'A' && c <= 'Q')
                    : c <= 'Z')))
                : (c <= '_' || (c < 181
                  ? (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_14(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'h' || (c < 181
                  ? (c < 170
                    ? (c >= 'j' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_15(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '9'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '7')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_16(int32_t c) {
  return (c < 43600
    ? (c < 3751
      ? (c < 2730
        ? (c < 1869
          ? (c < 908
            ? (c < 192
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'r' || (c < 181
                  ? (c < 170
                    ? (c >= 't' && c <= 'z')
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))))
              : (c <= 214 || (c < 750
                ? (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))
                : (c <= 750 || (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))))))
            : (c <= 908 || (c < 1476
              ? (c < 1329
                ? (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))
                : (c <= 1366 || (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))))
              : (c <= 1477 || (c < 1646
                ? (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))
                : (c <= 1747 || (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))))))))
          : (c <= 1969 || (c < 2527
            ? (c < 2417
              ? (c < 2144
                ? (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))
                : (c <= 2154 || (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))))
              : (c <= 2435 || (c < 2486
                ? (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))
                : (c <= 2489 || (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))))))
            : (c <= 2531 || (c < 2620
              ? (c < 2575
                ? (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))
                : (c <= 2576 || (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))))
              : (c <= 2620 || (c < 2654
                ? (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))
                : (c <= 2654 || (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))))))))))
        : (c <= 2736 || (c < 3157
          ? (c < 2929
            ? (c < 2831
              ? (c < 2768
                ? (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))
                : (c <= 2768 || (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))))
              : (c <= 2832 || (c < 2887
                ? (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))
                : (c <= 2888 || (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))))))
            : (c <= 2929 || (c < 3014
              ? (c < 2972
                ? (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))
                : (c <= 2972 || (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))))
              : (c <= 3016 || (c < 3086
                ? (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))
                : (c <= 3088 || (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))))))))
          : (c <= 3158 || (c < 3412
            ? (c < 3270
              ? (c < 3205
                ? (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))
                : (c <= 3212 || (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))))
              : (c <= 3272 || (c < 3313
                ? (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))
                : (c <= 3314 || (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))))))
            : (c <= 3415 || (c < 3542
              ? (c < 3482
                ? (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))
                : (c <= 3505 || (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))))
              : (c <= 3542 || (c < 3664
                ? (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))
                : (c <= 3673 || (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))))))))))))
      : (c <= 3773 || (c < 8008
        ? (c < 5792
          ? (c < 4348
            ? (c < 3902
              ? (c < 3840
                ? (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c < 3804
                    ? (c >= 3792 && c <= 3801)
                    : c <= 3807)))
                : (c <= 3840 || (c < 3893
                  ? (c < 3872
                    ? (c >= 3864 && c <= 3865)
                    : c <= 3881)
                  : (c <= 3893 || (c < 3897
                    ? c == 3895
                    : c <= 3897)))))
              : (c <= 3911 || (c < 4096
                ? (c < 3974
                  ? (c < 3953
                    ? (c >= 3913 && c <= 3948)
                    : c <= 3972)
                  : (c <= 3991 || (c < 4038
                    ? (c >= 3993 && c <= 4028)
                    : c <= 4038)))
                : (c <= 4169 || (c < 4295
                  ? (c < 4256
                    ? (c >= 4176 && c <= 4253)
                    : c <= 4293)
                  : (c <= 4295 || (c < 4304
                    ? c == 4301
                    : c <= 4346)))))))
            : (c <= 4680 || (c < 4808
              ? (c < 4746
                ? (c < 4696
                  ? (c < 4688
                    ? (c >= 4682 && c <= 4685)
                    : c <= 4694)
                  : (c <= 4696 || (c < 4704
                    ? (c >= 4698 && c <= 4701)
                    : c <= 4744)))
                : (c <= 4749 || (c < 4792
                  ? (c < 4786
                    ? (c >= 4752 && c <= 4784)
                    : c <= 4789)
                  : (c <= 4798 || (c < 4802
                    ? c == 4800
                    : c <= 4805)))))
              : (c <= 4822 || (c < 4992
                ? (c < 4888
                  ? (c < 4882
                    ? (c >= 4824 && c <= 4880)
                    : c <= 4885)
                  : (c <= 4954 || (c < 4969
                    ? (c >= 4957 && c <= 4959)
                    : c <= 4977)))
                : (c <= 5007 || (c < 5121
                  ? (c < 5112
                    ? (c >= 5024 && c <= 5109)
                    : c <= 5117)
                  : (c <= 5740 || (c < 5761
                    ? (c >= 5743 && c <= 5759)
                    : c <= 5786)))))))))
          : (c <= 5866 || (c < 6608
            ? (c < 6155
              ? (c < 5998
                ? (c < 5919
                  ? (c < 5888
                    ? (c >= 5870 && c <= 5880)
                    : c <= 5909)
                  : (c <= 5940 || (c < 5984
                    ? (c >= 5952 && c <= 5971)
                    : c <= 5996)))
                : (c <= 6000 || (c < 6103
                  ? (c < 6016
                    ? (c >= 6002 && c <= 6003)
                    : c <= 6099)
                  : (c <= 6103 || (c < 6112
                    ? (c >= 6108 && c <= 6109)
                    : c <= 6121)))))
              : (c <= 6157 || (c < 6432
                ? (c < 6272
                  ? (c < 6176
                    ? (c >= 6159 && c <= 6169)
                    : c <= 6264)
                  : (c <= 6314 || (c < 6400
                    ? (c >= 6320 && c <= 6389)
                    : c <= 6430)))
                : (c <= 6443 || (c < 6512
                  ? (c < 6470
                    ? (c >= 6448 && c <= 6459)
                    : c <= 6509)
                  : (c <= 6516 || (c < 6576
                    ? (c >= 6528 && c <= 6571)
                    : c <= 6601)))))))
            : (c <= 6618 || (c < 7040
              ? (c < 6823
                ? (c < 6752
                  ? (c < 6688
                    ? (c >= 6656 && c <= 6683)
                    : c <= 6750)
                  : (c <= 6780 || (c < 6800
                    ? (c >= 6783 && c <= 6793)
                    : c <= 6809)))
                : (c <= 6823 || (c < 6912
                  ? (c < 6847
                    ? (c >= 6832 && c <= 6845)
                    : c <= 6862)
                  : (c <= 6988 || (c < 7019
                    ? (c >= 6992 && c <= 7001)
                    : c <= 7027)))))
              : (c <= 7155 || (c < 7357
                ? (c < 7245
                  ? (c < 7232
                    ? (c >= 7168 && c <= 7223)
                    : c <= 7241)
                  : (c <= 7293 || (c < 7312
                    ? (c >= 7296 && c <= 7304)
                    : c <= 7354)))
                : (c <= 7359 || (c < 7424
                  ? (c < 7380
                    ? (c >= 7376 && c <= 7378)
                    : c <= 7418)
                  : (c <= 7957 || (c < 7968
                    ? (c >= 7960 && c <= 7965)
                    : c <= 8005)))))))))))
        : (c <= 8013 || (c < 11704
          ? (c < 8450
            ? (c < 8150
              ? (c < 8064
                ? (c < 8027
                  ? (c < 8025
                    ? (c >= 8016 && c <= 8023)
                    : c <= 8025)
                  : (c <= 8027 || (c < 8031
                    ? c == 8029
                    : c <= 8061)))
                : (c <= 8116 || (c < 8130
                  ? (c < 8126
                    ? (c >= 8118 && c <= 8124)
                    : c <= 8126)
                  : (c <= 8132 || (c < 8144
                    ? (c >= 8134 && c <= 8140)
                    : c <= 8147)))))
              : (c <= 8155 || (c < 8305
                ? (c < 8182
                  ? (c < 8178
                    ? (c >= 8160 && c <= 8172)
                    : c <= 8180)
                  : (c <= 8188 || (c < 8276
                    ? (c >= 8255 && c <= 8256)
                    : c <= 8276)))
                : (c <= 8305 || (c < 8400
                  ? (c < 8336
                    ? c == 8319
                    : c <= 8348)
                  : (c <= 8412 || (c < 8421
                    ? c == 8417
                    : c <= 8432)))))))
            : (c <= 8450 || (c < 8544
              ? (c < 8486
                ? (c < 8469
                  ? (c < 8458
                    ? c == 8455
                    : c <= 8467)
                  : (c <= 8469 || (c < 8484
                    ? (c >= 8472 && c <= 8477)
                    : c <= 8484)))
                : (c <= 8486 || (c < 8508
                  ? (c < 8490
                    ? c == 8488
                    : c <= 8505)
                  : (c <= 8511 || (c < 8526
                    ? (c >= 8517 && c <= 8521)
                    : c <= 8526)))))
              : (c <= 8584 || (c < 11568
                ? (c < 11520
                  ? (c < 11499
                    ? (c >= 11264 && c <= 11492)
                    : c <= 11507)
                  : (c <= 11557 || (c < 11565
                    ? c == 11559
                    : c <= 11565)))
                : (c <= 11623 || (c < 11680
                  ? (c < 11647
                    ? c == 11631
                    : c <= 11670)
                  : (c <= 11686 || (c < 11696
                    ? (c >= 11688 && c <= 11694)
                    : c <= 11702)))))))))
          : (c <= 11710 || (c < 42560
            ? (c < 12445
              ? (c < 12293
                ? (c < 11728
                  ? (c < 11720
                    ? (c >= 11712 && c <= 11718)
                    : c <= 11726)
                  : (c <= 11734 || (c < 11744
                    ? (c >= 11736 && c <= 11742)
                    : c <= 11775)))
                : (c <= 12295 || (c < 12344
                  ? (c < 12337
                    ? (c >= 12321 && c <= 12335)
                    : c <= 12341)
                  : (c <= 12348 || (c < 12441
                    ? (c >= 12353 && c <= 12438)
                    : c <= 12442)))))
              : (c <= 12447 || (c < 12784
                ? (c < 12549
                  ? (c < 12540
                    ? (c >= 12449 && c <= 12538)
                    : c <= 12543)
                  : (c <= 12591 || (c < 12704
                    ? (c >= 12593 && c <= 12686)
                    : c <= 12735)))
                : (c <= 12799 || (c < 42192
                  ? (c < 19968
                    ? (c >= 13312 && c <= 19903)
                    : c <= 42124)
                  : (c <= 42237 || (c < 42512
                    ? (c >= 42240 && c <= 42508)
                    : c <= 42539)))))))
            : (c <= 42607 || (c < 43136
              ? (c < 42960
                ? (c < 42775
                  ? (c < 42623
                    ? (c >= 42612 && c <= 42621)
                    : c <= 42737)
                  : (c <= 42783 || (c < 42891
                    ? (c >= 42786 && c <= 42888)
                    : c <= 42954)))
                : (c <= 42961 || (c < 42994
                  ? (c < 42965
                    ? c == 42963
                    : c <= 42969)
                  : (c <= 43047 || (c < 43072
                    ? c == 43052
                    : c <= 43123)))))
              : (c <= 43205 || (c < 43360
                ? (c < 43259
                  ? (c < 43232
                    ? (c >= 43216 && c <= 43225)
                    : c <= 43255)
                  : (c <= 43259 || (c < 43312
                    ? (c >= 43261 && c <= 43309)
                    : c <= 43347)))
                : (c <= 43388 || (c < 43488
                  ? (c < 43471
                    ? (c >= 43392 && c <= 43456)
                    : c <= 43481)
                  : (c <= 43518 || (c < 43584
                    ? (c >= 43520 && c <= 43574)
                    : c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_17(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_18(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '3'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '1')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_19(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '5'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '3')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_20(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < '7'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '5')
                  : (c <= '9' || (c < '_'
                    ? (c >= 'A' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_21(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'D' || (c < '_'
                    ? (c >= 'F' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_22(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'K' || (c < '_'
                    ? (c >= 'M' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_23(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'R' || (c < '_'
                    ? (c >= 'T' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_24(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'a'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'T' || (c < '_'
                    ? (c >= 'V' && c <= 'Z')
                    : c <= '_')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_25(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'B'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_26(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'c'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'a')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_27(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'e'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'c')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_28(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'f'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'd')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_29(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'g'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'e')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_30(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'h'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'f')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_31(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'i'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'g')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_32(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'j'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'h')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_33(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'm'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'k')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_34(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'o'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'm')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_35(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'p'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'n')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_36(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'q'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'o')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_37(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 's'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'q')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_38(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 't'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'r')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_39(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'u'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 's')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_40(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'v'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 't')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_41(int32_t c) {
  return (c < 43600
    ? (c < 3776
      ? (c < 2738
        ? (c < 1984
          ? (c < 910
            ? (c < 216
              ? (c < 'y'
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'w')))
                : (c <= 'z' || (c < 183
                  ? (c < 181
                    ? c == 170
                    : c <= 181)
                  : (c <= 183 || (c < 192
                    ? c == 186
                    : c <= 214)))))
              : (c <= 246 || (c < 768
                ? (c < 736
                  ? (c < 710
                    ? (c >= 248 && c <= 705)
                    : c <= 721)
                  : (c <= 740 || (c < 750
                    ? c == 748
                    : c <= 750)))
                : (c <= 884 || (c < 895
                  ? (c < 891
                    ? (c >= 886 && c <= 887)
                    : c <= 893)
                  : (c <= 895 || (c < 908
                    ? (c >= 902 && c <= 906)
                    : c <= 908)))))))
            : (c <= 929 || (c < 1479
              ? (c < 1369
                ? (c < 1155
                  ? (c < 1015
                    ? (c >= 931 && c <= 1013)
                    : c <= 1153)
                  : (c <= 1159 || (c < 1329
                    ? (c >= 1162 && c <= 1327)
                    : c <= 1366)))
                : (c <= 1369 || (c < 1471
                  ? (c < 1425
                    ? (c >= 1376 && c <= 1416)
                    : c <= 1469)
                  : (c <= 1471 || (c < 1476
                    ? (c >= 1473 && c <= 1474)
                    : c <= 1477)))))
              : (c <= 1479 || (c < 1749
                ? (c < 1552
                  ? (c < 1519
                    ? (c >= 1488 && c <= 1514)
                    : c <= 1522)
                  : (c <= 1562 || (c < 1646
                    ? (c >= 1568 && c <= 1641)
                    : c <= 1747)))
                : (c <= 1756 || (c < 1791
                  ? (c < 1770
                    ? (c >= 1759 && c <= 1768)
                    : c <= 1788)
                  : (c <= 1791 || (c < 1869
                    ? (c >= 1808 && c <= 1866)
                    : c <= 1969)))))))))
          : (c <= 2037 || (c < 2534
            ? (c < 2437
              ? (c < 2160
                ? (c < 2048
                  ? (c < 2045
                    ? c == 2042
                    : c <= 2045)
                  : (c <= 2093 || (c < 2144
                    ? (c >= 2112 && c <= 2139)
                    : c <= 2154)))
                : (c <= 2183 || (c < 2275
                  ? (c < 2200
                    ? (c >= 2185 && c <= 2190)
                    : c <= 2273)
                  : (c <= 2403 || (c < 2417
                    ? (c >= 2406 && c <= 2415)
                    : c <= 2435)))))
              : (c <= 2444 || (c < 2492
                ? (c < 2474
                  ? (c < 2451
                    ? (c >= 2447 && c <= 2448)
                    : c <= 2472)
                  : (c <= 2480 || (c < 2486
                    ? c == 2482
                    : c <= 2489)))
                : (c <= 2500 || (c < 2519
                  ? (c < 2507
                    ? (c >= 2503 && c <= 2504)
                    : c <= 2510)
                  : (c <= 2519 || (c < 2527
                    ? (c >= 2524 && c <= 2525)
                    : c <= 2531)))))))
            : (c <= 2545 || (c < 2622
              ? (c < 2579
                ? (c < 2561
                  ? (c < 2558
                    ? c == 2556
                    : c <= 2558)
                  : (c <= 2563 || (c < 2575
                    ? (c >= 2565 && c <= 2570)
                    : c <= 2576)))
                : (c <= 2600 || (c < 2613
                  ? (c < 2610
                    ? (c >= 2602 && c <= 2608)
                    : c <= 2611)
                  : (c <= 2614 || (c < 2620
                    ? (c >= 2616 && c <= 2617)
                    : c <= 2620)))))
              : (c <= 2626 || (c < 2662
                ? (c < 2641
                  ? (c < 2635
                    ? (c >= 2631 && c <= 2632)
                    : c <= 2637)
                  : (c <= 2641 || (c < 2654
                    ? (c >= 2649 && c <= 2652)
                    : c <= 2654)))
                : (c <= 2677 || (c < 2703
                  ? (c < 2693
                    ? (c >= 2689 && c <= 2691)
                    : c <= 2701)
                  : (c <= 2705 || (c < 2730
                    ? (c >= 2707 && c <= 2728)
                    : c <= 2736)))))))))))
        : (c <= 2739 || (c < 3160
          ? (c < 2946
            ? (c < 2835
              ? (c < 2784
                ? (c < 2759
                  ? (c < 2748
                    ? (c >= 2741 && c <= 2745)
                    : c <= 2757)
                  : (c <= 2761 || (c < 2768
                    ? (c >= 2763 && c <= 2765)
                    : c <= 2768)))
                : (c <= 2787 || (c < 2817
                  ? (c < 2809
                    ? (c >= 2790 && c <= 2799)
                    : c <= 2815)
                  : (c <= 2819 || (c < 2831
                    ? (c >= 2821 && c <= 2828)
                    : c <= 2832)))))
              : (c <= 2856 || (c < 2891
                ? (c < 2869
                  ? (c < 2866
                    ? (c >= 2858 && c <= 2864)
                    : c <= 2867)
                  : (c <= 2873 || (c < 2887
                    ? (c >= 2876 && c <= 2884)
                    : c <= 2888)))
                : (c <= 2893 || (c < 2911
                  ? (c < 2908
                    ? (c >= 2901 && c <= 2903)
                    : c <= 2909)
                  : (c <= 2915 || (c < 2929
                    ? (c >= 2918 && c <= 2927)
                    : c <= 2929)))))))
            : (c <= 2947 || (c < 3018
              ? (c < 2974
                ? (c < 2962
                  ? (c < 2958
                    ? (c >= 2949 && c <= 2954)
                    : c <= 2960)
                  : (c <= 2965 || (c < 2972
                    ? (c >= 2969 && c <= 2970)
                    : c <= 2972)))
                : (c <= 2975 || (c < 2990
                  ? (c < 2984
                    ? (c >= 2979 && c <= 2980)
                    : c <= 2986)
                  : (c <= 3001 || (c < 3014
                    ? (c >= 3006 && c <= 3010)
                    : c <= 3016)))))
              : (c <= 3021 || (c < 3090
                ? (c < 3046
                  ? (c < 3031
                    ? c == 3024
                    : c <= 3031)
                  : (c <= 3055 || (c < 3086
                    ? (c >= 3072 && c <= 3084)
                    : c <= 3088)))
                : (c <= 3112 || (c < 3142
                  ? (c < 3132
                    ? (c >= 3114 && c <= 3129)
                    : c <= 3140)
                  : (c <= 3144 || (c < 3157
                    ? (c >= 3146 && c <= 3149)
                    : c <= 3158)))))))))
          : (c <= 3162 || (c < 3423
            ? (c < 3274
              ? (c < 3214
                ? (c < 3174
                  ? (c < 3168
                    ? c == 3165
                    : c <= 3171)
                  : (c <= 3183 || (c < 3205
                    ? (c >= 3200 && c <= 3203)
                    : c <= 3212)))
                : (c <= 3216 || (c < 3253
                  ? (c < 3242
                    ? (c >= 3218 && c <= 3240)
                    : c <= 3251)
                  : (c <= 3257 || (c < 3270
                    ? (c >= 3260 && c <= 3268)
                    : c <= 3272)))))
              : (c <= 3277 || (c < 3328
                ? (c < 3296
                  ? (c < 3293
                    ? (c >= 3285 && c <= 3286)
                    : c <= 3294)
                  : (c <= 3299 || (c < 3313
                    ? (c >= 3302 && c <= 3311)
                    : c <= 3314)))
                : (c <= 3340 || (c < 3398
                  ? (c < 3346
                    ? (c >= 3342 && c <= 3344)
                    : c <= 3396)
                  : (c <= 3400 || (c < 3412
                    ? (c >= 3402 && c <= 3406)
                    : c <= 3415)))))))
            : (c <= 3427 || (c < 3544
              ? (c < 3507
                ? (c < 3457
                  ? (c < 3450
                    ? (c >= 3430 && c <= 3439)
                    : c <= 3455)
                  : (c <= 3459 || (c < 3482
                    ? (c >= 3461 && c <= 3478)
                    : c <= 3505)))
                : (c <= 3515 || (c < 3530
                  ? (c < 3520
                    ? c == 3517
                    : c <= 3526)
                  : (c <= 3530 || (c < 3542
                    ? (c >= 3535 && c <= 3540)
                    : c <= 3542)))))
              : (c <= 3551 || (c < 3713
                ? (c < 3585
                  ? (c < 3570
                    ? (c >= 3558 && c <= 3567)
                    : c <= 3571)
                  : (c <= 3642 || (c < 3664
                    ? (c >= 3648 && c <= 3662)
                    : c <= 3673)))
                : (c <= 3714 || (c < 3724
                  ? (c < 3718
                    ? c == 3716
                    : c <= 3722)
                  : (c <= 3747 || (c < 3751
                    ? c == 3749
                    : c <= 3773)))))))))))))
      : (c <= 3780 || (c < 8016
        ? (c < 5870
          ? (c < 4682
            ? (c < 3913
              ? (c < 3864
                ? (c < 3792
                  ? (c < 3784
                    ? c == 3782
                    : c <= 3789)
                  : (c <= 3801 || (c < 3840
                    ? (c >= 3804 && c <= 3807)
                    : c <= 3840)))
                : (c <= 3865 || (c < 3895
                  ? (c < 3893
                    ? (c >= 3872 && c <= 3881)
                    : c <= 3893)
                  : (c <= 3895 || (c < 3902
                    ? c == 3897
                    : c <= 3911)))))
              : (c <= 3948 || (c < 4176
                ? (c < 3993
                  ? (c < 3974
                    ? (c >= 3953 && c <= 3972)
                    : c <= 3991)
                  : (c <= 4028 || (c < 4096
                    ? c == 4038
                    : c <= 4169)))
                : (c <= 4253 || (c < 4301
                  ? (c < 4295
                    ? (c >= 4256 && c <= 4293)
                    : c <= 4295)
                  : (c <= 4301 || (c < 4348
                    ? (c >= 4304 && c <= 4346)
                    : c <= 4680)))))))
            : (c <= 4685 || (c < 4824
              ? (c < 4752
                ? (c < 4698
                  ? (c < 4696
                    ? (c >= 4688 && c <= 4694)
                    : c <= 4696)
                  : (c <= 4701 || (c < 4746
                    ? (c >= 4704 && c <= 4744)
                    : c <= 4749)))
                : (c <= 4784 || (c < 4800
                  ? (c < 4792
                    ? (c >= 4786 && c <= 4789)
                    : c <= 4798)
                  : (c <= 4800 || (c < 4808
                    ? (c >= 4802 && c <= 4805)
                    : c <= 4822)))))
              : (c <= 4880 || (c < 5024
                ? (c < 4957
                  ? (c < 4888
                    ? (c >= 4882 && c <= 4885)
                    : c <= 4954)
                  : (c <= 4959 || (c < 4992
                    ? (c >= 4969 && c <= 4977)
                    : c <= 5007)))
                : (c <= 5109 || (c < 5743
                  ? (c < 5121
                    ? (c >= 5112 && c <= 5117)
                    : c <= 5740)
                  : (c <= 5759 || (c < 5792
                    ? (c >= 5761 && c <= 5786)
                    : c <= 5866)))))))))
          : (c <= 5880 || (c < 6656
            ? (c < 6159
              ? (c < 6002
                ? (c < 5952
                  ? (c < 5919
                    ? (c >= 5888 && c <= 5909)
                    : c <= 5940)
                  : (c <= 5971 || (c < 5998
                    ? (c >= 5984 && c <= 5996)
                    : c <= 6000)))
                : (c <= 6003 || (c < 6108
                  ? (c < 6103
                    ? (c >= 6016 && c <= 6099)
                    : c <= 6103)
                  : (c <= 6109 || (c < 6155
                    ? (c >= 6112 && c <= 6121)
                    : c <= 6157)))))
              : (c <= 6169 || (c < 6448
                ? (c < 6320
                  ? (c < 6272
                    ? (c >= 6176 && c <= 6264)
                    : c <= 6314)
                  : (c <= 6389 || (c < 6432
                    ? (c >= 6400 && c <= 6430)
                    : c <= 6443)))
                : (c <= 6459 || (c < 6528
                  ? (c < 6512
                    ? (c >= 6470 && c <= 6509)
                    : c <= 6516)
                  : (c <= 6571 || (c < 6608
                    ? (c >= 6576 && c <= 6601)
                    : c <= 6618)))))))
            : (c <= 6683 || (c < 7168
              ? (c < 6832
                ? (c < 6783
                  ? (c < 6752
                    ? (c >= 6688 && c <= 6750)
                    : c <= 6780)
                  : (c <= 6793 || (c < 6823
                    ? (c >= 6800 && c <= 6809)
                    : c <= 6823)))
                : (c <= 6845 || (c < 6992
                  ? (c < 6912
                    ? (c >= 6847 && c <= 6862)
                    : c <= 6988)
                  : (c <= 7001 || (c < 7040
                    ? (c >= 7019 && c <= 7027)
                    : c <= 7155)))))
              : (c <= 7223 || (c < 7376
                ? (c < 7296
                  ? (c < 7245
                    ? (c >= 7232 && c <= 7241)
                    : c <= 7293)
                  : (c <= 7304 || (c < 7357
                    ? (c >= 7312 && c <= 7354)
                    : c <= 7359)))
                : (c <= 7378 || (c < 7960
                  ? (c < 7424
                    ? (c >= 7380 && c <= 7418)
                    : c <= 7957)
                  : (c <= 7965 || (c < 8008
                    ? (c >= 7968 && c <= 8005)
                    : c <= 8013)))))))))))
        : (c <= 8023 || (c < 11712
          ? (c < 8455
            ? (c < 8160
              ? (c < 8118
                ? (c < 8029
                  ? (c < 8027
                    ? c == 8025
                    : c <= 8027)
                  : (c <= 8029 || (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)))
                : (c <= 8124 || (c < 8134
                  ? (c < 8130
                    ? c == 8126
                    : c <= 8132)
                  : (c <= 8140 || (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)))))
              : (c <= 8172 || (c < 8319
                ? (c < 8255
                  ? (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)
                  : (c <= 8256 || (c < 8305
                    ? c == 8276
                    : c <= 8305)))
                : (c <= 8319 || (c < 8417
                  ? (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)
                  : (c <= 8417 || (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)))))))
            : (c <= 8455 || (c < 11264
              ? (c < 8488
                ? (c < 8472
                  ? (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)
                  : (c <= 8477 || (c < 8486
                    ? c == 8484
                    : c <= 8486)))
                : (c <= 8488 || (c < 8517
                  ? (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)
                  : (c <= 8521 || (c < 8544
                    ? c == 8526
                    : c <= 8584)))))
              : (c <= 11492 || (c < 11631
                ? (c < 11559
                  ? (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)
                  : (c <= 11559 || (c < 11568
                    ? c == 11565
                    : c <= 11623)))
                : (c <= 11631 || (c < 11688
                  ? (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)
                  : (c <= 11694 || (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)))))))))
          : (c <= 11718 || (c < 42612
            ? (c < 12449
              ? (c < 12321
                ? (c < 11736
                  ? (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)
                  : (c <= 11742 || (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)))
                : (c <= 12335 || (c < 12353
                  ? (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)
                  : (c <= 12438 || (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)))))
              : (c <= 12538 || (c < 13312
                ? (c < 12593
                  ? (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)
                  : (c <= 12686 || (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)))
                : (c <= 19903 || (c < 42240
                  ? (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)
                  : (c <= 42508 || (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)))))))
            : (c <= 42621 || (c < 43216
              ? (c < 42963
                ? (c < 42786
                  ? (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)
                  : (c <= 42888 || (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)))
                : (c <= 42963 || (c < 43052
                  ? (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)
                  : (c <= 43052 || (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)))))
              : (c <= 43225 || (c < 43392
                ? (c < 43261
                  ? (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)
                  : (c <= 43309 || (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)))
                : (c <= 43456 || (c < 43520
                  ? (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)
                  : (c <= 43574 || (c >= 43584 && c <= 43597)))))))))))))))
    : (c <= 43609 || (c < 71453
      ? (c < 67594
        ? (c < 65343
          ? (c < 64298
            ? (c < 43868
              ? (c < 43777
                ? (c < 43739
                  ? (c < 43642
                    ? (c >= 43616 && c <= 43638)
                    : c <= 43714)
                  : (c <= 43741 || (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)))
                : (c <= 43782 || (c < 43808
                  ? (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)
                  : (c <= 43814 || (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)))))
              : (c <= 43881 || (c < 55243
                ? (c < 44016
                  ? (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)
                  : (c <= 44025 || (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)))
                : (c <= 55291 || (c < 64256
                  ? (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)
                  : (c <= 64262 || (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)))))))
            : (c <= 64310 || (c < 65056
              ? (c < 64467
                ? (c < 64320
                  ? (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)
                  : (c <= 64321 || (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)))
                : (c <= 64605 || (c < 64914
                  ? (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)
                  : (c <= 64967 || (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)))))
              : (c <= 65071 || (c < 65145
                ? (c < 65137
                  ? (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)
                  : (c <= 65137 || (c < 65143
                    ? c == 65139
                    : c <= 65143)))
                : (c <= 65145 || (c < 65151
                  ? (c < 65149
                    ? c == 65147
                    : c <= 65149)
                  : (c <= 65276 || (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)))))))))
          : (c <= 65343 || (c < 66504
            ? (c < 65616
              ? (c < 65498
                ? (c < 65474
                  ? (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)
                  : (c <= 65479 || (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)))
                : (c <= 65500 || (c < 65576
                  ? (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)
                  : (c <= 65594 || (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)))))
              : (c <= 65629 || (c < 66272
                ? (c < 66045
                  ? (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)
                  : (c <= 66045 || (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)))
                : (c <= 66272 || (c < 66384
                  ? (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)
                  : (c <= 66426 || (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)))))))
            : (c <= 66511 || (c < 66967
              ? (c < 66816
                ? (c < 66720
                  ? (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)
                  : (c <= 66729 || (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)))
                : (c <= 66855 || (c < 66940
                  ? (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)
                  : (c <= 66954 || (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)))))
              : (c <= 66977 || (c < 67424
                ? (c < 67003
                  ? (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)
                  : (c <= 67004 || (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)))
                : (c <= 67431 || (c < 67506
                  ? (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)
                  : (c <= 67514 || (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)))))))))))
        : (c <= 67637 || (c < 69942
          ? (c < 68416
            ? (c < 68096
              ? (c < 67808
                ? (c < 67647
                  ? (c < 67644
                    ? (c >= 67639 && c <= 67640)
                    : c <= 67644)
                  : (c <= 67669 || (c < 67712
                    ? (c >= 67680 && c <= 67702)
                    : c <= 67742)))
                : (c <= 67826 || (c < 67872
                  ? (c < 67840
                    ? (c >= 67828 && c <= 67829)
                    : c <= 67861)
                  : (c <= 67897 || (c < 68030
                    ? (c >= 67968 && c <= 68023)
                    : c <= 68031)))))
              : (c <= 68099 || (c < 68159
                ? (c < 68117
                  ? (c < 68108
                    ? (c >= 68101 && c <= 68102)
                    : c <= 68115)
                  : (c <= 68119 || (c < 68152
                    ? (c >= 68121 && c <= 68149)
                    : c <= 68154)))
                : (c <= 68159 || (c < 68288
                  ? (c < 68224
                    ? (c >= 68192 && c <= 68220)
                    : c <= 68252)
                  : (c <= 68295 || (c < 68352
                    ? (c >= 68297 && c <= 68326)
                    : c <= 68405)))))))
            : (c <= 68437 || (c < 69415
              ? (c < 68864
                ? (c < 68608
                  ? (c < 68480
                    ? (c >= 68448 && c <= 68466)
                    : c <= 68497)
                  : (c <= 68680 || (c < 68800
                    ? (c >= 68736 && c <= 68786)
                    : c <= 68850)))
                : (c <= 68903 || (c < 69291
                  ? (c < 69248
                    ? (c >= 68912 && c <= 68921)
                    : c <= 69289)
                  : (c <= 69292 || (c < 69376
                    ? (c >= 69296 && c <= 69297)
                    : c <= 69404)))))
              : (c <= 69415 || (c < 69734
                ? (c < 69552
                  ? (c < 69488
                    ? (c >= 69424 && c <= 69456)
                    : c <= 69509)
                  : (c <= 69572 || (c < 69632
                    ? (c >= 69600 && c <= 69622)
                    : c <= 69702)))
                : (c <= 69749 || (c < 69840
                  ? (c < 69826
                    ? (c >= 69759 && c <= 69818)
                    : c <= 69826)
                  : (c <= 69864 || (c < 69888
                    ? (c >= 69872 && c <= 69881)
                    : c <= 69940)))))))))
          : (c <= 69951 || (c < 70453
            ? (c < 70280
              ? (c < 70094
                ? (c < 70006
                  ? (c < 69968
                    ? (c >= 69956 && c <= 69959)
                    : c <= 70003)
                  : (c <= 70006 || (c < 70089
                    ? (c >= 70016 && c <= 70084)
                    : c <= 70092)))
                : (c <= 70106 || (c < 70163
                  ? (c < 70144
                    ? c == 70108
                    : c <= 70161)
                  : (c <= 70199 || (c < 70272
                    ? c == 70206
                    : c <= 70278)))))
              : (c <= 70280 || (c < 70400
                ? (c < 70303
                  ? (c < 70287
                    ? (c >= 70282 && c <= 70285)
                    : c <= 70301)
                  : (c <= 70312 || (c < 70384
                    ? (c >= 70320 && c <= 70378)
                    : c <= 70393)))
                : (c <= 70403 || (c < 70419
                  ? (c < 70415
                    ? (c >= 70405 && c <= 70412)
                    : c <= 70416)
                  : (c <= 70440 || (c < 70450
                    ? (c >= 70442 && c <= 70448)
                    : c <= 70451)))))))
            : (c <= 70457 || (c < 70784
              ? (c < 70493
                ? (c < 70475
                  ? (c < 70471
                    ? (c >= 70459 && c <= 70468)
                    : c <= 70472)
                  : (c <= 70477 || (c < 70487
                    ? c == 70480
                    : c <= 70487)))
                : (c <= 70499 || (c < 70656
                  ? (c < 70512
                    ? (c >= 70502 && c <= 70508)
                    : c <= 70516)
                  : (c <= 70730 || (c < 70750
                    ? (c >= 70736 && c <= 70745)
                    : c <= 70753)))))
              : (c <= 70853 || (c < 71168
                ? (c < 71040
                  ? (c < 70864
                    ? c == 70855
                    : c <= 70873)
                  : (c <= 71093 || (c < 71128
                    ? (c >= 71096 && c <= 71104)
                    : c <= 71133)))
                : (c <= 71232 || (c < 71296
                  ? (c < 71248
                    ? c == 71236
                    : c <= 71257)
                  : (c <= 71352 || (c < 71424
                    ? (c >= 71360 && c <= 71369)
                    : c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_42(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'a'
                    ? c == '_'
                    : c <= 'y')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_43(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2741
        ? (c < 2042
          ? (c < 931
            ? (c < 248
              ? (c < 170
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 'b'
                    ? c == '_'
                    : c <= 'z')))
                : (c <= 170 || (c < 186
                  ? (c < 183
                    ? c == 181
                    : c <= 183)
                  : (c <= 186 || (c < 216
                    ? (c >= 192 && c <= 214)
                    : c <= 246)))))
              : (c <= 705 || (c < 886
                ? (c < 748
                  ? (c < 736
                    ? (c >= 710 && c <= 721)
                    : c <= 740)
                  : (c <= 748 || (c < 768
                    ? c == 750
                    : c <= 884)))
                : (c <= 887 || (c < 902
                  ? (c < 895
                    ? (c >= 891 && c <= 893)
                    : c <= 895)
                  : (c <= 906 || (c < 910
                    ? c == 908
                    : c <= 929)))))))
            : (c <= 1013 || (c < 1488
              ? (c < 1376
                ? (c < 1162
                  ? (c < 1155
                    ? (c >= 1015 && c <= 1153)
                    : c <= 1159)
                  : (c <= 1327 || (c < 1369
                    ? (c >= 1329 && c <= 1366)
                    : c <= 1369)))
                : (c <= 1416 || (c < 1473
                  ? (c < 1471
                    ? (c >= 1425 && c <= 1469)
                    : c <= 1471)
                  : (c <= 1474 || (c < 1479
                    ? (c >= 1476 && c <= 1477)
                    : c <= 1479)))))
              : (c <= 1514 || (c < 1759
                ? (c < 1568
                  ? (c < 1552
                    ? (c >= 1519 && c <= 1522)
                    : c <= 1562)
                  : (c <= 1641 || (c < 1749
                    ? (c >= 1646 && c <= 1747)
                    : c <= 1756)))
                : (c <= 1768 || (c < 1808
                  ? (c < 1791
                    ? (c >= 1770 && c <= 1788)
                    : c <= 1791)
                  : (c <= 1866 || (c < 1984
                    ? (c >= 1869 && c <= 1969)
                    : c <= 2037)))))))))
          : (c <= 2042 || (c < 2556
            ? (c < 2447
              ? (c < 2185
                ? (c < 2112
                  ? (c < 2048
                    ? c == 2045
                    : c <= 2093)
                  : (c <= 2139 || (c < 2160
                    ? (c >= 2144 && c <= 2154)
                    : c <= 2183)))
                : (c <= 2190 || (c < 2406
                  ? (c < 2275
                    ? (c >= 2200 && c <= 2273)
                    : c <= 2403)
                  : (c <= 2415 || (c < 2437
                    ? (c >= 2417 && c <= 2435)
                    : c <= 2444)))))
              : (c <= 2448 || (c < 2503
                ? (c < 2482
                  ? (c < 2474
                    ? (c >= 2451 && c <= 2472)
                    : c <= 2480)
                  : (c <= 2482 || (c < 2492
                    ? (c >= 2486 && c <= 2489)
                    : c <= 2500)))
                : (c <= 2504 || (c < 2524
                  ? (c < 2519
                    ? (c >= 2507 && c <= 2510)
                    : c <= 2519)
                  : (c <= 2525 || (c < 2534
                    ? (c >= 2527 && c <= 2531)
                    : c <= 2545)))))))
            : (c <= 2556 || (c < 2631
              ? (c < 2602
                ? (c < 2565
                  ? (c < 2561
                    ? c == 2558
                    : c <= 2563)
                  : (c <= 2570 || (c < 2579
                    ? (c >= 2575 && c <= 2576)
                    : c <= 2600)))
                : (c <= 2608 || (c < 2616
                  ? (c < 2613
                    ? (c >= 2610 && c <= 2611)
                    : c <= 2614)
                  : (c <= 2617 || (c < 2622
                    ? c == 2620
                    : c <= 2626)))))
              : (c <= 2632 || (c < 2689
                ? (c < 2649
                  ? (c < 2641
                    ? (c >= 2635 && c <= 2637)
                    : c <= 2641)
                  : (c <= 2652 || (c < 2662
                    ? c == 2654
                    : c <= 2677)))
                : (c <= 2691 || (c < 2707
                  ? (c < 2703
                    ? (c >= 2693 && c <= 2701)
                    : c <= 2705)
                  : (c <= 2728 || (c < 2738
                    ? (c >= 2730 && c <= 2736)
                    : c <= 2739)))))))))))
        : (c <= 2745 || (c < 3165
          ? (c < 2949
            ? (c < 2858
              ? (c < 2790
                ? (c < 2763
                  ? (c < 2759
                    ? (c >= 2748 && c <= 2757)
                    : c <= 2761)
                  : (c <= 2765 || (c < 2784
                    ? c == 2768
                    : c <= 2787)))
                : (c <= 2799 || (c < 2821
                  ? (c < 2817
                    ? (c >= 2809 && c <= 2815)
                    : c <= 2819)
                  : (c <= 2828 || (c < 2835
                    ? (c >= 2831 && c <= 2832)
                    : c <= 2856)))))
              : (c <= 2864 || (c < 2901
                ? (c < 2876
                  ? (c < 2869
                    ? (c >= 2866 && c <= 2867)
                    : c <= 2873)
                  : (c <= 2884 || (c < 2891
                    ? (c >= 2887 && c <= 2888)
                    : c <= 2893)))
                : (c <= 2903 || (c < 2918
                  ? (c < 2911
                    ? (c >= 2908 && c <= 2909)
                    : c <= 2915)
                  : (c <= 2927 || (c < 2946
                    ? c == 2929
                    : c <= 2947)))))))
            : (c <= 2954 || (c < 3024
              ? (c < 2979
                ? (c < 2969
                  ? (c < 2962
                    ? (c >= 2958 && c <= 2960)
                    : c <= 2965)
                  : (c <= 2970 || (c < 2974
                    ? c == 2972
                    : c <= 2975)))
                : (c <= 2980 || (c < 3006
                  ? (c < 2990
                    ? (c >= 2984 && c <= 2986)
                    : c <= 3001)
                  : (c <= 3010 || (c < 3018
                    ? (c >= 3014 && c <= 3016)
                    : c <= 3021)))))
              : (c <= 3024 || (c < 3114
                ? (c < 3072
                  ? (c < 3046
                    ? c == 3031
                    : c <= 3055)
                  : (c <= 3084 || (c < 3090
                    ? (c >= 3086 && c <= 3088)
                    : c <= 3112)))
                : (c <= 3129 || (c < 3146
                  ? (c < 3142
                    ? (c >= 3132 && c <= 3140)
                    : c <= 3144)
                  : (c <= 3149 || (c < 3160
                    ? (c >= 3157 && c <= 3158)
                    : c <= 3162)))))))))
          : (c <= 3165 || (c < 3430
            ? (c < 3285
              ? (c < 3218
                ? (c < 3200
                  ? (c < 3174
                    ? (c >= 3168 && c <= 3171)
                    : c <= 3183)
                  : (c <= 3203 || (c < 3214
                    ? (c >= 3205 && c <= 3212)
                    : c <= 3216)))
                : (c <= 3240 || (c < 3260
                  ? (c < 3253
                    ? (c >= 3242 && c <= 3251)
                    : c <= 3257)
                  : (c <= 3268 || (c < 3274
                    ? (c >= 3270 && c <= 3272)
                    : c <= 3277)))))
              : (c <= 3286 || (c < 3342
                ? (c < 3302
                  ? (c < 3296
                    ? (c >= 3293 && c <= 3294)
                    : c <= 3299)
                  : (c <= 3311 || (c < 3328
                    ? (c >= 3313 && c <= 3314)
                    : c <= 3340)))
                : (c <= 3344 || (c < 3402
                  ? (c < 3398
                    ? (c >= 3346 && c <= 3396)
                    : c <= 3400)
                  : (c <= 3406 || (c < 3423
                    ? (c >= 3412 && c <= 3415)
                    : c <= 3427)))))))
            : (c <= 3439 || (c < 3558
              ? (c < 3517
                ? (c < 3461
                  ? (c < 3457
                    ? (c >= 3450 && c <= 3455)
                    : c <= 3459)
                  : (c <= 3478 || (c < 3507
                    ? (c >= 3482 && c <= 3505)
                    : c <= 3515)))
                : (c <= 3517 || (c < 3535
                  ? (c < 3530
                    ? (c >= 3520 && c <= 3526)
                    : c <= 3530)
                  : (c <= 3540 || (c < 3544
                    ? c == 3542
                    : c <= 3551)))))
              : (c <= 3567 || (c < 3716
                ? (c < 3648
                  ? (c < 3585
                    ? (c >= 3570 && c <= 3571)
                    : c <= 3642)
                  : (c <= 3662 || (c < 3713
                    ? (c >= 3664 && c <= 3673)
                    : c <= 3714)))
                : (c <= 3716 || (c < 3749
                  ? (c < 3724
                    ? (c >= 3718 && c <= 3722)
                    : c <= 3747)
                  : (c <= 3749 || (c < 3776
                    ? (c >= 3751 && c <= 3773)
                    : c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_44(int32_t c) {
  return (c < 43616
    ? (c < 3782
      ? (c < 2748
        ? (c < 2045
          ? (c < 1015
            ? (c < 710
              ? (c < 181
                ? (c < 'A'
                  ? (c < '0'
                    ? c == '$'
                    : c <= '9')
                  : (c <= 'Z' || (c < 170
                    ? (c >= 'a' && c <= 'z')
                    : c <= 170)))
                : (c <= 181 || (c < 192
                  ? (c < 186
                    ? c == 183
                    : c <= 186)
                  : (c <= 214 || (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)))))
              : (c <= 721 || (c < 891
                ? (c < 750
                  ? (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)
                  : (c <= 750 || (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)))
                : (c <= 893 || (c < 908
                  ? (c < 902
                    ? c == 895
                    : c <= 906)
                  : (c <= 908 || (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)))))))
            : (c <= 1153 || (c < 1519
              ? (c < 1425
                ? (c < 1329
                  ? (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)
                  : (c <= 1366 || (c < 1376
                    ? c == 1369
                    : c <= 1416)))
                : (c <= 1469 || (c < 1476
                  ? (c < 1473
                    ? c == 1471
                    : c <= 1474)
                  : (c <= 1477 || (c < 1488
                    ? c == 1479
                    : c <= 1514)))))
              : (c <= 1522 || (c < 1770
                ? (c < 1646
                  ? (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)
                  : (c <= 1747 || (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)))
                : (c <= 1788 || (c < 1869
                  ? (c < 1808
                    ? c == 1791
                    : c <= 1866)
                  : (c <= 1969 || (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)))))))))
          : (c <= 2045 || (c < 2558
            ? (c < 2451
              ? (c < 2200
                ? (c < 2144
                  ? (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)
                  : (c <= 2154 || (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)))
                : (c <= 2273 || (c < 2417
                  ? (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)
                  : (c <= 2435 || (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)))))
              : (c <= 2472 || (c < 2507
                ? (c < 2486
                  ? (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)
                  : (c <= 2489 || (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)))
                : (c <= 2510 || (c < 2527
                  ? (c < 2524
                    ? c == 2519
                    : c <= 2525)
                  : (c <= 2531 || (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)))))))
            : (c <= 2558 || (c < 2635
              ? (c < 2610
                ? (c < 2575
                  ? (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)
                  : (c <= 2576 || (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)))
                : (c <= 2611 || (c < 2620
                  ? (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)
                  : (c <= 2620 || (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)))))
              : (c <= 2637 || (c < 2693
                ? (c < 2654
                  ? (c < 2649
                    ? c == 2641
                    : c <= 2652)
                  : (c <= 2654 || (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)))
                : (c <= 2701 || (c < 2730
                  ? (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)
                  : (c <= 2736 || (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)))))))))))
        : (c <= 2757 || (c < 3168
          ? (c < 2958
            ? (c < 2866
              ? (c < 2809
                ? (c < 2768
                  ? (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)
                  : (c <= 2768 || (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)))
                : (c <= 2815 || (c < 2831
                  ? (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)
                  : (c <= 2832 || (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)))))
              : (c <= 2867 || (c < 2908
                ? (c < 2887
                  ? (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)
                  : (c <= 2888 || (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)))
                : (c <= 2909 || (c < 2929
                  ? (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)
                  : (c <= 2929 || (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)))))))
            : (c <= 2960 || (c < 3031
              ? (c < 2984
                ? (c < 2972
                  ? (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)
                  : (c <= 2972 || (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)))
                : (c <= 2986 || (c < 3014
                  ? (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)
                  : (c <= 3016 || (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)))))
              : (c <= 3031 || (c < 3132
                ? (c < 3086
                  ? (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)
                  : (c <= 3088 || (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)))
                : (c <= 3140 || (c < 3157
                  ? (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)
                  : (c <= 3158 || (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)))))))))
          : (c <= 3171 || (c < 3450
            ? (c < 3293
              ? (c < 3242
                ? (c < 3205
                  ? (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)
                  : (c <= 3212 || (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)))
                : (c <= 3251 || (c < 3270
                  ? (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)
                  : (c <= 3272 || (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)))))
              : (c <= 3294 || (c < 3346
                ? (c < 3313
                  ? (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)
                  : (c <= 3314 || (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)))
                : (c <= 3396 || (c < 3412
                  ? (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)
                  : (c <= 3415 || (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)))))))
            : (c <= 3455 || (c < 3570
              ? (c < 3520
                ? (c < 3482
                  ? (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)
                  : (c <= 3505 || (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)))
                : (c <= 3526 || (c < 3542
                  ? (c < 3535
                    ? c == 3530
                    : c <= 3540)
                  : (c <= 3542 || (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)))))
              : (c <= 3571 || (c < 3718
                ? (c < 3664
                  ? (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)
                  : (c <= 3673 || (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)))
                : (c <= 3722 || (c < 3751
                  ? (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)
                  : (c <= 3773 || (c >= 3776 && c <= 3780)))))))))))))
      : (c <= 3782 || (c < 8025
        ? (c < 5888
          ? (c < 4688
            ? (c < 3953
              ? (c < 3872
                ? (c < 3804
                  ? (c < 3792
                    ? (c >= 3784 && c <= 3789)
                    : c <= 3801)
                  : (c <= 3807 || (c < 3864
                    ? c == 3840
                    : c <= 3865)))
                : (c <= 3881 || (c < 3897
                  ? (c < 3895
                    ? c == 3893
                    : c <= 3895)
                  : (c <= 3897 || (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)))))
              : (c <= 3972 || (c < 4256
                ? (c < 4038
                  ? (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)
                  : (c <= 4038 || (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)))
                : (c <= 4293 || (c < 4304
                  ? (c < 4301
                    ? c == 4295
                    : c <= 4301)
                  : (c <= 4346 || (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)))))))
            : (c <= 4694 || (c < 4882
              ? (c < 4786
                ? (c < 4704
                  ? (c < 4698
                    ? c == 4696
                    : c <= 4701)
                  : (c <= 4744 || (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)))
                : (c <= 4789 || (c < 4802
                  ? (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)
                  : (c <= 4805 || (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)))))
              : (c <= 4885 || (c < 5112
                ? (c < 4969
                  ? (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)
                  : (c <= 4977 || (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)))
                : (c <= 5117 || (c < 5761
                  ? (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)
                  : (c <= 5786 || (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)))))))))
          : (c <= 5909 || (c < 6688
            ? (c < 6176
              ? (c < 6016
                ? (c < 5984
                  ? (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)
                  : (c <= 5996 || (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)))
                : (c <= 6099 || (c < 6112
                  ? (c < 6108
                    ? c == 6103
                    : c <= 6109)
                  : (c <= 6121 || (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)))))
              : (c <= 6264 || (c < 6470
                ? (c < 6400
                  ? (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)
                  : (c <= 6430 || (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)))
                : (c <= 6509 || (c < 6576
                  ? (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)
                  : (c <= 6601 || (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)))))))
            : (c <= 6750 || (c < 7232
              ? (c < 6847
                ? (c < 6800
                  ? (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)
                  : (c <= 6809 || (c < 6832
                    ? c == 6823
                    : c <= 6845)))
                : (c <= 6862 || (c < 7019
                  ? (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)
                  : (c <= 7027 || (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)))))
              : (c <= 7241 || (c < 7380
                ? (c < 7312
                  ? (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)
                  : (c <= 7354 || (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)))
                : (c <= 7418 || (c < 7968
                  ? (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)
                  : (c <= 8005 || (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)))))))))))
        : (c <= 8025 || (c < 11720
          ? (c < 8458
            ? (c < 8178
              ? (c < 8126
                ? (c < 8031
                  ? (c < 8029
                    ? c == 8027
                    : c <= 8029)
                  : (c <= 8061 || (c < 8118
                    ? (c >= 8064 && c <= 8116)
                    : c <= 8124)))
                : (c <= 8126 || (c < 8144
                  ? (c < 8134
                    ? (c >= 8130 && c <= 8132)
                    : c <= 8140)
                  : (c <= 8147 || (c < 8160
                    ? (c >= 8150 && c <= 8155)
                    : c <= 8172)))))
              : (c <= 8180 || (c < 8336
                ? (c < 8276
                  ? (c < 8255
                    ? (c >= 8182 && c <= 8188)
                    : c <= 8256)
                  : (c <= 8276 || (c < 8319
                    ? c == 8305
                    : c <= 8319)))
                : (c <= 8348 || (c < 8421
                  ? (c < 8417
                    ? (c >= 8400 && c <= 8412)
                    : c <= 8417)
                  : (c <= 8432 || (c < 8455
                    ? c == 8450
                    : c <= 8455)))))))
            : (c <= 8467 || (c < 11499
              ? (c < 8490
                ? (c < 8484
                  ? (c < 8472
                    ? c == 8469
                    : c <= 8477)
                  : (c <= 8484 || (c < 8488
                    ? c == 8486
                    : c <= 8488)))
                : (c <= 8505 || (c < 8526
                  ? (c < 8517
                    ? (c >= 8508 && c <= 8511)
                    : c <= 8521)
                  : (c <= 8526 || (c < 11264
                    ? (c >= 8544 && c <= 8584)
                    : c <= 11492)))))
              : (c <= 11507 || (c < 11647
                ? (c < 11565
                  ? (c < 11559
                    ? (c >= 11520 && c <= 11557)
                    : c <= 11559)
                  : (c <= 11565 || (c < 11631
                    ? (c >= 11568 && c <= 11623)
                    : c <= 11631)))
                : (c <= 11670 || (c < 11696
                  ? (c < 11688
                    ? (c >= 11680 && c <= 11686)
                    : c <= 11694)
                  : (c <= 11702 || (c < 11712
                    ? (c >= 11704 && c <= 11710)
                    : c <= 11718)))))))))
          : (c <= 11726 || (c < 42623
            ? (c < 12540
              ? (c < 12337
                ? (c < 11744
                  ? (c < 11736
                    ? (c >= 11728 && c <= 11734)
                    : c <= 11742)
                  : (c <= 11775 || (c < 12321
                    ? (c >= 12293 && c <= 12295)
                    : c <= 12335)))
                : (c <= 12341 || (c < 12441
                  ? (c < 12353
                    ? (c >= 12344 && c <= 12348)
                    : c <= 12438)
                  : (c <= 12442 || (c < 12449
                    ? (c >= 12445 && c <= 12447)
                    : c <= 12538)))))
              : (c <= 12543 || (c < 19968
                ? (c < 12704
                  ? (c < 12593
                    ? (c >= 12549 && c <= 12591)
                    : c <= 12686)
                  : (c <= 12735 || (c < 13312
                    ? (c >= 12784 && c <= 12799)
                    : c <= 19903)))
                : (c <= 42124 || (c < 42512
                  ? (c < 42240
                    ? (c >= 42192 && c <= 42237)
                    : c <= 42508)
                  : (c <= 42539 || (c < 42612
                    ? (c >= 42560 && c <= 42607)
                    : c <= 42621)))))))
            : (c <= 42737 || (c < 43232
              ? (c < 42965
                ? (c < 42891
                  ? (c < 42786
                    ? (c >= 42775 && c <= 42783)
                    : c <= 42888)
                  : (c <= 42954 || (c < 42963
                    ? (c >= 42960 && c <= 42961)
                    : c <= 42963)))
                : (c <= 42969 || (c < 43072
                  ? (c < 43052
                    ? (c >= 42994 && c <= 43047)
                    : c <= 43052)
                  : (c <= 43123 || (c < 43216
                    ? (c >= 43136 && c <= 43205)
                    : c <= 43225)))))
              : (c <= 43255 || (c < 43471
                ? (c < 43312
                  ? (c < 43261
                    ? c == 43259
                    : c <= 43309)
                  : (c <= 43347 || (c < 43392
                    ? (c >= 43360 && c <= 43388)
                    : c <= 43456)))
                : (c <= 43481 || (c < 43584
                  ? (c < 43520
                    ? (c >= 43488 && c <= 43518)
                    : c <= 43574)
                  : (c <= 43597 || (c >= 43600 && c <= 43609)))))))))))))))
    : (c <= 43638 || (c < 71453
      ? (c < 67639
        ? (c < 65345
          ? (c < 64312
            ? (c < 43888
              ? (c < 43785
                ? (c < 43744
                  ? (c < 43739
                    ? (c >= 43642 && c <= 43714)
                    : c <= 43741)
                  : (c <= 43759 || (c < 43777
                    ? (c >= 43762 && c <= 43766)
                    : c <= 43782)))
                : (c <= 43790 || (c < 43816
                  ? (c < 43808
                    ? (c >= 43793 && c <= 43798)
                    : c <= 43814)
                  : (c <= 43822 || (c < 43868
                    ? (c >= 43824 && c <= 43866)
                    : c <= 43881)))))
              : (c <= 44010 || (c < 63744
                ? (c < 44032
                  ? (c < 44016
                    ? (c >= 44012 && c <= 44013)
                    : c <= 44025)
                  : (c <= 55203 || (c < 55243
                    ? (c >= 55216 && c <= 55238)
                    : c <= 55291)))
                : (c <= 64109 || (c < 64275
                  ? (c < 64256
                    ? (c >= 64112 && c <= 64217)
                    : c <= 64262)
                  : (c <= 64279 || (c < 64298
                    ? (c >= 64285 && c <= 64296)
                    : c <= 64310)))))))
            : (c <= 64316 || (c < 65075
              ? (c < 64612
                ? (c < 64323
                  ? (c < 64320
                    ? c == 64318
                    : c <= 64321)
                  : (c <= 64324 || (c < 64467
                    ? (c >= 64326 && c <= 64433)
                    : c <= 64605)))
                : (c <= 64829 || (c < 65008
                  ? (c < 64914
                    ? (c >= 64848 && c <= 64911)
                    : c <= 64967)
                  : (c <= 65017 || (c < 65056
                    ? (c >= 65024 && c <= 65039)
                    : c <= 65071)))))
              : (c <= 65076 || (c < 65147
                ? (c < 65139
                  ? (c < 65137
                    ? (c >= 65101 && c <= 65103)
                    : c <= 65137)
                  : (c <= 65139 || (c < 65145
                    ? c == 65143
                    : c <= 65145)))
                : (c <= 65147 || (c < 65296
                  ? (c < 65151
                    ? c == 65149
                    : c <= 65276)
                  : (c <= 65305 || (c < 65343
                    ? (c >= 65313 && c <= 65338)
                    : c <= 65343)))))))))
          : (c <= 65370 || (c < 66513
            ? (c < 65664
              ? (c < 65536
                ? (c < 65482
                  ? (c < 65474
                    ? (c >= 65382 && c <= 65470)
                    : c <= 65479)
                  : (c <= 65487 || (c < 65498
                    ? (c >= 65490 && c <= 65495)
                    : c <= 65500)))
                : (c <= 65547 || (c < 65596
                  ? (c < 65576
                    ? (c >= 65549 && c <= 65574)
                    : c <= 65594)
                  : (c <= 65597 || (c < 65616
                    ? (c >= 65599 && c <= 65613)
                    : c <= 65629)))))
              : (c <= 65786 || (c < 66304
                ? (c < 66176
                  ? (c < 66045
                    ? (c >= 65856 && c <= 65908)
                    : c <= 66045)
                  : (c <= 66204 || (c < 66272
                    ? (c >= 66208 && c <= 66256)
                    : c <= 66272)))
                : (c <= 66335 || (c < 66432
                  ? (c < 66384
                    ? (c >= 66349 && c <= 66378)
                    : c <= 66426)
                  : (c <= 66461 || (c < 66504
                    ? (c >= 66464 && c <= 66499)
                    : c <= 66511)))))))
            : (c <= 66517 || (c < 66979
              ? (c < 66864
                ? (c < 66736
                  ? (c < 66720
                    ? (c >= 66560 && c <= 66717)
                    : c <= 66729)
                  : (c <= 66771 || (c < 66816
                    ? (c >= 66776 && c <= 66811)
                    : c <= 66855)))
                : (c <= 66915 || (c < 66956
                  ? (c < 66940
                    ? (c >= 66928 && c <= 66938)
                    : c <= 66954)
                  : (c <= 66962 || (c < 66967
                    ? (c >= 66964 && c <= 66965)
                    : c <= 66977)))))
              : (c <= 66993 || (c < 67456
                ? (c < 67072
                  ? (c < 67003
                    ? (c >= 66995 && c <= 67001)
                    : c <= 67004)
                  : (c <= 67382 || (c < 67424
                    ? (c >= 67392 && c <= 67413)
                    : c <= 67431)))
                : (c <= 67461 || (c < 67584
                  ? (c < 67506
                    ? (c >= 67463 && c <= 67504)
                    : c <= 67514)
                  : (c <= 67589 || (c < 67594
                    ? c == 67592
                    : c <= 67637)))))))))))
        : (c <= 67640 || (c < 69956
          ? (c < 68448
            ? (c < 68101
              ? (c < 67828
                ? (c < 67680
                  ? (c < 67647
                    ? c == 67644
                    : c <= 67669)
                  : (c <= 67702 || (c < 67808
                    ? (c >= 67712 && c <= 67742)
                    : c <= 67826)))
                : (c <= 67829 || (c < 67968
                  ? (c < 67872
                    ? (c >= 67840 && c <= 67861)
                    : c <= 67897)
                  : (c <= 68023 || (c < 68096
                    ? (c >= 68030 && c <= 68031)
                    : c <= 68099)))))
              : (c <= 68102 || (c < 68192
                ? (c < 68121
                  ? (c < 68117
                    ? (c >= 68108 && c <= 68115)
                    : c <= 68119)
                  : (c <= 68149 || (c < 68159
                    ? (c >= 68152 && c <= 68154)
                    : c <= 68159)))
                : (c <= 68220 || (c < 68297
                  ? (c < 68288
                    ? (c >= 68224 && c <= 68252)
                    : c <= 68295)
                  : (c <= 68326 || (c < 68416
                    ? (c >= 68352 && c <= 68405)
                    : c <= 68437)))))))
            : (c <= 68466 || (c < 69424
              ? (c < 68912
                ? (c < 68736
                  ? (c < 68608
                    ? (c >= 68480 && c <= 68497)
                    : c <= 68680)
                  : (c <= 68786 || (c < 68864
                    ? (c >= 68800 && c <= 68850)
                    : c <= 68903)))
                : (c <= 68921 || (c < 69296
                  ? (c < 69291
                    ? (c >= 69248 && c <= 69289)
                    : c <= 69292)
                  : (c <= 69297 || (c < 69415
                    ? (c >= 69376 && c <= 69404)
                    : c <= 69415)))))
              : (c <= 69456 || (c < 69759
                ? (c < 69600
                  ? (c < 69552
                    ? (c >= 69488 && c <= 69509)
                    : c <= 69572)
                  : (c <= 69622 || (c < 69734
                    ? (c >= 69632 && c <= 69702)
                    : c <= 69749)))
                : (c <= 69818 || (c < 69872
                  ? (c < 69840
                    ? c == 69826
                    : c <= 69864)
                  : (c <= 69881 || (c < 69942
                    ? (c >= 69888 && c <= 69940)
                    : c <= 69951)))))))))
          : (c <= 69959 || (c < 70459
            ? (c < 70282
              ? (c < 70108
                ? (c < 70016
                  ? (c < 70006
                    ? (c >= 69968 && c <= 70003)
                    : c <= 70006)
                  : (c <= 70084 || (c < 70094
                    ? (c >= 70089 && c <= 70092)
                    : c <= 70106)))
                : (c <= 70108 || (c < 70206
                  ? (c < 70163
                    ? (c >= 70144 && c <= 70161)
                    : c <= 70199)
                  : (c <= 70206 || (c < 70280
                    ? (c >= 70272 && c <= 70278)
                    : c <= 70280)))))
              : (c <= 70285 || (c < 70405
                ? (c < 70320
                  ? (c < 70303
                    ? (c >= 70287 && c <= 70301)
                    : c <= 70312)
                  : (c <= 70378 || (c < 70400
                    ? (c >= 70384 && c <= 70393)
                    : c <= 70403)))
                : (c <= 70412 || (c < 70442
                  ? (c < 70419
                    ? (c >= 70415 && c <= 70416)
                    : c <= 70440)
                  : (c <= 70448 || (c < 70453
                    ? (c >= 70450 && c <= 70451)
                    : c <= 70457)))))))
            : (c <= 70468 || (c < 70855
              ? (c < 70502
                ? (c < 70480
                  ? (c < 70475
                    ? (c >= 70471 && c <= 70472)
                    : c <= 70477)
                  : (c <= 70480 || (c < 70493
                    ? c == 70487
                    : c <= 70499)))
                : (c <= 70508 || (c < 70736
                  ? (c < 70656
                    ? (c >= 70512 && c <= 70516)
                    : c <= 70730)
                  : (c <= 70745 || (c < 70784
                    ? (c >= 70750 && c <= 70753)
                    : c <= 70853)))))
              : (c <= 70855 || (c < 71236
                ? (c < 71096
                  ? (c < 71040
                    ? (c >= 70864 && c <= 70873)
                    : c <= 71093)
                  : (c <= 71104 || (c < 71168
                    ? (c >= 71128 && c <= 71133)
                    : c <= 71232)))
                : (c <= 71236 || (c < 71360
                  ? (c < 71296
                    ? (c >= 71248 && c <= 71257)
                    : c <= 71352)
                  : (c <= 71369 || (c >= 71424 && c <= 71450)))))))))))))
      : (c <= 71467 || (c < 119973
        ? (c < 77824
          ? (c < 72760
            ? (c < 72016
              ? (c < 71945
                ? (c < 71680
                  ? (c < 71488
                    ? (c >= 71472 && c <= 71481)
                    : c <= 71494)
                  : (c <= 71738 || (c < 71935
                    ? (c >= 71840 && c <= 71913)
                    : c <= 71942)))
                : (c <= 71945 || (c < 71960
                  ? (c < 71957
                    ? (c >= 71948 && c <= 71955)
                    : c <= 71958)
                  : (c <= 71989 || (c < 71995
                    ? (c >= 71991 && c <= 71992)
                    : c <= 72003)))))
              : (c <= 72025 || (c < 72263
                ? (c < 72154
                  ? (c < 72106
                    ? (c >= 72096 && c <= 72103)
                    : c <= 72151)
                  : (c <= 72161 || (c < 72192
                    ? (c >= 72163 && c <= 72164)
                    : c <= 72254)))
                : (c <= 72263 || (c < 72368
                  ? (c < 72349
                    ? (c >= 72272 && c <= 72345)
                    : c <= 72349)
                  : (c <= 72440 || (c < 72714
                    ? (c >= 72704 && c <= 72712)
                    : c <= 72758)))))))
            : (c <= 72768 || (c < 73056
              ? (c < 72968
                ? (c < 72850
                  ? (c < 72818
                    ? (c >= 72784 && c <= 72793)
                    : c <= 72847)
                  : (c <= 72871 || (c < 72960
                    ? (c >= 72873 && c <= 72886)
                    : c <= 72966)))
                : (c <= 72969 || (c < 73020
                  ? (c < 73018
                    ? (c >= 72971 && c <= 73014)
                    : c <= 73018)
                  : (c <= 73021 || (c < 73040
                    ? (c >= 73023 && c <= 73031)
                    : c <= 73049)))))
              : (c <= 73061 || (c < 73440
                ? (c < 73104
                  ? (c < 73066
                    ? (c >= 73063 && c <= 73064)
                    : c <= 73102)
                  : (c <= 73105 || (c < 73120
                    ? (c >= 73107 && c <= 73112)
                    : c <= 73129)))
                : (c <= 73462 || (c < 74752
                  ? (c < 73728
                    ? c == 73648
                    : c <= 74649)
                  : (c <= 74862 || (c < 77712
                    ? (c >= 74880 && c <= 75075)
                    : c <= 77808)))))))))
          : (c <= 78894 || (c < 110576
            ? (c < 93027
              ? (c < 92864
                ? (c < 92736
                  ? (c < 92160
                    ? (c >= 82944 && c <= 83526)
                    : c <= 92728)
                  : (c <= 92766 || (c < 92784
                    ? (c >= 92768 && c <= 92777)
                    : c <= 92862)))
                : (c <= 92873 || (c < 92928
                  ? (c < 92912
                    ? (c >= 92880 && c <= 92909)
                    : c <= 92916)
                  : (c <= 92982 || (c < 93008
                    ? (c >= 92992 && c <= 92995)
                    : c <= 93017)))))
              : (c <= 93047 || (c < 94176
                ? (c < 93952
                  ? (c < 93760
                    ? (c >= 93053 && c <= 93071)
                    : c <= 93823)
                  : (c <= 94026 || (c < 94095
                    ? (c >= 94031 && c <= 94087)
                    : c <= 94111)))
                : (c <= 94177 || (c < 94208
                  ? (c < 94192
                    ? (c >= 94179 && c <= 94180)
                    : c <= 94193)
                  : (c <= 100343 || (c < 101632
                    ? (c >= 100352 && c <= 101589)
                    : c <= 101640)))))))
            : (c <= 110579 || (c < 118528
              ? (c < 110960
                ? (c < 110592
                  ? (c < 110589
                    ? (c >= 110581 && c <= 110587)
                    : c <= 110590)
                  : (c <= 110882 || (c < 110948
                    ? (c >= 110928 && c <= 110930)
                    : c <= 110951)))
                : (c <= 111355 || (c < 113792
                  ? (c < 113776
                    ? (c >= 113664 && c <= 113770)
                    : c <= 113788)
                  : (c <= 113800 || (c < 113821
                    ? (c >= 113808 && c <= 113817)
                    : c <= 113822)))))
              : (c <= 118573 || (c < 119210
                ? (c < 119149
                  ? (c < 119141
                    ? (c >= 118576 && c <= 118598)
                    : c <= 119145)
                  : (c <= 119154 || (c < 119173
                    ? (c >= 119163 && c <= 119170)
                    : c <= 119179)))
                : (c <= 119213 || (c < 119894
                  ? (c < 119808
                    ? (c >= 119362 && c <= 119364)
                    : c <= 119892)
                  : (c <= 119964 || (c < 119970
                    ? (c >= 119966 && c <= 119967)
                    : c <= 119970)))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static inline bool sym_identifier_character_set_45(int32_t c) {
  return (c < 43739
    ? (c < 3804
      ? (c < 2768
        ? (c < 2144
          ? (c < 1329
            ? (c < 750
              ? (c < 192
                ? (c < 181
                  ? (c < 170
                    ? c == '$'
                    : c <= 170)
                  : (c <= 181 || (c < 186
                    ? c == 183
                    : c <= 186)))
                : (c <= 214 || (c < 710
                  ? (c < 248
                    ? (c >= 216 && c <= 246)
                    : c <= 705)
                  : (c <= 721 || (c < 748
                    ? (c >= 736 && c <= 740)
                    : c <= 748)))))
              : (c <= 750 || (c < 908
                ? (c < 891
                  ? (c < 886
                    ? (c >= 768 && c <= 884)
                    : c <= 887)
                  : (c <= 893 || (c < 902
                    ? c == 895
                    : c <= 906)))
                : (c <= 908 || (c < 1015
                  ? (c < 931
                    ? (c >= 910 && c <= 929)
                    : c <= 1013)
                  : (c <= 1153 || (c < 1162
                    ? (c >= 1155 && c <= 1159)
                    : c <= 1327)))))))
            : (c <= 1366 || (c < 1646
              ? (c < 1476
                ? (c < 1425
                  ? (c < 1376
                    ? c == 1369
                    : c <= 1416)
                  : (c <= 1469 || (c < 1473
                    ? c == 1471
                    : c <= 1474)))
                : (c <= 1477 || (c < 1519
                  ? (c < 1488
                    ? c == 1479
                    : c <= 1514)
                  : (c <= 1522 || (c < 1568
                    ? (c >= 1552 && c <= 1562)
                    : c <= 1641)))))
              : (c <= 1747 || (c < 1869
                ? (c < 1770
                  ? (c < 1759
                    ? (c >= 1749 && c <= 1756)
                    : c <= 1768)
                  : (c <= 1788 || (c < 1808
                    ? c == 1791
                    : c <= 1866)))
                : (c <= 1969 || (c < 2045
                  ? (c < 2042
                    ? (c >= 1984 && c <= 2037)
                    : c <= 2042)
                  : (c <= 2045 || (c < 2112
                    ? (c >= 2048 && c <= 2093)
                    : c <= 2139)))))))))
          : (c <= 2154 || (c < 2575
            ? (c < 2486
              ? (c < 2417
                ? (c < 2200
                  ? (c < 2185
                    ? (c >= 2160 && c <= 2183)
                    : c <= 2190)
                  : (c <= 2273 || (c < 2406
                    ? (c >= 2275 && c <= 2403)
                    : c <= 2415)))
                : (c <= 2435 || (c < 2451
                  ? (c < 2447
                    ? (c >= 2437 && c <= 2444)
                    : c <= 2448)
                  : (c <= 2472 || (c < 2482
                    ? (c >= 2474 && c <= 2480)
                    : c <= 2482)))))
              : (c <= 2489 || (c < 2527
                ? (c < 2507
                  ? (c < 2503
                    ? (c >= 2492 && c <= 2500)
                    : c <= 2504)
                  : (c <= 2510 || (c < 2524
                    ? c == 2519
                    : c <= 2525)))
                : (c <= 2531 || (c < 2558
                  ? (c < 2556
                    ? (c >= 2534 && c <= 2545)
                    : c <= 2556)
                  : (c <= 2558 || (c < 2565
                    ? (c >= 2561 && c <= 2563)
                    : c <= 2570)))))))
            : (c <= 2576 || (c < 2654
              ? (c < 2620
                ? (c < 2610
                  ? (c < 2602
                    ? (c >= 2579 && c <= 2600)
                    : c <= 2608)
                  : (c <= 2611 || (c < 2616
                    ? (c >= 2613 && c <= 2614)
                    : c <= 2617)))
                : (c <= 2620 || (c < 2635
                  ? (c < 2631
                    ? (c >= 2622 && c <= 2626)
                    : c <= 2632)
                  : (c <= 2637 || (c < 2649
                    ? c == 2641
                    : c <= 2652)))))
              : (c <= 2654 || (c < 2730
                ? (c < 2693
                  ? (c < 2689
                    ? (c >= 2662 && c <= 2677)
                    : c <= 2691)
                  : (c <= 2701 || (c < 2707
                    ? (c >= 2703 && c <= 2705)
                    : c <= 2728)))
                : (c <= 2736 || (c < 2748
                  ? (c < 2741
                    ? (c >= 2738 && c <= 2739)
                    : c <= 2745)
                  : (c <= 2757 || (c < 2763
                    ? (c >= 2759 && c <= 2761)
                    : c <= 2765)))))))))))
        : (c <= 2768 || (c < 3205
          ? (c < 2972
            ? (c < 2887
              ? (c < 2831
                ? (c < 2809
                  ? (c < 2790
                    ? (c >= 2784 && c <= 2787)
                    : c <= 2799)
                  : (c <= 2815 || (c < 2821
                    ? (c >= 2817 && c <= 2819)
                    : c <= 2828)))
                : (c <= 2832 || (c < 2866
                  ? (c < 2858
                    ? (c >= 2835 && c <= 2856)
                    : c <= 2864)
                  : (c <= 2867 || (c < 2876
                    ? (c >= 2869 && c <= 2873)
                    : c <= 2884)))))
              : (c <= 2888 || (c < 2929
                ? (c < 2908
                  ? (c < 2901
                    ? (c >= 2891 && c <= 2893)
                    : c <= 2903)
                  : (c <= 2909 || (c < 2918
                    ? (c >= 2911 && c <= 2915)
                    : c <= 2927)))
                : (c <= 2929 || (c < 2958
                  ? (c < 2949
                    ? (c >= 2946 && c <= 2947)
                    : c <= 2954)
                  : (c <= 2960 || (c < 2969
                    ? (c >= 2962 && c <= 2965)
                    : c <= 2970)))))))
            : (c <= 2972 || (c < 3086
              ? (c < 3014
                ? (c < 2984
                  ? (c < 2979
                    ? (c >= 2974 && c <= 2975)
                    : c <= 2980)
                  : (c <= 2986 || (c < 3006
                    ? (c >= 2990 && c <= 3001)
                    : c <= 3010)))
                : (c <= 3016 || (c < 3031
                  ? (c < 3024
                    ? (c >= 3018 && c <= 3021)
                    : c <= 3024)
                  : (c <= 3031 || (c < 3072
                    ? (c >= 3046 && c <= 3055)
                    : c <= 3084)))))
              : (c <= 3088 || (c < 3157
                ? (c < 3132
                  ? (c < 3114
                    ? (c >= 3090 && c <= 3112)
                    : c <= 3129)
                  : (c <= 3140 || (c < 3146
                    ? (c >= 3142 && c <= 3144)
                    : c <= 3149)))
                : (c <= 3158 || (c < 3168
                  ? (c < 3165
                    ? (c >= 3160 && c <= 3162)
                    : c <= 3165)
                  : (c <= 3171 || (c < 3200
                    ? (c >= 3174 && c <= 3183)
                    : c <= 3203)))))))))
          : (c <= 3212 || (c < 3482
            ? (c < 3313
              ? (c < 3270
                ? (c < 3242
                  ? (c < 3218
                    ? (c >= 3214 && c <= 3216)
                    : c <= 3240)
                  : (c <= 3251 || (c < 3260
                    ? (c >= 3253 && c <= 3257)
                    : c <= 3268)))
                : (c <= 3272 || (c < 3293
                  ? (c < 3285
                    ? (c >= 3274 && c <= 3277)
                    : c <= 3286)
                  : (c <= 3294 || (c < 3302
                    ? (c >= 3296 && c <= 3299)
                    : c <= 3311)))))
              : (c <= 3314 || (c < 3412
                ? (c < 3346
                  ? (c < 3342
                    ? (c >= 3328 && c <= 3340)
                    : c <= 3344)
                  : (c <= 3396 || (c < 3402
                    ? (c >= 3398 && c <= 3400)
                    : c <= 3406)))
                : (c <= 3415 || (c < 3450
                  ? (c < 3430
                    ? (c >= 3423 && c <= 3427)
                    : c <= 3439)
                  : (c <= 3455 || (c < 3461
                    ? (c >= 3457 && c <= 3459)
                    : c <= 3478)))))))
            : (c <= 3505 || (c < 3664
              ? (c < 3542
                ? (c < 3520
                  ? (c < 3517
                    ? (c >= 3507 && c <= 3515)
                    : c <= 3517)
                  : (c <= 3526 || (c < 3535
                    ? c == 3530
                    : c <= 3540)))
                : (c <= 3542 || (c < 3570
                  ? (c < 3558
                    ? (c >= 3544 && c <= 3551)
                    : c <= 3567)
                  : (c <= 3571 || (c < 3648
                    ? (c >= 3585 && c <= 3642)
                    : c <= 3662)))))
              : (c <= 3673 || (c < 3751
                ? (c < 3718
                  ? (c < 3716
                    ? (c >= 3713 && c <= 3714)
                    : c <= 3716)
                  : (c <= 3722 || (c < 3749
                    ? (c >= 3724 && c <= 3747)
                    : c <= 3749)))
                : (c <= 3773 || (c < 3784
                  ? (c < 3782
                    ? (c >= 3776 && c <= 3780)
                    : c <= 3782)
                  : (c <= 3789 || (c >= 3792 && c <= 3801)))))))))))))
      : (c <= 3807 || (c < 8029
        ? (c < 5984
          ? (c < 4704
            ? (c < 4038
              ? (c < 3897
                ? (c < 3872
                  ? (c < 3864
                    ? c == 3840
                    : c <= 3865)
                  : (c <= 3881 || (c < 3895
                    ? c == 3893
                    : c <= 3895)))
                : (c <= 3897 || (c < 3953
                  ? (c < 3913
                    ? (c >= 3902 && c <= 3911)
                    : c <= 3948)
                  : (c <= 3972 || (c < 3993
                    ? (c >= 3974 && c <= 3991)
                    : c <= 4028)))))
              : (c <= 4038 || (c < 4304
                ? (c < 4256
                  ? (c < 4176
                    ? (c >= 4096 && c <= 4169)
                    : c <= 4253)
                  : (c <= 4293 || (c < 4301
                    ? c == 4295
                    : c <= 4301)))
                : (c <= 4346 || (c < 4688
                  ? (c < 4682
                    ? (c >= 4348 && c <= 4680)
                    : c <= 4685)
                  : (c <= 4694 || (c < 4698
                    ? c == 4696
                    : c <= 4701)))))))
            : (c <= 4744 || (c < 4969
              ? (c < 4802
                ? (c < 4786
                  ? (c < 4752
                    ? (c >= 4746 && c <= 4749)
                    : c <= 4784)
                  : (c <= 4789 || (c < 4800
                    ? (c >= 4792 && c <= 4798)
                    : c <= 4800)))
                : (c <= 4805 || (c < 4882
                  ? (c < 4824
                    ? (c >= 4808 && c <= 4822)
                    : c <= 4880)
                  : (c <= 4885 || (c < 4957
                    ? (c >= 4888 && c <= 4954)
                    : c <= 4959)))))
              : (c <= 4977 || (c < 5761
                ? (c < 5112
                  ? (c < 5024
                    ? (c >= 4992 && c <= 5007)
                    : c <= 5109)
                  : (c <= 5117 || (c < 5743
                    ? (c >= 5121 && c <= 5740)
                    : c <= 5759)))
                : (c <= 5786 || (c < 5888
                  ? (c < 5870
                    ? (c >= 5792 && c <= 5866)
                    : c <= 5880)
                  : (c <= 5909 || (c < 5952
                    ? (c >= 5919 && c <= 5940)
                    : c <= 5971)))))))))
          : (c <= 5996 || (c < 6800
            ? (c < 6400
              ? (c < 6112
                ? (c < 6016
                  ? (c < 6002
                    ? (c >= 5998 && c <= 6000)
                    : c <= 6003)
                  : (c <= 6099 || (c < 6108
                    ? c == 6103
                    : c <= 6109)))
                : (c <= 6121 || (c < 6176
                  ? (c < 6159
                    ? (c >= 6155 && c <= 6157)
                    : c <= 6169)
                  : (c <= 6264 || (c < 6320
                    ? (c >= 6272 && c <= 6314)
                    : c <= 6389)))))
              : (c <= 6430 || (c < 6576
                ? (c < 6470
                  ? (c < 6448
                    ? (c >= 6432 && c <= 6443)
                    : c <= 6459)
                  : (c <= 6509 || (c < 6528
                    ? (c >= 6512 && c <= 6516)
                    : c <= 6571)))
                : (c <= 6601 || (c < 6688
                  ? (c < 6656
                    ? (c >= 6608 && c <= 6618)
                    : c <= 6683)
                  : (c <= 6750 || (c < 6783
                    ? (c >= 6752 && c <= 6780)
                    : c <= 6793)))))))
            : (c <= 6809 || (c < 7312
              ? (c < 7019
                ? (c < 6847
                  ? (c < 6832
                    ? c == 6823
                    : c <= 6845)
                  : (c <= 6862 || (c < 6992
                    ? (c >= 6912 && c <= 6988)
                    : c <= 7001)))
                : (c <= 7027 || (c < 7232
                  ? (c < 7168
                    ? (c >= 7040 && c <= 7155)
                    : c <= 7223)
                  : (c <= 7241 || (c < 7296
                    ? (c >= 7245 && c <= 7293)
                    : c <= 7304)))))
              : (c <= 7354 || (c < 7968
                ? (c < 7380
                  ? (c < 7376
                    ? (c >= 7357 && c <= 7359)
                    : c <= 7378)
                  : (c <= 7418 || (c < 7960
                    ? (c >= 7424 && c <= 7957)
                    : c <= 7965)))
                : (c <= 8005 || (c < 8025
                  ? (c < 8016
                    ? (c >= 8008 && c <= 8013)
                    : c <= 8023)
                  : (c <= 8025 || c == 8027))))))))))
        : (c <= 8029 || (c < 11736
          ? (c < 8472
            ? (c < 8255
              ? (c < 8134
                ? (c < 8118
                  ? (c < 8064
                    ? (c >= 8031 && c <= 8061)
                    : c <= 8116)
                  : (c <= 8124 || (c < 8130
                    ? c == 8126
                    : c <= 8132)))
                : (c <= 8140 || (c < 8160
                  ? (c < 8150
                    ? (c >= 8144 && c <= 8147)
                    : c <= 8155)
                  : (c <= 8172 || (c < 8182
                    ? (c >= 8178 && c <= 8180)
                    : c <= 8188)))))
              : (c <= 8256 || (c < 8417
                ? (c < 8319
                  ? (c < 8305
                    ? c == 8276
                    : c <= 8305)
                  : (c <= 8319 || (c < 8400
                    ? (c >= 8336 && c <= 8348)
                    : c <= 8412)))
                : (c <= 8417 || (c < 8455
                  ? (c < 8450
                    ? (c >= 8421 && c <= 8432)
                    : c <= 8450)
                  : (c <= 8455 || (c < 8469
                    ? (c >= 8458 && c <= 8467)
                    : c <= 8469)))))))
            : (c <= 8477 || (c < 11559
              ? (c < 8517
                ? (c < 8488
                  ? (c < 8486
                    ? c == 8484
                    : c <= 8486)
                  : (c <= 8488 || (c < 8508
                    ? (c >= 8490 && c <= 8505)
                    : c <= 8511)))
                : (c <= 8521 || (c < 11264
                  ? (c < 8544
                    ? c == 8526
                    : c <= 8584)
                  : (c <= 11492 || (c < 11520
                    ? (c >= 11499 && c <= 11507)
                    : c <= 11557)))))
              : (c <= 11559 || (c < 11688
                ? (c < 11631
                  ? (c < 11568
                    ? c == 11565
                    : c <= 11623)
                  : (c <= 11631 || (c < 11680
                    ? (c >= 11647 && c <= 11670)
                    : c <= 11686)))
                : (c <= 11694 || (c < 11712
                  ? (c < 11704
                    ? (c >= 11696 && c <= 11702)
                    : c <= 11710)
                  : (c <= 11718 || (c < 11728
                    ? (c >= 11720 && c <= 11726)
                    : c <= 11734)))))))))
          : (c <= 11742 || (c < 42786
            ? (c < 12593
              ? (c < 12353
                ? (c < 12321
                  ? (c < 12293
                    ? (c >= 11744 && c <= 11775)
                    : c <= 12295)
                  : (c <= 12335 || (c < 12344
                    ? (c >= 12337 && c <= 12341)
                    : c <= 12348)))
                : (c <= 12438 || (c < 12449
                  ? (c < 12445
                    ? (c >= 12441 && c <= 12442)
                    : c <= 12447)
                  : (c <= 12538 || (c < 12549
                    ? (c >= 12540 && c <= 12543)
                    : c <= 12591)))))
              : (c <= 12686 || (c < 42240
                ? (c < 13312
                  ? (c < 12784
                    ? (c >= 12704 && c <= 12735)
                    : c <= 12799)
                  : (c <= 19903 || (c < 42192
                    ? (c >= 19968 && c <= 42124)
                    : c <= 42237)))
                : (c <= 42508 || (c < 42612
                  ? (c < 42560
                    ? (c >= 42512 && c <= 42539)
                    : c <= 42607)
                  : (c <= 42621 || (c < 42775
                    ? (c >= 42623 && c <= 42737)
                    : c <= 42783)))))))
            : (c <= 42888 || (c < 43261
              ? (c < 43052
                ? (c < 42963
                  ? (c < 42960
                    ? (c >= 42891 && c <= 42954)
                    : c <= 42961)
                  : (c <= 42963 || (c < 42994
                    ? (c >= 42965 && c <= 42969)
                    : c <= 43047)))
                : (c <= 43052 || (c < 43216
                  ? (c < 43136
                    ? (c >= 43072 && c <= 43123)
                    : c <= 43205)
                  : (c <= 43225 || (c < 43259
                    ? (c >= 43232 && c <= 43255)
                    : c <= 43259)))))
              : (c <= 43309 || (c < 43520
                ? (c < 43392
                  ? (c < 43360
                    ? (c >= 43312 && c <= 43347)
                    : c <= 43388)
                  : (c <= 43456 || (c < 43488
                    ? (c >= 43471 && c <= 43481)
                    : c <= 43518)))
                : (c <= 43574 || (c < 43616
                  ? (c < 43600
                    ? (c >= 43584 && c <= 43597)
                    : c <= 43609)
                  : (c <= 43638 || (c >= 43642 && c <= 43714)))))))))))))))
    : (c <= 43741 || (c < 71472
      ? (c < 67644
        ? (c < 65474
          ? (c < 64320
            ? (c < 44016
              ? (c < 43808
                ? (c < 43777
                  ? (c < 43762
                    ? (c >= 43744 && c <= 43759)
                    : c <= 43766)
                  : (c <= 43782 || (c < 43793
                    ? (c >= 43785 && c <= 43790)
                    : c <= 43798)))
                : (c <= 43814 || (c < 43868
                  ? (c < 43824
                    ? (c >= 43816 && c <= 43822)
                    : c <= 43866)
                  : (c <= 43881 || (c < 44012
                    ? (c >= 43888 && c <= 44010)
                    : c <= 44013)))))
              : (c <= 44025 || (c < 64256
                ? (c < 55243
                  ? (c < 55216
                    ? (c >= 44032 && c <= 55203)
                    : c <= 55238)
                  : (c <= 55291 || (c < 64112
                    ? (c >= 63744 && c <= 64109)
                    : c <= 64217)))
                : (c <= 64262 || (c < 64298
                  ? (c < 64285
                    ? (c >= 64275 && c <= 64279)
                    : c <= 64296)
                  : (c <= 64310 || (c < 64318
                    ? (c >= 64312 && c <= 64316)
                    : c <= 64318)))))))
            : (c <= 64321 || (c < 65137
              ? (c < 64914
                ? (c < 64467
                  ? (c < 64326
                    ? (c >= 64323 && c <= 64324)
                    : c <= 64433)
                  : (c <= 64605 || (c < 64848
                    ? (c >= 64612 && c <= 64829)
                    : c <= 64911)))
                : (c <= 64967 || (c < 65056
                  ? (c < 65024
                    ? (c >= 65008 && c <= 65017)
                    : c <= 65039)
                  : (c <= 65071 || (c < 65101
                    ? (c >= 65075 && c <= 65076)
                    : c <= 65103)))))
              : (c <= 65137 || (c < 65151
                ? (c < 65145
                  ? (c < 65143
                    ? c == 65139
                    : c <= 65143)
                  : (c <= 65145 || (c < 65149
                    ? c == 65147
                    : c <= 65149)))
                : (c <= 65276 || (c < 65343
                  ? (c < 65313
                    ? (c >= 65296 && c <= 65305)
                    : c <= 65338)
                  : (c <= 65343 || (c < 65382
                    ? (c >= 65345 && c <= 65370)
                    : c <= 65470)))))))))
          : (c <= 65479 || (c < 66720
            ? (c < 66045
              ? (c < 65576
                ? (c < 65498
                  ? (c < 65490
                    ? (c >= 65482 && c <= 65487)
                    : c <= 65495)
                  : (c <= 65500 || (c < 65549
                    ? (c >= 65536 && c <= 65547)
                    : c <= 65574)))
                : (c <= 65594 || (c < 65616
                  ? (c < 65599
                    ? (c >= 65596 && c <= 65597)
                    : c <= 65613)
                  : (c <= 65629 || (c < 65856
                    ? (c >= 65664 && c <= 65786)
                    : c <= 65908)))))
              : (c <= 66045 || (c < 66384
                ? (c < 66272
                  ? (c < 66208
                    ? (c >= 66176 && c <= 66204)
                    : c <= 66256)
                  : (c <= 66272 || (c < 66349
                    ? (c >= 66304 && c <= 66335)
                    : c <= 66378)))
                : (c <= 66426 || (c < 66504
                  ? (c < 66464
                    ? (c >= 66432 && c <= 66461)
                    : c <= 66499)
                  : (c <= 66511 || (c < 66560
                    ? (c >= 66513 && c <= 66517)
                    : c <= 66717)))))))
            : (c <= 66729 || (c < 67003
              ? (c < 66940
                ? (c < 66816
                  ? (c < 66776
                    ? (c >= 66736 && c <= 66771)
                    : c <= 66811)
                  : (c <= 66855 || (c < 66928
                    ? (c >= 66864 && c <= 66915)
                    : c <= 66938)))
                : (c <= 66954 || (c < 66967
                  ? (c < 66964
                    ? (c >= 66956 && c <= 66962)
                    : c <= 66965)
                  : (c <= 66977 || (c < 66995
                    ? (c >= 66979 && c <= 66993)
                    : c <= 67001)))))
              : (c <= 67004 || (c < 67506
                ? (c < 67424
                  ? (c < 67392
                    ? (c >= 67072 && c <= 67382)
                    : c <= 67413)
                  : (c <= 67431 || (c < 67463
                    ? (c >= 67456 && c <= 67461)
                    : c <= 67504)))
                : (c <= 67514 || (c < 67594
                  ? (c < 67592
                    ? (c >= 67584 && c <= 67589)
                    : c <= 67592)
                  : (c <= 67637 || (c >= 67639 && c <= 67640)))))))))))
        : (c <= 67644 || (c < 69968
          ? (c < 68480
            ? (c < 68108
              ? (c < 67840
                ? (c < 67712
                  ? (c < 67680
                    ? (c >= 67647 && c <= 67669)
                    : c <= 67702)
                  : (c <= 67742 || (c < 67828
                    ? (c >= 67808 && c <= 67826)
                    : c <= 67829)))
                : (c <= 67861 || (c < 68030
                  ? (c < 67968
                    ? (c >= 67872 && c <= 67897)
                    : c <= 68023)
                  : (c <= 68031 || (c < 68101
                    ? (c >= 68096 && c <= 68099)
                    : c <= 68102)))))
              : (c <= 68115 || (c < 68224
                ? (c < 68152
                  ? (c < 68121
                    ? (c >= 68117 && c <= 68119)
                    : c <= 68149)
                  : (c <= 68154 || (c < 68192
                    ? c == 68159
                    : c <= 68220)))
                : (c <= 68252 || (c < 68352
                  ? (c < 68297
                    ? (c >= 68288 && c <= 68295)
                    : c <= 68326)
                  : (c <= 68405 || (c < 68448
                    ? (c >= 68416 && c <= 68437)
                    : c <= 68466)))))))
            : (c <= 68497 || (c < 69488
              ? (c < 69248
                ? (c < 68800
                  ? (c < 68736
                    ? (c >= 68608 && c <= 68680)
                    : c <= 68786)
                  : (c <= 68850 || (c < 68912
                    ? (c >= 68864 && c <= 68903)
                    : c <= 68921)))
                : (c <= 69289 || (c < 69376
                  ? (c < 69296
                    ? (c >= 69291 && c <= 69292)
                    : c <= 69297)
                  : (c <= 69404 || (c < 69424
                    ? c == 69415
                    : c <= 69456)))))
              : (c <= 69509 || (c < 69826
                ? (c < 69632
                  ? (c < 69600
                    ? (c >= 69552 && c <= 69572)
                    : c <= 69622)
                  : (c <= 69702 || (c < 69759
                    ? (c >= 69734 && c <= 69749)
                    : c <= 69818)))
                : (c <= 69826 || (c < 69888
                  ? (c < 69872
                    ? (c >= 69840 && c <= 69864)
                    : c <= 69881)
                  : (c <= 69940 || (c < 69956
                    ? (c >= 69942 && c <= 69951)
                    : c <= 69959)))))))))
          : (c <= 70003 || (c < 70471
            ? (c < 70287
              ? (c < 70144
                ? (c < 70089
                  ? (c < 70016
                    ? c == 70006
                    : c <= 70084)
                  : (c <= 70092 || (c < 70108
                    ? (c >= 70094 && c <= 70106)
                    : c <= 70108)))
                : (c <= 70161 || (c < 70272
                  ? (c < 70206
                    ? (c >= 70163 && c <= 70199)
                    : c <= 70206)
                  : (c <= 70278 || (c < 70282
                    ? c == 70280
                    : c <= 70285)))))
              : (c <= 70301 || (c < 70415
                ? (c < 70384
                  ? (c < 70320
                    ? (c >= 70303 && c <= 70312)
                    : c <= 70378)
                  : (c <= 70393 || (c < 70405
                    ? (c >= 70400 && c <= 70403)
                    : c <= 70412)))
                : (c <= 70416 || (c < 70450
                  ? (c < 70442
                    ? (c >= 70419 && c <= 70440)
                    : c <= 70448)
                  : (c <= 70451 || (c < 70459
                    ? (c >= 70453 && c <= 70457)
                    : c <= 70468)))))))
            : (c <= 70472 || (c < 70864
              ? (c < 70512
                ? (c < 70487
                  ? (c < 70480
                    ? (c >= 70475 && c <= 70477)
                    : c <= 70480)
                  : (c <= 70487 || (c < 70502
                    ? (c >= 70493 && c <= 70499)
                    : c <= 70508)))
                : (c <= 70516 || (c < 70750
                  ? (c < 70736
                    ? (c >= 70656 && c <= 70730)
                    : c <= 70745)
                  : (c <= 70753 || (c < 70855
                    ? (c >= 70784 && c <= 70853)
                    : c <= 70855)))))
              : (c <= 70873 || (c < 71248
                ? (c < 71128
                  ? (c < 71096
                    ? (c >= 71040 && c <= 71093)
                    : c <= 71104)
                  : (c <= 71133 || (c < 71236
                    ? (c >= 71168 && c <= 71232)
                    : c <= 71236)))
                : (c <= 71257 || (c < 71424
                  ? (c < 71360
                    ? (c >= 71296 && c <= 71352)
                    : c <= 71369)
                  : (c <= 71450 || (c >= 71453 && c <= 71467)))))))))))))
      : (c <= 71481 || (c < 119973
        ? (c < 82944
          ? (c < 72784
            ? (c < 72096
              ? (c < 71948
                ? (c < 71840
                  ? (c < 71680
                    ? (c >= 71488 && c <= 71494)
                    : c <= 71738)
                  : (c <= 71913 || (c < 71945
                    ? (c >= 71935 && c <= 71942)
                    : c <= 71945)))
                : (c <= 71955 || (c < 71991
                  ? (c < 71960
                    ? (c >= 71957 && c <= 71958)
                    : c <= 71989)
                  : (c <= 71992 || (c < 72016
                    ? (c >= 71995 && c <= 72003)
                    : c <= 72025)))))
              : (c <= 72103 || (c < 72272
                ? (c < 72163
                  ? (c < 72154
                    ? (c >= 72106 && c <= 72151)
                    : c <= 72161)
                  : (c <= 72164 || (c < 72263
                    ? (c >= 72192 && c <= 72254)
                    : c <= 72263)))
                : (c <= 72345 || (c < 72704
                  ? (c < 72368
                    ? c == 72349
                    : c <= 72440)
                  : (c <= 72712 || (c < 72760
                    ? (c >= 72714 && c <= 72758)
                    : c <= 72768)))))))
            : (c <= 72793 || (c < 73063
              ? (c < 72971
                ? (c < 72873
                  ? (c < 72850
                    ? (c >= 72818 && c <= 72847)
                    : c <= 72871)
                  : (c <= 72886 || (c < 72968
                    ? (c >= 72960 && c <= 72966)
                    : c <= 72969)))
                : (c <= 73014 || (c < 73023
                  ? (c < 73020
                    ? c == 73018
                    : c <= 73021)
                  : (c <= 73031 || (c < 73056
                    ? (c >= 73040 && c <= 73049)
                    : c <= 73061)))))
              : (c <= 73064 || (c < 73648
                ? (c < 73107
                  ? (c < 73104
                    ? (c >= 73066 && c <= 73102)
                    : c <= 73105)
                  : (c <= 73112 || (c < 73440
                    ? (c >= 73120 && c <= 73129)
                    : c <= 73462)))
                : (c <= 73648 || (c < 74880
                  ? (c < 74752
                    ? (c >= 73728 && c <= 74649)
                    : c <= 74862)
                  : (c <= 75075 || (c < 77824
                    ? (c >= 77712 && c <= 77808)
                    : c <= 78894)))))))))
          : (c <= 83526 || (c < 110581
            ? (c < 93053
              ? (c < 92880
                ? (c < 92768
                  ? (c < 92736
                    ? (c >= 92160 && c <= 92728)
                    : c <= 92766)
                  : (c <= 92777 || (c < 92864
                    ? (c >= 92784 && c <= 92862)
                    : c <= 92873)))
                : (c <= 92909 || (c < 92992
                  ? (c < 92928
                    ? (c >= 92912 && c <= 92916)
                    : c <= 92982)
                  : (c <= 92995 || (c < 93027
                    ? (c >= 93008 && c <= 93017)
                    : c <= 93047)))))
              : (c <= 93071 || (c < 94179
                ? (c < 94031
                  ? (c < 93952
                    ? (c >= 93760 && c <= 93823)
                    : c <= 94026)
                  : (c <= 94087 || (c < 94176
                    ? (c >= 94095 && c <= 94111)
                    : c <= 94177)))
                : (c <= 94180 || (c < 100352
                  ? (c < 94208
                    ? (c >= 94192 && c <= 94193)
                    : c <= 100343)
                  : (c <= 101589 || (c < 110576
                    ? (c >= 101632 && c <= 101640)
                    : c <= 110579)))))))
            : (c <= 110587 || (c < 118576
              ? (c < 113664
                ? (c < 110928
                  ? (c < 110592
                    ? (c >= 110589 && c <= 110590)
                    : c <= 110882)
                  : (c <= 110930 || (c < 110960
                    ? (c >= 110948 && c <= 110951)
                    : c <= 111355)))
                : (c <= 113770 || (c < 113808
                  ? (c < 113792
                    ? (c >= 113776 && c <= 113788)
                    : c <= 113800)
                  : (c <= 113817 || (c < 118528
                    ? (c >= 113821 && c <= 113822)
                    : c <= 118573)))))
              : (c <= 118598 || (c < 119362
                ? (c < 119163
                  ? (c < 119149
                    ? (c >= 119141 && c <= 119145)
                    : c <= 119154)
                  : (c <= 119170 || (c < 119210
                    ? (c >= 119173 && c <= 119179)
                    : c <= 119213)))
                : (c <= 119364 || (c < 119966
                  ? (c < 119894
                    ? (c >= 119808 && c <= 119892)
                    : c <= 119964)
                  : (c <= 119967 || c == 119970))))))))))
        : (c <= 119974 || (c < 124912
          ? (c < 120746
            ? (c < 120134
              ? (c < 120071
                ? (c < 119995
                  ? (c < 119982
                    ? (c >= 119977 && c <= 119980)
                    : c <= 119993)
                  : (c <= 119995 || (c < 120005
                    ? (c >= 119997 && c <= 120003)
                    : c <= 120069)))
                : (c <= 120074 || (c < 120094
                  ? (c < 120086
                    ? (c >= 120077 && c <= 120084)
                    : c <= 120092)
                  : (c <= 120121 || (c < 120128
                    ? (c >= 120123 && c <= 120126)
                    : c <= 120132)))))
              : (c <= 120134 || (c < 120572
                ? (c < 120488
                  ? (c < 120146
                    ? (c >= 120138 && c <= 120144)
                    : c <= 120485)
                  : (c <= 120512 || (c < 120540
                    ? (c >= 120514 && c <= 120538)
                    : c <= 120570)))
                : (c <= 120596 || (c < 120656
                  ? (c < 120630
                    ? (c >= 120598 && c <= 120628)
                    : c <= 120654)
                  : (c <= 120686 || (c < 120714
                    ? (c >= 120688 && c <= 120712)
                    : c <= 120744)))))))
            : (c <= 120770 || (c < 122907
              ? (c < 121476
                ? (c < 121344
                  ? (c < 120782
                    ? (c >= 120772 && c <= 120779)
                    : c <= 120831)
                  : (c <= 121398 || (c < 121461
                    ? (c >= 121403 && c <= 121452)
                    : c <= 121461)))
                : (c <= 121476 || (c < 122624
                  ? (c < 121505
                    ? (c >= 121499 && c <= 121503)
                    : c <= 121519)
                  : (c <= 122654 || (c < 122888
                    ? (c >= 122880 && c <= 122886)
                    : c <= 122904)))))
              : (c <= 122913 || (c < 123214
                ? (c < 123136
                  ? (c < 122918
                    ? (c >= 122915 && c <= 122916)
                    : c <= 122922)
                  : (c <= 123180 || (c < 123200
                    ? (c >= 123184 && c <= 123197)
                    : c <= 123209)))
                : (c <= 123214 || (c < 124896
                  ? (c < 123584
                    ? (c >= 123536 && c <= 123566)
                    : c <= 123641)
                  : (c <= 124902 || (c < 124909
                    ? (c >= 124904 && c <= 124907)
                    : c <= 124910)))))))))
          : (c <= 124926 || (c < 126557
            ? (c < 126521
              ? (c < 126469
                ? (c < 125184
                  ? (c < 125136
                    ? (c >= 124928 && c <= 125124)
                    : c <= 125142)
                  : (c <= 125259 || (c < 126464
                    ? (c >= 125264 && c <= 125273)
                    : c <= 126467)))
                : (c <= 126495 || (c < 126503
                  ? (c < 126500
                    ? (c >= 126497 && c <= 126498)
                    : c <= 126500)
                  : (c <= 126503 || (c < 126516
                    ? (c >= 126505 && c <= 126514)
                    : c <= 126519)))))
              : (c <= 126521 || (c < 126541
                ? (c < 126535
                  ? (c < 126530
                    ? c == 126523
                    : c <= 126530)
                  : (c <= 126535 || (c < 126539
                    ? c == 126537
                    : c <= 126539)))
                : (c <= 126543 || (c < 126551
                  ? (c < 126548
                    ? (c >= 126545 && c <= 126546)
                    : c <= 126548)
                  : (c <= 126551 || (c < 126555
                    ? c == 126553
                    : c <= 126555)))))))
            : (c <= 126557 || (c < 126629
              ? (c < 126580
                ? (c < 126564
                  ? (c < 126561
                    ? c == 126559
                    : c <= 126562)
                  : (c <= 126564 || (c < 126572
                    ? (c >= 126567 && c <= 126570)
                    : c <= 126578)))
                : (c <= 126583 || (c < 126592
                  ? (c < 126590
                    ? (c >= 126585 && c <= 126588)
                    : c <= 126590)
                  : (c <= 126601 || (c < 126625
                    ? (c >= 126603 && c <= 126619)
                    : c <= 126627)))))
              : (c <= 126633 || (c < 178208
                ? (c < 131072
                  ? (c < 130032
                    ? (c >= 126635 && c <= 126651)
                    : c <= 130041)
                  : (c <= 173791 || (c < 177984
                    ? (c >= 173824 && c <= 177976)
                    : c <= 178205)))
                : (c <= 183969 || (c < 196608
                  ? (c < 194560
                    ? (c >= 183984 && c <= 191456)
                    : c <= 195101)
                  : (c <= 201546 || (c >= 917760 && c <= 917999)))))))))))))))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(394);
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(392)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 1:
      if (lookahead == '\n') SKIP(188)
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(188)
      if (lookahead == '\r') SKIP(1)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 3:
      if (lookahead == '\n') SKIP(199)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(199)
      if (lookahead == '\r') SKIP(3)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 5:
      if (lookahead == '\n') SKIP(198)
      END_STATE();
    case 6:
      if (lookahead == '\n') SKIP(198)
      if (lookahead == '\r') SKIP(5)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 7:
      if (lookahead == '\n') SKIP(202)
      END_STATE();
    case 8:
      if (lookahead == '\n') SKIP(202)
      if (lookahead == '\r') SKIP(7)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 9:
      if (lookahead == '\n') SKIP(200)
      END_STATE();
    case 10:
      if (lookahead == '\n') SKIP(200)
      if (lookahead == '\r') SKIP(9)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 11:
      if (lookahead == '\n') SKIP(203)
      END_STATE();
    case 12:
      if (lookahead == '\n') SKIP(203)
      if (lookahead == '\r') SKIP(11)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 13:
      if (lookahead == '\n') SKIP(191)
      END_STATE();
    case 14:
      if (lookahead == '\n') SKIP(191)
      if (lookahead == '\r') SKIP(13)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 15:
      if (lookahead == '\n') SKIP(193)
      END_STATE();
    case 16:
      if (lookahead == '\n') SKIP(193)
      if (lookahead == '\r') SKIP(15)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 17:
      if (lookahead == '\n') SKIP(194)
      END_STATE();
    case 18:
      if (lookahead == '\n') SKIP(194)
      if (lookahead == '\r') SKIP(17)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 19:
      if (lookahead == '\n') SKIP(204)
      END_STATE();
    case 20:
      if (lookahead == '\n') SKIP(204)
      if (lookahead == '\r') SKIP(19)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 21:
      if (lookahead == '\n') SKIP(282)
      END_STATE();
    case 22:
      if (lookahead == '\n') SKIP(282)
      if (lookahead == '\r') SKIP(21)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 23:
      if (lookahead == '\n') SKIP(251)
      END_STATE();
    case 24:
      if (lookahead == '\n') SKIP(251)
      if (lookahead == '\r') SKIP(23)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(280)
      END_STATE();
    case 26:
      if (lookahead == '\n') SKIP(280)
      if (lookahead == '\r') SKIP(25)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 27:
      if (lookahead == '\n') SKIP(283)
      END_STATE();
    case 28:
      if (lookahead == '\n') SKIP(283)
      if (lookahead == '\r') SKIP(27)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 29:
      if (lookahead == '\n') SKIP(196)
      END_STATE();
    case 30:
      if (lookahead == '\n') SKIP(196)
      if (lookahead == '\r') SKIP(29)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 31:
      if (lookahead == '\n') SKIP(222)
      END_STATE();
    case 32:
      if (lookahead == '\n') SKIP(222)
      if (lookahead == '\r') SKIP(31)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 33:
      if (lookahead == '\n') SKIP(219)
      END_STATE();
    case 34:
      if (lookahead == '\n') SKIP(219)
      if (lookahead == '\r') SKIP(33)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 35:
      if (lookahead == '\n') SKIP(226)
      END_STATE();
    case 36:
      if (lookahead == '\n') SKIP(226)
      if (lookahead == '\r') SKIP(35)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 37:
      if (lookahead == '\n') SKIP(231)
      END_STATE();
    case 38:
      if (lookahead == '\n') SKIP(231)
      if (lookahead == '\r') SKIP(37)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 39:
      if (lookahead == '\n') SKIP(220)
      END_STATE();
    case 40:
      if (lookahead == '\n') SKIP(220)
      if (lookahead == '\r') SKIP(39)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 41:
      if (lookahead == '\n') SKIP(223)
      END_STATE();
    case 42:
      if (lookahead == '\n') SKIP(223)
      if (lookahead == '\r') SKIP(41)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 43:
      if (lookahead == '\n') SKIP(271)
      END_STATE();
    case 44:
      if (lookahead == '\n') SKIP(271)
      if (lookahead == '\r') SKIP(43)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 45:
      if (lookahead == '\n') SKIP(208)
      END_STATE();
    case 46:
      if (lookahead == '\n') SKIP(208)
      if (lookahead == '\r') SKIP(45)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 47:
      if (lookahead == '\n') SKIP(259)
      END_STATE();
    case 48:
      if (lookahead == '\n') SKIP(259)
      if (lookahead == '\r') SKIP(47)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 49:
      if (lookahead == '\n') SKIP(230)
      END_STATE();
    case 50:
      if (lookahead == '\n') SKIP(230)
      if (lookahead == '\r') SKIP(49)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 51:
      if (lookahead == '\n') SKIP(234)
      END_STATE();
    case 52:
      if (lookahead == '\n') SKIP(234)
      if (lookahead == '\r') SKIP(51)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 53:
      if (lookahead == '\n') SKIP(213)
      END_STATE();
    case 54:
      if (lookahead == '\n') SKIP(213)
      if (lookahead == '\r') SKIP(53)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 55:
      if (lookahead == '\n') SKIP(214)
      END_STATE();
    case 56:
      if (lookahead == '\n') SKIP(214)
      if (lookahead == '\r') SKIP(55)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 57:
      if (lookahead == '\n') SKIP(221)
      END_STATE();
    case 58:
      if (lookahead == '\n') SKIP(221)
      if (lookahead == '\r') SKIP(57)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 59:
      if (lookahead == '\n') SKIP(237)
      END_STATE();
    case 60:
      if (lookahead == '\n') SKIP(237)
      if (lookahead == '\r') SKIP(59)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 61:
      if (lookahead == '\n') SKIP(224)
      END_STATE();
    case 62:
      if (lookahead == '\n') SKIP(224)
      if (lookahead == '\r') SKIP(61)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 63:
      if (lookahead == '\n') SKIP(245)
      END_STATE();
    case 64:
      if (lookahead == '\n') SKIP(245)
      if (lookahead == '\r') SKIP(63)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 65:
      if (lookahead == '\n') SKIP(242)
      END_STATE();
    case 66:
      if (lookahead == '\n') SKIP(242)
      if (lookahead == '\r') SKIP(65)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 67:
      if (lookahead == '\n') SKIP(281)
      END_STATE();
    case 68:
      if (lookahead == '\n') SKIP(281)
      if (lookahead == '\r') SKIP(67)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 69:
      if (lookahead == '\n') SKIP(236)
      END_STATE();
    case 70:
      if (lookahead == '\n') SKIP(236)
      if (lookahead == '\r') SKIP(69)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 71:
      if (lookahead == '\n') SKIP(258)
      END_STATE();
    case 72:
      if (lookahead == '\n') SKIP(258)
      if (lookahead == '\r') SKIP(71)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 73:
      if (lookahead == '\n') SKIP(255)
      END_STATE();
    case 74:
      if (lookahead == '\n') SKIP(255)
      if (lookahead == '\r') SKIP(73)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 75:
      if (lookahead == '\n') SKIP(260)
      END_STATE();
    case 76:
      if (lookahead == '\n') SKIP(260)
      if (lookahead == '\r') SKIP(75)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 77:
      if (lookahead == '\n') SKIP(265)
      END_STATE();
    case 78:
      if (lookahead == '\n') SKIP(265)
      if (lookahead == '\r') SKIP(77)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 79:
      if (lookahead == '\n') SKIP(210)
      END_STATE();
    case 80:
      if (lookahead == '\n') SKIP(210)
      if (lookahead == '\r') SKIP(79)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 81:
      if (lookahead == '\n') SKIP(257)
      END_STATE();
    case 82:
      if (lookahead == '\n') SKIP(257)
      if (lookahead == '\r') SKIP(81)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 83:
      if (lookahead == '\n') SKIP(276)
      END_STATE();
    case 84:
      if (lookahead == '\n') SKIP(276)
      if (lookahead == '\r') SKIP(83)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 85:
      if (lookahead == '\n') SKIP(267)
      END_STATE();
    case 86:
      if (lookahead == '\n') SKIP(267)
      if (lookahead == '\r') SKIP(85)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 87:
      if (lookahead == '\n') SKIP(197)
      END_STATE();
    case 88:
      if (lookahead == '\n') SKIP(197)
      if (lookahead == '\r') SKIP(87)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 89:
      if (lookahead == '\n') SKIP(247)
      END_STATE();
    case 90:
      if (lookahead == '\n') SKIP(247)
      if (lookahead == '\r') SKIP(89)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 91:
      if (lookahead == '\n') SKIP(261)
      END_STATE();
    case 92:
      if (lookahead == '\n') SKIP(261)
      if (lookahead == '\r') SKIP(91)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 93:
      if (lookahead == '\n') SKIP(266)
      END_STATE();
    case 94:
      if (lookahead == '\n') SKIP(266)
      if (lookahead == '\r') SKIP(93)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 95:
      if (lookahead == '\n') SKIP(384)
      END_STATE();
    case 96:
      if (lookahead == '\n') SKIP(384)
      if (lookahead == '\r') SKIP(95)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 97:
      if (lookahead == '\n') SKIP(387)
      END_STATE();
    case 98:
      if (lookahead == '\n') SKIP(387)
      if (lookahead == '\r') SKIP(97)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 99:
      if (lookahead == '\n') SKIP(270)
      END_STATE();
    case 100:
      if (lookahead == '\n') SKIP(270)
      if (lookahead == '\r') SKIP(99)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 101:
      if (lookahead == '\n') SKIP(385)
      END_STATE();
    case 102:
      if (lookahead == '\n') SKIP(385)
      if (lookahead == '\r') SKIP(101)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 103:
      if (lookahead == '\n') SKIP(388)
      END_STATE();
    case 104:
      if (lookahead == '\n') SKIP(388)
      if (lookahead == '\r') SKIP(103)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 105:
      if (lookahead == '\n') SKIP(386)
      END_STATE();
    case 106:
      if (lookahead == '\n') SKIP(386)
      if (lookahead == '\r') SKIP(105)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 107:
      if (lookahead == '\n') SKIP(205)
      END_STATE();
    case 108:
      if (lookahead == '\n') SKIP(205)
      if (lookahead == '\r') SKIP(107)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 109:
      if (lookahead == '\n') SKIP(111)
      END_STATE();
    case 110:
      if (lookahead == '\n') SKIP(111)
      if (lookahead == '\r') SKIP(109)
      END_STATE();
    case 111:
      if (lookahead == '\n') ADVANCE(404);
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(481);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '\\') SKIP(110)
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111)
      END_STATE();
    case 112:
      if (lookahead == '\n') SKIP(277)
      END_STATE();
    case 113:
      if (lookahead == '\n') SKIP(277)
      if (lookahead == '\r') SKIP(112)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 114:
      if (lookahead == '\n') SKIP(389)
      END_STATE();
    case 115:
      if (lookahead == '\n') SKIP(389)
      if (lookahead == '\r') SKIP(114)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 116:
      if (lookahead == '\n') SKIP(278)
      END_STATE();
    case 117:
      if (lookahead == '\n') SKIP(278)
      if (lookahead == '\r') SKIP(116)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 118:
      if (lookahead == '\n') SKIP(275)
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '/') ADVANCE(589);
      if (lookahead == '\\') ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(592);
      if (lookahead != 0) ADVANCE(593);
      END_STATE();
    case 119:
      if (lookahead == '\n') ADVANCE(595);
      if (lookahead == '\r') ADVANCE(594);
      if (lookahead == 'U') ADVANCE(383);
      if (lookahead == 'u') ADVANCE(375);
      if (lookahead == 'x') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if (lookahead != 0) ADVANCE(594);
      END_STATE();
    case 120:
      if (lookahead == '\n') SKIP(285)
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '/') ADVANCE(582);
      if (lookahead == '\\') ADVANCE(581);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(583);
      if (lookahead != 0) ADVANCE(580);
      END_STATE();
    case 121:
      if (lookahead == '\n') ADVANCE(396);
      if (lookahead == '\r') ADVANCE(125);
      if (lookahead == '(') ADVANCE(398);
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(424);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 122:
      if (lookahead == '\n') ADVANCE(396);
      if (lookahead == '\r') ADVANCE(125);
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(424);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 123:
      if (lookahead == '\n') ADVANCE(396);
      if (lookahead == '\r') ADVANCE(124);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(127)
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 124:
      if (lookahead == '\n') ADVANCE(396);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(127)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 125:
      if (lookahead == '\n') ADVANCE(396);
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(424);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 126:
      if (lookahead == '\n') SKIP(288)
      END_STATE();
    case 127:
      if (lookahead == '\n') SKIP(288)
      if (lookahead == '\r') SKIP(126)
      END_STATE();
    case 128:
      if (lookahead == '\n') SKIP(189)
      END_STATE();
    case 129:
      if (lookahead == '\n') SKIP(189)
      if (lookahead == '\r') SKIP(128)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 130:
      if (lookahead == '\n') SKIP(201)
      END_STATE();
    case 131:
      if (lookahead == '\n') SKIP(201)
      if (lookahead == '\r') SKIP(130)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 132:
      if (lookahead == '\n') SKIP(192)
      END_STATE();
    case 133:
      if (lookahead == '\n') SKIP(192)
      if (lookahead == '\r') SKIP(132)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 134:
      if (lookahead == '\n') SKIP(195)
      END_STATE();
    case 135:
      if (lookahead == '\n') SKIP(195)
      if (lookahead == '\r') SKIP(134)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 136:
      if (lookahead == '\n') SKIP(209)
      END_STATE();
    case 137:
      if (lookahead == '\n') SKIP(209)
      if (lookahead == '\r') SKIP(136)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 138:
      if (lookahead == '\n') SKIP(264)
      END_STATE();
    case 139:
      if (lookahead == '\n') SKIP(264)
      if (lookahead == '\r') SKIP(138)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 140:
      if (lookahead == '\n') SKIP(229)
      END_STATE();
    case 141:
      if (lookahead == '\n') SKIP(229)
      if (lookahead == '\r') SKIP(140)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 142:
      if (lookahead == '\n') SKIP(232)
      END_STATE();
    case 143:
      if (lookahead == '\n') SKIP(232)
      if (lookahead == '\r') SKIP(142)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 144:
      if (lookahead == '\n') SKIP(215)
      END_STATE();
    case 145:
      if (lookahead == '\n') SKIP(215)
      if (lookahead == '\r') SKIP(144)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 146:
      if (lookahead == '\n') SKIP(225)
      END_STATE();
    case 147:
      if (lookahead == '\n') SKIP(225)
      if (lookahead == '\r') SKIP(146)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 148:
      if (lookahead == '\n') SKIP(244)
      END_STATE();
    case 149:
      if (lookahead == '\n') SKIP(244)
      if (lookahead == '\r') SKIP(148)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 150:
      if (lookahead == '\n') SKIP(284)
      END_STATE();
    case 151:
      if (lookahead == '\n') SKIP(284)
      if (lookahead == '\r') SKIP(150)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 152:
      if (lookahead == '\n') SKIP(235)
      END_STATE();
    case 153:
      if (lookahead == '\n') SKIP(235)
      if (lookahead == '\r') SKIP(152)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 154:
      if (lookahead == '\n') SKIP(256)
      END_STATE();
    case 155:
      if (lookahead == '\n') SKIP(256)
      if (lookahead == '\r') SKIP(154)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 156:
      if (lookahead == '\n') SKIP(273)
      END_STATE();
    case 157:
      if (lookahead == '\n') SKIP(273)
      if (lookahead == '\r') SKIP(156)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 158:
      if (lookahead == '\n') SKIP(269)
      END_STATE();
    case 159:
      if (lookahead == '\n') SKIP(269)
      if (lookahead == '\r') SKIP(158)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 160:
      if (lookahead == '\n') SKIP(246)
      END_STATE();
    case 161:
      if (lookahead == '\n') SKIP(246)
      if (lookahead == '\r') SKIP(160)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 162:
      if (lookahead == '\n') SKIP(262)
      END_STATE();
    case 163:
      if (lookahead == '\n') SKIP(262)
      if (lookahead == '\r') SKIP(162)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 164:
      if (lookahead == '\n') SKIP(190)
      END_STATE();
    case 165:
      if (lookahead == '\n') SKIP(190)
      if (lookahead == '\r') SKIP(164)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 166:
      if (lookahead == '\n') SKIP(243)
      END_STATE();
    case 167:
      if (lookahead == '\n') SKIP(243)
      if (lookahead == '\r') SKIP(166)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 168:
      if (lookahead == '\n') SKIP(233)
      END_STATE();
    case 169:
      if (lookahead == '\n') SKIP(233)
      if (lookahead == '\r') SKIP(168)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 170:
      if (lookahead == '\n') SKIP(249)
      END_STATE();
    case 171:
      if (lookahead == '\n') SKIP(249)
      if (lookahead == '\r') SKIP(170)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 172:
      if (lookahead == '\n') SKIP(239)
      END_STATE();
    case 173:
      if (lookahead == '\n') SKIP(239)
      if (lookahead == '\r') SKIP(172)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 174:
      if (lookahead == '\n') SKIP(272)
      END_STATE();
    case 175:
      if (lookahead == '\n') SKIP(272)
      if (lookahead == '\r') SKIP(174)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 176:
      if (lookahead == '\n') SKIP(268)
      END_STATE();
    case 177:
      if (lookahead == '\n') SKIP(268)
      if (lookahead == '\r') SKIP(176)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 178:
      if (lookahead == '\n') SKIP(250)
      END_STATE();
    case 179:
      if (lookahead == '\n') SKIP(250)
      if (lookahead == '\r') SKIP(178)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 180:
      if (lookahead == '\n') SKIP(263)
      END_STATE();
    case 181:
      if (lookahead == '\n') SKIP(263)
      if (lookahead == '\r') SKIP(180)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 182:
      if (lookahead == '\n') SKIP(238)
      END_STATE();
    case 183:
      if (lookahead == '\n') SKIP(238)
      if (lookahead == '\r') SKIP(182)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 184:
      if (lookahead == '\n') SKIP(248)
      END_STATE();
    case 185:
      if (lookahead == '\n') SKIP(248)
      if (lookahead == '\r') SKIP(184)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 186:
      if (lookahead == '\n') SKIP(274)
      END_STATE();
    case 187:
      if (lookahead == '\n') SKIP(274)
      if (lookahead == '\r') SKIP(186)
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 188:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 189:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(473);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(129);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 190:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(474);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(165);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 191:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(473);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(14);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 192:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(474);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(133);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(192)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 193:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(16);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(193)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 194:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(473);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(18);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(194)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 195:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(474);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(195)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 196:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '[') ADVANCE(319);
      if (lookahead == '\\') ADVANCE(30);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(196)
      END_STATE();
    case 197:
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(279);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(289);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '[') ADVANCE(320);
      if (lookahead == '\\') ADVANCE(88);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(197)
      END_STATE();
    case 198:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(308);
      if (lookahead == '>') ADVANCE(311);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(6);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(496);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(198)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 199:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(555);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(199)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 200:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(333);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(501);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(297);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(10);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(200)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 201:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(324);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '>') ADVANCE(506);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(131);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(201)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 202:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(326);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '>') ADVANCE(313);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(8);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 203:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(554);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(12);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 204:
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(501);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(554);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(20);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 205:
      if (lookahead == '!') ADVANCE(468);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '+') ADVANCE(486);
      if (lookahead == '-') ADVANCE(479);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == 'L') ADVANCE(688);
      if (lookahead == 'U') ADVANCE(689);
      if (lookahead == '\\') ADVANCE(108);
      if (lookahead == 'u') ADVANCE(626);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 206:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 207:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 208:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208)
      END_STATE();
    case 209:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(137);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(209)
      END_STATE();
    case 210:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(80);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(210)
      END_STATE();
    case 211:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 212:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(499);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 213:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(54);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(213)
      END_STATE();
    case 214:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(56);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(214)
      END_STATE();
    case 215:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(145);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(215)
      END_STATE();
    case 216:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 217:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 218:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(711);
      if (lookahead == 'R') ADVANCE(712);
      if (lookahead == 'U') ADVANCE(713);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(499);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 't') ||
          ('v' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == 'u') ADVANCE(714);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 219:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(34);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(219)
      END_STATE();
    case 220:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(40);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(220)
      END_STATE();
    case 221:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(58);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(221)
      END_STATE();
    case 222:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(32);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(222)
      END_STATE();
    case 223:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(42);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(223)
      END_STATE();
    case 224:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(62);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(224)
      END_STATE();
    case 225:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(147);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'u') ADVANCE(610);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(225)
      END_STATE();
    case 226:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(340);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(36);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(226)
      END_STATE();
    case 227:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 228:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (('A' <= lookahead && lookahead <= '_') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 229:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(141);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229)
      END_STATE();
    case 230:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(50);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(230)
      END_STATE();
    case 231:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(38);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(231)
      END_STATE();
    case 232:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(143);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(232)
      END_STATE();
    case 233:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(169);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(233)
      END_STATE();
    case 234:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(52);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(234)
      END_STATE();
    case 235:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(153);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(235)
      END_STATE();
    case 236:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(70);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(236)
      END_STATE();
    case 237:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(60);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(237)
      END_STATE();
    case 238:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(183);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(238)
      END_STATE();
    case 239:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(173);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(239)
      END_STATE();
    case 240:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      END_STATE();
    case 241:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(499);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      END_STATE();
    case 242:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(66);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(242)
      END_STATE();
    case 243:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(167);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(243)
      END_STATE();
    case 244:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(149);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(244)
      END_STATE();
    case 245:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(64);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(245)
      END_STATE();
    case 246:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(161);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(246)
      END_STATE();
    case 247:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(90);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(247)
      END_STATE();
    case 248:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(185);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(248)
      END_STATE();
    case 249:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(171);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(249)
      END_STATE();
    case 250:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(179);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(250)
      END_STATE();
    case 251:
      if (lookahead == '!') ADVANCE(309);
      if (lookahead == '#') ADVANCE(327);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(481);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(471);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(516);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(24);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(251)
      END_STATE();
    case 252:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 253:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(500);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 254:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_5(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(499);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 255:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(74);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(255)
      END_STATE();
    case 256:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(155);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(256)
      END_STATE();
    case 257:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(82);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(257)
      END_STATE();
    case 258:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(72);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(258)
      END_STATE();
    case 259:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(48);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(259)
      END_STATE();
    case 260:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(76);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(260)
      END_STATE();
    case 261:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(92);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(261)
      END_STATE();
    case 262:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(163);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(262)
      END_STATE();
    case 263:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(476);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(181);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(263)
      END_STATE();
    case 264:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(139);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(264)
      END_STATE();
    case 265:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(78);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(265)
      END_STATE();
    case 266:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(94);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(266)
      END_STATE();
    case 267:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(86);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(267)
      END_STATE();
    case 268:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(177);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(268)
      END_STATE();
    case 269:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(485);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(477);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(530);
      if (lookahead == '\\') ADVANCE(159);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(269)
      END_STATE();
    case 270:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(487);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(480);
      if (lookahead == '.') ADVANCE(290);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '<') ADVANCE(514);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(508);
      if (lookahead == '\\') ADVANCE(100);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == '|') ADVANCE(497);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(270)
      END_STATE();
    case 271:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(507);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(271)
      END_STATE();
    case 272:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(175);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(272)
      END_STATE();
    case 273:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(157);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(273)
      END_STATE();
    case 274:
      if (lookahead == '!') ADVANCE(309);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(482);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(478);
      if (lookahead == '.') ADVANCE(552);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '<') ADVANCE(515);
      if (lookahead == '=') ADVANCE(310);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(187);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == '|') ADVANCE(498);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(274)
      END_STATE();
    case 275:
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(275)
      END_STATE();
    case 276:
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_7(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'L') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(608);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(84);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(611);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(276)
      END_STATE();
    case 277:
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_6(lookahead)) ADVANCE(691);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == 'L') ADVANCE(603);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'U') ADVANCE(607);
      if (lookahead == '\\') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(610);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(277)
      END_STATE();
    case 278:
      if (lookahead == '"') ADVANCE(588);
      if (sym_identifier_character_set_4(lookahead)) ADVANCE(691);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '<') ADVANCE(315);
      if (lookahead == 'L') ADVANCE(604);
      if (lookahead == 'U') ADVANCE(608);
      if (lookahead == '\\') ADVANCE(117);
      if (lookahead == 'u') ADVANCE(612);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(278)
      END_STATE();
    case 279:
      if (lookahead == '"') ADVANCE(710);
      END_STATE();
    case 280:
      if (lookahead == '#') ADVANCE(329);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(26);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(280)
      END_STATE();
    case 281:
      if (lookahead == '#') ADVANCE(334);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(68);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(281)
      END_STATE();
    case 282:
      if (lookahead == '#') ADVANCE(323);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(481);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(22);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(282)
      END_STATE();
    case 283:
      if (lookahead == '#') ADVANCE(325);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(28);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(283)
      END_STATE();
    case 284:
      if (lookahead == '#') ADVANCE(341);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(151);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(284)
      END_STATE();
    case 285:
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') ADVANCE(119);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(285)
      END_STATE();
    case 286:
      if (lookahead == '\'') ADVANCE(368);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 287:
      if (lookahead == '\'') ADVANCE(364);
      if (lookahead == '.') ADVANCE(568);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 288:
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == '\\') SKIP(127)
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(288)
      END_STATE();
    case 289:
      if (lookahead == ')') ADVANCE(708);
      END_STATE();
    case 290:
      if (lookahead == '*') ADVANCE(556);
      END_STATE();
    case 291:
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      END_STATE();
    case 292:
      if (lookahead == '*') ADVANCE(707);
      END_STATE();
    case 293:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead == '/') ADVANCE(692);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 294:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(294);
      END_STATE();
    case 295:
      if (lookahead == '*') ADVANCE(293);
      if (lookahead != 0) ADVANCE(422);
      END_STATE();
    case 296:
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 297:
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 298:
      if (lookahead == '.') ADVANCE(399);
      END_STATE();
    case 299:
      if (lookahead == '.') ADVANCE(368);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(566);
      END_STATE();
    case 300:
      if (lookahead == '/') ADVANCE(426);
      if (lookahead == '\\') ADVANCE(424);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(300)
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 301:
      if (lookahead == '1') ADVANCE(305);
      END_STATE();
    case 302:
      if (lookahead == '2') ADVANCE(559);
      END_STATE();
    case 303:
      if (lookahead == '2') ADVANCE(306);
      if (lookahead == '6') ADVANCE(559);
      END_STATE();
    case 304:
      if (lookahead == '4') ADVANCE(559);
      END_STATE();
    case 305:
      if (lookahead == '6') ADVANCE(559);
      END_STATE();
    case 306:
      if (lookahead == '8') ADVANCE(559);
      END_STATE();
    case 307:
      if (lookahead == ':') ADVANCE(522);
      END_STATE();
    case 308:
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '=') ADVANCE(510);
      END_STATE();
    case 309:
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 310:
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 311:
      if (lookahead == '=') ADVANCE(509);
      if (lookahead == '>') ADVANCE(312);
      END_STATE();
    case 312:
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 313:
      if (lookahead == '>') ADVANCE(519);
      END_STATE();
    case 314:
      if (lookahead == '>') ADVANCE(557);
      END_STATE();
    case 315:
      if (lookahead == '>') ADVANCE(598);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 316:
      if (lookahead == '>') ADVANCE(599);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 317:
      if (lookahead == 'F') ADVANCE(301);
      END_STATE();
    case 318:
      if (lookahead == 'U') ADVANCE(382);
      if (lookahead == 'u') ADVANCE(374);
      END_STATE();
    case 319:
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 320:
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 321:
      if (lookahead == ']') ADVANCE(524);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'e') ADVANCE(460);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(322);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 323:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'e') ADVANCE(460);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(323);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 324:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'e') ADVANCE(463);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(324);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 325:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'e') ADVANCE(463);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(325);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 326:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'e') ADVANCE(462);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(326);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 327:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'e') ADVANCE(462);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(327);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'i') ADVANCE(446);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(328);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 329:
      if (lookahead == 'd') ADVANCE(438);
      if (lookahead == 'i') ADVANCE(447);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(329);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 330:
      if (lookahead == 'd') ADVANCE(351);
      END_STATE();
    case 331:
      if (lookahead == 'd') ADVANCE(337);
      END_STATE();
    case 332:
      if (lookahead == 'd') ADVANCE(339);
      END_STATE();
    case 333:
      if (lookahead == 'e') ADVANCE(356);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(333);
      END_STATE();
    case 334:
      if (lookahead == 'e') ADVANCE(354);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(334);
      END_STATE();
    case 335:
      if (lookahead == 'e') ADVANCE(411);
      END_STATE();
    case 336:
      if (lookahead == 'e') ADVANCE(345);
      END_STATE();
    case 337:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 338:
      if (lookahead == 'e') ADVANCE(349);
      END_STATE();
    case 339:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 340:
      if (lookahead == 'e') ADVANCE(355);
      if (lookahead == 'i') ADVANCE(348);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(340);
      END_STATE();
    case 341:
      if (lookahead == 'e') ADVANCE(355);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(341);
      END_STATE();
    case 342:
      if (lookahead == 'f') ADVANCE(301);
      END_STATE();
    case 343:
      if (lookahead == 'f') ADVANCE(405);
      END_STATE();
    case 344:
      if (lookahead == 'f') ADVANCE(414);
      END_STATE();
    case 345:
      if (lookahead == 'f') ADVANCE(417);
      END_STATE();
    case 346:
      if (lookahead == 'f') ADVANCE(419);
      END_STATE();
    case 347:
      if (lookahead == 'f') ADVANCE(413);
      END_STATE();
    case 348:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 349:
      if (lookahead == 'f') ADVANCE(407);
      END_STATE();
    case 350:
      if (lookahead == 'f') ADVANCE(409);
      END_STATE();
    case 351:
      if (lookahead == 'i') ADVANCE(343);
      END_STATE();
    case 352:
      if (lookahead == 'i') ADVANCE(344);
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 353:
      if (lookahead == 'i') ADVANCE(347);
      if (lookahead == 's') ADVANCE(335);
      END_STATE();
    case 354:
      if (lookahead == 'l') ADVANCE(352);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 355:
      if (lookahead == 'l') ADVANCE(353);
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 356:
      if (lookahead == 'n') ADVANCE(330);
      END_STATE();
    case 357:
      if (lookahead == '|') ADVANCE(494);
      END_STATE();
    case 358:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(365);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(565);
      END_STATE();
    case 359:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(358);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 360:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(563);
      END_STATE();
    case 361:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(561);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(287);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(565);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(691);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(566);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(286);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(594);
      END_STATE();
    case 370:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(366);
      END_STATE();
    case 371:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(369);
      END_STATE();
    case 372:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(370);
      END_STATE();
    case 373:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(371);
      END_STATE();
    case 374:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(372);
      END_STATE();
    case 375:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(373);
      END_STATE();
    case 376:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(374);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(375);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(376);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(377);
      END_STATE();
    case 380:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 381:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(379);
      END_STATE();
    case 382:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(380);
      END_STATE();
    case 383:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(381);
      END_STATE();
    case 384:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(96);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384)
      END_STATE();
    case 385:
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(102);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(656);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 'u') ADVANCE(649);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(385)
      END_STATE();
    case 386:
      if (sym_identifier_character_set_8(lookahead)) ADVANCE(691);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(307);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(106);
      if (lookahead == 'f') ADVANCE(681);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == '{') ADVANCE(525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386)
      END_STATE();
    case 387:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(314);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(98);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387)
      END_STATE();
    case 388:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '.') ADVANCE(296);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(527);
      if (lookahead == '\\') ADVANCE(104);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388)
      END_STATE();
    case 389:
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(691);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '/') ADVANCE(291);
      if (lookahead == ':') ADVANCE(536);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '[') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(115);
      if (lookahead == '{') ADVANCE(525);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389)
      END_STATE();
    case 390:
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(696);
      if (lookahead == '\r') ADVANCE(700);
      if (lookahead == '\\') ADVANCE(698);
      END_STATE();
    case 391:
      if (lookahead != 0 &&
          lookahead != '*') ADVANCE(427);
      END_STATE();
    case 392:
      if (eof) ADVANCE(394);
      if (lookahead == '!') ADVANCE(469);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(322);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(493);
      if (lookahead == '&') ADVANCE(503);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(489);
      if (lookahead == '+') ADVANCE(483);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(472);
      if (lookahead == '.') ADVANCE(553);
      if (lookahead == '/') ADVANCE(491);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(513);
      if (lookahead == '=') ADVANCE(533);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == '?') ADVANCE(538);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(529);
      if (lookahead == '\\') ADVANCE(2);
      if (lookahead == ']') ADVANCE(531);
      if (lookahead == '^') ADVANCE(500);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(497);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(392)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 393:
      if (eof) ADVANCE(394);
      if (lookahead == '!') ADVANCE(468);
      if (lookahead == '"') ADVANCE(588);
      if (lookahead == '#') ADVANCE(328);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(691);
      if (lookahead == '%') ADVANCE(492);
      if (lookahead == '&') ADVANCE(502);
      if (lookahead == '\'') ADVANCE(579);
      if (lookahead == '(') ADVANCE(467);
      if (lookahead == ')') ADVANCE(401);
      if (lookahead == '*') ADVANCE(488);
      if (lookahead == '+') ADVANCE(484);
      if (lookahead == ',') ADVANCE(400);
      if (lookahead == '-') ADVANCE(475);
      if (lookahead == '.') ADVANCE(555);
      if (lookahead == '/') ADVANCE(490);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == ':') ADVANCE(537);
      if (lookahead == ';') ADVANCE(521);
      if (lookahead == '<') ADVANCE(512);
      if (lookahead == '=') ADVANCE(532);
      if (lookahead == '>') ADVANCE(701);
      if (lookahead == 'F') ADVANCE(633);
      if (lookahead == 'L') ADVANCE(602);
      if (lookahead == 'R') ADVANCE(605);
      if (lookahead == 'T') ADVANCE(630);
      if (lookahead == 'U') ADVANCE(606);
      if (lookahead == '[') ADVANCE(528);
      if (lookahead == '\\') ADVANCE(4);
      if (lookahead == ']') ADVANCE(321);
      if (lookahead == '^') ADVANCE(499);
      if (lookahead == 'b') ADVANCE(664);
      if (lookahead == 'c') ADVANCE(644);
      if (lookahead == 'd') ADVANCE(660);
      if (lookahead == 'f') ADVANCE(622);
      if (lookahead == 'i') ADVANCE(657);
      if (lookahead == 'm') ADVANCE(682);
      if (lookahead == 'n') ADVANCE(677);
      if (lookahead == 'p') ADVANCE(674);
      if (lookahead == 's') ADVANCE(621);
      if (lookahead == 't') ADVANCE(669);
      if (lookahead == 'u') ADVANCE(609);
      if (lookahead == 'v') ADVANCE(661);
      if (lookahead == '{') ADVANCE(525);
      if (lookahead == '|') ADVANCE(357);
      if (lookahead == '}') ADVANCE(526);
      if (lookahead == '~') ADVANCE(470);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 394:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 395:
      ACCEPT_TOKEN(aux_sym_preproc_include_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 396:
      ACCEPT_TOKEN(aux_sym_preproc_include_token2);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(aux_sym_preproc_def_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 398:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 399:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 400:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(442);
      if (lookahead == 'n') ADVANCE(436);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(aux_sym_preproc_if_token1);
      if (lookahead == 'd') ADVANCE(338);
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(404);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(aux_sym_preproc_if_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 407:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      END_STATE();
    case 408:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 409:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      END_STATE();
    case 410:
      ACCEPT_TOKEN(aux_sym_preproc_ifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 411:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      END_STATE();
    case 412:
      ACCEPT_TOKEN(aux_sym_preproc_else_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 413:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(336);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 415:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (lookahead == 'd') ADVANCE(444);
      if (lookahead == 'n') ADVANCE(437);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(aux_sym_preproc_elif_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 417:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      END_STATE();
    case 418:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 419:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(aux_sym_preproc_elifdef_token2);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 421:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead == '/') ADVANCE(692);
      if (lookahead == '\\') ADVANCE(428);
      if (lookahead != 0) ADVANCE(422);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(294);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(428);
      if (lookahead != 0) ADVANCE(422);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '\r') ADVANCE(693);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(697);
      if (lookahead != 0) ADVANCE(695);
      END_STATE();
    case 424:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '\r') ADVANCE(425);
      if (lookahead == '/') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(429);
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 425:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '\n') SKIP(300)
      if (lookahead == '/') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(429);
      if (lookahead != 0) ADVANCE(427);
      END_STATE();
    case 426:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '*') ADVANCE(422);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(429);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(427);
      END_STATE();
    case 427:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead == '/') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(429);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(427);
      END_STATE();
    case 428:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(422);
      if (lookahead == '\r') ADVANCE(431);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(428);
      END_STATE();
    case 429:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(427);
      if (lookahead == '\r') ADVANCE(432);
      if (lookahead == '/') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(429);
      END_STATE();
    case 430:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(695);
      if (lookahead == '\r') ADVANCE(699);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(697);
      END_STATE();
    case 431:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '*' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(422);
      if (lookahead == '*') ADVANCE(421);
      if (lookahead == '/') ADVANCE(295);
      if (lookahead == '\\') ADVANCE(428);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(sym_preproc_arg);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(427);
      if (lookahead == '/') ADVANCE(391);
      if (lookahead == '\\') ADVANCE(429);
      END_STATE();
    case 433:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'c') ADVANCE(461);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 434:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(458);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 435:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(441);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(443);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'd') ADVANCE(445);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(448);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(412);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(397);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(395);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(451);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(452);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(453);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'e') ADVANCE(454);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(402);
      if (lookahead == 'n') ADVANCE(433);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(402);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(456);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(415);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(406);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(408);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(410);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(418);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(420);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'f') ADVANCE(416);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(464);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(449);
      if (lookahead == 's') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(450);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'i') ADVANCE(455);
      if (lookahead == 's') ADVANCE(439);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(457);
      if (lookahead == 'n') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(465);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'l') ADVANCE(459);
      if (lookahead == 'n') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(434);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'n') ADVANCE(440);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (lookahead == 'u') ADVANCE(435);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(sym_preproc_directive);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(466);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_LPAREN2);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(505);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == '=') ADVANCE(543);
      if (lookahead == '>') ADVANCE(558);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == '=') ADVANCE(543);
      if (lookahead == '>') ADVANCE(557);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == '>') ADVANCE(557);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '=') ADVANCE(543);
      if (lookahead == '>') ADVANCE(558);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '=') ADVANCE(543);
      if (lookahead == '>') ADVANCE(557);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(550);
      if (lookahead == '>') ADVANCE(557);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(543);
      if (lookahead == '>') ADVANCE(292);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(551);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(551);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (lookahead == '=') ADVANCE(542);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(551);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(551);
      if (lookahead == '=') ADVANCE(542);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(363);
      if (lookahead == '0') ADVANCE(562);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(542);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(539);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      if (lookahead == '=') ADVANCE(540);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(541);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(548);
      if (lookahead == '|') ADVANCE(494);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(494);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(547);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(495);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(495);
      if (lookahead == '=') ADVANCE(546);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(509);
      if (lookahead == '>') ADVANCE(519);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(509);
      if (lookahead == '>') ADVANCE(520);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      if (lookahead == '>') ADVANCE(549);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(518);
      if (lookahead == '=') ADVANCE(511);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(518);
      if (lookahead == '=') ADVANCE(510);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '=') ADVANCE(511);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(517);
      if (lookahead == '=') ADVANCE(510);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(544);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(545);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_LBRACK_LBRACK);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_RBRACK_RBRACK);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(523);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '[') ADVANCE(523);
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == ']') ADVANCE(709);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(504);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(691);
      if (lookahead == '1') ADVANCE(625);
      if (lookahead == '3') ADVANCE(623);
      if (lookahead == '6') ADVANCE(624);
      if (lookahead == '8') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(675);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(sym_primitive_type);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(522);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_LT_EQ_GT);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(556);
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '*') ADVANCE(556);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(298);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_DOT_STAR);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (lookahead == '*') ADVANCE(707);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(sym_number_literal);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(363);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(342);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(567);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(361);
      if (lookahead == '.') ADVANCE(568);
      if (lookahead == 'L') ADVANCE(569);
      if (lookahead == 'l') ADVANCE(572);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(571);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(574);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(561);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(361);
      if (lookahead == '.') ADVANCE(568);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(360);
      if (lookahead == 'L') ADVANCE(569);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(299);
      if (lookahead == 'l') ADVANCE(572);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(571);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(574);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(287);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(561);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(360);
      if (lookahead == 'L') ADVANCE(569);
      if (lookahead == 'l') ADVANCE(572);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(571);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(574);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(563);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(362);
      if (lookahead == '.') ADVANCE(568);
      if (lookahead == 'L') ADVANCE(569);
      if (lookahead == 'l') ADVANCE(572);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(571);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(564);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(365);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(342);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(567);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(565);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '\'') ADVANCE(367);
      if (lookahead == '.') ADVANCE(359);
      if (lookahead == 'L') ADVANCE(569);
      if (lookahead == 'l') ADVANCE(572);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(358);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(571);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(574);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(566);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '1') ADVANCE(303);
      if (lookahead == '3') ADVANCE(302);
      if (lookahead == '6') ADVANCE(304);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'B') ADVANCE(317);
      if (lookahead == 'b') ADVANCE(342);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(358);
      if (lookahead == 'F' ||
          lookahead == 'f') ADVANCE(567);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(559);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(560);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(574);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(559);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(559);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'L') ADVANCE(570);
      if (lookahead == 'l') ADVANCE(573);
      if (lookahead == 'Z' ||
          lookahead == 'z') ADVANCE(559);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(574);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(559);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'l') ADVANCE(559);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == 'U' ||
          lookahead == 'u') ADVANCE(559);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_L_SQUOTE);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_u_SQUOTE);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_U_SQUOTE);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_u8_SQUOTE);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\n') ADVANCE(595);
      if (lookahead == '\r') ADVANCE(594);
      if (lookahead == 'U') ADVANCE(383);
      if (lookahead == 'u') ADVANCE(375);
      if (lookahead == 'x') ADVANCE(371);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      if (lookahead != 0) ADVANCE(594);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '*') ADVANCE(294);
      if (lookahead == '/') ADVANCE(696);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(aux_sym_char_literal_token1);
      if (lookahead == '\\') ADVANCE(119);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_L_DQUOTE);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_u_DQUOTE);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_U_DQUOTE);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(anon_sym_u8_DQUOTE);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(591);
      if (lookahead == '/') ADVANCE(593);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(593);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(590);
      if (lookahead == '/') ADVANCE(593);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(591);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '*') ADVANCE(590);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(591);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead == '/') ADVANCE(589);
      if (lookahead == '\t' ||
          (11 <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(592);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(593);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_string_literal_token1);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(593);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (lookahead == '\\') ADVANCE(119);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(594);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(596);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(sym_system_lib_string);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(sym_system_lib_string);
      if (lookahead == '>') ADVANCE(598);
      if (lookahead == '\\') ADVANCE(316);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(315);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(sym_true);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(sym_false);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(575);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(613);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(702);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(577);
      if (lookahead == 'R') ADVANCE(614);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(614);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_12(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(576);
      if (lookahead == '8') ADVANCE(615);
      if (lookahead == 'R') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_13(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(616);
      if (lookahead == 'R') ADVANCE(618);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_14(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(617);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(617);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(703);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(705);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == 'R') ADVANCE(619);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 616:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(619);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(704);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '"') ADVANCE(706);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_9(lookahead)) ADVANCE(691);
      if (lookahead == '1') ADVANCE(625);
      if (lookahead == '3') ADVANCE(623);
      if (lookahead == '6') ADVANCE(624);
      if (lookahead == '8') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(675);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_16(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(680);
      if (lookahead == 's') ADVANCE(645);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_17(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(650);
      if (lookahead == 'l') ADVANCE(662);
      END_STATE();
    case 623:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_18(lookahead)) ADVANCE(691);
      if (lookahead == '2') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_19(lookahead)) ADVANCE(691);
      if (lookahead == '4') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_20(lookahead)) ADVANCE(691);
      if (lookahead == '6') ADVANCE(687);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_15(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(576);
      if (lookahead == '8') ADVANCE(690);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(691);
      if (lookahead == 'E') ADVANCE(600);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_21(lookahead)) ADVANCE(691);
      if (lookahead == 'E') ADVANCE(601);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_22(lookahead)) ADVANCE(691);
      if (lookahead == 'L') ADVANCE(631);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_11(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(632);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_23(lookahead)) ADVANCE(691);
      if (lookahead == 'S') ADVANCE(628);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_24(lookahead)) ADVANCE(691);
      if (lookahead == 'U') ADVANCE(627);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_25(lookahead)) ADVANCE(691);
      if (lookahead == 'A') ADVANCE(629);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_26(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'b') ADVANCE(655);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(535);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_27(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'd') ADVANCE(646);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(600);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(535);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(601);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_28(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'e') ADVANCE(687);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(687);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_29(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'f') ADVANCE(641);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_30(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'g') ADVANCE(658);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_31(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'h') ADVANCE(683);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(680);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(642);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(643);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(635);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_32(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'i') ADVANCE(659);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(670);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(535);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(665);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(652);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(647);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(638);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_33(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'l') ADVANCE(662);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(671);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(687);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_34(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'n') ADVANCE(673);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(676);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(648);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(684);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(651);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_35(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'o') ADVANCE(663);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_36(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'p') ADVANCE(675);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(534);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(636);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(687);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_37(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'r') ADVANCE(678);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_38(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 's') ADVANCE(639);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(534);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(535);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(620);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(667);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_39(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 't') ADVANCE(668);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(634);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(653);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_40(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'u') ADVANCE(637);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_41(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'x') ADVANCE(686);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_42(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'z') ADVANCE(640);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(650);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(679);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(666);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(672);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_43(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == 'a') ADVANCE(654);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(685);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_44(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (lookahead == '_') ADVANCE(672);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(575);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(577);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\'') ADVANCE(578);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_10(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\n') ADVANCE(696);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(430);
      if (lookahead != 0) ADVANCE(695);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '*') ADVANCE(696);
      if (lookahead == '\\') ADVANCE(423);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(695);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(430);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(695);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead == '\\') ADVANCE(390);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(696);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(695);
      if (lookahead == '\r') ADVANCE(699);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(697);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\r' &&
          lookahead != '\\') ADVANCE(696);
      if (lookahead == '\r') ADVANCE(700);
      if (lookahead == '\\') ADVANCE(698);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '/' &&
          lookahead != '\\') ADVANCE(695);
      if (lookahead == '/') ADVANCE(694);
      if (lookahead == '\\') ADVANCE(430);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\\') ADVANCE(696);
      if (lookahead == '\\') ADVANCE(390);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(anon_sym_GT2);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(anon_sym_R_DQUOTE);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(anon_sym_LR_DQUOTE);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(anon_sym_uR_DQUOTE);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(anon_sym_UR_DQUOTE);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(anon_sym_u8R_DQUOTE);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(anon_sym_DASH_GT_STAR);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(anon_sym_LPAREN_RPAREN);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(anon_sym_LBRACK_RBRACK);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(584);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(715);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(702);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(586);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(716);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(585);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '8') ADVANCE(717);
      if (lookahead == 'R') ADVANCE(718);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(703);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(705);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(587);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == 'R') ADVANCE(719);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(704);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (lookahead == '"') ADVANCE(706);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym_literal_suffix);
      if (sym_identifier_character_set_45(lookahead)) ADVANCE(691);
      if (lookahead == '\\') ADVANCE(318);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(720);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'N') ADVANCE(1);
      if (lookahead == '\\') SKIP(2)
      if (lookahead == '_') ADVANCE(3);
      if (lookahead == 'a') ADVANCE(4);
      if (lookahead == 'b') ADVANCE(5);
      if (lookahead == 'c') ADVANCE(6);
      if (lookahead == 'd') ADVANCE(7);
      if (lookahead == 'e') ADVANCE(8);
      if (lookahead == 'f') ADVANCE(9);
      if (lookahead == 'g') ADVANCE(10);
      if (lookahead == 'i') ADVANCE(11);
      if (lookahead == 'l') ADVANCE(12);
      if (lookahead == 'm') ADVANCE(13);
      if (lookahead == 'n') ADVANCE(14);
      if (lookahead == 'o') ADVANCE(15);
      if (lookahead == 'p') ADVANCE(16);
      if (lookahead == 'r') ADVANCE(17);
      if (lookahead == 's') ADVANCE(18);
      if (lookahead == 't') ADVANCE(19);
      if (lookahead == 'u') ADVANCE(20);
      if (lookahead == 'v') ADVANCE(21);
      if (lookahead == 'w') ADVANCE(22);
      if (lookahead == 'x') ADVANCE(23);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'U') ADVANCE(24);
      END_STATE();
    case 2:
      if (lookahead == '\n') SKIP(0)
      if (lookahead == '\r') SKIP(25)
      END_STATE();
    case 3:
      if (lookahead == 'A') ADVANCE(26);
      if (lookahead == 'G') ADVANCE(27);
      if (lookahead == 'N') ADVANCE(28);
      if (lookahead == '_') ADVANCE(29);
      if (lookahead == 'a') ADVANCE(30);
      if (lookahead == 'u') ADVANCE(31);
      END_STATE();
    case 4:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 's') ADVANCE(34);
      if (lookahead == 'u') ADVANCE(35);
      END_STATE();
    case 5:
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(38);
      if (lookahead == 'l') ADVANCE(39);
      if (lookahead == 'o') ADVANCE(40);
      END_STATE();
    case 7:
      if (lookahead == 'e') ADVANCE(41);
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 8:
      if (lookahead == 'l') ADVANCE(43);
      if (lookahead == 'n') ADVANCE(44);
      if (lookahead == 'x') ADVANCE(45);
      END_STATE();
    case 9:
      if (lookahead == 'i') ADVANCE(46);
      if (lookahead == 'o') ADVANCE(47);
      if (lookahead == 'r') ADVANCE(48);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(49);
      END_STATE();
    case 11:
      if (lookahead == 'f') ADVANCE(50);
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 12:
      if (lookahead == 'o') ADVANCE(52);
      END_STATE();
    case 13:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 14:
      if (lookahead == 'a') ADVANCE(54);
      if (lookahead == 'e') ADVANCE(55);
      if (lookahead == 'o') ADVANCE(56);
      if (lookahead == 'u') ADVANCE(57);
      END_STATE();
    case 15:
      if (lookahead == 'f') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      if (lookahead == 'r') ADVANCE(60);
      if (lookahead == 'v') ADVANCE(61);
      END_STATE();
    case 16:
      if (lookahead == 'r') ADVANCE(62);
      if (lookahead == 'u') ADVANCE(63);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(64);
      END_STATE();
    case 18:
      if (lookahead == 'h') ADVANCE(65);
      if (lookahead == 'i') ADVANCE(66);
      if (lookahead == 't') ADVANCE(67);
      if (lookahead == 'w') ADVANCE(68);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'h') ADVANCE(70);
      if (lookahead == 'r') ADVANCE(71);
      if (lookahead == 'y') ADVANCE(72);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(73);
      if (lookahead == 's') ADVANCE(74);
      END_STATE();
    case 21:
      if (lookahead == 'i') ADVANCE(75);
      if (lookahead == 'o') ADVANCE(76);
      END_STATE();
    case 22:
      if (lookahead == 'h') ADVANCE(77);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 24:
      if (lookahead == 'L') ADVANCE(79);
      END_STATE();
    case 25:
      if (lookahead == '\n') SKIP(0)
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(80);
      if (lookahead == 't') ADVANCE(81);
      END_STATE();
    case 27:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 28:
      if (lookahead == 'o') ADVANCE(83);
      END_STATE();
    case 29:
      if (lookahead == 'a') ADVANCE(84);
      if (lookahead == 'b') ADVANCE(85);
      if (lookahead == 'c') ADVANCE(86);
      if (lookahead == 'd') ADVANCE(87);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == 'f') ADVANCE(89);
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(91);
      if (lookahead == 'r') ADVANCE(92);
      if (lookahead == 's') ADVANCE(93);
      if (lookahead == 't') ADVANCE(94);
      if (lookahead == 'u') ADVANCE(95);
      if (lookahead == 'v') ADVANCE(96);
      END_STATE();
    case 30:
      if (lookahead == 'l') ADVANCE(97);
      END_STATE();
    case 31:
      if (lookahead == 'n') ADVANCE(98);
      END_STATE();
    case 32:
      if (lookahead == 'i') ADVANCE(99);
      END_STATE();
    case 33:
      if (lookahead == 'd') ADVANCE(100);
      END_STATE();
    case 34:
      if (lookahead == 'm') ADVANCE(101);
      END_STATE();
    case 35:
      if (lookahead == 't') ADVANCE(102);
      END_STATE();
    case 36:
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 's') ADVANCE(105);
      if (lookahead == 't') ADVANCE(106);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(107);
      END_STATE();
    case 40:
      if (lookahead == '_') ADVANCE(108);
      if (lookahead == 'm') ADVANCE(109);
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(111);
      if (lookahead == 'f') ADVANCE(112);
      if (lookahead == 'l') ADVANCE(113);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 43:
      if (lookahead == 's') ADVANCE(114);
      END_STATE();
    case 44:
      if (lookahead == 'u') ADVANCE(115);
      END_STATE();
    case 45:
      if (lookahead == 'p') ADVANCE(116);
      if (lookahead == 't') ADVANCE(117);
      END_STATE();
    case 46:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 47:
      if (lookahead == 'r') ADVANCE(119);
      END_STATE();
    case 48:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 51:
      if (lookahead == 'l') ADVANCE(122);
      END_STATE();
    case 52:
      if (lookahead == 'n') ADVANCE(123);
      END_STATE();
    case 53:
      if (lookahead == 't') ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'm') ADVANCE(125);
      END_STATE();
    case 55:
      if (lookahead == 'w') ADVANCE(126);
      END_STATE();
    case 56:
      if (lookahead == 'e') ADVANCE(127);
      if (lookahead == 'r') ADVANCE(128);
      if (lookahead == 't') ADVANCE(129);
      END_STATE();
    case 57:
      if (lookahead == 'l') ADVANCE(130);
      END_STATE();
    case 58:
      if (lookahead == 'f') ADVANCE(131);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(132);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_or);
      if (lookahead == '_') ADVANCE(133);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(134);
      END_STATE();
    case 62:
      if (lookahead == 'i') ADVANCE(135);
      if (lookahead == 'o') ADVANCE(136);
      END_STATE();
    case 63:
      if (lookahead == 'b') ADVANCE(137);
      END_STATE();
    case 64:
      if (lookahead == 'g') ADVANCE(138);
      if (lookahead == 'q') ADVANCE(139);
      if (lookahead == 's') ADVANCE(140);
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 65:
      if (lookahead == 'o') ADVANCE(142);
      END_STATE();
    case 66:
      if (lookahead == 'g') ADVANCE(143);
      if (lookahead == 'z') ADVANCE(144);
      END_STATE();
    case 67:
      if (lookahead == 'a') ADVANCE(145);
      if (lookahead == 'r') ADVANCE(146);
      END_STATE();
    case 68:
      if (lookahead == 'i') ADVANCE(147);
      END_STATE();
    case 69:
      if (lookahead == 'm') ADVANCE(148);
      END_STATE();
    case 70:
      if (lookahead == 'i') ADVANCE(149);
      if (lookahead == 'r') ADVANCE(150);
      END_STATE();
    case 71:
      if (lookahead == 'y') ADVANCE(151);
      END_STATE();
    case 72:
      if (lookahead == 'p') ADVANCE(152);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(153);
      if (lookahead == 's') ADVANCE(154);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(155);
      END_STATE();
    case 75:
      if (lookahead == 'r') ADVANCE(156);
      END_STATE();
    case 76:
      if (lookahead == 'l') ADVANCE(157);
      END_STATE();
    case 77:
      if (lookahead == 'i') ADVANCE(158);
      END_STATE();
    case 78:
      if (lookahead == 'r') ADVANCE(159);
      END_STATE();
    case 79:
      if (lookahead == 'L') ADVANCE(160);
      END_STATE();
    case 80:
      if (lookahead == 'i') ADVANCE(161);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(162);
      END_STATE();
    case 82:
      if (lookahead == 'n') ADVANCE(163);
      END_STATE();
    case 83:
      if (lookahead == 'r') ADVANCE(164);
      END_STATE();
    case 84:
      if (lookahead == 'l') ADVANCE(165);
      if (lookahead == 's') ADVANCE(166);
      if (lookahead == 't') ADVANCE(167);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(168);
      END_STATE();
    case 86:
      if (lookahead == 'd') ADVANCE(169);
      if (lookahead == 'l') ADVANCE(170);
      END_STATE();
    case 87:
      if (lookahead == 'e') ADVANCE(171);
      END_STATE();
    case 88:
      if (lookahead == 'x') ADVANCE(172);
      END_STATE();
    case 89:
      if (lookahead == 'a') ADVANCE(173);
      if (lookahead == 'i') ADVANCE(174);
      if (lookahead == 'o') ADVANCE(175);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(176);
      END_STATE();
    case 91:
      if (lookahead == 'e') ADVANCE(177);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(178);
      END_STATE();
    case 93:
      if (lookahead == 'p') ADVANCE(179);
      if (lookahead == 't') ADVANCE(180);
      END_STATE();
    case 94:
      if (lookahead == 'h') ADVANCE(181);
      if (lookahead == 'r') ADVANCE(182);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(183);
      if (lookahead == 'p') ADVANCE(184);
      END_STATE();
    case 96:
      if (lookahead == 'e') ADVANCE(185);
      END_STATE();
    case 97:
      if (lookahead == 'i') ADVANCE(186);
      END_STATE();
    case 98:
      if (lookahead == 'a') ADVANCE(187);
      END_STATE();
    case 99:
      if (lookahead == 'g') ADVANCE(188);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_and);
      if (lookahead == '_') ADVANCE(189);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_asm);
      END_STATE();
    case 102:
      if (lookahead == 'o') ADVANCE(190);
      END_STATE();
    case 103:
      if (lookahead == 'a') ADVANCE(191);
      if (lookahead == 'o') ADVANCE(192);
      END_STATE();
    case 104:
      if (lookahead == 'a') ADVANCE(193);
      END_STATE();
    case 105:
      if (lookahead == 'e') ADVANCE(194);
      END_STATE();
    case 106:
      if (lookahead == 'c') ADVANCE(195);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(196);
      END_STATE();
    case 108:
      if (lookahead == 'a') ADVANCE(197);
      if (lookahead == 'r') ADVANCE(198);
      if (lookahead == 'y') ADVANCE(199);
      END_STATE();
    case 109:
      if (lookahead == 'p') ADVANCE(200);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(201);
      if (lookahead == 's') ADVANCE(202);
      if (lookahead == 't') ADVANCE(203);
      END_STATE();
    case 111:
      if (lookahead == 'l') ADVANCE(204);
      END_STATE();
    case 112:
      if (lookahead == 'a') ADVANCE(205);
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 113:
      if (lookahead == 'e') ADVANCE(207);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 115:
      if (lookahead == 'm') ADVANCE(209);
      END_STATE();
    case 116:
      if (lookahead == 'l') ADVANCE(210);
      END_STATE();
    case 117:
      if (lookahead == 'e') ADVANCE(211);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(212);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 120:
      if (lookahead == 'e') ADVANCE(213);
      END_STATE();
    case 121:
      if (lookahead == 'o') ADVANCE(214);
      END_STATE();
    case 122:
      if (lookahead == 'i') ADVANCE(215);
      END_STATE();
    case 123:
      if (lookahead == 'g') ADVANCE(216);
      END_STATE();
    case 124:
      if (lookahead == 'a') ADVANCE(217);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 127:
      if (lookahead == 'x') ADVANCE(219);
      END_STATE();
    case 128:
      if (lookahead == 'e') ADVANCE(220);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '_') ADVANCE(221);
      END_STATE();
    case 130:
      if (lookahead == 'l') ADVANCE(222);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(223);
      END_STATE();
    case 132:
      if (lookahead == 'r') ADVANCE(224);
      END_STATE();
    case 133:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 134:
      if (lookahead == 'r') ADVANCE(226);
      END_STATE();
    case 135:
      if (lookahead == 'v') ADVANCE(227);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(228);
      END_STATE();
    case 137:
      if (lookahead == 'l') ADVANCE(229);
      END_STATE();
    case 138:
      if (lookahead == 'i') ADVANCE(230);
      END_STATE();
    case 139:
      if (lookahead == 'u') ADVANCE(231);
      END_STATE();
    case 140:
      if (lookahead == 't') ADVANCE(232);
      END_STATE();
    case 141:
      if (lookahead == 'u') ADVANCE(233);
      END_STATE();
    case 142:
      if (lookahead == 'r') ADVANCE(234);
      END_STATE();
    case 143:
      if (lookahead == 'n') ADVANCE(235);
      END_STATE();
    case 144:
      if (lookahead == 'e') ADVANCE(236);
      END_STATE();
    case 145:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 146:
      if (lookahead == 'u') ADVANCE(238);
      END_STATE();
    case 147:
      if (lookahead == 't') ADVANCE(239);
      END_STATE();
    case 148:
      if (lookahead == 'p') ADVANCE(240);
      END_STATE();
    case 149:
      if (lookahead == 's') ADVANCE(241);
      END_STATE();
    case 150:
      if (lookahead == 'e') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 152:
      if (lookahead == 'e') ADVANCE(244);
      END_STATE();
    case 153:
      if (lookahead == 'o') ADVANCE(245);
      END_STATE();
    case 154:
      if (lookahead == 'i') ADVANCE(246);
      END_STATE();
    case 155:
      if (lookahead == 'n') ADVANCE(247);
      END_STATE();
    case 156:
      if (lookahead == 't') ADVANCE(248);
      END_STATE();
    case 157:
      if (lookahead == 'a') ADVANCE(249);
      END_STATE();
    case 158:
      if (lookahead == 'l') ADVANCE(250);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_xor);
      if (lookahead == '_') ADVANCE(251);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 161:
      if (lookahead == 'g') ADVANCE(252);
      END_STATE();
    case 162:
      if (lookahead == 'm') ADVANCE(253);
      END_STATE();
    case 163:
      if (lookahead == 'e') ADVANCE(254);
      END_STATE();
    case 164:
      if (lookahead == 'e') ADVANCE(255);
      END_STATE();
    case 165:
      if (lookahead == 'i') ADVANCE(256);
      END_STATE();
    case 166:
      if (lookahead == 'm') ADVANCE(257);
      END_STATE();
    case 167:
      if (lookahead == 't') ADVANCE(258);
      END_STATE();
    case 168:
      if (lookahead == 's') ADVANCE(259);
      END_STATE();
    case 169:
      if (lookahead == 'e') ADVANCE(260);
      END_STATE();
    case 170:
      if (lookahead == 'r') ADVANCE(261);
      END_STATE();
    case 171:
      if (lookahead == 'c') ADVANCE(262);
      END_STATE();
    case 172:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 173:
      if (lookahead == 's') ADVANCE(265);
      END_STATE();
    case 174:
      if (lookahead == 'n') ADVANCE(266);
      END_STATE();
    case 175:
      if (lookahead == 'r') ADVANCE(267);
      END_STATE();
    case 176:
      if (lookahead == 'l') ADVANCE(268);
      END_STATE();
    case 177:
      if (lookahead == 'a') ADVANCE(269);
      END_STATE();
    case 178:
      if (lookahead == 's') ADVANCE(270);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 180:
      if (lookahead == 'd') ADVANCE(272);
      END_STATE();
    case 181:
      if (lookahead == 'i') ADVANCE(273);
      if (lookahead == 'r') ADVANCE(274);
      END_STATE();
    case 182:
      if (lookahead == 'y') ADVANCE(275);
      END_STATE();
    case 183:
      if (lookahead == 'a') ADVANCE(276);
      END_STATE();
    case 184:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 185:
      if (lookahead == 'c') ADVANCE(278);
      END_STATE();
    case 186:
      if (lookahead == 'g') ADVANCE(279);
      END_STATE();
    case 187:
      if (lookahead == 'l') ADVANCE(280);
      END_STATE();
    case 188:
      if (lookahead == 'n') ADVANCE(281);
      END_STATE();
    case 189:
      if (lookahead == 'e') ADVANCE(282);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_auto);
      END_STATE();
    case 191:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 192:
      if (lookahead == 'r') ADVANCE(284);
      END_STATE();
    case 193:
      if (lookahead == 'k') ADVANCE(285);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 195:
      if (lookahead == 'h') ADVANCE(286);
      END_STATE();
    case 196:
      if (lookahead == 's') ADVANCE(287);
      END_STATE();
    case 197:
      if (lookahead == 'w') ADVANCE(288);
      END_STATE();
    case 198:
      if (lookahead == 'e') ADVANCE(289);
      END_STATE();
    case 199:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 200:
      if (lookahead == 'l') ADVANCE(291);
      END_STATE();
    case 201:
      if (lookahead == 'e') ADVANCE(292);
      END_STATE();
    case 202:
      if (lookahead == 't') ADVANCE(293);
      END_STATE();
    case 203:
      if (lookahead == 'i') ADVANCE(294);
      END_STATE();
    case 204:
      if (lookahead == 't') ADVANCE(295);
      END_STATE();
    case 205:
      if (lookahead == 'u') ADVANCE(296);
      END_STATE();
    case 206:
      if (lookahead == 'n') ADVANCE(297);
      END_STATE();
    case 207:
      if (lookahead == 't') ADVANCE(298);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 210:
      if (lookahead == 'i') ADVANCE(299);
      END_STATE();
    case 211:
      if (lookahead == 'r') ADVANCE(300);
      END_STATE();
    case 212:
      if (lookahead == 'l') ADVANCE(301);
      END_STATE();
    case 213:
      if (lookahead == 'n') ADVANCE(302);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(anon_sym_goto);
      END_STATE();
    case 215:
      if (lookahead == 'n') ADVANCE(303);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 217:
      if (lookahead == 'b') ADVANCE(304);
      END_STATE();
    case 218:
      if (lookahead == 's') ADVANCE(305);
      END_STATE();
    case 219:
      if (lookahead == 'c') ADVANCE(306);
      END_STATE();
    case 220:
      if (lookahead == 't') ADVANCE(307);
      END_STATE();
    case 221:
      if (lookahead == 'e') ADVANCE(308);
      END_STATE();
    case 222:
      if (lookahead == 'p') ADVANCE(309);
      END_STATE();
    case 223:
      if (lookahead == 'e') ADVANCE(310);
      END_STATE();
    case 224:
      if (lookahead == 'a') ADVANCE(311);
      END_STATE();
    case 225:
      if (lookahead == 'q') ADVANCE(312);
      END_STATE();
    case 226:
      if (lookahead == 'r') ADVANCE(313);
      END_STATE();
    case 227:
      if (lookahead == 'a') ADVANCE(314);
      END_STATE();
    case 228:
      if (lookahead == 'e') ADVANCE(315);
      END_STATE();
    case 229:
      if (lookahead == 'i') ADVANCE(316);
      END_STATE();
    case 230:
      if (lookahead == 's') ADVANCE(317);
      END_STATE();
    case 231:
      if (lookahead == 'i') ADVANCE(318);
      END_STATE();
    case 232:
      if (lookahead == 'r') ADVANCE(319);
      END_STATE();
    case 233:
      if (lookahead == 'r') ADVANCE(320);
      END_STATE();
    case 234:
      if (lookahead == 't') ADVANCE(321);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(322);
      END_STATE();
    case 236:
      if (lookahead == 'o') ADVANCE(323);
      END_STATE();
    case 237:
      if (lookahead == 'i') ADVANCE(324);
      END_STATE();
    case 238:
      if (lookahead == 'c') ADVANCE(325);
      END_STATE();
    case 239:
      if (lookahead == 'c') ADVANCE(326);
      END_STATE();
    case 240:
      if (lookahead == 'l') ADVANCE(327);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 242:
      if (lookahead == 'a') ADVANCE(328);
      END_STATE();
    case 243:
      if (lookahead == 'w') ADVANCE(329);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(330);
      if (lookahead == 'n') ADVANCE(331);
      END_STATE();
    case 245:
      if (lookahead == 'n') ADVANCE(332);
      END_STATE();
    case 246:
      if (lookahead == 'g') ADVANCE(333);
      END_STATE();
    case 247:
      if (lookahead == 'g') ADVANCE(334);
      END_STATE();
    case 248:
      if (lookahead == 'u') ADVANCE(335);
      END_STATE();
    case 249:
      if (lookahead == 't') ADVANCE(336);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(337);
      END_STATE();
    case 251:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 252:
      if (lookahead == 'n') ADVANCE(339);
      END_STATE();
    case 253:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 254:
      if (lookahead == 'r') ADVANCE(341);
      END_STATE();
    case 255:
      if (lookahead == 't') ADVANCE(342);
      END_STATE();
    case 256:
      if (lookahead == 'g') ADVANCE(343);
      END_STATE();
    case 257:
      if (lookahead == '_') ADVANCE(344);
      END_STATE();
    case 258:
      if (lookahead == 'r') ADVANCE(345);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(346);
      END_STATE();
    case 260:
      if (lookahead == 'c') ADVANCE(347);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(348);
      END_STATE();
    case 262:
      if (lookahead == 'l') ADVANCE(349);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(350);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(351);
      END_STATE();
    case 265:
      if (lookahead == 't') ADVANCE(352);
      END_STATE();
    case 266:
      if (lookahead == 'a') ADVANCE(353);
      END_STATE();
    case 267:
      if (lookahead == 'c') ADVANCE(354);
      END_STATE();
    case 268:
      if (lookahead == 'i') ADVANCE(355);
      END_STATE();
    case 269:
      if (lookahead == 'v') ADVANCE(356);
      END_STATE();
    case 270:
      if (lookahead == 't') ADVANCE(357);
      END_STATE();
    case 271:
      if (lookahead == 'r') ADVANCE(358);
      END_STATE();
    case 272:
      if (lookahead == 'c') ADVANCE(359);
      END_STATE();
    case 273:
      if (lookahead == 's') ADVANCE(360);
      END_STATE();
    case 274:
      if (lookahead == 'e') ADVANCE(361);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(anon_sym___try);
      END_STATE();
    case 276:
      if (lookahead == 'l') ADVANCE(362);
      END_STATE();
    case 277:
      if (lookahead == 'r') ADVANCE(363);
      END_STATE();
    case 278:
      if (lookahead == 't') ADVANCE(364);
      END_STATE();
    case 279:
      if (lookahead == 'n') ADVANCE(365);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(366);
      END_STATE();
    case 281:
      if (lookahead == 'a') ADVANCE(367);
      if (lookahead == 'o') ADVANCE(368);
      END_STATE();
    case 282:
      if (lookahead == 'q') ADVANCE(369);
      END_STATE();
    case 283:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(anon_sym_bitor);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 288:
      if (lookahead == 'a') ADVANCE(371);
      END_STATE();
    case 289:
      if (lookahead == 't') ADVANCE(372);
      END_STATE();
    case 290:
      if (lookahead == 'e') ADVANCE(373);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_compl);
      END_STATE();
    case 292:
      if (lookahead == 'p') ADVANCE(374);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_const);
      if (lookahead == 'e') ADVANCE(375);
      if (lookahead == 'i') ADVANCE(376);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(377);
      END_STATE();
    case 295:
      if (lookahead == 'y') ADVANCE(378);
      END_STATE();
    case 296:
      if (lookahead == 'l') ADVANCE(379);
      END_STATE();
    case 297:
      if (lookahead == 'e') ADVANCE(380);
      END_STATE();
    case 298:
      if (lookahead == 'e') ADVANCE(381);
      END_STATE();
    case 299:
      if (lookahead == 'c') ADVANCE(382);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(383);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_final);
      END_STATE();
    case 302:
      if (lookahead == 'd') ADVANCE(384);
      END_STATE();
    case 303:
      if (lookahead == 'e') ADVANCE(385);
      END_STATE();
    case 304:
      if (lookahead == 'l') ADVANCE(386);
      END_STATE();
    case 305:
      if (lookahead == 'p') ADVANCE(387);
      END_STATE();
    case 306:
      if (lookahead == 'e') ADVANCE(388);
      END_STATE();
    case 307:
      if (lookahead == 'u') ADVANCE(389);
      END_STATE();
    case 308:
      if (lookahead == 'q') ADVANCE(390);
      END_STATE();
    case 309:
      if (lookahead == 't') ADVANCE(391);
      END_STATE();
    case 310:
      if (lookahead == 't') ADVANCE(392);
      END_STATE();
    case 311:
      if (lookahead == 't') ADVANCE(393);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(anon_sym_or_eq);
      END_STATE();
    case 313:
      if (lookahead == 'i') ADVANCE(394);
      END_STATE();
    case 314:
      if (lookahead == 't') ADVANCE(395);
      END_STATE();
    case 315:
      if (lookahead == 'c') ADVANCE(396);
      END_STATE();
    case 316:
      if (lookahead == 'c') ADVANCE(397);
      END_STATE();
    case 317:
      if (lookahead == 't') ADVANCE(398);
      END_STATE();
    case 318:
      if (lookahead == 'r') ADVANCE(399);
      END_STATE();
    case 319:
      if (lookahead == 'i') ADVANCE(400);
      END_STATE();
    case 320:
      if (lookahead == 'n') ADVANCE(401);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 322:
      if (lookahead == 'd') ADVANCE(402);
      END_STATE();
    case 323:
      if (lookahead == 'f') ADVANCE(403);
      END_STATE();
    case 324:
      if (lookahead == 'c') ADVANCE(404);
      END_STATE();
    case 325:
      if (lookahead == 't') ADVANCE(405);
      END_STATE();
    case 326:
      if (lookahead == 'h') ADVANCE(406);
      END_STATE();
    case 327:
      if (lookahead == 'a') ADVANCE(407);
      END_STATE();
    case 328:
      if (lookahead == 'd') ADVANCE(408);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(anon_sym_throw);
      END_STATE();
    case 330:
      if (lookahead == 'e') ADVANCE(409);
      END_STATE();
    case 331:
      if (lookahead == 'a') ADVANCE(410);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 333:
      if (lookahead == 'n') ADVANCE(411);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 335:
      if (lookahead == 'a') ADVANCE(412);
      END_STATE();
    case 336:
      if (lookahead == 'i') ADVANCE(413);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 338:
      if (lookahead == 'q') ADVANCE(414);
      END_STATE();
    case 339:
      if (lookahead == 'o') ADVANCE(415);
      END_STATE();
    case 340:
      if (lookahead == 'c') ADVANCE(416);
      END_STATE();
    case 341:
      if (lookahead == 'i') ADVANCE(417);
      END_STATE();
    case 342:
      if (lookahead == 'u') ADVANCE(418);
      END_STATE();
    case 343:
      if (lookahead == 'n') ADVANCE(419);
      END_STATE();
    case 344:
      if (lookahead == '_') ADVANCE(420);
      END_STATE();
    case 345:
      if (lookahead == 'i') ADVANCE(421);
      END_STATE();
    case 346:
      if (lookahead == 'd') ADVANCE(422);
      END_STATE();
    case 347:
      if (lookahead == 'l') ADVANCE(423);
      END_STATE();
    case 348:
      if (lookahead == 'a') ADVANCE(424);
      END_STATE();
    case 349:
      if (lookahead == 's') ADVANCE(425);
      END_STATE();
    case 350:
      if (lookahead == 'p') ADVANCE(426);
      END_STATE();
    case 351:
      if (lookahead == 'n') ADVANCE(427);
      END_STATE();
    case 352:
      if (lookahead == 'c') ADVANCE(428);
      END_STATE();
    case 353:
      if (lookahead == 'l') ADVANCE(429);
      END_STATE();
    case 354:
      if (lookahead == 'e') ADVANCE(430);
      END_STATE();
    case 355:
      if (lookahead == 'n') ADVANCE(431);
      END_STATE();
    case 356:
      if (lookahead == 'e') ADVANCE(432);
      END_STATE();
    case 357:
      if (lookahead == 'r') ADVANCE(433);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(sym_ms_signed_ptr_modifier);
      END_STATE();
    case 359:
      if (lookahead == 'a') ADVANCE(434);
      END_STATE();
    case 360:
      if (lookahead == 'c') ADVANCE(435);
      END_STATE();
    case 361:
      if (lookahead == 'a') ADVANCE(436);
      END_STATE();
    case 362:
      if (lookahead == 'i') ADVANCE(437);
      END_STATE();
    case 363:
      ACCEPT_TOKEN(sym_ms_unsigned_ptr_modifier);
      END_STATE();
    case 364:
      if (lookahead == 'o') ADVANCE(438);
      END_STATE();
    case 365:
      if (lookahead == 'o') ADVANCE(439);
      END_STATE();
    case 366:
      if (lookahead == 'g') ADVANCE(440);
      END_STATE();
    case 367:
      if (lookahead == 's') ADVANCE(441);
      END_STATE();
    case 368:
      if (lookahead == 'f') ADVANCE(442);
      END_STATE();
    case 369:
      ACCEPT_TOKEN(anon_sym_and_eq);
      END_STATE();
    case 370:
      ACCEPT_TOKEN(anon_sym_bitand);
      END_STATE();
    case 371:
      if (lookahead == 'i') ADVANCE(443);
      END_STATE();
    case 372:
      if (lookahead == 'u') ADVANCE(444);
      END_STATE();
    case 373:
      if (lookahead == 'l') ADVANCE(445);
      END_STATE();
    case 374:
      if (lookahead == 't') ADVANCE(446);
      END_STATE();
    case 375:
      if (lookahead == 'v') ADVANCE(447);
      if (lookahead == 'x') ADVANCE(448);
      END_STATE();
    case 376:
      if (lookahead == 'n') ADVANCE(449);
      END_STATE();
    case 377:
      if (lookahead == 'u') ADVANCE(450);
      END_STATE();
    case 378:
      if (lookahead == 'p') ADVANCE(451);
      END_STATE();
    case 379:
      if (lookahead == 't') ADVANCE(452);
      END_STATE();
    case 380:
      if (lookahead == 'd') ADVANCE(453);
      END_STATE();
    case 381:
      ACCEPT_TOKEN(anon_sym_delete);
      END_STATE();
    case 382:
      if (lookahead == 'i') ADVANCE(454);
      END_STATE();
    case 383:
      ACCEPT_TOKEN(anon_sym_extern);
      END_STATE();
    case 384:
      ACCEPT_TOKEN(anon_sym_friend);
      END_STATE();
    case 385:
      ACCEPT_TOKEN(anon_sym_inline);
      END_STATE();
    case 386:
      if (lookahead == 'e') ADVANCE(455);
      END_STATE();
    case 387:
      if (lookahead == 'a') ADVANCE(456);
      END_STATE();
    case 388:
      if (lookahead == 'p') ADVANCE(457);
      END_STATE();
    case 389:
      if (lookahead == 'r') ADVANCE(458);
      END_STATE();
    case 390:
      ACCEPT_TOKEN(anon_sym_not_eq);
      END_STATE();
    case 391:
      if (lookahead == 'r') ADVANCE(459);
      END_STATE();
    case 392:
      if (lookahead == 'o') ADVANCE(460);
      END_STATE();
    case 393:
      if (lookahead == 'o') ADVANCE(461);
      END_STATE();
    case 394:
      if (lookahead == 'd') ADVANCE(462);
      END_STATE();
    case 395:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 396:
      if (lookahead == 't') ADVANCE(464);
      END_STATE();
    case 397:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 398:
      if (lookahead == 'e') ADVANCE(465);
      END_STATE();
    case 399:
      if (lookahead == 'e') ADVANCE(466);
      END_STATE();
    case 400:
      if (lookahead == 'c') ADVANCE(467);
      END_STATE();
    case 401:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 402:
      ACCEPT_TOKEN(anon_sym_signed);
      END_STATE();
    case 403:
      ACCEPT_TOKEN(anon_sym_sizeof);
      END_STATE();
    case 404:
      ACCEPT_TOKEN(anon_sym_static);
      if (lookahead == '_') ADVANCE(468);
      END_STATE();
    case 405:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 406:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 407:
      if (lookahead == 't') ADVANCE(469);
      END_STATE();
    case 408:
      if (lookahead == '_') ADVANCE(470);
      END_STATE();
    case 409:
      if (lookahead == 'f') ADVANCE(471);
      END_STATE();
    case 410:
      if (lookahead == 'm') ADVANCE(472);
      END_STATE();
    case 411:
      if (lookahead == 'e') ADVANCE(473);
      END_STATE();
    case 412:
      if (lookahead == 'l') ADVANCE(474);
      END_STATE();
    case 413:
      if (lookahead == 'l') ADVANCE(475);
      END_STATE();
    case 414:
      ACCEPT_TOKEN(anon_sym_xor_eq);
      END_STATE();
    case 415:
      if (lookahead == 'f') ADVANCE(476);
      END_STATE();
    case 416:
      ACCEPT_TOKEN(anon_sym__Atomic);
      END_STATE();
    case 417:
      if (lookahead == 'c') ADVANCE(477);
      END_STATE();
    case 418:
      if (lookahead == 'r') ADVANCE(478);
      END_STATE();
    case 419:
      if (lookahead == 'o') ADVANCE(479);
      END_STATE();
    case 420:
      ACCEPT_TOKEN(anon_sym___asm__);
      END_STATE();
    case 421:
      if (lookahead == 'b') ADVANCE(480);
      END_STATE();
    case 422:
      ACCEPT_TOKEN(anon_sym___based);
      END_STATE();
    case 423:
      ACCEPT_TOKEN(anon_sym___cdecl);
      END_STATE();
    case 424:
      if (lookahead == 'l') ADVANCE(481);
      END_STATE();
    case 425:
      if (lookahead == 'p') ADVANCE(482);
      END_STATE();
    case 426:
      if (lookahead == 't') ADVANCE(483);
      END_STATE();
    case 427:
      if (lookahead == 's') ADVANCE(484);
      END_STATE();
    case 428:
      if (lookahead == 'a') ADVANCE(485);
      END_STATE();
    case 429:
      if (lookahead == 'l') ADVANCE(486);
      END_STATE();
    case 430:
      if (lookahead == 'i') ADVANCE(487);
      END_STATE();
    case 431:
      if (lookahead == 'e') ADVANCE(488);
      END_STATE();
    case 432:
      ACCEPT_TOKEN(anon_sym___leave);
      END_STATE();
    case 433:
      if (lookahead == 'i') ADVANCE(489);
      END_STATE();
    case 434:
      if (lookahead == 'l') ADVANCE(490);
      END_STATE();
    case 435:
      if (lookahead == 'a') ADVANCE(491);
      END_STATE();
    case 436:
      if (lookahead == 'd') ADVANCE(492);
      END_STATE();
    case 437:
      if (lookahead == 'g') ADVANCE(493);
      END_STATE();
    case 438:
      if (lookahead == 'r') ADVANCE(494);
      END_STATE();
    case 439:
      if (lookahead == 'f') ADVANCE(495);
      END_STATE();
    case 440:
      if (lookahead == 'n') ADVANCE(496);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_alignas);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_alignof);
      END_STATE();
    case 443:
      if (lookahead == 't') ADVANCE(497);
      END_STATE();
    case 444:
      if (lookahead == 'r') ADVANCE(498);
      END_STATE();
    case 445:
      if (lookahead == 'd') ADVANCE(499);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_concept);
      END_STATE();
    case 447:
      if (lookahead == 'a') ADVANCE(500);
      END_STATE();
    case 448:
      if (lookahead == 'p') ADVANCE(501);
      END_STATE();
    case 449:
      if (lookahead == 'i') ADVANCE(502);
      END_STATE();
    case 450:
      if (lookahead == 'e') ADVANCE(503);
      END_STATE();
    case 451:
      if (lookahead == 'e') ADVANCE(504);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_defined);
      END_STATE();
    case 454:
      if (lookahead == 't') ADVANCE(505);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 456:
      if (lookahead == 'c') ADVANCE(506);
      END_STATE();
    case 457:
      if (lookahead == 't') ADVANCE(507);
      END_STATE();
    case 458:
      if (lookahead == 'n') ADVANCE(508);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_nullptr);
      END_STATE();
    case 460:
      if (lookahead == 'f') ADVANCE(509);
      END_STATE();
    case 461:
      if (lookahead == 'r') ADVANCE(510);
      END_STATE();
    case 462:
      if (lookahead == 'e') ADVANCE(511);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 464:
      if (lookahead == 'e') ADVANCE(512);
      END_STATE();
    case 465:
      if (lookahead == 'r') ADVANCE(513);
      END_STATE();
    case 466:
      if (lookahead == 's') ADVANCE(514);
      END_STATE();
    case 467:
      if (lookahead == 't') ADVANCE(515);
      END_STATE();
    case 468:
      if (lookahead == 'a') ADVANCE(516);
      END_STATE();
    case 469:
      if (lookahead == 'e') ADVANCE(517);
      END_STATE();
    case 470:
      if (lookahead == 'l') ADVANCE(518);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_typedef);
      END_STATE();
    case 472:
      if (lookahead == 'e') ADVANCE(519);
      END_STATE();
    case 473:
      if (lookahead == 'd') ADVANCE(520);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 475:
      if (lookahead == 'e') ADVANCE(521);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym__Alignof);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym__Generic);
      END_STATE();
    case 478:
      if (lookahead == 'n') ADVANCE(522);
      END_STATE();
    case 479:
      if (lookahead == 'f') ADVANCE(523);
      END_STATE();
    case 480:
      if (lookahead == 'u') ADVANCE(524);
      END_STATE();
    case 481:
      if (lookahead == 'l') ADVANCE(525);
      END_STATE();
    case 482:
      if (lookahead == 'e') ADVANCE(526);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym___except);
      END_STATE();
    case 484:
      if (lookahead == 'i') ADVANCE(527);
      END_STATE();
    case 485:
      if (lookahead == 'l') ADVANCE(528);
      END_STATE();
    case 486:
      if (lookahead == 'y') ADVANCE(529);
      END_STATE();
    case 487:
      if (lookahead == 'n') ADVANCE(530);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym___inline);
      if (lookahead == '_') ADVANCE(531);
      END_STATE();
    case 489:
      if (lookahead == 'c') ADVANCE(532);
      END_STATE();
    case 490:
      if (lookahead == 'l') ADVANCE(533);
      END_STATE();
    case 491:
      if (lookahead == 'l') ADVANCE(534);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym___thread);
      END_STATE();
    case 493:
      if (lookahead == 'n') ADVANCE(535);
      END_STATE();
    case 494:
      if (lookahead == 'c') ADVANCE(536);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym__alignof);
      END_STATE();
    case 496:
      if (lookahead == 'e') ADVANCE(537);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_co_await);
      END_STATE();
    case 498:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_co_yield);
      END_STATE();
    case 500:
      if (lookahead == 'l') ADVANCE(539);
      END_STATE();
    case 501:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 502:
      if (lookahead == 't') ADVANCE(541);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_decltype);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_explicit);
      END_STATE();
    case 506:
      if (lookahead == 'e') ADVANCE(542);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_noexcept);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_noreturn);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_offsetof);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_operator);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_override);
      END_STATE();
    case 512:
      if (lookahead == 'd') ADVANCE(543);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_register);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_restrict);
      END_STATE();
    case 516:
      if (lookahead == 's') ADVANCE(544);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_template);
      END_STATE();
    case 518:
      if (lookahead == 'o') ADVANCE(545);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_typename);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_unsigned);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym__Noreturn);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym___alignof);
      if (lookahead == '_') ADVANCE(546);
      END_STATE();
    case 524:
      if (lookahead == 't') ADVANCE(547);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym___clrcall);
      END_STATE();
    case 526:
      if (lookahead == 'c') ADVANCE(548);
      END_STATE();
    case 527:
      if (lookahead == 'o') ADVANCE(549);
      END_STATE();
    case 528:
      if (lookahead == 'l') ADVANCE(550);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym___finally);
      END_STATE();
    case 530:
      if (lookahead == 'l') ADVANCE(551);
      END_STATE();
    case 531:
      if (lookahead == '_') ADVANCE(552);
      END_STATE();
    case 532:
      if (lookahead == 't') ADVANCE(553);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym___stdcall);
      END_STATE();
    case 534:
      if (lookahead == 'l') ADVANCE(554);
      END_STATE();
    case 535:
      if (lookahead == 'e') ADVANCE(555);
      END_STATE();
    case 536:
      if (lookahead == 'a') ADVANCE(556);
      END_STATE();
    case 537:
      if (lookahead == 'd') ADVANCE(557);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_co_return);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_consteval);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_constexpr);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_constinit);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_namespace);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 544:
      if (lookahead == 's') ADVANCE(558);
      END_STATE();
    case 545:
      if (lookahead == 'c') ADVANCE(559);
      END_STATE();
    case 546:
      if (lookahead == '_') ADVANCE(560);
      END_STATE();
    case 547:
      if (lookahead == 'e') ADVANCE(561);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym___declspec);
      END_STATE();
    case 549:
      if (lookahead == 'n') ADVANCE(562);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym___fastcall);
      END_STATE();
    case 551:
      if (lookahead == 'i') ADVANCE(563);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym___inline__);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(sym_ms_restrict_modifier);
      if (lookahead == '_') ADVANCE(564);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym___thiscall);
      END_STATE();
    case 555:
      if (lookahead == 'd') ADVANCE(565);
      END_STATE();
    case 556:
      if (lookahead == 'l') ADVANCE(566);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym__unaligned);
      END_STATE();
    case 558:
      if (lookahead == 'e') ADVANCE(567);
      END_STATE();
    case 559:
      if (lookahead == 'a') ADVANCE(568);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym___alignof__);
      END_STATE();
    case 561:
      if (lookahead == '_') ADVANCE(569);
      END_STATE();
    case 562:
      if (lookahead == '_') ADVANCE(570);
      END_STATE();
    case 563:
      if (lookahead == 'n') ADVANCE(571);
      END_STATE();
    case 564:
      if (lookahead == '_') ADVANCE(572);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym___unaligned);
      END_STATE();
    case 566:
      if (lookahead == 'l') ADVANCE(573);
      END_STATE();
    case 567:
      if (lookahead == 'r') ADVANCE(574);
      END_STATE();
    case 568:
      if (lookahead == 'l') ADVANCE(575);
      END_STATE();
    case 569:
      if (lookahead == '_') ADVANCE(576);
      END_STATE();
    case 570:
      if (lookahead == '_') ADVANCE(577);
      END_STATE();
    case 571:
      if (lookahead == 'e') ADVANCE(578);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(anon_sym___restrict__);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(anon_sym___vectorcall);
      END_STATE();
    case 574:
      if (lookahead == 't') ADVANCE(579);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_thread_local);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym___attribute__);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym___extension__);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym___forceinline);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_static_assert);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 393},
  [2] = {.lex_state = 393},
  [3] = {.lex_state = 393},
  [4] = {.lex_state = 393},
  [5] = {.lex_state = 393},
  [6] = {.lex_state = 393},
  [7] = {.lex_state = 393},
  [8] = {.lex_state = 393},
  [9] = {.lex_state = 393},
  [10] = {.lex_state = 393},
  [11] = {.lex_state = 393},
  [12] = {.lex_state = 393},
  [13] = {.lex_state = 393},
  [14] = {.lex_state = 393},
  [15] = {.lex_state = 393},
  [16] = {.lex_state = 198},
  [17] = {.lex_state = 198},
  [18] = {.lex_state = 198},
  [19] = {.lex_state = 198},
  [20] = {.lex_state = 198},
  [21] = {.lex_state = 198},
  [22] = {.lex_state = 198},
  [23] = {.lex_state = 198},
  [24] = {.lex_state = 198},
  [25] = {.lex_state = 198},
  [26] = {.lex_state = 202},
  [27] = {.lex_state = 202},
  [28] = {.lex_state = 202},
  [29] = {.lex_state = 202},
  [30] = {.lex_state = 202},
  [31] = {.lex_state = 202},
  [32] = {.lex_state = 202},
  [33] = {.lex_state = 202},
  [34] = {.lex_state = 202},
  [35] = {.lex_state = 202},
  [36] = {.lex_state = 202},
  [37] = {.lex_state = 198},
  [38] = {.lex_state = 202},
  [39] = {.lex_state = 202},
  [40] = {.lex_state = 202},
  [41] = {.lex_state = 202},
  [42] = {.lex_state = 393},
  [43] = {.lex_state = 393},
  [44] = {.lex_state = 393},
  [45] = {.lex_state = 393},
  [46] = {.lex_state = 393},
  [47] = {.lex_state = 393},
  [48] = {.lex_state = 393},
  [49] = {.lex_state = 393},
  [50] = {.lex_state = 393},
  [51] = {.lex_state = 201},
  [52] = {.lex_state = 393},
  [53] = {.lex_state = 393},
  [54] = {.lex_state = 393},
  [55] = {.lex_state = 393},
  [56] = {.lex_state = 393},
  [57] = {.lex_state = 393},
  [58] = {.lex_state = 393},
  [59] = {.lex_state = 393},
  [60] = {.lex_state = 393},
  [61] = {.lex_state = 393},
  [62] = {.lex_state = 393},
  [63] = {.lex_state = 393},
  [64] = {.lex_state = 393},
  [65] = {.lex_state = 393},
  [66] = {.lex_state = 393},
  [67] = {.lex_state = 393},
  [68] = {.lex_state = 393},
  [69] = {.lex_state = 393},
  [70] = {.lex_state = 393},
  [71] = {.lex_state = 201},
  [72] = {.lex_state = 393},
  [73] = {.lex_state = 393},
  [74] = {.lex_state = 393},
  [75] = {.lex_state = 393},
  [76] = {.lex_state = 393},
  [77] = {.lex_state = 393},
  [78] = {.lex_state = 393},
  [79] = {.lex_state = 393},
  [80] = {.lex_state = 393},
  [81] = {.lex_state = 393},
  [82] = {.lex_state = 393},
  [83] = {.lex_state = 393},
  [84] = {.lex_state = 393},
  [85] = {.lex_state = 393},
  [86] = {.lex_state = 393},
  [87] = {.lex_state = 393},
  [88] = {.lex_state = 393},
  [89] = {.lex_state = 201},
  [90] = {.lex_state = 393},
  [91] = {.lex_state = 393},
  [92] = {.lex_state = 393},
  [93] = {.lex_state = 393},
  [94] = {.lex_state = 393},
  [95] = {.lex_state = 393},
  [96] = {.lex_state = 393},
  [97] = {.lex_state = 393},
  [98] = {.lex_state = 393},
  [99] = {.lex_state = 393},
  [100] = {.lex_state = 198},
  [101] = {.lex_state = 198},
  [102] = {.lex_state = 198},
  [103] = {.lex_state = 198},
  [104] = {.lex_state = 198},
  [105] = {.lex_state = 202},
  [106] = {.lex_state = 202},
  [107] = {.lex_state = 202},
  [108] = {.lex_state = 202},
  [109] = {.lex_state = 202},
  [110] = {.lex_state = 393},
  [111] = {.lex_state = 201},
  [112] = {.lex_state = 201},
  [113] = {.lex_state = 393},
  [114] = {.lex_state = 393},
  [115] = {.lex_state = 393},
  [116] = {.lex_state = 393},
  [117] = {.lex_state = 393},
  [118] = {.lex_state = 393},
  [119] = {.lex_state = 201},
  [120] = {.lex_state = 393},
  [121] = {.lex_state = 393},
  [122] = {.lex_state = 393},
  [123] = {.lex_state = 201},
  [124] = {.lex_state = 201},
  [125] = {.lex_state = 200},
  [126] = {.lex_state = 200},
  [127] = {.lex_state = 200},
  [128] = {.lex_state = 200},
  [129] = {.lex_state = 200},
  [130] = {.lex_state = 200},
  [131] = {.lex_state = 200},
  [132] = {.lex_state = 200},
  [133] = {.lex_state = 200},
  [134] = {.lex_state = 200},
  [135] = {.lex_state = 200},
  [136] = {.lex_state = 200},
  [137] = {.lex_state = 200},
  [138] = {.lex_state = 200},
  [139] = {.lex_state = 200},
  [140] = {.lex_state = 200},
  [141] = {.lex_state = 200},
  [142] = {.lex_state = 200},
  [143] = {.lex_state = 200},
  [144] = {.lex_state = 200},
  [145] = {.lex_state = 200},
  [146] = {.lex_state = 200},
  [147] = {.lex_state = 200},
  [148] = {.lex_state = 203},
  [149] = {.lex_state = 203},
  [150] = {.lex_state = 203},
  [151] = {.lex_state = 393},
  [152] = {.lex_state = 189},
  [153] = {.lex_state = 393},
  [154] = {.lex_state = 189},
  [155] = {.lex_state = 191},
  [156] = {.lex_state = 189},
  [157] = {.lex_state = 200},
  [158] = {.lex_state = 193},
  [159] = {.lex_state = 200},
  [160] = {.lex_state = 200},
  [161] = {.lex_state = 200},
  [162] = {.lex_state = 200},
  [163] = {.lex_state = 200},
  [164] = {.lex_state = 200},
  [165] = {.lex_state = 200},
  [166] = {.lex_state = 200},
  [167] = {.lex_state = 200},
  [168] = {.lex_state = 200},
  [169] = {.lex_state = 200},
  [170] = {.lex_state = 200},
  [171] = {.lex_state = 200},
  [172] = {.lex_state = 200},
  [173] = {.lex_state = 200},
  [174] = {.lex_state = 200},
  [175] = {.lex_state = 200},
  [176] = {.lex_state = 200},
  [177] = {.lex_state = 200},
  [178] = {.lex_state = 200},
  [179] = {.lex_state = 200},
  [180] = {.lex_state = 200},
  [181] = {.lex_state = 200},
  [182] = {.lex_state = 200},
  [183] = {.lex_state = 200},
  [184] = {.lex_state = 200},
  [185] = {.lex_state = 200},
  [186] = {.lex_state = 200},
  [187] = {.lex_state = 200},
  [188] = {.lex_state = 200},
  [189] = {.lex_state = 200},
  [190] = {.lex_state = 200},
  [191] = {.lex_state = 200},
  [192] = {.lex_state = 200},
  [193] = {.lex_state = 200},
  [194] = {.lex_state = 200},
  [195] = {.lex_state = 200},
  [196] = {.lex_state = 200},
  [197] = {.lex_state = 200},
  [198] = {.lex_state = 200},
  [199] = {.lex_state = 200},
  [200] = {.lex_state = 200},
  [201] = {.lex_state = 200},
  [202] = {.lex_state = 200},
  [203] = {.lex_state = 200},
  [204] = {.lex_state = 200},
  [205] = {.lex_state = 200},
  [206] = {.lex_state = 200},
  [207] = {.lex_state = 200},
  [208] = {.lex_state = 200},
  [209] = {.lex_state = 200},
  [210] = {.lex_state = 200},
  [211] = {.lex_state = 200},
  [212] = {.lex_state = 200},
  [213] = {.lex_state = 200},
  [214] = {.lex_state = 200},
  [215] = {.lex_state = 200},
  [216] = {.lex_state = 200},
  [217] = {.lex_state = 200},
  [218] = {.lex_state = 200},
  [219] = {.lex_state = 200},
  [220] = {.lex_state = 200},
  [221] = {.lex_state = 200},
  [222] = {.lex_state = 200},
  [223] = {.lex_state = 200},
  [224] = {.lex_state = 200},
  [225] = {.lex_state = 194},
  [226] = {.lex_state = 200},
  [227] = {.lex_state = 200},
  [228] = {.lex_state = 200},
  [229] = {.lex_state = 198},
  [230] = {.lex_state = 189},
  [231] = {.lex_state = 198},
  [232] = {.lex_state = 198},
  [233] = {.lex_state = 198},
  [234] = {.lex_state = 193},
  [235] = {.lex_state = 204},
  [236] = {.lex_state = 204},
  [237] = {.lex_state = 204},
  [238] = {.lex_state = 198},
  [239] = {.lex_state = 204},
  [240] = {.lex_state = 202},
  [241] = {.lex_state = 204},
  [242] = {.lex_state = 202},
  [243] = {.lex_state = 204},
  [244] = {.lex_state = 204},
  [245] = {.lex_state = 198},
  [246] = {.lex_state = 204},
  [247] = {.lex_state = 198},
  [248] = {.lex_state = 204},
  [249] = {.lex_state = 204},
  [250] = {.lex_state = 204},
  [251] = {.lex_state = 204},
  [252] = {.lex_state = 204},
  [253] = {.lex_state = 204},
  [254] = {.lex_state = 204},
  [255] = {.lex_state = 204},
  [256] = {.lex_state = 204},
  [257] = {.lex_state = 204},
  [258] = {.lex_state = 204},
  [259] = {.lex_state = 204},
  [260] = {.lex_state = 204},
  [261] = {.lex_state = 204},
  [262] = {.lex_state = 204},
  [263] = {.lex_state = 204},
  [264] = {.lex_state = 204},
  [265] = {.lex_state = 198},
  [266] = {.lex_state = 198},
  [267] = {.lex_state = 204},
  [268] = {.lex_state = 204},
  [269] = {.lex_state = 204},
  [270] = {.lex_state = 204},
  [271] = {.lex_state = 204},
  [272] = {.lex_state = 198},
  [273] = {.lex_state = 198},
  [274] = {.lex_state = 198},
  [275] = {.lex_state = 198},
  [276] = {.lex_state = 198},
  [277] = {.lex_state = 198},
  [278] = {.lex_state = 198},
  [279] = {.lex_state = 198},
  [280] = {.lex_state = 198},
  [281] = {.lex_state = 198},
  [282] = {.lex_state = 198},
  [283] = {.lex_state = 198},
  [284] = {.lex_state = 198},
  [285] = {.lex_state = 198},
  [286] = {.lex_state = 202},
  [287] = {.lex_state = 198},
  [288] = {.lex_state = 198},
  [289] = {.lex_state = 198},
  [290] = {.lex_state = 198},
  [291] = {.lex_state = 198},
  [292] = {.lex_state = 198},
  [293] = {.lex_state = 198},
  [294] = {.lex_state = 198},
  [295] = {.lex_state = 198},
  [296] = {.lex_state = 198},
  [297] = {.lex_state = 198},
  [298] = {.lex_state = 198},
  [299] = {.lex_state = 198},
  [300] = {.lex_state = 198},
  [301] = {.lex_state = 198},
  [302] = {.lex_state = 198},
  [303] = {.lex_state = 202},
  [304] = {.lex_state = 198},
  [305] = {.lex_state = 198},
  [306] = {.lex_state = 198},
  [307] = {.lex_state = 198},
  [308] = {.lex_state = 198},
  [309] = {.lex_state = 198},
  [310] = {.lex_state = 198},
  [311] = {.lex_state = 198},
  [312] = {.lex_state = 198},
  [313] = {.lex_state = 198},
  [314] = {.lex_state = 198},
  [315] = {.lex_state = 198},
  [316] = {.lex_state = 198},
  [317] = {.lex_state = 198},
  [318] = {.lex_state = 198},
  [319] = {.lex_state = 198},
  [320] = {.lex_state = 198},
  [321] = {.lex_state = 198},
  [322] = {.lex_state = 198},
  [323] = {.lex_state = 198},
  [324] = {.lex_state = 198},
  [325] = {.lex_state = 198},
  [326] = {.lex_state = 198},
  [327] = {.lex_state = 198},
  [328] = {.lex_state = 198},
  [329] = {.lex_state = 198},
  [330] = {.lex_state = 198},
  [331] = {.lex_state = 198},
  [332] = {.lex_state = 198},
  [333] = {.lex_state = 198},
  [334] = {.lex_state = 198},
  [335] = {.lex_state = 198},
  [336] = {.lex_state = 198},
  [337] = {.lex_state = 198},
  [338] = {.lex_state = 198},
  [339] = {.lex_state = 198},
  [340] = {.lex_state = 198},
  [341] = {.lex_state = 198},
  [342] = {.lex_state = 198},
  [343] = {.lex_state = 198},
  [344] = {.lex_state = 198},
  [345] = {.lex_state = 198},
  [346] = {.lex_state = 282},
  [347] = {.lex_state = 198},
  [348] = {.lex_state = 198},
  [349] = {.lex_state = 198},
  [350] = {.lex_state = 198},
  [351] = {.lex_state = 393},
  [352] = {.lex_state = 198},
  [353] = {.lex_state = 282},
  [354] = {.lex_state = 393},
  [355] = {.lex_state = 201},
  [356] = {.lex_state = 198},
  [357] = {.lex_state = 198},
  [358] = {.lex_state = 198},
  [359] = {.lex_state = 198},
  [360] = {.lex_state = 198},
  [361] = {.lex_state = 198},
  [362] = {.lex_state = 282},
  [363] = {.lex_state = 198},
  [364] = {.lex_state = 282},
  [365] = {.lex_state = 198},
  [366] = {.lex_state = 198},
  [367] = {.lex_state = 198},
  [368] = {.lex_state = 198},
  [369] = {.lex_state = 198},
  [370] = {.lex_state = 198},
  [371] = {.lex_state = 198},
  [372] = {.lex_state = 198},
  [373] = {.lex_state = 198},
  [374] = {.lex_state = 198},
  [375] = {.lex_state = 198},
  [376] = {.lex_state = 198},
  [377] = {.lex_state = 198},
  [378] = {.lex_state = 198},
  [379] = {.lex_state = 198},
  [380] = {.lex_state = 198},
  [381] = {.lex_state = 198},
  [382] = {.lex_state = 198},
  [383] = {.lex_state = 198},
  [384] = {.lex_state = 198},
  [385] = {.lex_state = 201},
  [386] = {.lex_state = 282},
  [387] = {.lex_state = 198},
  [388] = {.lex_state = 198},
  [389] = {.lex_state = 198},
  [390] = {.lex_state = 198},
  [391] = {.lex_state = 198},
  [392] = {.lex_state = 198},
  [393] = {.lex_state = 198},
  [394] = {.lex_state = 198},
  [395] = {.lex_state = 282},
  [396] = {.lex_state = 198},
  [397] = {.lex_state = 198},
  [398] = {.lex_state = 198},
  [399] = {.lex_state = 282},
  [400] = {.lex_state = 198},
  [401] = {.lex_state = 198},
  [402] = {.lex_state = 198},
  [403] = {.lex_state = 202},
  [404] = {.lex_state = 198},
  [405] = {.lex_state = 198},
  [406] = {.lex_state = 198},
  [407] = {.lex_state = 198},
  [408] = {.lex_state = 198},
  [409] = {.lex_state = 198},
  [410] = {.lex_state = 393},
  [411] = {.lex_state = 198},
  [412] = {.lex_state = 393},
  [413] = {.lex_state = 202},
  [414] = {.lex_state = 198},
  [415] = {.lex_state = 282},
  [416] = {.lex_state = 202},
  [417] = {.lex_state = 198},
  [418] = {.lex_state = 202},
  [419] = {.lex_state = 198},
  [420] = {.lex_state = 198},
  [421] = {.lex_state = 198},
  [422] = {.lex_state = 198},
  [423] = {.lex_state = 198},
  [424] = {.lex_state = 198},
  [425] = {.lex_state = 202},
  [426] = {.lex_state = 202},
  [427] = {.lex_state = 202},
  [428] = {.lex_state = 202},
  [429] = {.lex_state = 202},
  [430] = {.lex_state = 202},
  [431] = {.lex_state = 202},
  [432] = {.lex_state = 202},
  [433] = {.lex_state = 202},
  [434] = {.lex_state = 202},
  [435] = {.lex_state = 393},
  [436] = {.lex_state = 202},
  [437] = {.lex_state = 200},
  [438] = {.lex_state = 200},
  [439] = {.lex_state = 393},
  [440] = {.lex_state = 202},
  [441] = {.lex_state = 202},
  [442] = {.lex_state = 202},
  [443] = {.lex_state = 202},
  [444] = {.lex_state = 202},
  [445] = {.lex_state = 201},
  [446] = {.lex_state = 201},
  [447] = {.lex_state = 202},
  [448] = {.lex_state = 202},
  [449] = {.lex_state = 202},
  [450] = {.lex_state = 202},
  [451] = {.lex_state = 202},
  [452] = {.lex_state = 202},
  [453] = {.lex_state = 202},
  [454] = {.lex_state = 202},
  [455] = {.lex_state = 202},
  [456] = {.lex_state = 202},
  [457] = {.lex_state = 202},
  [458] = {.lex_state = 202},
  [459] = {.lex_state = 202},
  [460] = {.lex_state = 202},
  [461] = {.lex_state = 202},
  [462] = {.lex_state = 202},
  [463] = {.lex_state = 202},
  [464] = {.lex_state = 202},
  [465] = {.lex_state = 202},
  [466] = {.lex_state = 202},
  [467] = {.lex_state = 202},
  [468] = {.lex_state = 202},
  [469] = {.lex_state = 202},
  [470] = {.lex_state = 202},
  [471] = {.lex_state = 202},
  [472] = {.lex_state = 202},
  [473] = {.lex_state = 202},
  [474] = {.lex_state = 202},
  [475] = {.lex_state = 202},
  [476] = {.lex_state = 202},
  [477] = {.lex_state = 202},
  [478] = {.lex_state = 202},
  [479] = {.lex_state = 202},
  [480] = {.lex_state = 202},
  [481] = {.lex_state = 202},
  [482] = {.lex_state = 202},
  [483] = {.lex_state = 202},
  [484] = {.lex_state = 202},
  [485] = {.lex_state = 202},
  [486] = {.lex_state = 202},
  [487] = {.lex_state = 202},
  [488] = {.lex_state = 200},
  [489] = {.lex_state = 202},
  [490] = {.lex_state = 202},
  [491] = {.lex_state = 202},
  [492] = {.lex_state = 202},
  [493] = {.lex_state = 202},
  [494] = {.lex_state = 202},
  [495] = {.lex_state = 202},
  [496] = {.lex_state = 202},
  [497] = {.lex_state = 202},
  [498] = {.lex_state = 202},
  [499] = {.lex_state = 202},
  [500] = {.lex_state = 202},
  [501] = {.lex_state = 202},
  [502] = {.lex_state = 202},
  [503] = {.lex_state = 202},
  [504] = {.lex_state = 202},
  [505] = {.lex_state = 204},
  [506] = {.lex_state = 204},
  [507] = {.lex_state = 201},
  [508] = {.lex_state = 204},
  [509] = {.lex_state = 204},
  [510] = {.lex_state = 201},
  [511] = {.lex_state = 202},
  [512] = {.lex_state = 204},
  [513] = {.lex_state = 204},
  [514] = {.lex_state = 204},
  [515] = {.lex_state = 202},
  [516] = {.lex_state = 204},
  [517] = {.lex_state = 202},
  [518] = {.lex_state = 393},
  [519] = {.lex_state = 202},
  [520] = {.lex_state = 202},
  [521] = {.lex_state = 202},
  [522] = {.lex_state = 202},
  [523] = {.lex_state = 202},
  [524] = {.lex_state = 204},
  [525] = {.lex_state = 202},
  [526] = {.lex_state = 202},
  [527] = {.lex_state = 202},
  [528] = {.lex_state = 202},
  [529] = {.lex_state = 202},
  [530] = {.lex_state = 202},
  [531] = {.lex_state = 202},
  [532] = {.lex_state = 202},
  [533] = {.lex_state = 204},
  [534] = {.lex_state = 204},
  [535] = {.lex_state = 202},
  [536] = {.lex_state = 202},
  [537] = {.lex_state = 204},
  [538] = {.lex_state = 202},
  [539] = {.lex_state = 202},
  [540] = {.lex_state = 204},
  [541] = {.lex_state = 393},
  [542] = {.lex_state = 204},
  [543] = {.lex_state = 204},
  [544] = {.lex_state = 202},
  [545] = {.lex_state = 202},
  [546] = {.lex_state = 202},
  [547] = {.lex_state = 202},
  [548] = {.lex_state = 202},
  [549] = {.lex_state = 202},
  [550] = {.lex_state = 202},
  [551] = {.lex_state = 202},
  [552] = {.lex_state = 202},
  [553] = {.lex_state = 202},
  [554] = {.lex_state = 202},
  [555] = {.lex_state = 202},
  [556] = {.lex_state = 202},
  [557] = {.lex_state = 202},
  [558] = {.lex_state = 202},
  [559] = {.lex_state = 393},
  [560] = {.lex_state = 202},
  [561] = {.lex_state = 202},
  [562] = {.lex_state = 204},
  [563] = {.lex_state = 202},
  [564] = {.lex_state = 202},
  [565] = {.lex_state = 201},
  [566] = {.lex_state = 204},
  [567] = {.lex_state = 202},
  [568] = {.lex_state = 393},
  [569] = {.lex_state = 393},
  [570] = {.lex_state = 204},
  [571] = {.lex_state = 202},
  [572] = {.lex_state = 202},
  [573] = {.lex_state = 202},
  [574] = {.lex_state = 202},
  [575] = {.lex_state = 202},
  [576] = {.lex_state = 202},
  [577] = {.lex_state = 201},
  [578] = {.lex_state = 393},
  [579] = {.lex_state = 202},
  [580] = {.lex_state = 204},
  [581] = {.lex_state = 202},
  [582] = {.lex_state = 202},
  [583] = {.lex_state = 202},
  [584] = {.lex_state = 202},
  [585] = {.lex_state = 202},
  [586] = {.lex_state = 202},
  [587] = {.lex_state = 202},
  [588] = {.lex_state = 202},
  [589] = {.lex_state = 202},
  [590] = {.lex_state = 202},
  [591] = {.lex_state = 201},
  [592] = {.lex_state = 393},
  [593] = {.lex_state = 393},
  [594] = {.lex_state = 202},
  [595] = {.lex_state = 202},
  [596] = {.lex_state = 202},
  [597] = {.lex_state = 202},
  [598] = {.lex_state = 201},
  [599] = {.lex_state = 393},
  [600] = {.lex_state = 201},
  [601] = {.lex_state = 393},
  [602] = {.lex_state = 251},
  [603] = {.lex_state = 201},
  [604] = {.lex_state = 393},
  [605] = {.lex_state = 201},
  [606] = {.lex_state = 393},
  [607] = {.lex_state = 393},
  [608] = {.lex_state = 393},
  [609] = {.lex_state = 203},
  [610] = {.lex_state = 393},
  [611] = {.lex_state = 393},
  [612] = {.lex_state = 201},
  [613] = {.lex_state = 201},
  [614] = {.lex_state = 393},
  [615] = {.lex_state = 201},
  [616] = {.lex_state = 204},
  [617] = {.lex_state = 393},
  [618] = {.lex_state = 201},
  [619] = {.lex_state = 251},
  [620] = {.lex_state = 203},
  [621] = {.lex_state = 393},
  [622] = {.lex_state = 201},
  [623] = {.lex_state = 201},
  [624] = {.lex_state = 393},
  [625] = {.lex_state = 201},
  [626] = {.lex_state = 251},
  [627] = {.lex_state = 393},
  [628] = {.lex_state = 393},
  [629] = {.lex_state = 393},
  [630] = {.lex_state = 393},
  [631] = {.lex_state = 201},
  [632] = {.lex_state = 393},
  [633] = {.lex_state = 201},
  [634] = {.lex_state = 393},
  [635] = {.lex_state = 282},
  [636] = {.lex_state = 393},
  [637] = {.lex_state = 393},
  [638] = {.lex_state = 393},
  [639] = {.lex_state = 201},
  [640] = {.lex_state = 393},
  [641] = {.lex_state = 201},
  [642] = {.lex_state = 393},
  [643] = {.lex_state = 393},
  [644] = {.lex_state = 393},
  [645] = {.lex_state = 201},
  [646] = {.lex_state = 201},
  [647] = {.lex_state = 393},
  [648] = {.lex_state = 393},
  [649] = {.lex_state = 393},
  [650] = {.lex_state = 393},
  [651] = {.lex_state = 201},
  [652] = {.lex_state = 200},
  [653] = {.lex_state = 251},
  [654] = {.lex_state = 201},
  [655] = {.lex_state = 393},
  [656] = {.lex_state = 251},
  [657] = {.lex_state = 393},
  [658] = {.lex_state = 393},
  [659] = {.lex_state = 393},
  [660] = {.lex_state = 201},
  [661] = {.lex_state = 393},
  [662] = {.lex_state = 393},
  [663] = {.lex_state = 393},
  [664] = {.lex_state = 393},
  [665] = {.lex_state = 393},
  [666] = {.lex_state = 201},
  [667] = {.lex_state = 201},
  [668] = {.lex_state = 393},
  [669] = {.lex_state = 393},
  [670] = {.lex_state = 393},
  [671] = {.lex_state = 393},
  [672] = {.lex_state = 393},
  [673] = {.lex_state = 393},
  [674] = {.lex_state = 393},
  [675] = {.lex_state = 393},
  [676] = {.lex_state = 201},
  [677] = {.lex_state = 393},
  [678] = {.lex_state = 393},
  [679] = {.lex_state = 393},
  [680] = {.lex_state = 393},
  [681] = {.lex_state = 393},
  [682] = {.lex_state = 201},
  [683] = {.lex_state = 393},
  [684] = {.lex_state = 393},
  [685] = {.lex_state = 201},
  [686] = {.lex_state = 201},
  [687] = {.lex_state = 201},
  [688] = {.lex_state = 201},
  [689] = {.lex_state = 393},
  [690] = {.lex_state = 393},
  [691] = {.lex_state = 201},
  [692] = {.lex_state = 201},
  [693] = {.lex_state = 393},
  [694] = {.lex_state = 393},
  [695] = {.lex_state = 393},
  [696] = {.lex_state = 393},
  [697] = {.lex_state = 393},
  [698] = {.lex_state = 201},
  [699] = {.lex_state = 201},
  [700] = {.lex_state = 393},
  [701] = {.lex_state = 393},
  [702] = {.lex_state = 393},
  [703] = {.lex_state = 393},
  [704] = {.lex_state = 393},
  [705] = {.lex_state = 393},
  [706] = {.lex_state = 393},
  [707] = {.lex_state = 393},
  [708] = {.lex_state = 393},
  [709] = {.lex_state = 393},
  [710] = {.lex_state = 393},
  [711] = {.lex_state = 393},
  [712] = {.lex_state = 393},
  [713] = {.lex_state = 393},
  [714] = {.lex_state = 393},
  [715] = {.lex_state = 393},
  [716] = {.lex_state = 393},
  [717] = {.lex_state = 393},
  [718] = {.lex_state = 393},
  [719] = {.lex_state = 393},
  [720] = {.lex_state = 393},
  [721] = {.lex_state = 393},
  [722] = {.lex_state = 393},
  [723] = {.lex_state = 393},
  [724] = {.lex_state = 393},
  [725] = {.lex_state = 393},
  [726] = {.lex_state = 251},
  [727] = {.lex_state = 201},
  [728] = {.lex_state = 393},
  [729] = {.lex_state = 251},
  [730] = {.lex_state = 201},
  [731] = {.lex_state = 393},
  [732] = {.lex_state = 393},
  [733] = {.lex_state = 393},
  [734] = {.lex_state = 393},
  [735] = {.lex_state = 393},
  [736] = {.lex_state = 393},
  [737] = {.lex_state = 393},
  [738] = {.lex_state = 393},
  [739] = {.lex_state = 393},
  [740] = {.lex_state = 393},
  [741] = {.lex_state = 393},
  [742] = {.lex_state = 393},
  [743] = {.lex_state = 393},
  [744] = {.lex_state = 393},
  [745] = {.lex_state = 393},
  [746] = {.lex_state = 393},
  [747] = {.lex_state = 393},
  [748] = {.lex_state = 393},
  [749] = {.lex_state = 393},
  [750] = {.lex_state = 393},
  [751] = {.lex_state = 393},
  [752] = {.lex_state = 393},
  [753] = {.lex_state = 393},
  [754] = {.lex_state = 393},
  [755] = {.lex_state = 393},
  [756] = {.lex_state = 393},
  [757] = {.lex_state = 393},
  [758] = {.lex_state = 393},
  [759] = {.lex_state = 393},
  [760] = {.lex_state = 393},
  [761] = {.lex_state = 393},
  [762] = {.lex_state = 201},
  [763] = {.lex_state = 393},
  [764] = {.lex_state = 393},
  [765] = {.lex_state = 201},
  [766] = {.lex_state = 201},
  [767] = {.lex_state = 201},
  [768] = {.lex_state = 393},
  [769] = {.lex_state = 393},
  [770] = {.lex_state = 201},
  [771] = {.lex_state = 393},
  [772] = {.lex_state = 393},
  [773] = {.lex_state = 393},
  [774] = {.lex_state = 393},
  [775] = {.lex_state = 393},
  [776] = {.lex_state = 201},
  [777] = {.lex_state = 251},
  [778] = {.lex_state = 393},
  [779] = {.lex_state = 393},
  [780] = {.lex_state = 393},
  [781] = {.lex_state = 393},
  [782] = {.lex_state = 393},
  [783] = {.lex_state = 393},
  [784] = {.lex_state = 201},
  [785] = {.lex_state = 393},
  [786] = {.lex_state = 201},
  [787] = {.lex_state = 201},
  [788] = {.lex_state = 201},
  [789] = {.lex_state = 201},
  [790] = {.lex_state = 201},
  [791] = {.lex_state = 201},
  [792] = {.lex_state = 393},
  [793] = {.lex_state = 201},
  [794] = {.lex_state = 201},
  [795] = {.lex_state = 201},
  [796] = {.lex_state = 201},
  [797] = {.lex_state = 201},
  [798] = {.lex_state = 201},
  [799] = {.lex_state = 201},
  [800] = {.lex_state = 201},
  [801] = {.lex_state = 201},
  [802] = {.lex_state = 201},
  [803] = {.lex_state = 201},
  [804] = {.lex_state = 201},
  [805] = {.lex_state = 393},
  [806] = {.lex_state = 393},
  [807] = {.lex_state = 393},
  [808] = {.lex_state = 393},
  [809] = {.lex_state = 201},
  [810] = {.lex_state = 201},
  [811] = {.lex_state = 201},
  [812] = {.lex_state = 201},
  [813] = {.lex_state = 201},
  [814] = {.lex_state = 201},
  [815] = {.lex_state = 201},
  [816] = {.lex_state = 201},
  [817] = {.lex_state = 201},
  [818] = {.lex_state = 201},
  [819] = {.lex_state = 201},
  [820] = {.lex_state = 393},
  [821] = {.lex_state = 393},
  [822] = {.lex_state = 393},
  [823] = {.lex_state = 201},
  [824] = {.lex_state = 251},
  [825] = {.lex_state = 393},
  [826] = {.lex_state = 393},
  [827] = {.lex_state = 201},
  [828] = {.lex_state = 251},
  [829] = {.lex_state = 201},
  [830] = {.lex_state = 393},
  [831] = {.lex_state = 201},
  [832] = {.lex_state = 393},
  [833] = {.lex_state = 393},
  [834] = {.lex_state = 201},
  [835] = {.lex_state = 201},
  [836] = {.lex_state = 393},
  [837] = {.lex_state = 393},
  [838] = {.lex_state = 393},
  [839] = {.lex_state = 393},
  [840] = {.lex_state = 393},
  [841] = {.lex_state = 393},
  [842] = {.lex_state = 393},
  [843] = {.lex_state = 201},
  [844] = {.lex_state = 393},
  [845] = {.lex_state = 201},
  [846] = {.lex_state = 393},
  [847] = {.lex_state = 393},
  [848] = {.lex_state = 201},
  [849] = {.lex_state = 393},
  [850] = {.lex_state = 201},
  [851] = {.lex_state = 201},
  [852] = {.lex_state = 201},
  [853] = {.lex_state = 393},
  [854] = {.lex_state = 201},
  [855] = {.lex_state = 393},
  [856] = {.lex_state = 201},
  [857] = {.lex_state = 201},
  [858] = {.lex_state = 393},
  [859] = {.lex_state = 393},
  [860] = {.lex_state = 393},
  [861] = {.lex_state = 393},
  [862] = {.lex_state = 201},
  [863] = {.lex_state = 393},
  [864] = {.lex_state = 201},
  [865] = {.lex_state = 201},
  [866] = {.lex_state = 201},
  [867] = {.lex_state = 201},
  [868] = {.lex_state = 201},
  [869] = {.lex_state = 201},
  [870] = {.lex_state = 393},
  [871] = {.lex_state = 201},
  [872] = {.lex_state = 201},
  [873] = {.lex_state = 201},
  [874] = {.lex_state = 201},
  [875] = {.lex_state = 201},
  [876] = {.lex_state = 201},
  [877] = {.lex_state = 393},
  [878] = {.lex_state = 393},
  [879] = {.lex_state = 393},
  [880] = {.lex_state = 393},
  [881] = {.lex_state = 201},
  [882] = {.lex_state = 393},
  [883] = {.lex_state = 393},
  [884] = {.lex_state = 201},
  [885] = {.lex_state = 201},
  [886] = {.lex_state = 201},
  [887] = {.lex_state = 201},
  [888] = {.lex_state = 201},
  [889] = {.lex_state = 201},
  [890] = {.lex_state = 201},
  [891] = {.lex_state = 201},
  [892] = {.lex_state = 201},
  [893] = {.lex_state = 393},
  [894] = {.lex_state = 393},
  [895] = {.lex_state = 201},
  [896] = {.lex_state = 393},
  [897] = {.lex_state = 393},
  [898] = {.lex_state = 201},
  [899] = {.lex_state = 201},
  [900] = {.lex_state = 393},
  [901] = {.lex_state = 393},
  [902] = {.lex_state = 393},
  [903] = {.lex_state = 201},
  [904] = {.lex_state = 201},
  [905] = {.lex_state = 393},
  [906] = {.lex_state = 201},
  [907] = {.lex_state = 201},
  [908] = {.lex_state = 393},
  [909] = {.lex_state = 393},
  [910] = {.lex_state = 201},
  [911] = {.lex_state = 201},
  [912] = {.lex_state = 201},
  [913] = {.lex_state = 201},
  [914] = {.lex_state = 393},
  [915] = {.lex_state = 393},
  [916] = {.lex_state = 393},
  [917] = {.lex_state = 393},
  [918] = {.lex_state = 393},
  [919] = {.lex_state = 393},
  [920] = {.lex_state = 201},
  [921] = {.lex_state = 201},
  [922] = {.lex_state = 201},
  [923] = {.lex_state = 201},
  [924] = {.lex_state = 393},
  [925] = {.lex_state = 393},
  [926] = {.lex_state = 201},
  [927] = {.lex_state = 201},
  [928] = {.lex_state = 201},
  [929] = {.lex_state = 201},
  [930] = {.lex_state = 393},
  [931] = {.lex_state = 201},
  [932] = {.lex_state = 393},
  [933] = {.lex_state = 201},
  [934] = {.lex_state = 201},
  [935] = {.lex_state = 201},
  [936] = {.lex_state = 393},
  [937] = {.lex_state = 393},
  [938] = {.lex_state = 393},
  [939] = {.lex_state = 393},
  [940] = {.lex_state = 393},
  [941] = {.lex_state = 201},
  [942] = {.lex_state = 393},
  [943] = {.lex_state = 393},
  [944] = {.lex_state = 393},
  [945] = {.lex_state = 201},
  [946] = {.lex_state = 393},
  [947] = {.lex_state = 393},
  [948] = {.lex_state = 393},
  [949] = {.lex_state = 393},
  [950] = {.lex_state = 393},
  [951] = {.lex_state = 393},
  [952] = {.lex_state = 393},
  [953] = {.lex_state = 393},
  [954] = {.lex_state = 190},
  [955] = {.lex_state = 251},
  [956] = {.lex_state = 280},
  [957] = {.lex_state = 393},
  [958] = {.lex_state = 393},
  [959] = {.lex_state = 280},
  [960] = {.lex_state = 393},
  [961] = {.lex_state = 393},
  [962] = {.lex_state = 393},
  [963] = {.lex_state = 393},
  [964] = {.lex_state = 393},
  [965] = {.lex_state = 393},
  [966] = {.lex_state = 393},
  [967] = {.lex_state = 393},
  [968] = {.lex_state = 393},
  [969] = {.lex_state = 280},
  [970] = {.lex_state = 283},
  [971] = {.lex_state = 393},
  [972] = {.lex_state = 393},
  [973] = {.lex_state = 393},
  [974] = {.lex_state = 280},
  [975] = {.lex_state = 280},
  [976] = {.lex_state = 393},
  [977] = {.lex_state = 393},
  [978] = {.lex_state = 393},
  [979] = {.lex_state = 393},
  [980] = {.lex_state = 393},
  [981] = {.lex_state = 393},
  [982] = {.lex_state = 280},
  [983] = {.lex_state = 280},
  [984] = {.lex_state = 393},
  [985] = {.lex_state = 393},
  [986] = {.lex_state = 192},
  [987] = {.lex_state = 393},
  [988] = {.lex_state = 190},
  [989] = {.lex_state = 393},
  [990] = {.lex_state = 280},
  [991] = {.lex_state = 393},
  [992] = {.lex_state = 393},
  [993] = {.lex_state = 393},
  [994] = {.lex_state = 280},
  [995] = {.lex_state = 393},
  [996] = {.lex_state = 393},
  [997] = {.lex_state = 283},
  [998] = {.lex_state = 393},
  [999] = {.lex_state = 393},
  [1000] = {.lex_state = 280},
  [1001] = {.lex_state = 393},
  [1002] = {.lex_state = 393},
  [1003] = {.lex_state = 393},
  [1004] = {.lex_state = 393},
  [1005] = {.lex_state = 393},
  [1006] = {.lex_state = 280},
  [1007] = {.lex_state = 280},
  [1008] = {.lex_state = 393},
  [1009] = {.lex_state = 393},
  [1010] = {.lex_state = 393},
  [1011] = {.lex_state = 393},
  [1012] = {.lex_state = 393},
  [1013] = {.lex_state = 280},
  [1014] = {.lex_state = 280},
  [1015] = {.lex_state = 280},
  [1016] = {.lex_state = 393},
  [1017] = {.lex_state = 393},
  [1018] = {.lex_state = 393},
  [1019] = {.lex_state = 393},
  [1020] = {.lex_state = 393},
  [1021] = {.lex_state = 280},
  [1022] = {.lex_state = 393},
  [1023] = {.lex_state = 393},
  [1024] = {.lex_state = 280},
  [1025] = {.lex_state = 393},
  [1026] = {.lex_state = 393},
  [1027] = {.lex_state = 393},
  [1028] = {.lex_state = 280},
  [1029] = {.lex_state = 280},
  [1030] = {.lex_state = 393},
  [1031] = {.lex_state = 393},
  [1032] = {.lex_state = 393},
  [1033] = {.lex_state = 393},
  [1034] = {.lex_state = 280},
  [1035] = {.lex_state = 280},
  [1036] = {.lex_state = 393},
  [1037] = {.lex_state = 280},
  [1038] = {.lex_state = 393},
  [1039] = {.lex_state = 393},
  [1040] = {.lex_state = 280},
  [1041] = {.lex_state = 393},
  [1042] = {.lex_state = 280},
  [1043] = {.lex_state = 280},
  [1044] = {.lex_state = 393},
  [1045] = {.lex_state = 393},
  [1046] = {.lex_state = 283},
  [1047] = {.lex_state = 393},
  [1048] = {.lex_state = 190},
  [1049] = {.lex_state = 195},
  [1050] = {.lex_state = 190},
  [1051] = {.lex_state = 190},
  [1052] = {.lex_state = 190},
  [1053] = {.lex_state = 196},
  [1054] = {.lex_state = 196},
  [1055] = {.lex_state = 282},
  [1056] = {.lex_state = 282},
  [1057] = {.lex_state = 282},
  [1058] = {.lex_state = 282},
  [1059] = {.lex_state = 282},
  [1060] = {.lex_state = 282},
  [1061] = {.lex_state = 282},
  [1062] = {.lex_state = 282},
  [1063] = {.lex_state = 282},
  [1064] = {.lex_state = 393},
  [1065] = {.lex_state = 393},
  [1066] = {.lex_state = 282},
  [1067] = {.lex_state = 282},
  [1068] = {.lex_state = 282},
  [1069] = {.lex_state = 282},
  [1070] = {.lex_state = 282},
  [1071] = {.lex_state = 282},
  [1072] = {.lex_state = 282},
  [1073] = {.lex_state = 282},
  [1074] = {.lex_state = 282},
  [1075] = {.lex_state = 393},
  [1076] = {.lex_state = 200},
  [1077] = {.lex_state = 200},
  [1078] = {.lex_state = 204},
  [1079] = {.lex_state = 204},
  [1080] = {.lex_state = 204},
  [1081] = {.lex_state = 204},
  [1082] = {.lex_state = 204},
  [1083] = {.lex_state = 204},
  [1084] = {.lex_state = 204},
  [1085] = {.lex_state = 204},
  [1086] = {.lex_state = 204},
  [1087] = {.lex_state = 204},
  [1088] = {.lex_state = 204},
  [1089] = {.lex_state = 204},
  [1090] = {.lex_state = 204},
  [1091] = {.lex_state = 204},
  [1092] = {.lex_state = 204},
  [1093] = {.lex_state = 204},
  [1094] = {.lex_state = 204},
  [1095] = {.lex_state = 204},
  [1096] = {.lex_state = 204},
  [1097] = {.lex_state = 204},
  [1098] = {.lex_state = 204},
  [1099] = {.lex_state = 204},
  [1100] = {.lex_state = 204},
  [1101] = {.lex_state = 200},
  [1102] = {.lex_state = 203},
  [1103] = {.lex_state = 200},
  [1104] = {.lex_state = 200},
  [1105] = {.lex_state = 200},
  [1106] = {.lex_state = 200},
  [1107] = {.lex_state = 203},
  [1108] = {.lex_state = 200},
  [1109] = {.lex_state = 200},
  [1110] = {.lex_state = 200},
  [1111] = {.lex_state = 200},
  [1112] = {.lex_state = 200},
  [1113] = {.lex_state = 200},
  [1114] = {.lex_state = 200},
  [1115] = {.lex_state = 200},
  [1116] = {.lex_state = 200},
  [1117] = {.lex_state = 200},
  [1118] = {.lex_state = 200},
  [1119] = {.lex_state = 200},
  [1120] = {.lex_state = 200},
  [1121] = {.lex_state = 200},
  [1122] = {.lex_state = 200},
  [1123] = {.lex_state = 200},
  [1124] = {.lex_state = 200},
  [1125] = {.lex_state = 200},
  [1126] = {.lex_state = 200},
  [1127] = {.lex_state = 200},
  [1128] = {.lex_state = 200},
  [1129] = {.lex_state = 200},
  [1130] = {.lex_state = 200},
  [1131] = {.lex_state = 200},
  [1132] = {.lex_state = 200},
  [1133] = {.lex_state = 200},
  [1134] = {.lex_state = 200},
  [1135] = {.lex_state = 200},
  [1136] = {.lex_state = 200},
  [1137] = {.lex_state = 200},
  [1138] = {.lex_state = 200},
  [1139] = {.lex_state = 200},
  [1140] = {.lex_state = 200},
  [1141] = {.lex_state = 200},
  [1142] = {.lex_state = 200},
  [1143] = {.lex_state = 200},
  [1144] = {.lex_state = 200},
  [1145] = {.lex_state = 200},
  [1146] = {.lex_state = 200},
  [1147] = {.lex_state = 200},
  [1148] = {.lex_state = 200},
  [1149] = {.lex_state = 200},
  [1150] = {.lex_state = 200},
  [1151] = {.lex_state = 200},
  [1152] = {.lex_state = 200},
  [1153] = {.lex_state = 200},
  [1154] = {.lex_state = 200},
  [1155] = {.lex_state = 200},
  [1156] = {.lex_state = 200},
  [1157] = {.lex_state = 200},
  [1158] = {.lex_state = 200},
  [1159] = {.lex_state = 200},
  [1160] = {.lex_state = 200},
  [1161] = {.lex_state = 200},
  [1162] = {.lex_state = 200},
  [1163] = {.lex_state = 200},
  [1164] = {.lex_state = 200},
  [1165] = {.lex_state = 200},
  [1166] = {.lex_state = 200},
  [1167] = {.lex_state = 200},
  [1168] = {.lex_state = 200},
  [1169] = {.lex_state = 200},
  [1170] = {.lex_state = 200},
  [1171] = {.lex_state = 200},
  [1172] = {.lex_state = 200},
  [1173] = {.lex_state = 200},
  [1174] = {.lex_state = 200},
  [1175] = {.lex_state = 200},
  [1176] = {.lex_state = 200},
  [1177] = {.lex_state = 200},
  [1178] = {.lex_state = 200},
  [1179] = {.lex_state = 200},
  [1180] = {.lex_state = 200},
  [1181] = {.lex_state = 200},
  [1182] = {.lex_state = 222},
  [1183] = {.lex_state = 204},
  [1184] = {.lex_state = 204},
  [1185] = {.lex_state = 204},
  [1186] = {.lex_state = 204},
  [1187] = {.lex_state = 204},
  [1188] = {.lex_state = 204},
  [1189] = {.lex_state = 222},
  [1190] = {.lex_state = 204},
  [1191] = {.lex_state = 204},
  [1192] = {.lex_state = 204},
  [1193] = {.lex_state = 204},
  [1194] = {.lex_state = 222},
  [1195] = {.lex_state = 204},
  [1196] = {.lex_state = 219},
  [1197] = {.lex_state = 204},
  [1198] = {.lex_state = 204},
  [1199] = {.lex_state = 204},
  [1200] = {.lex_state = 204},
  [1201] = {.lex_state = 204},
  [1202] = {.lex_state = 222},
  [1203] = {.lex_state = 204},
  [1204] = {.lex_state = 204},
  [1205] = {.lex_state = 204},
  [1206] = {.lex_state = 204},
  [1207] = {.lex_state = 204},
  [1208] = {.lex_state = 222},
  [1209] = {.lex_state = 204},
  [1210] = {.lex_state = 222},
  [1211] = {.lex_state = 204},
  [1212] = {.lex_state = 204},
  [1213] = {.lex_state = 204},
  [1214] = {.lex_state = 222},
  [1215] = {.lex_state = 222},
  [1216] = {.lex_state = 204},
  [1217] = {.lex_state = 222},
  [1218] = {.lex_state = 222},
  [1219] = {.lex_state = 204},
  [1220] = {.lex_state = 204},
  [1221] = {.lex_state = 204},
  [1222] = {.lex_state = 204},
  [1223] = {.lex_state = 204},
  [1224] = {.lex_state = 222},
  [1225] = {.lex_state = 204},
  [1226] = {.lex_state = 222},
  [1227] = {.lex_state = 204},
  [1228] = {.lex_state = 204},
  [1229] = {.lex_state = 222},
  [1230] = {.lex_state = 204},
  [1231] = {.lex_state = 204},
  [1232] = {.lex_state = 204},
  [1233] = {.lex_state = 204},
  [1234] = {.lex_state = 204},
  [1235] = {.lex_state = 204},
  [1236] = {.lex_state = 204},
  [1237] = {.lex_state = 204},
  [1238] = {.lex_state = 222},
  [1239] = {.lex_state = 204},
  [1240] = {.lex_state = 204},
  [1241] = {.lex_state = 204},
  [1242] = {.lex_state = 204},
  [1243] = {.lex_state = 204},
  [1244] = {.lex_state = 204},
  [1245] = {.lex_state = 204},
  [1246] = {.lex_state = 282},
  [1247] = {.lex_state = 204},
  [1248] = {.lex_state = 204},
  [1249] = {.lex_state = 204},
  [1250] = {.lex_state = 204},
  [1251] = {.lex_state = 204},
  [1252] = {.lex_state = 204},
  [1253] = {.lex_state = 204},
  [1254] = {.lex_state = 204},
  [1255] = {.lex_state = 204},
  [1256] = {.lex_state = 204},
  [1257] = {.lex_state = 204},
  [1258] = {.lex_state = 204},
  [1259] = {.lex_state = 204},
  [1260] = {.lex_state = 204},
  [1261] = {.lex_state = 204},
  [1262] = {.lex_state = 204},
  [1263] = {.lex_state = 204},
  [1264] = {.lex_state = 204},
  [1265] = {.lex_state = 204},
  [1266] = {.lex_state = 204},
  [1267] = {.lex_state = 204},
  [1268] = {.lex_state = 204},
  [1269] = {.lex_state = 204},
  [1270] = {.lex_state = 204},
  [1271] = {.lex_state = 204},
  [1272] = {.lex_state = 204},
  [1273] = {.lex_state = 204},
  [1274] = {.lex_state = 203},
  [1275] = {.lex_state = 203},
  [1276] = {.lex_state = 204},
  [1277] = {.lex_state = 204},
  [1278] = {.lex_state = 204},
  [1279] = {.lex_state = 204},
  [1280] = {.lex_state = 204},
  [1281] = {.lex_state = 203},
  [1282] = {.lex_state = 204},
  [1283] = {.lex_state = 204},
  [1284] = {.lex_state = 204},
  [1285] = {.lex_state = 204},
  [1286] = {.lex_state = 204},
  [1287] = {.lex_state = 204},
  [1288] = {.lex_state = 204},
  [1289] = {.lex_state = 204},
  [1290] = {.lex_state = 204},
  [1291] = {.lex_state = 204},
  [1292] = {.lex_state = 204},
  [1293] = {.lex_state = 203},
  [1294] = {.lex_state = 204},
  [1295] = {.lex_state = 203},
  [1296] = {.lex_state = 204},
  [1297] = {.lex_state = 203},
  [1298] = {.lex_state = 204},
  [1299] = {.lex_state = 204},
  [1300] = {.lex_state = 204},
  [1301] = {.lex_state = 203},
  [1302] = {.lex_state = 204},
  [1303] = {.lex_state = 203},
  [1304] = {.lex_state = 203},
  [1305] = {.lex_state = 204},
  [1306] = {.lex_state = 204},
  [1307] = {.lex_state = 204},
  [1308] = {.lex_state = 204},
  [1309] = {.lex_state = 204},
  [1310] = {.lex_state = 204},
  [1311] = {.lex_state = 204},
  [1312] = {.lex_state = 204},
  [1313] = {.lex_state = 203},
  [1314] = {.lex_state = 204},
  [1315] = {.lex_state = 203},
  [1316] = {.lex_state = 204},
  [1317] = {.lex_state = 203},
  [1318] = {.lex_state = 203},
  [1319] = {.lex_state = 203},
  [1320] = {.lex_state = 203},
  [1321] = {.lex_state = 203},
  [1322] = {.lex_state = 204},
  [1323] = {.lex_state = 204},
  [1324] = {.lex_state = 203},
  [1325] = {.lex_state = 204},
  [1326] = {.lex_state = 204},
  [1327] = {.lex_state = 204},
  [1328] = {.lex_state = 203},
  [1329] = {.lex_state = 204},
  [1330] = {.lex_state = 204},
  [1331] = {.lex_state = 203},
  [1332] = {.lex_state = 204},
  [1333] = {.lex_state = 204},
  [1334] = {.lex_state = 203},
  [1335] = {.lex_state = 203},
  [1336] = {.lex_state = 204},
  [1337] = {.lex_state = 203},
  [1338] = {.lex_state = 204},
  [1339] = {.lex_state = 204},
  [1340] = {.lex_state = 204},
  [1341] = {.lex_state = 203},
  [1342] = {.lex_state = 203},
  [1343] = {.lex_state = 204},
  [1344] = {.lex_state = 204},
  [1345] = {.lex_state = 204},
  [1346] = {.lex_state = 203},
  [1347] = {.lex_state = 204},
  [1348] = {.lex_state = 204},
  [1349] = {.lex_state = 204},
  [1350] = {.lex_state = 203},
  [1351] = {.lex_state = 204},
  [1352] = {.lex_state = 203},
  [1353] = {.lex_state = 203},
  [1354] = {.lex_state = 203},
  [1355] = {.lex_state = 204},
  [1356] = {.lex_state = 203},
  [1357] = {.lex_state = 204},
  [1358] = {.lex_state = 204},
  [1359] = {.lex_state = 204},
  [1360] = {.lex_state = 204},
  [1361] = {.lex_state = 204},
  [1362] = {.lex_state = 204},
  [1363] = {.lex_state = 204},
  [1364] = {.lex_state = 204},
  [1365] = {.lex_state = 204},
  [1366] = {.lex_state = 204},
  [1367] = {.lex_state = 204},
  [1368] = {.lex_state = 204},
  [1369] = {.lex_state = 204},
  [1370] = {.lex_state = 204},
  [1371] = {.lex_state = 204},
  [1372] = {.lex_state = 204},
  [1373] = {.lex_state = 204},
  [1374] = {.lex_state = 204},
  [1375] = {.lex_state = 204},
  [1376] = {.lex_state = 204},
  [1377] = {.lex_state = 204},
  [1378] = {.lex_state = 204},
  [1379] = {.lex_state = 204},
  [1380] = {.lex_state = 204},
  [1381] = {.lex_state = 204},
  [1382] = {.lex_state = 204},
  [1383] = {.lex_state = 204},
  [1384] = {.lex_state = 204},
  [1385] = {.lex_state = 204},
  [1386] = {.lex_state = 204},
  [1387] = {.lex_state = 204},
  [1388] = {.lex_state = 204},
  [1389] = {.lex_state = 204},
  [1390] = {.lex_state = 204},
  [1391] = {.lex_state = 204},
  [1392] = {.lex_state = 204},
  [1393] = {.lex_state = 204},
  [1394] = {.lex_state = 204},
  [1395] = {.lex_state = 204},
  [1396] = {.lex_state = 204},
  [1397] = {.lex_state = 204},
  [1398] = {.lex_state = 204},
  [1399] = {.lex_state = 204},
  [1400] = {.lex_state = 204},
  [1401] = {.lex_state = 204},
  [1402] = {.lex_state = 204},
  [1403] = {.lex_state = 204},
  [1404] = {.lex_state = 204},
  [1405] = {.lex_state = 204},
  [1406] = {.lex_state = 204},
  [1407] = {.lex_state = 204},
  [1408] = {.lex_state = 204},
  [1409] = {.lex_state = 204},
  [1410] = {.lex_state = 204},
  [1411] = {.lex_state = 204},
  [1412] = {.lex_state = 204},
  [1413] = {.lex_state = 204},
  [1414] = {.lex_state = 204},
  [1415] = {.lex_state = 204},
  [1416] = {.lex_state = 204},
  [1417] = {.lex_state = 204},
  [1418] = {.lex_state = 204},
  [1419] = {.lex_state = 204},
  [1420] = {.lex_state = 204},
  [1421] = {.lex_state = 204},
  [1422] = {.lex_state = 204},
  [1423] = {.lex_state = 204},
  [1424] = {.lex_state = 204},
  [1425] = {.lex_state = 204},
  [1426] = {.lex_state = 204},
  [1427] = {.lex_state = 204},
  [1428] = {.lex_state = 204},
  [1429] = {.lex_state = 204},
  [1430] = {.lex_state = 204},
  [1431] = {.lex_state = 204},
  [1432] = {.lex_state = 204},
  [1433] = {.lex_state = 204},
  [1434] = {.lex_state = 204},
  [1435] = {.lex_state = 204},
  [1436] = {.lex_state = 204},
  [1437] = {.lex_state = 204},
  [1438] = {.lex_state = 204},
  [1439] = {.lex_state = 204},
  [1440] = {.lex_state = 204},
  [1441] = {.lex_state = 204},
  [1442] = {.lex_state = 204},
  [1443] = {.lex_state = 204},
  [1444] = {.lex_state = 204},
  [1445] = {.lex_state = 204},
  [1446] = {.lex_state = 204},
  [1447] = {.lex_state = 204},
  [1448] = {.lex_state = 204},
  [1449] = {.lex_state = 204},
  [1450] = {.lex_state = 204},
  [1451] = {.lex_state = 204},
  [1452] = {.lex_state = 204},
  [1453] = {.lex_state = 204},
  [1454] = {.lex_state = 204},
  [1455] = {.lex_state = 204},
  [1456] = {.lex_state = 204},
  [1457] = {.lex_state = 204},
  [1458] = {.lex_state = 204},
  [1459] = {.lex_state = 204},
  [1460] = {.lex_state = 204},
  [1461] = {.lex_state = 204},
  [1462] = {.lex_state = 204},
  [1463] = {.lex_state = 204},
  [1464] = {.lex_state = 204},
  [1465] = {.lex_state = 204},
  [1466] = {.lex_state = 204},
  [1467] = {.lex_state = 204},
  [1468] = {.lex_state = 204},
  [1469] = {.lex_state = 204},
  [1470] = {.lex_state = 204},
  [1471] = {.lex_state = 204},
  [1472] = {.lex_state = 204},
  [1473] = {.lex_state = 204},
  [1474] = {.lex_state = 204},
  [1475] = {.lex_state = 204},
  [1476] = {.lex_state = 204},
  [1477] = {.lex_state = 204},
  [1478] = {.lex_state = 204},
  [1479] = {.lex_state = 204},
  [1480] = {.lex_state = 204},
  [1481] = {.lex_state = 204},
  [1482] = {.lex_state = 204},
  [1483] = {.lex_state = 204},
  [1484] = {.lex_state = 204},
  [1485] = {.lex_state = 204},
  [1486] = {.lex_state = 204},
  [1487] = {.lex_state = 204},
  [1488] = {.lex_state = 204},
  [1489] = {.lex_state = 204},
  [1490] = {.lex_state = 204},
  [1491] = {.lex_state = 204},
  [1492] = {.lex_state = 204},
  [1493] = {.lex_state = 204},
  [1494] = {.lex_state = 204},
  [1495] = {.lex_state = 204},
  [1496] = {.lex_state = 204},
  [1497] = {.lex_state = 204},
  [1498] = {.lex_state = 204},
  [1499] = {.lex_state = 204},
  [1500] = {.lex_state = 204},
  [1501] = {.lex_state = 204},
  [1502] = {.lex_state = 204},
  [1503] = {.lex_state = 204},
  [1504] = {.lex_state = 204},
  [1505] = {.lex_state = 204},
  [1506] = {.lex_state = 204},
  [1507] = {.lex_state = 204},
  [1508] = {.lex_state = 204},
  [1509] = {.lex_state = 204},
  [1510] = {.lex_state = 204},
  [1511] = {.lex_state = 204},
  [1512] = {.lex_state = 204},
  [1513] = {.lex_state = 204},
  [1514] = {.lex_state = 204},
  [1515] = {.lex_state = 204},
  [1516] = {.lex_state = 204},
  [1517] = {.lex_state = 204},
  [1518] = {.lex_state = 204},
  [1519] = {.lex_state = 204},
  [1520] = {.lex_state = 204},
  [1521] = {.lex_state = 204},
  [1522] = {.lex_state = 204},
  [1523] = {.lex_state = 204},
  [1524] = {.lex_state = 204},
  [1525] = {.lex_state = 204},
  [1526] = {.lex_state = 204},
  [1527] = {.lex_state = 204},
  [1528] = {.lex_state = 204},
  [1529] = {.lex_state = 204},
  [1530] = {.lex_state = 204},
  [1531] = {.lex_state = 204},
  [1532] = {.lex_state = 204},
  [1533] = {.lex_state = 204},
  [1534] = {.lex_state = 204},
  [1535] = {.lex_state = 204},
  [1536] = {.lex_state = 204},
  [1537] = {.lex_state = 204},
  [1538] = {.lex_state = 204},
  [1539] = {.lex_state = 204},
  [1540] = {.lex_state = 204},
  [1541] = {.lex_state = 204},
  [1542] = {.lex_state = 204},
  [1543] = {.lex_state = 204},
  [1544] = {.lex_state = 204},
  [1545] = {.lex_state = 204},
  [1546] = {.lex_state = 204},
  [1547] = {.lex_state = 204},
  [1548] = {.lex_state = 204},
  [1549] = {.lex_state = 204},
  [1550] = {.lex_state = 204},
  [1551] = {.lex_state = 204},
  [1552] = {.lex_state = 204},
  [1553] = {.lex_state = 204},
  [1554] = {.lex_state = 204},
  [1555] = {.lex_state = 204},
  [1556] = {.lex_state = 204},
  [1557] = {.lex_state = 204},
  [1558] = {.lex_state = 204},
  [1559] = {.lex_state = 204},
  [1560] = {.lex_state = 204},
  [1561] = {.lex_state = 204},
  [1562] = {.lex_state = 204},
  [1563] = {.lex_state = 204},
  [1564] = {.lex_state = 204},
  [1565] = {.lex_state = 204},
  [1566] = {.lex_state = 204},
  [1567] = {.lex_state = 204},
  [1568] = {.lex_state = 204},
  [1569] = {.lex_state = 204},
  [1570] = {.lex_state = 204},
  [1571] = {.lex_state = 204},
  [1572] = {.lex_state = 204},
  [1573] = {.lex_state = 204},
  [1574] = {.lex_state = 204},
  [1575] = {.lex_state = 204},
  [1576] = {.lex_state = 204},
  [1577] = {.lex_state = 204},
  [1578] = {.lex_state = 204},
  [1579] = {.lex_state = 204},
  [1580] = {.lex_state = 204},
  [1581] = {.lex_state = 204},
  [1582] = {.lex_state = 204},
  [1583] = {.lex_state = 204},
  [1584] = {.lex_state = 204},
  [1585] = {.lex_state = 204},
  [1586] = {.lex_state = 204},
  [1587] = {.lex_state = 204},
  [1588] = {.lex_state = 204},
  [1589] = {.lex_state = 204},
  [1590] = {.lex_state = 204},
  [1591] = {.lex_state = 204},
  [1592] = {.lex_state = 204},
  [1593] = {.lex_state = 204},
  [1594] = {.lex_state = 204},
  [1595] = {.lex_state = 204},
  [1596] = {.lex_state = 204},
  [1597] = {.lex_state = 204},
  [1598] = {.lex_state = 204},
  [1599] = {.lex_state = 204},
  [1600] = {.lex_state = 204},
  [1601] = {.lex_state = 204},
  [1602] = {.lex_state = 204},
  [1603] = {.lex_state = 204},
  [1604] = {.lex_state = 204},
  [1605] = {.lex_state = 204},
  [1606] = {.lex_state = 204},
  [1607] = {.lex_state = 204},
  [1608] = {.lex_state = 204},
  [1609] = {.lex_state = 204},
  [1610] = {.lex_state = 204},
  [1611] = {.lex_state = 204},
  [1612] = {.lex_state = 204},
  [1613] = {.lex_state = 204},
  [1614] = {.lex_state = 204},
  [1615] = {.lex_state = 204},
  [1616] = {.lex_state = 204},
  [1617] = {.lex_state = 204},
  [1618] = {.lex_state = 204},
  [1619] = {.lex_state = 204},
  [1620] = {.lex_state = 204},
  [1621] = {.lex_state = 204},
  [1622] = {.lex_state = 204},
  [1623] = {.lex_state = 204},
  [1624] = {.lex_state = 204},
  [1625] = {.lex_state = 204},
  [1626] = {.lex_state = 204},
  [1627] = {.lex_state = 204},
  [1628] = {.lex_state = 204},
  [1629] = {.lex_state = 204},
  [1630] = {.lex_state = 204},
  [1631] = {.lex_state = 204},
  [1632] = {.lex_state = 204},
  [1633] = {.lex_state = 204},
  [1634] = {.lex_state = 204},
  [1635] = {.lex_state = 204},
  [1636] = {.lex_state = 204},
  [1637] = {.lex_state = 204},
  [1638] = {.lex_state = 204},
  [1639] = {.lex_state = 204},
  [1640] = {.lex_state = 204},
  [1641] = {.lex_state = 204},
  [1642] = {.lex_state = 204},
  [1643] = {.lex_state = 204},
  [1644] = {.lex_state = 204},
  [1645] = {.lex_state = 204},
  [1646] = {.lex_state = 204},
  [1647] = {.lex_state = 204},
  [1648] = {.lex_state = 204},
  [1649] = {.lex_state = 204},
  [1650] = {.lex_state = 204},
  [1651] = {.lex_state = 204},
  [1652] = {.lex_state = 204},
  [1653] = {.lex_state = 204},
  [1654] = {.lex_state = 204},
  [1655] = {.lex_state = 204},
  [1656] = {.lex_state = 204},
  [1657] = {.lex_state = 204},
  [1658] = {.lex_state = 204},
  [1659] = {.lex_state = 204},
  [1660] = {.lex_state = 204},
  [1661] = {.lex_state = 204},
  [1662] = {.lex_state = 204},
  [1663] = {.lex_state = 204},
  [1664] = {.lex_state = 204},
  [1665] = {.lex_state = 204},
  [1666] = {.lex_state = 204},
  [1667] = {.lex_state = 204},
  [1668] = {.lex_state = 204},
  [1669] = {.lex_state = 204},
  [1670] = {.lex_state = 204},
  [1671] = {.lex_state = 204},
  [1672] = {.lex_state = 204},
  [1673] = {.lex_state = 204},
  [1674] = {.lex_state = 204},
  [1675] = {.lex_state = 204},
  [1676] = {.lex_state = 204},
  [1677] = {.lex_state = 204},
  [1678] = {.lex_state = 204},
  [1679] = {.lex_state = 204},
  [1680] = {.lex_state = 204},
  [1681] = {.lex_state = 204},
  [1682] = {.lex_state = 204},
  [1683] = {.lex_state = 204},
  [1684] = {.lex_state = 204},
  [1685] = {.lex_state = 204},
  [1686] = {.lex_state = 204},
  [1687] = {.lex_state = 204},
  [1688] = {.lex_state = 204},
  [1689] = {.lex_state = 204},
  [1690] = {.lex_state = 204},
  [1691] = {.lex_state = 204},
  [1692] = {.lex_state = 204},
  [1693] = {.lex_state = 204},
  [1694] = {.lex_state = 204},
  [1695] = {.lex_state = 204},
  [1696] = {.lex_state = 204},
  [1697] = {.lex_state = 204},
  [1698] = {.lex_state = 204},
  [1699] = {.lex_state = 204},
  [1700] = {.lex_state = 204},
  [1701] = {.lex_state = 204},
  [1702] = {.lex_state = 204},
  [1703] = {.lex_state = 204},
  [1704] = {.lex_state = 204},
  [1705] = {.lex_state = 204},
  [1706] = {.lex_state = 204},
  [1707] = {.lex_state = 204},
  [1708] = {.lex_state = 204},
  [1709] = {.lex_state = 204},
  [1710] = {.lex_state = 204},
  [1711] = {.lex_state = 204},
  [1712] = {.lex_state = 204},
  [1713] = {.lex_state = 204},
  [1714] = {.lex_state = 204},
  [1715] = {.lex_state = 204},
  [1716] = {.lex_state = 204},
  [1717] = {.lex_state = 204},
  [1718] = {.lex_state = 204},
  [1719] = {.lex_state = 204},
  [1720] = {.lex_state = 204},
  [1721] = {.lex_state = 204},
  [1722] = {.lex_state = 204},
  [1723] = {.lex_state = 204},
  [1724] = {.lex_state = 204},
  [1725] = {.lex_state = 204},
  [1726] = {.lex_state = 204},
  [1727] = {.lex_state = 204},
  [1728] = {.lex_state = 204},
  [1729] = {.lex_state = 204},
  [1730] = {.lex_state = 204},
  [1731] = {.lex_state = 204},
  [1732] = {.lex_state = 204},
  [1733] = {.lex_state = 204},
  [1734] = {.lex_state = 204},
  [1735] = {.lex_state = 204},
  [1736] = {.lex_state = 204},
  [1737] = {.lex_state = 204},
  [1738] = {.lex_state = 204},
  [1739] = {.lex_state = 204},
  [1740] = {.lex_state = 204},
  [1741] = {.lex_state = 204},
  [1742] = {.lex_state = 204},
  [1743] = {.lex_state = 204},
  [1744] = {.lex_state = 204},
  [1745] = {.lex_state = 204},
  [1746] = {.lex_state = 204},
  [1747] = {.lex_state = 204},
  [1748] = {.lex_state = 204},
  [1749] = {.lex_state = 204},
  [1750] = {.lex_state = 204},
  [1751] = {.lex_state = 204},
  [1752] = {.lex_state = 204},
  [1753] = {.lex_state = 204},
  [1754] = {.lex_state = 204},
  [1755] = {.lex_state = 204},
  [1756] = {.lex_state = 204},
  [1757] = {.lex_state = 204},
  [1758] = {.lex_state = 204},
  [1759] = {.lex_state = 204},
  [1760] = {.lex_state = 204},
  [1761] = {.lex_state = 204},
  [1762] = {.lex_state = 204},
  [1763] = {.lex_state = 204},
  [1764] = {.lex_state = 204},
  [1765] = {.lex_state = 204},
  [1766] = {.lex_state = 204},
  [1767] = {.lex_state = 204},
  [1768] = {.lex_state = 204},
  [1769] = {.lex_state = 204},
  [1770] = {.lex_state = 204},
  [1771] = {.lex_state = 204},
  [1772] = {.lex_state = 204},
  [1773] = {.lex_state = 204},
  [1774] = {.lex_state = 204},
  [1775] = {.lex_state = 204},
  [1776] = {.lex_state = 204},
  [1777] = {.lex_state = 204},
  [1778] = {.lex_state = 204},
  [1779] = {.lex_state = 204},
  [1780] = {.lex_state = 204},
  [1781] = {.lex_state = 204},
  [1782] = {.lex_state = 204},
  [1783] = {.lex_state = 204},
  [1784] = {.lex_state = 204},
  [1785] = {.lex_state = 204},
  [1786] = {.lex_state = 204},
  [1787] = {.lex_state = 204},
  [1788] = {.lex_state = 204},
  [1789] = {.lex_state = 204},
  [1790] = {.lex_state = 204},
  [1791] = {.lex_state = 204},
  [1792] = {.lex_state = 204},
  [1793] = {.lex_state = 204},
  [1794] = {.lex_state = 204},
  [1795] = {.lex_state = 204},
  [1796] = {.lex_state = 204},
  [1797] = {.lex_state = 204},
  [1798] = {.lex_state = 204},
  [1799] = {.lex_state = 204},
  [1800] = {.lex_state = 204},
  [1801] = {.lex_state = 204},
  [1802] = {.lex_state = 204},
  [1803] = {.lex_state = 204},
  [1804] = {.lex_state = 204},
  [1805] = {.lex_state = 204},
  [1806] = {.lex_state = 204},
  [1807] = {.lex_state = 204},
  [1808] = {.lex_state = 204},
  [1809] = {.lex_state = 204},
  [1810] = {.lex_state = 204},
  [1811] = {.lex_state = 204},
  [1812] = {.lex_state = 204},
  [1813] = {.lex_state = 204},
  [1814] = {.lex_state = 204},
  [1815] = {.lex_state = 204},
  [1816] = {.lex_state = 204},
  [1817] = {.lex_state = 204},
  [1818] = {.lex_state = 204},
  [1819] = {.lex_state = 204},
  [1820] = {.lex_state = 204},
  [1821] = {.lex_state = 204},
  [1822] = {.lex_state = 204},
  [1823] = {.lex_state = 204},
  [1824] = {.lex_state = 204},
  [1825] = {.lex_state = 204},
  [1826] = {.lex_state = 204},
  [1827] = {.lex_state = 204},
  [1828] = {.lex_state = 204},
  [1829] = {.lex_state = 204},
  [1830] = {.lex_state = 204},
  [1831] = {.lex_state = 204},
  [1832] = {.lex_state = 204},
  [1833] = {.lex_state = 204},
  [1834] = {.lex_state = 204},
  [1835] = {.lex_state = 204},
  [1836] = {.lex_state = 204},
  [1837] = {.lex_state = 204},
  [1838] = {.lex_state = 204},
  [1839] = {.lex_state = 204},
  [1840] = {.lex_state = 204},
  [1841] = {.lex_state = 204},
  [1842] = {.lex_state = 204},
  [1843] = {.lex_state = 204},
  [1844] = {.lex_state = 204},
  [1845] = {.lex_state = 204},
  [1846] = {.lex_state = 204},
  [1847] = {.lex_state = 204},
  [1848] = {.lex_state = 204},
  [1849] = {.lex_state = 204},
  [1850] = {.lex_state = 204},
  [1851] = {.lex_state = 204},
  [1852] = {.lex_state = 204},
  [1853] = {.lex_state = 204},
  [1854] = {.lex_state = 204},
  [1855] = {.lex_state = 204},
  [1856] = {.lex_state = 204},
  [1857] = {.lex_state = 204},
  [1858] = {.lex_state = 204},
  [1859] = {.lex_state = 204},
  [1860] = {.lex_state = 204},
  [1861] = {.lex_state = 204},
  [1862] = {.lex_state = 204},
  [1863] = {.lex_state = 204},
  [1864] = {.lex_state = 204},
  [1865] = {.lex_state = 204},
  [1866] = {.lex_state = 204},
  [1867] = {.lex_state = 204},
  [1868] = {.lex_state = 204},
  [1869] = {.lex_state = 204},
  [1870] = {.lex_state = 204},
  [1871] = {.lex_state = 204},
  [1872] = {.lex_state = 204},
  [1873] = {.lex_state = 204},
  [1874] = {.lex_state = 204},
  [1875] = {.lex_state = 204},
  [1876] = {.lex_state = 204},
  [1877] = {.lex_state = 204},
  [1878] = {.lex_state = 204},
  [1879] = {.lex_state = 204},
  [1880] = {.lex_state = 204},
  [1881] = {.lex_state = 204},
  [1882] = {.lex_state = 204},
  [1883] = {.lex_state = 204},
  [1884] = {.lex_state = 204},
  [1885] = {.lex_state = 204},
  [1886] = {.lex_state = 204},
  [1887] = {.lex_state = 204},
  [1888] = {.lex_state = 204},
  [1889] = {.lex_state = 204},
  [1890] = {.lex_state = 204},
  [1891] = {.lex_state = 204},
  [1892] = {.lex_state = 204},
  [1893] = {.lex_state = 204},
  [1894] = {.lex_state = 204},
  [1895] = {.lex_state = 204},
  [1896] = {.lex_state = 204},
  [1897] = {.lex_state = 204},
  [1898] = {.lex_state = 204},
  [1899] = {.lex_state = 204},
  [1900] = {.lex_state = 204},
  [1901] = {.lex_state = 204},
  [1902] = {.lex_state = 204},
  [1903] = {.lex_state = 204},
  [1904] = {.lex_state = 204},
  [1905] = {.lex_state = 204},
  [1906] = {.lex_state = 204},
  [1907] = {.lex_state = 204},
  [1908] = {.lex_state = 204},
  [1909] = {.lex_state = 204},
  [1910] = {.lex_state = 204},
  [1911] = {.lex_state = 204},
  [1912] = {.lex_state = 204},
  [1913] = {.lex_state = 204},
  [1914] = {.lex_state = 282},
  [1915] = {.lex_state = 282},
  [1916] = {.lex_state = 282},
  [1917] = {.lex_state = 282},
  [1918] = {.lex_state = 282},
  [1919] = {.lex_state = 200},
  [1920] = {.lex_state = 200},
  [1921] = {.lex_state = 200},
  [1922] = {.lex_state = 226},
  [1923] = {.lex_state = 226},
  [1924] = {.lex_state = 226},
  [1925] = {.lex_state = 226},
  [1926] = {.lex_state = 226},
  [1927] = {.lex_state = 226},
  [1928] = {.lex_state = 226},
  [1929] = {.lex_state = 226},
  [1930] = {.lex_state = 231},
  [1931] = {.lex_state = 226},
  [1932] = {.lex_state = 231},
  [1933] = {.lex_state = 231},
  [1934] = {.lex_state = 226},
  [1935] = {.lex_state = 226},
  [1936] = {.lex_state = 231},
  [1937] = {.lex_state = 231},
  [1938] = {.lex_state = 231},
  [1939] = {.lex_state = 226},
  [1940] = {.lex_state = 219},
  [1941] = {.lex_state = 231},
  [1942] = {.lex_state = 231},
  [1943] = {.lex_state = 231},
  [1944] = {.lex_state = 226},
  [1945] = {.lex_state = 220},
  [1946] = {.lex_state = 282},
  [1947] = {.lex_state = 282},
  [1948] = {.lex_state = 223},
  [1949] = {.lex_state = 231},
  [1950] = {.lex_state = 231},
  [1951] = {.lex_state = 231},
  [1952] = {.lex_state = 231},
  [1953] = {.lex_state = 231},
  [1954] = {.lex_state = 231},
  [1955] = {.lex_state = 231},
  [1956] = {.lex_state = 231},
  [1957] = {.lex_state = 271},
  [1958] = {.lex_state = 271},
  [1959] = {.lex_state = 271},
  [1960] = {.lex_state = 271},
  [1961] = {.lex_state = 271},
  [1962] = {.lex_state = 271},
  [1963] = {.lex_state = 271},
  [1964] = {.lex_state = 282},
  [1965] = {.lex_state = 282},
  [1966] = {.lex_state = 282},
  [1967] = {.lex_state = 282},
  [1968] = {.lex_state = 282},
  [1969] = {.lex_state = 282},
  [1970] = {.lex_state = 282},
  [1971] = {.lex_state = 282},
  [1972] = {.lex_state = 282},
  [1973] = {.lex_state = 282},
  [1974] = {.lex_state = 282},
  [1975] = {.lex_state = 282},
  [1976] = {.lex_state = 282},
  [1977] = {.lex_state = 282},
  [1978] = {.lex_state = 282},
  [1979] = {.lex_state = 208},
  [1980] = {.lex_state = 282},
  [1981] = {.lex_state = 282},
  [1982] = {.lex_state = 282},
  [1983] = {.lex_state = 282},
  [1984] = {.lex_state = 282},
  [1985] = {.lex_state = 206},
  [1986] = {.lex_state = 206},
  [1987] = {.lex_state = 282},
  [1988] = {.lex_state = 282},
  [1989] = {.lex_state = 282},
  [1990] = {.lex_state = 282},
  [1991] = {.lex_state = 282},
  [1992] = {.lex_state = 282},
  [1993] = {.lex_state = 282},
  [1994] = {.lex_state = 282},
  [1995] = {.lex_state = 282},
  [1996] = {.lex_state = 282},
  [1997] = {.lex_state = 282},
  [1998] = {.lex_state = 206},
  [1999] = {.lex_state = 282},
  [2000] = {.lex_state = 282},
  [2001] = {.lex_state = 271},
  [2002] = {.lex_state = 200},
  [2003] = {.lex_state = 271},
  [2004] = {.lex_state = 200},
  [2005] = {.lex_state = 271},
  [2006] = {.lex_state = 282},
  [2007] = {.lex_state = 206},
  [2008] = {.lex_state = 259},
  [2009] = {.lex_state = 206},
  [2010] = {.lex_state = 282},
  [2011] = {.lex_state = 206},
  [2012] = {.lex_state = 230},
  [2013] = {.lex_state = 282},
  [2014] = {.lex_state = 259},
  [2015] = {.lex_state = 259},
  [2016] = {.lex_state = 259},
  [2017] = {.lex_state = 259},
  [2018] = {.lex_state = 259},
  [2019] = {.lex_state = 282},
  [2020] = {.lex_state = 259},
  [2021] = {.lex_state = 206},
  [2022] = {.lex_state = 282},
  [2023] = {.lex_state = 264},
  [2024] = {.lex_state = 229},
  [2025] = {.lex_state = 264},
  [2026] = {.lex_state = 208},
  [2027] = {.lex_state = 264},
  [2028] = {.lex_state = 264},
  [2029] = {.lex_state = 264},
  [2030] = {.lex_state = 282},
  [2031] = {.lex_state = 234},
  [2032] = {.lex_state = 282},
  [2033] = {.lex_state = 282},
  [2034] = {.lex_state = 264},
  [2035] = {.lex_state = 264},
  [2036] = {.lex_state = 282},
  [2037] = {.lex_state = 282},
  [2038] = {.lex_state = 282},
  [2039] = {.lex_state = 271},
  [2040] = {.lex_state = 282},
  [2041] = {.lex_state = 271},
  [2042] = {.lex_state = 271},
  [2043] = {.lex_state = 271},
  [2044] = {.lex_state = 271},
  [2045] = {.lex_state = 231},
  [2046] = {.lex_state = 271},
  [2047] = {.lex_state = 271},
  [2048] = {.lex_state = 282},
  [2049] = {.lex_state = 271},
  [2050] = {.lex_state = 271},
  [2051] = {.lex_state = 271},
  [2052] = {.lex_state = 271},
  [2053] = {.lex_state = 271},
  [2054] = {.lex_state = 271},
  [2055] = {.lex_state = 282},
  [2056] = {.lex_state = 231},
  [2057] = {.lex_state = 271},
  [2058] = {.lex_state = 213},
  [2059] = {.lex_state = 251},
  [2060] = {.lex_state = 234},
  [2061] = {.lex_state = 282},
  [2062] = {.lex_state = 232},
  [2063] = {.lex_state = 234},
  [2064] = {.lex_state = 259},
  [2065] = {.lex_state = 232},
  [2066] = {.lex_state = 234},
  [2067] = {.lex_state = 251},
  [2068] = {.lex_state = 282},
  [2069] = {.lex_state = 206},
  [2070] = {.lex_state = 251},
  [2071] = {.lex_state = 251},
  [2072] = {.lex_state = 234},
  [2073] = {.lex_state = 213},
  [2074] = {.lex_state = 282},
  [2075] = {.lex_state = 282},
  [2076] = {.lex_state = 282},
  [2077] = {.lex_state = 232},
  [2078] = {.lex_state = 282},
  [2079] = {.lex_state = 222},
  [2080] = {.lex_state = 222},
  [2081] = {.lex_state = 282},
  [2082] = {.lex_state = 282},
  [2083] = {.lex_state = 232},
  [2084] = {.lex_state = 206},
  [2085] = {.lex_state = 282},
  [2086] = {.lex_state = 232},
  [2087] = {.lex_state = 232},
  [2088] = {.lex_state = 232},
  [2089] = {.lex_state = 232},
  [2090] = {.lex_state = 264},
  [2091] = {.lex_state = 282},
  [2092] = {.lex_state = 232},
  [2093] = {.lex_state = 282},
  [2094] = {.lex_state = 282},
  [2095] = {.lex_state = 208},
  [2096] = {.lex_state = 282},
  [2097] = {.lex_state = 282},
  [2098] = {.lex_state = 282},
  [2099] = {.lex_state = 211},
  [2100] = {.lex_state = 282},
  [2101] = {.lex_state = 243},
  [2102] = {.lex_state = 282},
  [2103] = {.lex_state = 282},
  [2104] = {.lex_state = 282},
  [2105] = {.lex_state = 243},
  [2106] = {.lex_state = 282},
  [2107] = {.lex_state = 282},
  [2108] = {.lex_state = 232},
  [2109] = {.lex_state = 243},
  [2110] = {.lex_state = 232},
  [2111] = {.lex_state = 282},
  [2112] = {.lex_state = 282},
  [2113] = {.lex_state = 282},
  [2114] = {.lex_state = 282},
  [2115] = {.lex_state = 282},
  [2116] = {.lex_state = 282},
  [2117] = {.lex_state = 282},
  [2118] = {.lex_state = 282},
  [2119] = {.lex_state = 282},
  [2120] = {.lex_state = 282},
  [2121] = {.lex_state = 282},
  [2122] = {.lex_state = 282},
  [2123] = {.lex_state = 282},
  [2124] = {.lex_state = 282},
  [2125] = {.lex_state = 282},
  [2126] = {.lex_state = 282},
  [2127] = {.lex_state = 243},
  [2128] = {.lex_state = 230},
  [2129] = {.lex_state = 282},
  [2130] = {.lex_state = 282},
  [2131] = {.lex_state = 282},
  [2132] = {.lex_state = 282},
  [2133] = {.lex_state = 282},
  [2134] = {.lex_state = 282},
  [2135] = {.lex_state = 282},
  [2136] = {.lex_state = 282},
  [2137] = {.lex_state = 282},
  [2138] = {.lex_state = 282},
  [2139] = {.lex_state = 282},
  [2140] = {.lex_state = 282},
  [2141] = {.lex_state = 282},
  [2142] = {.lex_state = 282},
  [2143] = {.lex_state = 282},
  [2144] = {.lex_state = 282},
  [2145] = {.lex_state = 243},
  [2146] = {.lex_state = 282},
  [2147] = {.lex_state = 282},
  [2148] = {.lex_state = 251},
  [2149] = {.lex_state = 282},
  [2150] = {.lex_state = 282},
  [2151] = {.lex_state = 282},
  [2152] = {.lex_state = 282},
  [2153] = {.lex_state = 243},
  [2154] = {.lex_state = 282},
  [2155] = {.lex_state = 282},
  [2156] = {.lex_state = 282},
  [2157] = {.lex_state = 282},
  [2158] = {.lex_state = 282},
  [2159] = {.lex_state = 282},
  [2160] = {.lex_state = 282},
  [2161] = {.lex_state = 211},
  [2162] = {.lex_state = 204},
  [2163] = {.lex_state = 282},
  [2164] = {.lex_state = 282},
  [2165] = {.lex_state = 243},
  [2166] = {.lex_state = 243},
  [2167] = {.lex_state = 243},
  [2168] = {.lex_state = 243},
  [2169] = {.lex_state = 282},
  [2170] = {.lex_state = 222},
  [2171] = {.lex_state = 232},
  [2172] = {.lex_state = 282},
  [2173] = {.lex_state = 251},
  [2174] = {.lex_state = 243},
  [2175] = {.lex_state = 208},
  [2176] = {.lex_state = 282},
  [2177] = {.lex_state = 208},
  [2178] = {.lex_state = 243},
  [2179] = {.lex_state = 219},
  [2180] = {.lex_state = 282},
  [2181] = {.lex_state = 282},
  [2182] = {.lex_state = 282},
  [2183] = {.lex_state = 282},
  [2184] = {.lex_state = 219},
  [2185] = {.lex_state = 243},
  [2186] = {.lex_state = 282},
  [2187] = {.lex_state = 211},
  [2188] = {.lex_state = 282},
  [2189] = {.lex_state = 282},
  [2190] = {.lex_state = 282},
  [2191] = {.lex_state = 282},
  [2192] = {.lex_state = 232},
  [2193] = {.lex_state = 282},
  [2194] = {.lex_state = 282},
  [2195] = {.lex_state = 232},
  [2196] = {.lex_state = 259},
  [2197] = {.lex_state = 216},
  [2198] = {.lex_state = 234},
  [2199] = {.lex_state = 282},
  [2200] = {.lex_state = 283},
  [2201] = {.lex_state = 230},
  [2202] = {.lex_state = 230},
  [2203] = {.lex_state = 282},
  [2204] = {.lex_state = 280},
  [2205] = {.lex_state = 208},
  [2206] = {.lex_state = 251},
  [2207] = {.lex_state = 230},
  [2208] = {.lex_state = 280},
  [2209] = {.lex_state = 282},
  [2210] = {.lex_state = 208},
  [2211] = {.lex_state = 230},
  [2212] = {.lex_state = 282},
  [2213] = {.lex_state = 208},
  [2214] = {.lex_state = 282},
  [2215] = {.lex_state = 220},
  [2216] = {.lex_state = 282},
  [2217] = {.lex_state = 237},
  [2218] = {.lex_state = 220},
  [2219] = {.lex_state = 283},
  [2220] = {.lex_state = 208},
  [2221] = {.lex_state = 208},
  [2222] = {.lex_state = 211},
  [2223] = {.lex_state = 230},
  [2224] = {.lex_state = 208},
  [2225] = {.lex_state = 230},
  [2226] = {.lex_state = 230},
  [2227] = {.lex_state = 230},
  [2228] = {.lex_state = 282},
  [2229] = {.lex_state = 230},
  [2230] = {.lex_state = 230},
  [2231] = {.lex_state = 230},
  [2232] = {.lex_state = 280},
  [2233] = {.lex_state = 230},
  [2234] = {.lex_state = 230},
  [2235] = {.lex_state = 208},
  [2236] = {.lex_state = 208},
  [2237] = {.lex_state = 230},
  [2238] = {.lex_state = 282},
  [2239] = {.lex_state = 206},
  [2240] = {.lex_state = 230},
  [2241] = {.lex_state = 232},
  [2242] = {.lex_state = 282},
  [2243] = {.lex_state = 230},
  [2244] = {.lex_state = 230},
  [2245] = {.lex_state = 230},
  [2246] = {.lex_state = 234},
  [2247] = {.lex_state = 230},
  [2248] = {.lex_state = 230},
  [2249] = {.lex_state = 230},
  [2250] = {.lex_state = 230},
  [2251] = {.lex_state = 230},
  [2252] = {.lex_state = 230},
  [2253] = {.lex_state = 230},
  [2254] = {.lex_state = 230},
  [2255] = {.lex_state = 230},
  [2256] = {.lex_state = 230},
  [2257] = {.lex_state = 230},
  [2258] = {.lex_state = 230},
  [2259] = {.lex_state = 208},
  [2260] = {.lex_state = 230},
  [2261] = {.lex_state = 230},
  [2262] = {.lex_state = 230},
  [2263] = {.lex_state = 230},
  [2264] = {.lex_state = 230},
  [2265] = {.lex_state = 282},
  [2266] = {.lex_state = 280},
  [2267] = {.lex_state = 206},
  [2268] = {.lex_state = 282},
  [2269] = {.lex_state = 230},
  [2270] = {.lex_state = 230},
  [2271] = {.lex_state = 216},
  [2272] = {.lex_state = 230},
  [2273] = {.lex_state = 208},
  [2274] = {.lex_state = 234},
  [2275] = {.lex_state = 206},
  [2276] = {.lex_state = 230},
  [2277] = {.lex_state = 264},
  [2278] = {.lex_state = 216},
  [2279] = {.lex_state = 251},
  [2280] = {.lex_state = 251},
  [2281] = {.lex_state = 283},
  [2282] = {.lex_state = 283},
  [2283] = {.lex_state = 282},
  [2284] = {.lex_state = 230},
  [2285] = {.lex_state = 234},
  [2286] = {.lex_state = 204},
  [2287] = {.lex_state = 251},
  [2288] = {.lex_state = 206},
  [2289] = {.lex_state = 251},
  [2290] = {.lex_state = 251},
  [2291] = {.lex_state = 282},
  [2292] = {.lex_state = 251},
  [2293] = {.lex_state = 251},
  [2294] = {.lex_state = 251},
  [2295] = {.lex_state = 233},
  [2296] = {.lex_state = 251},
  [2297] = {.lex_state = 251},
  [2298] = {.lex_state = 217},
  [2299] = {.lex_state = 251},
  [2300] = {.lex_state = 251},
  [2301] = {.lex_state = 251},
  [2302] = {.lex_state = 223},
  [2303] = {.lex_state = 251},
  [2304] = {.lex_state = 251},
  [2305] = {.lex_state = 234},
  [2306] = {.lex_state = 251},
  [2307] = {.lex_state = 238},
  [2308] = {.lex_state = 232},
  [2309] = {.lex_state = 234},
  [2310] = {.lex_state = 217},
  [2311] = {.lex_state = 251},
  [2312] = {.lex_state = 251},
  [2313] = {.lex_state = 251},
  [2314] = {.lex_state = 251},
  [2315] = {.lex_state = 251},
  [2316] = {.lex_state = 251},
  [2317] = {.lex_state = 251},
  [2318] = {.lex_state = 251},
  [2319] = {.lex_state = 233},
  [2320] = {.lex_state = 251},
  [2321] = {.lex_state = 251},
  [2322] = {.lex_state = 234},
  [2323] = {.lex_state = 251},
  [2324] = {.lex_state = 251},
  [2325] = {.lex_state = 251},
  [2326] = {.lex_state = 234},
  [2327] = {.lex_state = 251},
  [2328] = {.lex_state = 251},
  [2329] = {.lex_state = 251},
  [2330] = {.lex_state = 251},
  [2331] = {.lex_state = 229},
  [2332] = {.lex_state = 233},
  [2333] = {.lex_state = 232},
  [2334] = {.lex_state = 251},
  [2335] = {.lex_state = 206},
  [2336] = {.lex_state = 234},
  [2337] = {.lex_state = 206},
  [2338] = {.lex_state = 251},
  [2339] = {.lex_state = 251},
  [2340] = {.lex_state = 229},
  [2341] = {.lex_state = 232},
  [2342] = {.lex_state = 251},
  [2343] = {.lex_state = 234},
  [2344] = {.lex_state = 232},
  [2345] = {.lex_state = 238},
  [2346] = {.lex_state = 234},
  [2347] = {.lex_state = 234},
  [2348] = {.lex_state = 251},
  [2349] = {.lex_state = 223},
  [2350] = {.lex_state = 229},
  [2351] = {.lex_state = 232},
  [2352] = {.lex_state = 251},
  [2353] = {.lex_state = 251},
  [2354] = {.lex_state = 251},
  [2355] = {.lex_state = 282},
  [2356] = {.lex_state = 234},
  [2357] = {.lex_state = 251},
  [2358] = {.lex_state = 251},
  [2359] = {.lex_state = 280},
  [2360] = {.lex_state = 251},
  [2361] = {.lex_state = 251},
  [2362] = {.lex_state = 251},
  [2363] = {.lex_state = 251},
  [2364] = {.lex_state = 283},
  [2365] = {.lex_state = 251},
  [2366] = {.lex_state = 251},
  [2367] = {.lex_state = 282},
  [2368] = {.lex_state = 280},
  [2369] = {.lex_state = 251},
  [2370] = {.lex_state = 283},
  [2371] = {.lex_state = 251},
  [2372] = {.lex_state = 251},
  [2373] = {.lex_state = 251},
  [2374] = {.lex_state = 251},
  [2375] = {.lex_state = 251},
  [2376] = {.lex_state = 229},
  [2377] = {.lex_state = 251},
  [2378] = {.lex_state = 251},
  [2379] = {.lex_state = 251},
  [2380] = {.lex_state = 251},
  [2381] = {.lex_state = 251},
  [2382] = {.lex_state = 251},
  [2383] = {.lex_state = 251},
  [2384] = {.lex_state = 251},
  [2385] = {.lex_state = 251},
  [2386] = {.lex_state = 217},
  [2387] = {.lex_state = 251},
  [2388] = {.lex_state = 251},
  [2389] = {.lex_state = 251},
  [2390] = {.lex_state = 251},
  [2391] = {.lex_state = 251},
  [2392] = {.lex_state = 251},
  [2393] = {.lex_state = 251},
  [2394] = {.lex_state = 251},
  [2395] = {.lex_state = 251},
  [2396] = {.lex_state = 208},
  [2397] = {.lex_state = 282},
  [2398] = {.lex_state = 234},
  [2399] = {.lex_state = 206},
  [2400] = {.lex_state = 251},
  [2401] = {.lex_state = 251},
  [2402] = {.lex_state = 251},
  [2403] = {.lex_state = 251},
  [2404] = {.lex_state = 251},
  [2405] = {.lex_state = 251},
  [2406] = {.lex_state = 234},
  [2407] = {.lex_state = 234},
  [2408] = {.lex_state = 233},
  [2409] = {.lex_state = 251},
  [2410] = {.lex_state = 251},
  [2411] = {.lex_state = 234},
  [2412] = {.lex_state = 234},
  [2413] = {.lex_state = 234},
  [2414] = {.lex_state = 234},
  [2415] = {.lex_state = 234},
  [2416] = {.lex_state = 234},
  [2417] = {.lex_state = 234},
  [2418] = {.lex_state = 234},
  [2419] = {.lex_state = 233},
  [2420] = {.lex_state = 234},
  [2421] = {.lex_state = 234},
  [2422] = {.lex_state = 234},
  [2423] = {.lex_state = 234},
  [2424] = {.lex_state = 233},
  [2425] = {.lex_state = 234},
  [2426] = {.lex_state = 234},
  [2427] = {.lex_state = 211},
  [2428] = {.lex_state = 233},
  [2429] = {.lex_state = 211},
  [2430] = {.lex_state = 238},
  [2431] = {.lex_state = 233},
  [2432] = {.lex_state = 233},
  [2433] = {.lex_state = 238},
  [2434] = {.lex_state = 232},
  [2435] = {.lex_state = 234},
  [2436] = {.lex_state = 206},
  [2437] = {.lex_state = 233},
  [2438] = {.lex_state = 280},
  [2439] = {.lex_state = 234},
  [2440] = {.lex_state = 238},
  [2441] = {.lex_state = 238},
  [2442] = {.lex_state = 283},
  [2443] = {.lex_state = 234},
  [2444] = {.lex_state = 234},
  [2445] = {.lex_state = 234},
  [2446] = {.lex_state = 234},
  [2447] = {.lex_state = 234},
  [2448] = {.lex_state = 280},
  [2449] = {.lex_state = 233},
  [2450] = {.lex_state = 234},
  [2451] = {.lex_state = 234},
  [2452] = {.lex_state = 234},
  [2453] = {.lex_state = 282},
  [2454] = {.lex_state = 234},
  [2455] = {.lex_state = 234},
  [2456] = {.lex_state = 234},
  [2457] = {.lex_state = 282},
  [2458] = {.lex_state = 234},
  [2459] = {.lex_state = 234},
  [2460] = {.lex_state = 234},
  [2461] = {.lex_state = 208},
  [2462] = {.lex_state = 233},
  [2463] = {.lex_state = 245},
  [2464] = {.lex_state = 211},
  [2465] = {.lex_state = 234},
  [2466] = {.lex_state = 234},
  [2467] = {.lex_state = 234},
  [2468] = {.lex_state = 234},
  [2469] = {.lex_state = 233},
  [2470] = {.lex_state = 234},
  [2471] = {.lex_state = 233},
  [2472] = {.lex_state = 244},
  [2473] = {.lex_state = 233},
  [2474] = {.lex_state = 234},
  [2475] = {.lex_state = 211},
  [2476] = {.lex_state = 234},
  [2477] = {.lex_state = 234},
  [2478] = {.lex_state = 233},
  [2479] = {.lex_state = 238},
  [2480] = {.lex_state = 234},
  [2481] = {.lex_state = 238},
  [2482] = {.lex_state = 234},
  [2483] = {.lex_state = 234},
  [2484] = {.lex_state = 234},
  [2485] = {.lex_state = 234},
  [2486] = {.lex_state = 234},
  [2487] = {.lex_state = 234},
  [2488] = {.lex_state = 280},
  [2489] = {.lex_state = 234},
  [2490] = {.lex_state = 234},
  [2491] = {.lex_state = 234},
  [2492] = {.lex_state = 234},
  [2493] = {.lex_state = 234},
  [2494] = {.lex_state = 216},
  [2495] = {.lex_state = 283},
  [2496] = {.lex_state = 234},
  [2497] = {.lex_state = 238},
  [2498] = {.lex_state = 238},
  [2499] = {.lex_state = 283},
  [2500] = {.lex_state = 283},
  [2501] = {.lex_state = 242},
  [2502] = {.lex_state = 280},
  [2503] = {.lex_state = 234},
  [2504] = {.lex_state = 283},
  [2505] = {.lex_state = 280},
  [2506] = {.lex_state = 280},
  [2507] = {.lex_state = 280},
  [2508] = {.lex_state = 234},
  [2509] = {.lex_state = 280},
  [2510] = {.lex_state = 280},
  [2511] = {.lex_state = 283},
  [2512] = {.lex_state = 280},
  [2513] = {.lex_state = 280},
  [2514] = {.lex_state = 283},
  [2515] = {.lex_state = 216},
  [2516] = {.lex_state = 280},
  [2517] = {.lex_state = 283},
  [2518] = {.lex_state = 242},
  [2519] = {.lex_state = 234},
  [2520] = {.lex_state = 283},
  [2521] = {.lex_state = 216},
  [2522] = {.lex_state = 280},
  [2523] = {.lex_state = 280},
  [2524] = {.lex_state = 280},
  [2525] = {.lex_state = 234},
  [2526] = {.lex_state = 234},
  [2527] = {.lex_state = 283},
  [2528] = {.lex_state = 283},
  [2529] = {.lex_state = 217},
  [2530] = {.lex_state = 234},
  [2531] = {.lex_state = 234},
  [2532] = {.lex_state = 234},
  [2533] = {.lex_state = 216},
  [2534] = {.lex_state = 283},
  [2535] = {.lex_state = 216},
  [2536] = {.lex_state = 280},
  [2537] = {.lex_state = 280},
  [2538] = {.lex_state = 280},
  [2539] = {.lex_state = 280},
  [2540] = {.lex_state = 283},
  [2541] = {.lex_state = 216},
  [2542] = {.lex_state = 283},
  [2543] = {.lex_state = 283},
  [2544] = {.lex_state = 283},
  [2545] = {.lex_state = 280},
  [2546] = {.lex_state = 283},
  [2547] = {.lex_state = 283},
  [2548] = {.lex_state = 283},
  [2549] = {.lex_state = 283},
  [2550] = {.lex_state = 280},
  [2551] = {.lex_state = 280},
  [2552] = {.lex_state = 280},
  [2553] = {.lex_state = 280},
  [2554] = {.lex_state = 283},
  [2555] = {.lex_state = 280},
  [2556] = {.lex_state = 283},
  [2557] = {.lex_state = 283},
  [2558] = {.lex_state = 283},
  [2559] = {.lex_state = 280},
  [2560] = {.lex_state = 280},
  [2561] = {.lex_state = 283},
  [2562] = {.lex_state = 234},
  [2563] = {.lex_state = 283},
  [2564] = {.lex_state = 280},
  [2565] = {.lex_state = 283},
  [2566] = {.lex_state = 283},
  [2567] = {.lex_state = 280},
  [2568] = {.lex_state = 283},
  [2569] = {.lex_state = 283},
  [2570] = {.lex_state = 283},
  [2571] = {.lex_state = 280},
  [2572] = {.lex_state = 280},
  [2573] = {.lex_state = 283},
  [2574] = {.lex_state = 283},
  [2575] = {.lex_state = 283},
  [2576] = {.lex_state = 283},
  [2577] = {.lex_state = 283},
  [2578] = {.lex_state = 283},
  [2579] = {.lex_state = 283},
  [2580] = {.lex_state = 283},
  [2581] = {.lex_state = 283},
  [2582] = {.lex_state = 280},
  [2583] = {.lex_state = 280},
  [2584] = {.lex_state = 283},
  [2585] = {.lex_state = 280},
  [2586] = {.lex_state = 283},
  [2587] = {.lex_state = 280},
  [2588] = {.lex_state = 280},
  [2589] = {.lex_state = 283},
  [2590] = {.lex_state = 280},
  [2591] = {.lex_state = 283},
  [2592] = {.lex_state = 280},
  [2593] = {.lex_state = 283},
  [2594] = {.lex_state = 244},
  [2595] = {.lex_state = 280},
  [2596] = {.lex_state = 280},
  [2597] = {.lex_state = 280},
  [2598] = {.lex_state = 280},
  [2599] = {.lex_state = 283},
  [2600] = {.lex_state = 280},
  [2601] = {.lex_state = 280},
  [2602] = {.lex_state = 216},
  [2603] = {.lex_state = 283},
  [2604] = {.lex_state = 280},
  [2605] = {.lex_state = 283},
  [2606] = {.lex_state = 280},
  [2607] = {.lex_state = 283},
  [2608] = {.lex_state = 283},
  [2609] = {.lex_state = 283},
  [2610] = {.lex_state = 283},
  [2611] = {.lex_state = 283},
  [2612] = {.lex_state = 283},
  [2613] = {.lex_state = 283},
  [2614] = {.lex_state = 283},
  [2615] = {.lex_state = 283},
  [2616] = {.lex_state = 283},
  [2617] = {.lex_state = 283},
  [2618] = {.lex_state = 283},
  [2619] = {.lex_state = 280},
  [2620] = {.lex_state = 280},
  [2621] = {.lex_state = 280},
  [2622] = {.lex_state = 280},
  [2623] = {.lex_state = 234},
  [2624] = {.lex_state = 234},
  [2625] = {.lex_state = 280},
  [2626] = {.lex_state = 281},
  [2627] = {.lex_state = 283},
  [2628] = {.lex_state = 238},
  [2629] = {.lex_state = 242},
  [2630] = {.lex_state = 280},
  [2631] = {.lex_state = 280},
  [2632] = {.lex_state = 283},
  [2633] = {.lex_state = 280},
  [2634] = {.lex_state = 216},
  [2635] = {.lex_state = 280},
  [2636] = {.lex_state = 280},
  [2637] = {.lex_state = 280},
  [2638] = {.lex_state = 280},
  [2639] = {.lex_state = 280},
  [2640] = {.lex_state = 280},
  [2641] = {.lex_state = 232},
  [2642] = {.lex_state = 280},
  [2643] = {.lex_state = 280},
  [2644] = {.lex_state = 283},
  [2645] = {.lex_state = 283},
  [2646] = {.lex_state = 280},
  [2647] = {.lex_state = 280},
  [2648] = {.lex_state = 280},
  [2649] = {.lex_state = 280},
  [2650] = {.lex_state = 283},
  [2651] = {.lex_state = 283},
  [2652] = {.lex_state = 206},
  [2653] = {.lex_state = 206},
  [2654] = {.lex_state = 283},
  [2655] = {.lex_state = 280},
  [2656] = {.lex_state = 280},
  [2657] = {.lex_state = 280},
  [2658] = {.lex_state = 283},
  [2659] = {.lex_state = 280},
  [2660] = {.lex_state = 280},
  [2661] = {.lex_state = 280},
  [2662] = {.lex_state = 280},
  [2663] = {.lex_state = 280},
  [2664] = {.lex_state = 280},
  [2665] = {.lex_state = 206},
  [2666] = {.lex_state = 206},
  [2667] = {.lex_state = 280},
  [2668] = {.lex_state = 283},
  [2669] = {.lex_state = 280},
  [2670] = {.lex_state = 283},
  [2671] = {.lex_state = 283},
  [2672] = {.lex_state = 283},
  [2673] = {.lex_state = 283},
  [2674] = {.lex_state = 283},
  [2675] = {.lex_state = 283},
  [2676] = {.lex_state = 283},
  [2677] = {.lex_state = 280},
  [2678] = {.lex_state = 283},
  [2679] = {.lex_state = 283},
  [2680] = {.lex_state = 283},
  [2681] = {.lex_state = 283},
  [2682] = {.lex_state = 283},
  [2683] = {.lex_state = 280},
  [2684] = {.lex_state = 280},
  [2685] = {.lex_state = 283},
  [2686] = {.lex_state = 234},
  [2687] = {.lex_state = 280},
  [2688] = {.lex_state = 280},
  [2689] = {.lex_state = 282},
  [2690] = {.lex_state = 282},
  [2691] = {.lex_state = 234},
  [2692] = {.lex_state = 233},
  [2693] = {.lex_state = 236},
  [2694] = {.lex_state = 282},
  [2695] = {.lex_state = 258},
  [2696] = {.lex_state = 282},
  [2697] = {.lex_state = 234},
  [2698] = {.lex_state = 234},
  [2699] = {.lex_state = 217},
  [2700] = {.lex_state = 282},
  [2701] = {.lex_state = 282},
  [2702] = {.lex_state = 255},
  [2703] = {.lex_state = 216},
  [2704] = {.lex_state = 234},
  [2705] = {.lex_state = 217},
  [2706] = {.lex_state = 233},
  [2707] = {.lex_state = 206},
  [2708] = {.lex_state = 216},
  [2709] = {.lex_state = 259},
  [2710] = {.lex_state = 234},
  [2711] = {.lex_state = 244},
  [2712] = {.lex_state = 282},
  [2713] = {.lex_state = 234},
  [2714] = {.lex_state = 255},
  [2715] = {.lex_state = 233},
  [2716] = {.lex_state = 245},
  [2717] = {.lex_state = 282},
  [2718] = {.lex_state = 234},
  [2719] = {.lex_state = 234},
  [2720] = {.lex_state = 233},
  [2721] = {.lex_state = 255},
  [2722] = {.lex_state = 282},
  [2723] = {.lex_state = 234},
  [2724] = {.lex_state = 234},
  [2725] = {.lex_state = 244},
  [2726] = {.lex_state = 217},
  [2727] = {.lex_state = 234},
  [2728] = {.lex_state = 206},
  [2729] = {.lex_state = 206},
  [2730] = {.lex_state = 217},
  [2731] = {.lex_state = 258},
  [2732] = {.lex_state = 282},
  [2733] = {.lex_state = 206},
  [2734] = {.lex_state = 282},
  [2735] = {.lex_state = 282},
  [2736] = {.lex_state = 245},
  [2737] = {.lex_state = 245},
  [2738] = {.lex_state = 245},
  [2739] = {.lex_state = 245},
  [2740] = {.lex_state = 282},
  [2741] = {.lex_state = 234},
  [2742] = {.lex_state = 245},
  [2743] = {.lex_state = 282},
  [2744] = {.lex_state = 260},
  [2745] = {.lex_state = 282},
  [2746] = {.lex_state = 233},
  [2747] = {.lex_state = 245},
  [2748] = {.lex_state = 234},
  [2749] = {.lex_state = 216},
  [2750] = {.lex_state = 245},
  [2751] = {.lex_state = 258},
  [2752] = {.lex_state = 282},
  [2753] = {.lex_state = 216},
  [2754] = {.lex_state = 234},
  [2755] = {.lex_state = 234},
  [2756] = {.lex_state = 234},
  [2757] = {.lex_state = 234},
  [2758] = {.lex_state = 234},
  [2759] = {.lex_state = 234},
  [2760] = {.lex_state = 256},
  [2761] = {.lex_state = 244},
  [2762] = {.lex_state = 244},
  [2763] = {.lex_state = 244},
  [2764] = {.lex_state = 234},
  [2765] = {.lex_state = 244},
  [2766] = {.lex_state = 244},
  [2767] = {.lex_state = 234},
  [2768] = {.lex_state = 234},
  [2769] = {.lex_state = 244},
  [2770] = {.lex_state = 234},
  [2771] = {.lex_state = 234},
  [2772] = {.lex_state = 244},
  [2773] = {.lex_state = 234},
  [2774] = {.lex_state = 234},
  [2775] = {.lex_state = 234},
  [2776] = {.lex_state = 256},
  [2777] = {.lex_state = 234},
  [2778] = {.lex_state = 234},
  [2779] = {.lex_state = 234},
  [2780] = {.lex_state = 234},
  [2781] = {.lex_state = 234},
  [2782] = {.lex_state = 234},
  [2783] = {.lex_state = 234},
  [2784] = {.lex_state = 234},
  [2785] = {.lex_state = 234},
  [2786] = {.lex_state = 234},
  [2787] = {.lex_state = 256},
  [2788] = {.lex_state = 234},
  [2789] = {.lex_state = 234},
  [2790] = {.lex_state = 234},
  [2791] = {.lex_state = 234},
  [2792] = {.lex_state = 259},
  [2793] = {.lex_state = 234},
  [2794] = {.lex_state = 234},
  [2795] = {.lex_state = 234},
  [2796] = {.lex_state = 234},
  [2797] = {.lex_state = 234},
  [2798] = {.lex_state = 234},
  [2799] = {.lex_state = 234},
  [2800] = {.lex_state = 234},
  [2801] = {.lex_state = 234},
  [2802] = {.lex_state = 234},
  [2803] = {.lex_state = 217},
  [2804] = {.lex_state = 245},
  [2805] = {.lex_state = 238},
  [2806] = {.lex_state = 237},
  [2807] = {.lex_state = 234},
  [2808] = {.lex_state = 234},
  [2809] = {.lex_state = 234},
  [2810] = {.lex_state = 234},
  [2811] = {.lex_state = 216},
  [2812] = {.lex_state = 234},
  [2813] = {.lex_state = 234},
  [2814] = {.lex_state = 234},
  [2815] = {.lex_state = 234},
  [2816] = {.lex_state = 234},
  [2817] = {.lex_state = 234},
  [2818] = {.lex_state = 234},
  [2819] = {.lex_state = 234},
  [2820] = {.lex_state = 234},
  [2821] = {.lex_state = 281},
  [2822] = {.lex_state = 234},
  [2823] = {.lex_state = 234},
  [2824] = {.lex_state = 217},
  [2825] = {.lex_state = 234},
  [2826] = {.lex_state = 244},
  [2827] = {.lex_state = 234},
  [2828] = {.lex_state = 264},
  [2829] = {.lex_state = 244},
  [2830] = {.lex_state = 234},
  [2831] = {.lex_state = 217},
  [2832] = {.lex_state = 234},
  [2833] = {.lex_state = 238},
  [2834] = {.lex_state = 234},
  [2835] = {.lex_state = 234},
  [2836] = {.lex_state = 244},
  [2837] = {.lex_state = 234},
  [2838] = {.lex_state = 265},
  [2839] = {.lex_state = 234},
  [2840] = {.lex_state = 234},
  [2841] = {.lex_state = 234},
  [2842] = {.lex_state = 234},
  [2843] = {.lex_state = 234},
  [2844] = {.lex_state = 245},
  [2845] = {.lex_state = 217},
  [2846] = {.lex_state = 234},
  [2847] = {.lex_state = 234},
  [2848] = {.lex_state = 234},
  [2849] = {.lex_state = 245},
  [2850] = {.lex_state = 244},
  [2851] = {.lex_state = 234},
  [2852] = {.lex_state = 234},
  [2853] = {.lex_state = 234},
  [2854] = {.lex_state = 234},
  [2855] = {.lex_state = 234},
  [2856] = {.lex_state = 234},
  [2857] = {.lex_state = 234},
  [2858] = {.lex_state = 244},
  [2859] = {.lex_state = 234},
  [2860] = {.lex_state = 234},
  [2861] = {.lex_state = 234},
  [2862] = {.lex_state = 234},
  [2863] = {.lex_state = 238},
  [2864] = {.lex_state = 237},
  [2865] = {.lex_state = 259},
  [2866] = {.lex_state = 245},
  [2867] = {.lex_state = 264},
  [2868] = {.lex_state = 259},
  [2869] = {.lex_state = 273},
  [2870] = {.lex_state = 238},
  [2871] = {.lex_state = 238},
  [2872] = {.lex_state = 273},
  [2873] = {.lex_state = 207},
  [2874] = {.lex_state = 245},
  [2875] = {.lex_state = 238},
  [2876] = {.lex_state = 245},
  [2877] = {.lex_state = 216},
  [2878] = {.lex_state = 238},
  [2879] = {.lex_state = 259},
  [2880] = {.lex_state = 238},
  [2881] = {.lex_state = 273},
  [2882] = {.lex_state = 216},
  [2883] = {.lex_state = 259},
  [2884] = {.lex_state = 282},
  [2885] = {.lex_state = 238},
  [2886] = {.lex_state = 259},
  [2887] = {.lex_state = 207},
  [2888] = {.lex_state = 216},
  [2889] = {.lex_state = 273},
  [2890] = {.lex_state = 259},
  [2891] = {.lex_state = 238},
  [2892] = {.lex_state = 273},
  [2893] = {.lex_state = 273},
  [2894] = {.lex_state = 259},
  [2895] = {.lex_state = 245},
  [2896] = {.lex_state = 259},
  [2897] = {.lex_state = 238},
  [2898] = {.lex_state = 207},
  [2899] = {.lex_state = 282},
  [2900] = {.lex_state = 245},
  [2901] = {.lex_state = 282},
  [2902] = {.lex_state = 216},
  [2903] = {.lex_state = 238},
  [2904] = {.lex_state = 273},
  [2905] = {.lex_state = 238},
  [2906] = {.lex_state = 259},
  [2907] = {.lex_state = 273},
  [2908] = {.lex_state = 238},
  [2909] = {.lex_state = 216},
  [2910] = {.lex_state = 216},
  [2911] = {.lex_state = 260},
  [2912] = {.lex_state = 255},
  [2913] = {.lex_state = 260},
  [2914] = {.lex_state = 259},
  [2915] = {.lex_state = 264},
  [2916] = {.lex_state = 259},
  [2917] = {.lex_state = 216},
  [2918] = {.lex_state = 264},
  [2919] = {.lex_state = 273},
  [2920] = {.lex_state = 264},
  [2921] = {.lex_state = 255},
  [2922] = {.lex_state = 216},
  [2923] = {.lex_state = 264},
  [2924] = {.lex_state = 259},
  [2925] = {.lex_state = 264},
  [2926] = {.lex_state = 264},
  [2927] = {.lex_state = 245},
  [2928] = {.lex_state = 264},
  [2929] = {.lex_state = 259},
  [2930] = {.lex_state = 264},
  [2931] = {.lex_state = 245},
  [2932] = {.lex_state = 260},
  [2933] = {.lex_state = 259},
  [2934] = {.lex_state = 264},
  [2935] = {.lex_state = 259},
  [2936] = {.lex_state = 255},
  [2937] = {.lex_state = 259},
  [2938] = {.lex_state = 245},
  [2939] = {.lex_state = 245},
  [2940] = {.lex_state = 245},
  [2941] = {.lex_state = 282},
  [2942] = {.lex_state = 259},
  [2943] = {.lex_state = 204},
  [2944] = {.lex_state = 264},
  [2945] = {.lex_state = 245},
  [2946] = {.lex_state = 265},
  [2947] = {.lex_state = 259},
  [2948] = {.lex_state = 260},
  [2949] = {.lex_state = 245},
  [2950] = {.lex_state = 265},
  [2951] = {.lex_state = 264},
  [2952] = {.lex_state = 259},
  [2953] = {.lex_state = 245},
  [2954] = {.lex_state = 264},
  [2955] = {.lex_state = 245},
  [2956] = {.lex_state = 264},
  [2957] = {.lex_state = 259},
  [2958] = {.lex_state = 245},
  [2959] = {.lex_state = 245},
  [2960] = {.lex_state = 264},
  [2961] = {.lex_state = 204},
  [2962] = {.lex_state = 264},
  [2963] = {.lex_state = 245},
  [2964] = {.lex_state = 245},
  [2965] = {.lex_state = 259},
  [2966] = {.lex_state = 259},
  [2967] = {.lex_state = 245},
  [2968] = {.lex_state = 259},
  [2969] = {.lex_state = 244},
  [2970] = {.lex_state = 244},
  [2971] = {.lex_state = 272},
  [2972] = {.lex_state = 245},
  [2973] = {.lex_state = 264},
  [2974] = {.lex_state = 234},
  [2975] = {.lex_state = 207},
  [2976] = {.lex_state = 245},
  [2977] = {.lex_state = 207},
  [2978] = {.lex_state = 264},
  [2979] = {.lex_state = 207},
  [2980] = {.lex_state = 234},
  [2981] = {.lex_state = 264},
  [2982] = {.lex_state = 245},
  [2983] = {.lex_state = 245},
  [2984] = {.lex_state = 284},
  [2985] = {.lex_state = 234},
  [2986] = {.lex_state = 264},
  [2987] = {.lex_state = 226},
  [2988] = {.lex_state = 234},
  [2989] = {.lex_state = 265},
  [2990] = {.lex_state = 234},
  [2991] = {.lex_state = 234},
  [2992] = {.lex_state = 234},
  [2993] = {.lex_state = 234},
  [2994] = {.lex_state = 234},
  [2995] = {.lex_state = 226},
  [2996] = {.lex_state = 272},
  [2997] = {.lex_state = 272},
  [2998] = {.lex_state = 272},
  [2999] = {.lex_state = 234},
  [3000] = {.lex_state = 234},
  [3001] = {.lex_state = 234},
  [3002] = {.lex_state = 207},
  [3003] = {.lex_state = 245},
  [3004] = {.lex_state = 273},
  [3005] = {.lex_state = 245},
  [3006] = {.lex_state = 234},
  [3007] = {.lex_state = 259},
  [3008] = {.lex_state = 234},
  [3009] = {.lex_state = 272},
  [3010] = {.lex_state = 272},
  [3011] = {.lex_state = 272},
  [3012] = {.lex_state = 259},
  [3013] = {.lex_state = 272},
  [3014] = {.lex_state = 272},
  [3015] = {.lex_state = 272},
  [3016] = {.lex_state = 272},
  [3017] = {.lex_state = 259},
  [3018] = {.lex_state = 284},
  [3019] = {.lex_state = 245},
  [3020] = {.lex_state = 272},
  [3021] = {.lex_state = 234},
  [3022] = {.lex_state = 234},
  [3023] = {.lex_state = 234},
  [3024] = {.lex_state = 259},
  [3025] = {.lex_state = 259},
  [3026] = {.lex_state = 273},
  [3027] = {.lex_state = 226},
  [3028] = {.lex_state = 259},
  [3029] = {.lex_state = 259},
  [3030] = {.lex_state = 259},
  [3031] = {.lex_state = 259},
  [3032] = {.lex_state = 259},
  [3033] = {.lex_state = 226},
  [3034] = {.lex_state = 245},
  [3035] = {.lex_state = 259},
  [3036] = {.lex_state = 260},
  [3037] = {.lex_state = 264},
  [3038] = {.lex_state = 284},
  [3039] = {.lex_state = 284},
  [3040] = {.lex_state = 284},
  [3041] = {.lex_state = 257},
  [3042] = {.lex_state = 273},
  [3043] = {.lex_state = 276},
  [3044] = {.lex_state = 276},
  [3045] = {.lex_state = 273},
  [3046] = {.lex_state = 226},
  [3047] = {.lex_state = 264},
  [3048] = {.lex_state = 259},
  [3049] = {.lex_state = 259},
  [3050] = {.lex_state = 244},
  [3051] = {.lex_state = 204},
  [3052] = {.lex_state = 204},
  [3053] = {.lex_state = 204},
  [3054] = {.lex_state = 204},
  [3055] = {.lex_state = 204},
  [3056] = {.lex_state = 204},
  [3057] = {.lex_state = 273},
  [3058] = {.lex_state = 284},
  [3059] = {.lex_state = 204},
  [3060] = {.lex_state = 273},
  [3061] = {.lex_state = 204},
  [3062] = {.lex_state = 259},
  [3063] = {.lex_state = 204},
  [3064] = {.lex_state = 259},
  [3065] = {.lex_state = 227},
  [3066] = {.lex_state = 226},
  [3067] = {.lex_state = 245},
  [3068] = {.lex_state = 245},
  [3069] = {.lex_state = 259},
  [3070] = {.lex_state = 245},
  [3071] = {.lex_state = 259},
  [3072] = {.lex_state = 245},
  [3073] = {.lex_state = 259},
  [3074] = {.lex_state = 259},
  [3075] = {.lex_state = 259},
  [3076] = {.lex_state = 259},
  [3077] = {.lex_state = 259},
  [3078] = {.lex_state = 204},
  [3079] = {.lex_state = 245},
  [3080] = {.lex_state = 276},
  [3081] = {.lex_state = 273},
  [3082] = {.lex_state = 259},
  [3083] = {.lex_state = 259},
  [3084] = {.lex_state = 259},
  [3085] = {.lex_state = 245},
  [3086] = {.lex_state = 245},
  [3087] = {.lex_state = 259},
  [3088] = {.lex_state = 227},
  [3089] = {.lex_state = 204},
  [3090] = {.lex_state = 257},
  [3091] = {.lex_state = 245},
  [3092] = {.lex_state = 204},
  [3093] = {.lex_state = 204},
  [3094] = {.lex_state = 204},
  [3095] = {.lex_state = 245},
  [3096] = {.lex_state = 260},
  [3097] = {.lex_state = 204},
  [3098] = {.lex_state = 245},
  [3099] = {.lex_state = 273},
  [3100] = {.lex_state = 233},
  [3101] = {.lex_state = 273},
  [3102] = {.lex_state = 276},
  [3103] = {.lex_state = 284},
  [3104] = {.lex_state = 273},
  [3105] = {.lex_state = 259},
  [3106] = {.lex_state = 284},
  [3107] = {.lex_state = 284},
  [3108] = {.lex_state = 233},
  [3109] = {.lex_state = 245},
  [3110] = {.lex_state = 245},
  [3111] = {.lex_state = 284},
  [3112] = {.lex_state = 245},
  [3113] = {.lex_state = 273},
  [3114] = {.lex_state = 245},
  [3115] = {.lex_state = 245},
  [3116] = {.lex_state = 245},
  [3117] = {.lex_state = 259},
  [3118] = {.lex_state = 245},
  [3119] = {.lex_state = 259},
  [3120] = {.lex_state = 273},
  [3121] = {.lex_state = 259},
  [3122] = {.lex_state = 233},
  [3123] = {.lex_state = 245},
  [3124] = {.lex_state = 276},
  [3125] = {.lex_state = 245},
  [3126] = {.lex_state = 245},
  [3127] = {.lex_state = 233},
  [3128] = {.lex_state = 284},
  [3129] = {.lex_state = 273},
  [3130] = {.lex_state = 284},
  [3131] = {.lex_state = 233},
  [3132] = {.lex_state = 284},
  [3133] = {.lex_state = 233},
  [3134] = {.lex_state = 204},
  [3135] = {.lex_state = 233},
  [3136] = {.lex_state = 204},
  [3137] = {.lex_state = 284},
  [3138] = {.lex_state = 204},
  [3139] = {.lex_state = 245},
  [3140] = {.lex_state = 273},
  [3141] = {.lex_state = 245},
  [3142] = {.lex_state = 245},
  [3143] = {.lex_state = 245},
  [3144] = {.lex_state = 245},
  [3145] = {.lex_state = 245},
  [3146] = {.lex_state = 257},
  [3147] = {.lex_state = 245},
  [3148] = {.lex_state = 245},
  [3149] = {.lex_state = 259},
  [3150] = {.lex_state = 273},
  [3151] = {.lex_state = 245},
  [3152] = {.lex_state = 257},
  [3153] = {.lex_state = 245},
  [3154] = {.lex_state = 245},
  [3155] = {.lex_state = 245},
  [3156] = {.lex_state = 245},
  [3157] = {.lex_state = 226},
  [3158] = {.lex_state = 245},
  [3159] = {.lex_state = 204},
  [3160] = {.lex_state = 204},
  [3161] = {.lex_state = 259},
  [3162] = {.lex_state = 245},
  [3163] = {.lex_state = 259},
  [3164] = {.lex_state = 259},
  [3165] = {.lex_state = 245},
  [3166] = {.lex_state = 259},
  [3167] = {.lex_state = 245},
  [3168] = {.lex_state = 264},
  [3169] = {.lex_state = 259},
  [3170] = {.lex_state = 259},
  [3171] = {.lex_state = 264},
  [3172] = {.lex_state = 245},
  [3173] = {.lex_state = 273},
  [3174] = {.lex_state = 245},
  [3175] = {.lex_state = 245},
  [3176] = {.lex_state = 272},
  [3177] = {.lex_state = 234},
  [3178] = {.lex_state = 259},
  [3179] = {.lex_state = 272},
  [3180] = {.lex_state = 231},
  [3181] = {.lex_state = 234},
  [3182] = {.lex_state = 245},
  [3183] = {.lex_state = 259},
  [3184] = {.lex_state = 245},
  [3185] = {.lex_state = 245},
  [3186] = {.lex_state = 264},
  [3187] = {.lex_state = 259},
  [3188] = {.lex_state = 226},
  [3189] = {.lex_state = 264},
  [3190] = {.lex_state = 245},
  [3191] = {.lex_state = 259},
  [3192] = {.lex_state = 227},
  [3193] = {.lex_state = 245},
  [3194] = {.lex_state = 264},
  [3195] = {.lex_state = 245},
  [3196] = {.lex_state = 244},
  [3197] = {.lex_state = 259},
  [3198] = {.lex_state = 264},
  [3199] = {.lex_state = 259},
  [3200] = {.lex_state = 231},
  [3201] = {.lex_state = 234},
  [3202] = {.lex_state = 234},
  [3203] = {.lex_state = 259},
  [3204] = {.lex_state = 284},
  [3205] = {.lex_state = 231},
  [3206] = {.lex_state = 227},
  [3207] = {.lex_state = 264},
  [3208] = {.lex_state = 273},
  [3209] = {.lex_state = 264},
  [3210] = {.lex_state = 273},
  [3211] = {.lex_state = 234},
  [3212] = {.lex_state = 245},
  [3213] = {.lex_state = 234},
  [3214] = {.lex_state = 234},
  [3215] = {.lex_state = 259},
  [3216] = {.lex_state = 234},
  [3217] = {.lex_state = 259},
  [3218] = {.lex_state = 234},
  [3219] = {.lex_state = 234},
  [3220] = {.lex_state = 264},
  [3221] = {.lex_state = 234},
  [3222] = {.lex_state = 281},
  [3223] = {.lex_state = 273},
  [3224] = {.lex_state = 259},
  [3225] = {.lex_state = 234},
  [3226] = {.lex_state = 273},
  [3227] = {.lex_state = 234},
  [3228] = {.lex_state = 234},
  [3229] = {.lex_state = 234},
  [3230] = {.lex_state = 245},
  [3231] = {.lex_state = 234},
  [3232] = {.lex_state = 245},
  [3233] = {.lex_state = 264},
  [3234] = {.lex_state = 245},
  [3235] = {.lex_state = 245},
  [3236] = {.lex_state = 259},
  [3237] = {.lex_state = 231},
  [3238] = {.lex_state = 245},
  [3239] = {.lex_state = 245},
  [3240] = {.lex_state = 245},
  [3241] = {.lex_state = 259},
  [3242] = {.lex_state = 284},
  [3243] = {.lex_state = 234},
  [3244] = {.lex_state = 231},
  [3245] = {.lex_state = 245},
  [3246] = {.lex_state = 245},
  [3247] = {.lex_state = 260},
  [3248] = {.lex_state = 273},
  [3249] = {.lex_state = 264},
  [3250] = {.lex_state = 245},
  [3251] = {.lex_state = 273},
  [3252] = {.lex_state = 264},
  [3253] = {.lex_state = 259},
  [3254] = {.lex_state = 245},
  [3255] = {.lex_state = 259},
  [3256] = {.lex_state = 234},
  [3257] = {.lex_state = 245},
  [3258] = {.lex_state = 245},
  [3259] = {.lex_state = 245},
  [3260] = {.lex_state = 226},
  [3261] = {.lex_state = 267},
  [3262] = {.lex_state = 226},
  [3263] = {.lex_state = 231},
  [3264] = {.lex_state = 259},
  [3265] = {.lex_state = 259},
  [3266] = {.lex_state = 259},
  [3267] = {.lex_state = 259},
  [3268] = {.lex_state = 259},
  [3269] = {.lex_state = 197},
  [3270] = {.lex_state = 264},
  [3271] = {.lex_state = 247},
  [3272] = {.lex_state = 226},
  [3273] = {.lex_state = 226},
  [3274] = {.lex_state = 273},
  [3275] = {.lex_state = 273},
  [3276] = {.lex_state = 273},
  [3277] = {.lex_state = 273},
  [3278] = {.lex_state = 273},
  [3279] = {.lex_state = 273},
  [3280] = {.lex_state = 259},
  [3281] = {.lex_state = 264},
  [3282] = {.lex_state = 259},
  [3283] = {.lex_state = 259},
  [3284] = {.lex_state = 273},
  [3285] = {.lex_state = 259},
  [3286] = {.lex_state = 273},
  [3287] = {.lex_state = 245},
  [3288] = {.lex_state = 273},
  [3289] = {.lex_state = 273},
  [3290] = {.lex_state = 259},
  [3291] = {.lex_state = 259},
  [3292] = {.lex_state = 226},
  [3293] = {.lex_state = 240},
  [3294] = {.lex_state = 273},
  [3295] = {.lex_state = 273},
  [3296] = {.lex_state = 259},
  [3297] = {.lex_state = 273},
  [3298] = {.lex_state = 197},
  [3299] = {.lex_state = 245},
  [3300] = {.lex_state = 267},
  [3301] = {.lex_state = 245},
  [3302] = {.lex_state = 264},
  [3303] = {.lex_state = 245},
  [3304] = {.lex_state = 259},
  [3305] = {.lex_state = 273},
  [3306] = {.lex_state = 273},
  [3307] = {.lex_state = 273},
  [3308] = {.lex_state = 226},
  [3309] = {.lex_state = 226},
  [3310] = {.lex_state = 259},
  [3311] = {.lex_state = 259},
  [3312] = {.lex_state = 245},
  [3313] = {.lex_state = 259},
  [3314] = {.lex_state = 197},
  [3315] = {.lex_state = 273},
  [3316] = {.lex_state = 264},
  [3317] = {.lex_state = 273},
  [3318] = {.lex_state = 273},
  [3319] = {.lex_state = 259},
  [3320] = {.lex_state = 226},
  [3321] = {.lex_state = 264},
  [3322] = {.lex_state = 267},
  [3323] = {.lex_state = 259},
  [3324] = {.lex_state = 259},
  [3325] = {.lex_state = 273},
  [3326] = {.lex_state = 259},
  [3327] = {.lex_state = 226},
  [3328] = {.lex_state = 264},
  [3329] = {.lex_state = 259},
  [3330] = {.lex_state = 259},
  [3331] = {.lex_state = 259},
  [3332] = {.lex_state = 259},
  [3333] = {.lex_state = 259},
  [3334] = {.lex_state = 259},
  [3335] = {.lex_state = 259},
  [3336] = {.lex_state = 264},
  [3337] = {.lex_state = 245},
  [3338] = {.lex_state = 259},
  [3339] = {.lex_state = 259},
  [3340] = {.lex_state = 226},
  [3341] = {.lex_state = 226},
  [3342] = {.lex_state = 226},
  [3343] = {.lex_state = 226},
  [3344] = {.lex_state = 264},
  [3345] = {.lex_state = 231},
  [3346] = {.lex_state = 259},
  [3347] = {.lex_state = 273},
  [3348] = {.lex_state = 259},
  [3349] = {.lex_state = 197},
  [3350] = {.lex_state = 259},
  [3351] = {.lex_state = 273},
  [3352] = {.lex_state = 259},
  [3353] = {.lex_state = 273},
  [3354] = {.lex_state = 259},
  [3355] = {.lex_state = 197},
  [3356] = {.lex_state = 245},
  [3357] = {.lex_state = 264},
  [3358] = {.lex_state = 267},
  [3359] = {.lex_state = 245},
  [3360] = {.lex_state = 273},
  [3361] = {.lex_state = 273},
  [3362] = {.lex_state = 259},
  [3363] = {.lex_state = 197},
  [3364] = {.lex_state = 245},
  [3365] = {.lex_state = 197},
  [3366] = {.lex_state = 259},
  [3367] = {.lex_state = 259},
  [3368] = {.lex_state = 273},
  [3369] = {.lex_state = 226},
  [3370] = {.lex_state = 226},
  [3371] = {.lex_state = 273},
  [3372] = {.lex_state = 259},
  [3373] = {.lex_state = 273},
  [3374] = {.lex_state = 273},
  [3375] = {.lex_state = 245},
  [3376] = {.lex_state = 259},
  [3377] = {.lex_state = 240},
  [3378] = {.lex_state = 231},
  [3379] = {.lex_state = 273},
  [3380] = {.lex_state = 207},
  [3381] = {.lex_state = 273},
  [3382] = {.lex_state = 259},
  [3383] = {.lex_state = 273},
  [3384] = {.lex_state = 273},
  [3385] = {.lex_state = 212},
  [3386] = {.lex_state = 245},
  [3387] = {.lex_state = 245},
  [3388] = {.lex_state = 259},
  [3389] = {.lex_state = 245},
  [3390] = {.lex_state = 245},
  [3391] = {.lex_state = 259},
  [3392] = {.lex_state = 259},
  [3393] = {.lex_state = 282},
  [3394] = {.lex_state = 259},
  [3395] = {.lex_state = 259},
  [3396] = {.lex_state = 267},
  [3397] = {.lex_state = 245},
  [3398] = {.lex_state = 264},
  [3399] = {.lex_state = 245},
  [3400] = {.lex_state = 259},
  [3401] = {.lex_state = 245},
  [3402] = {.lex_state = 245},
  [3403] = {.lex_state = 264},
  [3404] = {.lex_state = 264},
  [3405] = {.lex_state = 259},
  [3406] = {.lex_state = 259},
  [3407] = {.lex_state = 259},
  [3408] = {.lex_state = 264},
  [3409] = {.lex_state = 264},
  [3410] = {.lex_state = 264},
  [3411] = {.lex_state = 264},
  [3412] = {.lex_state = 264},
  [3413] = {.lex_state = 264},
  [3414] = {.lex_state = 259},
  [3415] = {.lex_state = 245},
  [3416] = {.lex_state = 245},
  [3417] = {.lex_state = 245},
  [3418] = {.lex_state = 234},
  [3419] = {.lex_state = 245},
  [3420] = {.lex_state = 245},
  [3421] = {.lex_state = 264},
  [3422] = {.lex_state = 245},
  [3423] = {.lex_state = 245},
  [3424] = {.lex_state = 245},
  [3425] = {.lex_state = 245},
  [3426] = {.lex_state = 264},
  [3427] = {.lex_state = 245},
  [3428] = {.lex_state = 264},
  [3429] = {.lex_state = 234},
  [3430] = {.lex_state = 245},
  [3431] = {.lex_state = 264},
  [3432] = {.lex_state = 261},
  [3433] = {.lex_state = 264},
  [3434] = {.lex_state = 231},
  [3435] = {.lex_state = 245},
  [3436] = {.lex_state = 245},
  [3437] = {.lex_state = 245},
  [3438] = {.lex_state = 264},
  [3439] = {.lex_state = 264},
  [3440] = {.lex_state = 245},
  [3441] = {.lex_state = 245},
  [3442] = {.lex_state = 245},
  [3443] = {.lex_state = 234},
  [3444] = {.lex_state = 245},
  [3445] = {.lex_state = 264},
  [3446] = {.lex_state = 264},
  [3447] = {.lex_state = 234},
  [3448] = {.lex_state = 245},
  [3449] = {.lex_state = 264},
  [3450] = {.lex_state = 212},
  [3451] = {.lex_state = 234},
  [3452] = {.lex_state = 259},
  [3453] = {.lex_state = 245},
  [3454] = {.lex_state = 245},
  [3455] = {.lex_state = 234},
  [3456] = {.lex_state = 234},
  [3457] = {.lex_state = 264},
  [3458] = {.lex_state = 245},
  [3459] = {.lex_state = 259},
  [3460] = {.lex_state = 259},
  [3461] = {.lex_state = 234},
  [3462] = {.lex_state = 245},
  [3463] = {.lex_state = 245},
  [3464] = {.lex_state = 234},
  [3465] = {.lex_state = 245},
  [3466] = {.lex_state = 259},
  [3467] = {.lex_state = 259},
  [3468] = {.lex_state = 245},
  [3469] = {.lex_state = 245},
  [3470] = {.lex_state = 245},
  [3471] = {.lex_state = 259},
  [3472] = {.lex_state = 264},
  [3473] = {.lex_state = 259},
  [3474] = {.lex_state = 245},
  [3475] = {.lex_state = 259},
  [3476] = {.lex_state = 259},
  [3477] = {.lex_state = 259},
  [3478] = {.lex_state = 259},
  [3479] = {.lex_state = 259},
  [3480] = {.lex_state = 284},
  [3481] = {.lex_state = 259},
  [3482] = {.lex_state = 259},
  [3483] = {.lex_state = 259},
  [3484] = {.lex_state = 234},
  [3485] = {.lex_state = 245},
  [3486] = {.lex_state = 245},
  [3487] = {.lex_state = 207},
  [3488] = {.lex_state = 245},
  [3489] = {.lex_state = 259},
  [3490] = {.lex_state = 245},
  [3491] = {.lex_state = 245},
  [3492] = {.lex_state = 245},
  [3493] = {.lex_state = 264},
  [3494] = {.lex_state = 264},
  [3495] = {.lex_state = 264},
  [3496] = {.lex_state = 212},
  [3497] = {.lex_state = 245},
  [3498] = {.lex_state = 281},
  [3499] = {.lex_state = 264},
  [3500] = {.lex_state = 264},
  [3501] = {.lex_state = 264},
  [3502] = {.lex_state = 245},
  [3503] = {.lex_state = 245},
  [3504] = {.lex_state = 245},
  [3505] = {.lex_state = 245},
  [3506] = {.lex_state = 264},
  [3507] = {.lex_state = 284},
  [3508] = {.lex_state = 245},
  [3509] = {.lex_state = 245},
  [3510] = {.lex_state = 264},
  [3511] = {.lex_state = 266},
  [3512] = {.lex_state = 264},
  [3513] = {.lex_state = 259},
  [3514] = {.lex_state = 245},
  [3515] = {.lex_state = 245},
  [3516] = {.lex_state = 245},
  [3517] = {.lex_state = 245},
  [3518] = {.lex_state = 245},
  [3519] = {.lex_state = 284},
  [3520] = {.lex_state = 245},
  [3521] = {.lex_state = 234},
  [3522] = {.lex_state = 245},
  [3523] = {.lex_state = 245},
  [3524] = {.lex_state = 245},
  [3525] = {.lex_state = 259},
  [3526] = {.lex_state = 245},
  [3527] = {.lex_state = 226},
  [3528] = {.lex_state = 267},
  [3529] = {.lex_state = 245},
  [3530] = {.lex_state = 259},
  [3531] = {.lex_state = 259},
  [3532] = {.lex_state = 245},
  [3533] = {.lex_state = 237},
  [3534] = {.lex_state = 231},
  [3535] = {.lex_state = 245},
  [3536] = {.lex_state = 234},
  [3537] = {.lex_state = 245},
  [3538] = {.lex_state = 245},
  [3539] = {.lex_state = 264},
  [3540] = {.lex_state = 245},
  [3541] = {.lex_state = 284},
  [3542] = {.lex_state = 245},
  [3543] = {.lex_state = 245},
  [3544] = {.lex_state = 245},
  [3545] = {.lex_state = 234},
  [3546] = {.lex_state = 284},
  [3547] = {.lex_state = 245},
  [3548] = {.lex_state = 259},
  [3549] = {.lex_state = 245},
  [3550] = {.lex_state = 234},
  [3551] = {.lex_state = 234},
  [3552] = {.lex_state = 234},
  [3553] = {.lex_state = 259},
  [3554] = {.lex_state = 245},
  [3555] = {.lex_state = 259},
  [3556] = {.lex_state = 245},
  [3557] = {.lex_state = 264},
  [3558] = {.lex_state = 259},
  [3559] = {.lex_state = 284},
  [3560] = {.lex_state = 264},
  [3561] = {.lex_state = 259},
  [3562] = {.lex_state = 284},
  [3563] = {.lex_state = 245},
  [3564] = {.lex_state = 264},
  [3565] = {.lex_state = 234},
  [3566] = {.lex_state = 259},
  [3567] = {.lex_state = 284},
  [3568] = {.lex_state = 264},
  [3569] = {.lex_state = 264},
  [3570] = {.lex_state = 245},
  [3571] = {.lex_state = 284},
  [3572] = {.lex_state = 259},
  [3573] = {.lex_state = 264},
  [3574] = {.lex_state = 264},
  [3575] = {.lex_state = 245},
  [3576] = {.lex_state = 245},
  [3577] = {.lex_state = 245},
  [3578] = {.lex_state = 226},
  [3579] = {.lex_state = 384},
  [3580] = {.lex_state = 245},
  [3581] = {.lex_state = 245},
  [3582] = {.lex_state = 259},
  [3583] = {.lex_state = 245},
  [3584] = {.lex_state = 231},
  [3585] = {.lex_state = 259},
  [3586] = {.lex_state = 234},
  [3587] = {.lex_state = 259},
  [3588] = {.lex_state = 284},
  [3589] = {.lex_state = 234},
  [3590] = {.lex_state = 231},
  [3591] = {.lex_state = 284},
  [3592] = {.lex_state = 284},
  [3593] = {.lex_state = 284},
  [3594] = {.lex_state = 231},
  [3595] = {.lex_state = 231},
  [3596] = {.lex_state = 207},
  [3597] = {.lex_state = 284},
  [3598] = {.lex_state = 231},
  [3599] = {.lex_state = 284},
  [3600] = {.lex_state = 284},
  [3601] = {.lex_state = 231},
  [3602] = {.lex_state = 264},
  [3603] = {.lex_state = 264},
  [3604] = {.lex_state = 212},
  [3605] = {.lex_state = 231},
  [3606] = {.lex_state = 231},
  [3607] = {.lex_state = 237},
  [3608] = {.lex_state = 259},
  [3609] = {.lex_state = 234},
  [3610] = {.lex_state = 259},
  [3611] = {.lex_state = 226},
  [3612] = {.lex_state = 259},
  [3613] = {.lex_state = 284},
  [3614] = {.lex_state = 284},
  [3615] = {.lex_state = 252},
  [3616] = {.lex_state = 282},
  [3617] = {.lex_state = 259},
  [3618] = {.lex_state = 284},
  [3619] = {.lex_state = 237},
  [3620] = {.lex_state = 284},
  [3621] = {.lex_state = 284},
  [3622] = {.lex_state = 231},
  [3623] = {.lex_state = 284},
  [3624] = {.lex_state = 259},
  [3625] = {.lex_state = 231},
  [3626] = {.lex_state = 259},
  [3627] = {.lex_state = 259},
  [3628] = {.lex_state = 226},
  [3629] = {.lex_state = 284},
  [3630] = {.lex_state = 264},
  [3631] = {.lex_state = 231},
  [3632] = {.lex_state = 264},
  [3633] = {.lex_state = 227},
  [3634] = {.lex_state = 282},
  [3635] = {.lex_state = 282},
  [3636] = {.lex_state = 231},
  [3637] = {.lex_state = 264},
  [3638] = {.lex_state = 259},
  [3639] = {.lex_state = 259},
  [3640] = {.lex_state = 282},
  [3641] = {.lex_state = 259},
  [3642] = {.lex_state = 259},
  [3643] = {.lex_state = 231},
  [3644] = {.lex_state = 284},
  [3645] = {.lex_state = 284},
  [3646] = {.lex_state = 284},
  [3647] = {.lex_state = 204},
  [3648] = {.lex_state = 284},
  [3649] = {.lex_state = 231},
  [3650] = {.lex_state = 231},
  [3651] = {.lex_state = 259},
  [3652] = {.lex_state = 259},
  [3653] = {.lex_state = 284},
  [3654] = {.lex_state = 207},
  [3655] = {.lex_state = 284},
  [3656] = {.lex_state = 259},
  [3657] = {.lex_state = 264},
  [3658] = {.lex_state = 231},
  [3659] = {.lex_state = 259},
  [3660] = {.lex_state = 259},
  [3661] = {.lex_state = 264},
  [3662] = {.lex_state = 284},
  [3663] = {.lex_state = 264},
  [3664] = {.lex_state = 264},
  [3665] = {.lex_state = 231},
  [3666] = {.lex_state = 284},
  [3667] = {.lex_state = 231},
  [3668] = {.lex_state = 284},
  [3669] = {.lex_state = 231},
  [3670] = {.lex_state = 264},
  [3671] = {.lex_state = 259},
  [3672] = {.lex_state = 231},
  [3673] = {.lex_state = 284},
  [3674] = {.lex_state = 259},
  [3675] = {.lex_state = 252},
  [3676] = {.lex_state = 264},
  [3677] = {.lex_state = 284},
  [3678] = {.lex_state = 264},
  [3679] = {.lex_state = 284},
  [3680] = {.lex_state = 264},
  [3681] = {.lex_state = 264},
  [3682] = {.lex_state = 264},
  [3683] = {.lex_state = 264},
  [3684] = {.lex_state = 264},
  [3685] = {.lex_state = 264},
  [3686] = {.lex_state = 259},
  [3687] = {.lex_state = 284},
  [3688] = {.lex_state = 231},
  [3689] = {.lex_state = 231},
  [3690] = {.lex_state = 284},
  [3691] = {.lex_state = 284},
  [3692] = {.lex_state = 387},
  [3693] = {.lex_state = 264},
  [3694] = {.lex_state = 264},
  [3695] = {.lex_state = 231},
  [3696] = {.lex_state = 284},
  [3697] = {.lex_state = 284},
  [3698] = {.lex_state = 284},
  [3699] = {.lex_state = 231},
  [3700] = {.lex_state = 231},
  [3701] = {.lex_state = 226},
  [3702] = {.lex_state = 264},
  [3703] = {.lex_state = 259},
  [3704] = {.lex_state = 259},
  [3705] = {.lex_state = 264},
  [3706] = {.lex_state = 226},
  [3707] = {.lex_state = 264},
  [3708] = {.lex_state = 284},
  [3709] = {.lex_state = 226},
  [3710] = {.lex_state = 264},
  [3711] = {.lex_state = 264},
  [3712] = {.lex_state = 284},
  [3713] = {.lex_state = 284},
  [3714] = {.lex_state = 259},
  [3715] = {.lex_state = 227},
  [3716] = {.lex_state = 231},
  [3717] = {.lex_state = 231},
  [3718] = {.lex_state = 284},
  [3719] = {.lex_state = 284},
  [3720] = {.lex_state = 284},
  [3721] = {.lex_state = 263},
  [3722] = {.lex_state = 226},
  [3723] = {.lex_state = 238},
  [3724] = {.lex_state = 259},
  [3725] = {.lex_state = 264},
  [3726] = {.lex_state = 272},
  [3727] = {.lex_state = 207},
  [3728] = {.lex_state = 237},
  [3729] = {.lex_state = 259},
  [3730] = {.lex_state = 237},
  [3731] = {.lex_state = 230},
  [3732] = {.lex_state = 269},
  [3733] = {.lex_state = 284},
  [3734] = {.lex_state = 230},
  [3735] = {.lex_state = 259},
  [3736] = {.lex_state = 282},
  [3737] = {.lex_state = 234},
  [3738] = {.lex_state = 267},
  [3739] = {.lex_state = 267},
  [3740] = {.lex_state = 267},
  [3741] = {.lex_state = 267},
  [3742] = {.lex_state = 207},
  [3743] = {.lex_state = 282},
  [3744] = {.lex_state = 259},
  [3745] = {.lex_state = 282},
  [3746] = {.lex_state = 282},
  [3747] = {.lex_state = 264},
  [3748] = {.lex_state = 259},
  [3749] = {.lex_state = 267},
  [3750] = {.lex_state = 282},
  [3751] = {.lex_state = 284},
  [3752] = {.lex_state = 282},
  [3753] = {.lex_state = 259},
  [3754] = {.lex_state = 259},
  [3755] = {.lex_state = 267},
  [3756] = {.lex_state = 259},
  [3757] = {.lex_state = 282},
  [3758] = {.lex_state = 237},
  [3759] = {.lex_state = 259},
  [3760] = {.lex_state = 259},
  [3761] = {.lex_state = 259},
  [3762] = {.lex_state = 259},
  [3763] = {.lex_state = 259},
  [3764] = {.lex_state = 238},
  [3765] = {.lex_state = 259},
  [3766] = {.lex_state = 259},
  [3767] = {.lex_state = 237},
  [3768] = {.lex_state = 259},
  [3769] = {.lex_state = 237},
  [3770] = {.lex_state = 282},
  [3771] = {.lex_state = 267},
  [3772] = {.lex_state = 259},
  [3773] = {.lex_state = 207},
  [3774] = {.lex_state = 259},
  [3775] = {.lex_state = 259},
  [3776] = {.lex_state = 259},
  [3777] = {.lex_state = 267},
  [3778] = {.lex_state = 267},
  [3779] = {.lex_state = 282},
  [3780] = {.lex_state = 259},
  [3781] = {.lex_state = 259},
  [3782] = {.lex_state = 259},
  [3783] = {.lex_state = 237},
  [3784] = {.lex_state = 234},
  [3785] = {.lex_state = 238},
  [3786] = {.lex_state = 234},
  [3787] = {.lex_state = 237},
  [3788] = {.lex_state = 259},
  [3789] = {.lex_state = 259},
  [3790] = {.lex_state = 234},
  [3791] = {.lex_state = 259},
  [3792] = {.lex_state = 234},
  [3793] = {.lex_state = 259},
  [3794] = {.lex_state = 234},
  [3795] = {.lex_state = 237},
  [3796] = {.lex_state = 234},
  [3797] = {.lex_state = 259},
  [3798] = {.lex_state = 284},
  [3799] = {.lex_state = 234},
  [3800] = {.lex_state = 259},
  [3801] = {.lex_state = 234},
  [3802] = {.lex_state = 234},
  [3803] = {.lex_state = 234},
  [3804] = {.lex_state = 259},
  [3805] = {.lex_state = 237},
  [3806] = {.lex_state = 234},
  [3807] = {.lex_state = 234},
  [3808] = {.lex_state = 234},
  [3809] = {.lex_state = 234},
  [3810] = {.lex_state = 234},
  [3811] = {.lex_state = 284},
  [3812] = {.lex_state = 259},
  [3813] = {.lex_state = 234},
  [3814] = {.lex_state = 259},
  [3815] = {.lex_state = 282},
  [3816] = {.lex_state = 259},
  [3817] = {.lex_state = 267},
  [3818] = {.lex_state = 234},
  [3819] = {.lex_state = 284},
  [3820] = {.lex_state = 259},
  [3821] = {.lex_state = 264},
  [3822] = {.lex_state = 267},
  [3823] = {.lex_state = 267},
  [3824] = {.lex_state = 234},
  [3825] = {.lex_state = 259},
  [3826] = {.lex_state = 259},
  [3827] = {.lex_state = 237},
  [3828] = {.lex_state = 237},
  [3829] = {.lex_state = 267},
  [3830] = {.lex_state = 259},
  [3831] = {.lex_state = 259},
  [3832] = {.lex_state = 284},
  [3833] = {.lex_state = 234},
  [3834] = {.lex_state = 253},
  [3835] = {.lex_state = 259},
  [3836] = {.lex_state = 282},
  [3837] = {.lex_state = 259},
  [3838] = {.lex_state = 237},
  [3839] = {.lex_state = 259},
  [3840] = {.lex_state = 259},
  [3841] = {.lex_state = 259},
  [3842] = {.lex_state = 267},
  [3843] = {.lex_state = 259},
  [3844] = {.lex_state = 234},
  [3845] = {.lex_state = 259},
  [3846] = {.lex_state = 259},
  [3847] = {.lex_state = 259},
  [3848] = {.lex_state = 259},
  [3849] = {.lex_state = 259},
  [3850] = {.lex_state = 234},
  [3851] = {.lex_state = 234},
  [3852] = {.lex_state = 218},
  [3853] = {.lex_state = 234},
  [3854] = {.lex_state = 259},
  [3855] = {.lex_state = 259},
  [3856] = {.lex_state = 238},
  [3857] = {.lex_state = 253},
  [3858] = {.lex_state = 267},
  [3859] = {.lex_state = 259},
  [3860] = {.lex_state = 259},
  [3861] = {.lex_state = 259},
  [3862] = {.lex_state = 259},
  [3863] = {.lex_state = 259},
  [3864] = {.lex_state = 238},
  [3865] = {.lex_state = 238},
  [3866] = {.lex_state = 259},
  [3867] = {.lex_state = 259},
  [3868] = {.lex_state = 238},
  [3869] = {.lex_state = 234},
  [3870] = {.lex_state = 238},
  [3871] = {.lex_state = 237},
  [3872] = {.lex_state = 237},
  [3873] = {.lex_state = 259},
  [3874] = {.lex_state = 238},
  [3875] = {.lex_state = 259},
  [3876] = {.lex_state = 259},
  [3877] = {.lex_state = 259},
  [3878] = {.lex_state = 259},
  [3879] = {.lex_state = 259},
  [3880] = {.lex_state = 259},
  [3881] = {.lex_state = 259},
  [3882] = {.lex_state = 282},
  [3883] = {.lex_state = 259},
  [3884] = {.lex_state = 259},
  [3885] = {.lex_state = 218},
  [3886] = {.lex_state = 259},
  [3887] = {.lex_state = 259},
  [3888] = {.lex_state = 259},
  [3889] = {.lex_state = 259},
  [3890] = {.lex_state = 259},
  [3891] = {.lex_state = 237},
  [3892] = {.lex_state = 259},
  [3893] = {.lex_state = 284},
  [3894] = {.lex_state = 237},
  [3895] = {.lex_state = 259},
  [3896] = {.lex_state = 259},
  [3897] = {.lex_state = 259},
  [3898] = {.lex_state = 259},
  [3899] = {.lex_state = 259},
  [3900] = {.lex_state = 259},
  [3901] = {.lex_state = 237},
  [3902] = {.lex_state = 238},
  [3903] = {.lex_state = 259},
  [3904] = {.lex_state = 264},
  [3905] = {.lex_state = 238},
  [3906] = {.lex_state = 259},
  [3907] = {.lex_state = 259},
  [3908] = {.lex_state = 207},
  [3909] = {.lex_state = 259},
  [3910] = {.lex_state = 259},
  [3911] = {.lex_state = 238},
  [3912] = {.lex_state = 237},
  [3913] = {.lex_state = 259},
  [3914] = {.lex_state = 259},
  [3915] = {.lex_state = 259},
  [3916] = {.lex_state = 259},
  [3917] = {.lex_state = 259},
  [3918] = {.lex_state = 259},
  [3919] = {.lex_state = 237},
  [3920] = {.lex_state = 259},
  [3921] = {.lex_state = 259},
  [3922] = {.lex_state = 237},
  [3923] = {.lex_state = 284},
  [3924] = {.lex_state = 259},
  [3925] = {.lex_state = 237},
  [3926] = {.lex_state = 284},
  [3927] = {.lex_state = 284},
  [3928] = {.lex_state = 259},
  [3929] = {.lex_state = 259},
  [3930] = {.lex_state = 259},
  [3931] = {.lex_state = 207},
  [3932] = {.lex_state = 259},
  [3933] = {.lex_state = 259},
  [3934] = {.lex_state = 259},
  [3935] = {.lex_state = 259},
  [3936] = {.lex_state = 259},
  [3937] = {.lex_state = 284},
  [3938] = {.lex_state = 259},
  [3939] = {.lex_state = 237},
  [3940] = {.lex_state = 284},
  [3941] = {.lex_state = 259},
  [3942] = {.lex_state = 259},
  [3943] = {.lex_state = 259},
  [3944] = {.lex_state = 237},
  [3945] = {.lex_state = 259},
  [3946] = {.lex_state = 282},
  [3947] = {.lex_state = 259},
  [3948] = {.lex_state = 259},
  [3949] = {.lex_state = 234},
  [3950] = {.lex_state = 218},
  [3951] = {.lex_state = 259},
  [3952] = {.lex_state = 259},
  [3953] = {.lex_state = 259},
  [3954] = {.lex_state = 237},
  [3955] = {.lex_state = 237},
  [3956] = {.lex_state = 259},
  [3957] = {.lex_state = 259},
  [3958] = {.lex_state = 259},
  [3959] = {.lex_state = 282},
  [3960] = {.lex_state = 238},
  [3961] = {.lex_state = 237},
  [3962] = {.lex_state = 238},
  [3963] = {.lex_state = 238},
  [3964] = {.lex_state = 238},
  [3965] = {.lex_state = 259},
  [3966] = {.lex_state = 238},
  [3967] = {.lex_state = 238},
  [3968] = {.lex_state = 237},
  [3969] = {.lex_state = 264},
  [3970] = {.lex_state = 259},
  [3971] = {.lex_state = 259},
  [3972] = {.lex_state = 259},
  [3973] = {.lex_state = 259},
  [3974] = {.lex_state = 282},
  [3975] = {.lex_state = 264},
  [3976] = {.lex_state = 259},
  [3977] = {.lex_state = 271},
  [3978] = {.lex_state = 264},
  [3979] = {.lex_state = 264},
  [3980] = {.lex_state = 264},
  [3981] = {.lex_state = 264},
  [3982] = {.lex_state = 264},
  [3983] = {.lex_state = 264},
  [3984] = {.lex_state = 264},
  [3985] = {.lex_state = 264},
  [3986] = {.lex_state = 284},
  [3987] = {.lex_state = 264},
  [3988] = {.lex_state = 264},
  [3989] = {.lex_state = 264},
  [3990] = {.lex_state = 264},
  [3991] = {.lex_state = 284},
  [3992] = {.lex_state = 264},
  [3993] = {.lex_state = 264},
  [3994] = {.lex_state = 264},
  [3995] = {.lex_state = 259},
  [3996] = {.lex_state = 264},
  [3997] = {.lex_state = 264},
  [3998] = {.lex_state = 264},
  [3999] = {.lex_state = 271},
  [4000] = {.lex_state = 237},
  [4001] = {.lex_state = 284},
  [4002] = {.lex_state = 264},
  [4003] = {.lex_state = 264},
  [4004] = {.lex_state = 264},
  [4005] = {.lex_state = 284},
  [4006] = {.lex_state = 264},
  [4007] = {.lex_state = 271},
  [4008] = {.lex_state = 237},
  [4009] = {.lex_state = 264},
  [4010] = {.lex_state = 284},
  [4011] = {.lex_state = 259},
  [4012] = {.lex_state = 264},
  [4013] = {.lex_state = 264},
  [4014] = {.lex_state = 264},
  [4015] = {.lex_state = 264},
  [4016] = {.lex_state = 259},
  [4017] = {.lex_state = 264},
  [4018] = {.lex_state = 237},
  [4019] = {.lex_state = 212},
  [4020] = {.lex_state = 234},
  [4021] = {.lex_state = 259},
  [4022] = {.lex_state = 212},
  [4023] = {.lex_state = 207},
  [4024] = {.lex_state = 264},
  [4025] = {.lex_state = 249},
  [4026] = {.lex_state = 237},
  [4027] = {.lex_state = 259},
  [4028] = {.lex_state = 264},
  [4029] = {.lex_state = 264},
  [4030] = {.lex_state = 284},
  [4031] = {.lex_state = 259},
  [4032] = {.lex_state = 212},
  [4033] = {.lex_state = 212},
  [4034] = {.lex_state = 264},
  [4035] = {.lex_state = 237},
  [4036] = {.lex_state = 264},
  [4037] = {.lex_state = 264},
  [4038] = {.lex_state = 387},
  [4039] = {.lex_state = 282},
  [4040] = {.lex_state = 264},
  [4041] = {.lex_state = 264},
  [4042] = {.lex_state = 284},
  [4043] = {.lex_state = 282},
  [4044] = {.lex_state = 259},
  [4045] = {.lex_state = 264},
  [4046] = {.lex_state = 259},
  [4047] = {.lex_state = 264},
  [4048] = {.lex_state = 282},
  [4049] = {.lex_state = 264},
  [4050] = {.lex_state = 259},
  [4051] = {.lex_state = 259},
  [4052] = {.lex_state = 259},
  [4053] = {.lex_state = 264},
  [4054] = {.lex_state = 271},
  [4055] = {.lex_state = 264},
  [4056] = {.lex_state = 264},
  [4057] = {.lex_state = 264},
  [4058] = {.lex_state = 259},
  [4059] = {.lex_state = 259},
  [4060] = {.lex_state = 284},
  [4061] = {.lex_state = 284},
  [4062] = {.lex_state = 264},
  [4063] = {.lex_state = 264},
  [4064] = {.lex_state = 259},
  [4065] = {.lex_state = 237},
  [4066] = {.lex_state = 259},
  [4067] = {.lex_state = 264},
  [4068] = {.lex_state = 259},
  [4069] = {.lex_state = 264},
  [4070] = {.lex_state = 264},
  [4071] = {.lex_state = 264},
  [4072] = {.lex_state = 264},
  [4073] = {.lex_state = 271},
  [4074] = {.lex_state = 259},
  [4075] = {.lex_state = 264},
  [4076] = {.lex_state = 259},
  [4077] = {.lex_state = 264},
  [4078] = {.lex_state = 271},
  [4079] = {.lex_state = 387},
  [4080] = {.lex_state = 264},
  [4081] = {.lex_state = 264},
  [4082] = {.lex_state = 234},
  [4083] = {.lex_state = 259},
  [4084] = {.lex_state = 264},
  [4085] = {.lex_state = 237},
  [4086] = {.lex_state = 264},
  [4087] = {.lex_state = 271},
  [4088] = {.lex_state = 284},
  [4089] = {.lex_state = 271},
  [4090] = {.lex_state = 264},
  [4091] = {.lex_state = 237},
  [4092] = {.lex_state = 264},
  [4093] = {.lex_state = 264},
  [4094] = {.lex_state = 259},
  [4095] = {.lex_state = 237},
  [4096] = {.lex_state = 264},
  [4097] = {.lex_state = 264},
  [4098] = {.lex_state = 387},
  [4099] = {.lex_state = 264},
  [4100] = {.lex_state = 259},
  [4101] = {.lex_state = 282},
  [4102] = {.lex_state = 237},
  [4103] = {.lex_state = 264},
  [4104] = {.lex_state = 248},
  [4105] = {.lex_state = 284},
  [4106] = {.lex_state = 264},
  [4107] = {.lex_state = 264},
  [4108] = {.lex_state = 264},
  [4109] = {.lex_state = 264},
  [4110] = {.lex_state = 259},
  [4111] = {.lex_state = 264},
  [4112] = {.lex_state = 264},
  [4113] = {.lex_state = 264},
  [4114] = {.lex_state = 271},
  [4115] = {.lex_state = 259},
  [4116] = {.lex_state = 264},
  [4117] = {.lex_state = 264},
  [4118] = {.lex_state = 264},
  [4119] = {.lex_state = 264},
  [4120] = {.lex_state = 264},
  [4121] = {.lex_state = 264},
  [4122] = {.lex_state = 284},
  [4123] = {.lex_state = 284},
  [4124] = {.lex_state = 264},
  [4125] = {.lex_state = 282},
  [4126] = {.lex_state = 282},
  [4127] = {.lex_state = 264},
  [4128] = {.lex_state = 264},
  [4129] = {.lex_state = 264},
  [4130] = {.lex_state = 271},
  [4131] = {.lex_state = 284},
  [4132] = {.lex_state = 284},
  [4133] = {.lex_state = 252},
  [4134] = {.lex_state = 284},
  [4135] = {.lex_state = 234},
  [4136] = {.lex_state = 284},
  [4137] = {.lex_state = 243},
  [4138] = {.lex_state = 259},
  [4139] = {.lex_state = 238},
  [4140] = {.lex_state = 387},
  [4141] = {.lex_state = 387},
  [4142] = {.lex_state = 284},
  [4143] = {.lex_state = 237},
  [4144] = {.lex_state = 237},
  [4145] = {.lex_state = 238},
  [4146] = {.lex_state = 237},
  [4147] = {.lex_state = 237},
  [4148] = {.lex_state = 237},
  [4149] = {.lex_state = 237},
  [4150] = {.lex_state = 237},
  [4151] = {.lex_state = 237},
  [4152] = {.lex_state = 387},
  [4153] = {.lex_state = 238},
  [4154] = {.lex_state = 207},
  [4155] = {.lex_state = 243},
  [4156] = {.lex_state = 237},
  [4157] = {.lex_state = 284},
  [4158] = {.lex_state = 207},
  [4159] = {.lex_state = 284},
  [4160] = {.lex_state = 284},
  [4161] = {.lex_state = 284},
  [4162] = {.lex_state = 248},
  [4163] = {.lex_state = 207},
  [4164] = {.lex_state = 237},
  [4165] = {.lex_state = 284},
  [4166] = {.lex_state = 207},
  [4167] = {.lex_state = 237},
  [4168] = {.lex_state = 237},
  [4169] = {.lex_state = 284},
  [4170] = {.lex_state = 243},
  [4171] = {.lex_state = 284},
  [4172] = {.lex_state = 252},
  [4173] = {.lex_state = 218},
  [4174] = {.lex_state = 387},
  [4175] = {.lex_state = 284},
  [4176] = {.lex_state = 237},
  [4177] = {.lex_state = 259},
  [4178] = {.lex_state = 259},
  [4179] = {.lex_state = 271},
  [4180] = {.lex_state = 259},
  [4181] = {.lex_state = 271},
  [4182] = {.lex_state = 238},
  [4183] = {.lex_state = 259},
  [4184] = {.lex_state = 259},
  [4185] = {.lex_state = 282},
  [4186] = {.lex_state = 259},
  [4187] = {.lex_state = 259},
  [4188] = {.lex_state = 238},
  [4189] = {.lex_state = 237},
  [4190] = {.lex_state = 259},
  [4191] = {.lex_state = 259},
  [4192] = {.lex_state = 207},
  [4193] = {.lex_state = 237},
  [4194] = {.lex_state = 259},
  [4195] = {.lex_state = 259},
  [4196] = {.lex_state = 259},
  [4197] = {.lex_state = 259},
  [4198] = {.lex_state = 218},
  [4199] = {.lex_state = 271},
  [4200] = {.lex_state = 259},
  [4201] = {.lex_state = 259},
  [4202] = {.lex_state = 237},
  [4203] = {.lex_state = 218},
  [4204] = {.lex_state = 207},
  [4205] = {.lex_state = 237},
  [4206] = {.lex_state = 271},
  [4207] = {.lex_state = 259},
  [4208] = {.lex_state = 259},
  [4209] = {.lex_state = 259},
  [4210] = {.lex_state = 284},
  [4211] = {.lex_state = 259},
  [4212] = {.lex_state = 259},
  [4213] = {.lex_state = 271},
  [4214] = {.lex_state = 259},
  [4215] = {.lex_state = 249},
  [4216] = {.lex_state = 271},
  [4217] = {.lex_state = 259},
  [4218] = {.lex_state = 259},
  [4219] = {.lex_state = 249},
  [4220] = {.lex_state = 237},
  [4221] = {.lex_state = 259},
  [4222] = {.lex_state = 259},
  [4223] = {.lex_state = 259},
  [4224] = {.lex_state = 238},
  [4225] = {.lex_state = 249},
  [4226] = {.lex_state = 259},
  [4227] = {.lex_state = 249},
  [4228] = {.lex_state = 259},
  [4229] = {.lex_state = 249},
  [4230] = {.lex_state = 248},
  [4231] = {.lex_state = 238},
  [4232] = {.lex_state = 259},
  [4233] = {.lex_state = 259},
  [4234] = {.lex_state = 207},
  [4235] = {.lex_state = 259},
  [4236] = {.lex_state = 271},
  [4237] = {.lex_state = 271},
  [4238] = {.lex_state = 259},
  [4239] = {.lex_state = 259},
  [4240] = {.lex_state = 248},
  [4241] = {.lex_state = 237},
  [4242] = {.lex_state = 271},
  [4243] = {.lex_state = 207},
  [4244] = {.lex_state = 238},
  [4245] = {.lex_state = 259},
  [4246] = {.lex_state = 259},
  [4247] = {.lex_state = 259},
  [4248] = {.lex_state = 237},
  [4249] = {.lex_state = 259},
  [4250] = {.lex_state = 249},
  [4251] = {.lex_state = 259},
  [4252] = {.lex_state = 259},
  [4253] = {.lex_state = 259},
  [4254] = {.lex_state = 249},
  [4255] = {.lex_state = 259},
  [4256] = {.lex_state = 284},
  [4257] = {.lex_state = 271},
  [4258] = {.lex_state = 238},
  [4259] = {.lex_state = 249},
  [4260] = {.lex_state = 271},
  [4261] = {.lex_state = 259},
  [4262] = {.lex_state = 259},
  [4263] = {.lex_state = 237},
  [4264] = {.lex_state = 259},
  [4265] = {.lex_state = 259},
  [4266] = {.lex_state = 259},
  [4267] = {.lex_state = 284},
  [4268] = {.lex_state = 259},
  [4269] = {.lex_state = 259},
  [4270] = {.lex_state = 259},
  [4271] = {.lex_state = 237},
  [4272] = {.lex_state = 282},
  [4273] = {.lex_state = 237},
  [4274] = {.lex_state = 259},
  [4275] = {.lex_state = 259},
  [4276] = {.lex_state = 271},
  [4277] = {.lex_state = 237},
  [4278] = {.lex_state = 259},
  [4279] = {.lex_state = 237},
  [4280] = {.lex_state = 218},
  [4281] = {.lex_state = 259},
  [4282] = {.lex_state = 259},
  [4283] = {.lex_state = 271},
  [4284] = {.lex_state = 259},
  [4285] = {.lex_state = 218},
  [4286] = {.lex_state = 259},
  [4287] = {.lex_state = 259},
  [4288] = {.lex_state = 248},
  [4289] = {.lex_state = 238},
  [4290] = {.lex_state = 218},
  [4291] = {.lex_state = 248},
  [4292] = {.lex_state = 238},
  [4293] = {.lex_state = 248},
  [4294] = {.lex_state = 238},
  [4295] = {.lex_state = 248},
  [4296] = {.lex_state = 248},
  [4297] = {.lex_state = 238},
  [4298] = {.lex_state = 284},
  [4299] = {.lex_state = 238},
  [4300] = {.lex_state = 248},
  [4301] = {.lex_state = 284},
  [4302] = {.lex_state = 284},
  [4303] = {.lex_state = 237},
  [4304] = {.lex_state = 238},
  [4305] = {.lex_state = 238},
  [4306] = {.lex_state = 238},
  [4307] = {.lex_state = 238},
  [4308] = {.lex_state = 238},
  [4309] = {.lex_state = 238},
  [4310] = {.lex_state = 238},
  [4311] = {.lex_state = 218},
  [4312] = {.lex_state = 238},
  [4313] = {.lex_state = 238},
  [4314] = {.lex_state = 238},
  [4315] = {.lex_state = 238},
  [4316] = {.lex_state = 248},
  [4317] = {.lex_state = 248},
  [4318] = {.lex_state = 218},
  [4319] = {.lex_state = 237},
  [4320] = {.lex_state = 284},
  [4321] = {.lex_state = 238},
  [4322] = {.lex_state = 272},
  [4323] = {.lex_state = 238},
  [4324] = {.lex_state = 238},
  [4325] = {.lex_state = 238},
  [4326] = {.lex_state = 284},
  [4327] = {.lex_state = 248},
  [4328] = {.lex_state = 284},
  [4329] = {.lex_state = 248},
  [4330] = {.lex_state = 248},
  [4331] = {.lex_state = 238},
  [4332] = {.lex_state = 238},
  [4333] = {.lex_state = 238},
  [4334] = {.lex_state = 238},
  [4335] = {.lex_state = 238},
  [4336] = {.lex_state = 284},
  [4337] = {.lex_state = 249},
  [4338] = {.lex_state = 238},
  [4339] = {.lex_state = 238},
  [4340] = {.lex_state = 238},
  [4341] = {.lex_state = 284},
  [4342] = {.lex_state = 249},
  [4343] = {.lex_state = 238},
  [4344] = {.lex_state = 218},
  [4345] = {.lex_state = 249},
  [4346] = {.lex_state = 248},
  [4347] = {.lex_state = 238},
  [4348] = {.lex_state = 238},
  [4349] = {.lex_state = 238},
  [4350] = {.lex_state = 284},
  [4351] = {.lex_state = 284},
  [4352] = {.lex_state = 249},
  [4353] = {.lex_state = 237},
  [4354] = {.lex_state = 284},
  [4355] = {.lex_state = 284},
  [4356] = {.lex_state = 284},
  [4357] = {.lex_state = 284},
  [4358] = {.lex_state = 238},
  [4359] = {.lex_state = 284},
  [4360] = {.lex_state = 284},
  [4361] = {.lex_state = 284},
  [4362] = {.lex_state = 237},
  [4363] = {.lex_state = 237},
  [4364] = {.lex_state = 284},
  [4365] = {.lex_state = 284},
  [4366] = {.lex_state = 249},
  [4367] = {.lex_state = 284},
  [4368] = {.lex_state = 237},
  [4369] = {.lex_state = 284},
  [4370] = {.lex_state = 284},
  [4371] = {.lex_state = 284},
  [4372] = {.lex_state = 237},
  [4373] = {.lex_state = 238},
  [4374] = {.lex_state = 237},
  [4375] = {.lex_state = 284},
  [4376] = {.lex_state = 284},
  [4377] = {.lex_state = 237},
  [4378] = {.lex_state = 237},
  [4379] = {.lex_state = 237},
  [4380] = {.lex_state = 237},
  [4381] = {.lex_state = 249},
  [4382] = {.lex_state = 237},
  [4383] = {.lex_state = 284},
  [4384] = {.lex_state = 249},
  [4385] = {.lex_state = 237},
  [4386] = {.lex_state = 237},
  [4387] = {.lex_state = 282},
  [4388] = {.lex_state = 284},
  [4389] = {.lex_state = 284},
  [4390] = {.lex_state = 272},
  [4391] = {.lex_state = 238},
  [4392] = {.lex_state = 237},
  [4393] = {.lex_state = 284},
  [4394] = {.lex_state = 284},
  [4395] = {.lex_state = 284},
  [4396] = {.lex_state = 238},
  [4397] = {.lex_state = 249},
  [4398] = {.lex_state = 284},
  [4399] = {.lex_state = 237},
  [4400] = {.lex_state = 284},
  [4401] = {.lex_state = 284},
  [4402] = {.lex_state = 237},
  [4403] = {.lex_state = 282},
  [4404] = {.lex_state = 282},
  [4405] = {.lex_state = 282},
  [4406] = {.lex_state = 282},
  [4407] = {.lex_state = 249},
  [4408] = {.lex_state = 282},
  [4409] = {.lex_state = 282},
  [4410] = {.lex_state = 284},
  [4411] = {.lex_state = 282},
  [4412] = {.lex_state = 282},
  [4413] = {.lex_state = 237},
  [4414] = {.lex_state = 282},
  [4415] = {.lex_state = 282},
  [4416] = {.lex_state = 282},
  [4417] = {.lex_state = 237},
  [4418] = {.lex_state = 282},
  [4419] = {.lex_state = 282},
  [4420] = {.lex_state = 282},
  [4421] = {.lex_state = 282},
  [4422] = {.lex_state = 387},
  [4423] = {.lex_state = 282},
  [4424] = {.lex_state = 271},
  [4425] = {.lex_state = 282},
  [4426] = {.lex_state = 282},
  [4427] = {.lex_state = 282},
  [4428] = {.lex_state = 387},
  [4429] = {.lex_state = 282},
  [4430] = {.lex_state = 237},
  [4431] = {.lex_state = 284},
  [4432] = {.lex_state = 282},
  [4433] = {.lex_state = 282},
  [4434] = {.lex_state = 249},
  [4435] = {.lex_state = 282},
  [4436] = {.lex_state = 282},
  [4437] = {.lex_state = 282},
  [4438] = {.lex_state = 282},
  [4439] = {.lex_state = 282},
  [4440] = {.lex_state = 282},
  [4441] = {.lex_state = 282},
  [4442] = {.lex_state = 284},
  [4443] = {.lex_state = 282},
  [4444] = {.lex_state = 282},
  [4445] = {.lex_state = 282},
  [4446] = {.lex_state = 282},
  [4447] = {.lex_state = 282},
  [4448] = {.lex_state = 237},
  [4449] = {.lex_state = 282},
  [4450] = {.lex_state = 284},
  [4451] = {.lex_state = 282},
  [4452] = {.lex_state = 282},
  [4453] = {.lex_state = 237},
  [4454] = {.lex_state = 282},
  [4455] = {.lex_state = 237},
  [4456] = {.lex_state = 282},
  [4457] = {.lex_state = 284},
  [4458] = {.lex_state = 282},
  [4459] = {.lex_state = 282},
  [4460] = {.lex_state = 282},
  [4461] = {.lex_state = 237},
  [4462] = {.lex_state = 282},
  [4463] = {.lex_state = 282},
  [4464] = {.lex_state = 282},
  [4465] = {.lex_state = 282},
  [4466] = {.lex_state = 387},
  [4467] = {.lex_state = 284},
  [4468] = {.lex_state = 282},
  [4469] = {.lex_state = 282},
  [4470] = {.lex_state = 271},
  [4471] = {.lex_state = 282},
  [4472] = {.lex_state = 282},
  [4473] = {.lex_state = 282},
  [4474] = {.lex_state = 284},
  [4475] = {.lex_state = 282},
  [4476] = {.lex_state = 282},
  [4477] = {.lex_state = 282},
  [4478] = {.lex_state = 282},
  [4479] = {.lex_state = 282},
  [4480] = {.lex_state = 272},
  [4481] = {.lex_state = 282},
  [4482] = {.lex_state = 282},
  [4483] = {.lex_state = 272},
  [4484] = {.lex_state = 282},
  [4485] = {.lex_state = 282},
  [4486] = {.lex_state = 282},
  [4487] = {.lex_state = 282},
  [4488] = {.lex_state = 282},
  [4489] = {.lex_state = 282},
  [4490] = {.lex_state = 237},
  [4491] = {.lex_state = 282},
  [4492] = {.lex_state = 282},
  [4493] = {.lex_state = 282},
  [4494] = {.lex_state = 284},
  [4495] = {.lex_state = 282},
  [4496] = {.lex_state = 282},
  [4497] = {.lex_state = 282},
  [4498] = {.lex_state = 237},
  [4499] = {.lex_state = 282},
  [4500] = {.lex_state = 282},
  [4501] = {.lex_state = 282},
  [4502] = {.lex_state = 282},
  [4503] = {.lex_state = 282},
  [4504] = {.lex_state = 282},
  [4505] = {.lex_state = 282},
  [4506] = {.lex_state = 282},
  [4507] = {.lex_state = 282},
  [4508] = {.lex_state = 282},
  [4509] = {.lex_state = 282},
  [4510] = {.lex_state = 387},
  [4511] = {.lex_state = 282},
  [4512] = {.lex_state = 237},
  [4513] = {.lex_state = 284},
  [4514] = {.lex_state = 282},
  [4515] = {.lex_state = 237},
  [4516] = {.lex_state = 273},
  [4517] = {.lex_state = 273},
  [4518] = {.lex_state = 237},
  [4519] = {.lex_state = 249},
  [4520] = {.lex_state = 237},
  [4521] = {.lex_state = 237},
  [4522] = {.lex_state = 282},
  [4523] = {.lex_state = 249},
  [4524] = {.lex_state = 282},
  [4525] = {.lex_state = 282},
  [4526] = {.lex_state = 237},
  [4527] = {.lex_state = 238},
  [4528] = {.lex_state = 282},
  [4529] = {.lex_state = 237},
  [4530] = {.lex_state = 238},
  [4531] = {.lex_state = 249},
  [4532] = {.lex_state = 249},
  [4533] = {.lex_state = 249},
  [4534] = {.lex_state = 237},
  [4535] = {.lex_state = 282},
  [4536] = {.lex_state = 282},
  [4537] = {.lex_state = 237},
  [4538] = {.lex_state = 237},
  [4539] = {.lex_state = 249},
  [4540] = {.lex_state = 237},
  [4541] = {.lex_state = 282},
  [4542] = {.lex_state = 282},
  [4543] = {.lex_state = 237},
  [4544] = {.lex_state = 387},
  [4545] = {.lex_state = 237},
  [4546] = {.lex_state = 387},
  [4547] = {.lex_state = 237},
  [4548] = {.lex_state = 237},
  [4549] = {.lex_state = 387},
  [4550] = {.lex_state = 237},
  [4551] = {.lex_state = 238},
  [4552] = {.lex_state = 237},
  [4553] = {.lex_state = 237},
  [4554] = {.lex_state = 237},
  [4555] = {.lex_state = 282},
  [4556] = {.lex_state = 237},
  [4557] = {.lex_state = 237},
  [4558] = {.lex_state = 282},
  [4559] = {.lex_state = 237},
  [4560] = {.lex_state = 237},
  [4561] = {.lex_state = 282},
  [4562] = {.lex_state = 249},
  [4563] = {.lex_state = 249},
  [4564] = {.lex_state = 249},
  [4565] = {.lex_state = 238},
  [4566] = {.lex_state = 249},
  [4567] = {.lex_state = 237},
  [4568] = {.lex_state = 282},
  [4569] = {.lex_state = 237},
  [4570] = {.lex_state = 237},
  [4571] = {.lex_state = 282},
  [4572] = {.lex_state = 282},
  [4573] = {.lex_state = 237},
  [4574] = {.lex_state = 237},
  [4575] = {.lex_state = 249},
  [4576] = {.lex_state = 237},
  [4577] = {.lex_state = 237},
  [4578] = {.lex_state = 237},
  [4579] = {.lex_state = 249},
  [4580] = {.lex_state = 237},
  [4581] = {.lex_state = 237},
  [4582] = {.lex_state = 273},
  [4583] = {.lex_state = 238},
  [4584] = {.lex_state = 237},
  [4585] = {.lex_state = 249},
  [4586] = {.lex_state = 271},
  [4587] = {.lex_state = 237},
  [4588] = {.lex_state = 281},
  [4589] = {.lex_state = 237},
  [4590] = {.lex_state = 237},
  [4591] = {.lex_state = 273},
  [4592] = {.lex_state = 248},
  [4593] = {.lex_state = 249},
  [4594] = {.lex_state = 237},
  [4595] = {.lex_state = 237},
  [4596] = {.lex_state = 237},
  [4597] = {.lex_state = 237},
  [4598] = {.lex_state = 249},
  [4599] = {.lex_state = 237},
  [4600] = {.lex_state = 249},
  [4601] = {.lex_state = 237},
  [4602] = {.lex_state = 237},
  [4603] = {.lex_state = 237},
  [4604] = {.lex_state = 249},
  [4605] = {.lex_state = 273},
  [4606] = {.lex_state = 271},
  [4607] = {.lex_state = 237},
  [4608] = {.lex_state = 237},
  [4609] = {.lex_state = 237},
  [4610] = {.lex_state = 237},
  [4611] = {.lex_state = 281},
  [4612] = {.lex_state = 237},
  [4613] = {.lex_state = 237},
  [4614] = {.lex_state = 237},
  [4615] = {.lex_state = 237},
  [4616] = {.lex_state = 237},
  [4617] = {.lex_state = 237},
  [4618] = {.lex_state = 237},
  [4619] = {.lex_state = 237},
  [4620] = {.lex_state = 238},
  [4621] = {.lex_state = 237},
  [4622] = {.lex_state = 237},
  [4623] = {.lex_state = 237},
  [4624] = {.lex_state = 237},
  [4625] = {.lex_state = 237},
  [4626] = {.lex_state = 249},
  [4627] = {.lex_state = 237},
  [4628] = {.lex_state = 237},
  [4629] = {.lex_state = 237},
  [4630] = {.lex_state = 238},
  [4631] = {.lex_state = 237},
  [4632] = {.lex_state = 248},
  [4633] = {.lex_state = 249},
  [4634] = {.lex_state = 238},
  [4635] = {.lex_state = 237},
  [4636] = {.lex_state = 273},
  [4637] = {.lex_state = 281},
  [4638] = {.lex_state = 249},
  [4639] = {.lex_state = 249},
  [4640] = {.lex_state = 249},
  [4641] = {.lex_state = 249},
  [4642] = {.lex_state = 249},
  [4643] = {.lex_state = 249},
  [4644] = {.lex_state = 249},
  [4645] = {.lex_state = 249},
  [4646] = {.lex_state = 249},
  [4647] = {.lex_state = 249},
  [4648] = {.lex_state = 249},
  [4649] = {.lex_state = 249},
  [4650] = {.lex_state = 249},
  [4651] = {.lex_state = 249},
  [4652] = {.lex_state = 237},
  [4653] = {.lex_state = 249},
  [4654] = {.lex_state = 249},
  [4655] = {.lex_state = 249},
  [4656] = {.lex_state = 249},
  [4657] = {.lex_state = 249},
  [4658] = {.lex_state = 284},
  [4659] = {.lex_state = 249},
  [4660] = {.lex_state = 282},
  [4661] = {.lex_state = 249},
  [4662] = {.lex_state = 228},
  [4663] = {.lex_state = 249},
  [4664] = {.lex_state = 237},
  [4665] = {.lex_state = 282},
  [4666] = {.lex_state = 249},
  [4667] = {.lex_state = 249},
  [4668] = {.lex_state = 249},
  [4669] = {.lex_state = 249},
  [4670] = {.lex_state = 249},
  [4671] = {.lex_state = 249},
  [4672] = {.lex_state = 237},
  [4673] = {.lex_state = 237},
  [4674] = {.lex_state = 228},
  [4675] = {.lex_state = 284},
  [4676] = {.lex_state = 249},
  [4677] = {.lex_state = 249},
  [4678] = {.lex_state = 249},
  [4679] = {.lex_state = 249},
  [4680] = {.lex_state = 249},
  [4681] = {.lex_state = 249},
  [4682] = {.lex_state = 249},
  [4683] = {.lex_state = 249},
  [4684] = {.lex_state = 249},
  [4685] = {.lex_state = 387},
  [4686] = {.lex_state = 249},
  [4687] = {.lex_state = 237},
  [4688] = {.lex_state = 249},
  [4689] = {.lex_state = 282},
  [4690] = {.lex_state = 387},
  [4691] = {.lex_state = 249},
  [4692] = {.lex_state = 249},
  [4693] = {.lex_state = 228},
  [4694] = {.lex_state = 238},
  [4695] = {.lex_state = 249},
  [4696] = {.lex_state = 282},
  [4697] = {.lex_state = 387},
  [4698] = {.lex_state = 249},
  [4699] = {.lex_state = 237},
  [4700] = {.lex_state = 284},
  [4701] = {.lex_state = 249},
  [4702] = {.lex_state = 249},
  [4703] = {.lex_state = 387},
  [4704] = {.lex_state = 249},
  [4705] = {.lex_state = 249},
  [4706] = {.lex_state = 249},
  [4707] = {.lex_state = 284},
  [4708] = {.lex_state = 249},
  [4709] = {.lex_state = 249},
  [4710] = {.lex_state = 249},
  [4711] = {.lex_state = 249},
  [4712] = {.lex_state = 387},
  [4713] = {.lex_state = 228},
  [4714] = {.lex_state = 282},
  [4715] = {.lex_state = 249},
  [4716] = {.lex_state = 282},
  [4717] = {.lex_state = 237},
  [4718] = {.lex_state = 238},
  [4719] = {.lex_state = 249},
  [4720] = {.lex_state = 282},
  [4721] = {.lex_state = 281},
  [4722] = {.lex_state = 282},
  [4723] = {.lex_state = 237},
  [4724] = {.lex_state = 249},
  [4725] = {.lex_state = 249},
  [4726] = {.lex_state = 249},
  [4727] = {.lex_state = 248},
  [4728] = {.lex_state = 249},
  [4729] = {.lex_state = 249},
  [4730] = {.lex_state = 249},
  [4731] = {.lex_state = 249},
  [4732] = {.lex_state = 282},
  [4733] = {.lex_state = 282},
  [4734] = {.lex_state = 387},
  [4735] = {.lex_state = 237},
  [4736] = {.lex_state = 249},
  [4737] = {.lex_state = 237},
  [4738] = {.lex_state = 237},
  [4739] = {.lex_state = 271},
  [4740] = {.lex_state = 237},
  [4741] = {.lex_state = 237},
  [4742] = {.lex_state = 237},
  [4743] = {.lex_state = 237},
  [4744] = {.lex_state = 284},
  [4745] = {.lex_state = 281},
  [4746] = {.lex_state = 237},
  [4747] = {.lex_state = 237},
  [4748] = {.lex_state = 237},
  [4749] = {.lex_state = 237},
  [4750] = {.lex_state = 237},
  [4751] = {.lex_state = 237},
  [4752] = {.lex_state = 237},
  [4753] = {.lex_state = 237},
  [4754] = {.lex_state = 237},
  [4755] = {.lex_state = 271},
  [4756] = {.lex_state = 271},
  [4757] = {.lex_state = 237},
  [4758] = {.lex_state = 271},
  [4759] = {.lex_state = 271},
  [4760] = {.lex_state = 284},
  [4761] = {.lex_state = 284},
  [4762] = {.lex_state = 249},
  [4763] = {.lex_state = 284},
  [4764] = {.lex_state = 237},
  [4765] = {.lex_state = 284},
  [4766] = {.lex_state = 241},
  [4767] = {.lex_state = 237},
  [4768] = {.lex_state = 241},
  [4769] = {.lex_state = 271},
  [4770] = {.lex_state = 284},
  [4771] = {.lex_state = 237},
  [4772] = {.lex_state = 284},
  [4773] = {.lex_state = 281},
  [4774] = {.lex_state = 237},
  [4775] = {.lex_state = 249},
  [4776] = {.lex_state = 237},
  [4777] = {.lex_state = 273},
  [4778] = {.lex_state = 249},
  [4779] = {.lex_state = 237},
  [4780] = {.lex_state = 271},
  [4781] = {.lex_state = 273},
  [4782] = {.lex_state = 237},
  [4783] = {.lex_state = 249},
  [4784] = {.lex_state = 249},
  [4785] = {.lex_state = 273},
  [4786] = {.lex_state = 249},
  [4787] = {.lex_state = 249},
  [4788] = {.lex_state = 237},
  [4789] = {.lex_state = 273},
  [4790] = {.lex_state = 237},
  [4791] = {.lex_state = 237},
  [4792] = {.lex_state = 237},
  [4793] = {.lex_state = 249},
  [4794] = {.lex_state = 249},
  [4795] = {.lex_state = 237},
  [4796] = {.lex_state = 237},
  [4797] = {.lex_state = 237},
  [4798] = {.lex_state = 249},
  [4799] = {.lex_state = 237},
  [4800] = {.lex_state = 273},
  [4801] = {.lex_state = 284},
  [4802] = {.lex_state = 273},
  [4803] = {.lex_state = 387},
  [4804] = {.lex_state = 273},
  [4805] = {.lex_state = 270},
  [4806] = {.lex_state = 273},
  [4807] = {.lex_state = 237},
  [4808] = {.lex_state = 237},
  [4809] = {.lex_state = 249},
  [4810] = {.lex_state = 237},
  [4811] = {.lex_state = 273},
  [4812] = {.lex_state = 237},
  [4813] = {.lex_state = 249},
  [4814] = {.lex_state = 249},
  [4815] = {.lex_state = 249},
  [4816] = {.lex_state = 237},
  [4817] = {.lex_state = 273},
  [4818] = {.lex_state = 249},
  [4819] = {.lex_state = 249},
  [4820] = {.lex_state = 273},
  [4821] = {.lex_state = 271},
  [4822] = {.lex_state = 384},
  [4823] = {.lex_state = 237},
  [4824] = {.lex_state = 237},
  [4825] = {.lex_state = 273},
  [4826] = {.lex_state = 237},
  [4827] = {.lex_state = 273},
  [4828] = {.lex_state = 237},
  [4829] = {.lex_state = 249},
  [4830] = {.lex_state = 249},
  [4831] = {.lex_state = 249},
  [4832] = {.lex_state = 237},
  [4833] = {.lex_state = 237},
  [4834] = {.lex_state = 237},
  [4835] = {.lex_state = 237},
  [4836] = {.lex_state = 237},
  [4837] = {.lex_state = 237},
  [4838] = {.lex_state = 237},
  [4839] = {.lex_state = 237},
  [4840] = {.lex_state = 237},
  [4841] = {.lex_state = 237},
  [4842] = {.lex_state = 237},
  [4843] = {.lex_state = 237},
  [4844] = {.lex_state = 249},
  [4845] = {.lex_state = 273},
  [4846] = {.lex_state = 249},
  [4847] = {.lex_state = 249},
  [4848] = {.lex_state = 249},
  [4849] = {.lex_state = 271},
  [4850] = {.lex_state = 237},
  [4851] = {.lex_state = 237},
  [4852] = {.lex_state = 249},
  [4853] = {.lex_state = 237},
  [4854] = {.lex_state = 273},
  [4855] = {.lex_state = 384},
  [4856] = {.lex_state = 271},
  [4857] = {.lex_state = 273},
  [4858] = {.lex_state = 249},
  [4859] = {.lex_state = 249},
  [4860] = {.lex_state = 271},
  [4861] = {.lex_state = 249},
  [4862] = {.lex_state = 237},
  [4863] = {.lex_state = 237},
  [4864] = {.lex_state = 273},
  [4865] = {.lex_state = 281},
  [4866] = {.lex_state = 273},
  [4867] = {.lex_state = 271},
  [4868] = {.lex_state = 237},
  [4869] = {.lex_state = 271},
  [4870] = {.lex_state = 237},
  [4871] = {.lex_state = 237},
  [4872] = {.lex_state = 237},
  [4873] = {.lex_state = 271},
  [4874] = {.lex_state = 249},
  [4875] = {.lex_state = 249},
  [4876] = {.lex_state = 237},
  [4877] = {.lex_state = 249},
  [4878] = {.lex_state = 387},
  [4879] = {.lex_state = 237},
  [4880] = {.lex_state = 237},
  [4881] = {.lex_state = 237},
  [4882] = {.lex_state = 249},
  [4883] = {.lex_state = 249},
  [4884] = {.lex_state = 249},
  [4885] = {.lex_state = 249},
  [4886] = {.lex_state = 237},
  [4887] = {.lex_state = 237},
  [4888] = {.lex_state = 237},
  [4889] = {.lex_state = 384},
  [4890] = {.lex_state = 237},
  [4891] = {.lex_state = 249},
  [4892] = {.lex_state = 249},
  [4893] = {.lex_state = 237},
  [4894] = {.lex_state = 273},
  [4895] = {.lex_state = 273},
  [4896] = {.lex_state = 273},
  [4897] = {.lex_state = 249},
  [4898] = {.lex_state = 249},
  [4899] = {.lex_state = 237},
  [4900] = {.lex_state = 249},
  [4901] = {.lex_state = 249},
  [4902] = {.lex_state = 249},
  [4903] = {.lex_state = 249},
  [4904] = {.lex_state = 273},
  [4905] = {.lex_state = 249},
  [4906] = {.lex_state = 249},
  [4907] = {.lex_state = 237},
  [4908] = {.lex_state = 249},
  [4909] = {.lex_state = 249},
  [4910] = {.lex_state = 249},
  [4911] = {.lex_state = 237},
  [4912] = {.lex_state = 249},
  [4913] = {.lex_state = 273},
  [4914] = {.lex_state = 237},
  [4915] = {.lex_state = 249},
  [4916] = {.lex_state = 237},
  [4917] = {.lex_state = 249},
  [4918] = {.lex_state = 249},
  [4919] = {.lex_state = 249},
  [4920] = {.lex_state = 273},
  [4921] = {.lex_state = 237},
  [4922] = {.lex_state = 273},
  [4923] = {.lex_state = 237},
  [4924] = {.lex_state = 273},
  [4925] = {.lex_state = 237},
  [4926] = {.lex_state = 273},
  [4927] = {.lex_state = 273},
  [4928] = {.lex_state = 237},
  [4929] = {.lex_state = 273},
  [4930] = {.lex_state = 273},
  [4931] = {.lex_state = 249},
  [4932] = {.lex_state = 273},
  [4933] = {.lex_state = 271},
  [4934] = {.lex_state = 273},
  [4935] = {.lex_state = 249},
  [4936] = {.lex_state = 273},
  [4937] = {.lex_state = 273},
  [4938] = {.lex_state = 273},
  [4939] = {.lex_state = 249},
  [4940] = {.lex_state = 284},
  [4941] = {.lex_state = 237},
  [4942] = {.lex_state = 237},
  [4943] = {.lex_state = 237},
  [4944] = {.lex_state = 273},
  [4945] = {.lex_state = 237},
  [4946] = {.lex_state = 273},
  [4947] = {.lex_state = 249},
  [4948] = {.lex_state = 273},
  [4949] = {.lex_state = 249},
  [4950] = {.lex_state = 273},
  [4951] = {.lex_state = 249},
  [4952] = {.lex_state = 237},
  [4953] = {.lex_state = 273},
  [4954] = {.lex_state = 271},
  [4955] = {.lex_state = 271},
  [4956] = {.lex_state = 237},
  [4957] = {.lex_state = 282},
  [4958] = {.lex_state = 273},
  [4959] = {.lex_state = 237},
  [4960] = {.lex_state = 237},
  [4961] = {.lex_state = 281},
  [4962] = {.lex_state = 273},
  [4963] = {.lex_state = 237},
  [4964] = {.lex_state = 273},
  [4965] = {.lex_state = 282},
  [4966] = {.lex_state = 237},
  [4967] = {.lex_state = 237},
  [4968] = {.lex_state = 237},
  [4969] = {.lex_state = 237},
  [4970] = {.lex_state = 237},
  [4971] = {.lex_state = 273},
  [4972] = {.lex_state = 273},
  [4973] = {.lex_state = 284},
  [4974] = {.lex_state = 284},
  [4975] = {.lex_state = 282},
  [4976] = {.lex_state = 284},
  [4977] = {.lex_state = 284},
  [4978] = {.lex_state = 282},
  [4979] = {.lex_state = 237},
  [4980] = {.lex_state = 387},
  [4981] = {.lex_state = 387},
  [4982] = {.lex_state = 387},
  [4983] = {.lex_state = 387},
  [4984] = {.lex_state = 282},
  [4985] = {.lex_state = 273},
  [4986] = {.lex_state = 282},
  [4987] = {.lex_state = 237},
  [4988] = {.lex_state = 237},
  [4989] = {.lex_state = 237},
  [4990] = {.lex_state = 282},
  [4991] = {.lex_state = 237},
  [4992] = {.lex_state = 282},
  [4993] = {.lex_state = 237},
  [4994] = {.lex_state = 282},
  [4995] = {.lex_state = 273},
  [4996] = {.lex_state = 237},
  [4997] = {.lex_state = 237},
  [4998] = {.lex_state = 237},
  [4999] = {.lex_state = 237},
  [5000] = {.lex_state = 237},
  [5001] = {.lex_state = 237},
  [5002] = {.lex_state = 237},
  [5003] = {.lex_state = 237},
  [5004] = {.lex_state = 237},
  [5005] = {.lex_state = 237},
  [5006] = {.lex_state = 237},
  [5007] = {.lex_state = 237},
  [5008] = {.lex_state = 237},
  [5009] = {.lex_state = 273},
  [5010] = {.lex_state = 282},
  [5011] = {.lex_state = 237},
  [5012] = {.lex_state = 282},
  [5013] = {.lex_state = 282},
  [5014] = {.lex_state = 282},
  [5015] = {.lex_state = 237},
  [5016] = {.lex_state = 273},
  [5017] = {.lex_state = 282},
  [5018] = {.lex_state = 237},
  [5019] = {.lex_state = 237},
  [5020] = {.lex_state = 237},
  [5021] = {.lex_state = 237},
  [5022] = {.lex_state = 237},
  [5023] = {.lex_state = 228},
  [5024] = {.lex_state = 237},
  [5025] = {.lex_state = 237},
  [5026] = {.lex_state = 282},
  [5027] = {.lex_state = 282},
  [5028] = {.lex_state = 237},
  [5029] = {.lex_state = 237},
  [5030] = {.lex_state = 387},
  [5031] = {.lex_state = 387},
  [5032] = {.lex_state = 282},
  [5033] = {.lex_state = 387},
  [5034] = {.lex_state = 273},
  [5035] = {.lex_state = 282},
  [5036] = {.lex_state = 387},
  [5037] = {.lex_state = 282},
  [5038] = {.lex_state = 237},
  [5039] = {.lex_state = 237},
  [5040] = {.lex_state = 237},
  [5041] = {.lex_state = 282},
  [5042] = {.lex_state = 387},
  [5043] = {.lex_state = 237},
  [5044] = {.lex_state = 237},
  [5045] = {.lex_state = 237},
  [5046] = {.lex_state = 282},
  [5047] = {.lex_state = 237},
  [5048] = {.lex_state = 273},
  [5049] = {.lex_state = 282},
  [5050] = {.lex_state = 282},
  [5051] = {.lex_state = 237},
  [5052] = {.lex_state = 237},
  [5053] = {.lex_state = 237},
  [5054] = {.lex_state = 237},
  [5055] = {.lex_state = 237},
  [5056] = {.lex_state = 273},
  [5057] = {.lex_state = 282},
  [5058] = {.lex_state = 271},
  [5059] = {.lex_state = 237},
  [5060] = {.lex_state = 272},
  [5061] = {.lex_state = 228},
  [5062] = {.lex_state = 273},
  [5063] = {.lex_state = 273},
  [5064] = {.lex_state = 273},
  [5065] = {.lex_state = 237},
  [5066] = {.lex_state = 282},
  [5067] = {.lex_state = 237},
  [5068] = {.lex_state = 237},
  [5069] = {.lex_state = 273},
  [5070] = {.lex_state = 271},
  [5071] = {.lex_state = 237},
  [5072] = {.lex_state = 237},
  [5073] = {.lex_state = 237},
  [5074] = {.lex_state = 282},
  [5075] = {.lex_state = 237},
  [5076] = {.lex_state = 282},
  [5077] = {.lex_state = 237},
  [5078] = {.lex_state = 273},
  [5079] = {.lex_state = 237},
  [5080] = {.lex_state = 282},
  [5081] = {.lex_state = 273},
  [5082] = {.lex_state = 282},
  [5083] = {.lex_state = 273},
  [5084] = {.lex_state = 282},
  [5085] = {.lex_state = 271},
  [5086] = {.lex_state = 282},
  [5087] = {.lex_state = 237},
  [5088] = {.lex_state = 282},
  [5089] = {.lex_state = 237},
  [5090] = {.lex_state = 237},
  [5091] = {.lex_state = 273},
  [5092] = {.lex_state = 273},
  [5093] = {.lex_state = 273},
  [5094] = {.lex_state = 271},
  [5095] = {.lex_state = 273},
  [5096] = {.lex_state = 237},
  [5097] = {.lex_state = 273},
  [5098] = {.lex_state = 273},
  [5099] = {.lex_state = 273},
  [5100] = {.lex_state = 273},
  [5101] = {.lex_state = 273},
  [5102] = {.lex_state = 237},
  [5103] = {.lex_state = 237},
  [5104] = {.lex_state = 237},
  [5105] = {.lex_state = 238},
  [5106] = {.lex_state = 237},
  [5107] = {.lex_state = 237},
  [5108] = {.lex_state = 237},
  [5109] = {.lex_state = 237},
  [5110] = {.lex_state = 238},
  [5111] = {.lex_state = 238},
  [5112] = {.lex_state = 237},
  [5113] = {.lex_state = 237},
  [5114] = {.lex_state = 237},
  [5115] = {.lex_state = 237},
  [5116] = {.lex_state = 237},
  [5117] = {.lex_state = 387},
  [5118] = {.lex_state = 237},
  [5119] = {.lex_state = 237},
  [5120] = {.lex_state = 237},
  [5121] = {.lex_state = 238},
  [5122] = {.lex_state = 237},
  [5123] = {.lex_state = 281},
  [5124] = {.lex_state = 237},
  [5125] = {.lex_state = 387},
  [5126] = {.lex_state = 238},
  [5127] = {.lex_state = 237},
  [5128] = {.lex_state = 237},
  [5129] = {.lex_state = 237},
  [5130] = {.lex_state = 237},
  [5131] = {.lex_state = 237},
  [5132] = {.lex_state = 238},
  [5133] = {.lex_state = 237},
  [5134] = {.lex_state = 237},
  [5135] = {.lex_state = 237},
  [5136] = {.lex_state = 238},
  [5137] = {.lex_state = 281},
  [5138] = {.lex_state = 237},
  [5139] = {.lex_state = 237},
  [5140] = {.lex_state = 238},
  [5141] = {.lex_state = 238},
  [5142] = {.lex_state = 237},
  [5143] = {.lex_state = 237},
  [5144] = {.lex_state = 237},
  [5145] = {.lex_state = 238},
  [5146] = {.lex_state = 237},
  [5147] = {.lex_state = 237},
  [5148] = {.lex_state = 237},
  [5149] = {.lex_state = 237},
  [5150] = {.lex_state = 238},
  [5151] = {.lex_state = 237},
  [5152] = {.lex_state = 237},
  [5153] = {.lex_state = 284},
  [5154] = {.lex_state = 237},
  [5155] = {.lex_state = 237},
  [5156] = {.lex_state = 238},
  [5157] = {.lex_state = 237},
  [5158] = {.lex_state = 238},
  [5159] = {.lex_state = 238},
  [5160] = {.lex_state = 238},
  [5161] = {.lex_state = 237},
  [5162] = {.lex_state = 237},
  [5163] = {.lex_state = 238},
  [5164] = {.lex_state = 238},
  [5165] = {.lex_state = 237},
  [5166] = {.lex_state = 238},
  [5167] = {.lex_state = 237},
  [5168] = {.lex_state = 238},
  [5169] = {.lex_state = 237},
  [5170] = {.lex_state = 237},
  [5171] = {.lex_state = 237},
  [5172] = {.lex_state = 237},
  [5173] = {.lex_state = 237},
  [5174] = {.lex_state = 237},
  [5175] = {.lex_state = 237},
  [5176] = {.lex_state = 237},
  [5177] = {.lex_state = 237},
  [5178] = {.lex_state = 237},
  [5179] = {.lex_state = 237},
  [5180] = {.lex_state = 237},
  [5181] = {.lex_state = 254},
  [5182] = {.lex_state = 237},
  [5183] = {.lex_state = 238},
  [5184] = {.lex_state = 237},
  [5185] = {.lex_state = 237},
  [5186] = {.lex_state = 237},
  [5187] = {.lex_state = 238},
  [5188] = {.lex_state = 237},
  [5189] = {.lex_state = 237},
  [5190] = {.lex_state = 238},
  [5191] = {.lex_state = 273},
  [5192] = {.lex_state = 237},
  [5193] = {.lex_state = 237},
  [5194] = {.lex_state = 237},
  [5195] = {.lex_state = 237},
  [5196] = {.lex_state = 237},
  [5197] = {.lex_state = 237},
  [5198] = {.lex_state = 238},
  [5199] = {.lex_state = 238},
  [5200] = {.lex_state = 237},
  [5201] = {.lex_state = 237},
  [5202] = {.lex_state = 237},
  [5203] = {.lex_state = 237},
  [5204] = {.lex_state = 254},
  [5205] = {.lex_state = 238},
  [5206] = {.lex_state = 237},
  [5207] = {.lex_state = 238},
  [5208] = {.lex_state = 237},
  [5209] = {.lex_state = 237},
  [5210] = {.lex_state = 237},
  [5211] = {.lex_state = 237},
  [5212] = {.lex_state = 281},
  [5213] = {.lex_state = 237},
  [5214] = {.lex_state = 237},
  [5215] = {.lex_state = 237},
  [5216] = {.lex_state = 237},
  [5217] = {.lex_state = 237},
  [5218] = {.lex_state = 238},
  [5219] = {.lex_state = 237},
  [5220] = {.lex_state = 281},
  [5221] = {.lex_state = 237},
  [5222] = {.lex_state = 387},
  [5223] = {.lex_state = 237},
  [5224] = {.lex_state = 237},
  [5225] = {.lex_state = 387},
  [5226] = {.lex_state = 237},
  [5227] = {.lex_state = 238},
  [5228] = {.lex_state = 387},
  [5229] = {.lex_state = 237},
  [5230] = {.lex_state = 238},
  [5231] = {.lex_state = 237},
  [5232] = {.lex_state = 237},
  [5233] = {.lex_state = 237},
  [5234] = {.lex_state = 237},
  [5235] = {.lex_state = 238},
  [5236] = {.lex_state = 387},
  [5237] = {.lex_state = 281},
  [5238] = {.lex_state = 238},
  [5239] = {.lex_state = 237},
  [5240] = {.lex_state = 387},
  [5241] = {.lex_state = 238},
  [5242] = {.lex_state = 237},
  [5243] = {.lex_state = 237},
  [5244] = {.lex_state = 238},
  [5245] = {.lex_state = 237},
  [5246] = {.lex_state = 237},
  [5247] = {.lex_state = 237},
  [5248] = {.lex_state = 238},
  [5249] = {.lex_state = 237},
  [5250] = {.lex_state = 238},
  [5251] = {.lex_state = 237},
  [5252] = {.lex_state = 385},
  [5253] = {.lex_state = 238},
  [5254] = {.lex_state = 237},
  [5255] = {.lex_state = 237},
  [5256] = {.lex_state = 237},
  [5257] = {.lex_state = 238},
  [5258] = {.lex_state = 237},
  [5259] = {.lex_state = 237},
  [5260] = {.lex_state = 387},
  [5261] = {.lex_state = 238},
  [5262] = {.lex_state = 237},
  [5263] = {.lex_state = 385},
  [5264] = {.lex_state = 238},
  [5265] = {.lex_state = 387},
  [5266] = {.lex_state = 237},
  [5267] = {.lex_state = 238},
  [5268] = {.lex_state = 238},
  [5269] = {.lex_state = 385},
  [5270] = {.lex_state = 237},
  [5271] = {.lex_state = 238},
  [5272] = {.lex_state = 237},
  [5273] = {.lex_state = 281},
  [5274] = {.lex_state = 387},
  [5275] = {.lex_state = 237},
  [5276] = {.lex_state = 281},
  [5277] = {.lex_state = 237},
  [5278] = {.lex_state = 238},
  [5279] = {.lex_state = 237},
  [5280] = {.lex_state = 238},
  [5281] = {.lex_state = 237},
  [5282] = {.lex_state = 387},
  [5283] = {.lex_state = 273},
  [5284] = {.lex_state = 273},
  [5285] = {.lex_state = 273},
  [5286] = {.lex_state = 273},
  [5287] = {.lex_state = 273},
  [5288] = {.lex_state = 273},
  [5289] = {.lex_state = 273},
  [5290] = {.lex_state = 273},
  [5291] = {.lex_state = 284},
  [5292] = {.lex_state = 273},
  [5293] = {.lex_state = 273},
  [5294] = {.lex_state = 273},
  [5295] = {.lex_state = 273},
  [5296] = {.lex_state = 273},
  [5297] = {.lex_state = 273},
  [5298] = {.lex_state = 273},
  [5299] = {.lex_state = 273},
  [5300] = {.lex_state = 284},
  [5301] = {.lex_state = 273},
  [5302] = {.lex_state = 284},
  [5303] = {.lex_state = 284},
  [5304] = {.lex_state = 273},
  [5305] = {.lex_state = 273},
  [5306] = {.lex_state = 273},
  [5307] = {.lex_state = 284},
  [5308] = {.lex_state = 284},
  [5309] = {.lex_state = 273},
  [5310] = {.lex_state = 273},
  [5311] = {.lex_state = 273},
  [5312] = {.lex_state = 281},
  [5313] = {.lex_state = 273},
  [5314] = {.lex_state = 387},
  [5315] = {.lex_state = 273},
  [5316] = {.lex_state = 273},
  [5317] = {.lex_state = 273},
  [5318] = {.lex_state = 387},
  [5319] = {.lex_state = 387},
  [5320] = {.lex_state = 273},
  [5321] = {.lex_state = 281},
  [5322] = {.lex_state = 273},
  [5323] = {.lex_state = 284},
  [5324] = {.lex_state = 273},
  [5325] = {.lex_state = 273},
  [5326] = {.lex_state = 273},
  [5327] = {.lex_state = 273},
  [5328] = {.lex_state = 284},
  [5329] = {.lex_state = 387},
  [5330] = {.lex_state = 273},
  [5331] = {.lex_state = 284},
  [5332] = {.lex_state = 273},
  [5333] = {.lex_state = 273},
  [5334] = {.lex_state = 273},
  [5335] = {.lex_state = 273},
  [5336] = {.lex_state = 273},
  [5337] = {.lex_state = 281},
  [5338] = {.lex_state = 273},
  [5339] = {.lex_state = 271},
  [5340] = {.lex_state = 281},
  [5341] = {.lex_state = 387},
  [5342] = {.lex_state = 281},
  [5343] = {.lex_state = 281},
  [5344] = {.lex_state = 281},
  [5345] = {.lex_state = 281},
  [5346] = {.lex_state = 281},
  [5347] = {.lex_state = 281},
  [5348] = {.lex_state = 387},
  [5349] = {.lex_state = 387},
  [5350] = {.lex_state = 271},
  [5351] = {.lex_state = 237},
  [5352] = {.lex_state = 387},
  [5353] = {.lex_state = 387},
  [5354] = {.lex_state = 387},
  [5355] = {.lex_state = 281},
  [5356] = {.lex_state = 271},
  [5357] = {.lex_state = 388},
  [5358] = {.lex_state = 281},
  [5359] = {.lex_state = 387},
  [5360] = {.lex_state = 271},
  [5361] = {.lex_state = 387},
  [5362] = {.lex_state = 281},
  [5363] = {.lex_state = 281},
  [5364] = {.lex_state = 281},
  [5365] = {.lex_state = 281},
  [5366] = {.lex_state = 281},
  [5367] = {.lex_state = 281},
  [5368] = {.lex_state = 281},
  [5369] = {.lex_state = 281},
  [5370] = {.lex_state = 387},
  [5371] = {.lex_state = 387},
  [5372] = {.lex_state = 387},
  [5373] = {.lex_state = 281},
  [5374] = {.lex_state = 281},
  [5375] = {.lex_state = 281},
  [5376] = {.lex_state = 281},
  [5377] = {.lex_state = 281},
  [5378] = {.lex_state = 237},
  [5379] = {.lex_state = 387},
  [5380] = {.lex_state = 387},
  [5381] = {.lex_state = 238},
  [5382] = {.lex_state = 284},
  [5383] = {.lex_state = 237},
  [5384] = {.lex_state = 388},
  [5385] = {.lex_state = 281},
  [5386] = {.lex_state = 388},
  [5387] = {.lex_state = 387},
  [5388] = {.lex_state = 284},
  [5389] = {.lex_state = 387},
  [5390] = {.lex_state = 281},
  [5391] = {.lex_state = 387},
  [5392] = {.lex_state = 388},
  [5393] = {.lex_state = 284},
  [5394] = {.lex_state = 387},
  [5395] = {.lex_state = 281},
  [5396] = {.lex_state = 282},
  [5397] = {.lex_state = 284},
  [5398] = {.lex_state = 237},
  [5399] = {.lex_state = 387},
  [5400] = {.lex_state = 281},
  [5401] = {.lex_state = 387},
  [5402] = {.lex_state = 281},
  [5403] = {.lex_state = 237},
  [5404] = {.lex_state = 238},
  [5405] = {.lex_state = 387},
  [5406] = {.lex_state = 237},
  [5407] = {.lex_state = 284},
  [5408] = {.lex_state = 387},
  [5409] = {.lex_state = 387},
  [5410] = {.lex_state = 284},
  [5411] = {.lex_state = 281},
  [5412] = {.lex_state = 387},
  [5413] = {.lex_state = 271},
  [5414] = {.lex_state = 387},
  [5415] = {.lex_state = 284},
  [5416] = {.lex_state = 284},
  [5417] = {.lex_state = 281},
  [5418] = {.lex_state = 387},
  [5419] = {.lex_state = 237},
  [5420] = {.lex_state = 387},
  [5421] = {.lex_state = 387},
  [5422] = {.lex_state = 281},
  [5423] = {.lex_state = 281},
  [5424] = {.lex_state = 281},
  [5425] = {.lex_state = 387},
  [5426] = {.lex_state = 387},
  [5427] = {.lex_state = 387},
  [5428] = {.lex_state = 271},
  [5429] = {.lex_state = 387},
  [5430] = {.lex_state = 284},
  [5431] = {.lex_state = 271},
  [5432] = {.lex_state = 387},
  [5433] = {.lex_state = 387},
  [5434] = {.lex_state = 281},
  [5435] = {.lex_state = 271},
  [5436] = {.lex_state = 387},
  [5437] = {.lex_state = 281},
  [5438] = {.lex_state = 230},
  [5439] = {.lex_state = 387},
  [5440] = {.lex_state = 284},
  [5441] = {.lex_state = 387},
  [5442] = {.lex_state = 282},
  [5443] = {.lex_state = 282},
  [5444] = {.lex_state = 387},
  [5445] = {.lex_state = 282},
  [5446] = {.lex_state = 387},
  [5447] = {.lex_state = 387},
  [5448] = {.lex_state = 387},
  [5449] = {.lex_state = 387},
  [5450] = {.lex_state = 387},
  [5451] = {.lex_state = 387},
  [5452] = {.lex_state = 387},
  [5453] = {.lex_state = 284},
  [5454] = {.lex_state = 387},
  [5455] = {.lex_state = 387},
  [5456] = {.lex_state = 387},
  [5457] = {.lex_state = 387},
  [5458] = {.lex_state = 387},
  [5459] = {.lex_state = 282},
  [5460] = {.lex_state = 387},
  [5461] = {.lex_state = 387},
  [5462] = {.lex_state = 281},
  [5463] = {.lex_state = 387},
  [5464] = {.lex_state = 282},
  [5465] = {.lex_state = 387},
  [5466] = {.lex_state = 387},
  [5467] = {.lex_state = 282},
  [5468] = {.lex_state = 387},
  [5469] = {.lex_state = 282},
  [5470] = {.lex_state = 284},
  [5471] = {.lex_state = 387},
  [5472] = {.lex_state = 282},
  [5473] = {.lex_state = 387},
  [5474] = {.lex_state = 282},
  [5475] = {.lex_state = 282},
  [5476] = {.lex_state = 282},
  [5477] = {.lex_state = 387},
  [5478] = {.lex_state = 282},
  [5479] = {.lex_state = 387},
  [5480] = {.lex_state = 387},
  [5481] = {.lex_state = 387},
  [5482] = {.lex_state = 387},
  [5483] = {.lex_state = 282},
  [5484] = {.lex_state = 282},
  [5485] = {.lex_state = 387},
  [5486] = {.lex_state = 387},
  [5487] = {.lex_state = 282},
  [5488] = {.lex_state = 282},
  [5489] = {.lex_state = 387},
  [5490] = {.lex_state = 387},
  [5491] = {.lex_state = 282},
  [5492] = {.lex_state = 282},
  [5493] = {.lex_state = 387},
  [5494] = {.lex_state = 387},
  [5495] = {.lex_state = 387},
  [5496] = {.lex_state = 387},
  [5497] = {.lex_state = 282},
  [5498] = {.lex_state = 282},
  [5499] = {.lex_state = 282},
  [5500] = {.lex_state = 387},
  [5501] = {.lex_state = 387},
  [5502] = {.lex_state = 387},
  [5503] = {.lex_state = 387},
  [5504] = {.lex_state = 387},
  [5505] = {.lex_state = 387},
  [5506] = {.lex_state = 281},
  [5507] = {.lex_state = 282},
  [5508] = {.lex_state = 387},
  [5509] = {.lex_state = 387},
  [5510] = {.lex_state = 237},
  [5511] = {.lex_state = 387},
  [5512] = {.lex_state = 387},
  [5513] = {.lex_state = 282},
  [5514] = {.lex_state = 281},
  [5515] = {.lex_state = 237},
  [5516] = {.lex_state = 284},
  [5517] = {.lex_state = 237},
  [5518] = {.lex_state = 238},
  [5519] = {.lex_state = 281},
  [5520] = {.lex_state = 281},
  [5521] = {.lex_state = 387},
  [5522] = {.lex_state = 237},
  [5523] = {.lex_state = 238},
  [5524] = {.lex_state = 273},
  [5525] = {.lex_state = 284},
  [5526] = {.lex_state = 281},
  [5527] = {.lex_state = 387},
  [5528] = {.lex_state = 237},
  [5529] = {.lex_state = 387},
  [5530] = {.lex_state = 271},
  [5531] = {.lex_state = 237},
  [5532] = {.lex_state = 281},
  [5533] = {.lex_state = 238},
  [5534] = {.lex_state = 281},
  [5535] = {.lex_state = 284},
  [5536] = {.lex_state = 281},
  [5537] = {.lex_state = 284},
  [5538] = {.lex_state = 387},
  [5539] = {.lex_state = 237},
  [5540] = {.lex_state = 238},
  [5541] = {.lex_state = 237},
  [5542] = {.lex_state = 387},
  [5543] = {.lex_state = 271},
  [5544] = {.lex_state = 237},
  [5545] = {.lex_state = 237},
  [5546] = {.lex_state = 271},
  [5547] = {.lex_state = 237},
  [5548] = {.lex_state = 238},
  [5549] = {.lex_state = 282},
  [5550] = {.lex_state = 237},
  [5551] = {.lex_state = 271},
  [5552] = {.lex_state = 273},
  [5553] = {.lex_state = 281},
  [5554] = {.lex_state = 237},
  [5555] = {.lex_state = 282},
  [5556] = {.lex_state = 284},
  [5557] = {.lex_state = 271},
  [5558] = {.lex_state = 271},
  [5559] = {.lex_state = 281},
  [5560] = {.lex_state = 284},
  [5561] = {.lex_state = 237},
  [5562] = {.lex_state = 281},
  [5563] = {.lex_state = 238},
  [5564] = {.lex_state = 387},
  [5565] = {.lex_state = 238},
  [5566] = {.lex_state = 387},
  [5567] = {.lex_state = 284},
  [5568] = {.lex_state = 237},
  [5569] = {.lex_state = 237},
  [5570] = {.lex_state = 387},
  [5571] = {.lex_state = 237},
  [5572] = {.lex_state = 237},
  [5573] = {.lex_state = 281},
  [5574] = {.lex_state = 284},
  [5575] = {.lex_state = 281},
  [5576] = {.lex_state = 238},
  [5577] = {.lex_state = 281},
  [5578] = {.lex_state = 281},
  [5579] = {.lex_state = 226},
  [5580] = {.lex_state = 282},
  [5581] = {.lex_state = 282},
  [5582] = {.lex_state = 282},
  [5583] = {.lex_state = 282},
  [5584] = {.lex_state = 282},
  [5585] = {.lex_state = 282},
  [5586] = {.lex_state = 226},
  [5587] = {.lex_state = 282},
  [5588] = {.lex_state = 226},
  [5589] = {.lex_state = 282},
  [5590] = {.lex_state = 282},
  [5591] = {.lex_state = 282},
  [5592] = {.lex_state = 282},
  [5593] = {.lex_state = 281},
  [5594] = {.lex_state = 282},
  [5595] = {.lex_state = 282},
  [5596] = {.lex_state = 226},
  [5597] = {.lex_state = 281},
  [5598] = {.lex_state = 237},
  [5599] = {.lex_state = 387},
  [5600] = {.lex_state = 282},
  [5601] = {.lex_state = 281},
  [5602] = {.lex_state = 282},
  [5603] = {.lex_state = 282},
  [5604] = {.lex_state = 282},
  [5605] = {.lex_state = 282},
  [5606] = {.lex_state = 282},
  [5607] = {.lex_state = 281},
  [5608] = {.lex_state = 282},
  [5609] = {.lex_state = 282},
  [5610] = {.lex_state = 387},
  [5611] = {.lex_state = 282},
  [5612] = {.lex_state = 282},
  [5613] = {.lex_state = 282},
  [5614] = {.lex_state = 282},
  [5615] = {.lex_state = 282},
  [5616] = {.lex_state = 282},
  [5617] = {.lex_state = 282},
  [5618] = {.lex_state = 281},
  [5619] = {.lex_state = 282},
  [5620] = {.lex_state = 282},
  [5621] = {.lex_state = 281},
  [5622] = {.lex_state = 226},
  [5623] = {.lex_state = 281},
  [5624] = {.lex_state = 282},
  [5625] = {.lex_state = 282},
  [5626] = {.lex_state = 282},
  [5627] = {.lex_state = 281},
  [5628] = {.lex_state = 282},
  [5629] = {.lex_state = 282},
  [5630] = {.lex_state = 282},
  [5631] = {.lex_state = 281},
  [5632] = {.lex_state = 237},
  [5633] = {.lex_state = 282},
  [5634] = {.lex_state = 282},
  [5635] = {.lex_state = 281},
  [5636] = {.lex_state = 226},
  [5637] = {.lex_state = 282},
  [5638] = {.lex_state = 282},
  [5639] = {.lex_state = 282},
  [5640] = {.lex_state = 237},
  [5641] = {.lex_state = 282},
  [5642] = {.lex_state = 282},
  [5643] = {.lex_state = 282},
  [5644] = {.lex_state = 282},
  [5645] = {.lex_state = 281},
  [5646] = {.lex_state = 282},
  [5647] = {.lex_state = 282},
  [5648] = {.lex_state = 282},
  [5649] = {.lex_state = 282},
  [5650] = {.lex_state = 282},
  [5651] = {.lex_state = 387},
  [5652] = {.lex_state = 282},
  [5653] = {.lex_state = 281},
  [5654] = {.lex_state = 282},
  [5655] = {.lex_state = 226},
  [5656] = {.lex_state = 282},
  [5657] = {.lex_state = 282},
  [5658] = {.lex_state = 282},
  [5659] = {.lex_state = 282},
  [5660] = {.lex_state = 281},
  [5661] = {.lex_state = 282},
  [5662] = {.lex_state = 282},
  [5663] = {.lex_state = 282},
  [5664] = {.lex_state = 282},
  [5665] = {.lex_state = 226},
  [5666] = {.lex_state = 281},
  [5667] = {.lex_state = 282},
  [5668] = {.lex_state = 237},
  [5669] = {.lex_state = 282},
  [5670] = {.lex_state = 281},
  [5671] = {.lex_state = 387},
  [5672] = {.lex_state = 282},
  [5673] = {.lex_state = 282},
  [5674] = {.lex_state = 281},
  [5675] = {.lex_state = 282},
  [5676] = {.lex_state = 237},
  [5677] = {.lex_state = 282},
  [5678] = {.lex_state = 282},
  [5679] = {.lex_state = 282},
  [5680] = {.lex_state = 282},
  [5681] = {.lex_state = 226},
  [5682] = {.lex_state = 226},
  [5683] = {.lex_state = 237},
  [5684] = {.lex_state = 226},
  [5685] = {.lex_state = 226},
  [5686] = {.lex_state = 237},
  [5687] = {.lex_state = 226},
  [5688] = {.lex_state = 237},
  [5689] = {.lex_state = 226},
  [5690] = {.lex_state = 226},
  [5691] = {.lex_state = 226},
  [5692] = {.lex_state = 226},
  [5693] = {.lex_state = 226},
  [5694] = {.lex_state = 226},
  [5695] = {.lex_state = 226},
  [5696] = {.lex_state = 226},
  [5697] = {.lex_state = 226},
  [5698] = {.lex_state = 281},
  [5699] = {.lex_state = 226},
  [5700] = {.lex_state = 226},
  [5701] = {.lex_state = 226},
  [5702] = {.lex_state = 226},
  [5703] = {.lex_state = 226},
  [5704] = {.lex_state = 226},
  [5705] = {.lex_state = 226},
  [5706] = {.lex_state = 226},
  [5707] = {.lex_state = 226},
  [5708] = {.lex_state = 237},
  [5709] = {.lex_state = 281},
  [5710] = {.lex_state = 226},
  [5711] = {.lex_state = 237},
  [5712] = {.lex_state = 237},
  [5713] = {.lex_state = 226},
  [5714] = {.lex_state = 226},
  [5715] = {.lex_state = 226},
  [5716] = {.lex_state = 226},
  [5717] = {.lex_state = 226},
  [5718] = {.lex_state = 226},
  [5719] = {.lex_state = 237},
  [5720] = {.lex_state = 226},
  [5721] = {.lex_state = 281},
  [5722] = {.lex_state = 226},
  [5723] = {.lex_state = 281},
  [5724] = {.lex_state = 226},
  [5725] = {.lex_state = 226},
  [5726] = {.lex_state = 226},
  [5727] = {.lex_state = 237},
  [5728] = {.lex_state = 237},
  [5729] = {.lex_state = 281},
  [5730] = {.lex_state = 226},
  [5731] = {.lex_state = 226},
  [5732] = {.lex_state = 226},
  [5733] = {.lex_state = 226},
  [5734] = {.lex_state = 237},
  [5735] = {.lex_state = 284},
  [5736] = {.lex_state = 226},
  [5737] = {.lex_state = 226},
  [5738] = {.lex_state = 226},
  [5739] = {.lex_state = 226},
  [5740] = {.lex_state = 284},
  [5741] = {.lex_state = 226},
  [5742] = {.lex_state = 226},
  [5743] = {.lex_state = 237},
  [5744] = {.lex_state = 226},
  [5745] = {.lex_state = 281},
  [5746] = {.lex_state = 282},
  [5747] = {.lex_state = 282},
  [5748] = {.lex_state = 226},
  [5749] = {.lex_state = 226},
  [5750] = {.lex_state = 281},
  [5751] = {.lex_state = 226},
  [5752] = {.lex_state = 237},
  [5753] = {.lex_state = 226},
  [5754] = {.lex_state = 226},
  [5755] = {.lex_state = 226},
  [5756] = {.lex_state = 281},
  [5757] = {.lex_state = 237},
  [5758] = {.lex_state = 226},
  [5759] = {.lex_state = 281},
  [5760] = {.lex_state = 281},
  [5761] = {.lex_state = 281},
  [5762] = {.lex_state = 237},
  [5763] = {.lex_state = 281},
  [5764] = {.lex_state = 281},
  [5765] = {.lex_state = 281},
  [5766] = {.lex_state = 226},
  [5767] = {.lex_state = 237},
  [5768] = {.lex_state = 281},
  [5769] = {.lex_state = 226},
  [5770] = {.lex_state = 281},
  [5771] = {.lex_state = 281},
  [5772] = {.lex_state = 281},
  [5773] = {.lex_state = 237},
  [5774] = {.lex_state = 237},
  [5775] = {.lex_state = 226},
  [5776] = {.lex_state = 281},
  [5777] = {.lex_state = 237},
  [5778] = {.lex_state = 226},
  [5779] = {.lex_state = 281},
  [5780] = {.lex_state = 387},
  [5781] = {.lex_state = 281},
  [5782] = {.lex_state = 226},
  [5783] = {.lex_state = 387},
  [5784] = {.lex_state = 226},
  [5785] = {.lex_state = 226},
  [5786] = {.lex_state = 226},
  [5787] = {.lex_state = 237},
  [5788] = {.lex_state = 226},
  [5789] = {.lex_state = 226},
  [5790] = {.lex_state = 226},
  [5791] = {.lex_state = 237},
  [5792] = {.lex_state = 226},
  [5793] = {.lex_state = 226},
  [5794] = {.lex_state = 237},
  [5795] = {.lex_state = 226},
  [5796] = {.lex_state = 226},
  [5797] = {.lex_state = 237},
  [5798] = {.lex_state = 281},
  [5799] = {.lex_state = 281},
  [5800] = {.lex_state = 226},
  [5801] = {.lex_state = 226},
  [5802] = {.lex_state = 226},
  [5803] = {.lex_state = 226},
  [5804] = {.lex_state = 237},
  [5805] = {.lex_state = 237},
  [5806] = {.lex_state = 226},
  [5807] = {.lex_state = 281},
  [5808] = {.lex_state = 226},
  [5809] = {.lex_state = 226},
  [5810] = {.lex_state = 226},
  [5811] = {.lex_state = 226},
  [5812] = {.lex_state = 281},
  [5813] = {.lex_state = 226},
  [5814] = {.lex_state = 281},
  [5815] = {.lex_state = 230},
  [5816] = {.lex_state = 226},
  [5817] = {.lex_state = 226},
  [5818] = {.lex_state = 284},
  [5819] = {.lex_state = 281},
  [5820] = {.lex_state = 281},
  [5821] = {.lex_state = 281},
  [5822] = {.lex_state = 281},
  [5823] = {.lex_state = 226},
  [5824] = {.lex_state = 281},
  [5825] = {.lex_state = 284},
  [5826] = {.lex_state = 226},
  [5827] = {.lex_state = 281},
  [5828] = {.lex_state = 281},
  [5829] = {.lex_state = 226},
  [5830] = {.lex_state = 226},
  [5831] = {.lex_state = 237},
  [5832] = {.lex_state = 226},
  [5833] = {.lex_state = 226},
  [5834] = {.lex_state = 226},
  [5835] = {.lex_state = 230},
  [5836] = {.lex_state = 237},
  [5837] = {.lex_state = 284},
  [5838] = {.lex_state = 284},
  [5839] = {.lex_state = 226},
  [5840] = {.lex_state = 226},
  [5841] = {.lex_state = 284},
  [5842] = {.lex_state = 238},
  [5843] = {.lex_state = 226},
  [5844] = {.lex_state = 226},
  [5845] = {.lex_state = 284},
  [5846] = {.lex_state = 238},
  [5847] = {.lex_state = 226},
  [5848] = {.lex_state = 226},
  [5849] = {.lex_state = 226},
  [5850] = {.lex_state = 284},
  [5851] = {.lex_state = 226},
  [5852] = {.lex_state = 226},
  [5853] = {.lex_state = 226},
  [5854] = {.lex_state = 226},
  [5855] = {.lex_state = 238},
  [5856] = {.lex_state = 226},
  [5857] = {.lex_state = 284},
  [5858] = {.lex_state = 238},
  [5859] = {.lex_state = 226},
  [5860] = {.lex_state = 226},
  [5861] = {.lex_state = 284},
  [5862] = {.lex_state = 226},
  [5863] = {.lex_state = 226},
  [5864] = {.lex_state = 226},
  [5865] = {.lex_state = 226},
  [5866] = {.lex_state = 226},
  [5867] = {.lex_state = 226},
  [5868] = {.lex_state = 387},
  [5869] = {.lex_state = 233},
  [5870] = {.lex_state = 233},
  [5871] = {.lex_state = 387},
  [5872] = {.lex_state = 282},
  [5873] = {.lex_state = 233},
  [5874] = {.lex_state = 387},
  [5875] = {.lex_state = 282},
  [5876] = {.lex_state = 233},
  [5877] = {.lex_state = 282},
  [5878] = {.lex_state = 233},
  [5879] = {.lex_state = 387},
  [5880] = {.lex_state = 387},
  [5881] = {.lex_state = 233},
  [5882] = {.lex_state = 233},
  [5883] = {.lex_state = 233},
  [5884] = {.lex_state = 387},
  [5885] = {.lex_state = 284},
  [5886] = {.lex_state = 282},
  [5887] = {.lex_state = 387},
  [5888] = {.lex_state = 284},
  [5889] = {.lex_state = 387},
  [5890] = {.lex_state = 387},
  [5891] = {.lex_state = 387},
  [5892] = {.lex_state = 284},
  [5893] = {.lex_state = 282},
  [5894] = {.lex_state = 282},
  [5895] = {.lex_state = 284},
  [5896] = {.lex_state = 282},
  [5897] = {.lex_state = 282},
  [5898] = {.lex_state = 387},
  [5899] = {.lex_state = 284},
  [5900] = {.lex_state = 282},
  [5901] = {.lex_state = 284},
  [5902] = {.lex_state = 284},
  [5903] = {.lex_state = 282},
  [5904] = {.lex_state = 282},
  [5905] = {.lex_state = 284},
  [5906] = {.lex_state = 284},
  [5907] = {.lex_state = 284},
  [5908] = {.lex_state = 387},
  [5909] = {.lex_state = 387},
  [5910] = {.lex_state = 387},
  [5911] = {.lex_state = 282},
  [5912] = {.lex_state = 387},
  [5913] = {.lex_state = 387},
  [5914] = {.lex_state = 387},
  [5915] = {.lex_state = 387},
  [5916] = {.lex_state = 282},
  [5917] = {.lex_state = 282},
  [5918] = {.lex_state = 282},
  [5919] = {.lex_state = 282},
  [5920] = {.lex_state = 284},
  [5921] = {.lex_state = 284},
  [5922] = {.lex_state = 386},
  [5923] = {.lex_state = 282},
  [5924] = {.lex_state = 226},
  [5925] = {.lex_state = 386},
  [5926] = {.lex_state = 226},
  [5927] = {.lex_state = 282},
  [5928] = {.lex_state = 226},
  [5929] = {.lex_state = 282},
  [5930] = {.lex_state = 226},
  [5931] = {.lex_state = 226},
  [5932] = {.lex_state = 226},
  [5933] = {.lex_state = 386},
  [5934] = {.lex_state = 386},
  [5935] = {.lex_state = 226},
  [5936] = {.lex_state = 282},
  [5937] = {.lex_state = 226},
  [5938] = {.lex_state = 226},
  [5939] = {.lex_state = 386},
  [5940] = {.lex_state = 282},
  [5941] = {.lex_state = 226},
  [5942] = {.lex_state = 226},
  [5943] = {.lex_state = 386},
  [5944] = {.lex_state = 282},
  [5945] = {.lex_state = 386},
  [5946] = {.lex_state = 386},
  [5947] = {.lex_state = 282},
  [5948] = {.lex_state = 226},
  [5949] = {.lex_state = 282},
  [5950] = {.lex_state = 282},
  [5951] = {.lex_state = 282},
  [5952] = {.lex_state = 282},
  [5953] = {.lex_state = 386},
  [5954] = {.lex_state = 281},
  [5955] = {.lex_state = 282},
  [5956] = {.lex_state = 284},
  [5957] = {.lex_state = 387},
  [5958] = {.lex_state = 284},
  [5959] = {.lex_state = 284},
  [5960] = {.lex_state = 284},
  [5961] = {.lex_state = 284},
  [5962] = {.lex_state = 281},
  [5963] = {.lex_state = 282},
  [5964] = {.lex_state = 284},
  [5965] = {.lex_state = 387},
  [5966] = {.lex_state = 284},
  [5967] = {.lex_state = 282},
  [5968] = {.lex_state = 281},
  [5969] = {.lex_state = 282},
  [5970] = {.lex_state = 238},
  [5971] = {.lex_state = 386},
  [5972] = {.lex_state = 386},
  [5973] = {.lex_state = 233},
  [5974] = {.lex_state = 386},
  [5975] = {.lex_state = 233},
  [5976] = {.lex_state = 271},
  [5977] = {.lex_state = 386},
  [5978] = {.lex_state = 233},
  [5979] = {.lex_state = 386},
  [5980] = {.lex_state = 386},
  [5981] = {.lex_state = 387},
  [5982] = {.lex_state = 251},
  [5983] = {.lex_state = 386},
  [5984] = {.lex_state = 386},
  [5985] = {.lex_state = 386},
  [5986] = {.lex_state = 386},
  [5987] = {.lex_state = 386},
  [5988] = {.lex_state = 386},
  [5989] = {.lex_state = 386},
  [5990] = {.lex_state = 386},
  [5991] = {.lex_state = 386},
  [5992] = {.lex_state = 386},
  [5993] = {.lex_state = 386},
  [5994] = {.lex_state = 233},
  [5995] = {.lex_state = 284},
  [5996] = {.lex_state = 271},
  [5997] = {.lex_state = 386},
  [5998] = {.lex_state = 387},
  [5999] = {.lex_state = 233},
  [6000] = {.lex_state = 284},
  [6001] = {.lex_state = 233},
  [6002] = {.lex_state = 386},
  [6003] = {.lex_state = 386},
  [6004] = {.lex_state = 233},
  [6005] = {.lex_state = 387},
  [6006] = {.lex_state = 386},
  [6007] = {.lex_state = 386},
  [6008] = {.lex_state = 386},
  [6009] = {.lex_state = 386},
  [6010] = {.lex_state = 386},
  [6011] = {.lex_state = 386},
  [6012] = {.lex_state = 386},
  [6013] = {.lex_state = 386},
  [6014] = {.lex_state = 233},
  [6015] = {.lex_state = 386},
  [6016] = {.lex_state = 386},
  [6017] = {.lex_state = 386},
  [6018] = {.lex_state = 386},
  [6019] = {.lex_state = 386},
  [6020] = {.lex_state = 387},
  [6021] = {.lex_state = 386},
  [6022] = {.lex_state = 386},
  [6023] = {.lex_state = 386},
  [6024] = {.lex_state = 386},
  [6025] = {.lex_state = 386},
  [6026] = {.lex_state = 233},
  [6027] = {.lex_state = 386},
  [6028] = {.lex_state = 233},
  [6029] = {.lex_state = 233},
  [6030] = {.lex_state = 386},
  [6031] = {.lex_state = 386},
  [6032] = {.lex_state = 387},
  [6033] = {.lex_state = 386},
  [6034] = {.lex_state = 386},
  [6035] = {.lex_state = 386},
  [6036] = {.lex_state = 284},
  [6037] = {.lex_state = 386},
  [6038] = {.lex_state = 271},
  [6039] = {.lex_state = 233},
  [6040] = {.lex_state = 226},
  [6041] = {.lex_state = 226},
  [6042] = {.lex_state = 226},
  [6043] = {.lex_state = 226},
  [6044] = {.lex_state = 226},
  [6045] = {.lex_state = 226},
  [6046] = {.lex_state = 226},
  [6047] = {.lex_state = 226},
  [6048] = {.lex_state = 226},
  [6049] = {.lex_state = 226},
  [6050] = {.lex_state = 226},
  [6051] = {.lex_state = 226},
  [6052] = {.lex_state = 226},
  [6053] = {.lex_state = 226},
  [6054] = {.lex_state = 226},
  [6055] = {.lex_state = 271},
  [6056] = {.lex_state = 226},
  [6057] = {.lex_state = 226},
  [6058] = {.lex_state = 226},
  [6059] = {.lex_state = 226},
  [6060] = {.lex_state = 205},
  [6061] = {.lex_state = 226},
  [6062] = {.lex_state = 226},
  [6063] = {.lex_state = 226},
  [6064] = {.lex_state = 226},
  [6065] = {.lex_state = 226},
  [6066] = {.lex_state = 226},
  [6067] = {.lex_state = 226},
  [6068] = {.lex_state = 226},
  [6069] = {.lex_state = 226},
  [6070] = {.lex_state = 238},
  [6071] = {.lex_state = 226},
  [6072] = {.lex_state = 226},
  [6073] = {.lex_state = 226},
  [6074] = {.lex_state = 271},
  [6075] = {.lex_state = 226},
  [6076] = {.lex_state = 226},
  [6077] = {.lex_state = 251},
  [6078] = {.lex_state = 226},
  [6079] = {.lex_state = 226},
  [6080] = {.lex_state = 226},
  [6081] = {.lex_state = 226},
  [6082] = {.lex_state = 226},
  [6083] = {.lex_state = 226},
  [6084] = {.lex_state = 226},
  [6085] = {.lex_state = 226},
  [6086] = {.lex_state = 226},
  [6087] = {.lex_state = 226},
  [6088] = {.lex_state = 226},
  [6089] = {.lex_state = 226},
  [6090] = {.lex_state = 226},
  [6091] = {.lex_state = 226},
  [6092] = {.lex_state = 226},
  [6093] = {.lex_state = 226},
  [6094] = {.lex_state = 226},
  [6095] = {.lex_state = 226},
  [6096] = {.lex_state = 111},
  [6097] = {.lex_state = 205},
  [6098] = {.lex_state = 205},
  [6099] = {.lex_state = 226},
  [6100] = {.lex_state = 226},
  [6101] = {.lex_state = 226},
  [6102] = {.lex_state = 251},
  [6103] = {.lex_state = 226},
  [6104] = {.lex_state = 226},
  [6105] = {.lex_state = 226},
  [6106] = {.lex_state = 226},
  [6107] = {.lex_state = 251},
  [6108] = {.lex_state = 226},
  [6109] = {.lex_state = 387},
  [6110] = {.lex_state = 226},
  [6111] = {.lex_state = 226},
  [6112] = {.lex_state = 226},
  [6113] = {.lex_state = 226},
  [6114] = {.lex_state = 226},
  [6115] = {.lex_state = 226},
  [6116] = {.lex_state = 226},
  [6117] = {.lex_state = 226},
  [6118] = {.lex_state = 226},
  [6119] = {.lex_state = 226},
  [6120] = {.lex_state = 226},
  [6121] = {.lex_state = 226},
  [6122] = {.lex_state = 226},
  [6123] = {.lex_state = 226},
  [6124] = {.lex_state = 226},
  [6125] = {.lex_state = 226},
  [6126] = {.lex_state = 226},
  [6127] = {.lex_state = 226},
  [6128] = {.lex_state = 226},
  [6129] = {.lex_state = 226},
  [6130] = {.lex_state = 226},
  [6131] = {.lex_state = 226},
  [6132] = {.lex_state = 226},
  [6133] = {.lex_state = 226},
  [6134] = {.lex_state = 226},
  [6135] = {.lex_state = 226},
  [6136] = {.lex_state = 226},
  [6137] = {.lex_state = 226},
  [6138] = {.lex_state = 226},
  [6139] = {.lex_state = 226},
  [6140] = {.lex_state = 226},
  [6141] = {.lex_state = 226},
  [6142] = {.lex_state = 226},
  [6143] = {.lex_state = 226},
  [6144] = {.lex_state = 226},
  [6145] = {.lex_state = 226},
  [6146] = {.lex_state = 226},
  [6147] = {.lex_state = 226},
  [6148] = {.lex_state = 226},
  [6149] = {.lex_state = 226},
  [6150] = {.lex_state = 226},
  [6151] = {.lex_state = 205},
  [6152] = {.lex_state = 251},
  [6153] = {.lex_state = 205},
  [6154] = {.lex_state = 284},
  [6155] = {.lex_state = 251},
  [6156] = {.lex_state = 271},
  [6157] = {.lex_state = 271},
  [6158] = {.lex_state = 205},
  [6159] = {.lex_state = 251},
  [6160] = {.lex_state = 271},
  [6161] = {.lex_state = 205},
  [6162] = {.lex_state = 205},
  [6163] = {.lex_state = 251},
  [6164] = {.lex_state = 205},
  [6165] = {.lex_state = 271},
  [6166] = {.lex_state = 251},
  [6167] = {.lex_state = 284},
  [6168] = {.lex_state = 251},
  [6169] = {.lex_state = 271},
  [6170] = {.lex_state = 205},
  [6171] = {.lex_state = 205},
  [6172] = {.lex_state = 271},
  [6173] = {.lex_state = 284},
  [6174] = {.lex_state = 205},
  [6175] = {.lex_state = 205},
  [6176] = {.lex_state = 251},
  [6177] = {.lex_state = 271},
  [6178] = {.lex_state = 205},
  [6179] = {.lex_state = 205},
  [6180] = {.lex_state = 205},
  [6181] = {.lex_state = 271},
  [6182] = {.lex_state = 284},
  [6183] = {.lex_state = 205},
  [6184] = {.lex_state = 205},
  [6185] = {.lex_state = 205},
  [6186] = {.lex_state = 271},
  [6187] = {.lex_state = 205},
  [6188] = {.lex_state = 205},
  [6189] = {.lex_state = 205},
  [6190] = {.lex_state = 205},
  [6191] = {.lex_state = 271},
  [6192] = {.lex_state = 251},
  [6193] = {.lex_state = 205},
  [6194] = {.lex_state = 251},
  [6195] = {.lex_state = 251},
  [6196] = {.lex_state = 205},
  [6197] = {.lex_state = 271},
  [6198] = {.lex_state = 205},
  [6199] = {.lex_state = 205},
  [6200] = {.lex_state = 251},
  [6201] = {.lex_state = 271},
  [6202] = {.lex_state = 205},
  [6203] = {.lex_state = 271},
  [6204] = {.lex_state = 284},
  [6205] = {.lex_state = 205},
  [6206] = {.lex_state = 205},
  [6207] = {.lex_state = 205},
  [6208] = {.lex_state = 237},
  [6209] = {.lex_state = 387},
  [6210] = {.lex_state = 205},
  [6211] = {.lex_state = 205},
  [6212] = {.lex_state = 271},
  [6213] = {.lex_state = 387},
  [6214] = {.lex_state = 284},
  [6215] = {.lex_state = 284},
  [6216] = {.lex_state = 205},
  [6217] = {.lex_state = 251},
  [6218] = {.lex_state = 284},
  [6219] = {.lex_state = 205},
  [6220] = {.lex_state = 271},
  [6221] = {.lex_state = 205},
  [6222] = {.lex_state = 205},
  [6223] = {.lex_state = 205},
  [6224] = {.lex_state = 271},
  [6225] = {.lex_state = 251},
  [6226] = {.lex_state = 251},
  [6227] = {.lex_state = 271},
  [6228] = {.lex_state = 205},
  [6229] = {.lex_state = 251},
  [6230] = {.lex_state = 251},
  [6231] = {.lex_state = 205},
  [6232] = {.lex_state = 284},
  [6233] = {.lex_state = 205},
  [6234] = {.lex_state = 205},
  [6235] = {.lex_state = 271},
  [6236] = {.lex_state = 251},
  [6237] = {.lex_state = 251},
  [6238] = {.lex_state = 251},
  [6239] = {.lex_state = 205},
  [6240] = {.lex_state = 251},
  [6241] = {.lex_state = 205},
  [6242] = {.lex_state = 387},
  [6243] = {.lex_state = 387},
  [6244] = {.lex_state = 111},
  [6245] = {.lex_state = 387},
  [6246] = {.lex_state = 387},
  [6247] = {.lex_state = 387},
  [6248] = {.lex_state = 284},
  [6249] = {.lex_state = 111},
  [6250] = {.lex_state = 387},
  [6251] = {.lex_state = 387},
  [6252] = {.lex_state = 387},
  [6253] = {.lex_state = 111},
  [6254] = {.lex_state = 387},
  [6255] = {.lex_state = 284},
  [6256] = {.lex_state = 281},
  [6257] = {.lex_state = 271},
  [6258] = {.lex_state = 111},
  [6259] = {.lex_state = 387},
  [6260] = {.lex_state = 271},
  [6261] = {.lex_state = 251},
  [6262] = {.lex_state = 387},
  [6263] = {.lex_state = 111},
  [6264] = {.lex_state = 111},
  [6265] = {.lex_state = 271},
  [6266] = {.lex_state = 111},
  [6267] = {.lex_state = 226},
  [6268] = {.lex_state = 387},
  [6269] = {.lex_state = 387},
  [6270] = {.lex_state = 111},
  [6271] = {.lex_state = 111},
  [6272] = {.lex_state = 226},
  [6273] = {.lex_state = 387},
  [6274] = {.lex_state = 111},
  [6275] = {.lex_state = 111},
  [6276] = {.lex_state = 111},
  [6277] = {.lex_state = 111},
  [6278] = {.lex_state = 111},
  [6279] = {.lex_state = 387},
  [6280] = {.lex_state = 387},
  [6281] = {.lex_state = 387},
  [6282] = {.lex_state = 271},
  [6283] = {.lex_state = 111},
  [6284] = {.lex_state = 387},
  [6285] = {.lex_state = 387},
  [6286] = {.lex_state = 387},
  [6287] = {.lex_state = 271},
  [6288] = {.lex_state = 226},
  [6289] = {.lex_state = 387},
  [6290] = {.lex_state = 111},
  [6291] = {.lex_state = 387},
  [6292] = {.lex_state = 387},
  [6293] = {.lex_state = 226},
  [6294] = {.lex_state = 284},
  [6295] = {.lex_state = 111},
  [6296] = {.lex_state = 387},
  [6297] = {.lex_state = 387},
  [6298] = {.lex_state = 387},
  [6299] = {.lex_state = 284},
  [6300] = {.lex_state = 387},
  [6301] = {.lex_state = 387},
  [6302] = {.lex_state = 111},
  [6303] = {.lex_state = 111},
  [6304] = {.lex_state = 111},
  [6305] = {.lex_state = 284},
  [6306] = {.lex_state = 387},
  [6307] = {.lex_state = 284},
  [6308] = {.lex_state = 111},
  [6309] = {.lex_state = 387},
  [6310] = {.lex_state = 284},
  [6311] = {.lex_state = 387},
  [6312] = {.lex_state = 387},
  [6313] = {.lex_state = 387},
  [6314] = {.lex_state = 284},
  [6315] = {.lex_state = 284},
  [6316] = {.lex_state = 284},
  [6317] = {.lex_state = 387},
  [6318] = {.lex_state = 387},
  [6319] = {.lex_state = 284},
  [6320] = {.lex_state = 284},
  [6321] = {.lex_state = 387},
  [6322] = {.lex_state = 387},
  [6323] = {.lex_state = 111},
  [6324] = {.lex_state = 111},
  [6325] = {.lex_state = 111},
  [6326] = {.lex_state = 251},
  [6327] = {.lex_state = 111},
  [6328] = {.lex_state = 284},
  [6329] = {.lex_state = 387},
  [6330] = {.lex_state = 284},
  [6331] = {.lex_state = 387},
  [6332] = {.lex_state = 387},
  [6333] = {.lex_state = 387},
  [6334] = {.lex_state = 284},
  [6335] = {.lex_state = 387},
  [6336] = {.lex_state = 271},
  [6337] = {.lex_state = 111},
  [6338] = {.lex_state = 284},
  [6339] = {.lex_state = 111},
  [6340] = {.lex_state = 284},
  [6341] = {.lex_state = 111},
  [6342] = {.lex_state = 284},
  [6343] = {.lex_state = 284},
  [6344] = {.lex_state = 284},
  [6345] = {.lex_state = 284},
  [6346] = {.lex_state = 387},
  [6347] = {.lex_state = 387},
  [6348] = {.lex_state = 387},
  [6349] = {.lex_state = 284},
  [6350] = {.lex_state = 387},
  [6351] = {.lex_state = 387},
  [6352] = {.lex_state = 111},
  [6353] = {.lex_state = 387},
  [6354] = {.lex_state = 111},
  [6355] = {.lex_state = 387},
  [6356] = {.lex_state = 111},
  [6357] = {.lex_state = 111},
  [6358] = {.lex_state = 284},
  [6359] = {.lex_state = 387},
  [6360] = {.lex_state = 111},
  [6361] = {.lex_state = 387},
  [6362] = {.lex_state = 387},
  [6363] = {.lex_state = 387},
  [6364] = {.lex_state = 111},
  [6365] = {.lex_state = 111},
  [6366] = {.lex_state = 281},
  [6367] = {.lex_state = 387},
  [6368] = {.lex_state = 281},
  [6369] = {.lex_state = 281},
  [6370] = {.lex_state = 281},
  [6371] = {.lex_state = 281},
  [6372] = {.lex_state = 281},
  [6373] = {.lex_state = 281},
  [6374] = {.lex_state = 387},
  [6375] = {.lex_state = 281},
  [6376] = {.lex_state = 387},
  [6377] = {.lex_state = 387},
  [6378] = {.lex_state = 387},
  [6379] = {.lex_state = 387},
  [6380] = {.lex_state = 237},
  [6381] = {.lex_state = 387},
  [6382] = {.lex_state = 387},
  [6383] = {.lex_state = 237},
  [6384] = {.lex_state = 282},
  [6385] = {.lex_state = 282},
  [6386] = {.lex_state = 387},
  [6387] = {.lex_state = 282},
  [6388] = {.lex_state = 387},
  [6389] = {.lex_state = 238},
  [6390] = {.lex_state = 387},
  [6391] = {.lex_state = 387},
  [6392] = {.lex_state = 237},
  [6393] = {.lex_state = 282},
  [6394] = {.lex_state = 387},
  [6395] = {.lex_state = 282},
  [6396] = {.lex_state = 284},
  [6397] = {.lex_state = 284},
  [6398] = {.lex_state = 387},
  [6399] = {.lex_state = 387},
  [6400] = {.lex_state = 282},
  [6401] = {.lex_state = 271},
  [6402] = {.lex_state = 284},
  [6403] = {.lex_state = 387},
  [6404] = {.lex_state = 387},
  [6405] = {.lex_state = 237},
  [6406] = {.lex_state = 203},
  [6407] = {.lex_state = 387},
  [6408] = {.lex_state = 203},
  [6409] = {.lex_state = 284},
  [6410] = {.lex_state = 282},
  [6411] = {.lex_state = 387},
  [6412] = {.lex_state = 282},
  [6413] = {.lex_state = 284},
  [6414] = {.lex_state = 282},
  [6415] = {.lex_state = 237},
  [6416] = {.lex_state = 203},
  [6417] = {.lex_state = 237},
  [6418] = {.lex_state = 237},
  [6419] = {.lex_state = 282},
  [6420] = {.lex_state = 281},
  [6421] = {.lex_state = 284},
  [6422] = {.lex_state = 203},
  [6423] = {.lex_state = 284},
  [6424] = {.lex_state = 237},
  [6425] = {.lex_state = 281},
  [6426] = {.lex_state = 387},
  [6427] = {.lex_state = 203},
  [6428] = {.lex_state = 282},
  [6429] = {.lex_state = 387},
  [6430] = {.lex_state = 387},
  [6431] = {.lex_state = 387},
  [6432] = {.lex_state = 282},
  [6433] = {.lex_state = 282},
  [6434] = {.lex_state = 284},
  [6435] = {.lex_state = 284},
  [6436] = {.lex_state = 271},
  [6437] = {.lex_state = 387},
  [6438] = {.lex_state = 203},
  [6439] = {.lex_state = 282},
  [6440] = {.lex_state = 387},
  [6441] = {.lex_state = 282},
  [6442] = {.lex_state = 387},
  [6443] = {.lex_state = 387},
  [6444] = {.lex_state = 203},
  [6445] = {.lex_state = 282},
  [6446] = {.lex_state = 387},
  [6447] = {.lex_state = 282},
  [6448] = {.lex_state = 203},
  [6449] = {.lex_state = 387},
  [6450] = {.lex_state = 282},
  [6451] = {.lex_state = 203},
  [6452] = {.lex_state = 387},
  [6453] = {.lex_state = 237},
  [6454] = {.lex_state = 282},
  [6455] = {.lex_state = 203},
  [6456] = {.lex_state = 387},
  [6457] = {.lex_state = 203},
  [6458] = {.lex_state = 282},
  [6459] = {.lex_state = 271},
  [6460] = {.lex_state = 271},
  [6461] = {.lex_state = 281},
  [6462] = {.lex_state = 237},
  [6463] = {.lex_state = 237},
  [6464] = {.lex_state = 282},
  [6465] = {.lex_state = 387},
  [6466] = {.lex_state = 284},
  [6467] = {.lex_state = 387},
  [6468] = {.lex_state = 387},
  [6469] = {.lex_state = 203},
  [6470] = {.lex_state = 237},
  [6471] = {.lex_state = 282},
  [6472] = {.lex_state = 281},
  [6473] = {.lex_state = 388},
  [6474] = {.lex_state = 282},
  [6475] = {.lex_state = 281},
  [6476] = {.lex_state = 277},
  [6477] = {.lex_state = 281},
  [6478] = {.lex_state = 281},
  [6479] = {.lex_state = 281},
  [6480] = {.lex_state = 284},
  [6481] = {.lex_state = 226},
  [6482] = {.lex_state = 281},
  [6483] = {.lex_state = 387},
  [6484] = {.lex_state = 281},
  [6485] = {.lex_state = 281},
  [6486] = {.lex_state = 281},
  [6487] = {.lex_state = 281},
  [6488] = {.lex_state = 281},
  [6489] = {.lex_state = 282},
  [6490] = {.lex_state = 281},
  [6491] = {.lex_state = 281},
  [6492] = {.lex_state = 281},
  [6493] = {.lex_state = 281},
  [6494] = {.lex_state = 281},
  [6495] = {.lex_state = 282},
  [6496] = {.lex_state = 282},
  [6497] = {.lex_state = 282},
  [6498] = {.lex_state = 388},
  [6499] = {.lex_state = 281},
  [6500] = {.lex_state = 281},
  [6501] = {.lex_state = 281},
  [6502] = {.lex_state = 226},
  [6503] = {.lex_state = 282},
  [6504] = {.lex_state = 282},
  [6505] = {.lex_state = 282},
  [6506] = {.lex_state = 281},
  [6507] = {.lex_state = 282},
  [6508] = {.lex_state = 226},
  [6509] = {.lex_state = 281},
  [6510] = {.lex_state = 387},
  [6511] = {.lex_state = 226},
  [6512] = {.lex_state = 281},
  [6513] = {.lex_state = 277},
  [6514] = {.lex_state = 282},
  [6515] = {.lex_state = 282},
  [6516] = {.lex_state = 282},
  [6517] = {.lex_state = 282},
  [6518] = {.lex_state = 203},
  [6519] = {.lex_state = 282},
  [6520] = {.lex_state = 282},
  [6521] = {.lex_state = 277},
  [6522] = {.lex_state = 282},
  [6523] = {.lex_state = 282},
  [6524] = {.lex_state = 282},
  [6525] = {.lex_state = 281},
  [6526] = {.lex_state = 389},
  [6527] = {.lex_state = 281},
  [6528] = {.lex_state = 284},
  [6529] = {.lex_state = 282},
  [6530] = {.lex_state = 281},
  [6531] = {.lex_state = 226},
  [6532] = {.lex_state = 282},
  [6533] = {.lex_state = 282},
  [6534] = {.lex_state = 281},
  [6535] = {.lex_state = 282},
  [6536] = {.lex_state = 281},
  [6537] = {.lex_state = 281},
  [6538] = {.lex_state = 282},
  [6539] = {.lex_state = 226},
  [6540] = {.lex_state = 203},
  [6541] = {.lex_state = 282},
  [6542] = {.lex_state = 282},
  [6543] = {.lex_state = 226},
  [6544] = {.lex_state = 284},
  [6545] = {.lex_state = 281},
  [6546] = {.lex_state = 226},
  [6547] = {.lex_state = 282},
  [6548] = {.lex_state = 206},
  [6549] = {.lex_state = 203},
  [6550] = {.lex_state = 264},
  [6551] = {.lex_state = 203},
  [6552] = {.lex_state = 264},
  [6553] = {.lex_state = 284},
  [6554] = {.lex_state = 284},
  [6555] = {.lex_state = 284},
  [6556] = {.lex_state = 203},
  [6557] = {.lex_state = 206},
  [6558] = {.lex_state = 284},
  [6559] = {.lex_state = 264},
  [6560] = {.lex_state = 284},
  [6561] = {.lex_state = 387},
  [6562] = {.lex_state = 284},
  [6563] = {.lex_state = 203},
  [6564] = {.lex_state = 203},
  [6565] = {.lex_state = 284},
  [6566] = {.lex_state = 206},
  [6567] = {.lex_state = 264},
  [6568] = {.lex_state = 206},
  [6569] = {.lex_state = 206},
  [6570] = {.lex_state = 206},
  [6571] = {.lex_state = 203},
  [6572] = {.lex_state = 264},
  [6573] = {.lex_state = 203},
  [6574] = {.lex_state = 387},
  [6575] = {.lex_state = 387},
  [6576] = {.lex_state = 387},
  [6577] = {.lex_state = 387},
  [6578] = {.lex_state = 387},
  [6579] = {.lex_state = 387},
  [6580] = {.lex_state = 206},
  [6581] = {.lex_state = 203},
  [6582] = {.lex_state = 387},
  [6583] = {.lex_state = 387},
  [6584] = {.lex_state = 387},
  [6585] = {.lex_state = 206},
  [6586] = {.lex_state = 206},
  [6587] = {.lex_state = 284},
  [6588] = {.lex_state = 203},
  [6589] = {.lex_state = 284},
  [6590] = {.lex_state = 284},
  [6591] = {.lex_state = 206},
  [6592] = {.lex_state = 264},
  [6593] = {.lex_state = 206},
  [6594] = {.lex_state = 206},
  [6595] = {.lex_state = 206},
  [6596] = {.lex_state = 206},
  [6597] = {.lex_state = 203},
  [6598] = {.lex_state = 203},
  [6599] = {.lex_state = 284},
  [6600] = {.lex_state = 387},
  [6601] = {.lex_state = 387},
  [6602] = {.lex_state = 206},
  [6603] = {.lex_state = 387},
  [6604] = {.lex_state = 387},
  [6605] = {.lex_state = 387},
  [6606] = {.lex_state = 387},
  [6607] = {.lex_state = 264},
  [6608] = {.lex_state = 387},
  [6609] = {.lex_state = 206},
  [6610] = {.lex_state = 203},
  [6611] = {.lex_state = 387},
  [6612] = {.lex_state = 226},
  [6613] = {.lex_state = 206},
  [6614] = {.lex_state = 206},
  [6615] = {.lex_state = 264},
  [6616] = {.lex_state = 284},
  [6617] = {.lex_state = 226},
  [6618] = {.lex_state = 226},
  [6619] = {.lex_state = 222},
  [6620] = {.lex_state = 222},
  [6621] = {.lex_state = 222},
  [6622] = {.lex_state = 281},
  [6623] = {.lex_state = 284},
  [6624] = {.lex_state = 284},
  [6625] = {.lex_state = 222},
  [6626] = {.lex_state = 284},
  [6627] = {.lex_state = 226},
  [6628] = {.lex_state = 222},
  [6629] = {.lex_state = 222},
  [6630] = {.lex_state = 234},
  [6631] = {.lex_state = 230},
  [6632] = {.lex_state = 226},
  [6633] = {.lex_state = 226},
  [6634] = {.lex_state = 222},
  [6635] = {.lex_state = 387},
  [6636] = {.lex_state = 226},
  [6637] = {.lex_state = 387},
  [6638] = {.lex_state = 226},
  [6639] = {.lex_state = 387},
  [6640] = {.lex_state = 234},
  [6641] = {.lex_state = 281},
  [6642] = {.lex_state = 387},
  [6643] = {.lex_state = 222},
  [6644] = {.lex_state = 226},
  [6645] = {.lex_state = 222},
  [6646] = {.lex_state = 226},
  [6647] = {.lex_state = 281},
  [6648] = {.lex_state = 388},
  [6649] = {.lex_state = 281},
  [6650] = {.lex_state = 388},
  [6651] = {.lex_state = 226},
  [6652] = {.lex_state = 388},
  [6653] = {.lex_state = 226},
  [6654] = {.lex_state = 234},
  [6655] = {.lex_state = 388},
  [6656] = {.lex_state = 226},
  [6657] = {.lex_state = 281},
  [6658] = {.lex_state = 281},
  [6659] = {.lex_state = 226},
  [6660] = {.lex_state = 388},
  [6661] = {.lex_state = 226},
  [6662] = {.lex_state = 226},
  [6663] = {.lex_state = 226},
  [6664] = {.lex_state = 234},
  [6665] = {.lex_state = 226},
  [6666] = {.lex_state = 388},
  [6667] = {.lex_state = 226},
  [6668] = {.lex_state = 222},
  [6669] = {.lex_state = 226},
  [6670] = {.lex_state = 222},
  [6671] = {.lex_state = 388},
  [6672] = {.lex_state = 226},
  [6673] = {.lex_state = 234},
  [6674] = {.lex_state = 222},
  [6675] = {.lex_state = 226},
  [6676] = {.lex_state = 388},
  [6677] = {.lex_state = 222},
  [6678] = {.lex_state = 388},
  [6679] = {.lex_state = 388},
  [6680] = {.lex_state = 388},
  [6681] = {.lex_state = 388},
  [6682] = {.lex_state = 222},
  [6683] = {.lex_state = 388},
  [6684] = {.lex_state = 226},
  [6685] = {.lex_state = 226},
  [6686] = {.lex_state = 222},
  [6687] = {.lex_state = 226},
  [6688] = {.lex_state = 234},
  [6689] = {.lex_state = 387},
  [6690] = {.lex_state = 226},
  [6691] = {.lex_state = 387},
  [6692] = {.lex_state = 234},
  [6693] = {.lex_state = 222},
  [6694] = {.lex_state = 226},
  [6695] = {.lex_state = 388},
  [6696] = {.lex_state = 234},
  [6697] = {.lex_state = 222},
  [6698] = {.lex_state = 388},
  [6699] = {.lex_state = 226},
  [6700] = {.lex_state = 284},
  [6701] = {.lex_state = 226},
  [6702] = {.lex_state = 231},
  [6703] = {.lex_state = 388},
  [6704] = {.lex_state = 222},
  [6705] = {.lex_state = 226},
  [6706] = {.lex_state = 387},
  [6707] = {.lex_state = 387},
  [6708] = {.lex_state = 281},
  [6709] = {.lex_state = 226},
  [6710] = {.lex_state = 387},
  [6711] = {.lex_state = 264},
  [6712] = {.lex_state = 264},
  [6713] = {.lex_state = 226},
  [6714] = {.lex_state = 222},
  [6715] = {.lex_state = 222},
  [6716] = {.lex_state = 388},
  [6717] = {.lex_state = 264},
  [6718] = {.lex_state = 222},
  [6719] = {.lex_state = 234},
  [6720] = {.lex_state = 264},
  [6721] = {.lex_state = 222},
  [6722] = {.lex_state = 284},
  [6723] = {.lex_state = 388},
  [6724] = {.lex_state = 226},
  [6725] = {.lex_state = 234},
  [6726] = {.lex_state = 222},
  [6727] = {.lex_state = 234},
  [6728] = {.lex_state = 284},
  [6729] = {.lex_state = 222},
  [6730] = {.lex_state = 264},
  [6731] = {.lex_state = 387},
  [6732] = {.lex_state = 388},
  [6733] = {.lex_state = 222},
  [6734] = {.lex_state = 226},
  [6735] = {.lex_state = 264},
  [6736] = {.lex_state = 284},
  [6737] = {.lex_state = 222},
  [6738] = {.lex_state = 264},
  [6739] = {.lex_state = 222},
  [6740] = {.lex_state = 284},
  [6741] = {.lex_state = 264},
  [6742] = {.lex_state = 388},
  [6743] = {.lex_state = 234},
  [6744] = {.lex_state = 387},
  [6745] = {.lex_state = 387},
  [6746] = {.lex_state = 387},
  [6747] = {.lex_state = 387},
  [6748] = {.lex_state = 277},
  [6749] = {.lex_state = 387},
  [6750] = {.lex_state = 387},
  [6751] = {.lex_state = 0},
  [6752] = {.lex_state = 387},
  [6753] = {.lex_state = 233},
  [6754] = {.lex_state = 387},
  [6755] = {.lex_state = 387},
  [6756] = {.lex_state = 233},
  [6757] = {.lex_state = 387},
  [6758] = {.lex_state = 203},
  [6759] = {.lex_state = 277},
  [6760] = {.lex_state = 387},
  [6761] = {.lex_state = 0},
  [6762] = {.lex_state = 233},
  [6763] = {.lex_state = 387},
  [6764] = {.lex_state = 226},
  [6765] = {.lex_state = 233},
  [6766] = {.lex_state = 387},
  [6767] = {.lex_state = 233},
  [6768] = {.lex_state = 387},
  [6769] = {.lex_state = 387},
  [6770] = {.lex_state = 387},
  [6771] = {.lex_state = 0},
  [6772] = {.lex_state = 387},
  [6773] = {.lex_state = 387},
  [6774] = {.lex_state = 0},
  [6775] = {.lex_state = 387},
  [6776] = {.lex_state = 387},
  [6777] = {.lex_state = 233},
  [6778] = {.lex_state = 387},
  [6779] = {.lex_state = 233},
  [6780] = {.lex_state = 387},
  [6781] = {.lex_state = 387},
  [6782] = {.lex_state = 0},
  [6783] = {.lex_state = 0},
  [6784] = {.lex_state = 387},
  [6785] = {.lex_state = 387},
  [6786] = {.lex_state = 387},
  [6787] = {.lex_state = 277},
  [6788] = {.lex_state = 387},
  [6789] = {.lex_state = 284},
  [6790] = {.lex_state = 387},
  [6791] = {.lex_state = 387},
  [6792] = {.lex_state = 387},
  [6793] = {.lex_state = 387},
  [6794] = {.lex_state = 284},
  [6795] = {.lex_state = 226},
  [6796] = {.lex_state = 226},
  [6797] = {.lex_state = 284},
  [6798] = {.lex_state = 284},
  [6799] = {.lex_state = 387},
  [6800] = {.lex_state = 284},
  [6801] = {.lex_state = 387},
  [6802] = {.lex_state = 284},
  [6803] = {.lex_state = 387},
  [6804] = {.lex_state = 387},
  [6805] = {.lex_state = 0},
  [6806] = {.lex_state = 387},
  [6807] = {.lex_state = 387},
  [6808] = {.lex_state = 284},
  [6809] = {.lex_state = 387},
  [6810] = {.lex_state = 387},
  [6811] = {.lex_state = 387},
  [6812] = {.lex_state = 277},
  [6813] = {.lex_state = 387},
  [6814] = {.lex_state = 387},
  [6815] = {.lex_state = 387},
  [6816] = {.lex_state = 387},
  [6817] = {.lex_state = 387},
  [6818] = {.lex_state = 387},
  [6819] = {.lex_state = 387},
  [6820] = {.lex_state = 0},
  [6821] = {.lex_state = 387},
  [6822] = {.lex_state = 387},
  [6823] = {.lex_state = 387},
  [6824] = {.lex_state = 387},
  [6825] = {.lex_state = 387},
  [6826] = {.lex_state = 387},
  [6827] = {.lex_state = 233},
  [6828] = {.lex_state = 387},
  [6829] = {.lex_state = 387},
  [6830] = {.lex_state = 387},
  [6831] = {.lex_state = 0},
  [6832] = {.lex_state = 226},
  [6833] = {.lex_state = 226},
  [6834] = {.lex_state = 387},
  [6835] = {.lex_state = 226},
  [6836] = {.lex_state = 226},
  [6837] = {.lex_state = 226},
  [6838] = {.lex_state = 226},
  [6839] = {.lex_state = 234},
  [6840] = {.lex_state = 0},
  [6841] = {.lex_state = 226},
  [6842] = {.lex_state = 234},
  [6843] = {.lex_state = 226},
  [6844] = {.lex_state = 226},
  [6845] = {.lex_state = 226},
  [6846] = {.lex_state = 226},
  [6847] = {.lex_state = 393},
  [6848] = {.lex_state = 387},
  [6849] = {.lex_state = 226},
  [6850] = {.lex_state = 393},
  [6851] = {.lex_state = 226},
  [6852] = {.lex_state = 387},
  [6853] = {.lex_state = 226},
  [6854] = {.lex_state = 264},
  [6855] = {.lex_state = 226},
  [6856] = {.lex_state = 264},
  [6857] = {.lex_state = 264},
  [6858] = {.lex_state = 264},
  [6859] = {.lex_state = 387},
  [6860] = {.lex_state = 387},
  [6861] = {.lex_state = 226},
  [6862] = {.lex_state = 226},
  [6863] = {.lex_state = 264},
  [6864] = {.lex_state = 387},
  [6865] = {.lex_state = 264},
  [6866] = {.lex_state = 226},
  [6867] = {.lex_state = 234},
  [6868] = {.lex_state = 264},
  [6869] = {.lex_state = 226},
  [6870] = {.lex_state = 226},
  [6871] = {.lex_state = 226},
  [6872] = {.lex_state = 387},
  [6873] = {.lex_state = 226},
  [6874] = {.lex_state = 226},
  [6875] = {.lex_state = 387},
  [6876] = {.lex_state = 226},
  [6877] = {.lex_state = 393},
  [6878] = {.lex_state = 387},
  [6879] = {.lex_state = 387},
  [6880] = {.lex_state = 226},
  [6881] = {.lex_state = 387},
  [6882] = {.lex_state = 393},
  [6883] = {.lex_state = 226},
  [6884] = {.lex_state = 226},
  [6885] = {.lex_state = 264},
  [6886] = {.lex_state = 264},
  [6887] = {.lex_state = 234},
  [6888] = {.lex_state = 264},
  [6889] = {.lex_state = 226},
  [6890] = {.lex_state = 264},
  [6891] = {.lex_state = 393},
  [6892] = {.lex_state = 264},
  [6893] = {.lex_state = 234},
  [6894] = {.lex_state = 387},
  [6895] = {.lex_state = 226},
  [6896] = {.lex_state = 226},
  [6897] = {.lex_state = 387},
  [6898] = {.lex_state = 387},
  [6899] = {.lex_state = 226},
  [6900] = {.lex_state = 226},
  [6901] = {.lex_state = 226},
  [6902] = {.lex_state = 226},
  [6903] = {.lex_state = 226},
  [6904] = {.lex_state = 387},
  [6905] = {.lex_state = 234},
  [6906] = {.lex_state = 226},
  [6907] = {.lex_state = 234},
  [6908] = {.lex_state = 234},
  [6909] = {.lex_state = 281},
  [6910] = {.lex_state = 226},
  [6911] = {.lex_state = 387},
  [6912] = {.lex_state = 231},
  [6913] = {.lex_state = 226},
  [6914] = {.lex_state = 226},
  [6915] = {.lex_state = 387},
  [6916] = {.lex_state = 226},
  [6917] = {.lex_state = 259},
  [6918] = {.lex_state = 259},
  [6919] = {.lex_state = 226},
  [6920] = {.lex_state = 233},
  [6921] = {.lex_state = 233},
  [6922] = {.lex_state = 259},
  [6923] = {.lex_state = 259},
  [6924] = {.lex_state = 233},
  [6925] = {.lex_state = 233},
  [6926] = {.lex_state = 226},
  [6927] = {.lex_state = 233},
  [6928] = {.lex_state = 226},
  [6929] = {.lex_state = 226},
  [6930] = {.lex_state = 226},
  [6931] = {.lex_state = 226},
  [6932] = {.lex_state = 259},
  [6933] = {.lex_state = 387},
  [6934] = {.lex_state = 226},
  [6935] = {.lex_state = 231},
  [6936] = {.lex_state = 259},
  [6937] = {.lex_state = 231},
  [6938] = {.lex_state = 226},
  [6939] = {.lex_state = 226},
  [6940] = {.lex_state = 226},
  [6941] = {.lex_state = 259},
  [6942] = {.lex_state = 226},
  [6943] = {.lex_state = 387},
  [6944] = {.lex_state = 226},
  [6945] = {.lex_state = 226},
  [6946] = {.lex_state = 226},
  [6947] = {.lex_state = 387},
  [6948] = {.lex_state = 226},
  [6949] = {.lex_state = 226},
  [6950] = {.lex_state = 226},
  [6951] = {.lex_state = 226},
  [6952] = {.lex_state = 226},
  [6953] = {.lex_state = 226},
  [6954] = {.lex_state = 226},
  [6955] = {.lex_state = 226},
  [6956] = {.lex_state = 226},
  [6957] = {.lex_state = 387},
  [6958] = {.lex_state = 387},
  [6959] = {.lex_state = 226},
  [6960] = {.lex_state = 233},
  [6961] = {.lex_state = 233},
  [6962] = {.lex_state = 226},
  [6963] = {.lex_state = 226},
  [6964] = {.lex_state = 233},
  [6965] = {.lex_state = 387},
  [6966] = {.lex_state = 233},
  [6967] = {.lex_state = 233},
  [6968] = {.lex_state = 226},
  [6969] = {.lex_state = 226},
  [6970] = {.lex_state = 387},
  [6971] = {.lex_state = 233},
  [6972] = {.lex_state = 226},
  [6973] = {.lex_state = 226},
  [6974] = {.lex_state = 226},
  [6975] = {.lex_state = 226},
  [6976] = {.lex_state = 281},
  [6977] = {.lex_state = 233},
  [6978] = {.lex_state = 226},
  [6979] = {.lex_state = 226},
  [6980] = {.lex_state = 226},
  [6981] = {.lex_state = 226},
  [6982] = {.lex_state = 226},
  [6983] = {.lex_state = 226},
  [6984] = {.lex_state = 226},
  [6985] = {.lex_state = 226},
  [6986] = {.lex_state = 226},
  [6987] = {.lex_state = 226},
  [6988] = {.lex_state = 226},
  [6989] = {.lex_state = 226},
  [6990] = {.lex_state = 281},
  [6991] = {.lex_state = 226},
  [6992] = {.lex_state = 226},
  [6993] = {.lex_state = 226},
  [6994] = {.lex_state = 271},
  [6995] = {.lex_state = 271},
  [6996] = {.lex_state = 226},
  [6997] = {.lex_state = 271},
  [6998] = {.lex_state = 264},
  [6999] = {.lex_state = 226},
  [7000] = {.lex_state = 264},
  [7001] = {.lex_state = 264},
  [7002] = {.lex_state = 264},
  [7003] = {.lex_state = 264},
  [7004] = {.lex_state = 271},
  [7005] = {.lex_state = 264},
  [7006] = {.lex_state = 271},
  [7007] = {.lex_state = 393},
  [7008] = {.lex_state = 271},
  [7009] = {.lex_state = 264},
  [7010] = {.lex_state = 271},
  [7011] = {.lex_state = 206},
  [7012] = {.lex_state = 387},
  [7013] = {.lex_state = 271},
  [7014] = {.lex_state = 271},
  [7015] = {.lex_state = 387},
  [7016] = {.lex_state = 271},
  [7017] = {.lex_state = 387},
  [7018] = {.lex_state = 387},
  [7019] = {.lex_state = 387},
  [7020] = {.lex_state = 387},
  [7021] = {.lex_state = 226},
  [7022] = {.lex_state = 387},
  [7023] = {.lex_state = 393},
  [7024] = {.lex_state = 226},
  [7025] = {.lex_state = 271},
  [7026] = {.lex_state = 271},
  [7027] = {.lex_state = 206},
  [7028] = {.lex_state = 271},
  [7029] = {.lex_state = 271},
  [7030] = {.lex_state = 226},
  [7031] = {.lex_state = 393},
  [7032] = {.lex_state = 271},
  [7033] = {.lex_state = 233},
  [7034] = {.lex_state = 226},
  [7035] = {.lex_state = 226},
  [7036] = {.lex_state = 226},
  [7037] = {.lex_state = 226},
  [7038] = {.lex_state = 278},
  [7039] = {.lex_state = 226},
  [7040] = {.lex_state = 226},
  [7041] = {.lex_state = 278},
  [7042] = {.lex_state = 226},
  [7043] = {.lex_state = 226},
  [7044] = {.lex_state = 233},
  [7045] = {.lex_state = 226},
  [7046] = {.lex_state = 226},
  [7047] = {.lex_state = 278},
  [7048] = {.lex_state = 226},
  [7049] = {.lex_state = 278},
  [7050] = {.lex_state = 226},
  [7051] = {.lex_state = 226},
  [7052] = {.lex_state = 226},
  [7053] = {.lex_state = 233},
  [7054] = {.lex_state = 226},
  [7055] = {.lex_state = 226},
  [7056] = {.lex_state = 226},
  [7057] = {.lex_state = 233},
  [7058] = {.lex_state = 226},
  [7059] = {.lex_state = 237},
  [7060] = {.lex_state = 226},
  [7061] = {.lex_state = 233},
  [7062] = {.lex_state = 233},
  [7063] = {.lex_state = 278},
  [7064] = {.lex_state = 226},
  [7065] = {.lex_state = 226},
  [7066] = {.lex_state = 226},
  [7067] = {.lex_state = 233},
  [7068] = {.lex_state = 226},
  [7069] = {.lex_state = 226},
  [7070] = {.lex_state = 237},
  [7071] = {.lex_state = 393},
  [7072] = {.lex_state = 226},
  [7073] = {.lex_state = 226},
  [7074] = {.lex_state = 226},
  [7075] = {.lex_state = 393},
  [7076] = {.lex_state = 226},
  [7077] = {.lex_state = 226},
  [7078] = {.lex_state = 226},
  [7079] = {.lex_state = 226},
  [7080] = {.lex_state = 226},
  [7081] = {.lex_state = 226},
  [7082] = {.lex_state = 226},
  [7083] = {.lex_state = 203},
  [7084] = {.lex_state = 226},
  [7085] = {.lex_state = 393},
  [7086] = {.lex_state = 393},
  [7087] = {.lex_state = 393},
  [7088] = {.lex_state = 393},
  [7089] = {.lex_state = 233},
  [7090] = {.lex_state = 284},
  [7091] = {.lex_state = 271},
  [7092] = {.lex_state = 393},
  [7093] = {.lex_state = 393},
  [7094] = {.lex_state = 226},
  [7095] = {.lex_state = 393},
  [7096] = {.lex_state = 226},
  [7097] = {.lex_state = 393},
  [7098] = {.lex_state = 226},
  [7099] = {.lex_state = 271},
  [7100] = {.lex_state = 233},
  [7101] = {.lex_state = 226},
  [7102] = {.lex_state = 234},
  [7103] = {.lex_state = 393},
  [7104] = {.lex_state = 393},
  [7105] = {.lex_state = 234},
  [7106] = {.lex_state = 393},
  [7107] = {.lex_state = 234},
  [7108] = {.lex_state = 393},
  [7109] = {.lex_state = 233},
  [7110] = {.lex_state = 393},
  [7111] = {.lex_state = 393},
  [7112] = {.lex_state = 234},
  [7113] = {.lex_state = 234},
  [7114] = {.lex_state = 384},
  [7115] = {.lex_state = 393},
  [7116] = {.lex_state = 393},
  [7117] = {.lex_state = 393},
  [7118] = {.lex_state = 393},
  [7119] = {.lex_state = 393},
  [7120] = {.lex_state = 393},
  [7121] = {.lex_state = 284},
  [7122] = {.lex_state = 226},
  [7123] = {.lex_state = 233},
  [7124] = {.lex_state = 226},
  [7125] = {.lex_state = 226},
  [7126] = {.lex_state = 206},
  [7127] = {.lex_state = 281},
  [7128] = {.lex_state = 393},
  [7129] = {.lex_state = 203},
  [7130] = {.lex_state = 393},
  [7131] = {.lex_state = 393},
  [7132] = {.lex_state = 203},
  [7133] = {.lex_state = 281},
  [7134] = {.lex_state = 226},
  [7135] = {.lex_state = 393},
  [7136] = {.lex_state = 226},
  [7137] = {.lex_state = 393},
  [7138] = {.lex_state = 233},
  [7139] = {.lex_state = 393},
  [7140] = {.lex_state = 231},
  [7141] = {.lex_state = 231},
  [7142] = {.lex_state = 233},
  [7143] = {.lex_state = 226},
  [7144] = {.lex_state = 234},
  [7145] = {.lex_state = 226},
  [7146] = {.lex_state = 226},
  [7147] = {.lex_state = 234},
  [7148] = {.lex_state = 203},
  [7149] = {.lex_state = 393},
  [7150] = {.lex_state = 237},
  [7151] = {.lex_state = 203},
  [7152] = {.lex_state = 284},
  [7153] = {.lex_state = 231},
  [7154] = {.lex_state = 203},
  [7155] = {.lex_state = 233},
  [7156] = {.lex_state = 237},
  [7157] = {.lex_state = 393},
  [7158] = {.lex_state = 203},
  [7159] = {.lex_state = 393},
  [7160] = {.lex_state = 203},
  [7161] = {.lex_state = 237},
  [7162] = {.lex_state = 226},
  [7163] = {.lex_state = 203},
  [7164] = {.lex_state = 226},
  [7165] = {.lex_state = 203},
  [7166] = {.lex_state = 203},
  [7167] = {.lex_state = 203},
  [7168] = {.lex_state = 203},
  [7169] = {.lex_state = 233},
  [7170] = {.lex_state = 226},
  [7171] = {.lex_state = 203},
  [7172] = {.lex_state = 226},
  [7173] = {.lex_state = 226},
  [7174] = {.lex_state = 393},
  [7175] = {.lex_state = 203},
  [7176] = {.lex_state = 203},
  [7177] = {.lex_state = 203},
  [7178] = {.lex_state = 393},
  [7179] = {.lex_state = 393},
  [7180] = {.lex_state = 226},
  [7181] = {.lex_state = 203},
  [7182] = {.lex_state = 203},
  [7183] = {.lex_state = 203},
  [7184] = {.lex_state = 203},
  [7185] = {.lex_state = 233},
  [7186] = {.lex_state = 226},
  [7187] = {.lex_state = 203},
  [7188] = {.lex_state = 226},
  [7189] = {.lex_state = 226},
  [7190] = {.lex_state = 226},
  [7191] = {.lex_state = 393},
  [7192] = {.lex_state = 203},
  [7193] = {.lex_state = 203},
  [7194] = {.lex_state = 233},
  [7195] = {.lex_state = 226},
  [7196] = {.lex_state = 203},
  [7197] = {.lex_state = 281},
  [7198] = {.lex_state = 226},
  [7199] = {.lex_state = 281},
  [7200] = {.lex_state = 281},
  [7201] = {.lex_state = 226},
  [7202] = {.lex_state = 284},
  [7203] = {.lex_state = 233},
  [7204] = {.lex_state = 226},
  [7205] = {.lex_state = 226},
  [7206] = {.lex_state = 226},
  [7207] = {.lex_state = 226},
  [7208] = {.lex_state = 281},
  [7209] = {.lex_state = 393},
  [7210] = {.lex_state = 393},
  [7211] = {.lex_state = 226},
  [7212] = {.lex_state = 226},
  [7213] = {.lex_state = 281},
  [7214] = {.lex_state = 281},
  [7215] = {.lex_state = 226},
  [7216] = {.lex_state = 226},
  [7217] = {.lex_state = 281},
  [7218] = {.lex_state = 203},
  [7219] = {.lex_state = 281},
  [7220] = {.lex_state = 281},
  [7221] = {.lex_state = 226},
  [7222] = {.lex_state = 226},
  [7223] = {.lex_state = 281},
  [7224] = {.lex_state = 0},
  [7225] = {.lex_state = 393},
  [7226] = {.lex_state = 281},
  [7227] = {.lex_state = 281},
  [7228] = {.lex_state = 393},
  [7229] = {.lex_state = 281},
  [7230] = {.lex_state = 226},
  [7231] = {.lex_state = 226},
  [7232] = {.lex_state = 226},
  [7233] = {.lex_state = 226},
  [7234] = {.lex_state = 226},
  [7235] = {.lex_state = 393},
  [7236] = {.lex_state = 231},
  [7237] = {.lex_state = 281},
  [7238] = {.lex_state = 281},
  [7239] = {.lex_state = 0},
  [7240] = {.lex_state = 226},
  [7241] = {.lex_state = 226},
  [7242] = {.lex_state = 281},
  [7243] = {.lex_state = 226},
  [7244] = {.lex_state = 281},
  [7245] = {.lex_state = 226},
  [7246] = {.lex_state = 0},
  [7247] = {.lex_state = 281},
  [7248] = {.lex_state = 226},
  [7249] = {.lex_state = 206},
  [7250] = {.lex_state = 226},
  [7251] = {.lex_state = 393},
  [7252] = {.lex_state = 281},
  [7253] = {.lex_state = 226},
  [7254] = {.lex_state = 203},
  [7255] = {.lex_state = 226},
  [7256] = {.lex_state = 203},
  [7257] = {.lex_state = 226},
  [7258] = {.lex_state = 226},
  [7259] = {.lex_state = 206},
  [7260] = {.lex_state = 226},
  [7261] = {.lex_state = 206},
  [7262] = {.lex_state = 226},
  [7263] = {.lex_state = 226},
  [7264] = {.lex_state = 226},
  [7265] = {.lex_state = 226},
  [7266] = {.lex_state = 226},
  [7267] = {.lex_state = 226},
  [7268] = {.lex_state = 226},
  [7269] = {.lex_state = 226},
  [7270] = {.lex_state = 226},
  [7271] = {.lex_state = 393},
  [7272] = {.lex_state = 226},
  [7273] = {.lex_state = 393},
  [7274] = {.lex_state = 226},
  [7275] = {.lex_state = 226},
  [7276] = {.lex_state = 226},
  [7277] = {.lex_state = 264},
  [7278] = {.lex_state = 226},
  [7279] = {.lex_state = 226},
  [7280] = {.lex_state = 226},
  [7281] = {.lex_state = 203},
  [7282] = {.lex_state = 393},
  [7283] = {.lex_state = 226},
  [7284] = {.lex_state = 226},
  [7285] = {.lex_state = 226},
  [7286] = {.lex_state = 226},
  [7287] = {.lex_state = 226},
  [7288] = {.lex_state = 203},
  [7289] = {.lex_state = 226},
  [7290] = {.lex_state = 226},
  [7291] = {.lex_state = 226},
  [7292] = {.lex_state = 226},
  [7293] = {.lex_state = 226},
  [7294] = {.lex_state = 226},
  [7295] = {.lex_state = 226},
  [7296] = {.lex_state = 264},
  [7297] = {.lex_state = 226},
  [7298] = {.lex_state = 226},
  [7299] = {.lex_state = 226},
  [7300] = {.lex_state = 226},
  [7301] = {.lex_state = 206},
  [7302] = {.lex_state = 226},
  [7303] = {.lex_state = 206},
  [7304] = {.lex_state = 226},
  [7305] = {.lex_state = 226},
  [7306] = {.lex_state = 226},
  [7307] = {.lex_state = 226},
  [7308] = {.lex_state = 226},
  [7309] = {.lex_state = 226},
  [7310] = {.lex_state = 226},
  [7311] = {.lex_state = 226},
  [7312] = {.lex_state = 226},
  [7313] = {.lex_state = 226},
  [7314] = {.lex_state = 226},
  [7315] = {.lex_state = 393},
  [7316] = {.lex_state = 226},
  [7317] = {.lex_state = 206},
  [7318] = {.lex_state = 393},
  [7319] = {.lex_state = 206},
  [7320] = {.lex_state = 226},
  [7321] = {.lex_state = 226},
  [7322] = {.lex_state = 226},
  [7323] = {.lex_state = 226},
  [7324] = {.lex_state = 226},
  [7325] = {.lex_state = 203},
  [7326] = {.lex_state = 281},
  [7327] = {.lex_state = 226},
  [7328] = {.lex_state = 118},
  [7329] = {.lex_state = 203},
  [7330] = {.lex_state = 118},
  [7331] = {.lex_state = 226},
  [7332] = {.lex_state = 118},
  [7333] = {.lex_state = 0},
  [7334] = {.lex_state = 118},
  [7335] = {.lex_state = 118},
  [7336] = {.lex_state = 226},
  [7337] = {.lex_state = 0},
  [7338] = {.lex_state = 206},
  [7339] = {.lex_state = 118},
  [7340] = {.lex_state = 203},
  [7341] = {.lex_state = 393},
  [7342] = {.lex_state = 118},
  [7343] = {.lex_state = 0},
  [7344] = {.lex_state = 203},
  [7345] = {.lex_state = 206},
  [7346] = {.lex_state = 226},
  [7347] = {.lex_state = 118},
  [7348] = {.lex_state = 393},
  [7349] = {.lex_state = 226},
  [7350] = {.lex_state = 118},
  [7351] = {.lex_state = 226},
  [7352] = {.lex_state = 226},
  [7353] = {.lex_state = 226},
  [7354] = {.lex_state = 393},
  [7355] = {.lex_state = 0},
  [7356] = {.lex_state = 393},
  [7357] = {.lex_state = 393},
  [7358] = {.lex_state = 226},
  [7359] = {.lex_state = 118},
  [7360] = {.lex_state = 118},
  [7361] = {.lex_state = 393},
  [7362] = {.lex_state = 206},
  [7363] = {.lex_state = 393},
  [7364] = {.lex_state = 0},
  [7365] = {.lex_state = 0},
  [7366] = {.lex_state = 206},
  [7367] = {.lex_state = 118},
  [7368] = {.lex_state = 0},
  [7369] = {.lex_state = 118},
  [7370] = {.lex_state = 203},
  [7371] = {.lex_state = 226},
  [7372] = {.lex_state = 0},
  [7373] = {.lex_state = 226},
  [7374] = {.lex_state = 118},
  [7375] = {.lex_state = 120},
  [7376] = {.lex_state = 226},
  [7377] = {.lex_state = 393},
  [7378] = {.lex_state = 393},
  [7379] = {.lex_state = 226},
  [7380] = {.lex_state = 203},
  [7381] = {.lex_state = 118},
  [7382] = {.lex_state = 203},
  [7383] = {.lex_state = 118},
  [7384] = {.lex_state = 206},
  [7385] = {.lex_state = 121},
  [7386] = {.lex_state = 281},
  [7387] = {.lex_state = 203},
  [7388] = {.lex_state = 206},
  [7389] = {.lex_state = 0},
  [7390] = {.lex_state = 206},
  [7391] = {.lex_state = 206},
  [7392] = {.lex_state = 203},
  [7393] = {.lex_state = 393},
  [7394] = {.lex_state = 0},
  [7395] = {.lex_state = 226},
  [7396] = {.lex_state = 226},
  [7397] = {.lex_state = 118},
  [7398] = {.lex_state = 206},
  [7399] = {.lex_state = 120},
  [7400] = {.lex_state = 393},
  [7401] = {.lex_state = 206},
  [7402] = {.lex_state = 393},
  [7403] = {.lex_state = 120},
  [7404] = {.lex_state = 118},
  [7405] = {.lex_state = 281},
  [7406] = {.lex_state = 393},
  [7407] = {.lex_state = 118},
  [7408] = {.lex_state = 226},
  [7409] = {.lex_state = 393},
  [7410] = {.lex_state = 206},
  [7411] = {.lex_state = 203},
  [7412] = {.lex_state = 393},
  [7413] = {.lex_state = 393},
  [7414] = {.lex_state = 118},
  [7415] = {.lex_state = 120},
  [7416] = {.lex_state = 203},
  [7417] = {.lex_state = 226},
  [7418] = {.lex_state = 393},
  [7419] = {.lex_state = 203},
  [7420] = {.lex_state = 0},
  [7421] = {.lex_state = 203},
  [7422] = {.lex_state = 226},
  [7423] = {.lex_state = 281},
  [7424] = {.lex_state = 118},
  [7425] = {.lex_state = 206},
  [7426] = {.lex_state = 226},
  [7427] = {.lex_state = 206},
  [7428] = {.lex_state = 281},
  [7429] = {.lex_state = 203},
  [7430] = {.lex_state = 120},
  [7431] = {.lex_state = 226},
  [7432] = {.lex_state = 226},
  [7433] = {.lex_state = 206},
  [7434] = {.lex_state = 206},
  [7435] = {.lex_state = 206},
  [7436] = {.lex_state = 121},
  [7437] = {.lex_state = 203},
  [7438] = {.lex_state = 264},
  [7439] = {.lex_state = 0},
  [7440] = {.lex_state = 226},
  [7441] = {.lex_state = 118},
  [7442] = {.lex_state = 120},
  [7443] = {.lex_state = 206},
  [7444] = {.lex_state = 226},
  [7445] = {.lex_state = 206},
  [7446] = {.lex_state = 121},
  [7447] = {.lex_state = 118},
  [7448] = {.lex_state = 226},
  [7449] = {.lex_state = 118},
  [7450] = {.lex_state = 226},
  [7451] = {.lex_state = 0},
  [7452] = {.lex_state = 118},
  [7453] = {.lex_state = 118},
  [7454] = {.lex_state = 393},
  [7455] = {.lex_state = 226},
  [7456] = {.lex_state = 393},
  [7457] = {.lex_state = 120},
  [7458] = {.lex_state = 118},
  [7459] = {.lex_state = 226},
  [7460] = {.lex_state = 203},
  [7461] = {.lex_state = 226},
  [7462] = {.lex_state = 226},
  [7463] = {.lex_state = 226},
  [7464] = {.lex_state = 203},
  [7465] = {.lex_state = 393},
  [7466] = {.lex_state = 393},
  [7467] = {.lex_state = 203},
  [7468] = {.lex_state = 121},
  [7469] = {.lex_state = 393},
  [7470] = {.lex_state = 281},
  [7471] = {.lex_state = 226},
  [7472] = {.lex_state = 226},
  [7473] = {.lex_state = 393},
  [7474] = {.lex_state = 0},
  [7475] = {.lex_state = 226},
  [7476] = {.lex_state = 226},
  [7477] = {.lex_state = 118},
  [7478] = {.lex_state = 226},
  [7479] = {.lex_state = 206},
  [7480] = {.lex_state = 121},
  [7481] = {.lex_state = 281},
  [7482] = {.lex_state = 393},
  [7483] = {.lex_state = 206},
  [7484] = {.lex_state = 226},
  [7485] = {.lex_state = 393},
  [7486] = {.lex_state = 203},
  [7487] = {.lex_state = 226},
  [7488] = {.lex_state = 203},
  [7489] = {.lex_state = 206},
  [7490] = {.lex_state = 393},
  [7491] = {.lex_state = 226},
  [7492] = {.lex_state = 203},
  [7493] = {.lex_state = 226},
  [7494] = {.lex_state = 118},
  [7495] = {.lex_state = 120},
  [7496] = {.lex_state = 203},
  [7497] = {.lex_state = 0},
  [7498] = {.lex_state = 226},
  [7499] = {.lex_state = 206},
  [7500] = {.lex_state = 226},
  [7501] = {.lex_state = 206},
  [7502] = {.lex_state = 118},
  [7503] = {.lex_state = 206},
  [7504] = {.lex_state = 393},
  [7505] = {.lex_state = 226},
  [7506] = {.lex_state = 281},
  [7507] = {.lex_state = 118},
  [7508] = {.lex_state = 226},
  [7509] = {.lex_state = 118},
  [7510] = {.lex_state = 203},
  [7511] = {.lex_state = 118},
  [7512] = {.lex_state = 206},
  [7513] = {.lex_state = 203},
  [7514] = {.lex_state = 118},
  [7515] = {.lex_state = 226},
  [7516] = {.lex_state = 226},
  [7517] = {.lex_state = 118},
  [7518] = {.lex_state = 0},
  [7519] = {.lex_state = 203},
  [7520] = {.lex_state = 203},
  [7521] = {.lex_state = 203},
  [7522] = {.lex_state = 120},
  [7523] = {.lex_state = 393},
  [7524] = {.lex_state = 393},
  [7525] = {.lex_state = 203},
  [7526] = {.lex_state = 206},
  [7527] = {.lex_state = 121},
  [7528] = {.lex_state = 393},
  [7529] = {.lex_state = 226},
  [7530] = {.lex_state = 226},
  [7531] = {.lex_state = 226},
  [7532] = {.lex_state = 206},
  [7533] = {.lex_state = 203},
  [7534] = {.lex_state = 393},
  [7535] = {.lex_state = 393},
  [7536] = {.lex_state = 121},
  [7537] = {.lex_state = 0},
  [7538] = {.lex_state = 203},
  [7539] = {.lex_state = 393},
  [7540] = {.lex_state = 203},
  [7541] = {.lex_state = 281},
  [7542] = {.lex_state = 393},
  [7543] = {.lex_state = 118},
  [7544] = {.lex_state = 206},
  [7545] = {.lex_state = 120},
  [7546] = {.lex_state = 206},
  [7547] = {.lex_state = 118},
  [7548] = {.lex_state = 393},
  [7549] = {.lex_state = 121},
  [7550] = {.lex_state = 226},
  [7551] = {.lex_state = 0},
  [7552] = {.lex_state = 206},
  [7553] = {.lex_state = 226},
  [7554] = {.lex_state = 206},
  [7555] = {.lex_state = 0},
  [7556] = {.lex_state = 120},
  [7557] = {.lex_state = 118},
  [7558] = {.lex_state = 206},
  [7559] = {.lex_state = 226},
  [7560] = {.lex_state = 206},
  [7561] = {.lex_state = 226},
  [7562] = {.lex_state = 226},
  [7563] = {.lex_state = 121},
  [7564] = {.lex_state = 203},
  [7565] = {.lex_state = 226},
  [7566] = {.lex_state = 206},
  [7567] = {.lex_state = 281},
  [7568] = {.lex_state = 120},
  [7569] = {.lex_state = 118},
  [7570] = {.lex_state = 226},
  [7571] = {.lex_state = 226},
  [7572] = {.lex_state = 203},
  [7573] = {.lex_state = 206},
  [7574] = {.lex_state = 393},
  [7575] = {.lex_state = 393},
  [7576] = {.lex_state = 393},
  [7577] = {.lex_state = 393},
  [7578] = {.lex_state = 393},
  [7579] = {.lex_state = 393},
  [7580] = {.lex_state = 281},
  [7581] = {.lex_state = 226},
  [7582] = {.lex_state = 118},
  [7583] = {.lex_state = 120},
  [7584] = {.lex_state = 203},
  [7585] = {.lex_state = 393},
  [7586] = {.lex_state = 206},
  [7587] = {.lex_state = 393},
  [7588] = {.lex_state = 206},
  [7589] = {.lex_state = 393},
  [7590] = {.lex_state = 118},
  [7591] = {.lex_state = 226},
  [7592] = {.lex_state = 203},
  [7593] = {.lex_state = 120},
  [7594] = {.lex_state = 206},
  [7595] = {.lex_state = 226},
  [7596] = {.lex_state = 206},
  [7597] = {.lex_state = 393},
  [7598] = {.lex_state = 393},
  [7599] = {.lex_state = 0},
  [7600] = {.lex_state = 226},
  [7601] = {.lex_state = 393},
  [7602] = {.lex_state = 226},
  [7603] = {.lex_state = 226},
  [7604] = {.lex_state = 118},
  [7605] = {.lex_state = 206},
  [7606] = {.lex_state = 0},
  [7607] = {.lex_state = 206},
  [7608] = {.lex_state = 226},
  [7609] = {.lex_state = 393},
  [7610] = {.lex_state = 120},
  [7611] = {.lex_state = 118},
  [7612] = {.lex_state = 0},
  [7613] = {.lex_state = 206},
  [7614] = {.lex_state = 226},
  [7615] = {.lex_state = 393},
  [7616] = {.lex_state = 393},
  [7617] = {.lex_state = 393},
  [7618] = {.lex_state = 226},
  [7619] = {.lex_state = 393},
  [7620] = {.lex_state = 393},
  [7621] = {.lex_state = 393},
  [7622] = {.lex_state = 206},
  [7623] = {.lex_state = 206},
  [7624] = {.lex_state = 226},
  [7625] = {.lex_state = 226},
  [7626] = {.lex_state = 206},
  [7627] = {.lex_state = 393},
  [7628] = {.lex_state = 203},
  [7629] = {.lex_state = 393},
  [7630] = {.lex_state = 203},
  [7631] = {.lex_state = 393},
  [7632] = {.lex_state = 226},
  [7633] = {.lex_state = 226},
  [7634] = {.lex_state = 206},
  [7635] = {.lex_state = 0},
  [7636] = {.lex_state = 281},
  [7637] = {.lex_state = 226},
  [7638] = {.lex_state = 393},
  [7639] = {.lex_state = 0},
  [7640] = {.lex_state = 0},
  [7641] = {.lex_state = 226},
  [7642] = {.lex_state = 393},
  [7643] = {.lex_state = 0},
  [7644] = {.lex_state = 0},
  [7645] = {.lex_state = 0},
  [7646] = {.lex_state = 0},
  [7647] = {.lex_state = 206},
  [7648] = {.lex_state = 206},
  [7649] = {.lex_state = 0},
  [7650] = {.lex_state = 0},
  [7651] = {.lex_state = 0},
  [7652] = {.lex_state = 226},
  [7653] = {.lex_state = 206},
  [7654] = {.lex_state = 206},
  [7655] = {.lex_state = 226},
  [7656] = {.lex_state = 226},
  [7657] = {.lex_state = 0},
  [7658] = {.lex_state = 206},
  [7659] = {.lex_state = 206},
  [7660] = {.lex_state = 0},
  [7661] = {.lex_state = 206},
  [7662] = {.lex_state = 206},
  [7663] = {.lex_state = 0},
  [7664] = {.lex_state = 206},
  [7665] = {.lex_state = 0},
  [7666] = {.lex_state = 206},
  [7667] = {.lex_state = 120},
  [7668] = {.lex_state = 393},
  [7669] = {.lex_state = 393},
  [7670] = {.lex_state = 226},
  [7671] = {.lex_state = 226},
  [7672] = {.lex_state = 226},
  [7673] = {.lex_state = 0},
  [7674] = {.lex_state = 0},
  [7675] = {.lex_state = 206},
  [7676] = {.lex_state = 0},
  [7677] = {.lex_state = 0},
  [7678] = {.lex_state = 206},
  [7679] = {.lex_state = 206},
  [7680] = {.lex_state = 120},
  [7681] = {.lex_state = 0},
  [7682] = {.lex_state = 0},
  [7683] = {.lex_state = 0},
  [7684] = {.lex_state = 203},
  [7685] = {.lex_state = 0},
  [7686] = {.lex_state = 206},
  [7687] = {.lex_state = 226},
  [7688] = {.lex_state = 226},
  [7689] = {.lex_state = 0},
  [7690] = {.lex_state = 0},
  [7691] = {.lex_state = 226},
  [7692] = {.lex_state = 0},
  [7693] = {.lex_state = 0},
  [7694] = {.lex_state = 393},
  [7695] = {.lex_state = 393},
  [7696] = {.lex_state = 123},
  [7697] = {.lex_state = 393},
  [7698] = {.lex_state = 0},
  [7699] = {.lex_state = 206},
  [7700] = {.lex_state = 0},
  [7701] = {.lex_state = 226},
  [7702] = {.lex_state = 0},
  [7703] = {.lex_state = 226},
  [7704] = {.lex_state = 206},
  [7705] = {.lex_state = 226},
  [7706] = {.lex_state = 206},
  [7707] = {.lex_state = 226},
  [7708] = {.lex_state = 0},
  [7709] = {.lex_state = 226},
  [7710] = {.lex_state = 0},
  [7711] = {.lex_state = 120},
  [7712] = {.lex_state = 0},
  [7713] = {.lex_state = 393},
  [7714] = {.lex_state = 0},
  [7715] = {.lex_state = 226},
  [7716] = {.lex_state = 226},
  [7717] = {.lex_state = 0},
  [7718] = {.lex_state = 0},
  [7719] = {.lex_state = 0},
  [7720] = {.lex_state = 226},
  [7721] = {.lex_state = 393},
  [7722] = {.lex_state = 0},
  [7723] = {.lex_state = 226},
  [7724] = {.lex_state = 0},
  [7725] = {.lex_state = 0},
  [7726] = {.lex_state = 0},
  [7727] = {.lex_state = 0},
  [7728] = {.lex_state = 393},
  [7729] = {.lex_state = 0},
  [7730] = {.lex_state = 0},
  [7731] = {.lex_state = 0},
  [7732] = {.lex_state = 0},
  [7733] = {.lex_state = 0},
  [7734] = {.lex_state = 0},
  [7735] = {.lex_state = 0},
  [7736] = {.lex_state = 189},
  [7737] = {.lex_state = 0},
  [7738] = {.lex_state = 393},
  [7739] = {.lex_state = 393},
  [7740] = {.lex_state = 206},
  [7741] = {.lex_state = 0},
  [7742] = {.lex_state = 0},
  [7743] = {.lex_state = 0},
  [7744] = {.lex_state = 0},
  [7745] = {.lex_state = 226},
  [7746] = {.lex_state = 0},
  [7747] = {.lex_state = 0},
  [7748] = {.lex_state = 0},
  [7749] = {.lex_state = 123},
  [7750] = {.lex_state = 0},
  [7751] = {.lex_state = 206},
  [7752] = {.lex_state = 0},
  [7753] = {.lex_state = 0},
  [7754] = {.lex_state = 206},
  [7755] = {.lex_state = 0},
  [7756] = {.lex_state = 0},
  [7757] = {.lex_state = 0},
  [7758] = {.lex_state = 0},
  [7759] = {.lex_state = 226},
  [7760] = {.lex_state = 206},
  [7761] = {.lex_state = 393},
  [7762] = {.lex_state = 226},
  [7763] = {.lex_state = 226},
  [7764] = {.lex_state = 226},
  [7765] = {.lex_state = 0},
  [7766] = {.lex_state = 0},
  [7767] = {.lex_state = 0},
  [7768] = {.lex_state = 0},
  [7769] = {.lex_state = 120},
  [7770] = {.lex_state = 0},
  [7771] = {.lex_state = 206},
  [7772] = {.lex_state = 226},
  [7773] = {.lex_state = 393},
  [7774] = {.lex_state = 0},
  [7775] = {.lex_state = 0},
  [7776] = {.lex_state = 226},
  [7777] = {.lex_state = 0},
  [7778] = {.lex_state = 0},
  [7779] = {.lex_state = 0},
  [7780] = {.lex_state = 206},
  [7781] = {.lex_state = 206},
  [7782] = {.lex_state = 206},
  [7783] = {.lex_state = 226},
  [7784] = {.lex_state = 0},
  [7785] = {.lex_state = 206},
  [7786] = {.lex_state = 0},
  [7787] = {.lex_state = 0},
  [7788] = {.lex_state = 0},
  [7789] = {.lex_state = 0},
  [7790] = {.lex_state = 226},
  [7791] = {.lex_state = 0},
  [7792] = {.lex_state = 0},
  [7793] = {.lex_state = 393},
  [7794] = {.lex_state = 0},
  [7795] = {.lex_state = 206},
  [7796] = {.lex_state = 0},
  [7797] = {.lex_state = 206},
  [7798] = {.lex_state = 226},
  [7799] = {.lex_state = 206},
  [7800] = {.lex_state = 0},
  [7801] = {.lex_state = 206},
  [7802] = {.lex_state = 206},
  [7803] = {.lex_state = 0},
  [7804] = {.lex_state = 226},
  [7805] = {.lex_state = 0},
  [7806] = {.lex_state = 206},
  [7807] = {.lex_state = 0},
  [7808] = {.lex_state = 206},
  [7809] = {.lex_state = 226},
  [7810] = {.lex_state = 0},
  [7811] = {.lex_state = 0},
  [7812] = {.lex_state = 0},
  [7813] = {.lex_state = 0},
  [7814] = {.lex_state = 0},
  [7815] = {.lex_state = 0},
  [7816] = {.lex_state = 206},
  [7817] = {.lex_state = 0},
  [7818] = {.lex_state = 0},
  [7819] = {.lex_state = 206},
  [7820] = {.lex_state = 0},
  [7821] = {.lex_state = 226},
  [7822] = {.lex_state = 0},
  [7823] = {.lex_state = 393},
  [7824] = {.lex_state = 226},
  [7825] = {.lex_state = 226},
  [7826] = {.lex_state = 206},
  [7827] = {.lex_state = 206},
  [7828] = {.lex_state = 0},
  [7829] = {.lex_state = 0},
  [7830] = {.lex_state = 0},
  [7831] = {.lex_state = 0},
  [7832] = {.lex_state = 0},
  [7833] = {.lex_state = 120},
  [7834] = {.lex_state = 226},
  [7835] = {.lex_state = 0},
  [7836] = {.lex_state = 0},
  [7837] = {.lex_state = 0},
  [7838] = {.lex_state = 226},
  [7839] = {.lex_state = 393},
  [7840] = {.lex_state = 206},
  [7841] = {.lex_state = 206},
  [7842] = {.lex_state = 0},
  [7843] = {.lex_state = 393},
  [7844] = {.lex_state = 0},
  [7845] = {.lex_state = 0},
  [7846] = {.lex_state = 0},
  [7847] = {.lex_state = 0},
  [7848] = {.lex_state = 203},
  [7849] = {.lex_state = 0},
  [7850] = {.lex_state = 0},
  [7851] = {.lex_state = 0},
  [7852] = {.lex_state = 206},
  [7853] = {.lex_state = 0},
  [7854] = {.lex_state = 123},
  [7855] = {.lex_state = 206},
  [7856] = {.lex_state = 206},
  [7857] = {.lex_state = 206},
  [7858] = {.lex_state = 0},
  [7859] = {.lex_state = 206},
  [7860] = {.lex_state = 0},
  [7861] = {.lex_state = 206},
  [7862] = {.lex_state = 0},
  [7863] = {.lex_state = 0},
  [7864] = {.lex_state = 393},
  [7865] = {.lex_state = 0},
  [7866] = {.lex_state = 264},
  [7867] = {.lex_state = 0},
  [7868] = {.lex_state = 226},
  [7869] = {.lex_state = 123},
  [7870] = {.lex_state = 226},
  [7871] = {.lex_state = 203},
  [7872] = {.lex_state = 226},
  [7873] = {.lex_state = 0},
  [7874] = {.lex_state = 0},
  [7875] = {.lex_state = 226},
  [7876] = {.lex_state = 0},
  [7877] = {.lex_state = 0},
  [7878] = {.lex_state = 0},
  [7879] = {.lex_state = 0},
  [7880] = {.lex_state = 393},
  [7881] = {.lex_state = 0},
  [7882] = {.lex_state = 0},
  [7883] = {.lex_state = 206},
  [7884] = {.lex_state = 0},
  [7885] = {.lex_state = 0},
  [7886] = {.lex_state = 226},
  [7887] = {.lex_state = 0},
  [7888] = {.lex_state = 206},
  [7889] = {.lex_state = 226},
  [7890] = {.lex_state = 120},
  [7891] = {.lex_state = 206},
  [7892] = {.lex_state = 206},
  [7893] = {.lex_state = 226},
  [7894] = {.lex_state = 206},
  [7895] = {.lex_state = 0},
  [7896] = {.lex_state = 0},
  [7897] = {.lex_state = 0},
  [7898] = {.lex_state = 0},
  [7899] = {.lex_state = 0},
  [7900] = {.lex_state = 206},
  [7901] = {.lex_state = 0},
  [7902] = {.lex_state = 0},
  [7903] = {.lex_state = 393},
  [7904] = {.lex_state = 0},
  [7905] = {.lex_state = 0},
  [7906] = {.lex_state = 0},
  [7907] = {.lex_state = 0},
  [7908] = {.lex_state = 226},
  [7909] = {.lex_state = 0},
  [7910] = {.lex_state = 0},
  [7911] = {.lex_state = 0},
  [7912] = {.lex_state = 0},
  [7913] = {.lex_state = 0},
  [7914] = {.lex_state = 120},
  [7915] = {.lex_state = 0},
  [7916] = {.lex_state = 226},
  [7917] = {.lex_state = 206},
  [7918] = {.lex_state = 0},
  [7919] = {.lex_state = 0},
  [7920] = {.lex_state = 0},
  [7921] = {.lex_state = 0},
  [7922] = {.lex_state = 0},
  [7923] = {.lex_state = 0},
  [7924] = {.lex_state = 0},
  [7925] = {.lex_state = 0},
  [7926] = {.lex_state = 393},
  [7927] = {.lex_state = 226},
  [7928] = {.lex_state = 0},
  [7929] = {.lex_state = 226},
  [7930] = {.lex_state = 0},
  [7931] = {.lex_state = 0},
  [7932] = {.lex_state = 226},
  [7933] = {.lex_state = 206},
  [7934] = {.lex_state = 0},
  [7935] = {.lex_state = 0},
  [7936] = {.lex_state = 0},
  [7937] = {.lex_state = 206},
  [7938] = {.lex_state = 226},
  [7939] = {.lex_state = 206},
  [7940] = {.lex_state = 226},
  [7941] = {.lex_state = 0},
  [7942] = {.lex_state = 393},
  [7943] = {.lex_state = 0},
  [7944] = {.lex_state = 0},
  [7945] = {.lex_state = 0},
  [7946] = {.lex_state = 0},
  [7947] = {.lex_state = 0},
  [7948] = {.lex_state = 0},
  [7949] = {.lex_state = 123},
  [7950] = {.lex_state = 0},
  [7951] = {.lex_state = 0},
  [7952] = {.lex_state = 0},
  [7953] = {.lex_state = 0},
  [7954] = {.lex_state = 0},
  [7955] = {.lex_state = 206},
  [7956] = {.lex_state = 206},
  [7957] = {.lex_state = 0},
  [7958] = {.lex_state = 206},
  [7959] = {.lex_state = 0},
  [7960] = {.lex_state = 120},
  [7961] = {.lex_state = 206},
  [7962] = {.lex_state = 226},
  [7963] = {.lex_state = 206},
  [7964] = {.lex_state = 206},
  [7965] = {.lex_state = 206},
  [7966] = {.lex_state = 0},
  [7967] = {.lex_state = 0},
  [7968] = {.lex_state = 0},
  [7969] = {.lex_state = 0},
  [7970] = {.lex_state = 206},
  [7971] = {.lex_state = 0},
  [7972] = {.lex_state = 0},
  [7973] = {.lex_state = 120},
  [7974] = {.lex_state = 0},
  [7975] = {.lex_state = 226},
  [7976] = {.lex_state = 0},
  [7977] = {.lex_state = 0},
  [7978] = {.lex_state = 206},
  [7979] = {.lex_state = 206},
  [7980] = {.lex_state = 0},
  [7981] = {.lex_state = 0},
  [7982] = {.lex_state = 206},
  [7983] = {.lex_state = 226},
  [7984] = {.lex_state = 206},
  [7985] = {.lex_state = 0},
  [7986] = {.lex_state = 0},
  [7987] = {.lex_state = 0},
  [7988] = {.lex_state = 0},
  [7989] = {.lex_state = 0},
  [7990] = {.lex_state = 0},
  [7991] = {.lex_state = 0},
  [7992] = {.lex_state = 206},
  [7993] = {.lex_state = 120},
  [7994] = {.lex_state = 206},
  [7995] = {.lex_state = 206},
  [7996] = {.lex_state = 206},
  [7997] = {.lex_state = 206},
  [7998] = {.lex_state = 206},
  [7999] = {.lex_state = 206},
  [8000] = {.lex_state = 206},
  [8001] = {.lex_state = 0},
  [8002] = {.lex_state = 0},
  [8003] = {.lex_state = 0},
  [8004] = {.lex_state = 226},
  [8005] = {.lex_state = 206},
  [8006] = {.lex_state = 120},
  [8007] = {.lex_state = 0},
  [8008] = {.lex_state = 0},
  [8009] = {.lex_state = 0},
  [8010] = {.lex_state = 0},
  [8011] = {.lex_state = 226},
  [8012] = {.lex_state = 393},
  [8013] = {.lex_state = 226},
  [8014] = {.lex_state = 206},
  [8015] = {.lex_state = 0},
  [8016] = {.lex_state = 120},
  [8017] = {.lex_state = 226},
  [8018] = {.lex_state = 120},
  [8019] = {.lex_state = 0},
  [8020] = {.lex_state = 0},
  [8021] = {.lex_state = 0},
  [8022] = {.lex_state = 0},
  [8023] = {.lex_state = 0},
  [8024] = {.lex_state = 226},
  [8025] = {.lex_state = 0},
  [8026] = {.lex_state = 0},
  [8027] = {.lex_state = 226},
  [8028] = {.lex_state = 0},
  [8029] = {.lex_state = 0},
  [8030] = {.lex_state = 206},
  [8031] = {.lex_state = 226},
  [8032] = {.lex_state = 206},
  [8033] = {.lex_state = 0},
  [8034] = {.lex_state = 0},
  [8035] = {.lex_state = 0},
  [8036] = {.lex_state = 0},
  [8037] = {.lex_state = 120},
  [8038] = {.lex_state = 0},
  [8039] = {.lex_state = 0},
  [8040] = {.lex_state = 0},
  [8041] = {.lex_state = 226},
  [8042] = {.lex_state = 0},
  [8043] = {.lex_state = 226},
  [8044] = {.lex_state = 0},
  [8045] = {.lex_state = 226},
  [8046] = {.lex_state = 226},
  [8047] = {.lex_state = 122},
  [8048] = {.lex_state = 0},
  [8049] = {.lex_state = 393, .external_lex_state = 2},
  [8050] = {.lex_state = 393, .external_lex_state = 2},
  [8051] = {.lex_state = 393, .external_lex_state = 2},
  [8052] = {.lex_state = 393, .external_lex_state = 2},
  [8053] = {.lex_state = 393, .external_lex_state = 2},
  [8054] = {.lex_state = 393, .external_lex_state = 2},
  [8055] = {.lex_state = 393, .external_lex_state = 2},
  [8056] = {.lex_state = 0},
  [8057] = {.lex_state = 393},
  [8058] = {.lex_state = 393, .external_lex_state = 2},
  [8059] = {.lex_state = 393, .external_lex_state = 2},
  [8060] = {.lex_state = 393, .external_lex_state = 2},
  [8061] = {.lex_state = 393, .external_lex_state = 2},
  [8062] = {.lex_state = 0},
  [8063] = {.lex_state = 393, .external_lex_state = 2},
  [8064] = {.lex_state = 0},
  [8065] = {.lex_state = 0},
  [8066] = {.lex_state = 393, .external_lex_state = 2},
  [8067] = {.lex_state = 393},
  [8068] = {.lex_state = 0},
  [8069] = {.lex_state = 393, .external_lex_state = 2},
  [8070] = {.lex_state = 0},
  [8071] = {.lex_state = 393, .external_lex_state = 2},
  [8072] = {.lex_state = 226},
  [8073] = {.lex_state = 0},
  [8074] = {.lex_state = 393},
  [8075] = {.lex_state = 0},
  [8076] = {.lex_state = 393, .external_lex_state = 2},
  [8077] = {.lex_state = 226},
  [8078] = {.lex_state = 0},
  [8079] = {.lex_state = 393},
  [8080] = {.lex_state = 393, .external_lex_state = 2},
  [8081] = {.lex_state = 393},
  [8082] = {.lex_state = 393},
  [8083] = {.lex_state = 0},
  [8084] = {.lex_state = 0},
  [8085] = {.lex_state = 0},
  [8086] = {.lex_state = 0},
  [8087] = {.lex_state = 0},
  [8088] = {.lex_state = 0},
  [8089] = {.lex_state = 122},
  [8090] = {.lex_state = 393},
  [8091] = {.lex_state = 393},
  [8092] = {.lex_state = 0},
  [8093] = {.lex_state = 0},
  [8094] = {.lex_state = 0},
  [8095] = {.lex_state = 0},
  [8096] = {.lex_state = 0},
  [8097] = {.lex_state = 226},
  [8098] = {.lex_state = 0},
  [8099] = {.lex_state = 0},
  [8100] = {.lex_state = 393},
  [8101] = {.lex_state = 0},
  [8102] = {.lex_state = 393},
  [8103] = {.lex_state = 393, .external_lex_state = 2},
  [8104] = {.lex_state = 393},
  [8105] = {.lex_state = 0},
  [8106] = {.lex_state = 0},
  [8107] = {.lex_state = 226},
  [8108] = {.lex_state = 0},
  [8109] = {.lex_state = 0},
  [8110] = {.lex_state = 0},
  [8111] = {.lex_state = 0},
  [8112] = {.lex_state = 0},
  [8113] = {.lex_state = 0},
  [8114] = {.lex_state = 393},
  [8115] = {.lex_state = 0},
  [8116] = {.lex_state = 393},
  [8117] = {.lex_state = 393},
  [8118] = {.lex_state = 0},
  [8119] = {.lex_state = 122},
  [8120] = {.lex_state = 226},
  [8121] = {.lex_state = 393, .external_lex_state = 2},
  [8122] = {.lex_state = 0},
  [8123] = {.lex_state = 0},
  [8124] = {.lex_state = 0},
  [8125] = {.lex_state = 0},
  [8126] = {.lex_state = 0},
  [8127] = {.lex_state = 393},
  [8128] = {.lex_state = 226},
  [8129] = {.lex_state = 0},
  [8130] = {.lex_state = 0},
  [8131] = {.lex_state = 0},
  [8132] = {.lex_state = 0},
  [8133] = {.lex_state = 393},
  [8134] = {.lex_state = 226},
  [8135] = {.lex_state = 0},
  [8136] = {.lex_state = 393},
  [8137] = {.lex_state = 122},
  [8138] = {.lex_state = 0},
  [8139] = {.lex_state = 122},
  [8140] = {.lex_state = 226},
  [8141] = {.lex_state = 393},
  [8142] = {.lex_state = 0},
  [8143] = {.lex_state = 0},
  [8144] = {.lex_state = 0},
  [8145] = {.lex_state = 0},
  [8146] = {.lex_state = 0},
  [8147] = {.lex_state = 0},
  [8148] = {.lex_state = 0},
  [8149] = {.lex_state = 0},
  [8150] = {.lex_state = 122},
  [8151] = {.lex_state = 0},
  [8152] = {.lex_state = 0},
  [8153] = {.lex_state = 0},
  [8154] = {.lex_state = 0},
  [8155] = {.lex_state = 0},
  [8156] = {.lex_state = 0},
  [8157] = {.lex_state = 0},
  [8158] = {.lex_state = 0},
  [8159] = {.lex_state = 0},
  [8160] = {.lex_state = 0},
  [8161] = {.lex_state = 0},
  [8162] = {.lex_state = 0},
  [8163] = {.lex_state = 393},
  [8164] = {.lex_state = 0},
  [8165] = {.lex_state = 0},
  [8166] = {.lex_state = 0},
  [8167] = {.lex_state = 0},
  [8168] = {.lex_state = 0},
  [8169] = {.lex_state = 393},
  [8170] = {.lex_state = 0},
  [8171] = {.lex_state = 0},
  [8172] = {.lex_state = 393},
  [8173] = {.lex_state = 0},
  [8174] = {.lex_state = 0},
  [8175] = {.lex_state = 0},
  [8176] = {.lex_state = 0},
  [8177] = {.lex_state = 226},
  [8178] = {.lex_state = 393},
  [8179] = {.lex_state = 0},
  [8180] = {.lex_state = 122},
  [8181] = {.lex_state = 0},
  [8182] = {.lex_state = 0},
  [8183] = {.lex_state = 0},
  [8184] = {.lex_state = 393},
  [8185] = {.lex_state = 0},
  [8186] = {.lex_state = 122},
  [8187] = {.lex_state = 226},
  [8188] = {.lex_state = 0},
  [8189] = {.lex_state = 393},
  [8190] = {.lex_state = 0},
  [8191] = {.lex_state = 0},
  [8192] = {.lex_state = 0},
  [8193] = {.lex_state = 226},
  [8194] = {.lex_state = 0},
  [8195] = {.lex_state = 122},
  [8196] = {.lex_state = 0},
  [8197] = {.lex_state = 0},
  [8198] = {.lex_state = 226},
  [8199] = {.lex_state = 0},
  [8200] = {.lex_state = 0},
  [8201] = {.lex_state = 393},
  [8202] = {.lex_state = 0},
  [8203] = {.lex_state = 0},
  [8204] = {.lex_state = 0},
  [8205] = {.lex_state = 0},
  [8206] = {.lex_state = 0},
  [8207] = {.lex_state = 0},
  [8208] = {.lex_state = 0},
  [8209] = {.lex_state = 393},
  [8210] = {.lex_state = 0},
  [8211] = {.lex_state = 0},
  [8212] = {.lex_state = 122},
  [8213] = {.lex_state = 393},
  [8214] = {.lex_state = 0},
  [8215] = {.lex_state = 0},
  [8216] = {.lex_state = 0},
  [8217] = {.lex_state = 0},
  [8218] = {.lex_state = 122},
  [8219] = {.lex_state = 226},
  [8220] = {.lex_state = 0},
  [8221] = {.lex_state = 0},
  [8222] = {.lex_state = 393},
  [8223] = {.lex_state = 0},
  [8224] = {.lex_state = 226},
  [8225] = {.lex_state = 0},
  [8226] = {.lex_state = 226},
  [8227] = {.lex_state = 0},
  [8228] = {.lex_state = 0},
  [8229] = {.lex_state = 393},
  [8230] = {.lex_state = 0},
  [8231] = {.lex_state = 0},
  [8232] = {.lex_state = 393},
  [8233] = {.lex_state = 0},
  [8234] = {.lex_state = 0},
  [8235] = {.lex_state = 393},
  [8236] = {.lex_state = 393},
  [8237] = {.lex_state = 0},
  [8238] = {.lex_state = 393},
  [8239] = {.lex_state = 0},
  [8240] = {.lex_state = 0},
  [8241] = {.lex_state = 393},
  [8242] = {.lex_state = 0},
  [8243] = {.lex_state = 393},
  [8244] = {.lex_state = 122},
  [8245] = {.lex_state = 226},
  [8246] = {.lex_state = 226},
  [8247] = {.lex_state = 393},
  [8248] = {.lex_state = 0},
  [8249] = {.lex_state = 226},
  [8250] = {.lex_state = 393},
  [8251] = {.lex_state = 122},
  [8252] = {.lex_state = 0},
  [8253] = {.lex_state = 393},
  [8254] = {.lex_state = 393},
  [8255] = {.lex_state = 393},
  [8256] = {.lex_state = 393},
  [8257] = {.lex_state = 0},
  [8258] = {.lex_state = 0},
  [8259] = {.lex_state = 226},
  [8260] = {.lex_state = 226},
  [8261] = {.lex_state = 0},
  [8262] = {.lex_state = 393},
  [8263] = {.lex_state = 393},
  [8264] = {.lex_state = 226},
  [8265] = {.lex_state = 0},
  [8266] = {.lex_state = 0},
  [8267] = {.lex_state = 0},
  [8268] = {.lex_state = 0},
  [8269] = {.lex_state = 0},
  [8270] = {.lex_state = 226},
  [8271] = {.lex_state = 0},
  [8272] = {.lex_state = 226},
  [8273] = {.lex_state = 226},
  [8274] = {.lex_state = 226},
  [8275] = {.lex_state = 226},
  [8276] = {.lex_state = 226},
  [8277] = {.lex_state = 0},
  [8278] = {.lex_state = 226},
  [8279] = {.lex_state = 393},
  [8280] = {.lex_state = 0},
  [8281] = {.lex_state = 0},
  [8282] = {.lex_state = 0},
  [8283] = {.lex_state = 226},
  [8284] = {.lex_state = 393},
  [8285] = {.lex_state = 226},
  [8286] = {.lex_state = 0},
  [8287] = {.lex_state = 226},
  [8288] = {.lex_state = 393},
  [8289] = {.lex_state = 0},
  [8290] = {.lex_state = 0},
  [8291] = {.lex_state = 393},
  [8292] = {.lex_state = 226},
  [8293] = {.lex_state = 0},
  [8294] = {.lex_state = 0},
  [8295] = {.lex_state = 0},
  [8296] = {.lex_state = 393},
  [8297] = {.lex_state = 393},
  [8298] = {.lex_state = 0},
  [8299] = {.lex_state = 0},
  [8300] = {.lex_state = 0},
  [8301] = {.lex_state = 393},
  [8302] = {.lex_state = 0},
  [8303] = {.lex_state = 393},
  [8304] = {.lex_state = 0},
  [8305] = {.lex_state = 0},
  [8306] = {.lex_state = 0},
  [8307] = {.lex_state = 226},
  [8308] = {.lex_state = 0},
  [8309] = {.lex_state = 0},
  [8310] = {.lex_state = 0},
  [8311] = {.lex_state = 0},
  [8312] = {.lex_state = 393},
  [8313] = {.lex_state = 226},
  [8314] = {.lex_state = 0},
  [8315] = {.lex_state = 122},
  [8316] = {.lex_state = 393},
  [8317] = {.lex_state = 0},
  [8318] = {.lex_state = 393},
  [8319] = {.lex_state = 226},
  [8320] = {.lex_state = 122},
  [8321] = {.lex_state = 0},
  [8322] = {.lex_state = 393},
  [8323] = {.lex_state = 0},
  [8324] = {.lex_state = 0},
  [8325] = {.lex_state = 0},
  [8326] = {.lex_state = 0},
  [8327] = {.lex_state = 393},
  [8328] = {.lex_state = 0},
  [8329] = {.lex_state = 393},
  [8330] = {.lex_state = 0},
  [8331] = {.lex_state = 0},
  [8332] = {.lex_state = 393},
  [8333] = {.lex_state = 393},
  [8334] = {.lex_state = 0},
  [8335] = {.lex_state = 0},
  [8336] = {.lex_state = 226},
  [8337] = {.lex_state = 226},
  [8338] = {.lex_state = 0},
  [8339] = {.lex_state = 122},
  [8340] = {.lex_state = 0},
  [8341] = {.lex_state = 0},
  [8342] = {.lex_state = 393},
  [8343] = {.lex_state = 0},
  [8344] = {.lex_state = 393},
  [8345] = {.lex_state = 393},
  [8346] = {.lex_state = 0},
  [8347] = {.lex_state = 0},
  [8348] = {.lex_state = 393},
  [8349] = {.lex_state = 393},
  [8350] = {.lex_state = 0},
  [8351] = {.lex_state = 226},
  [8352] = {.lex_state = 0},
  [8353] = {.lex_state = 393},
  [8354] = {.lex_state = 393},
  [8355] = {.lex_state = 0},
  [8356] = {.lex_state = 0},
  [8357] = {.lex_state = 393},
  [8358] = {.lex_state = 226},
  [8359] = {.lex_state = 0},
  [8360] = {.lex_state = 0},
  [8361] = {.lex_state = 0},
  [8362] = {.lex_state = 393},
  [8363] = {.lex_state = 0},
  [8364] = {.lex_state = 0},
  [8365] = {.lex_state = 122},
  [8366] = {.lex_state = 226},
  [8367] = {.lex_state = 226},
  [8368] = {.lex_state = 393},
  [8369] = {.lex_state = 0},
  [8370] = {.lex_state = 0},
  [8371] = {.lex_state = 0},
  [8372] = {.lex_state = 393},
  [8373] = {.lex_state = 393},
  [8374] = {.lex_state = 393},
  [8375] = {.lex_state = 0},
  [8376] = {.lex_state = 0},
  [8377] = {.lex_state = 0},
  [8378] = {.lex_state = 0},
  [8379] = {.lex_state = 0},
  [8380] = {.lex_state = 226},
  [8381] = {.lex_state = 226},
  [8382] = {.lex_state = 0},
  [8383] = {.lex_state = 0},
  [8384] = {.lex_state = 0},
  [8385] = {.lex_state = 393},
  [8386] = {.lex_state = 0},
  [8387] = {.lex_state = 393},
  [8388] = {.lex_state = 393},
  [8389] = {.lex_state = 0},
  [8390] = {.lex_state = 226},
  [8391] = {.lex_state = 0},
  [8392] = {.lex_state = 0},
  [8393] = {.lex_state = 393},
  [8394] = {.lex_state = 0},
  [8395] = {.lex_state = 393},
  [8396] = {.lex_state = 226},
  [8397] = {.lex_state = 0},
  [8398] = {.lex_state = 393},
  [8399] = {.lex_state = 393},
  [8400] = {.lex_state = 0},
  [8401] = {.lex_state = 0},
  [8402] = {.lex_state = 0},
  [8403] = {.lex_state = 0},
  [8404] = {.lex_state = 0},
  [8405] = {.lex_state = 393},
  [8406] = {.lex_state = 393},
  [8407] = {.lex_state = 226},
  [8408] = {.lex_state = 0},
  [8409] = {.lex_state = 0},
  [8410] = {.lex_state = 0},
  [8411] = {.lex_state = 226},
  [8412] = {.lex_state = 122},
  [8413] = {.lex_state = 393},
  [8414] = {.lex_state = 393},
  [8415] = {.lex_state = 0},
  [8416] = {.lex_state = 393},
  [8417] = {.lex_state = 0},
  [8418] = {.lex_state = 0},
  [8419] = {.lex_state = 393},
  [8420] = {.lex_state = 226},
  [8421] = {.lex_state = 0},
  [8422] = {.lex_state = 122},
  [8423] = {.lex_state = 393},
  [8424] = {.lex_state = 122},
  [8425] = {.lex_state = 0},
  [8426] = {.lex_state = 226},
  [8427] = {.lex_state = 0},
  [8428] = {.lex_state = 393},
  [8429] = {.lex_state = 122},
  [8430] = {.lex_state = 0},
  [8431] = {.lex_state = 0},
  [8432] = {.lex_state = 0},
  [8433] = {.lex_state = 0},
  [8434] = {.lex_state = 0},
  [8435] = {.lex_state = 0},
  [8436] = {.lex_state = 0},
  [8437] = {.lex_state = 0},
  [8438] = {.lex_state = 393},
  [8439] = {.lex_state = 393},
  [8440] = {.lex_state = 393},
  [8441] = {.lex_state = 393},
  [8442] = {.lex_state = 0},
  [8443] = {.lex_state = 393},
  [8444] = {.lex_state = 0},
  [8445] = {.lex_state = 0},
  [8446] = {.lex_state = 0},
  [8447] = {.lex_state = 0},
  [8448] = {.lex_state = 0},
  [8449] = {.lex_state = 0},
  [8450] = {.lex_state = 0},
  [8451] = {.lex_state = 123},
  [8452] = {.lex_state = 0},
  [8453] = {.lex_state = 0},
  [8454] = {.lex_state = 0},
  [8455] = {.lex_state = 0},
  [8456] = {.lex_state = 206},
  [8457] = {.lex_state = 226},
  [8458] = {.lex_state = 226},
  [8459] = {.lex_state = 0},
  [8460] = {.lex_state = 0},
  [8461] = {.lex_state = 0},
  [8462] = {.lex_state = 0},
  [8463] = {.lex_state = 226},
  [8464] = {.lex_state = 0},
  [8465] = {.lex_state = 123},
  [8466] = {.lex_state = 0},
  [8467] = {.lex_state = 393},
  [8468] = {.lex_state = 0},
  [8469] = {.lex_state = 226},
  [8470] = {.lex_state = 226},
  [8471] = {.lex_state = 0},
  [8472] = {.lex_state = 0},
  [8473] = {.lex_state = 0, .external_lex_state = 2},
  [8474] = {.lex_state = 123},
  [8475] = {.lex_state = 0},
  [8476] = {.lex_state = 0},
  [8477] = {.lex_state = 0},
  [8478] = {.lex_state = 123},
  [8479] = {.lex_state = 0},
  [8480] = {.lex_state = 0},
  [8481] = {.lex_state = 200},
  [8482] = {.lex_state = 393},
  [8483] = {.lex_state = 0},
  [8484] = {.lex_state = 200},
  [8485] = {.lex_state = 0},
  [8486] = {.lex_state = 393},
  [8487] = {.lex_state = 123},
  [8488] = {.lex_state = 0},
  [8489] = {.lex_state = 393},
  [8490] = {.lex_state = 0},
  [8491] = {.lex_state = 0},
  [8492] = {.lex_state = 0},
  [8493] = {.lex_state = 0},
  [8494] = {.lex_state = 0},
  [8495] = {.lex_state = 0},
  [8496] = {.lex_state = 0},
  [8497] = {.lex_state = 0},
  [8498] = {.lex_state = 0},
  [8499] = {.lex_state = 0},
  [8500] = {.lex_state = 123},
  [8501] = {.lex_state = 226},
  [8502] = {.lex_state = 226},
  [8503] = {.lex_state = 0},
  [8504] = {.lex_state = 226},
  [8505] = {.lex_state = 0},
  [8506] = {.lex_state = 226},
  [8507] = {.lex_state = 0},
  [8508] = {.lex_state = 0},
  [8509] = {.lex_state = 0},
  [8510] = {.lex_state = 0},
  [8511] = {.lex_state = 226},
  [8512] = {.lex_state = 393},
  [8513] = {.lex_state = 0},
  [8514] = {.lex_state = 0},
  [8515] = {.lex_state = 0},
  [8516] = {.lex_state = 0},
  [8517] = {.lex_state = 0},
  [8518] = {.lex_state = 0},
  [8519] = {.lex_state = 393},
  [8520] = {.lex_state = 0},
  [8521] = {.lex_state = 0},
  [8522] = {.lex_state = 226},
  [8523] = {.lex_state = 0},
  [8524] = {.lex_state = 0},
  [8525] = {.lex_state = 0},
  [8526] = {.lex_state = 0},
  [8527] = {.lex_state = 0},
  [8528] = {.lex_state = 226},
  [8529] = {.lex_state = 226},
  [8530] = {.lex_state = 0},
  [8531] = {.lex_state = 0},
  [8532] = {.lex_state = 0},
  [8533] = {.lex_state = 0},
  [8534] = {.lex_state = 0},
  [8535] = {.lex_state = 0},
  [8536] = {.lex_state = 0},
  [8537] = {.lex_state = 0},
  [8538] = {.lex_state = 123},
  [8539] = {.lex_state = 393},
  [8540] = {.lex_state = 226},
  [8541] = {.lex_state = 0},
  [8542] = {.lex_state = 0},
  [8543] = {.lex_state = 206},
  [8544] = {.lex_state = 226},
  [8545] = {.lex_state = 0},
  [8546] = {.lex_state = 0},
  [8547] = {.lex_state = 0},
  [8548] = {.lex_state = 0},
  [8549] = {.lex_state = 0},
  [8550] = {.lex_state = 226},
  [8551] = {.lex_state = 226},
  [8552] = {.lex_state = 0},
  [8553] = {.lex_state = 0},
  [8554] = {.lex_state = 0},
  [8555] = {.lex_state = 123},
  [8556] = {.lex_state = 0},
  [8557] = {.lex_state = 0},
  [8558] = {.lex_state = 0},
  [8559] = {.lex_state = 0},
  [8560] = {.lex_state = 0},
  [8561] = {.lex_state = 0},
  [8562] = {.lex_state = 0},
  [8563] = {.lex_state = 123},
  [8564] = {.lex_state = 0},
  [8565] = {.lex_state = 0},
  [8566] = {.lex_state = 0},
  [8567] = {.lex_state = 123},
  [8568] = {.lex_state = 226},
  [8569] = {.lex_state = 0},
  [8570] = {.lex_state = 393},
  [8571] = {.lex_state = 200},
  [8572] = {.lex_state = 0},
  [8573] = {.lex_state = 0},
  [8574] = {.lex_state = 123},
  [8575] = {.lex_state = 0, .external_lex_state = 2},
  [8576] = {.lex_state = 226},
  [8577] = {.lex_state = 0},
  [8578] = {.lex_state = 200},
  [8579] = {.lex_state = 0},
  [8580] = {.lex_state = 200},
  [8581] = {.lex_state = 393},
  [8582] = {.lex_state = 0},
  [8583] = {.lex_state = 0},
  [8584] = {.lex_state = 226},
  [8585] = {.lex_state = 226},
  [8586] = {.lex_state = 0},
  [8587] = {.lex_state = 0},
  [8588] = {.lex_state = 0},
  [8589] = {.lex_state = 0},
  [8590] = {.lex_state = 0},
  [8591] = {.lex_state = 0},
  [8592] = {.lex_state = 0},
  [8593] = {.lex_state = 0},
  [8594] = {.lex_state = 226},
  [8595] = {.lex_state = 0},
  [8596] = {.lex_state = 393},
  [8597] = {.lex_state = 0},
  [8598] = {.lex_state = 0},
  [8599] = {.lex_state = 226},
  [8600] = {.lex_state = 123},
  [8601] = {.lex_state = 393},
  [8602] = {.lex_state = 206},
  [8603] = {.lex_state = 0},
  [8604] = {.lex_state = 226},
  [8605] = {.lex_state = 0},
  [8606] = {.lex_state = 0},
  [8607] = {.lex_state = 226},
  [8608] = {.lex_state = 0},
  [8609] = {.lex_state = 0},
  [8610] = {.lex_state = 0},
  [8611] = {.lex_state = 0},
  [8612] = {.lex_state = 0},
  [8613] = {.lex_state = 0},
  [8614] = {.lex_state = 0},
  [8615] = {.lex_state = 0},
  [8616] = {.lex_state = 0},
  [8617] = {.lex_state = 0},
  [8618] = {.lex_state = 393},
  [8619] = {.lex_state = 0},
  [8620] = {.lex_state = 0},
  [8621] = {.lex_state = 0},
  [8622] = {.lex_state = 0},
  [8623] = {.lex_state = 0},
  [8624] = {.lex_state = 226},
  [8625] = {.lex_state = 0},
  [8626] = {.lex_state = 0},
  [8627] = {.lex_state = 0},
  [8628] = {.lex_state = 226},
  [8629] = {.lex_state = 0},
  [8630] = {.lex_state = 200},
  [8631] = {.lex_state = 123},
  [8632] = {.lex_state = 0},
  [8633] = {.lex_state = 123},
  [8634] = {.lex_state = 226},
  [8635] = {.lex_state = 0},
  [8636] = {.lex_state = 0},
  [8637] = {.lex_state = 0},
  [8638] = {.lex_state = 0},
  [8639] = {.lex_state = 0},
  [8640] = {.lex_state = 0},
  [8641] = {.lex_state = 0},
  [8642] = {.lex_state = 200},
  [8643] = {.lex_state = 226},
  [8644] = {.lex_state = 0},
  [8645] = {.lex_state = 0},
  [8646] = {.lex_state = 0},
  [8647] = {.lex_state = 123},
  [8648] = {.lex_state = 0, .external_lex_state = 2},
  [8649] = {.lex_state = 0},
  [8650] = {.lex_state = 226},
  [8651] = {.lex_state = 200},
  [8652] = {.lex_state = 0},
  [8653] = {.lex_state = 226},
  [8654] = {.lex_state = 226},
  [8655] = {.lex_state = 226},
  [8656] = {.lex_state = 0},
  [8657] = {.lex_state = 206},
  [8658] = {.lex_state = 0},
  [8659] = {.lex_state = 0},
  [8660] = {.lex_state = 0},
  [8661] = {.lex_state = 393},
  [8662] = {.lex_state = 0},
  [8663] = {.lex_state = 0},
  [8664] = {.lex_state = 0},
  [8665] = {.lex_state = 0},
  [8666] = {.lex_state = 200},
  [8667] = {.lex_state = 0},
  [8668] = {.lex_state = 0},
  [8669] = {.lex_state = 0},
  [8670] = {.lex_state = 0},
  [8671] = {.lex_state = 0},
  [8672] = {.lex_state = 0},
  [8673] = {.lex_state = 0},
  [8674] = {.lex_state = 393},
  [8675] = {.lex_state = 0},
  [8676] = {.lex_state = 0},
  [8677] = {.lex_state = 0},
  [8678] = {.lex_state = 226},
  [8679] = {.lex_state = 0},
  [8680] = {.lex_state = 226},
  [8681] = {.lex_state = 226},
  [8682] = {.lex_state = 200},
  [8683] = {.lex_state = 226},
  [8684] = {.lex_state = 0},
  [8685] = {.lex_state = 0},
  [8686] = {.lex_state = 0},
  [8687] = {.lex_state = 0},
  [8688] = {.lex_state = 0},
  [8689] = {.lex_state = 393},
  [8690] = {.lex_state = 0},
  [8691] = {.lex_state = 0},
  [8692] = {.lex_state = 0},
  [8693] = {.lex_state = 0},
  [8694] = {.lex_state = 0},
  [8695] = {.lex_state = 226},
  [8696] = {.lex_state = 226},
  [8697] = {.lex_state = 0},
  [8698] = {.lex_state = 0},
  [8699] = {.lex_state = 0},
  [8700] = {.lex_state = 0, .external_lex_state = 2},
  [8701] = {.lex_state = 0},
  [8702] = {.lex_state = 226},
  [8703] = {.lex_state = 0},
  [8704] = {.lex_state = 123},
  [8705] = {.lex_state = 0},
  [8706] = {.lex_state = 0},
  [8707] = {.lex_state = 0},
  [8708] = {.lex_state = 0},
  [8709] = {.lex_state = 226},
  [8710] = {.lex_state = 0},
  [8711] = {.lex_state = 0},
  [8712] = {.lex_state = 226},
  [8713] = {.lex_state = 0},
  [8714] = {.lex_state = 0},
  [8715] = {.lex_state = 226},
  [8716] = {.lex_state = 200},
  [8717] = {.lex_state = 393},
  [8718] = {.lex_state = 0},
  [8719] = {.lex_state = 0},
  [8720] = {.lex_state = 226},
  [8721] = {.lex_state = 0},
  [8722] = {.lex_state = 0},
  [8723] = {.lex_state = 226},
  [8724] = {.lex_state = 0},
  [8725] = {.lex_state = 0},
  [8726] = {.lex_state = 0},
  [8727] = {.lex_state = 0},
  [8728] = {.lex_state = 0},
  [8729] = {.lex_state = 0},
  [8730] = {.lex_state = 200},
  [8731] = {.lex_state = 0},
  [8732] = {.lex_state = 0},
  [8733] = {.lex_state = 0},
  [8734] = {.lex_state = 0},
  [8735] = {.lex_state = 0},
  [8736] = {.lex_state = 0},
  [8737] = {.lex_state = 226},
  [8738] = {.lex_state = 0},
  [8739] = {.lex_state = 0},
  [8740] = {.lex_state = 0},
  [8741] = {.lex_state = 0},
  [8742] = {.lex_state = 0, .external_lex_state = 2},
  [8743] = {.lex_state = 0},
  [8744] = {.lex_state = 226},
  [8745] = {.lex_state = 226},
  [8746] = {.lex_state = 0},
  [8747] = {.lex_state = 0},
  [8748] = {.lex_state = 0},
  [8749] = {.lex_state = 200},
  [8750] = {.lex_state = 0},
  [8751] = {.lex_state = 0},
  [8752] = {.lex_state = 0},
  [8753] = {.lex_state = 0},
  [8754] = {.lex_state = 0},
  [8755] = {.lex_state = 0},
  [8756] = {.lex_state = 0},
  [8757] = {.lex_state = 0},
  [8758] = {.lex_state = 0},
  [8759] = {.lex_state = 393},
  [8760] = {.lex_state = 0},
  [8761] = {.lex_state = 0},
  [8762] = {.lex_state = 0},
  [8763] = {.lex_state = 0},
  [8764] = {.lex_state = 123},
  [8765] = {.lex_state = 226},
  [8766] = {.lex_state = 0},
  [8767] = {.lex_state = 0},
  [8768] = {.lex_state = 0},
  [8769] = {.lex_state = 0},
  [8770] = {.lex_state = 0},
  [8771] = {.lex_state = 0},
  [8772] = {.lex_state = 393},
  [8773] = {.lex_state = 0},
  [8774] = {.lex_state = 0},
  [8775] = {.lex_state = 200},
  [8776] = {.lex_state = 282},
  [8777] = {.lex_state = 0},
  [8778] = {.lex_state = 226},
  [8779] = {.lex_state = 0},
  [8780] = {.lex_state = 200},
  [8781] = {.lex_state = 0},
  [8782] = {.lex_state = 0},
  [8783] = {.lex_state = 0, .external_lex_state = 2},
  [8784] = {.lex_state = 0},
  [8785] = {.lex_state = 226},
  [8786] = {.lex_state = 198},
  [8787] = {.lex_state = 0},
  [8788] = {.lex_state = 0},
  [8789] = {.lex_state = 0},
  [8790] = {.lex_state = 123},
  [8791] = {.lex_state = 0},
  [8792] = {.lex_state = 0},
  [8793] = {.lex_state = 200},
  [8794] = {.lex_state = 0},
  [8795] = {.lex_state = 226},
  [8796] = {.lex_state = 0},
  [8797] = {.lex_state = 0},
  [8798] = {.lex_state = 0},
  [8799] = {.lex_state = 393},
  [8800] = {.lex_state = 0},
  [8801] = {.lex_state = 200},
  [8802] = {.lex_state = 0},
  [8803] = {.lex_state = 200},
  [8804] = {.lex_state = 0},
  [8805] = {.lex_state = 200},
  [8806] = {.lex_state = 200},
  [8807] = {.lex_state = 0},
  [8808] = {.lex_state = 0},
  [8809] = {.lex_state = 0},
  [8810] = {.lex_state = 0},
  [8811] = {.lex_state = 0},
  [8812] = {.lex_state = 0},
  [8813] = {.lex_state = 393},
  [8814] = {.lex_state = 0},
  [8815] = {.lex_state = 200},
  [8816] = {.lex_state = 0},
  [8817] = {.lex_state = 202},
  [8818] = {.lex_state = 0, .external_lex_state = 2},
  [8819] = {.lex_state = 0},
  [8820] = {.lex_state = 198},
  [8821] = {.lex_state = 0},
  [8822] = {.lex_state = 393},
  [8823] = {.lex_state = 0},
  [8824] = {.lex_state = 393},
  [8825] = {.lex_state = 0},
  [8826] = {.lex_state = 198},
  [8827] = {.lex_state = 0},
  [8828] = {.lex_state = 0},
  [8829] = {.lex_state = 0},
  [8830] = {.lex_state = 201},
  [8831] = {.lex_state = 0, .external_lex_state = 2},
  [8832] = {.lex_state = 0},
  [8833] = {.lex_state = 0},
  [8834] = {.lex_state = 200},
  [8835] = {.lex_state = 206},
  [8836] = {.lex_state = 393},
  [8837] = {.lex_state = 0},
  [8838] = {.lex_state = 198},
  [8839] = {.lex_state = 0},
  [8840] = {.lex_state = 0},
  [8841] = {.lex_state = 0, .external_lex_state = 2},
  [8842] = {.lex_state = 0},
  [8843] = {.lex_state = 0, .external_lex_state = 2},
  [8844] = {.lex_state = 0},
  [8845] = {.lex_state = 393},
  [8846] = {.lex_state = 0},
  [8847] = {.lex_state = 0, .external_lex_state = 2},
  [8848] = {.lex_state = 0},
  [8849] = {.lex_state = 0},
  [8850] = {.lex_state = 0, .external_lex_state = 2},
  [8851] = {.lex_state = 0},
  [8852] = {.lex_state = 0},
  [8853] = {.lex_state = 0, .external_lex_state = 2},
  [8854] = {.lex_state = 0},
  [8855] = {.lex_state = 0, .external_lex_state = 2},
  [8856] = {.lex_state = 0},
  [8857] = {.lex_state = 0, .external_lex_state = 2},
  [8858] = {.lex_state = 0},
  [8859] = {.lex_state = 0, .external_lex_state = 2},
  [8860] = {.lex_state = 0},
  [8861] = {.lex_state = 0, .external_lex_state = 2},
  [8862] = {.lex_state = 0},
  [8863] = {.lex_state = 0, .external_lex_state = 2},
  [8864] = {.lex_state = 0},
  [8865] = {.lex_state = 0},
  [8866] = {.lex_state = 0},
  [8867] = {.lex_state = 393},
  [8868] = {.lex_state = 0},
  [8869] = {.lex_state = 393},
  [8870] = {.lex_state = 393},
  [8871] = {.lex_state = 0},
  [8872] = {.lex_state = 200},
  [8873] = {.lex_state = 393},
  [8874] = {.lex_state = 0},
  [8875] = {.lex_state = 393},
  [8876] = {.lex_state = 393},
  [8877] = {.lex_state = 123},
  [8878] = {.lex_state = 200},
  [8879] = {.lex_state = 0},
  [8880] = {.lex_state = 393},
  [8881] = {.lex_state = 0},
  [8882] = {.lex_state = 393},
  [8883] = {.lex_state = 226},
  [8884] = {.lex_state = 0},
  [8885] = {.lex_state = 123},
  [8886] = {.lex_state = 200},
  [8887] = {.lex_state = 0},
  [8888] = {.lex_state = 393},
  [8889] = {.lex_state = 0},
  [8890] = {.lex_state = 0},
  [8891] = {.lex_state = 0},
  [8892] = {.lex_state = 226},
  [8893] = {.lex_state = 226},
  [8894] = {.lex_state = 393},
  [8895] = {.lex_state = 0},
  [8896] = {.lex_state = 0},
  [8897] = {.lex_state = 0},
  [8898] = {.lex_state = 200},
  [8899] = {.lex_state = 393},
  [8900] = {.lex_state = 0, .external_lex_state = 3},
  [8901] = {.lex_state = 0},
  [8902] = {.lex_state = 0},
  [8903] = {.lex_state = 0},
  [8904] = {.lex_state = 393},
  [8905] = {.lex_state = 0, .external_lex_state = 2},
  [8906] = {.lex_state = 0},
  [8907] = {.lex_state = 0},
  [8908] = {.lex_state = 0},
  [8909] = {.lex_state = 0},
  [8910] = {.lex_state = 251},
  [8911] = {.lex_state = 0},
  [8912] = {.lex_state = 0},
  [8913] = {.lex_state = 0},
  [8914] = {.lex_state = 226},
  [8915] = {.lex_state = 0},
  [8916] = {.lex_state = 0},
  [8917] = {.lex_state = 0},
  [8918] = {.lex_state = 0},
  [8919] = {.lex_state = 0},
  [8920] = {.lex_state = 0},
  [8921] = {.lex_state = 0},
  [8922] = {.lex_state = 0},
  [8923] = {.lex_state = 206},
  [8924] = {.lex_state = 226},
  [8925] = {.lex_state = 0},
  [8926] = {.lex_state = 393},
  [8927] = {.lex_state = 0},
  [8928] = {.lex_state = 0},
  [8929] = {.lex_state = 0},
  [8930] = {.lex_state = 0},
  [8931] = {.lex_state = 206},
  [8932] = {.lex_state = 0},
  [8933] = {.lex_state = 226},
  [8934] = {.lex_state = 393},
  [8935] = {.lex_state = 0},
  [8936] = {.lex_state = 0},
  [8937] = {.lex_state = 393},
  [8938] = {.lex_state = 0},
  [8939] = {.lex_state = 393},
  [8940] = {.lex_state = 0},
  [8941] = {.lex_state = 0},
  [8942] = {.lex_state = 0},
  [8943] = {.lex_state = 0, .external_lex_state = 3},
  [8944] = {.lex_state = 0},
  [8945] = {.lex_state = 0},
  [8946] = {.lex_state = 0},
  [8947] = {.lex_state = 0},
  [8948] = {.lex_state = 0},
  [8949] = {.lex_state = 226},
  [8950] = {.lex_state = 0},
  [8951] = {.lex_state = 0},
  [8952] = {.lex_state = 0},
  [8953] = {.lex_state = 200},
  [8954] = {.lex_state = 200},
  [8955] = {.lex_state = 123},
  [8956] = {.lex_state = 0},
  [8957] = {.lex_state = 0},
  [8958] = {.lex_state = 0},
  [8959] = {.lex_state = 226},
  [8960] = {.lex_state = 226},
  [8961] = {.lex_state = 0},
  [8962] = {.lex_state = 123},
  [8963] = {.lex_state = 0},
  [8964] = {.lex_state = 0},
  [8965] = {.lex_state = 0},
  [8966] = {.lex_state = 0},
  [8967] = {.lex_state = 0},
  [8968] = {.lex_state = 0},
  [8969] = {.lex_state = 0},
  [8970] = {.lex_state = 0},
  [8971] = {.lex_state = 0},
  [8972] = {.lex_state = 0},
  [8973] = {.lex_state = 123},
  [8974] = {.lex_state = 123},
  [8975] = {.lex_state = 206},
  [8976] = {.lex_state = 198},
  [8977] = {.lex_state = 226},
  [8978] = {.lex_state = 200},
  [8979] = {.lex_state = 200},
  [8980] = {.lex_state = 0},
  [8981] = {.lex_state = 0},
  [8982] = {.lex_state = 0},
  [8983] = {.lex_state = 200},
  [8984] = {.lex_state = 200},
  [8985] = {.lex_state = 393},
  [8986] = {.lex_state = 226},
  [8987] = {.lex_state = 0},
  [8988] = {.lex_state = 123},
  [8989] = {.lex_state = 226},
  [8990] = {.lex_state = 123},
  [8991] = {.lex_state = 0},
  [8992] = {.lex_state = 0},
  [8993] = {.lex_state = 0},
  [8994] = {.lex_state = 0},
  [8995] = {.lex_state = 200},
  [8996] = {.lex_state = 0},
  [8997] = {.lex_state = 0},
  [8998] = {.lex_state = 0},
  [8999] = {.lex_state = 0},
  [9000] = {.lex_state = 200},
  [9001] = {.lex_state = 0},
  [9002] = {.lex_state = 0},
  [9003] = {.lex_state = 123},
  [9004] = {.lex_state = 200},
  [9005] = {.lex_state = 200},
  [9006] = {.lex_state = 226},
  [9007] = {.lex_state = 0},
  [9008] = {.lex_state = 0},
  [9009] = {.lex_state = 0},
  [9010] = {.lex_state = 0},
  [9011] = {.lex_state = 0},
  [9012] = {.lex_state = 0},
  [9013] = {.lex_state = 0},
  [9014] = {.lex_state = 0},
  [9015] = {.lex_state = 0},
  [9016] = {.lex_state = 0},
  [9017] = {.lex_state = 0},
  [9018] = {.lex_state = 226},
  [9019] = {.lex_state = 0},
  [9020] = {.lex_state = 0},
  [9021] = {.lex_state = 0},
  [9022] = {.lex_state = 0},
  [9023] = {.lex_state = 0},
  [9024] = {.lex_state = 0},
  [9025] = {.lex_state = 0},
  [9026] = {.lex_state = 0},
  [9027] = {.lex_state = 0},
  [9028] = {.lex_state = 0},
  [9029] = {.lex_state = 0},
  [9030] = {.lex_state = 0},
  [9031] = {.lex_state = 0},
  [9032] = {.lex_state = 0},
  [9033] = {.lex_state = 0},
  [9034] = {.lex_state = 0},
  [9035] = {.lex_state = 0},
  [9036] = {.lex_state = 0},
  [9037] = {.lex_state = 0},
  [9038] = {.lex_state = 226},
  [9039] = {.lex_state = 226},
  [9040] = {.lex_state = 0},
  [9041] = {.lex_state = 393},
  [9042] = {.lex_state = 200},
  [9043] = {.lex_state = 0},
  [9044] = {.lex_state = 393},
  [9045] = {.lex_state = 393},
  [9046] = {.lex_state = 393},
  [9047] = {.lex_state = 226},
  [9048] = {.lex_state = 393},
  [9049] = {.lex_state = 0},
  [9050] = {.lex_state = 0},
  [9051] = {.lex_state = 0},
  [9052] = {.lex_state = 0},
  [9053] = {.lex_state = 226},
  [9054] = {.lex_state = 0},
  [9055] = {.lex_state = 393},
  [9056] = {.lex_state = 0},
  [9057] = {.lex_state = 0},
  [9058] = {.lex_state = 0},
  [9059] = {.lex_state = 393},
  [9060] = {.lex_state = 0, .external_lex_state = 3},
  [9061] = {.lex_state = 393},
  [9062] = {.lex_state = 0},
  [9063] = {.lex_state = 0},
  [9064] = {.lex_state = 0},
  [9065] = {.lex_state = 0},
  [9066] = {.lex_state = 123},
  [9067] = {.lex_state = 226},
  [9068] = {.lex_state = 0},
  [9069] = {.lex_state = 206},
  [9070] = {.lex_state = 0},
  [9071] = {.lex_state = 0},
  [9072] = {.lex_state = 393},
  [9073] = {.lex_state = 393},
  [9074] = {.lex_state = 0},
  [9075] = {.lex_state = 393},
  [9076] = {.lex_state = 200},
  [9077] = {.lex_state = 226},
  [9078] = {.lex_state = 226},
  [9079] = {.lex_state = 0},
  [9080] = {.lex_state = 393},
  [9081] = {.lex_state = 0},
  [9082] = {.lex_state = 226},
  [9083] = {.lex_state = 393},
  [9084] = {.lex_state = 0, .external_lex_state = 3},
  [9085] = {.lex_state = 0},
  [9086] = {.lex_state = 0},
  [9087] = {.lex_state = 0},
  [9088] = {.lex_state = 226},
  [9089] = {.lex_state = 0},
  [9090] = {.lex_state = 0},
  [9091] = {.lex_state = 206},
  [9092] = {.lex_state = 200},
  [9093] = {.lex_state = 0},
  [9094] = {.lex_state = 393},
  [9095] = {.lex_state = 393},
  [9096] = {.lex_state = 0},
  [9097] = {.lex_state = 393},
  [9098] = {.lex_state = 200},
  [9099] = {.lex_state = 0},
  [9100] = {.lex_state = 226},
  [9101] = {.lex_state = 200},
  [9102] = {.lex_state = 393},
  [9103] = {.lex_state = 0},
  [9104] = {.lex_state = 123},
  [9105] = {.lex_state = 393},
  [9106] = {.lex_state = 0, .external_lex_state = 3},
  [9107] = {.lex_state = 0},
  [9108] = {.lex_state = 0},
  [9109] = {.lex_state = 226},
  [9110] = {.lex_state = 0},
  [9111] = {.lex_state = 0},
  [9112] = {.lex_state = 206},
  [9113] = {.lex_state = 226},
  [9114] = {.lex_state = 393},
  [9115] = {.lex_state = 393},
  [9116] = {.lex_state = 0},
  [9117] = {.lex_state = 393},
  [9118] = {.lex_state = 0},
  [9119] = {.lex_state = 200},
  [9120] = {.lex_state = 226},
  [9121] = {.lex_state = 393},
  [9122] = {.lex_state = 0},
  [9123] = {.lex_state = 0},
  [9124] = {.lex_state = 393},
  [9125] = {.lex_state = 0, .external_lex_state = 3},
  [9126] = {.lex_state = 0},
  [9127] = {.lex_state = 0},
  [9128] = {.lex_state = 393},
  [9129] = {.lex_state = 0},
  [9130] = {.lex_state = 0},
  [9131] = {.lex_state = 206},
  [9132] = {.lex_state = 123},
  [9133] = {.lex_state = 393},
  [9134] = {.lex_state = 393},
  [9135] = {.lex_state = 0},
  [9136] = {.lex_state = 393},
  [9137] = {.lex_state = 200},
  [9138] = {.lex_state = 0},
  [9139] = {.lex_state = 393},
  [9140] = {.lex_state = 123},
  [9141] = {.lex_state = 226},
  [9142] = {.lex_state = 393},
  [9143] = {.lex_state = 0, .external_lex_state = 3},
  [9144] = {.lex_state = 0},
  [9145] = {.lex_state = 200},
  [9146] = {.lex_state = 0},
  [9147] = {.lex_state = 0},
  [9148] = {.lex_state = 0},
  [9149] = {.lex_state = 206},
  [9150] = {.lex_state = 0},
  [9151] = {.lex_state = 393},
  [9152] = {.lex_state = 393},
  [9153] = {.lex_state = 0},
  [9154] = {.lex_state = 393},
  [9155] = {.lex_state = 0},
  [9156] = {.lex_state = 0},
  [9157] = {.lex_state = 393},
  [9158] = {.lex_state = 206},
  [9159] = {.lex_state = 0},
  [9160] = {.lex_state = 393},
  [9161] = {.lex_state = 0, .external_lex_state = 3},
  [9162] = {.lex_state = 0},
  [9163] = {.lex_state = 226},
  [9164] = {.lex_state = 0},
  [9165] = {.lex_state = 393},
  [9166] = {.lex_state = 0},
  [9167] = {.lex_state = 206},
  [9168] = {.lex_state = 0},
  [9169] = {.lex_state = 393},
  [9170] = {.lex_state = 0},
  [9171] = {.lex_state = 393},
  [9172] = {.lex_state = 226},
  [9173] = {.lex_state = 206},
  [9174] = {.lex_state = 0},
  [9175] = {.lex_state = 0},
  [9176] = {.lex_state = 393},
  [9177] = {.lex_state = 0, .external_lex_state = 3},
  [9178] = {.lex_state = 0},
  [9179] = {.lex_state = 0},
  [9180] = {.lex_state = 0},
  [9181] = {.lex_state = 0},
  [9182] = {.lex_state = 0},
  [9183] = {.lex_state = 393},
  [9184] = {.lex_state = 393},
  [9185] = {.lex_state = 393},
  [9186] = {.lex_state = 0, .external_lex_state = 3},
  [9187] = {.lex_state = 0},
  [9188] = {.lex_state = 200},
  [9189] = {.lex_state = 0},
  [9190] = {.lex_state = 0},
  [9191] = {.lex_state = 393},
  [9192] = {.lex_state = 393},
  [9193] = {.lex_state = 0},
  [9194] = {.lex_state = 0, .external_lex_state = 3},
  [9195] = {.lex_state = 0},
  [9196] = {.lex_state = 0},
  [9197] = {.lex_state = 393},
  [9198] = {.lex_state = 393},
  [9199] = {.lex_state = 0, .external_lex_state = 3},
  [9200] = {.lex_state = 0},
  [9201] = {.lex_state = 0, .external_lex_state = 3},
  [9202] = {.lex_state = 0},
  [9203] = {.lex_state = 0, .external_lex_state = 3},
  [9204] = {.lex_state = 0},
  [9205] = {.lex_state = 0, .external_lex_state = 3},
  [9206] = {.lex_state = 0},
  [9207] = {.lex_state = 0, .external_lex_state = 3},
  [9208] = {.lex_state = 0},
  [9209] = {.lex_state = 0, .external_lex_state = 3},
  [9210] = {.lex_state = 0},
  [9211] = {.lex_state = 0, .external_lex_state = 3},
  [9212] = {.lex_state = 0},
  [9213] = {.lex_state = 0, .external_lex_state = 3},
  [9214] = {.lex_state = 0},
  [9215] = {.lex_state = 0},
  [9216] = {.lex_state = 0},
  [9217] = {.lex_state = 393},
  [9218] = {.lex_state = 393},
  [9219] = {.lex_state = 226},
  [9220] = {.lex_state = 123},
  [9221] = {.lex_state = 0},
  [9222] = {.lex_state = 0},
  [9223] = {.lex_state = 226},
  [9224] = {.lex_state = 0},
  [9225] = {.lex_state = 200},
  [9226] = {.lex_state = 226},
  [9227] = {.lex_state = 0},
  [9228] = {.lex_state = 0},
  [9229] = {.lex_state = 0},
  [9230] = {.lex_state = 0},
  [9231] = {.lex_state = 0},
  [9232] = {.lex_state = 0},
  [9233] = {.lex_state = 0},
  [9234] = {.lex_state = 226},
  [9235] = {.lex_state = 0, .external_lex_state = 3},
  [9236] = {.lex_state = 0},
  [9237] = {.lex_state = 0},
  [9238] = {.lex_state = 0},
  [9239] = {.lex_state = 200},
  [9240] = {.lex_state = 0},
  [9241] = {.lex_state = 200},
  [9242] = {.lex_state = 393},
  [9243] = {.lex_state = 226},
  [9244] = {.lex_state = 123},
  [9245] = {.lex_state = 0},
  [9246] = {.lex_state = 0},
  [9247] = {.lex_state = 0},
  [9248] = {.lex_state = 0},
  [9249] = {.lex_state = 226},
  [9250] = {.lex_state = 393},
  [9251] = {.lex_state = 0},
  [9252] = {.lex_state = 226},
  [9253] = {.lex_state = 206},
  [9254] = {.lex_state = 0},
  [9255] = {.lex_state = 200},
  [9256] = {.lex_state = 393},
  [9257] = {.lex_state = 0},
  [9258] = {.lex_state = 0},
  [9259] = {.lex_state = 0},
  [9260] = {.lex_state = 393},
  [9261] = {.lex_state = 0},
  [9262] = {.lex_state = 0},
  [9263] = {.lex_state = 0},
  [9264] = {.lex_state = 0},
  [9265] = {.lex_state = 206},
  [9266] = {.lex_state = 393},
  [9267] = {.lex_state = 123},
  [9268] = {.lex_state = 393},
  [9269] = {.lex_state = 393},
  [9270] = {.lex_state = 393},
  [9271] = {.lex_state = 226},
  [9272] = {.lex_state = 0},
  [9273] = {.lex_state = 0},
  [9274] = {.lex_state = 393},
  [9275] = {.lex_state = 123},
  [9276] = {.lex_state = 206},
  [9277] = {.lex_state = 0},
  [9278] = {.lex_state = 200},
  [9279] = {.lex_state = 200},
  [9280] = {.lex_state = 0},
  [9281] = {.lex_state = 0},
  [9282] = {.lex_state = 0},
  [9283] = {.lex_state = 393},
  [9284] = {.lex_state = 0},
  [9285] = {.lex_state = 0},
  [9286] = {.lex_state = 226},
  [9287] = {.lex_state = 0},
  [9288] = {.lex_state = 0},
  [9289] = {.lex_state = 0},
  [9290] = {.lex_state = 0},
  [9291] = {.lex_state = 226},
  [9292] = {.lex_state = 0},
  [9293] = {.lex_state = 0},
  [9294] = {.lex_state = 393},
  [9295] = {.lex_state = 393},
  [9296] = {.lex_state = 393},
  [9297] = {.lex_state = 226},
  [9298] = {.lex_state = 0},
  [9299] = {.lex_state = 0},
  [9300] = {.lex_state = 200},
  [9301] = {.lex_state = 226},
  [9302] = {.lex_state = 0, .external_lex_state = 3},
  [9303] = {.lex_state = 200},
  [9304] = {.lex_state = 0},
  [9305] = {.lex_state = 226},
  [9306] = {.lex_state = 393},
  [9307] = {.lex_state = 393},
  [9308] = {.lex_state = 226},
  [9309] = {.lex_state = 0},
  [9310] = {.lex_state = 200},
  [9311] = {.lex_state = 226},
  [9312] = {.lex_state = 0, .external_lex_state = 3},
  [9313] = {.lex_state = 0},
  [9314] = {.lex_state = 206},
  [9315] = {.lex_state = 393},
  [9316] = {.lex_state = 393},
  [9317] = {.lex_state = 393},
  [9318] = {.lex_state = 226},
  [9319] = {.lex_state = 0},
  [9320] = {.lex_state = 0},
  [9321] = {.lex_state = 226},
  [9322] = {.lex_state = 0, .external_lex_state = 3},
  [9323] = {.lex_state = 226},
  [9324] = {.lex_state = 393},
  [9325] = {.lex_state = 0},
  [9326] = {.lex_state = 393},
  [9327] = {.lex_state = 226},
  [9328] = {.lex_state = 0},
  [9329] = {.lex_state = 226},
  [9330] = {.lex_state = 226},
  [9331] = {.lex_state = 0, .external_lex_state = 3},
  [9332] = {.lex_state = 226},
  [9333] = {.lex_state = 226},
  [9334] = {.lex_state = 393},
  [9335] = {.lex_state = 226},
  [9336] = {.lex_state = 200},
  [9337] = {.lex_state = 0},
  [9338] = {.lex_state = 226},
  [9339] = {.lex_state = 0, .external_lex_state = 3},
  [9340] = {.lex_state = 0},
  [9341] = {.lex_state = 0},
  [9342] = {.lex_state = 393},
  [9343] = {.lex_state = 226},
  [9344] = {.lex_state = 0},
  [9345] = {.lex_state = 0},
  [9346] = {.lex_state = 226},
  [9347] = {.lex_state = 0, .external_lex_state = 3},
  [9348] = {.lex_state = 0},
  [9349] = {.lex_state = 0},
  [9350] = {.lex_state = 393},
  [9351] = {.lex_state = 226},
  [9352] = {.lex_state = 0},
  [9353] = {.lex_state = 226},
  [9354] = {.lex_state = 0, .external_lex_state = 3},
  [9355] = {.lex_state = 123},
  [9356] = {.lex_state = 393},
  [9357] = {.lex_state = 226},
  [9358] = {.lex_state = 0, .external_lex_state = 3},
  [9359] = {.lex_state = 0},
  [9360] = {.lex_state = 393},
  [9361] = {.lex_state = 0, .external_lex_state = 3},
  [9362] = {.lex_state = 0},
  [9363] = {.lex_state = 0, .external_lex_state = 3},
  [9364] = {.lex_state = 123},
  [9365] = {.lex_state = 0, .external_lex_state = 3},
  [9366] = {.lex_state = 0, .external_lex_state = 3},
  [9367] = {.lex_state = 0, .external_lex_state = 3},
  [9368] = {.lex_state = 0},
  [9369] = {.lex_state = 0, .external_lex_state = 3},
  [9370] = {.lex_state = 0},
  [9371] = {.lex_state = 0, .external_lex_state = 3},
  [9372] = {.lex_state = 0},
  [9373] = {.lex_state = 0, .external_lex_state = 3},
  [9374] = {.lex_state = 226},
  [9375] = {.lex_state = 0, .external_lex_state = 3},
  [9376] = {.lex_state = 200},
  [9377] = {.lex_state = 0, .external_lex_state = 3},
  [9378] = {.lex_state = 393},
  [9379] = {.lex_state = 393},
  [9380] = {.lex_state = 0},
  [9381] = {.lex_state = 393},
  [9382] = {.lex_state = 393},
  [9383] = {.lex_state = 0},
  [9384] = {.lex_state = 393},
  [9385] = {.lex_state = 393},
  [9386] = {.lex_state = 0},
  [9387] = {.lex_state = 393},
  [9388] = {.lex_state = 393},
  [9389] = {.lex_state = 0},
  [9390] = {.lex_state = 393},
  [9391] = {.lex_state = 393},
  [9392] = {.lex_state = 0},
  [9393] = {.lex_state = 393},
  [9394] = {.lex_state = 393},
  [9395] = {.lex_state = 0},
  [9396] = {.lex_state = 393},
  [9397] = {.lex_state = 393},
  [9398] = {.lex_state = 0},
  [9399] = {.lex_state = 393},
  [9400] = {.lex_state = 393},
  [9401] = {.lex_state = 393},
  [9402] = {.lex_state = 393},
  [9403] = {.lex_state = 393},
  [9404] = {.lex_state = 393},
  [9405] = {.lex_state = 393},
  [9406] = {.lex_state = 393},
  [9407] = {.lex_state = 393},
  [9408] = {.lex_state = 393},
  [9409] = {.lex_state = 393},
  [9410] = {.lex_state = 0},
  [9411] = {.lex_state = 123},
  [9412] = {.lex_state = 0},
  [9413] = {.lex_state = 226},
  [9414] = {.lex_state = 226},
  [9415] = {.lex_state = 0},
  [9416] = {.lex_state = 0},
  [9417] = {.lex_state = 393},
  [9418] = {.lex_state = 393},
  [9419] = {.lex_state = 393},
  [9420] = {.lex_state = 393},
  [9421] = {.lex_state = 393},
  [9422] = {.lex_state = 393},
  [9423] = {.lex_state = 393},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [aux_sym_preproc_include_token1] = ACTIONS(1),
    [aux_sym_preproc_def_token1] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [aux_sym_preproc_if_token1] = ACTIONS(1),
    [aux_sym_preproc_if_token2] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1),
    [aux_sym_preproc_else_token1] = ACTIONS(1),
    [aux_sym_preproc_elif_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1),
    [sym_preproc_directive] = ACTIONS(1),
    [anon_sym_LPAREN2] = ACTIONS(1),
    [anon_sym_defined] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym___extension__] = ACTIONS(1),
    [anon_sym_typedef] = ACTIONS(1),
    [anon_sym_extern] = ACTIONS(1),
    [anon_sym___attribute__] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1),
    [anon_sym___declspec] = ACTIONS(1),
    [anon_sym___based] = ACTIONS(1),
    [anon_sym___cdecl] = ACTIONS(1),
    [anon_sym___clrcall] = ACTIONS(1),
    [anon_sym___stdcall] = ACTIONS(1),
    [anon_sym___fastcall] = ACTIONS(1),
    [anon_sym___thiscall] = ACTIONS(1),
    [anon_sym___vectorcall] = ACTIONS(1),
    [sym_ms_restrict_modifier] = ACTIONS(1),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(1),
    [sym_ms_signed_ptr_modifier] = ACTIONS(1),
    [anon_sym__unaligned] = ACTIONS(1),
    [anon_sym___unaligned] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_signed] = ACTIONS(1),
    [anon_sym_unsigned] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_register] = ACTIONS(1),
    [anon_sym_inline] = ACTIONS(1),
    [anon_sym___inline] = ACTIONS(1),
    [anon_sym___inline__] = ACTIONS(1),
    [anon_sym___forceinline] = ACTIONS(1),
    [anon_sym_thread_local] = ACTIONS(1),
    [anon_sym___thread] = ACTIONS(1),
    [anon_sym_const] = ACTIONS(1),
    [anon_sym_constexpr] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_restrict] = ACTIONS(1),
    [anon_sym___restrict__] = ACTIONS(1),
    [anon_sym__Atomic] = ACTIONS(1),
    [anon_sym__Noreturn] = ACTIONS(1),
    [anon_sym_noreturn] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constinit] = ACTIONS(1),
    [anon_sym_consteval] = ACTIONS(1),
    [sym_primitive_type] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_goto] = ACTIONS(1),
    [anon_sym___try] = ACTIONS(1),
    [anon_sym___except] = ACTIONS(1),
    [anon_sym___finally] = ACTIONS(1),
    [anon_sym___leave] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_and_eq] = ACTIONS(1),
    [anon_sym_or_eq] = ACTIONS(1),
    [anon_sym_xor_eq] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_compl] = ACTIONS(1),
    [anon_sym_LT_EQ_GT] = ACTIONS(1),
    [anon_sym_or] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_bitor] = ACTIONS(1),
    [anon_sym_xor] = ACTIONS(1),
    [anon_sym_bitand] = ACTIONS(1),
    [anon_sym_not_eq] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_sizeof] = ACTIONS(1),
    [anon_sym___alignof__] = ACTIONS(1),
    [anon_sym___alignof] = ACTIONS(1),
    [anon_sym__alignof] = ACTIONS(1),
    [anon_sym_alignof] = ACTIONS(1),
    [anon_sym__Alignof] = ACTIONS(1),
    [anon_sym_offsetof] = ACTIONS(1),
    [anon_sym__Generic] = ACTIONS(1),
    [anon_sym_asm] = ACTIONS(1),
    [anon_sym___asm__] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DOT_STAR] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [anon_sym_L_SQUOTE] = ACTIONS(1),
    [anon_sym_u_SQUOTE] = ACTIONS(1),
    [anon_sym_U_SQUOTE] = ACTIONS(1),
    [anon_sym_u8_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_L_DQUOTE] = ACTIONS(1),
    [anon_sym_u_DQUOTE] = ACTIONS(1),
    [anon_sym_U_DQUOTE] = ACTIONS(1),
    [anon_sym_u8_DQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_nullptr] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1),
    [anon_sym_decltype] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_override] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_alignas] = ACTIONS(1),
    [anon_sym_explicit] = ACTIONS(1),
    [anon_sym_typename] = ACTIONS(1),
    [anon_sym_template] = ACTIONS(1),
    [anon_sym_GT2] = ACTIONS(1),
    [anon_sym_operator] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_delete] = ACTIONS(1),
    [anon_sym_friend] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_noexcept] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_namespace] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_static_assert] = ACTIONS(1),
    [anon_sym_concept] = ACTIONS(1),
    [anon_sym_co_return] = ACTIONS(1),
    [anon_sym_co_yield] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_R_DQUOTE] = ACTIONS(1),
    [anon_sym_LR_DQUOTE] = ACTIONS(1),
    [anon_sym_uR_DQUOTE] = ACTIONS(1),
    [anon_sym_UR_DQUOTE] = ACTIONS(1),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1),
    [anon_sym_co_await] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_DASH_GT_STAR] = ACTIONS(1),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_raw_string_delimiter] = ACTIONS(1),
    [sym_raw_string_content] = ACTIONS(1),
  },
  [1] = {
    [sym_translation_unit] = STATE(9245),
    [sym_preproc_include] = STATE(98),
    [sym_preproc_def] = STATE(98),
    [sym_preproc_function_def] = STATE(98),
    [sym_preproc_call] = STATE(98),
    [sym_preproc_if] = STATE(98),
    [sym_preproc_ifdef] = STATE(98),
    [sym_function_definition] = STATE(98),
    [sym_declaration] = STATE(98),
    [sym_type_definition] = STATE(98),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_linkage_specification] = STATE(98),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6834),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(98),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(98),
    [sym_labeled_statement] = STATE(98),
    [sym__top_level_expression_statement] = STATE(98),
    [sym_if_statement] = STATE(98),
    [sym_switch_statement] = STATE(98),
    [sym_case_statement] = STATE(98),
    [sym_while_statement] = STATE(98),
    [sym_do_statement] = STATE(98),
    [sym_for_statement] = STATE(98),
    [sym_return_statement] = STATE(98),
    [sym_break_statement] = STATE(98),
    [sym_continue_statement] = STATE(98),
    [sym_goto_statement] = STATE(98),
    [sym__expression] = STATE(5281),
    [sym__expression_not_binary] = STATE(5351),
    [sym_conditional_expression] = STATE(5351),
    [sym_assignment_expression] = STATE(5351),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(5351),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(5351),
    [sym_cast_expression] = STATE(5351),
    [sym_sizeof_expression] = STATE(5351),
    [sym_alignof_expression] = STATE(5351),
    [sym_offsetof_expression] = STATE(5351),
    [sym_generic_expression] = STATE(5351),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(5351),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(5351),
    [sym__empty_declaration] = STATE(98),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2042),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(98),
    [sym_template_instantiation] = STATE(98),
    [sym_operator_cast] = STATE(7197),
    [sym__constructor_specifiers] = STATE(2042),
    [sym_operator_cast_definition] = STATE(98),
    [sym_operator_cast_declaration] = STATE(98),
    [sym_constructor_or_destructor_definition] = STATE(98),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(98),
    [sym_namespace_alias_definition] = STATE(98),
    [sym_using_declaration] = STATE(98),
    [sym_alias_declaration] = STATE(98),
    [sym_static_assert_declaration] = STATE(98),
    [sym_concept_definition] = STATE(98),
    [sym_for_range_loop] = STATE(98),
    [sym_co_return_statement] = STATE(98),
    [sym_co_yield_statement] = STATE(98),
    [sym_throw_statement] = STATE(98),
    [sym_try_statement] = STATE(98),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(5351),
    [sym_new_expression] = STATE(5351),
    [sym_delete_expression] = STATE(5351),
    [sym_requires_clause] = STATE(5351),
    [sym_requires_expression] = STATE(5351),
    [sym_lambda_expression] = STATE(5351),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(5351),
    [sym_parameter_pack_expansion] = STATE(5351),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7197),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_translation_unit_repeat1] = STATE(98),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2042),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [2] = {
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_case_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(67),
    [sym_co_return_statement] = STATE(67),
    [sym_co_yield_statement] = STATE(67),
    [sym_throw_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(183),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [3] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(237),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [4] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(239),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [5] = {
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_case_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym_seh_try_statement] = STATE(76),
    [sym_seh_leave_statement] = STATE(76),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(76),
    [sym_co_return_statement] = STATE(76),
    [sym_co_yield_statement] = STATE(76),
    [sym_throw_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(241),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [6] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(243),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [7] = {
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_case_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(78),
    [sym_co_return_statement] = STATE(78),
    [sym_co_yield_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(245),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [8] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(53),
    [sym_co_return_statement] = STATE(53),
    [sym_co_yield_statement] = STATE(53),
    [sym_throw_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(247),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [9] = {
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_case_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(67),
    [sym_co_return_statement] = STATE(67),
    [sym_co_yield_statement] = STATE(67),
    [sym_throw_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(249),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [10] = {
    [sym_preproc_include] = STATE(84),
    [sym_preproc_def] = STATE(84),
    [sym_preproc_function_def] = STATE(84),
    [sym_preproc_call] = STATE(84),
    [sym_preproc_if] = STATE(84),
    [sym_preproc_ifdef] = STATE(84),
    [sym_function_definition] = STATE(84),
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(84),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_case_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(84),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(84),
    [sym_template_instantiation] = STATE(84),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(84),
    [sym_operator_cast_declaration] = STATE(84),
    [sym_constructor_or_destructor_definition] = STATE(84),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(84),
    [sym_namespace_alias_definition] = STATE(84),
    [sym_using_declaration] = STATE(84),
    [sym_alias_declaration] = STATE(84),
    [sym_static_assert_declaration] = STATE(84),
    [sym_concept_definition] = STATE(84),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(84),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(251),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [11] = {
    [sym_preproc_include] = STATE(84),
    [sym_preproc_def] = STATE(84),
    [sym_preproc_function_def] = STATE(84),
    [sym_preproc_call] = STATE(84),
    [sym_preproc_if] = STATE(84),
    [sym_preproc_ifdef] = STATE(84),
    [sym_function_definition] = STATE(84),
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(84),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_case_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(84),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(84),
    [sym_template_instantiation] = STATE(84),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(84),
    [sym_operator_cast_declaration] = STATE(84),
    [sym_constructor_or_destructor_definition] = STATE(84),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(84),
    [sym_namespace_alias_definition] = STATE(84),
    [sym_using_declaration] = STATE(84),
    [sym_alias_declaration] = STATE(84),
    [sym_static_assert_declaration] = STATE(84),
    [sym_concept_definition] = STATE(84),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(84),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(253),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [12] = {
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_case_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym_seh_try_statement] = STATE(76),
    [sym_seh_leave_statement] = STATE(76),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(76),
    [sym_co_return_statement] = STATE(76),
    [sym_co_yield_statement] = STATE(76),
    [sym_throw_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(255),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [13] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(95),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(95),
    [sym_template_instantiation] = STATE(95),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(95),
    [sym_operator_cast_declaration] = STATE(95),
    [sym_constructor_or_destructor_definition] = STATE(95),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(95),
    [sym_namespace_alias_definition] = STATE(95),
    [sym_using_declaration] = STATE(95),
    [sym_alias_declaration] = STATE(95),
    [sym_static_assert_declaration] = STATE(95),
    [sym_concept_definition] = STATE(95),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(95),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(257),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [14] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(259),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [15] = {
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_case_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(4764),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(78),
    [sym_co_return_statement] = STATE(78),
    [sym_co_yield_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(159),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [anon_sym_COMMA] = ACTIONS(165),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_RBRACE] = ACTIONS(261),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(185),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [16] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(9336),
    [sym_preproc_elif] = STATE(9336),
    [sym_preproc_elifdef] = STATE(9336),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(271),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [17] = {
    [sym_preproc_include] = STATE(24),
    [sym_preproc_def] = STATE(24),
    [sym_preproc_function_def] = STATE(24),
    [sym_preproc_call] = STATE(24),
    [sym_preproc_if] = STATE(24),
    [sym_preproc_ifdef] = STATE(24),
    [sym_preproc_else] = STATE(9145),
    [sym_preproc_elif] = STATE(9145),
    [sym_preproc_elifdef] = STATE(9145),
    [sym_function_definition] = STATE(24),
    [sym_declaration] = STATE(24),
    [sym_type_definition] = STATE(24),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(24),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(24),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(24),
    [sym_labeled_statement] = STATE(24),
    [sym_expression_statement] = STATE(24),
    [sym_if_statement] = STATE(24),
    [sym_switch_statement] = STATE(24),
    [sym_case_statement] = STATE(24),
    [sym_while_statement] = STATE(24),
    [sym_do_statement] = STATE(24),
    [sym_for_statement] = STATE(24),
    [sym_return_statement] = STATE(24),
    [sym_break_statement] = STATE(24),
    [sym_continue_statement] = STATE(24),
    [sym_goto_statement] = STATE(24),
    [sym_seh_try_statement] = STATE(24),
    [sym_seh_leave_statement] = STATE(24),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(24),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(24),
    [sym_template_instantiation] = STATE(24),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(24),
    [sym_operator_cast_declaration] = STATE(24),
    [sym_constructor_or_destructor_definition] = STATE(24),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(24),
    [sym_namespace_alias_definition] = STATE(24),
    [sym_using_declaration] = STATE(24),
    [sym_alias_declaration] = STATE(24),
    [sym_static_assert_declaration] = STATE(24),
    [sym_concept_definition] = STATE(24),
    [sym_for_range_loop] = STATE(24),
    [sym_co_return_statement] = STATE(24),
    [sym_co_yield_statement] = STATE(24),
    [sym_throw_statement] = STATE(24),
    [sym_try_statement] = STATE(24),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(24),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(339),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [18] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(8651),
    [sym_preproc_elif] = STATE(8651),
    [sym_preproc_elifdef] = STATE(8651),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(341),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [19] = {
    [sym_preproc_include] = STATE(22),
    [sym_preproc_def] = STATE(22),
    [sym_preproc_function_def] = STATE(22),
    [sym_preproc_call] = STATE(22),
    [sym_preproc_if] = STATE(22),
    [sym_preproc_ifdef] = STATE(22),
    [sym_preproc_else] = STATE(8580),
    [sym_preproc_elif] = STATE(8580),
    [sym_preproc_elifdef] = STATE(8580),
    [sym_function_definition] = STATE(22),
    [sym_declaration] = STATE(22),
    [sym_type_definition] = STATE(22),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(22),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(22),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(22),
    [sym_labeled_statement] = STATE(22),
    [sym_expression_statement] = STATE(22),
    [sym_if_statement] = STATE(22),
    [sym_switch_statement] = STATE(22),
    [sym_case_statement] = STATE(22),
    [sym_while_statement] = STATE(22),
    [sym_do_statement] = STATE(22),
    [sym_for_statement] = STATE(22),
    [sym_return_statement] = STATE(22),
    [sym_break_statement] = STATE(22),
    [sym_continue_statement] = STATE(22),
    [sym_goto_statement] = STATE(22),
    [sym_seh_try_statement] = STATE(22),
    [sym_seh_leave_statement] = STATE(22),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(22),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(22),
    [sym_template_instantiation] = STATE(22),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(22),
    [sym_operator_cast_declaration] = STATE(22),
    [sym_constructor_or_destructor_definition] = STATE(22),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(22),
    [sym_namespace_alias_definition] = STATE(22),
    [sym_using_declaration] = STATE(22),
    [sym_alias_declaration] = STATE(22),
    [sym_static_assert_declaration] = STATE(22),
    [sym_concept_definition] = STATE(22),
    [sym_for_range_loop] = STATE(22),
    [sym_co_return_statement] = STATE(22),
    [sym_co_yield_statement] = STATE(22),
    [sym_throw_statement] = STATE(22),
    [sym_try_statement] = STATE(22),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(22),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(343),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [20] = {
    [sym_preproc_include] = STATE(16),
    [sym_preproc_def] = STATE(16),
    [sym_preproc_function_def] = STATE(16),
    [sym_preproc_call] = STATE(16),
    [sym_preproc_if] = STATE(16),
    [sym_preproc_ifdef] = STATE(16),
    [sym_preproc_else] = STATE(9225),
    [sym_preproc_elif] = STATE(9225),
    [sym_preproc_elifdef] = STATE(9225),
    [sym_function_definition] = STATE(16),
    [sym_declaration] = STATE(16),
    [sym_type_definition] = STATE(16),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(16),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(16),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(16),
    [sym_labeled_statement] = STATE(16),
    [sym_expression_statement] = STATE(16),
    [sym_if_statement] = STATE(16),
    [sym_switch_statement] = STATE(16),
    [sym_case_statement] = STATE(16),
    [sym_while_statement] = STATE(16),
    [sym_do_statement] = STATE(16),
    [sym_for_statement] = STATE(16),
    [sym_return_statement] = STATE(16),
    [sym_break_statement] = STATE(16),
    [sym_continue_statement] = STATE(16),
    [sym_goto_statement] = STATE(16),
    [sym_seh_try_statement] = STATE(16),
    [sym_seh_leave_statement] = STATE(16),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(16),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(16),
    [sym_template_instantiation] = STATE(16),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(16),
    [sym_operator_cast_declaration] = STATE(16),
    [sym_constructor_or_destructor_definition] = STATE(16),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(16),
    [sym_namespace_alias_definition] = STATE(16),
    [sym_using_declaration] = STATE(16),
    [sym_alias_declaration] = STATE(16),
    [sym_static_assert_declaration] = STATE(16),
    [sym_concept_definition] = STATE(16),
    [sym_for_range_loop] = STATE(16),
    [sym_co_return_statement] = STATE(16),
    [sym_co_yield_statement] = STATE(16),
    [sym_throw_statement] = STATE(16),
    [sym_try_statement] = STATE(16),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(16),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(345),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [21] = {
    [sym_preproc_include] = STATE(25),
    [sym_preproc_def] = STATE(25),
    [sym_preproc_function_def] = STATE(25),
    [sym_preproc_call] = STATE(25),
    [sym_preproc_if] = STATE(25),
    [sym_preproc_ifdef] = STATE(25),
    [sym_preproc_else] = STATE(8484),
    [sym_preproc_elif] = STATE(8484),
    [sym_preproc_elifdef] = STATE(8484),
    [sym_function_definition] = STATE(25),
    [sym_declaration] = STATE(25),
    [sym_type_definition] = STATE(25),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(25),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(25),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(25),
    [sym_labeled_statement] = STATE(25),
    [sym_expression_statement] = STATE(25),
    [sym_if_statement] = STATE(25),
    [sym_switch_statement] = STATE(25),
    [sym_case_statement] = STATE(25),
    [sym_while_statement] = STATE(25),
    [sym_do_statement] = STATE(25),
    [sym_for_statement] = STATE(25),
    [sym_return_statement] = STATE(25),
    [sym_break_statement] = STATE(25),
    [sym_continue_statement] = STATE(25),
    [sym_goto_statement] = STATE(25),
    [sym_seh_try_statement] = STATE(25),
    [sym_seh_leave_statement] = STATE(25),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(25),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(25),
    [sym_template_instantiation] = STATE(25),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(25),
    [sym_operator_cast_declaration] = STATE(25),
    [sym_constructor_or_destructor_definition] = STATE(25),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(25),
    [sym_namespace_alias_definition] = STATE(25),
    [sym_using_declaration] = STATE(25),
    [sym_alias_declaration] = STATE(25),
    [sym_static_assert_declaration] = STATE(25),
    [sym_concept_definition] = STATE(25),
    [sym_for_range_loop] = STATE(25),
    [sym_co_return_statement] = STATE(25),
    [sym_co_yield_statement] = STATE(25),
    [sym_throw_statement] = STATE(25),
    [sym_try_statement] = STATE(25),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(25),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(347),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [22] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(8954),
    [sym_preproc_elif] = STATE(8954),
    [sym_preproc_elifdef] = STATE(8954),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(349),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [23] = {
    [sym_preproc_include] = STATE(18),
    [sym_preproc_def] = STATE(18),
    [sym_preproc_function_def] = STATE(18),
    [sym_preproc_call] = STATE(18),
    [sym_preproc_if] = STATE(18),
    [sym_preproc_ifdef] = STATE(18),
    [sym_preproc_else] = STATE(8481),
    [sym_preproc_elif] = STATE(8481),
    [sym_preproc_elifdef] = STATE(8481),
    [sym_function_definition] = STATE(18),
    [sym_declaration] = STATE(18),
    [sym_type_definition] = STATE(18),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(18),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(18),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(18),
    [sym_labeled_statement] = STATE(18),
    [sym_expression_statement] = STATE(18),
    [sym_if_statement] = STATE(18),
    [sym_switch_statement] = STATE(18),
    [sym_case_statement] = STATE(18),
    [sym_while_statement] = STATE(18),
    [sym_do_statement] = STATE(18),
    [sym_for_statement] = STATE(18),
    [sym_return_statement] = STATE(18),
    [sym_break_statement] = STATE(18),
    [sym_continue_statement] = STATE(18),
    [sym_goto_statement] = STATE(18),
    [sym_seh_try_statement] = STATE(18),
    [sym_seh_leave_statement] = STATE(18),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(18),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(18),
    [sym_template_instantiation] = STATE(18),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(18),
    [sym_operator_cast_declaration] = STATE(18),
    [sym_constructor_or_destructor_definition] = STATE(18),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(18),
    [sym_namespace_alias_definition] = STATE(18),
    [sym_using_declaration] = STATE(18),
    [sym_alias_declaration] = STATE(18),
    [sym_static_assert_declaration] = STATE(18),
    [sym_concept_definition] = STATE(18),
    [sym_for_range_loop] = STATE(18),
    [sym_co_return_statement] = STATE(18),
    [sym_co_yield_statement] = STATE(18),
    [sym_throw_statement] = STATE(18),
    [sym_try_statement] = STATE(18),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(18),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(351),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [24] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(9279),
    [sym_preproc_elif] = STATE(9279),
    [sym_preproc_elifdef] = STATE(9279),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(353),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [25] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_preproc_else] = STATE(8578),
    [sym_preproc_elif] = STATE(8578),
    [sym_preproc_elifdef] = STATE(8578),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(263),
    [aux_sym_preproc_include_token1] = ACTIONS(265),
    [aux_sym_preproc_def_token1] = ACTIONS(267),
    [aux_sym_preproc_if_token1] = ACTIONS(269),
    [aux_sym_preproc_if_token2] = ACTIONS(355),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(273),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(273),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(281),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(289),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(293),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(321),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(327),
    [anon_sym_using] = ACTIONS(329),
    [anon_sym_static_assert] = ACTIONS(331),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [26] = {
    [sym_preproc_include] = STATE(38),
    [sym_preproc_def] = STATE(38),
    [sym_preproc_function_def] = STATE(38),
    [sym_preproc_call] = STATE(38),
    [sym_preproc_if] = STATE(38),
    [sym_preproc_ifdef] = STATE(38),
    [sym_preproc_else] = STATE(8978),
    [sym_preproc_elif] = STATE(8978),
    [sym_function_definition] = STATE(38),
    [sym_declaration] = STATE(38),
    [sym_type_definition] = STATE(38),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(38),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(38),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(38),
    [sym_labeled_statement] = STATE(38),
    [sym_expression_statement] = STATE(38),
    [sym_if_statement] = STATE(38),
    [sym_switch_statement] = STATE(38),
    [sym_case_statement] = STATE(38),
    [sym_while_statement] = STATE(38),
    [sym_do_statement] = STATE(38),
    [sym_for_statement] = STATE(38),
    [sym_return_statement] = STATE(38),
    [sym_break_statement] = STATE(38),
    [sym_continue_statement] = STATE(38),
    [sym_goto_statement] = STATE(38),
    [sym_seh_try_statement] = STATE(38),
    [sym_seh_leave_statement] = STATE(38),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(38),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(38),
    [sym_template_instantiation] = STATE(38),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(38),
    [sym_operator_cast_declaration] = STATE(38),
    [sym_constructor_or_destructor_definition] = STATE(38),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(38),
    [sym_namespace_alias_definition] = STATE(38),
    [sym_using_declaration] = STATE(38),
    [sym_alias_declaration] = STATE(38),
    [sym_static_assert_declaration] = STATE(38),
    [sym_concept_definition] = STATE(38),
    [sym_for_range_loop] = STATE(38),
    [sym_co_return_statement] = STATE(38),
    [sym_co_yield_statement] = STATE(38),
    [sym_throw_statement] = STATE(38),
    [sym_try_statement] = STATE(38),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(38),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(365),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [27] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8775),
    [sym_preproc_elif] = STATE(8775),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(427),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [28] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8666),
    [sym_preproc_elif] = STATE(8666),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(429),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [29] = {
    [sym_preproc_include] = STATE(27),
    [sym_preproc_def] = STATE(27),
    [sym_preproc_function_def] = STATE(27),
    [sym_preproc_call] = STATE(27),
    [sym_preproc_if] = STATE(27),
    [sym_preproc_ifdef] = STATE(27),
    [sym_preproc_else] = STATE(8642),
    [sym_preproc_elif] = STATE(8642),
    [sym_function_definition] = STATE(27),
    [sym_declaration] = STATE(27),
    [sym_type_definition] = STATE(27),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(27),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(27),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(27),
    [sym_labeled_statement] = STATE(27),
    [sym_expression_statement] = STATE(27),
    [sym_if_statement] = STATE(27),
    [sym_switch_statement] = STATE(27),
    [sym_case_statement] = STATE(27),
    [sym_while_statement] = STATE(27),
    [sym_do_statement] = STATE(27),
    [sym_for_statement] = STATE(27),
    [sym_return_statement] = STATE(27),
    [sym_break_statement] = STATE(27),
    [sym_continue_statement] = STATE(27),
    [sym_goto_statement] = STATE(27),
    [sym_seh_try_statement] = STATE(27),
    [sym_seh_leave_statement] = STATE(27),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(27),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(27),
    [sym_template_instantiation] = STATE(27),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(27),
    [sym_operator_cast_declaration] = STATE(27),
    [sym_constructor_or_destructor_definition] = STATE(27),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(27),
    [sym_namespace_alias_definition] = STATE(27),
    [sym_using_declaration] = STATE(27),
    [sym_alias_declaration] = STATE(27),
    [sym_static_assert_declaration] = STATE(27),
    [sym_concept_definition] = STATE(27),
    [sym_for_range_loop] = STATE(27),
    [sym_co_return_statement] = STATE(27),
    [sym_co_yield_statement] = STATE(27),
    [sym_throw_statement] = STATE(27),
    [sym_try_statement] = STATE(27),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(27),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(431),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [30] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8979),
    [sym_preproc_elif] = STATE(8979),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(433),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [31] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8803),
    [sym_preproc_elif] = STATE(8803),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(435),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [32] = {
    [sym_preproc_include] = STATE(30),
    [sym_preproc_def] = STATE(30),
    [sym_preproc_function_def] = STATE(30),
    [sym_preproc_call] = STATE(30),
    [sym_preproc_if] = STATE(30),
    [sym_preproc_ifdef] = STATE(30),
    [sym_preproc_else] = STATE(8805),
    [sym_preproc_elif] = STATE(8805),
    [sym_function_definition] = STATE(30),
    [sym_declaration] = STATE(30),
    [sym_type_definition] = STATE(30),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(30),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(30),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(30),
    [sym_labeled_statement] = STATE(30),
    [sym_expression_statement] = STATE(30),
    [sym_if_statement] = STATE(30),
    [sym_switch_statement] = STATE(30),
    [sym_case_statement] = STATE(30),
    [sym_while_statement] = STATE(30),
    [sym_do_statement] = STATE(30),
    [sym_for_statement] = STATE(30),
    [sym_return_statement] = STATE(30),
    [sym_break_statement] = STATE(30),
    [sym_continue_statement] = STATE(30),
    [sym_goto_statement] = STATE(30),
    [sym_seh_try_statement] = STATE(30),
    [sym_seh_leave_statement] = STATE(30),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(30),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(30),
    [sym_template_instantiation] = STATE(30),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(30),
    [sym_operator_cast_declaration] = STATE(30),
    [sym_constructor_or_destructor_definition] = STATE(30),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(30),
    [sym_namespace_alias_definition] = STATE(30),
    [sym_using_declaration] = STATE(30),
    [sym_alias_declaration] = STATE(30),
    [sym_static_assert_declaration] = STATE(30),
    [sym_concept_definition] = STATE(30),
    [sym_for_range_loop] = STATE(30),
    [sym_co_return_statement] = STATE(30),
    [sym_co_yield_statement] = STATE(30),
    [sym_throw_statement] = STATE(30),
    [sym_try_statement] = STATE(30),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(30),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(437),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [33] = {
    [sym_preproc_include] = STATE(39),
    [sym_preproc_def] = STATE(39),
    [sym_preproc_function_def] = STATE(39),
    [sym_preproc_call] = STATE(39),
    [sym_preproc_if] = STATE(39),
    [sym_preproc_ifdef] = STATE(39),
    [sym_preproc_else] = STATE(9278),
    [sym_preproc_elif] = STATE(9278),
    [sym_function_definition] = STATE(39),
    [sym_declaration] = STATE(39),
    [sym_type_definition] = STATE(39),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(39),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(39),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(39),
    [sym_labeled_statement] = STATE(39),
    [sym_expression_statement] = STATE(39),
    [sym_if_statement] = STATE(39),
    [sym_switch_statement] = STATE(39),
    [sym_case_statement] = STATE(39),
    [sym_while_statement] = STATE(39),
    [sym_do_statement] = STATE(39),
    [sym_for_statement] = STATE(39),
    [sym_return_statement] = STATE(39),
    [sym_break_statement] = STATE(39),
    [sym_continue_statement] = STATE(39),
    [sym_goto_statement] = STATE(39),
    [sym_seh_try_statement] = STATE(39),
    [sym_seh_leave_statement] = STATE(39),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(39),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(39),
    [sym_template_instantiation] = STATE(39),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(39),
    [sym_operator_cast_declaration] = STATE(39),
    [sym_constructor_or_destructor_definition] = STATE(39),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(39),
    [sym_namespace_alias_definition] = STATE(39),
    [sym_using_declaration] = STATE(39),
    [sym_alias_declaration] = STATE(39),
    [sym_static_assert_declaration] = STATE(39),
    [sym_concept_definition] = STATE(39),
    [sym_for_range_loop] = STATE(39),
    [sym_co_return_statement] = STATE(39),
    [sym_co_yield_statement] = STATE(39),
    [sym_throw_statement] = STATE(39),
    [sym_try_statement] = STATE(39),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(39),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(439),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [34] = {
    [sym_preproc_include] = STATE(36),
    [sym_preproc_def] = STATE(36),
    [sym_preproc_function_def] = STATE(36),
    [sym_preproc_call] = STATE(36),
    [sym_preproc_if] = STATE(36),
    [sym_preproc_ifdef] = STATE(36),
    [sym_preproc_else] = STATE(9376),
    [sym_preproc_elif] = STATE(9376),
    [sym_function_definition] = STATE(36),
    [sym_declaration] = STATE(36),
    [sym_type_definition] = STATE(36),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(36),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(36),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(36),
    [sym_labeled_statement] = STATE(36),
    [sym_expression_statement] = STATE(36),
    [sym_if_statement] = STATE(36),
    [sym_switch_statement] = STATE(36),
    [sym_case_statement] = STATE(36),
    [sym_while_statement] = STATE(36),
    [sym_do_statement] = STATE(36),
    [sym_for_statement] = STATE(36),
    [sym_return_statement] = STATE(36),
    [sym_break_statement] = STATE(36),
    [sym_continue_statement] = STATE(36),
    [sym_goto_statement] = STATE(36),
    [sym_seh_try_statement] = STATE(36),
    [sym_seh_leave_statement] = STATE(36),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(36),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(36),
    [sym_template_instantiation] = STATE(36),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(36),
    [sym_operator_cast_declaration] = STATE(36),
    [sym_constructor_or_destructor_definition] = STATE(36),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(36),
    [sym_namespace_alias_definition] = STATE(36),
    [sym_using_declaration] = STATE(36),
    [sym_alias_declaration] = STATE(36),
    [sym_static_assert_declaration] = STATE(36),
    [sym_concept_definition] = STATE(36),
    [sym_for_range_loop] = STATE(36),
    [sym_co_return_statement] = STATE(36),
    [sym_co_yield_statement] = STATE(36),
    [sym_throw_statement] = STATE(36),
    [sym_try_statement] = STATE(36),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(36),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(441),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [35] = {
    [sym_preproc_include] = STATE(31),
    [sym_preproc_def] = STATE(31),
    [sym_preproc_function_def] = STATE(31),
    [sym_preproc_call] = STATE(31),
    [sym_preproc_if] = STATE(31),
    [sym_preproc_ifdef] = STATE(31),
    [sym_preproc_else] = STATE(9042),
    [sym_preproc_elif] = STATE(9042),
    [sym_function_definition] = STATE(31),
    [sym_declaration] = STATE(31),
    [sym_type_definition] = STATE(31),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(31),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(31),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(31),
    [sym_labeled_statement] = STATE(31),
    [sym_expression_statement] = STATE(31),
    [sym_if_statement] = STATE(31),
    [sym_switch_statement] = STATE(31),
    [sym_case_statement] = STATE(31),
    [sym_while_statement] = STATE(31),
    [sym_do_statement] = STATE(31),
    [sym_for_statement] = STATE(31),
    [sym_return_statement] = STATE(31),
    [sym_break_statement] = STATE(31),
    [sym_continue_statement] = STATE(31),
    [sym_goto_statement] = STATE(31),
    [sym_seh_try_statement] = STATE(31),
    [sym_seh_leave_statement] = STATE(31),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(31),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(31),
    [sym_template_instantiation] = STATE(31),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(31),
    [sym_operator_cast_declaration] = STATE(31),
    [sym_constructor_or_destructor_definition] = STATE(31),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(31),
    [sym_namespace_alias_definition] = STATE(31),
    [sym_using_declaration] = STATE(31),
    [sym_alias_declaration] = STATE(31),
    [sym_static_assert_declaration] = STATE(31),
    [sym_concept_definition] = STATE(31),
    [sym_for_range_loop] = STATE(31),
    [sym_co_return_statement] = STATE(31),
    [sym_co_yield_statement] = STATE(31),
    [sym_throw_statement] = STATE(31),
    [sym_try_statement] = STATE(31),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(31),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(443),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [36] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9188),
    [sym_preproc_elif] = STATE(9188),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [37] = {
    [sym_preproc_include] = STATE(37),
    [sym_preproc_def] = STATE(37),
    [sym_preproc_function_def] = STATE(37),
    [sym_preproc_call] = STATE(37),
    [sym_preproc_if] = STATE(37),
    [sym_preproc_ifdef] = STATE(37),
    [sym_function_definition] = STATE(37),
    [sym_declaration] = STATE(37),
    [sym_type_definition] = STATE(37),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_linkage_specification] = STATE(37),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6848),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(37),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(37),
    [sym_labeled_statement] = STATE(37),
    [sym_expression_statement] = STATE(37),
    [sym_if_statement] = STATE(37),
    [sym_switch_statement] = STATE(37),
    [sym_case_statement] = STATE(37),
    [sym_while_statement] = STATE(37),
    [sym_do_statement] = STATE(37),
    [sym_for_statement] = STATE(37),
    [sym_return_statement] = STATE(37),
    [sym_break_statement] = STATE(37),
    [sym_continue_statement] = STATE(37),
    [sym_goto_statement] = STATE(37),
    [sym_seh_try_statement] = STATE(37),
    [sym_seh_leave_statement] = STATE(37),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(37),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2050),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(37),
    [sym_template_instantiation] = STATE(37),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2050),
    [sym_operator_cast_definition] = STATE(37),
    [sym_operator_cast_declaration] = STATE(37),
    [sym_constructor_or_destructor_definition] = STATE(37),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(37),
    [sym_namespace_alias_definition] = STATE(37),
    [sym_using_declaration] = STATE(37),
    [sym_alias_declaration] = STATE(37),
    [sym_static_assert_declaration] = STATE(37),
    [sym_concept_definition] = STATE(37),
    [sym_for_range_loop] = STATE(37),
    [sym_co_return_statement] = STATE(37),
    [sym_co_yield_statement] = STATE(37),
    [sym_throw_statement] = STATE(37),
    [sym_try_statement] = STATE(37),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(37),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2050),
    [sym_identifier] = ACTIONS(447),
    [aux_sym_preproc_include_token1] = ACTIONS(450),
    [aux_sym_preproc_def_token1] = ACTIONS(453),
    [aux_sym_preproc_if_token1] = ACTIONS(456),
    [aux_sym_preproc_if_token2] = ACTIONS(459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(461),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(461),
    [aux_sym_preproc_else_token1] = ACTIONS(459),
    [aux_sym_preproc_elif_token1] = ACTIONS(459),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(459),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(459),
    [sym_preproc_directive] = ACTIONS(464),
    [anon_sym_LPAREN2] = ACTIONS(467),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_SEMI] = ACTIONS(488),
    [anon_sym___extension__] = ACTIONS(491),
    [anon_sym_typedef] = ACTIONS(494),
    [anon_sym_extern] = ACTIONS(497),
    [anon_sym___attribute__] = ACTIONS(500),
    [anon_sym_COLON_COLON] = ACTIONS(503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(506),
    [anon_sym___declspec] = ACTIONS(509),
    [anon_sym___based] = ACTIONS(512),
    [anon_sym___cdecl] = ACTIONS(515),
    [anon_sym___clrcall] = ACTIONS(515),
    [anon_sym___stdcall] = ACTIONS(515),
    [anon_sym___fastcall] = ACTIONS(515),
    [anon_sym___thiscall] = ACTIONS(515),
    [anon_sym___vectorcall] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(518),
    [anon_sym_signed] = ACTIONS(521),
    [anon_sym_unsigned] = ACTIONS(521),
    [anon_sym_long] = ACTIONS(521),
    [anon_sym_short] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_register] = ACTIONS(527),
    [anon_sym_inline] = ACTIONS(530),
    [anon_sym___inline] = ACTIONS(527),
    [anon_sym___inline__] = ACTIONS(527),
    [anon_sym___forceinline] = ACTIONS(527),
    [anon_sym_thread_local] = ACTIONS(527),
    [anon_sym___thread] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(533),
    [anon_sym_constexpr] = ACTIONS(533),
    [anon_sym_volatile] = ACTIONS(533),
    [anon_sym_restrict] = ACTIONS(533),
    [anon_sym___restrict__] = ACTIONS(533),
    [anon_sym__Atomic] = ACTIONS(533),
    [anon_sym__Noreturn] = ACTIONS(533),
    [anon_sym_noreturn] = ACTIONS(533),
    [anon_sym_mutable] = ACTIONS(533),
    [anon_sym_constinit] = ACTIONS(533),
    [anon_sym_consteval] = ACTIONS(533),
    [sym_primitive_type] = ACTIONS(536),
    [anon_sym_enum] = ACTIONS(539),
    [anon_sym_class] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_union] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(551),
    [anon_sym_switch] = ACTIONS(554),
    [anon_sym_case] = ACTIONS(557),
    [anon_sym_default] = ACTIONS(560),
    [anon_sym_while] = ACTIONS(563),
    [anon_sym_do] = ACTIONS(566),
    [anon_sym_for] = ACTIONS(569),
    [anon_sym_return] = ACTIONS(572),
    [anon_sym_break] = ACTIONS(575),
    [anon_sym_continue] = ACTIONS(578),
    [anon_sym_goto] = ACTIONS(581),
    [anon_sym___try] = ACTIONS(584),
    [anon_sym___leave] = ACTIONS(587),
    [anon_sym_not] = ACTIONS(476),
    [anon_sym_compl] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_sizeof] = ACTIONS(593),
    [anon_sym___alignof__] = ACTIONS(596),
    [anon_sym___alignof] = ACTIONS(596),
    [anon_sym__alignof] = ACTIONS(596),
    [anon_sym_alignof] = ACTIONS(596),
    [anon_sym__Alignof] = ACTIONS(596),
    [anon_sym_offsetof] = ACTIONS(599),
    [anon_sym__Generic] = ACTIONS(602),
    [anon_sym_asm] = ACTIONS(605),
    [anon_sym___asm__] = ACTIONS(605),
    [sym_number_literal] = ACTIONS(608),
    [anon_sym_L_SQUOTE] = ACTIONS(611),
    [anon_sym_u_SQUOTE] = ACTIONS(611),
    [anon_sym_U_SQUOTE] = ACTIONS(611),
    [anon_sym_u8_SQUOTE] = ACTIONS(611),
    [anon_sym_SQUOTE] = ACTIONS(611),
    [anon_sym_L_DQUOTE] = ACTIONS(614),
    [anon_sym_u_DQUOTE] = ACTIONS(614),
    [anon_sym_U_DQUOTE] = ACTIONS(614),
    [anon_sym_u8_DQUOTE] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(614),
    [sym_true] = ACTIONS(617),
    [sym_false] = ACTIONS(617),
    [anon_sym_NULL] = ACTIONS(620),
    [anon_sym_nullptr] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(623),
    [anon_sym_decltype] = ACTIONS(626),
    [anon_sym_virtual] = ACTIONS(629),
    [anon_sym_alignas] = ACTIONS(632),
    [anon_sym_explicit] = ACTIONS(635),
    [anon_sym_typename] = ACTIONS(638),
    [anon_sym_template] = ACTIONS(641),
    [anon_sym_operator] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(647),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_throw] = ACTIONS(653),
    [anon_sym_namespace] = ACTIONS(656),
    [anon_sym_using] = ACTIONS(659),
    [anon_sym_static_assert] = ACTIONS(662),
    [anon_sym_concept] = ACTIONS(665),
    [anon_sym_co_return] = ACTIONS(668),
    [anon_sym_co_yield] = ACTIONS(671),
    [anon_sym_R_DQUOTE] = ACTIONS(674),
    [anon_sym_LR_DQUOTE] = ACTIONS(674),
    [anon_sym_uR_DQUOTE] = ACTIONS(674),
    [anon_sym_UR_DQUOTE] = ACTIONS(674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(674),
    [anon_sym_co_await] = ACTIONS(677),
    [anon_sym_new] = ACTIONS(680),
    [anon_sym_requires] = ACTIONS(683),
    [sym_this] = ACTIONS(617),
  },
  [38] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(9076),
    [sym_preproc_elif] = STATE(9076),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(686),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [39] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_preproc_else] = STATE(8793),
    [sym_preproc_elif] = STATE(8793),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [40] = {
    [sym_preproc_include] = STATE(28),
    [sym_preproc_def] = STATE(28),
    [sym_preproc_function_def] = STATE(28),
    [sym_preproc_call] = STATE(28),
    [sym_preproc_if] = STATE(28),
    [sym_preproc_ifdef] = STATE(28),
    [sym_preproc_else] = STATE(8571),
    [sym_preproc_elif] = STATE(8571),
    [sym_function_definition] = STATE(28),
    [sym_declaration] = STATE(28),
    [sym_type_definition] = STATE(28),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(28),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(28),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(28),
    [sym_labeled_statement] = STATE(28),
    [sym_expression_statement] = STATE(28),
    [sym_if_statement] = STATE(28),
    [sym_switch_statement] = STATE(28),
    [sym_case_statement] = STATE(28),
    [sym_while_statement] = STATE(28),
    [sym_do_statement] = STATE(28),
    [sym_for_statement] = STATE(28),
    [sym_return_statement] = STATE(28),
    [sym_break_statement] = STATE(28),
    [sym_continue_statement] = STATE(28),
    [sym_goto_statement] = STATE(28),
    [sym_seh_try_statement] = STATE(28),
    [sym_seh_leave_statement] = STATE(28),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(28),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(28),
    [sym_template_instantiation] = STATE(28),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(28),
    [sym_operator_cast_declaration] = STATE(28),
    [sym_constructor_or_destructor_definition] = STATE(28),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(28),
    [sym_namespace_alias_definition] = STATE(28),
    [sym_using_declaration] = STATE(28),
    [sym_alias_declaration] = STATE(28),
    [sym_static_assert_declaration] = STATE(28),
    [sym_concept_definition] = STATE(28),
    [sym_for_range_loop] = STATE(28),
    [sym_co_return_statement] = STATE(28),
    [sym_co_yield_statement] = STATE(28),
    [sym_throw_statement] = STATE(28),
    [sym_try_statement] = STATE(28),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(28),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(357),
    [aux_sym_preproc_include_token1] = ACTIONS(359),
    [aux_sym_preproc_def_token1] = ACTIONS(361),
    [aux_sym_preproc_if_token1] = ACTIONS(363),
    [aux_sym_preproc_if_token2] = ACTIONS(690),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(367),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(367),
    [aux_sym_preproc_else_token1] = ACTIONS(275),
    [aux_sym_preproc_elif_token1] = ACTIONS(277),
    [sym_preproc_directive] = ACTIONS(369),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(377),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(381),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(409),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(415),
    [anon_sym_using] = ACTIONS(417),
    [anon_sym_static_assert] = ACTIONS(419),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [41] = {
    [sym_preproc_include] = STATE(41),
    [sym_preproc_def] = STATE(41),
    [sym_preproc_function_def] = STATE(41),
    [sym_preproc_call] = STATE(41),
    [sym_preproc_if] = STATE(41),
    [sym_preproc_ifdef] = STATE(41),
    [sym_function_definition] = STATE(41),
    [sym_declaration] = STATE(41),
    [sym_type_definition] = STATE(41),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_linkage_specification] = STATE(41),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6878),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(41),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(41),
    [sym_labeled_statement] = STATE(41),
    [sym_expression_statement] = STATE(41),
    [sym_if_statement] = STATE(41),
    [sym_switch_statement] = STATE(41),
    [sym_case_statement] = STATE(41),
    [sym_while_statement] = STATE(41),
    [sym_do_statement] = STATE(41),
    [sym_for_statement] = STATE(41),
    [sym_return_statement] = STATE(41),
    [sym_break_statement] = STATE(41),
    [sym_continue_statement] = STATE(41),
    [sym_goto_statement] = STATE(41),
    [sym_seh_try_statement] = STATE(41),
    [sym_seh_leave_statement] = STATE(41),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(41),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2043),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(41),
    [sym_template_instantiation] = STATE(41),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2043),
    [sym_operator_cast_definition] = STATE(41),
    [sym_operator_cast_declaration] = STATE(41),
    [sym_constructor_or_destructor_definition] = STATE(41),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(41),
    [sym_namespace_alias_definition] = STATE(41),
    [sym_using_declaration] = STATE(41),
    [sym_alias_declaration] = STATE(41),
    [sym_static_assert_declaration] = STATE(41),
    [sym_concept_definition] = STATE(41),
    [sym_for_range_loop] = STATE(41),
    [sym_co_return_statement] = STATE(41),
    [sym_co_yield_statement] = STATE(41),
    [sym_throw_statement] = STATE(41),
    [sym_try_statement] = STATE(41),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(41),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2043),
    [sym_identifier] = ACTIONS(692),
    [aux_sym_preproc_include_token1] = ACTIONS(695),
    [aux_sym_preproc_def_token1] = ACTIONS(698),
    [aux_sym_preproc_if_token1] = ACTIONS(701),
    [aux_sym_preproc_if_token2] = ACTIONS(459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(704),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(704),
    [aux_sym_preproc_else_token1] = ACTIONS(459),
    [aux_sym_preproc_elif_token1] = ACTIONS(459),
    [sym_preproc_directive] = ACTIONS(707),
    [anon_sym_LPAREN2] = ACTIONS(467),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_SEMI] = ACTIONS(710),
    [anon_sym___extension__] = ACTIONS(713),
    [anon_sym_typedef] = ACTIONS(716),
    [anon_sym_extern] = ACTIONS(719),
    [anon_sym___attribute__] = ACTIONS(500),
    [anon_sym_COLON_COLON] = ACTIONS(503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(506),
    [anon_sym___declspec] = ACTIONS(509),
    [anon_sym___based] = ACTIONS(512),
    [anon_sym___cdecl] = ACTIONS(515),
    [anon_sym___clrcall] = ACTIONS(515),
    [anon_sym___stdcall] = ACTIONS(515),
    [anon_sym___fastcall] = ACTIONS(515),
    [anon_sym___thiscall] = ACTIONS(515),
    [anon_sym___vectorcall] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_signed] = ACTIONS(521),
    [anon_sym_unsigned] = ACTIONS(521),
    [anon_sym_long] = ACTIONS(521),
    [anon_sym_short] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_register] = ACTIONS(527),
    [anon_sym_inline] = ACTIONS(725),
    [anon_sym___inline] = ACTIONS(527),
    [anon_sym___inline__] = ACTIONS(527),
    [anon_sym___forceinline] = ACTIONS(527),
    [anon_sym_thread_local] = ACTIONS(527),
    [anon_sym___thread] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(533),
    [anon_sym_constexpr] = ACTIONS(533),
    [anon_sym_volatile] = ACTIONS(533),
    [anon_sym_restrict] = ACTIONS(533),
    [anon_sym___restrict__] = ACTIONS(533),
    [anon_sym__Atomic] = ACTIONS(533),
    [anon_sym__Noreturn] = ACTIONS(533),
    [anon_sym_noreturn] = ACTIONS(533),
    [anon_sym_mutable] = ACTIONS(533),
    [anon_sym_constinit] = ACTIONS(533),
    [anon_sym_consteval] = ACTIONS(533),
    [sym_primitive_type] = ACTIONS(536),
    [anon_sym_enum] = ACTIONS(539),
    [anon_sym_class] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_union] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(728),
    [anon_sym_switch] = ACTIONS(731),
    [anon_sym_case] = ACTIONS(734),
    [anon_sym_default] = ACTIONS(737),
    [anon_sym_while] = ACTIONS(740),
    [anon_sym_do] = ACTIONS(743),
    [anon_sym_for] = ACTIONS(746),
    [anon_sym_return] = ACTIONS(749),
    [anon_sym_break] = ACTIONS(752),
    [anon_sym_continue] = ACTIONS(755),
    [anon_sym_goto] = ACTIONS(758),
    [anon_sym___try] = ACTIONS(761),
    [anon_sym___leave] = ACTIONS(764),
    [anon_sym_not] = ACTIONS(476),
    [anon_sym_compl] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_sizeof] = ACTIONS(593),
    [anon_sym___alignof__] = ACTIONS(596),
    [anon_sym___alignof] = ACTIONS(596),
    [anon_sym__alignof] = ACTIONS(596),
    [anon_sym_alignof] = ACTIONS(596),
    [anon_sym__Alignof] = ACTIONS(596),
    [anon_sym_offsetof] = ACTIONS(599),
    [anon_sym__Generic] = ACTIONS(602),
    [anon_sym_asm] = ACTIONS(605),
    [anon_sym___asm__] = ACTIONS(605),
    [sym_number_literal] = ACTIONS(608),
    [anon_sym_L_SQUOTE] = ACTIONS(611),
    [anon_sym_u_SQUOTE] = ACTIONS(611),
    [anon_sym_U_SQUOTE] = ACTIONS(611),
    [anon_sym_u8_SQUOTE] = ACTIONS(611),
    [anon_sym_SQUOTE] = ACTIONS(611),
    [anon_sym_L_DQUOTE] = ACTIONS(614),
    [anon_sym_u_DQUOTE] = ACTIONS(614),
    [anon_sym_U_DQUOTE] = ACTIONS(614),
    [anon_sym_u8_DQUOTE] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(614),
    [sym_true] = ACTIONS(617),
    [sym_false] = ACTIONS(617),
    [anon_sym_NULL] = ACTIONS(620),
    [anon_sym_nullptr] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(623),
    [anon_sym_decltype] = ACTIONS(626),
    [anon_sym_virtual] = ACTIONS(629),
    [anon_sym_alignas] = ACTIONS(632),
    [anon_sym_explicit] = ACTIONS(635),
    [anon_sym_typename] = ACTIONS(638),
    [anon_sym_template] = ACTIONS(767),
    [anon_sym_operator] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(770),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_throw] = ACTIONS(773),
    [anon_sym_namespace] = ACTIONS(776),
    [anon_sym_using] = ACTIONS(779),
    [anon_sym_static_assert] = ACTIONS(782),
    [anon_sym_concept] = ACTIONS(785),
    [anon_sym_co_return] = ACTIONS(788),
    [anon_sym_co_yield] = ACTIONS(791),
    [anon_sym_R_DQUOTE] = ACTIONS(674),
    [anon_sym_LR_DQUOTE] = ACTIONS(674),
    [anon_sym_uR_DQUOTE] = ACTIONS(674),
    [anon_sym_UR_DQUOTE] = ACTIONS(674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(674),
    [anon_sym_co_await] = ACTIONS(677),
    [anon_sym_new] = ACTIONS(680),
    [anon_sym_requires] = ACTIONS(683),
    [sym_this] = ACTIONS(617),
  },
  [42] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(798),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [43] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [44] = {
    [sym_preproc_include] = STATE(50),
    [sym_preproc_def] = STATE(50),
    [sym_preproc_function_def] = STATE(50),
    [sym_preproc_call] = STATE(50),
    [sym_preproc_if] = STATE(50),
    [sym_preproc_ifdef] = STATE(50),
    [sym_function_definition] = STATE(50),
    [sym_declaration] = STATE(50),
    [sym_type_definition] = STATE(50),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(50),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(50),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(50),
    [sym_labeled_statement] = STATE(50),
    [sym_expression_statement] = STATE(50),
    [sym_if_statement] = STATE(50),
    [sym_switch_statement] = STATE(50),
    [sym_case_statement] = STATE(50),
    [sym_while_statement] = STATE(50),
    [sym_do_statement] = STATE(50),
    [sym_for_statement] = STATE(50),
    [sym_return_statement] = STATE(50),
    [sym_break_statement] = STATE(50),
    [sym_continue_statement] = STATE(50),
    [sym_goto_statement] = STATE(50),
    [sym_seh_try_statement] = STATE(50),
    [sym_seh_leave_statement] = STATE(50),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(50),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(50),
    [sym_template_instantiation] = STATE(50),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(50),
    [sym_operator_cast_declaration] = STATE(50),
    [sym_constructor_or_destructor_definition] = STATE(50),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(50),
    [sym_namespace_alias_definition] = STATE(50),
    [sym_using_declaration] = STATE(50),
    [sym_alias_declaration] = STATE(50),
    [sym_static_assert_declaration] = STATE(50),
    [sym_concept_definition] = STATE(50),
    [sym_for_range_loop] = STATE(50),
    [sym_co_return_statement] = STATE(50),
    [sym_co_yield_statement] = STATE(50),
    [sym_throw_statement] = STATE(50),
    [sym_try_statement] = STATE(50),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(50),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [45] = {
    [sym_preproc_include] = STATE(67),
    [sym_preproc_def] = STATE(67),
    [sym_preproc_function_def] = STATE(67),
    [sym_preproc_call] = STATE(67),
    [sym_preproc_if] = STATE(67),
    [sym_preproc_ifdef] = STATE(67),
    [sym_function_definition] = STATE(67),
    [sym_declaration] = STATE(67),
    [sym_type_definition] = STATE(67),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(67),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(67),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(67),
    [sym_labeled_statement] = STATE(67),
    [sym_expression_statement] = STATE(67),
    [sym_if_statement] = STATE(67),
    [sym_switch_statement] = STATE(67),
    [sym_case_statement] = STATE(67),
    [sym_while_statement] = STATE(67),
    [sym_do_statement] = STATE(67),
    [sym_for_statement] = STATE(67),
    [sym_return_statement] = STATE(67),
    [sym_break_statement] = STATE(67),
    [sym_continue_statement] = STATE(67),
    [sym_goto_statement] = STATE(67),
    [sym_seh_try_statement] = STATE(67),
    [sym_seh_leave_statement] = STATE(67),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(67),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(67),
    [sym_template_instantiation] = STATE(67),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(67),
    [sym_operator_cast_declaration] = STATE(67),
    [sym_constructor_or_destructor_definition] = STATE(67),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(67),
    [sym_namespace_alias_definition] = STATE(67),
    [sym_using_declaration] = STATE(67),
    [sym_alias_declaration] = STATE(67),
    [sym_static_assert_declaration] = STATE(67),
    [sym_concept_definition] = STATE(67),
    [sym_for_range_loop] = STATE(67),
    [sym_co_return_statement] = STATE(67),
    [sym_co_yield_statement] = STATE(67),
    [sym_throw_statement] = STATE(67),
    [sym_try_statement] = STATE(67),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(67),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [46] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [47] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [48] = {
    [sym_preproc_include] = STATE(47),
    [sym_preproc_def] = STATE(47),
    [sym_preproc_function_def] = STATE(47),
    [sym_preproc_call] = STATE(47),
    [sym_preproc_if] = STATE(47),
    [sym_preproc_ifdef] = STATE(47),
    [sym_function_definition] = STATE(47),
    [sym_declaration] = STATE(47),
    [sym_type_definition] = STATE(47),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(47),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(47),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(47),
    [sym_labeled_statement] = STATE(47),
    [sym_expression_statement] = STATE(47),
    [sym_if_statement] = STATE(47),
    [sym_switch_statement] = STATE(47),
    [sym_case_statement] = STATE(47),
    [sym_while_statement] = STATE(47),
    [sym_do_statement] = STATE(47),
    [sym_for_statement] = STATE(47),
    [sym_return_statement] = STATE(47),
    [sym_break_statement] = STATE(47),
    [sym_continue_statement] = STATE(47),
    [sym_goto_statement] = STATE(47),
    [sym_seh_try_statement] = STATE(47),
    [sym_seh_leave_statement] = STATE(47),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(47),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(47),
    [sym_template_instantiation] = STATE(47),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(47),
    [sym_operator_cast_declaration] = STATE(47),
    [sym_constructor_or_destructor_definition] = STATE(47),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(47),
    [sym_namespace_alias_definition] = STATE(47),
    [sym_using_declaration] = STATE(47),
    [sym_alias_declaration] = STATE(47),
    [sym_static_assert_declaration] = STATE(47),
    [sym_concept_definition] = STATE(47),
    [sym_for_range_loop] = STATE(47),
    [sym_co_return_statement] = STATE(47),
    [sym_co_yield_statement] = STATE(47),
    [sym_throw_statement] = STATE(47),
    [sym_try_statement] = STATE(47),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(47),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [49] = {
    [sym_preproc_include] = STATE(95),
    [sym_preproc_def] = STATE(95),
    [sym_preproc_function_def] = STATE(95),
    [sym_preproc_call] = STATE(95),
    [sym_preproc_if] = STATE(95),
    [sym_preproc_ifdef] = STATE(95),
    [sym_function_definition] = STATE(95),
    [sym_declaration] = STATE(95),
    [sym_type_definition] = STATE(95),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(95),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(95),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(95),
    [sym_labeled_statement] = STATE(95),
    [sym_expression_statement] = STATE(95),
    [sym_if_statement] = STATE(95),
    [sym_switch_statement] = STATE(95),
    [sym_case_statement] = STATE(95),
    [sym_while_statement] = STATE(95),
    [sym_do_statement] = STATE(95),
    [sym_for_statement] = STATE(95),
    [sym_return_statement] = STATE(95),
    [sym_break_statement] = STATE(95),
    [sym_continue_statement] = STATE(95),
    [sym_goto_statement] = STATE(95),
    [sym_seh_try_statement] = STATE(95),
    [sym_seh_leave_statement] = STATE(95),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(95),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(95),
    [sym_template_instantiation] = STATE(95),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(95),
    [sym_operator_cast_declaration] = STATE(95),
    [sym_constructor_or_destructor_definition] = STATE(95),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(95),
    [sym_namespace_alias_definition] = STATE(95),
    [sym_using_declaration] = STATE(95),
    [sym_alias_declaration] = STATE(95),
    [sym_static_assert_declaration] = STATE(95),
    [sym_concept_definition] = STATE(95),
    [sym_for_range_loop] = STATE(95),
    [sym_co_return_statement] = STATE(95),
    [sym_co_yield_statement] = STATE(95),
    [sym_throw_statement] = STATE(95),
    [sym_try_statement] = STATE(95),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(95),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [50] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [51] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6864),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4007),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2057),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(7219),
    [sym__constructor_specifiers] = STATE(2057),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7219),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2057),
    [sym_identifier] = ACTIONS(816),
    [aux_sym_preproc_include_token1] = ACTIONS(819),
    [aux_sym_preproc_def_token1] = ACTIONS(822),
    [aux_sym_preproc_if_token1] = ACTIONS(825),
    [aux_sym_preproc_if_token2] = ACTIONS(459),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(828),
    [sym_preproc_directive] = ACTIONS(831),
    [anon_sym_LPAREN2] = ACTIONS(467),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym___extension__] = ACTIONS(837),
    [anon_sym_typedef] = ACTIONS(840),
    [anon_sym_extern] = ACTIONS(843),
    [anon_sym___attribute__] = ACTIONS(500),
    [anon_sym_COLON_COLON] = ACTIONS(503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(506),
    [anon_sym___declspec] = ACTIONS(509),
    [anon_sym___based] = ACTIONS(512),
    [anon_sym___cdecl] = ACTIONS(515),
    [anon_sym___clrcall] = ACTIONS(515),
    [anon_sym___stdcall] = ACTIONS(515),
    [anon_sym___fastcall] = ACTIONS(515),
    [anon_sym___thiscall] = ACTIONS(515),
    [anon_sym___vectorcall] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_signed] = ACTIONS(521),
    [anon_sym_unsigned] = ACTIONS(521),
    [anon_sym_long] = ACTIONS(521),
    [anon_sym_short] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_register] = ACTIONS(527),
    [anon_sym_inline] = ACTIONS(849),
    [anon_sym___inline] = ACTIONS(527),
    [anon_sym___inline__] = ACTIONS(527),
    [anon_sym___forceinline] = ACTIONS(527),
    [anon_sym_thread_local] = ACTIONS(527),
    [anon_sym___thread] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(533),
    [anon_sym_constexpr] = ACTIONS(533),
    [anon_sym_volatile] = ACTIONS(533),
    [anon_sym_restrict] = ACTIONS(533),
    [anon_sym___restrict__] = ACTIONS(533),
    [anon_sym__Atomic] = ACTIONS(533),
    [anon_sym__Noreturn] = ACTIONS(533),
    [anon_sym_noreturn] = ACTIONS(533),
    [anon_sym_mutable] = ACTIONS(533),
    [anon_sym_constinit] = ACTIONS(533),
    [anon_sym_consteval] = ACTIONS(533),
    [sym_primitive_type] = ACTIONS(536),
    [anon_sym_enum] = ACTIONS(539),
    [anon_sym_class] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_union] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(855),
    [anon_sym_case] = ACTIONS(858),
    [anon_sym_default] = ACTIONS(861),
    [anon_sym_while] = ACTIONS(864),
    [anon_sym_do] = ACTIONS(867),
    [anon_sym_for] = ACTIONS(870),
    [anon_sym_return] = ACTIONS(873),
    [anon_sym_break] = ACTIONS(876),
    [anon_sym_continue] = ACTIONS(879),
    [anon_sym_goto] = ACTIONS(882),
    [anon_sym___try] = ACTIONS(885),
    [anon_sym___leave] = ACTIONS(888),
    [anon_sym_not] = ACTIONS(476),
    [anon_sym_compl] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_sizeof] = ACTIONS(593),
    [anon_sym___alignof__] = ACTIONS(596),
    [anon_sym___alignof] = ACTIONS(596),
    [anon_sym__alignof] = ACTIONS(596),
    [anon_sym_alignof] = ACTIONS(596),
    [anon_sym__Alignof] = ACTIONS(596),
    [anon_sym_offsetof] = ACTIONS(599),
    [anon_sym__Generic] = ACTIONS(602),
    [anon_sym_asm] = ACTIONS(605),
    [anon_sym___asm__] = ACTIONS(605),
    [sym_number_literal] = ACTIONS(608),
    [anon_sym_L_SQUOTE] = ACTIONS(611),
    [anon_sym_u_SQUOTE] = ACTIONS(611),
    [anon_sym_U_SQUOTE] = ACTIONS(611),
    [anon_sym_u8_SQUOTE] = ACTIONS(611),
    [anon_sym_SQUOTE] = ACTIONS(611),
    [anon_sym_L_DQUOTE] = ACTIONS(614),
    [anon_sym_u_DQUOTE] = ACTIONS(614),
    [anon_sym_U_DQUOTE] = ACTIONS(614),
    [anon_sym_u8_DQUOTE] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(614),
    [sym_true] = ACTIONS(617),
    [sym_false] = ACTIONS(617),
    [anon_sym_NULL] = ACTIONS(620),
    [anon_sym_nullptr] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(623),
    [anon_sym_decltype] = ACTIONS(626),
    [anon_sym_virtual] = ACTIONS(629),
    [anon_sym_alignas] = ACTIONS(632),
    [anon_sym_explicit] = ACTIONS(635),
    [anon_sym_typename] = ACTIONS(638),
    [anon_sym_template] = ACTIONS(891),
    [anon_sym_operator] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(894),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_throw] = ACTIONS(897),
    [anon_sym_namespace] = ACTIONS(900),
    [anon_sym_using] = ACTIONS(903),
    [anon_sym_static_assert] = ACTIONS(906),
    [anon_sym_concept] = ACTIONS(909),
    [anon_sym_co_return] = ACTIONS(912),
    [anon_sym_co_yield] = ACTIONS(915),
    [anon_sym_R_DQUOTE] = ACTIONS(674),
    [anon_sym_LR_DQUOTE] = ACTIONS(674),
    [anon_sym_uR_DQUOTE] = ACTIONS(674),
    [anon_sym_UR_DQUOTE] = ACTIONS(674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(674),
    [anon_sym_co_await] = ACTIONS(677),
    [anon_sym_new] = ACTIONS(680),
    [anon_sym_requires] = ACTIONS(683),
    [sym_this] = ACTIONS(617),
  },
  [52] = {
    [sym_preproc_include] = STATE(46),
    [sym_preproc_def] = STATE(46),
    [sym_preproc_function_def] = STATE(46),
    [sym_preproc_call] = STATE(46),
    [sym_preproc_if] = STATE(46),
    [sym_preproc_ifdef] = STATE(46),
    [sym_function_definition] = STATE(46),
    [sym_declaration] = STATE(46),
    [sym_type_definition] = STATE(46),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(46),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(46),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(46),
    [sym_labeled_statement] = STATE(46),
    [sym_expression_statement] = STATE(46),
    [sym_if_statement] = STATE(46),
    [sym_switch_statement] = STATE(46),
    [sym_case_statement] = STATE(46),
    [sym_while_statement] = STATE(46),
    [sym_do_statement] = STATE(46),
    [sym_for_statement] = STATE(46),
    [sym_return_statement] = STATE(46),
    [sym_break_statement] = STATE(46),
    [sym_continue_statement] = STATE(46),
    [sym_goto_statement] = STATE(46),
    [sym_seh_try_statement] = STATE(46),
    [sym_seh_leave_statement] = STATE(46),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(46),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(46),
    [sym_template_instantiation] = STATE(46),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(46),
    [sym_operator_cast_declaration] = STATE(46),
    [sym_constructor_or_destructor_definition] = STATE(46),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(46),
    [sym_namespace_alias_definition] = STATE(46),
    [sym_using_declaration] = STATE(46),
    [sym_alias_declaration] = STATE(46),
    [sym_static_assert_declaration] = STATE(46),
    [sym_concept_definition] = STATE(46),
    [sym_for_range_loop] = STATE(46),
    [sym_co_return_statement] = STATE(46),
    [sym_co_yield_statement] = STATE(46),
    [sym_throw_statement] = STATE(46),
    [sym_try_statement] = STATE(46),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(46),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(918),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [53] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(920),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [54] = {
    [sym_preproc_include] = STATE(62),
    [sym_preproc_def] = STATE(62),
    [sym_preproc_function_def] = STATE(62),
    [sym_preproc_call] = STATE(62),
    [sym_preproc_if] = STATE(62),
    [sym_preproc_ifdef] = STATE(62),
    [sym_function_definition] = STATE(62),
    [sym_declaration] = STATE(62),
    [sym_type_definition] = STATE(62),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(62),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(62),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(62),
    [sym_labeled_statement] = STATE(62),
    [sym_expression_statement] = STATE(62),
    [sym_if_statement] = STATE(62),
    [sym_switch_statement] = STATE(62),
    [sym_case_statement] = STATE(62),
    [sym_while_statement] = STATE(62),
    [sym_do_statement] = STATE(62),
    [sym_for_statement] = STATE(62),
    [sym_return_statement] = STATE(62),
    [sym_break_statement] = STATE(62),
    [sym_continue_statement] = STATE(62),
    [sym_goto_statement] = STATE(62),
    [sym_seh_try_statement] = STATE(62),
    [sym_seh_leave_statement] = STATE(62),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(62),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(62),
    [sym_template_instantiation] = STATE(62),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(62),
    [sym_operator_cast_declaration] = STATE(62),
    [sym_constructor_or_destructor_definition] = STATE(62),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(62),
    [sym_namespace_alias_definition] = STATE(62),
    [sym_using_declaration] = STATE(62),
    [sym_alias_declaration] = STATE(62),
    [sym_static_assert_declaration] = STATE(62),
    [sym_concept_definition] = STATE(62),
    [sym_for_range_loop] = STATE(62),
    [sym_co_return_statement] = STATE(62),
    [sym_co_yield_statement] = STATE(62),
    [sym_throw_statement] = STATE(62),
    [sym_try_statement] = STATE(62),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(62),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(922),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [55] = {
    [sym_preproc_include] = STATE(69),
    [sym_preproc_def] = STATE(69),
    [sym_preproc_function_def] = STATE(69),
    [sym_preproc_call] = STATE(69),
    [sym_preproc_if] = STATE(69),
    [sym_preproc_ifdef] = STATE(69),
    [sym_function_definition] = STATE(69),
    [sym_declaration] = STATE(69),
    [sym_type_definition] = STATE(69),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(69),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(69),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(69),
    [sym_labeled_statement] = STATE(69),
    [sym_expression_statement] = STATE(69),
    [sym_if_statement] = STATE(69),
    [sym_switch_statement] = STATE(69),
    [sym_case_statement] = STATE(69),
    [sym_while_statement] = STATE(69),
    [sym_do_statement] = STATE(69),
    [sym_for_statement] = STATE(69),
    [sym_return_statement] = STATE(69),
    [sym_break_statement] = STATE(69),
    [sym_continue_statement] = STATE(69),
    [sym_goto_statement] = STATE(69),
    [sym_seh_try_statement] = STATE(69),
    [sym_seh_leave_statement] = STATE(69),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(69),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(69),
    [sym_template_instantiation] = STATE(69),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(69),
    [sym_operator_cast_declaration] = STATE(69),
    [sym_constructor_or_destructor_definition] = STATE(69),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(69),
    [sym_namespace_alias_definition] = STATE(69),
    [sym_using_declaration] = STATE(69),
    [sym_alias_declaration] = STATE(69),
    [sym_static_assert_declaration] = STATE(69),
    [sym_concept_definition] = STATE(69),
    [sym_for_range_loop] = STATE(69),
    [sym_co_return_statement] = STATE(69),
    [sym_co_yield_statement] = STATE(69),
    [sym_throw_statement] = STATE(69),
    [sym_try_statement] = STATE(69),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(69),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(924),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [56] = {
    [sym_preproc_include] = STATE(80),
    [sym_preproc_def] = STATE(80),
    [sym_preproc_function_def] = STATE(80),
    [sym_preproc_call] = STATE(80),
    [sym_preproc_if] = STATE(80),
    [sym_preproc_ifdef] = STATE(80),
    [sym_function_definition] = STATE(80),
    [sym_declaration] = STATE(80),
    [sym_type_definition] = STATE(80),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(80),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(80),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(80),
    [sym_labeled_statement] = STATE(80),
    [sym_expression_statement] = STATE(80),
    [sym_if_statement] = STATE(80),
    [sym_switch_statement] = STATE(80),
    [sym_case_statement] = STATE(80),
    [sym_while_statement] = STATE(80),
    [sym_do_statement] = STATE(80),
    [sym_for_statement] = STATE(80),
    [sym_return_statement] = STATE(80),
    [sym_break_statement] = STATE(80),
    [sym_continue_statement] = STATE(80),
    [sym_goto_statement] = STATE(80),
    [sym_seh_try_statement] = STATE(80),
    [sym_seh_leave_statement] = STATE(80),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(80),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(80),
    [sym_template_instantiation] = STATE(80),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(80),
    [sym_operator_cast_declaration] = STATE(80),
    [sym_constructor_or_destructor_definition] = STATE(80),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(80),
    [sym_namespace_alias_definition] = STATE(80),
    [sym_using_declaration] = STATE(80),
    [sym_alias_declaration] = STATE(80),
    [sym_static_assert_declaration] = STATE(80),
    [sym_concept_definition] = STATE(80),
    [sym_for_range_loop] = STATE(80),
    [sym_co_return_statement] = STATE(80),
    [sym_co_yield_statement] = STATE(80),
    [sym_throw_statement] = STATE(80),
    [sym_try_statement] = STATE(80),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(80),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(926),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [57] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(928),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [58] = {
    [sym_preproc_include] = STATE(53),
    [sym_preproc_def] = STATE(53),
    [sym_preproc_function_def] = STATE(53),
    [sym_preproc_call] = STATE(53),
    [sym_preproc_if] = STATE(53),
    [sym_preproc_ifdef] = STATE(53),
    [sym_function_definition] = STATE(53),
    [sym_declaration] = STATE(53),
    [sym_type_definition] = STATE(53),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(53),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(53),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(53),
    [sym_labeled_statement] = STATE(53),
    [sym_expression_statement] = STATE(53),
    [sym_if_statement] = STATE(53),
    [sym_switch_statement] = STATE(53),
    [sym_case_statement] = STATE(53),
    [sym_while_statement] = STATE(53),
    [sym_do_statement] = STATE(53),
    [sym_for_statement] = STATE(53),
    [sym_return_statement] = STATE(53),
    [sym_break_statement] = STATE(53),
    [sym_continue_statement] = STATE(53),
    [sym_goto_statement] = STATE(53),
    [sym_seh_try_statement] = STATE(53),
    [sym_seh_leave_statement] = STATE(53),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(53),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(53),
    [sym_template_instantiation] = STATE(53),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(53),
    [sym_operator_cast_declaration] = STATE(53),
    [sym_constructor_or_destructor_definition] = STATE(53),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(53),
    [sym_namespace_alias_definition] = STATE(53),
    [sym_using_declaration] = STATE(53),
    [sym_alias_declaration] = STATE(53),
    [sym_static_assert_declaration] = STATE(53),
    [sym_concept_definition] = STATE(53),
    [sym_for_range_loop] = STATE(53),
    [sym_co_return_statement] = STATE(53),
    [sym_co_yield_statement] = STATE(53),
    [sym_throw_statement] = STATE(53),
    [sym_try_statement] = STATE(53),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(53),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(930),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [59] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(932),
    [aux_sym_preproc_include_token1] = ACTIONS(935),
    [aux_sym_preproc_def_token1] = ACTIONS(938),
    [aux_sym_preproc_if_token1] = ACTIONS(941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(944),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(944),
    [sym_preproc_directive] = ACTIONS(947),
    [anon_sym_LPAREN2] = ACTIONS(467),
    [anon_sym_BANG] = ACTIONS(470),
    [anon_sym_TILDE] = ACTIONS(473),
    [anon_sym_DASH] = ACTIONS(476),
    [anon_sym_PLUS] = ACTIONS(476),
    [anon_sym_STAR] = ACTIONS(479),
    [anon_sym_AMP_AMP] = ACTIONS(482),
    [anon_sym_AMP] = ACTIONS(485),
    [anon_sym_SEMI] = ACTIONS(950),
    [anon_sym___extension__] = ACTIONS(953),
    [anon_sym_typedef] = ACTIONS(956),
    [anon_sym_extern] = ACTIONS(959),
    [anon_sym___attribute__] = ACTIONS(500),
    [anon_sym_COLON_COLON] = ACTIONS(503),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(506),
    [anon_sym___declspec] = ACTIONS(509),
    [anon_sym___based] = ACTIONS(512),
    [anon_sym___cdecl] = ACTIONS(515),
    [anon_sym___clrcall] = ACTIONS(515),
    [anon_sym___stdcall] = ACTIONS(515),
    [anon_sym___fastcall] = ACTIONS(515),
    [anon_sym___thiscall] = ACTIONS(515),
    [anon_sym___vectorcall] = ACTIONS(515),
    [anon_sym_LBRACE] = ACTIONS(962),
    [anon_sym_RBRACE] = ACTIONS(965),
    [anon_sym_signed] = ACTIONS(521),
    [anon_sym_unsigned] = ACTIONS(521),
    [anon_sym_long] = ACTIONS(521),
    [anon_sym_short] = ACTIONS(521),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_static] = ACTIONS(527),
    [anon_sym_register] = ACTIONS(527),
    [anon_sym_inline] = ACTIONS(967),
    [anon_sym___inline] = ACTIONS(527),
    [anon_sym___inline__] = ACTIONS(527),
    [anon_sym___forceinline] = ACTIONS(527),
    [anon_sym_thread_local] = ACTIONS(527),
    [anon_sym___thread] = ACTIONS(527),
    [anon_sym_const] = ACTIONS(533),
    [anon_sym_constexpr] = ACTIONS(533),
    [anon_sym_volatile] = ACTIONS(533),
    [anon_sym_restrict] = ACTIONS(533),
    [anon_sym___restrict__] = ACTIONS(533),
    [anon_sym__Atomic] = ACTIONS(533),
    [anon_sym__Noreturn] = ACTIONS(533),
    [anon_sym_noreturn] = ACTIONS(533),
    [anon_sym_mutable] = ACTIONS(533),
    [anon_sym_constinit] = ACTIONS(533),
    [anon_sym_consteval] = ACTIONS(533),
    [sym_primitive_type] = ACTIONS(536),
    [anon_sym_enum] = ACTIONS(539),
    [anon_sym_class] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(545),
    [anon_sym_union] = ACTIONS(548),
    [anon_sym_if] = ACTIONS(970),
    [anon_sym_switch] = ACTIONS(973),
    [anon_sym_case] = ACTIONS(976),
    [anon_sym_default] = ACTIONS(979),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(985),
    [anon_sym_for] = ACTIONS(988),
    [anon_sym_return] = ACTIONS(991),
    [anon_sym_break] = ACTIONS(994),
    [anon_sym_continue] = ACTIONS(997),
    [anon_sym_goto] = ACTIONS(1000),
    [anon_sym___try] = ACTIONS(1003),
    [anon_sym___leave] = ACTIONS(1006),
    [anon_sym_not] = ACTIONS(476),
    [anon_sym_compl] = ACTIONS(476),
    [anon_sym_DASH_DASH] = ACTIONS(590),
    [anon_sym_PLUS_PLUS] = ACTIONS(590),
    [anon_sym_sizeof] = ACTIONS(593),
    [anon_sym___alignof__] = ACTIONS(596),
    [anon_sym___alignof] = ACTIONS(596),
    [anon_sym__alignof] = ACTIONS(596),
    [anon_sym_alignof] = ACTIONS(596),
    [anon_sym__Alignof] = ACTIONS(596),
    [anon_sym_offsetof] = ACTIONS(599),
    [anon_sym__Generic] = ACTIONS(602),
    [anon_sym_asm] = ACTIONS(605),
    [anon_sym___asm__] = ACTIONS(605),
    [sym_number_literal] = ACTIONS(608),
    [anon_sym_L_SQUOTE] = ACTIONS(611),
    [anon_sym_u_SQUOTE] = ACTIONS(611),
    [anon_sym_U_SQUOTE] = ACTIONS(611),
    [anon_sym_u8_SQUOTE] = ACTIONS(611),
    [anon_sym_SQUOTE] = ACTIONS(611),
    [anon_sym_L_DQUOTE] = ACTIONS(614),
    [anon_sym_u_DQUOTE] = ACTIONS(614),
    [anon_sym_U_DQUOTE] = ACTIONS(614),
    [anon_sym_u8_DQUOTE] = ACTIONS(614),
    [anon_sym_DQUOTE] = ACTIONS(614),
    [sym_true] = ACTIONS(617),
    [sym_false] = ACTIONS(617),
    [anon_sym_NULL] = ACTIONS(620),
    [anon_sym_nullptr] = ACTIONS(620),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(623),
    [anon_sym_decltype] = ACTIONS(626),
    [anon_sym_virtual] = ACTIONS(629),
    [anon_sym_alignas] = ACTIONS(632),
    [anon_sym_explicit] = ACTIONS(635),
    [anon_sym_typename] = ACTIONS(638),
    [anon_sym_template] = ACTIONS(1009),
    [anon_sym_operator] = ACTIONS(644),
    [anon_sym_try] = ACTIONS(1012),
    [anon_sym_delete] = ACTIONS(650),
    [anon_sym_throw] = ACTIONS(1015),
    [anon_sym_namespace] = ACTIONS(1018),
    [anon_sym_using] = ACTIONS(1021),
    [anon_sym_static_assert] = ACTIONS(1024),
    [anon_sym_concept] = ACTIONS(1027),
    [anon_sym_co_return] = ACTIONS(1030),
    [anon_sym_co_yield] = ACTIONS(1033),
    [anon_sym_R_DQUOTE] = ACTIONS(674),
    [anon_sym_LR_DQUOTE] = ACTIONS(674),
    [anon_sym_uR_DQUOTE] = ACTIONS(674),
    [anon_sym_UR_DQUOTE] = ACTIONS(674),
    [anon_sym_u8R_DQUOTE] = ACTIONS(674),
    [anon_sym_co_await] = ACTIONS(677),
    [anon_sym_new] = ACTIONS(680),
    [anon_sym_requires] = ACTIONS(683),
    [sym_this] = ACTIONS(617),
  },
  [60] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [61] = {
    [sym_preproc_include] = STATE(57),
    [sym_preproc_def] = STATE(57),
    [sym_preproc_function_def] = STATE(57),
    [sym_preproc_call] = STATE(57),
    [sym_preproc_if] = STATE(57),
    [sym_preproc_ifdef] = STATE(57),
    [sym_function_definition] = STATE(57),
    [sym_declaration] = STATE(57),
    [sym_type_definition] = STATE(57),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(57),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(57),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(57),
    [sym_labeled_statement] = STATE(57),
    [sym_expression_statement] = STATE(57),
    [sym_if_statement] = STATE(57),
    [sym_switch_statement] = STATE(57),
    [sym_case_statement] = STATE(57),
    [sym_while_statement] = STATE(57),
    [sym_do_statement] = STATE(57),
    [sym_for_statement] = STATE(57),
    [sym_return_statement] = STATE(57),
    [sym_break_statement] = STATE(57),
    [sym_continue_statement] = STATE(57),
    [sym_goto_statement] = STATE(57),
    [sym_seh_try_statement] = STATE(57),
    [sym_seh_leave_statement] = STATE(57),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(57),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(57),
    [sym_template_instantiation] = STATE(57),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(57),
    [sym_operator_cast_declaration] = STATE(57),
    [sym_constructor_or_destructor_definition] = STATE(57),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(57),
    [sym_namespace_alias_definition] = STATE(57),
    [sym_using_declaration] = STATE(57),
    [sym_alias_declaration] = STATE(57),
    [sym_static_assert_declaration] = STATE(57),
    [sym_concept_definition] = STATE(57),
    [sym_for_range_loop] = STATE(57),
    [sym_co_return_statement] = STATE(57),
    [sym_co_yield_statement] = STATE(57),
    [sym_throw_statement] = STATE(57),
    [sym_try_statement] = STATE(57),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(57),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [62] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [63] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [64] = {
    [sym_preproc_include] = STATE(65),
    [sym_preproc_def] = STATE(65),
    [sym_preproc_function_def] = STATE(65),
    [sym_preproc_call] = STATE(65),
    [sym_preproc_if] = STATE(65),
    [sym_preproc_ifdef] = STATE(65),
    [sym_function_definition] = STATE(65),
    [sym_declaration] = STATE(65),
    [sym_type_definition] = STATE(65),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(65),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(65),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(65),
    [sym_labeled_statement] = STATE(65),
    [sym_expression_statement] = STATE(65),
    [sym_if_statement] = STATE(65),
    [sym_switch_statement] = STATE(65),
    [sym_case_statement] = STATE(65),
    [sym_while_statement] = STATE(65),
    [sym_do_statement] = STATE(65),
    [sym_for_statement] = STATE(65),
    [sym_return_statement] = STATE(65),
    [sym_break_statement] = STATE(65),
    [sym_continue_statement] = STATE(65),
    [sym_goto_statement] = STATE(65),
    [sym_seh_try_statement] = STATE(65),
    [sym_seh_leave_statement] = STATE(65),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(65),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(65),
    [sym_template_instantiation] = STATE(65),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(65),
    [sym_operator_cast_declaration] = STATE(65),
    [sym_constructor_or_destructor_definition] = STATE(65),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(65),
    [sym_namespace_alias_definition] = STATE(65),
    [sym_using_declaration] = STATE(65),
    [sym_alias_declaration] = STATE(65),
    [sym_static_assert_declaration] = STATE(65),
    [sym_concept_definition] = STATE(65),
    [sym_for_range_loop] = STATE(65),
    [sym_co_return_statement] = STATE(65),
    [sym_co_yield_statement] = STATE(65),
    [sym_throw_statement] = STATE(65),
    [sym_try_statement] = STATE(65),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(65),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [65] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [66] = {
    [sym_preproc_include] = STATE(60),
    [sym_preproc_def] = STATE(60),
    [sym_preproc_function_def] = STATE(60),
    [sym_preproc_call] = STATE(60),
    [sym_preproc_if] = STATE(60),
    [sym_preproc_ifdef] = STATE(60),
    [sym_function_definition] = STATE(60),
    [sym_declaration] = STATE(60),
    [sym_type_definition] = STATE(60),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(60),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(60),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(60),
    [sym_labeled_statement] = STATE(60),
    [sym_expression_statement] = STATE(60),
    [sym_if_statement] = STATE(60),
    [sym_switch_statement] = STATE(60),
    [sym_case_statement] = STATE(60),
    [sym_while_statement] = STATE(60),
    [sym_do_statement] = STATE(60),
    [sym_for_statement] = STATE(60),
    [sym_return_statement] = STATE(60),
    [sym_break_statement] = STATE(60),
    [sym_continue_statement] = STATE(60),
    [sym_goto_statement] = STATE(60),
    [sym_seh_try_statement] = STATE(60),
    [sym_seh_leave_statement] = STATE(60),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(60),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(60),
    [sym_template_instantiation] = STATE(60),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(60),
    [sym_operator_cast_declaration] = STATE(60),
    [sym_constructor_or_destructor_definition] = STATE(60),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(60),
    [sym_namespace_alias_definition] = STATE(60),
    [sym_using_declaration] = STATE(60),
    [sym_alias_declaration] = STATE(60),
    [sym_static_assert_declaration] = STATE(60),
    [sym_concept_definition] = STATE(60),
    [sym_for_range_loop] = STATE(60),
    [sym_co_return_statement] = STATE(60),
    [sym_co_yield_statement] = STATE(60),
    [sym_throw_statement] = STATE(60),
    [sym_try_statement] = STATE(60),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(60),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [67] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [68] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1052),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [69] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1054),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [70] = {
    [sym_preproc_include] = STATE(79),
    [sym_preproc_def] = STATE(79),
    [sym_preproc_function_def] = STATE(79),
    [sym_preproc_call] = STATE(79),
    [sym_preproc_if] = STATE(79),
    [sym_preproc_ifdef] = STATE(79),
    [sym_function_definition] = STATE(79),
    [sym_declaration] = STATE(79),
    [sym_type_definition] = STATE(79),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(79),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(79),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(79),
    [sym_labeled_statement] = STATE(79),
    [sym_expression_statement] = STATE(79),
    [sym_if_statement] = STATE(79),
    [sym_switch_statement] = STATE(79),
    [sym_case_statement] = STATE(79),
    [sym_while_statement] = STATE(79),
    [sym_do_statement] = STATE(79),
    [sym_for_statement] = STATE(79),
    [sym_return_statement] = STATE(79),
    [sym_break_statement] = STATE(79),
    [sym_continue_statement] = STATE(79),
    [sym_goto_statement] = STATE(79),
    [sym_seh_try_statement] = STATE(79),
    [sym_seh_leave_statement] = STATE(79),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(79),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(79),
    [sym_template_instantiation] = STATE(79),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(79),
    [sym_operator_cast_declaration] = STATE(79),
    [sym_constructor_or_destructor_definition] = STATE(79),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(79),
    [sym_namespace_alias_definition] = STATE(79),
    [sym_using_declaration] = STATE(79),
    [sym_alias_declaration] = STATE(79),
    [sym_static_assert_declaration] = STATE(79),
    [sym_concept_definition] = STATE(79),
    [sym_for_range_loop] = STATE(79),
    [sym_co_return_statement] = STATE(79),
    [sym_co_yield_statement] = STATE(79),
    [sym_throw_statement] = STATE(79),
    [sym_try_statement] = STATE(79),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(79),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1056),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [71] = {
    [sym_preproc_include] = STATE(89),
    [sym_preproc_def] = STATE(89),
    [sym_preproc_function_def] = STATE(89),
    [sym_preproc_call] = STATE(89),
    [sym_preproc_if] = STATE(89),
    [sym_preproc_ifdef] = STATE(89),
    [sym_function_definition] = STATE(89),
    [sym_declaration] = STATE(89),
    [sym_type_definition] = STATE(89),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_linkage_specification] = STATE(89),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6864),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(89),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4007),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(89),
    [sym_labeled_statement] = STATE(89),
    [sym_expression_statement] = STATE(89),
    [sym_if_statement] = STATE(89),
    [sym_switch_statement] = STATE(89),
    [sym_case_statement] = STATE(89),
    [sym_while_statement] = STATE(89),
    [sym_do_statement] = STATE(89),
    [sym_for_statement] = STATE(89),
    [sym_return_statement] = STATE(89),
    [sym_break_statement] = STATE(89),
    [sym_continue_statement] = STATE(89),
    [sym_goto_statement] = STATE(89),
    [sym_seh_try_statement] = STATE(89),
    [sym_seh_leave_statement] = STATE(89),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(89),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2057),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(89),
    [sym_template_instantiation] = STATE(89),
    [sym_operator_cast] = STATE(7219),
    [sym__constructor_specifiers] = STATE(2057),
    [sym_operator_cast_definition] = STATE(89),
    [sym_operator_cast_declaration] = STATE(89),
    [sym_constructor_or_destructor_definition] = STATE(89),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(89),
    [sym_namespace_alias_definition] = STATE(89),
    [sym_using_declaration] = STATE(89),
    [sym_alias_declaration] = STATE(89),
    [sym_static_assert_declaration] = STATE(89),
    [sym_concept_definition] = STATE(89),
    [sym_for_range_loop] = STATE(89),
    [sym_co_return_statement] = STATE(89),
    [sym_co_yield_statement] = STATE(89),
    [sym_throw_statement] = STATE(89),
    [sym_try_statement] = STATE(89),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7219),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(89),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2057),
    [sym_identifier] = ACTIONS(1058),
    [aux_sym_preproc_include_token1] = ACTIONS(1060),
    [aux_sym_preproc_def_token1] = ACTIONS(1062),
    [aux_sym_preproc_if_token1] = ACTIONS(1064),
    [aux_sym_preproc_if_token2] = ACTIONS(1066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1068),
    [sym_preproc_directive] = ACTIONS(1070),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym___extension__] = ACTIONS(1074),
    [anon_sym_typedef] = ACTIONS(1076),
    [anon_sym_extern] = ACTIONS(1078),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(1082),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1110),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_namespace] = ACTIONS(1116),
    [anon_sym_using] = ACTIONS(1118),
    [anon_sym_static_assert] = ACTIONS(1120),
    [anon_sym_concept] = ACTIONS(1122),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [72] = {
    [sym_preproc_include] = STATE(42),
    [sym_preproc_def] = STATE(42),
    [sym_preproc_function_def] = STATE(42),
    [sym_preproc_call] = STATE(42),
    [sym_preproc_if] = STATE(42),
    [sym_preproc_ifdef] = STATE(42),
    [sym_function_definition] = STATE(42),
    [sym_declaration] = STATE(42),
    [sym_type_definition] = STATE(42),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(42),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(42),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(42),
    [sym_labeled_statement] = STATE(42),
    [sym_expression_statement] = STATE(42),
    [sym_if_statement] = STATE(42),
    [sym_switch_statement] = STATE(42),
    [sym_case_statement] = STATE(42),
    [sym_while_statement] = STATE(42),
    [sym_do_statement] = STATE(42),
    [sym_for_statement] = STATE(42),
    [sym_return_statement] = STATE(42),
    [sym_break_statement] = STATE(42),
    [sym_continue_statement] = STATE(42),
    [sym_goto_statement] = STATE(42),
    [sym_seh_try_statement] = STATE(42),
    [sym_seh_leave_statement] = STATE(42),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(42),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(42),
    [sym_template_instantiation] = STATE(42),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(42),
    [sym_operator_cast_declaration] = STATE(42),
    [sym_constructor_or_destructor_definition] = STATE(42),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(42),
    [sym_namespace_alias_definition] = STATE(42),
    [sym_using_declaration] = STATE(42),
    [sym_alias_declaration] = STATE(42),
    [sym_static_assert_declaration] = STATE(42),
    [sym_concept_definition] = STATE(42),
    [sym_for_range_loop] = STATE(42),
    [sym_co_return_statement] = STATE(42),
    [sym_co_yield_statement] = STATE(42),
    [sym_throw_statement] = STATE(42),
    [sym_try_statement] = STATE(42),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(42),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [73] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [74] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [75] = {
    [sym_preproc_include] = STATE(84),
    [sym_preproc_def] = STATE(84),
    [sym_preproc_function_def] = STATE(84),
    [sym_preproc_call] = STATE(84),
    [sym_preproc_if] = STATE(84),
    [sym_preproc_ifdef] = STATE(84),
    [sym_function_definition] = STATE(84),
    [sym_declaration] = STATE(84),
    [sym_type_definition] = STATE(84),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(84),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(84),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(84),
    [sym_labeled_statement] = STATE(84),
    [sym_expression_statement] = STATE(84),
    [sym_if_statement] = STATE(84),
    [sym_switch_statement] = STATE(84),
    [sym_case_statement] = STATE(84),
    [sym_while_statement] = STATE(84),
    [sym_do_statement] = STATE(84),
    [sym_for_statement] = STATE(84),
    [sym_return_statement] = STATE(84),
    [sym_break_statement] = STATE(84),
    [sym_continue_statement] = STATE(84),
    [sym_goto_statement] = STATE(84),
    [sym_seh_try_statement] = STATE(84),
    [sym_seh_leave_statement] = STATE(84),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(84),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(84),
    [sym_template_instantiation] = STATE(84),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(84),
    [sym_operator_cast_declaration] = STATE(84),
    [sym_constructor_or_destructor_definition] = STATE(84),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(84),
    [sym_namespace_alias_definition] = STATE(84),
    [sym_using_declaration] = STATE(84),
    [sym_alias_declaration] = STATE(84),
    [sym_static_assert_declaration] = STATE(84),
    [sym_concept_definition] = STATE(84),
    [sym_for_range_loop] = STATE(84),
    [sym_co_return_statement] = STATE(84),
    [sym_co_yield_statement] = STATE(84),
    [sym_throw_statement] = STATE(84),
    [sym_try_statement] = STATE(84),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(84),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [76] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [77] = {
    [sym_preproc_include] = STATE(78),
    [sym_preproc_def] = STATE(78),
    [sym_preproc_function_def] = STATE(78),
    [sym_preproc_call] = STATE(78),
    [sym_preproc_if] = STATE(78),
    [sym_preproc_ifdef] = STATE(78),
    [sym_function_definition] = STATE(78),
    [sym_declaration] = STATE(78),
    [sym_type_definition] = STATE(78),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(78),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(78),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(78),
    [sym_labeled_statement] = STATE(78),
    [sym_expression_statement] = STATE(78),
    [sym_if_statement] = STATE(78),
    [sym_switch_statement] = STATE(78),
    [sym_case_statement] = STATE(78),
    [sym_while_statement] = STATE(78),
    [sym_do_statement] = STATE(78),
    [sym_for_statement] = STATE(78),
    [sym_return_statement] = STATE(78),
    [sym_break_statement] = STATE(78),
    [sym_continue_statement] = STATE(78),
    [sym_goto_statement] = STATE(78),
    [sym_seh_try_statement] = STATE(78),
    [sym_seh_leave_statement] = STATE(78),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(78),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(78),
    [sym_template_instantiation] = STATE(78),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(78),
    [sym_operator_cast_declaration] = STATE(78),
    [sym_constructor_or_destructor_definition] = STATE(78),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(78),
    [sym_namespace_alias_definition] = STATE(78),
    [sym_using_declaration] = STATE(78),
    [sym_alias_declaration] = STATE(78),
    [sym_static_assert_declaration] = STATE(78),
    [sym_concept_definition] = STATE(78),
    [sym_for_range_loop] = STATE(78),
    [sym_co_return_statement] = STATE(78),
    [sym_co_yield_statement] = STATE(78),
    [sym_throw_statement] = STATE(78),
    [sym_try_statement] = STATE(78),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(78),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [78] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [79] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [80] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [81] = {
    [sym_preproc_include] = STATE(68),
    [sym_preproc_def] = STATE(68),
    [sym_preproc_function_def] = STATE(68),
    [sym_preproc_call] = STATE(68),
    [sym_preproc_if] = STATE(68),
    [sym_preproc_ifdef] = STATE(68),
    [sym_function_definition] = STATE(68),
    [sym_declaration] = STATE(68),
    [sym_type_definition] = STATE(68),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(68),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(68),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(68),
    [sym_labeled_statement] = STATE(68),
    [sym_expression_statement] = STATE(68),
    [sym_if_statement] = STATE(68),
    [sym_switch_statement] = STATE(68),
    [sym_case_statement] = STATE(68),
    [sym_while_statement] = STATE(68),
    [sym_do_statement] = STATE(68),
    [sym_for_statement] = STATE(68),
    [sym_return_statement] = STATE(68),
    [sym_break_statement] = STATE(68),
    [sym_continue_statement] = STATE(68),
    [sym_goto_statement] = STATE(68),
    [sym_seh_try_statement] = STATE(68),
    [sym_seh_leave_statement] = STATE(68),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(68),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(68),
    [sym_template_instantiation] = STATE(68),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(68),
    [sym_operator_cast_declaration] = STATE(68),
    [sym_constructor_or_destructor_definition] = STATE(68),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(68),
    [sym_namespace_alias_definition] = STATE(68),
    [sym_using_declaration] = STATE(68),
    [sym_alias_declaration] = STATE(68),
    [sym_static_assert_declaration] = STATE(68),
    [sym_concept_definition] = STATE(68),
    [sym_for_range_loop] = STATE(68),
    [sym_co_return_statement] = STATE(68),
    [sym_co_yield_statement] = STATE(68),
    [sym_throw_statement] = STATE(68),
    [sym_try_statement] = STATE(68),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(68),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [82] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1148),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [83] = {
    [sym_preproc_include] = STATE(43),
    [sym_preproc_def] = STATE(43),
    [sym_preproc_function_def] = STATE(43),
    [sym_preproc_call] = STATE(43),
    [sym_preproc_if] = STATE(43),
    [sym_preproc_ifdef] = STATE(43),
    [sym_function_definition] = STATE(43),
    [sym_declaration] = STATE(43),
    [sym_type_definition] = STATE(43),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(43),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(43),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(43),
    [sym_labeled_statement] = STATE(43),
    [sym_expression_statement] = STATE(43),
    [sym_if_statement] = STATE(43),
    [sym_switch_statement] = STATE(43),
    [sym_case_statement] = STATE(43),
    [sym_while_statement] = STATE(43),
    [sym_do_statement] = STATE(43),
    [sym_for_statement] = STATE(43),
    [sym_return_statement] = STATE(43),
    [sym_break_statement] = STATE(43),
    [sym_continue_statement] = STATE(43),
    [sym_goto_statement] = STATE(43),
    [sym_seh_try_statement] = STATE(43),
    [sym_seh_leave_statement] = STATE(43),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(43),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(43),
    [sym_template_instantiation] = STATE(43),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(43),
    [sym_operator_cast_declaration] = STATE(43),
    [sym_constructor_or_destructor_definition] = STATE(43),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(43),
    [sym_namespace_alias_definition] = STATE(43),
    [sym_using_declaration] = STATE(43),
    [sym_alias_declaration] = STATE(43),
    [sym_static_assert_declaration] = STATE(43),
    [sym_concept_definition] = STATE(43),
    [sym_for_range_loop] = STATE(43),
    [sym_co_return_statement] = STATE(43),
    [sym_co_yield_statement] = STATE(43),
    [sym_throw_statement] = STATE(43),
    [sym_try_statement] = STATE(43),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(43),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1150),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [84] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1152),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [85] = {
    [sym_preproc_include] = STATE(74),
    [sym_preproc_def] = STATE(74),
    [sym_preproc_function_def] = STATE(74),
    [sym_preproc_call] = STATE(74),
    [sym_preproc_if] = STATE(74),
    [sym_preproc_ifdef] = STATE(74),
    [sym_function_definition] = STATE(74),
    [sym_declaration] = STATE(74),
    [sym_type_definition] = STATE(74),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(74),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(74),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(74),
    [sym_labeled_statement] = STATE(74),
    [sym_expression_statement] = STATE(74),
    [sym_if_statement] = STATE(74),
    [sym_switch_statement] = STATE(74),
    [sym_case_statement] = STATE(74),
    [sym_while_statement] = STATE(74),
    [sym_do_statement] = STATE(74),
    [sym_for_statement] = STATE(74),
    [sym_return_statement] = STATE(74),
    [sym_break_statement] = STATE(74),
    [sym_continue_statement] = STATE(74),
    [sym_goto_statement] = STATE(74),
    [sym_seh_try_statement] = STATE(74),
    [sym_seh_leave_statement] = STATE(74),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(74),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(74),
    [sym_template_instantiation] = STATE(74),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(74),
    [sym_operator_cast_declaration] = STATE(74),
    [sym_constructor_or_destructor_definition] = STATE(74),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(74),
    [sym_namespace_alias_definition] = STATE(74),
    [sym_using_declaration] = STATE(74),
    [sym_alias_declaration] = STATE(74),
    [sym_static_assert_declaration] = STATE(74),
    [sym_concept_definition] = STATE(74),
    [sym_for_range_loop] = STATE(74),
    [sym_co_return_statement] = STATE(74),
    [sym_co_yield_statement] = STATE(74),
    [sym_throw_statement] = STATE(74),
    [sym_try_statement] = STATE(74),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(74),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1154),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [86] = {
    [sym_preproc_include] = STATE(63),
    [sym_preproc_def] = STATE(63),
    [sym_preproc_function_def] = STATE(63),
    [sym_preproc_call] = STATE(63),
    [sym_preproc_if] = STATE(63),
    [sym_preproc_ifdef] = STATE(63),
    [sym_function_definition] = STATE(63),
    [sym_declaration] = STATE(63),
    [sym_type_definition] = STATE(63),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(63),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(63),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(63),
    [sym_labeled_statement] = STATE(63),
    [sym_expression_statement] = STATE(63),
    [sym_if_statement] = STATE(63),
    [sym_switch_statement] = STATE(63),
    [sym_case_statement] = STATE(63),
    [sym_while_statement] = STATE(63),
    [sym_do_statement] = STATE(63),
    [sym_for_statement] = STATE(63),
    [sym_return_statement] = STATE(63),
    [sym_break_statement] = STATE(63),
    [sym_continue_statement] = STATE(63),
    [sym_goto_statement] = STATE(63),
    [sym_seh_try_statement] = STATE(63),
    [sym_seh_leave_statement] = STATE(63),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(63),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(63),
    [sym_template_instantiation] = STATE(63),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(63),
    [sym_operator_cast_declaration] = STATE(63),
    [sym_constructor_or_destructor_definition] = STATE(63),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(63),
    [sym_namespace_alias_definition] = STATE(63),
    [sym_using_declaration] = STATE(63),
    [sym_alias_declaration] = STATE(63),
    [sym_static_assert_declaration] = STATE(63),
    [sym_concept_definition] = STATE(63),
    [sym_for_range_loop] = STATE(63),
    [sym_co_return_statement] = STATE(63),
    [sym_co_yield_statement] = STATE(63),
    [sym_throw_statement] = STATE(63),
    [sym_try_statement] = STATE(63),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(63),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1156),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [87] = {
    [sym_preproc_include] = STATE(82),
    [sym_preproc_def] = STATE(82),
    [sym_preproc_function_def] = STATE(82),
    [sym_preproc_call] = STATE(82),
    [sym_preproc_if] = STATE(82),
    [sym_preproc_ifdef] = STATE(82),
    [sym_function_definition] = STATE(82),
    [sym_declaration] = STATE(82),
    [sym_type_definition] = STATE(82),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(82),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(82),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(82),
    [sym_labeled_statement] = STATE(82),
    [sym_expression_statement] = STATE(82),
    [sym_if_statement] = STATE(82),
    [sym_switch_statement] = STATE(82),
    [sym_case_statement] = STATE(82),
    [sym_while_statement] = STATE(82),
    [sym_do_statement] = STATE(82),
    [sym_for_statement] = STATE(82),
    [sym_return_statement] = STATE(82),
    [sym_break_statement] = STATE(82),
    [sym_continue_statement] = STATE(82),
    [sym_goto_statement] = STATE(82),
    [sym_seh_try_statement] = STATE(82),
    [sym_seh_leave_statement] = STATE(82),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(82),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(82),
    [sym_template_instantiation] = STATE(82),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(82),
    [sym_operator_cast_declaration] = STATE(82),
    [sym_constructor_or_destructor_definition] = STATE(82),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(82),
    [sym_namespace_alias_definition] = STATE(82),
    [sym_using_declaration] = STATE(82),
    [sym_alias_declaration] = STATE(82),
    [sym_static_assert_declaration] = STATE(82),
    [sym_concept_definition] = STATE(82),
    [sym_for_range_loop] = STATE(82),
    [sym_co_return_statement] = STATE(82),
    [sym_co_yield_statement] = STATE(82),
    [sym_throw_statement] = STATE(82),
    [sym_try_statement] = STATE(82),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(82),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1158),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [88] = {
    [sym_preproc_include] = STATE(92),
    [sym_preproc_def] = STATE(92),
    [sym_preproc_function_def] = STATE(92),
    [sym_preproc_call] = STATE(92),
    [sym_preproc_if] = STATE(92),
    [sym_preproc_ifdef] = STATE(92),
    [sym_function_definition] = STATE(92),
    [sym_declaration] = STATE(92),
    [sym_type_definition] = STATE(92),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(92),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(92),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(92),
    [sym_labeled_statement] = STATE(92),
    [sym_expression_statement] = STATE(92),
    [sym_if_statement] = STATE(92),
    [sym_switch_statement] = STATE(92),
    [sym_case_statement] = STATE(92),
    [sym_while_statement] = STATE(92),
    [sym_do_statement] = STATE(92),
    [sym_for_statement] = STATE(92),
    [sym_return_statement] = STATE(92),
    [sym_break_statement] = STATE(92),
    [sym_continue_statement] = STATE(92),
    [sym_goto_statement] = STATE(92),
    [sym_seh_try_statement] = STATE(92),
    [sym_seh_leave_statement] = STATE(92),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(92),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(92),
    [sym_template_instantiation] = STATE(92),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(92),
    [sym_operator_cast_declaration] = STATE(92),
    [sym_constructor_or_destructor_definition] = STATE(92),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(92),
    [sym_namespace_alias_definition] = STATE(92),
    [sym_using_declaration] = STATE(92),
    [sym_alias_declaration] = STATE(92),
    [sym_static_assert_declaration] = STATE(92),
    [sym_concept_definition] = STATE(92),
    [sym_for_range_loop] = STATE(92),
    [sym_co_return_statement] = STATE(92),
    [sym_co_yield_statement] = STATE(92),
    [sym_throw_statement] = STATE(92),
    [sym_try_statement] = STATE(92),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(92),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1160),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [89] = {
    [sym_preproc_include] = STATE(51),
    [sym_preproc_def] = STATE(51),
    [sym_preproc_function_def] = STATE(51),
    [sym_preproc_call] = STATE(51),
    [sym_preproc_if] = STATE(51),
    [sym_preproc_ifdef] = STATE(51),
    [sym_function_definition] = STATE(51),
    [sym_declaration] = STATE(51),
    [sym_type_definition] = STATE(51),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_linkage_specification] = STATE(51),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6864),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(51),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4007),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(51),
    [sym_labeled_statement] = STATE(51),
    [sym_expression_statement] = STATE(51),
    [sym_if_statement] = STATE(51),
    [sym_switch_statement] = STATE(51),
    [sym_case_statement] = STATE(51),
    [sym_while_statement] = STATE(51),
    [sym_do_statement] = STATE(51),
    [sym_for_statement] = STATE(51),
    [sym_return_statement] = STATE(51),
    [sym_break_statement] = STATE(51),
    [sym_continue_statement] = STATE(51),
    [sym_goto_statement] = STATE(51),
    [sym_seh_try_statement] = STATE(51),
    [sym_seh_leave_statement] = STATE(51),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(51),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2057),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(51),
    [sym_template_instantiation] = STATE(51),
    [sym_operator_cast] = STATE(7219),
    [sym__constructor_specifiers] = STATE(2057),
    [sym_operator_cast_definition] = STATE(51),
    [sym_operator_cast_declaration] = STATE(51),
    [sym_constructor_or_destructor_definition] = STATE(51),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(51),
    [sym_namespace_alias_definition] = STATE(51),
    [sym_using_declaration] = STATE(51),
    [sym_alias_declaration] = STATE(51),
    [sym_static_assert_declaration] = STATE(51),
    [sym_concept_definition] = STATE(51),
    [sym_for_range_loop] = STATE(51),
    [sym_co_return_statement] = STATE(51),
    [sym_co_yield_statement] = STATE(51),
    [sym_throw_statement] = STATE(51),
    [sym_try_statement] = STATE(51),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7219),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(51),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2057),
    [sym_identifier] = ACTIONS(1058),
    [aux_sym_preproc_include_token1] = ACTIONS(1060),
    [aux_sym_preproc_def_token1] = ACTIONS(1062),
    [aux_sym_preproc_if_token1] = ACTIONS(1064),
    [aux_sym_preproc_if_token2] = ACTIONS(1162),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1068),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1068),
    [sym_preproc_directive] = ACTIONS(1070),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym___extension__] = ACTIONS(1074),
    [anon_sym_typedef] = ACTIONS(1076),
    [anon_sym_extern] = ACTIONS(1078),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(1082),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1110),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_namespace] = ACTIONS(1116),
    [anon_sym_using] = ACTIONS(1118),
    [anon_sym_static_assert] = ACTIONS(1120),
    [anon_sym_concept] = ACTIONS(1122),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [90] = {
    [sym_preproc_include] = STATE(73),
    [sym_preproc_def] = STATE(73),
    [sym_preproc_function_def] = STATE(73),
    [sym_preproc_call] = STATE(73),
    [sym_preproc_if] = STATE(73),
    [sym_preproc_ifdef] = STATE(73),
    [sym_function_definition] = STATE(73),
    [sym_declaration] = STATE(73),
    [sym_type_definition] = STATE(73),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(73),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(73),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(73),
    [sym_labeled_statement] = STATE(73),
    [sym_expression_statement] = STATE(73),
    [sym_if_statement] = STATE(73),
    [sym_switch_statement] = STATE(73),
    [sym_case_statement] = STATE(73),
    [sym_while_statement] = STATE(73),
    [sym_do_statement] = STATE(73),
    [sym_for_statement] = STATE(73),
    [sym_return_statement] = STATE(73),
    [sym_break_statement] = STATE(73),
    [sym_continue_statement] = STATE(73),
    [sym_goto_statement] = STATE(73),
    [sym_seh_try_statement] = STATE(73),
    [sym_seh_leave_statement] = STATE(73),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(73),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(73),
    [sym_template_instantiation] = STATE(73),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(73),
    [sym_operator_cast_declaration] = STATE(73),
    [sym_constructor_or_destructor_definition] = STATE(73),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(73),
    [sym_namespace_alias_definition] = STATE(73),
    [sym_using_declaration] = STATE(73),
    [sym_alias_declaration] = STATE(73),
    [sym_static_assert_declaration] = STATE(73),
    [sym_concept_definition] = STATE(73),
    [sym_for_range_loop] = STATE(73),
    [sym_co_return_statement] = STATE(73),
    [sym_co_yield_statement] = STATE(73),
    [sym_throw_statement] = STATE(73),
    [sym_try_statement] = STATE(73),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(73),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1164),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [91] = {
    [sym_preproc_include] = STATE(96),
    [sym_preproc_def] = STATE(96),
    [sym_preproc_function_def] = STATE(96),
    [sym_preproc_call] = STATE(96),
    [sym_preproc_if] = STATE(96),
    [sym_preproc_ifdef] = STATE(96),
    [sym_function_definition] = STATE(96),
    [sym_declaration] = STATE(96),
    [sym_type_definition] = STATE(96),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(96),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(96),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(96),
    [sym_labeled_statement] = STATE(96),
    [sym_expression_statement] = STATE(96),
    [sym_if_statement] = STATE(96),
    [sym_switch_statement] = STATE(96),
    [sym_case_statement] = STATE(96),
    [sym_while_statement] = STATE(96),
    [sym_do_statement] = STATE(96),
    [sym_for_statement] = STATE(96),
    [sym_return_statement] = STATE(96),
    [sym_break_statement] = STATE(96),
    [sym_continue_statement] = STATE(96),
    [sym_goto_statement] = STATE(96),
    [sym_seh_try_statement] = STATE(96),
    [sym_seh_leave_statement] = STATE(96),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(96),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(96),
    [sym_template_instantiation] = STATE(96),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(96),
    [sym_operator_cast_declaration] = STATE(96),
    [sym_constructor_or_destructor_definition] = STATE(96),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(96),
    [sym_namespace_alias_definition] = STATE(96),
    [sym_using_declaration] = STATE(96),
    [sym_alias_declaration] = STATE(96),
    [sym_static_assert_declaration] = STATE(96),
    [sym_concept_definition] = STATE(96),
    [sym_for_range_loop] = STATE(96),
    [sym_co_return_statement] = STATE(96),
    [sym_co_yield_statement] = STATE(96),
    [sym_throw_statement] = STATE(96),
    [sym_try_statement] = STATE(96),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(96),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1166),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [92] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1168),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [93] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1170),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [94] = {
    [sym_preproc_include] = STATE(76),
    [sym_preproc_def] = STATE(76),
    [sym_preproc_function_def] = STATE(76),
    [sym_preproc_call] = STATE(76),
    [sym_preproc_if] = STATE(76),
    [sym_preproc_ifdef] = STATE(76),
    [sym_function_definition] = STATE(76),
    [sym_declaration] = STATE(76),
    [sym_type_definition] = STATE(76),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(76),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(76),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(76),
    [sym_labeled_statement] = STATE(76),
    [sym_expression_statement] = STATE(76),
    [sym_if_statement] = STATE(76),
    [sym_switch_statement] = STATE(76),
    [sym_case_statement] = STATE(76),
    [sym_while_statement] = STATE(76),
    [sym_do_statement] = STATE(76),
    [sym_for_statement] = STATE(76),
    [sym_return_statement] = STATE(76),
    [sym_break_statement] = STATE(76),
    [sym_continue_statement] = STATE(76),
    [sym_goto_statement] = STATE(76),
    [sym_seh_try_statement] = STATE(76),
    [sym_seh_leave_statement] = STATE(76),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(76),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(76),
    [sym_template_instantiation] = STATE(76),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(76),
    [sym_operator_cast_declaration] = STATE(76),
    [sym_constructor_or_destructor_definition] = STATE(76),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(76),
    [sym_namespace_alias_definition] = STATE(76),
    [sym_using_declaration] = STATE(76),
    [sym_alias_declaration] = STATE(76),
    [sym_static_assert_declaration] = STATE(76),
    [sym_concept_definition] = STATE(76),
    [sym_for_range_loop] = STATE(76),
    [sym_co_return_statement] = STATE(76),
    [sym_co_yield_statement] = STATE(76),
    [sym_throw_statement] = STATE(76),
    [sym_try_statement] = STATE(76),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(76),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1172),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [95] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1174),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [96] = {
    [sym_preproc_include] = STATE(59),
    [sym_preproc_def] = STATE(59),
    [sym_preproc_function_def] = STATE(59),
    [sym_preproc_call] = STATE(59),
    [sym_preproc_if] = STATE(59),
    [sym_preproc_ifdef] = STATE(59),
    [sym_function_definition] = STATE(59),
    [sym_declaration] = STATE(59),
    [sym_type_definition] = STATE(59),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(59),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(59),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(59),
    [sym_labeled_statement] = STATE(59),
    [sym_expression_statement] = STATE(59),
    [sym_if_statement] = STATE(59),
    [sym_switch_statement] = STATE(59),
    [sym_case_statement] = STATE(59),
    [sym_while_statement] = STATE(59),
    [sym_do_statement] = STATE(59),
    [sym_for_statement] = STATE(59),
    [sym_return_statement] = STATE(59),
    [sym_break_statement] = STATE(59),
    [sym_continue_statement] = STATE(59),
    [sym_goto_statement] = STATE(59),
    [sym_seh_try_statement] = STATE(59),
    [sym_seh_leave_statement] = STATE(59),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(59),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(59),
    [sym_template_instantiation] = STATE(59),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(59),
    [sym_operator_cast_declaration] = STATE(59),
    [sym_constructor_or_destructor_definition] = STATE(59),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(59),
    [sym_namespace_alias_definition] = STATE(59),
    [sym_using_declaration] = STATE(59),
    [sym_alias_declaration] = STATE(59),
    [sym_static_assert_declaration] = STATE(59),
    [sym_concept_definition] = STATE(59),
    [sym_for_range_loop] = STATE(59),
    [sym_co_return_statement] = STATE(59),
    [sym_co_yield_statement] = STATE(59),
    [sym_throw_statement] = STATE(59),
    [sym_try_statement] = STATE(59),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(59),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1176),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [97] = {
    [sym_preproc_include] = STATE(93),
    [sym_preproc_def] = STATE(93),
    [sym_preproc_function_def] = STATE(93),
    [sym_preproc_call] = STATE(93),
    [sym_preproc_if] = STATE(93),
    [sym_preproc_ifdef] = STATE(93),
    [sym_function_definition] = STATE(93),
    [sym_declaration] = STATE(93),
    [sym_type_definition] = STATE(93),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_linkage_specification] = STATE(93),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6897),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(93),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(93),
    [sym_labeled_statement] = STATE(93),
    [sym_expression_statement] = STATE(93),
    [sym_if_statement] = STATE(93),
    [sym_switch_statement] = STATE(93),
    [sym_case_statement] = STATE(93),
    [sym_while_statement] = STATE(93),
    [sym_do_statement] = STATE(93),
    [sym_for_statement] = STATE(93),
    [sym_return_statement] = STATE(93),
    [sym_break_statement] = STATE(93),
    [sym_continue_statement] = STATE(93),
    [sym_goto_statement] = STATE(93),
    [sym_seh_try_statement] = STATE(93),
    [sym_seh_leave_statement] = STATE(93),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym__empty_declaration] = STATE(93),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2041),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(93),
    [sym_template_instantiation] = STATE(93),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2041),
    [sym_operator_cast_definition] = STATE(93),
    [sym_operator_cast_declaration] = STATE(93),
    [sym_constructor_or_destructor_definition] = STATE(93),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(93),
    [sym_namespace_alias_definition] = STATE(93),
    [sym_using_declaration] = STATE(93),
    [sym_alias_declaration] = STATE(93),
    [sym_static_assert_declaration] = STATE(93),
    [sym_concept_definition] = STATE(93),
    [sym_for_range_loop] = STATE(93),
    [sym_co_return_statement] = STATE(93),
    [sym_co_yield_statement] = STATE(93),
    [sym_throw_statement] = STATE(93),
    [sym_try_statement] = STATE(93),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_preproc_if_repeat1] = STATE(93),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2041),
    [sym_identifier] = ACTIONS(794),
    [aux_sym_preproc_include_token1] = ACTIONS(161),
    [aux_sym_preproc_def_token1] = ACTIONS(163),
    [aux_sym_preproc_if_token1] = ACTIONS(167),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(169),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(169),
    [sym_preproc_directive] = ACTIONS(171),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(179),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1178),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(187),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(219),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(225),
    [anon_sym_using] = ACTIONS(227),
    [anon_sym_static_assert] = ACTIONS(229),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [98] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6834),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5281),
    [sym__expression_not_binary] = STATE(5351),
    [sym_conditional_expression] = STATE(5351),
    [sym_assignment_expression] = STATE(5351),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(5351),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(5351),
    [sym_cast_expression] = STATE(5351),
    [sym_sizeof_expression] = STATE(5351),
    [sym_alignof_expression] = STATE(5351),
    [sym_offsetof_expression] = STATE(5351),
    [sym_generic_expression] = STATE(5351),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(5351),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(5351),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2042),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7197),
    [sym__constructor_specifiers] = STATE(2042),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(5351),
    [sym_new_expression] = STATE(5351),
    [sym_delete_expression] = STATE(5351),
    [sym_requires_clause] = STATE(5351),
    [sym_requires_expression] = STATE(5351),
    [sym_lambda_expression] = STATE(5351),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(5351),
    [sym_parameter_pack_expansion] = STATE(5351),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7197),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2042),
    [ts_builtin_sym_end] = ACTIONS(1180),
    [sym_identifier] = ACTIONS(7),
    [aux_sym_preproc_include_token1] = ACTIONS(9),
    [aux_sym_preproc_def_token1] = ACTIONS(11),
    [aux_sym_preproc_if_token1] = ACTIONS(13),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(15),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(15),
    [sym_preproc_directive] = ACTIONS(17),
    [anon_sym_LPAREN2] = ACTIONS(19),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(37),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(43),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(55),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(59),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(113),
    [sym_false] = ACTIONS(113),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(129),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(139),
    [anon_sym_using] = ACTIONS(141),
    [anon_sym_static_assert] = ACTIONS(143),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(113),
  },
  [99] = {
    [sym_preproc_include] = STATE(99),
    [sym_preproc_def] = STATE(99),
    [sym_preproc_function_def] = STATE(99),
    [sym_preproc_call] = STATE(99),
    [sym_preproc_if] = STATE(99),
    [sym_preproc_ifdef] = STATE(99),
    [sym_function_definition] = STATE(99),
    [sym_declaration] = STATE(99),
    [sym_type_definition] = STATE(99),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_linkage_specification] = STATE(99),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(1075),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6834),
    [sym_array_declarator] = STATE(6828),
    [sym_compound_statement] = STATE(99),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(99),
    [sym_labeled_statement] = STATE(99),
    [sym__top_level_expression_statement] = STATE(99),
    [sym_if_statement] = STATE(99),
    [sym_switch_statement] = STATE(99),
    [sym_case_statement] = STATE(99),
    [sym_while_statement] = STATE(99),
    [sym_do_statement] = STATE(99),
    [sym_for_statement] = STATE(99),
    [sym_return_statement] = STATE(99),
    [sym_break_statement] = STATE(99),
    [sym_continue_statement] = STATE(99),
    [sym_goto_statement] = STATE(99),
    [sym__expression] = STATE(5281),
    [sym__expression_not_binary] = STATE(5351),
    [sym_conditional_expression] = STATE(5351),
    [sym_assignment_expression] = STATE(5351),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(5351),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(5351),
    [sym_cast_expression] = STATE(5351),
    [sym_sizeof_expression] = STATE(5351),
    [sym_alignof_expression] = STATE(5351),
    [sym_offsetof_expression] = STATE(5351),
    [sym_generic_expression] = STATE(5351),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(5351),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(5351),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(5351),
    [sym__empty_declaration] = STATE(99),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2042),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(99),
    [sym_template_instantiation] = STATE(99),
    [sym_operator_cast] = STATE(7197),
    [sym__constructor_specifiers] = STATE(2042),
    [sym_operator_cast_definition] = STATE(99),
    [sym_operator_cast_declaration] = STATE(99),
    [sym_constructor_or_destructor_definition] = STATE(99),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(5085),
    [sym_namespace_definition] = STATE(99),
    [sym_namespace_alias_definition] = STATE(99),
    [sym_using_declaration] = STATE(99),
    [sym_alias_declaration] = STATE(99),
    [sym_static_assert_declaration] = STATE(99),
    [sym_concept_definition] = STATE(99),
    [sym_for_range_loop] = STATE(99),
    [sym_co_return_statement] = STATE(99),
    [sym_co_yield_statement] = STATE(99),
    [sym_throw_statement] = STATE(99),
    [sym_try_statement] = STATE(99),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(5351),
    [sym_new_expression] = STATE(5351),
    [sym_delete_expression] = STATE(5351),
    [sym_requires_clause] = STATE(5351),
    [sym_requires_expression] = STATE(5351),
    [sym_lambda_expression] = STATE(5351),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(5351),
    [sym_parameter_pack_expansion] = STATE(5351),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5976),
    [sym_qualified_identifier] = STATE(3611),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_qualified_operator_cast_identifier] = STATE(7197),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_translation_unit_repeat1] = STATE(99),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2042),
    [ts_builtin_sym_end] = ACTIONS(1182),
    [sym_identifier] = ACTIONS(1184),
    [aux_sym_preproc_include_token1] = ACTIONS(1187),
    [aux_sym_preproc_def_token1] = ACTIONS(1190),
    [aux_sym_preproc_if_token1] = ACTIONS(1193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1196),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1196),
    [sym_preproc_directive] = ACTIONS(1199),
    [anon_sym_LPAREN2] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1205),
    [anon_sym_TILDE] = ACTIONS(1208),
    [anon_sym_DASH] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1211),
    [anon_sym_STAR] = ACTIONS(1214),
    [anon_sym_AMP_AMP] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1220),
    [anon_sym___extension__] = ACTIONS(1223),
    [anon_sym_typedef] = ACTIONS(1226),
    [anon_sym_extern] = ACTIONS(1229),
    [anon_sym___attribute__] = ACTIONS(1232),
    [anon_sym_COLON_COLON] = ACTIONS(1235),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1238),
    [anon_sym___declspec] = ACTIONS(1241),
    [anon_sym___based] = ACTIONS(1244),
    [anon_sym___cdecl] = ACTIONS(1247),
    [anon_sym___clrcall] = ACTIONS(1247),
    [anon_sym___stdcall] = ACTIONS(1247),
    [anon_sym___fastcall] = ACTIONS(1247),
    [anon_sym___thiscall] = ACTIONS(1247),
    [anon_sym___vectorcall] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1250),
    [anon_sym_signed] = ACTIONS(1253),
    [anon_sym_unsigned] = ACTIONS(1253),
    [anon_sym_long] = ACTIONS(1253),
    [anon_sym_short] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1256),
    [anon_sym_static] = ACTIONS(1259),
    [anon_sym_register] = ACTIONS(1259),
    [anon_sym_inline] = ACTIONS(1262),
    [anon_sym___inline] = ACTIONS(1259),
    [anon_sym___inline__] = ACTIONS(1259),
    [anon_sym___forceinline] = ACTIONS(1259),
    [anon_sym_thread_local] = ACTIONS(1259),
    [anon_sym___thread] = ACTIONS(1259),
    [anon_sym_const] = ACTIONS(1265),
    [anon_sym_constexpr] = ACTIONS(1265),
    [anon_sym_volatile] = ACTIONS(1265),
    [anon_sym_restrict] = ACTIONS(1265),
    [anon_sym___restrict__] = ACTIONS(1265),
    [anon_sym__Atomic] = ACTIONS(1265),
    [anon_sym__Noreturn] = ACTIONS(1265),
    [anon_sym_noreturn] = ACTIONS(1265),
    [anon_sym_mutable] = ACTIONS(1265),
    [anon_sym_constinit] = ACTIONS(1265),
    [anon_sym_consteval] = ACTIONS(1265),
    [sym_primitive_type] = ACTIONS(1268),
    [anon_sym_enum] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1274),
    [anon_sym_struct] = ACTIONS(1277),
    [anon_sym_union] = ACTIONS(1280),
    [anon_sym_if] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1286),
    [anon_sym_case] = ACTIONS(1289),
    [anon_sym_default] = ACTIONS(1292),
    [anon_sym_while] = ACTIONS(1295),
    [anon_sym_do] = ACTIONS(1298),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1304),
    [anon_sym_break] = ACTIONS(1307),
    [anon_sym_continue] = ACTIONS(1310),
    [anon_sym_goto] = ACTIONS(1313),
    [anon_sym_not] = ACTIONS(1211),
    [anon_sym_compl] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1316),
    [anon_sym_PLUS_PLUS] = ACTIONS(1316),
    [anon_sym_sizeof] = ACTIONS(1319),
    [anon_sym___alignof__] = ACTIONS(1322),
    [anon_sym___alignof] = ACTIONS(1322),
    [anon_sym__alignof] = ACTIONS(1322),
    [anon_sym_alignof] = ACTIONS(1322),
    [anon_sym__Alignof] = ACTIONS(1322),
    [anon_sym_offsetof] = ACTIONS(1325),
    [anon_sym__Generic] = ACTIONS(1328),
    [anon_sym_asm] = ACTIONS(1331),
    [anon_sym___asm__] = ACTIONS(1331),
    [sym_number_literal] = ACTIONS(1334),
    [anon_sym_L_SQUOTE] = ACTIONS(1337),
    [anon_sym_u_SQUOTE] = ACTIONS(1337),
    [anon_sym_U_SQUOTE] = ACTIONS(1337),
    [anon_sym_u8_SQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE] = ACTIONS(1337),
    [anon_sym_L_DQUOTE] = ACTIONS(1340),
    [anon_sym_u_DQUOTE] = ACTIONS(1340),
    [anon_sym_U_DQUOTE] = ACTIONS(1340),
    [anon_sym_u8_DQUOTE] = ACTIONS(1340),
    [anon_sym_DQUOTE] = ACTIONS(1340),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [anon_sym_NULL] = ACTIONS(1346),
    [anon_sym_nullptr] = ACTIONS(1346),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1349),
    [anon_sym_decltype] = ACTIONS(1352),
    [anon_sym_virtual] = ACTIONS(1355),
    [anon_sym_alignas] = ACTIONS(1358),
    [anon_sym_explicit] = ACTIONS(1361),
    [anon_sym_typename] = ACTIONS(1364),
    [anon_sym_template] = ACTIONS(1367),
    [anon_sym_operator] = ACTIONS(1370),
    [anon_sym_try] = ACTIONS(1373),
    [anon_sym_delete] = ACTIONS(1376),
    [anon_sym_throw] = ACTIONS(1379),
    [anon_sym_namespace] = ACTIONS(1382),
    [anon_sym_using] = ACTIONS(1385),
    [anon_sym_static_assert] = ACTIONS(1388),
    [anon_sym_concept] = ACTIONS(1391),
    [anon_sym_co_return] = ACTIONS(1394),
    [anon_sym_co_yield] = ACTIONS(1397),
    [anon_sym_R_DQUOTE] = ACTIONS(1400),
    [anon_sym_LR_DQUOTE] = ACTIONS(1400),
    [anon_sym_uR_DQUOTE] = ACTIONS(1400),
    [anon_sym_UR_DQUOTE] = ACTIONS(1400),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1400),
    [anon_sym_co_await] = ACTIONS(1403),
    [anon_sym_new] = ACTIONS(1406),
    [anon_sym_requires] = ACTIONS(1409),
    [sym_this] = ACTIONS(1343),
  },
  [100] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5561),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [101] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5561),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [102] = {
    [sym_declaration] = STATE(101),
    [sym_type_definition] = STATE(101),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5561),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(101),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(101),
    [sym_labeled_statement] = STATE(101),
    [sym_expression_statement] = STATE(101),
    [sym_if_statement] = STATE(101),
    [sym_switch_statement] = STATE(101),
    [sym_while_statement] = STATE(101),
    [sym_do_statement] = STATE(101),
    [sym_for_statement] = STATE(101),
    [sym_return_statement] = STATE(101),
    [sym_break_statement] = STATE(101),
    [sym_continue_statement] = STATE(101),
    [sym_goto_statement] = STATE(101),
    [sym_seh_try_statement] = STATE(101),
    [sym_seh_leave_statement] = STATE(101),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(101),
    [sym_co_return_statement] = STATE(101),
    [sym_co_yield_statement] = STATE(101),
    [sym_throw_statement] = STATE(101),
    [sym_try_statement] = STATE(101),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(101),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [103] = {
    [sym_declaration] = STATE(100),
    [sym_type_definition] = STATE(100),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5561),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(100),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(100),
    [sym_labeled_statement] = STATE(100),
    [sym_expression_statement] = STATE(100),
    [sym_if_statement] = STATE(100),
    [sym_switch_statement] = STATE(100),
    [sym_while_statement] = STATE(100),
    [sym_do_statement] = STATE(100),
    [sym_for_statement] = STATE(100),
    [sym_return_statement] = STATE(100),
    [sym_break_statement] = STATE(100),
    [sym_continue_statement] = STATE(100),
    [sym_goto_statement] = STATE(100),
    [sym_seh_try_statement] = STATE(100),
    [sym_seh_leave_statement] = STATE(100),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(100),
    [sym_co_return_statement] = STATE(100),
    [sym_co_yield_statement] = STATE(100),
    [sym_throw_statement] = STATE(100),
    [sym_try_statement] = STATE(100),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(100),
    [sym_identifier] = ACTIONS(1412),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym___extension__] = ACTIONS(285),
    [anon_sym_typedef] = ACTIONS(287),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [104] = {
    [sym_declaration] = STATE(104),
    [sym_type_definition] = STATE(104),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5561),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(104),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(104),
    [sym_labeled_statement] = STATE(104),
    [sym_expression_statement] = STATE(104),
    [sym_if_statement] = STATE(104),
    [sym_switch_statement] = STATE(104),
    [sym_while_statement] = STATE(104),
    [sym_do_statement] = STATE(104),
    [sym_for_statement] = STATE(104),
    [sym_return_statement] = STATE(104),
    [sym_break_statement] = STATE(104),
    [sym_continue_statement] = STATE(104),
    [sym_goto_statement] = STATE(104),
    [sym_seh_try_statement] = STATE(104),
    [sym_seh_leave_statement] = STATE(104),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(104),
    [sym_co_return_statement] = STATE(104),
    [sym_co_yield_statement] = STATE(104),
    [sym_throw_statement] = STATE(104),
    [sym_try_statement] = STATE(104),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(104),
    [sym_identifier] = ACTIONS(1442),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [aux_sym_preproc_else_token1] = ACTIONS(1445),
    [aux_sym_preproc_elif_token1] = ACTIONS(1445),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1464),
    [anon_sym___extension__] = ACTIONS(1467),
    [anon_sym_typedef] = ACTIONS(1470),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1488),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1515),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1518),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1521),
    [anon_sym_do] = ACTIONS(1524),
    [anon_sym_for] = ACTIONS(1527),
    [anon_sym_return] = ACTIONS(1530),
    [anon_sym_break] = ACTIONS(1533),
    [anon_sym_continue] = ACTIONS(1536),
    [anon_sym_goto] = ACTIONS(1539),
    [anon_sym___try] = ACTIONS(1542),
    [anon_sym___leave] = ACTIONS(1545),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1599),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1605),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1608),
    [anon_sym_co_yield] = ACTIONS(1611),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [105] = {
    [sym_declaration] = STATE(108),
    [sym_type_definition] = STATE(108),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(108),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(108),
    [sym_labeled_statement] = STATE(108),
    [sym_expression_statement] = STATE(108),
    [sym_if_statement] = STATE(108),
    [sym_switch_statement] = STATE(108),
    [sym_while_statement] = STATE(108),
    [sym_do_statement] = STATE(108),
    [sym_for_statement] = STATE(108),
    [sym_return_statement] = STATE(108),
    [sym_break_statement] = STATE(108),
    [sym_continue_statement] = STATE(108),
    [sym_goto_statement] = STATE(108),
    [sym_seh_try_statement] = STATE(108),
    [sym_seh_leave_statement] = STATE(108),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(108),
    [sym_co_return_statement] = STATE(108),
    [sym_co_yield_statement] = STATE(108),
    [sym_throw_statement] = STATE(108),
    [sym_try_statement] = STATE(108),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(108),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [aux_sym_preproc_else_token1] = ACTIONS(1434),
    [aux_sym_preproc_elif_token1] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [106] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [aux_sym_preproc_else_token1] = ACTIONS(1414),
    [aux_sym_preproc_elif_token1] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [107] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1628),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [aux_sym_preproc_else_token1] = ACTIONS(1445),
    [aux_sym_preproc_elif_token1] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1631),
    [anon_sym___extension__] = ACTIONS(1634),
    [anon_sym_typedef] = ACTIONS(1637),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1640),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1643),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1646),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1649),
    [anon_sym_do] = ACTIONS(1652),
    [anon_sym_for] = ACTIONS(1655),
    [anon_sym_return] = ACTIONS(1658),
    [anon_sym_break] = ACTIONS(1661),
    [anon_sym_continue] = ACTIONS(1664),
    [anon_sym_goto] = ACTIONS(1667),
    [anon_sym___try] = ACTIONS(1670),
    [anon_sym___leave] = ACTIONS(1673),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1676),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1679),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1682),
    [anon_sym_co_yield] = ACTIONS(1685),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [108] = {
    [sym_declaration] = STATE(107),
    [sym_type_definition] = STATE(107),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(107),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(107),
    [sym_labeled_statement] = STATE(107),
    [sym_expression_statement] = STATE(107),
    [sym_if_statement] = STATE(107),
    [sym_switch_statement] = STATE(107),
    [sym_while_statement] = STATE(107),
    [sym_do_statement] = STATE(107),
    [sym_for_statement] = STATE(107),
    [sym_return_statement] = STATE(107),
    [sym_break_statement] = STATE(107),
    [sym_continue_statement] = STATE(107),
    [sym_goto_statement] = STATE(107),
    [sym_seh_try_statement] = STATE(107),
    [sym_seh_leave_statement] = STATE(107),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(107),
    [sym_co_return_statement] = STATE(107),
    [sym_co_yield_statement] = STATE(107),
    [sym_throw_statement] = STATE(107),
    [sym_try_statement] = STATE(107),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(107),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [aux_sym_preproc_else_token1] = ACTIONS(1430),
    [aux_sym_preproc_elif_token1] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [109] = {
    [sym_declaration] = STATE(106),
    [sym_type_definition] = STATE(106),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5545),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(106),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(106),
    [sym_labeled_statement] = STATE(106),
    [sym_expression_statement] = STATE(106),
    [sym_if_statement] = STATE(106),
    [sym_switch_statement] = STATE(106),
    [sym_while_statement] = STATE(106),
    [sym_do_statement] = STATE(106),
    [sym_for_statement] = STATE(106),
    [sym_return_statement] = STATE(106),
    [sym_break_statement] = STATE(106),
    [sym_continue_statement] = STATE(106),
    [sym_goto_statement] = STATE(106),
    [sym_seh_try_statement] = STATE(106),
    [sym_seh_leave_statement] = STATE(106),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(106),
    [sym_co_return_statement] = STATE(106),
    [sym_co_yield_statement] = STATE(106),
    [sym_throw_statement] = STATE(106),
    [sym_try_statement] = STATE(106),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(106),
    [sym_identifier] = ACTIONS(1626),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [aux_sym_preproc_else_token1] = ACTIONS(1438),
    [aux_sym_preproc_elif_token1] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym___extension__] = ACTIONS(373),
    [anon_sym_typedef] = ACTIONS(375),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [110] = {
    [sym_declaration] = STATE(115),
    [sym_type_definition] = STATE(115),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5541),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(115),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(115),
    [sym_labeled_statement] = STATE(115),
    [sym_expression_statement] = STATE(115),
    [sym_if_statement] = STATE(115),
    [sym_switch_statement] = STATE(115),
    [sym_while_statement] = STATE(115),
    [sym_do_statement] = STATE(115),
    [sym_for_statement] = STATE(115),
    [sym_return_statement] = STATE(115),
    [sym_break_statement] = STATE(115),
    [sym_continue_statement] = STATE(115),
    [sym_goto_statement] = STATE(115),
    [sym_seh_try_statement] = STATE(115),
    [sym_seh_leave_statement] = STATE(115),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(115),
    [sym_co_return_statement] = STATE(115),
    [sym_co_yield_statement] = STATE(115),
    [sym_throw_statement] = STATE(115),
    [sym_try_statement] = STATE(115),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(115),
    [ts_builtin_sym_end] = ACTIONS(1436),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [111] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5544),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token2] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym___extension__] = ACTIONS(1074),
    [anon_sym_typedef] = ACTIONS(1076),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [112] = {
    [sym_declaration] = STATE(119),
    [sym_type_definition] = STATE(119),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5544),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(119),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(119),
    [sym_labeled_statement] = STATE(119),
    [sym_expression_statement] = STATE(119),
    [sym_if_statement] = STATE(119),
    [sym_switch_statement] = STATE(119),
    [sym_while_statement] = STATE(119),
    [sym_do_statement] = STATE(119),
    [sym_for_statement] = STATE(119),
    [sym_return_statement] = STATE(119),
    [sym_break_statement] = STATE(119),
    [sym_continue_statement] = STATE(119),
    [sym_goto_statement] = STATE(119),
    [sym_seh_try_statement] = STATE(119),
    [sym_seh_leave_statement] = STATE(119),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(119),
    [sym_co_return_statement] = STATE(119),
    [sym_co_yield_statement] = STATE(119),
    [sym_throw_statement] = STATE(119),
    [sym_try_statement] = STATE(119),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(119),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token2] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym___extension__] = ACTIONS(1074),
    [anon_sym_typedef] = ACTIONS(1076),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [113] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5541),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(1420),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [114] = {
    [sym_declaration] = STATE(120),
    [sym_type_definition] = STATE(120),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5515),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(120),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(120),
    [sym_labeled_statement] = STATE(120),
    [sym_expression_statement] = STATE(120),
    [sym_if_statement] = STATE(120),
    [sym_switch_statement] = STATE(120),
    [sym_while_statement] = STATE(120),
    [sym_do_statement] = STATE(120),
    [sym_for_statement] = STATE(120),
    [sym_return_statement] = STATE(120),
    [sym_break_statement] = STATE(120),
    [sym_continue_statement] = STATE(120),
    [sym_goto_statement] = STATE(120),
    [sym_seh_try_statement] = STATE(120),
    [sym_seh_leave_statement] = STATE(120),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(120),
    [sym_co_return_statement] = STATE(120),
    [sym_co_yield_statement] = STATE(120),
    [sym_throw_statement] = STATE(120),
    [sym_try_statement] = STATE(120),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(120),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1440),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [115] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5541),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(1432),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [116] = {
    [sym_declaration] = STATE(118),
    [sym_type_definition] = STATE(118),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5515),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(118),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym_seh_try_statement] = STATE(118),
    [sym_seh_leave_statement] = STATE(118),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(118),
    [sym_co_return_statement] = STATE(118),
    [sym_co_yield_statement] = STATE(118),
    [sym_throw_statement] = STATE(118),
    [sym_try_statement] = STATE(118),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(118),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1430),
    [aux_sym_preproc_def_token1] = ACTIONS(1430),
    [aux_sym_preproc_if_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1430),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1430),
    [sym_preproc_directive] = ACTIONS(1430),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1432),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1430),
    [anon_sym___cdecl] = ACTIONS(1430),
    [anon_sym___clrcall] = ACTIONS(1430),
    [anon_sym___stdcall] = ACTIONS(1430),
    [anon_sym___fastcall] = ACTIONS(1430),
    [anon_sym___thiscall] = ACTIONS(1430),
    [anon_sym___vectorcall] = ACTIONS(1430),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1432),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1430),
    [anon_sym_default] = ACTIONS(1430),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1430),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1430),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1430),
    [anon_sym_using] = ACTIONS(1430),
    [anon_sym_static_assert] = ACTIONS(1430),
    [anon_sym_concept] = ACTIONS(1430),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [117] = {
    [sym_declaration] = STATE(117),
    [sym_type_definition] = STATE(117),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5541),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(117),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(117),
    [sym_labeled_statement] = STATE(117),
    [sym_expression_statement] = STATE(117),
    [sym_if_statement] = STATE(117),
    [sym_switch_statement] = STATE(117),
    [sym_while_statement] = STATE(117),
    [sym_do_statement] = STATE(117),
    [sym_for_statement] = STATE(117),
    [sym_return_statement] = STATE(117),
    [sym_break_statement] = STATE(117),
    [sym_continue_statement] = STATE(117),
    [sym_goto_statement] = STATE(117),
    [sym_seh_try_statement] = STATE(117),
    [sym_seh_leave_statement] = STATE(117),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(117),
    [sym_co_return_statement] = STATE(117),
    [sym_co_yield_statement] = STATE(117),
    [sym_throw_statement] = STATE(117),
    [sym_try_statement] = STATE(117),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(117),
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1700),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1703),
    [anon_sym___extension__] = ACTIONS(1706),
    [anon_sym_typedef] = ACTIONS(1709),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1712),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1715),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1718),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1721),
    [anon_sym_do] = ACTIONS(1724),
    [anon_sym_for] = ACTIONS(1727),
    [anon_sym_return] = ACTIONS(1730),
    [anon_sym_break] = ACTIONS(1733),
    [anon_sym_continue] = ACTIONS(1736),
    [anon_sym_goto] = ACTIONS(1739),
    [anon_sym___try] = ACTIONS(1742),
    [anon_sym___leave] = ACTIONS(1745),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1748),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1751),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1754),
    [anon_sym_co_yield] = ACTIONS(1757),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [118] = {
    [sym_declaration] = STATE(118),
    [sym_type_definition] = STATE(118),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5515),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(118),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym_seh_try_statement] = STATE(118),
    [sym_seh_leave_statement] = STATE(118),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(118),
    [sym_co_return_statement] = STATE(118),
    [sym_co_yield_statement] = STATE(118),
    [sym_throw_statement] = STATE(118),
    [sym_try_statement] = STATE(118),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(118),
    [sym_identifier] = ACTIONS(1760),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1763),
    [anon_sym___extension__] = ACTIONS(1766),
    [anon_sym_typedef] = ACTIONS(1769),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1772),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1775),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1778),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1781),
    [anon_sym_do] = ACTIONS(1784),
    [anon_sym_for] = ACTIONS(1787),
    [anon_sym_return] = ACTIONS(1790),
    [anon_sym_break] = ACTIONS(1793),
    [anon_sym_continue] = ACTIONS(1796),
    [anon_sym_goto] = ACTIONS(1799),
    [anon_sym___try] = ACTIONS(1802),
    [anon_sym___leave] = ACTIONS(1805),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1808),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1811),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1814),
    [anon_sym_co_yield] = ACTIONS(1817),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [119] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5544),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token2] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym___extension__] = ACTIONS(1074),
    [anon_sym_typedef] = ACTIONS(1076),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [120] = {
    [sym_declaration] = STATE(118),
    [sym_type_definition] = STATE(118),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5515),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(118),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(118),
    [sym_labeled_statement] = STATE(118),
    [sym_expression_statement] = STATE(118),
    [sym_if_statement] = STATE(118),
    [sym_switch_statement] = STATE(118),
    [sym_while_statement] = STATE(118),
    [sym_do_statement] = STATE(118),
    [sym_for_statement] = STATE(118),
    [sym_return_statement] = STATE(118),
    [sym_break_statement] = STATE(118),
    [sym_continue_statement] = STATE(118),
    [sym_goto_statement] = STATE(118),
    [sym_seh_try_statement] = STATE(118),
    [sym_seh_leave_statement] = STATE(118),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(118),
    [sym_co_return_statement] = STATE(118),
    [sym_co_yield_statement] = STATE(118),
    [sym_throw_statement] = STATE(118),
    [sym_try_statement] = STATE(118),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(118),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1414),
    [aux_sym_preproc_def_token1] = ACTIONS(1414),
    [aux_sym_preproc_if_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1414),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1414),
    [sym_preproc_directive] = ACTIONS(1414),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1420),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1414),
    [anon_sym___cdecl] = ACTIONS(1414),
    [anon_sym___clrcall] = ACTIONS(1414),
    [anon_sym___stdcall] = ACTIONS(1414),
    [anon_sym___fastcall] = ACTIONS(1414),
    [anon_sym___thiscall] = ACTIONS(1414),
    [anon_sym___vectorcall] = ACTIONS(1414),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1420),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1414),
    [anon_sym_default] = ACTIONS(1414),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1414),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1414),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1414),
    [anon_sym_using] = ACTIONS(1414),
    [anon_sym_static_assert] = ACTIONS(1414),
    [anon_sym_concept] = ACTIONS(1414),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [121] = {
    [sym_declaration] = STATE(116),
    [sym_type_definition] = STATE(116),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5515),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(116),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(116),
    [sym_labeled_statement] = STATE(116),
    [sym_expression_statement] = STATE(116),
    [sym_if_statement] = STATE(116),
    [sym_switch_statement] = STATE(116),
    [sym_while_statement] = STATE(116),
    [sym_do_statement] = STATE(116),
    [sym_for_statement] = STATE(116),
    [sym_return_statement] = STATE(116),
    [sym_break_statement] = STATE(116),
    [sym_continue_statement] = STATE(116),
    [sym_goto_statement] = STATE(116),
    [sym_seh_try_statement] = STATE(116),
    [sym_seh_leave_statement] = STATE(116),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(116),
    [sym_co_return_statement] = STATE(116),
    [sym_co_yield_statement] = STATE(116),
    [sym_throw_statement] = STATE(116),
    [sym_try_statement] = STATE(116),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(116),
    [sym_identifier] = ACTIONS(1698),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym___extension__] = ACTIONS(175),
    [anon_sym_typedef] = ACTIONS(177),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_RBRACE] = ACTIONS(1436),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [122] = {
    [sym_declaration] = STATE(113),
    [sym_type_definition] = STATE(113),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5541),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(113),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(113),
    [sym_labeled_statement] = STATE(113),
    [sym_expression_statement] = STATE(113),
    [sym_if_statement] = STATE(113),
    [sym_switch_statement] = STATE(113),
    [sym_while_statement] = STATE(113),
    [sym_do_statement] = STATE(113),
    [sym_for_statement] = STATE(113),
    [sym_return_statement] = STATE(113),
    [sym_break_statement] = STATE(113),
    [sym_continue_statement] = STATE(113),
    [sym_goto_statement] = STATE(113),
    [sym_seh_try_statement] = STATE(113),
    [sym_seh_leave_statement] = STATE(113),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(113),
    [sym_co_return_statement] = STATE(113),
    [sym_co_yield_statement] = STATE(113),
    [sym_throw_statement] = STATE(113),
    [sym_try_statement] = STATE(113),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(113),
    [ts_builtin_sym_end] = ACTIONS(1440),
    [sym_identifier] = ACTIONS(1688),
    [aux_sym_preproc_include_token1] = ACTIONS(1438),
    [aux_sym_preproc_def_token1] = ACTIONS(1438),
    [aux_sym_preproc_if_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1438),
    [sym_preproc_directive] = ACTIONS(1438),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1440),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym___extension__] = ACTIONS(33),
    [anon_sym_typedef] = ACTIONS(35),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1438),
    [anon_sym___cdecl] = ACTIONS(1438),
    [anon_sym___clrcall] = ACTIONS(1438),
    [anon_sym___stdcall] = ACTIONS(1438),
    [anon_sym___fastcall] = ACTIONS(1438),
    [anon_sym___thiscall] = ACTIONS(1438),
    [anon_sym___vectorcall] = ACTIONS(1438),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(1438),
    [anon_sym_default] = ACTIONS(1438),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1438),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1438),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_namespace] = ACTIONS(1438),
    [anon_sym_using] = ACTIONS(1438),
    [anon_sym_static_assert] = ACTIONS(1438),
    [anon_sym_concept] = ACTIONS(1438),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [123] = {
    [sym_declaration] = STATE(111),
    [sym_type_definition] = STATE(111),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5544),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(111),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(111),
    [sym_labeled_statement] = STATE(111),
    [sym_expression_statement] = STATE(111),
    [sym_if_statement] = STATE(111),
    [sym_switch_statement] = STATE(111),
    [sym_while_statement] = STATE(111),
    [sym_do_statement] = STATE(111),
    [sym_for_statement] = STATE(111),
    [sym_return_statement] = STATE(111),
    [sym_break_statement] = STATE(111),
    [sym_continue_statement] = STATE(111),
    [sym_goto_statement] = STATE(111),
    [sym_seh_try_statement] = STATE(111),
    [sym_seh_leave_statement] = STATE(111),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(111),
    [sym_co_return_statement] = STATE(111),
    [sym_co_yield_statement] = STATE(111),
    [sym_throw_statement] = STATE(111),
    [sym_try_statement] = STATE(111),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(111),
    [sym_identifier] = ACTIONS(1696),
    [aux_sym_preproc_include_token1] = ACTIONS(1434),
    [aux_sym_preproc_def_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token1] = ACTIONS(1434),
    [aux_sym_preproc_if_token2] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1434),
    [sym_preproc_directive] = ACTIONS(1434),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP_AMP] = ACTIONS(1436),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym___extension__] = ACTIONS(1074),
    [anon_sym_typedef] = ACTIONS(1076),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(1434),
    [anon_sym___cdecl] = ACTIONS(1434),
    [anon_sym___clrcall] = ACTIONS(1434),
    [anon_sym___stdcall] = ACTIONS(1434),
    [anon_sym___fastcall] = ACTIONS(1434),
    [anon_sym___thiscall] = ACTIONS(1434),
    [anon_sym___vectorcall] = ACTIONS(1434),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1434),
    [anon_sym_default] = ACTIONS(1434),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(1434),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(1434),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_namespace] = ACTIONS(1434),
    [anon_sym_using] = ACTIONS(1434),
    [anon_sym_static_assert] = ACTIONS(1434),
    [anon_sym_concept] = ACTIONS(1434),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [124] = {
    [sym_declaration] = STATE(124),
    [sym_type_definition] = STATE(124),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5544),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(124),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(124),
    [sym_labeled_statement] = STATE(124),
    [sym_expression_statement] = STATE(124),
    [sym_if_statement] = STATE(124),
    [sym_switch_statement] = STATE(124),
    [sym_while_statement] = STATE(124),
    [sym_do_statement] = STATE(124),
    [sym_for_statement] = STATE(124),
    [sym_return_statement] = STATE(124),
    [sym_break_statement] = STATE(124),
    [sym_continue_statement] = STATE(124),
    [sym_goto_statement] = STATE(124),
    [sym_seh_try_statement] = STATE(124),
    [sym_seh_leave_statement] = STATE(124),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(124),
    [sym_co_return_statement] = STATE(124),
    [sym_co_yield_statement] = STATE(124),
    [sym_throw_statement] = STATE(124),
    [sym_try_statement] = STATE(124),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(124),
    [sym_identifier] = ACTIONS(1820),
    [aux_sym_preproc_include_token1] = ACTIONS(1445),
    [aux_sym_preproc_def_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token1] = ACTIONS(1445),
    [aux_sym_preproc_if_token2] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(1445),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(1445),
    [sym_preproc_directive] = ACTIONS(1445),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1823),
    [anon_sym___extension__] = ACTIONS(1826),
    [anon_sym_typedef] = ACTIONS(1829),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym___based] = ACTIONS(1445),
    [anon_sym___cdecl] = ACTIONS(1445),
    [anon_sym___clrcall] = ACTIONS(1445),
    [anon_sym___stdcall] = ACTIONS(1445),
    [anon_sym___fastcall] = ACTIONS(1445),
    [anon_sym___thiscall] = ACTIONS(1445),
    [anon_sym___vectorcall] = ACTIONS(1445),
    [anon_sym_LBRACE] = ACTIONS(1832),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1835),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1838),
    [anon_sym_case] = ACTIONS(1445),
    [anon_sym_default] = ACTIONS(1445),
    [anon_sym_while] = ACTIONS(1841),
    [anon_sym_do] = ACTIONS(1844),
    [anon_sym_for] = ACTIONS(1847),
    [anon_sym_return] = ACTIONS(1850),
    [anon_sym_break] = ACTIONS(1853),
    [anon_sym_continue] = ACTIONS(1856),
    [anon_sym_goto] = ACTIONS(1859),
    [anon_sym___try] = ACTIONS(1862),
    [anon_sym___leave] = ACTIONS(1865),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_explicit] = ACTIONS(1445),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_operator] = ACTIONS(1445),
    [anon_sym_try] = ACTIONS(1868),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1871),
    [anon_sym_namespace] = ACTIONS(1445),
    [anon_sym_using] = ACTIONS(1445),
    [anon_sym_static_assert] = ACTIONS(1445),
    [anon_sym_concept] = ACTIONS(1445),
    [anon_sym_co_return] = ACTIONS(1874),
    [anon_sym_co_yield] = ACTIONS(1877),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [125] = {
    [sym_declaration] = STATE(127),
    [sym_type_definition] = STATE(127),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5572),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(127),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(127),
    [sym_labeled_statement] = STATE(127),
    [sym_expression_statement] = STATE(127),
    [sym_if_statement] = STATE(127),
    [sym_switch_statement] = STATE(127),
    [sym_while_statement] = STATE(127),
    [sym_do_statement] = STATE(127),
    [sym_for_statement] = STATE(127),
    [sym_return_statement] = STATE(127),
    [sym_break_statement] = STATE(127),
    [sym_continue_statement] = STATE(127),
    [sym_goto_statement] = STATE(127),
    [sym_seh_try_statement] = STATE(127),
    [sym_seh_leave_statement] = STATE(127),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(127),
    [sym_co_return_statement] = STATE(127),
    [sym_co_yield_statement] = STATE(127),
    [sym_throw_statement] = STATE(127),
    [sym_try_statement] = STATE(127),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(127),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1434),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [126] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5572),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1920),
    [anon_sym_LPAREN2] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1450),
    [anon_sym_TILDE] = ACTIONS(1450),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1456),
    [anon_sym_AMP] = ACTIONS(1456),
    [anon_sym_SEMI] = ACTIONS(1923),
    [anon_sym___extension__] = ACTIONS(1926),
    [anon_sym_typedef] = ACTIONS(1929),
    [anon_sym_extern] = ACTIONS(1473),
    [anon_sym___attribute__] = ACTIONS(1476),
    [anon_sym_COLON_COLON] = ACTIONS(1479),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1482),
    [anon_sym___declspec] = ACTIONS(1485),
    [anon_sym_LBRACE] = ACTIONS(1932),
    [anon_sym_signed] = ACTIONS(1491),
    [anon_sym_unsigned] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1494),
    [anon_sym_static] = ACTIONS(1473),
    [anon_sym_register] = ACTIONS(1473),
    [anon_sym_inline] = ACTIONS(1473),
    [anon_sym___inline] = ACTIONS(1473),
    [anon_sym___inline__] = ACTIONS(1473),
    [anon_sym___forceinline] = ACTIONS(1473),
    [anon_sym_thread_local] = ACTIONS(1473),
    [anon_sym___thread] = ACTIONS(1473),
    [anon_sym_const] = ACTIONS(1497),
    [anon_sym_constexpr] = ACTIONS(1497),
    [anon_sym_volatile] = ACTIONS(1497),
    [anon_sym_restrict] = ACTIONS(1497),
    [anon_sym___restrict__] = ACTIONS(1497),
    [anon_sym__Atomic] = ACTIONS(1497),
    [anon_sym__Noreturn] = ACTIONS(1497),
    [anon_sym_noreturn] = ACTIONS(1497),
    [anon_sym_mutable] = ACTIONS(1497),
    [anon_sym_constinit] = ACTIONS(1497),
    [anon_sym_consteval] = ACTIONS(1497),
    [sym_primitive_type] = ACTIONS(1500),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1506),
    [anon_sym_struct] = ACTIONS(1509),
    [anon_sym_union] = ACTIONS(1512),
    [anon_sym_if] = ACTIONS(1935),
    [anon_sym_else] = ACTIONS(1445),
    [anon_sym_switch] = ACTIONS(1938),
    [anon_sym_while] = ACTIONS(1941),
    [anon_sym_do] = ACTIONS(1944),
    [anon_sym_for] = ACTIONS(1947),
    [anon_sym_return] = ACTIONS(1950),
    [anon_sym_break] = ACTIONS(1953),
    [anon_sym_continue] = ACTIONS(1956),
    [anon_sym_goto] = ACTIONS(1959),
    [anon_sym___try] = ACTIONS(1962),
    [anon_sym___leave] = ACTIONS(1965),
    [anon_sym_not] = ACTIONS(1453),
    [anon_sym_compl] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1548),
    [anon_sym_PLUS_PLUS] = ACTIONS(1548),
    [anon_sym_sizeof] = ACTIONS(1551),
    [anon_sym___alignof__] = ACTIONS(1554),
    [anon_sym___alignof] = ACTIONS(1554),
    [anon_sym__alignof] = ACTIONS(1554),
    [anon_sym_alignof] = ACTIONS(1554),
    [anon_sym__Alignof] = ACTIONS(1554),
    [anon_sym_offsetof] = ACTIONS(1557),
    [anon_sym__Generic] = ACTIONS(1560),
    [anon_sym_asm] = ACTIONS(1563),
    [anon_sym___asm__] = ACTIONS(1563),
    [sym_number_literal] = ACTIONS(1566),
    [anon_sym_L_SQUOTE] = ACTIONS(1569),
    [anon_sym_u_SQUOTE] = ACTIONS(1569),
    [anon_sym_U_SQUOTE] = ACTIONS(1569),
    [anon_sym_u8_SQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE] = ACTIONS(1569),
    [anon_sym_L_DQUOTE] = ACTIONS(1572),
    [anon_sym_u_DQUOTE] = ACTIONS(1572),
    [anon_sym_U_DQUOTE] = ACTIONS(1572),
    [anon_sym_u8_DQUOTE] = ACTIONS(1572),
    [anon_sym_DQUOTE] = ACTIONS(1572),
    [sym_true] = ACTIONS(1575),
    [sym_false] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1578),
    [anon_sym_nullptr] = ACTIONS(1578),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(1581),
    [anon_sym_decltype] = ACTIONS(1584),
    [anon_sym_virtual] = ACTIONS(1587),
    [anon_sym_alignas] = ACTIONS(1590),
    [anon_sym_typename] = ACTIONS(1593),
    [anon_sym_template] = ACTIONS(1596),
    [anon_sym_try] = ACTIONS(1968),
    [anon_sym_delete] = ACTIONS(1602),
    [anon_sym_throw] = ACTIONS(1971),
    [anon_sym_co_return] = ACTIONS(1974),
    [anon_sym_co_yield] = ACTIONS(1977),
    [anon_sym_R_DQUOTE] = ACTIONS(1614),
    [anon_sym_LR_DQUOTE] = ACTIONS(1614),
    [anon_sym_uR_DQUOTE] = ACTIONS(1614),
    [anon_sym_UR_DQUOTE] = ACTIONS(1614),
    [anon_sym_u8R_DQUOTE] = ACTIONS(1614),
    [anon_sym_co_await] = ACTIONS(1617),
    [anon_sym_new] = ACTIONS(1620),
    [anon_sym_requires] = ACTIONS(1623),
    [sym_this] = ACTIONS(1575),
  },
  [127] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5572),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1430),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [128] = {
    [sym_declaration] = STATE(129),
    [sym_type_definition] = STATE(129),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5572),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(129),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(129),
    [sym_labeled_statement] = STATE(129),
    [sym_expression_statement] = STATE(129),
    [sym_if_statement] = STATE(129),
    [sym_switch_statement] = STATE(129),
    [sym_while_statement] = STATE(129),
    [sym_do_statement] = STATE(129),
    [sym_for_statement] = STATE(129),
    [sym_return_statement] = STATE(129),
    [sym_break_statement] = STATE(129),
    [sym_continue_statement] = STATE(129),
    [sym_goto_statement] = STATE(129),
    [sym_seh_try_statement] = STATE(129),
    [sym_seh_leave_statement] = STATE(129),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(129),
    [sym_co_return_statement] = STATE(129),
    [sym_co_yield_statement] = STATE(129),
    [sym_throw_statement] = STATE(129),
    [sym_try_statement] = STATE(129),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(129),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1438),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [129] = {
    [sym_declaration] = STATE(126),
    [sym_type_definition] = STATE(126),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5572),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(1119),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_compound_statement] = STATE(126),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_attributed_statement] = STATE(126),
    [sym_labeled_statement] = STATE(126),
    [sym_expression_statement] = STATE(126),
    [sym_if_statement] = STATE(126),
    [sym_switch_statement] = STATE(126),
    [sym_while_statement] = STATE(126),
    [sym_do_statement] = STATE(126),
    [sym_for_statement] = STATE(126),
    [sym_return_statement] = STATE(126),
    [sym_break_statement] = STATE(126),
    [sym_continue_statement] = STATE(126),
    [sym_goto_statement] = STATE(126),
    [sym_seh_try_statement] = STATE(126),
    [sym_seh_leave_statement] = STATE(126),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(126),
    [sym_co_return_statement] = STATE(126),
    [sym_co_yield_statement] = STATE(126),
    [sym_throw_statement] = STATE(126),
    [sym_try_statement] = STATE(126),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_case_statement_repeat1] = STATE(126),
    [sym_identifier] = ACTIONS(1880),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_else] = ACTIONS(1414),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [130] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(9257),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(9263),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [131] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(8626),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(8627),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [132] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(8548),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(8549),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [133] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(9410),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(9293),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [134] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(8477),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(8479),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [135] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(8468),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(8459),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [136] = {
    [sym_declaration] = STATE(437),
    [sym_type_definition] = STATE(4716),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5569),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(4716),
    [sym__for_statement_body] = STATE(9023),
    [sym__expression] = STATE(4966),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9289),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(4716),
    [sym__for_range_loop_body] = STATE(9021),
    [sym_init_statement] = STATE(2199),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1982),
    [anon_sym___extension__] = ACTIONS(1984),
    [anon_sym_typedef] = ACTIONS(1986),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1990),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [137] = {
    [sym_declaration] = STATE(1919),
    [sym_type_definition] = STATE(1919),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5554),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_expression_statement] = STATE(1919),
    [sym__expression] = STATE(4890),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8070),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_alias_declaration] = STATE(1919),
    [sym_init_statement] = STATE(147),
    [sym_condition_declaration] = STATE(9325),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym___extension__] = ACTIONS(1884),
    [anon_sym_typedef] = ACTIONS(1886),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_using] = ACTIONS(1992),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [138] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_compound_statement] = STATE(7698),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7717),
    [sym__expression] = STATE(4956),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7698),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7717),
    [sym_variadic_parameter_declaration] = STATE(7717),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6172),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(1998),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(2000),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [139] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3651),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [140] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [141] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3608),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8667),
    [sym__unary_right_fold] = STATE(8668),
    [sym__binary_fold] = STATE(8673),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [142] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3617),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8526),
    [sym__unary_right_fold] = STATE(8527),
    [sym__binary_fold] = STATE(8530),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [143] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3624),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8560),
    [sym__unary_right_fold] = STATE(8559),
    [sym__binary_fold] = STATE(8556),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [144] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3641),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8582),
    [sym__unary_right_fold] = STATE(8558),
    [sym__binary_fold] = STATE(8552),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [145] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3686),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8999),
    [sym__unary_right_fold] = STATE(9001),
    [sym__binary_fold] = STATE(8906),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [146] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym__expression] = STATE(3642),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8181),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(9237),
    [sym__unary_right_fold] = STATE(9231),
    [sym__binary_fold] = STATE(9230),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6191),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3841),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(2014),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2030),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [147] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5734),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__expression] = STATE(5059),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8622),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8152),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4457),
    [sym_template_function] = STATE(4323),
    [sym_condition_declaration] = STATE(8622),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6156),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(4410),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(1980),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(63),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [148] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7093),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8965),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3636),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6227),
    [sym_qualified_identifier] = STATE(3650),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [149] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7093),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8565),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8564),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3636),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8560),
    [sym__unary_right_fold] = STATE(8559),
    [sym__binary_fold] = STATE(8556),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6227),
    [sym_qualified_identifier] = STATE(3650),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8450),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [150] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7093),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8814),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3636),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6227),
    [sym_qualified_identifier] = STATE(3650),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2064),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [151] = {
    [ts_builtin_sym_end] = ACTIONS(2134),
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_include_token1] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [anon_sym_COMMA] = ACTIONS(2134),
    [anon_sym_RPAREN] = ACTIONS(2134),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_PIPE_PIPE] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym___cdecl] = ACTIONS(2136),
    [anon_sym___clrcall] = ACTIONS(2136),
    [anon_sym___stdcall] = ACTIONS(2136),
    [anon_sym___fastcall] = ACTIONS(2136),
    [anon_sym___thiscall] = ACTIONS(2136),
    [anon_sym___vectorcall] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_EQ] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_else] = ACTIONS(2136),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2136),
    [anon_sym_default] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym___try] = ACTIONS(2136),
    [anon_sym___except] = ACTIONS(2136),
    [anon_sym___finally] = ACTIONS(2136),
    [anon_sym___leave] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2136),
    [anon_sym_compl] = ACTIONS(2136),
    [anon_sym_or] = ACTIONS(2136),
    [anon_sym_and] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2134),
    [anon_sym_PLUS_PLUS] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2136),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2136),
    [anon_sym__Generic] = ACTIONS(2136),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2134),
    [anon_sym_L_SQUOTE] = ACTIONS(2134),
    [anon_sym_u_SQUOTE] = ACTIONS(2134),
    [anon_sym_U_SQUOTE] = ACTIONS(2134),
    [anon_sym_u8_SQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [anon_sym_L_DQUOTE] = ACTIONS(2134),
    [anon_sym_u_DQUOTE] = ACTIONS(2134),
    [anon_sym_U_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8_DQUOTE] = ACTIONS(2134),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [sym_true] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
    [anon_sym_NULL] = ACTIONS(2136),
    [anon_sym_nullptr] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_final] = ACTIONS(2136),
    [anon_sym_override] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_GT2] = ACTIONS(2134),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_namespace] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_concept] = ACTIONS(2136),
    [anon_sym_co_return] = ACTIONS(2136),
    [anon_sym_co_yield] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
    [anon_sym_R_DQUOTE] = ACTIONS(2134),
    [anon_sym_LR_DQUOTE] = ACTIONS(2134),
    [anon_sym_uR_DQUOTE] = ACTIONS(2134),
    [anon_sym_UR_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2134),
    [anon_sym_co_await] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2136),
    [sym_this] = ACTIONS(2136),
  },
  [152] = {
    [sym__expression] = STATE(2698),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [aux_sym_preproc_if_token2] = ACTIONS(2140),
    [aux_sym_preproc_else_token1] = ACTIONS(2140),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2142),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [153] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2184),
    [anon_sym_RPAREN] = ACTIONS(2184),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_PIPE_PIPE] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_EQ] = ACTIONS(2184),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___except] = ACTIONS(2186),
    [anon_sym___finally] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_or] = ACTIONS(2186),
    [anon_sym_and] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_override] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_GT2] = ACTIONS(2184),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [154] = {
    [sym__expression] = STATE(2698),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2190),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_RBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [155] = {
    [sym__expression] = STATE(3254),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_initializer_list] = STATE(3535),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [aux_sym_preproc_if_token2] = ACTIONS(2140),
    [aux_sym_preproc_else_token1] = ACTIONS(2140),
    [aux_sym_preproc_elif_token1] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [156] = {
    [sym__expression] = STATE(2698),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2254),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [157] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(700),
    [sym_attributed_statement] = STATE(700),
    [sym_labeled_statement] = STATE(700),
    [sym_expression_statement] = STATE(700),
    [sym_if_statement] = STATE(700),
    [sym_switch_statement] = STATE(700),
    [sym_case_statement] = STATE(700),
    [sym_while_statement] = STATE(700),
    [sym_do_statement] = STATE(700),
    [sym_for_statement] = STATE(700),
    [sym_return_statement] = STATE(700),
    [sym_break_statement] = STATE(700),
    [sym_continue_statement] = STATE(700),
    [sym_goto_statement] = STATE(700),
    [sym_seh_try_statement] = STATE(700),
    [sym_seh_leave_statement] = STATE(700),
    [sym__expression] = STATE(4871),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8233),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(700),
    [sym_co_return_statement] = STATE(700),
    [sym_co_yield_statement] = STATE(700),
    [sym_throw_statement] = STATE(700),
    [sym_try_statement] = STATE(700),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(181),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [158] = {
    [sym__expression] = STATE(3459),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(3812),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2140),
    [sym_this] = ACTIONS(2112),
  },
  [159] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(688),
    [sym_attributed_statement] = STATE(598),
    [sym_labeled_statement] = STATE(692),
    [sym_expression_statement] = STATE(698),
    [sym_if_statement] = STATE(699),
    [sym_switch_statement] = STATE(727),
    [sym_case_statement] = STATE(730),
    [sym_while_statement] = STATE(765),
    [sym_do_statement] = STATE(766),
    [sym_for_statement] = STATE(767),
    [sym_return_statement] = STATE(770),
    [sym_break_statement] = STATE(776),
    [sym_continue_statement] = STATE(784),
    [sym_goto_statement] = STATE(786),
    [sym_seh_try_statement] = STATE(787),
    [sym_seh_leave_statement] = STATE(788),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(789),
    [sym_co_return_statement] = STATE(790),
    [sym_co_yield_statement] = STATE(791),
    [sym_throw_statement] = STATE(793),
    [sym_try_statement] = STATE(794),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [160] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(416),
    [sym_attributed_statement] = STATE(416),
    [sym_labeled_statement] = STATE(416),
    [sym_expression_statement] = STATE(416),
    [sym_if_statement] = STATE(416),
    [sym_switch_statement] = STATE(416),
    [sym_case_statement] = STATE(416),
    [sym_while_statement] = STATE(416),
    [sym_do_statement] = STATE(416),
    [sym_for_statement] = STATE(416),
    [sym_return_statement] = STATE(416),
    [sym_break_statement] = STATE(416),
    [sym_continue_statement] = STATE(416),
    [sym_goto_statement] = STATE(416),
    [sym_seh_try_statement] = STATE(416),
    [sym_seh_leave_statement] = STATE(416),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(416),
    [sym_co_return_statement] = STATE(416),
    [sym_co_yield_statement] = STATE(416),
    [sym_throw_statement] = STATE(416),
    [sym_try_statement] = STATE(416),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [161] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(9120),
    [sym_attributed_statement] = STATE(9120),
    [sym_labeled_statement] = STATE(9120),
    [sym_expression_statement] = STATE(9120),
    [sym_if_statement] = STATE(9120),
    [sym_switch_statement] = STATE(9120),
    [sym_case_statement] = STATE(9120),
    [sym_while_statement] = STATE(9120),
    [sym_do_statement] = STATE(9120),
    [sym_for_statement] = STATE(9120),
    [sym_return_statement] = STATE(9120),
    [sym_break_statement] = STATE(9120),
    [sym_continue_statement] = STATE(9120),
    [sym_goto_statement] = STATE(9120),
    [sym_seh_try_statement] = STATE(9120),
    [sym_seh_leave_statement] = STATE(9120),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(9120),
    [sym_co_return_statement] = STATE(9120),
    [sym_co_yield_statement] = STATE(9120),
    [sym_throw_statement] = STATE(9120),
    [sym_try_statement] = STATE(9120),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [162] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(1168),
    [sym_attributed_statement] = STATE(1168),
    [sym_labeled_statement] = STATE(1168),
    [sym_expression_statement] = STATE(1168),
    [sym_if_statement] = STATE(1168),
    [sym_switch_statement] = STATE(1168),
    [sym_case_statement] = STATE(1168),
    [sym_while_statement] = STATE(1168),
    [sym_do_statement] = STATE(1168),
    [sym_for_statement] = STATE(1168),
    [sym_return_statement] = STATE(1168),
    [sym_break_statement] = STATE(1168),
    [sym_continue_statement] = STATE(1168),
    [sym_goto_statement] = STATE(1168),
    [sym_seh_try_statement] = STATE(1168),
    [sym_seh_leave_statement] = STATE(1168),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1168),
    [sym_co_return_statement] = STATE(1168),
    [sym_co_yield_statement] = STATE(1168),
    [sym_throw_statement] = STATE(1168),
    [sym_try_statement] = STATE(1168),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2302),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2317),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2335),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_case] = ACTIONS(2341),
    [anon_sym_default] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2347),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2353),
    [anon_sym_return] = ACTIONS(2356),
    [anon_sym_break] = ACTIONS(2359),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_goto] = ACTIONS(2365),
    [anon_sym___try] = ACTIONS(2368),
    [anon_sym___leave] = ACTIONS(2371),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2419),
    [anon_sym_co_return] = ACTIONS(2422),
    [anon_sym_co_yield] = ACTIONS(2425),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [163] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(792),
    [sym_attributed_statement] = STATE(792),
    [sym_labeled_statement] = STATE(792),
    [sym_expression_statement] = STATE(792),
    [sym_if_statement] = STATE(792),
    [sym_switch_statement] = STATE(792),
    [sym_case_statement] = STATE(792),
    [sym_while_statement] = STATE(792),
    [sym_do_statement] = STATE(792),
    [sym_for_statement] = STATE(792),
    [sym_return_statement] = STATE(792),
    [sym_break_statement] = STATE(792),
    [sym_continue_statement] = STATE(792),
    [sym_goto_statement] = STATE(792),
    [sym_seh_try_statement] = STATE(792),
    [sym_seh_leave_statement] = STATE(792),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(792),
    [sym_co_return_statement] = STATE(792),
    [sym_co_yield_statement] = STATE(792),
    [sym_throw_statement] = STATE(792),
    [sym_try_statement] = STATE(792),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [164] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(647),
    [sym_attributed_statement] = STATE(647),
    [sym_labeled_statement] = STATE(647),
    [sym_expression_statement] = STATE(647),
    [sym_if_statement] = STATE(647),
    [sym_switch_statement] = STATE(647),
    [sym_case_statement] = STATE(647),
    [sym_while_statement] = STATE(647),
    [sym_do_statement] = STATE(647),
    [sym_for_statement] = STATE(647),
    [sym_return_statement] = STATE(647),
    [sym_break_statement] = STATE(647),
    [sym_continue_statement] = STATE(647),
    [sym_goto_statement] = STATE(647),
    [sym_seh_try_statement] = STATE(647),
    [sym_seh_leave_statement] = STATE(647),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(647),
    [sym_co_return_statement] = STATE(647),
    [sym_co_yield_statement] = STATE(647),
    [sym_throw_statement] = STATE(647),
    [sym_try_statement] = STATE(647),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2440),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2446),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2449),
    [anon_sym_switch] = ACTIONS(2452),
    [anon_sym_case] = ACTIONS(2455),
    [anon_sym_default] = ACTIONS(2458),
    [anon_sym_while] = ACTIONS(2461),
    [anon_sym_do] = ACTIONS(2464),
    [anon_sym_for] = ACTIONS(2467),
    [anon_sym_return] = ACTIONS(2470),
    [anon_sym_break] = ACTIONS(2473),
    [anon_sym_continue] = ACTIONS(2476),
    [anon_sym_goto] = ACTIONS(2479),
    [anon_sym___try] = ACTIONS(2482),
    [anon_sym___leave] = ACTIONS(2485),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2488),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2491),
    [anon_sym_co_return] = ACTIONS(2494),
    [anon_sym_co_yield] = ACTIONS(2497),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [165] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(607),
    [sym_attributed_statement] = STATE(607),
    [sym_labeled_statement] = STATE(607),
    [sym_expression_statement] = STATE(607),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(607),
    [sym_case_statement] = STATE(607),
    [sym_while_statement] = STATE(607),
    [sym_do_statement] = STATE(607),
    [sym_for_statement] = STATE(607),
    [sym_return_statement] = STATE(607),
    [sym_break_statement] = STATE(607),
    [sym_continue_statement] = STATE(607),
    [sym_goto_statement] = STATE(607),
    [sym_seh_try_statement] = STATE(607),
    [sym_seh_leave_statement] = STATE(607),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(607),
    [sym_co_return_statement] = STATE(607),
    [sym_co_yield_statement] = STATE(607),
    [sym_throw_statement] = STATE(607),
    [sym_try_statement] = STATE(607),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [166] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(9100),
    [sym_attributed_statement] = STATE(9100),
    [sym_labeled_statement] = STATE(9100),
    [sym_expression_statement] = STATE(9100),
    [sym_if_statement] = STATE(9100),
    [sym_switch_statement] = STATE(9100),
    [sym_case_statement] = STATE(9100),
    [sym_while_statement] = STATE(9100),
    [sym_do_statement] = STATE(9100),
    [sym_for_statement] = STATE(9100),
    [sym_return_statement] = STATE(9100),
    [sym_break_statement] = STATE(9100),
    [sym_continue_statement] = STATE(9100),
    [sym_goto_statement] = STATE(9100),
    [sym_seh_try_statement] = STATE(9100),
    [sym_seh_leave_statement] = STATE(9100),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(9100),
    [sym_co_return_statement] = STATE(9100),
    [sym_co_yield_statement] = STATE(9100),
    [sym_throw_statement] = STATE(9100),
    [sym_try_statement] = STATE(9100),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [167] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1106),
    [sym_attributed_statement] = STATE(1106),
    [sym_labeled_statement] = STATE(1106),
    [sym_expression_statement] = STATE(1106),
    [sym_if_statement] = STATE(1106),
    [sym_switch_statement] = STATE(1106),
    [sym_case_statement] = STATE(1106),
    [sym_while_statement] = STATE(1106),
    [sym_do_statement] = STATE(1106),
    [sym_for_statement] = STATE(1106),
    [sym_return_statement] = STATE(1106),
    [sym_break_statement] = STATE(1106),
    [sym_continue_statement] = STATE(1106),
    [sym_goto_statement] = STATE(1106),
    [sym_seh_try_statement] = STATE(1106),
    [sym_seh_leave_statement] = STATE(1106),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1106),
    [sym_co_return_statement] = STATE(1106),
    [sym_co_yield_statement] = STATE(1106),
    [sym_throw_statement] = STATE(1106),
    [sym_try_statement] = STATE(1106),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [168] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1176),
    [sym_attributed_statement] = STATE(1176),
    [sym_labeled_statement] = STATE(1176),
    [sym_expression_statement] = STATE(1176),
    [sym_if_statement] = STATE(1176),
    [sym_switch_statement] = STATE(1176),
    [sym_case_statement] = STATE(1176),
    [sym_while_statement] = STATE(1176),
    [sym_do_statement] = STATE(1176),
    [sym_for_statement] = STATE(1176),
    [sym_return_statement] = STATE(1176),
    [sym_break_statement] = STATE(1176),
    [sym_continue_statement] = STATE(1176),
    [sym_goto_statement] = STATE(1176),
    [sym_seh_try_statement] = STATE(1176),
    [sym_seh_leave_statement] = STATE(1176),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1176),
    [sym_co_return_statement] = STATE(1176),
    [sym_co_yield_statement] = STATE(1176),
    [sym_throw_statement] = STATE(1176),
    [sym_try_statement] = STATE(1176),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [169] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(282),
    [sym_attributed_statement] = STATE(282),
    [sym_labeled_statement] = STATE(282),
    [sym_expression_statement] = STATE(282),
    [sym_if_statement] = STATE(282),
    [sym_switch_statement] = STATE(282),
    [sym_case_statement] = STATE(282),
    [sym_while_statement] = STATE(282),
    [sym_do_statement] = STATE(282),
    [sym_for_statement] = STATE(282),
    [sym_return_statement] = STATE(282),
    [sym_break_statement] = STATE(282),
    [sym_continue_statement] = STATE(282),
    [sym_goto_statement] = STATE(282),
    [sym_seh_try_statement] = STATE(282),
    [sym_seh_leave_statement] = STATE(282),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(282),
    [sym_co_return_statement] = STATE(282),
    [sym_co_yield_statement] = STATE(282),
    [sym_throw_statement] = STATE(282),
    [sym_try_statement] = STATE(282),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [170] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(764),
    [sym_attributed_statement] = STATE(761),
    [sym_labeled_statement] = STATE(760),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(758),
    [sym_switch_statement] = STATE(757),
    [sym_case_statement] = STATE(756),
    [sym_while_statement] = STATE(755),
    [sym_do_statement] = STATE(754),
    [sym_for_statement] = STATE(750),
    [sym_return_statement] = STATE(748),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(745),
    [sym_goto_statement] = STATE(743),
    [sym_seh_try_statement] = STATE(741),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(739),
    [sym_co_return_statement] = STATE(738),
    [sym_co_yield_statement] = STATE(736),
    [sym_throw_statement] = STATE(732),
    [sym_try_statement] = STATE(731),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [171] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(725),
    [sym_attributed_statement] = STATE(724),
    [sym_labeled_statement] = STATE(723),
    [sym_expression_statement] = STATE(722),
    [sym_if_statement] = STATE(721),
    [sym_switch_statement] = STATE(720),
    [sym_case_statement] = STATE(719),
    [sym_while_statement] = STATE(718),
    [sym_do_statement] = STATE(717),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(715),
    [sym_break_statement] = STATE(714),
    [sym_continue_statement] = STATE(713),
    [sym_goto_statement] = STATE(711),
    [sym_seh_try_statement] = STATE(710),
    [sym_seh_leave_statement] = STATE(709),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(708),
    [sym_co_return_statement] = STATE(707),
    [sym_co_yield_statement] = STATE(706),
    [sym_throw_statement] = STATE(702),
    [sym_try_statement] = STATE(701),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [172] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1103),
    [sym_attributed_statement] = STATE(1103),
    [sym_labeled_statement] = STATE(1103),
    [sym_expression_statement] = STATE(1103),
    [sym_if_statement] = STATE(1103),
    [sym_switch_statement] = STATE(1103),
    [sym_case_statement] = STATE(1103),
    [sym_while_statement] = STATE(1103),
    [sym_do_statement] = STATE(1103),
    [sym_for_statement] = STATE(1103),
    [sym_return_statement] = STATE(1103),
    [sym_break_statement] = STATE(1103),
    [sym_continue_statement] = STATE(1103),
    [sym_goto_statement] = STATE(1103),
    [sym_seh_try_statement] = STATE(1103),
    [sym_seh_leave_statement] = STATE(1103),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1103),
    [sym_co_return_statement] = STATE(1103),
    [sym_co_yield_statement] = STATE(1103),
    [sym_throw_statement] = STATE(1103),
    [sym_try_statement] = STATE(1103),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [173] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1171),
    [sym_attributed_statement] = STATE(1171),
    [sym_labeled_statement] = STATE(1171),
    [sym_expression_statement] = STATE(1171),
    [sym_if_statement] = STATE(1171),
    [sym_switch_statement] = STATE(1171),
    [sym_case_statement] = STATE(1171),
    [sym_while_statement] = STATE(1171),
    [sym_do_statement] = STATE(1171),
    [sym_for_statement] = STATE(1171),
    [sym_return_statement] = STATE(1171),
    [sym_break_statement] = STATE(1171),
    [sym_continue_statement] = STATE(1171),
    [sym_goto_statement] = STATE(1171),
    [sym_seh_try_statement] = STATE(1171),
    [sym_seh_leave_statement] = STATE(1171),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1171),
    [sym_co_return_statement] = STATE(1171),
    [sym_co_yield_statement] = STATE(1171),
    [sym_throw_statement] = STATE(1171),
    [sym_try_statement] = STATE(1171),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [174] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(795),
    [sym_attributed_statement] = STATE(796),
    [sym_labeled_statement] = STATE(797),
    [sym_expression_statement] = STATE(798),
    [sym_if_statement] = STATE(799),
    [sym_switch_statement] = STATE(800),
    [sym_case_statement] = STATE(801),
    [sym_while_statement] = STATE(802),
    [sym_do_statement] = STATE(803),
    [sym_for_statement] = STATE(804),
    [sym_return_statement] = STATE(810),
    [sym_break_statement] = STATE(811),
    [sym_continue_statement] = STATE(812),
    [sym_goto_statement] = STATE(813),
    [sym_seh_try_statement] = STATE(814),
    [sym_seh_leave_statement] = STATE(815),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(816),
    [sym_co_return_statement] = STATE(817),
    [sym_co_yield_statement] = STATE(818),
    [sym_throw_statement] = STATE(819),
    [sym_try_statement] = STATE(823),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [175] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(827),
    [sym_attributed_statement] = STATE(827),
    [sym_labeled_statement] = STATE(827),
    [sym_expression_statement] = STATE(827),
    [sym_if_statement] = STATE(827),
    [sym_switch_statement] = STATE(827),
    [sym_case_statement] = STATE(827),
    [sym_while_statement] = STATE(827),
    [sym_do_statement] = STATE(827),
    [sym_for_statement] = STATE(827),
    [sym_return_statement] = STATE(827),
    [sym_break_statement] = STATE(827),
    [sym_continue_statement] = STATE(827),
    [sym_goto_statement] = STATE(827),
    [sym_seh_try_statement] = STATE(827),
    [sym_seh_leave_statement] = STATE(827),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(827),
    [sym_co_return_statement] = STATE(827),
    [sym_co_yield_statement] = STATE(827),
    [sym_throw_statement] = STATE(827),
    [sym_try_statement] = STATE(827),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [176] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(266),
    [sym_attributed_statement] = STATE(266),
    [sym_labeled_statement] = STATE(266),
    [sym_expression_statement] = STATE(266),
    [sym_if_statement] = STATE(266),
    [sym_switch_statement] = STATE(266),
    [sym_case_statement] = STATE(266),
    [sym_while_statement] = STATE(266),
    [sym_do_statement] = STATE(266),
    [sym_for_statement] = STATE(266),
    [sym_return_statement] = STATE(266),
    [sym_break_statement] = STATE(266),
    [sym_continue_statement] = STATE(266),
    [sym_goto_statement] = STATE(266),
    [sym_seh_try_statement] = STATE(266),
    [sym_seh_leave_statement] = STATE(266),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(266),
    [sym_co_return_statement] = STATE(266),
    [sym_co_yield_statement] = STATE(266),
    [sym_throw_statement] = STATE(266),
    [sym_try_statement] = STATE(266),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [177] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(686),
    [sym_attributed_statement] = STATE(686),
    [sym_labeled_statement] = STATE(686),
    [sym_expression_statement] = STATE(686),
    [sym_if_statement] = STATE(686),
    [sym_switch_statement] = STATE(686),
    [sym_case_statement] = STATE(686),
    [sym_while_statement] = STATE(686),
    [sym_do_statement] = STATE(686),
    [sym_for_statement] = STATE(686),
    [sym_return_statement] = STATE(686),
    [sym_break_statement] = STATE(686),
    [sym_continue_statement] = STATE(686),
    [sym_goto_statement] = STATE(686),
    [sym_seh_try_statement] = STATE(686),
    [sym_seh_leave_statement] = STATE(686),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(686),
    [sym_co_return_statement] = STATE(686),
    [sym_co_yield_statement] = STATE(686),
    [sym_throw_statement] = STATE(686),
    [sym_try_statement] = STATE(686),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [178] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(9078),
    [sym_attributed_statement] = STATE(9078),
    [sym_labeled_statement] = STATE(9078),
    [sym_expression_statement] = STATE(9078),
    [sym_if_statement] = STATE(9078),
    [sym_switch_statement] = STATE(9078),
    [sym_case_statement] = STATE(9078),
    [sym_while_statement] = STATE(9078),
    [sym_do_statement] = STATE(9078),
    [sym_for_statement] = STATE(9078),
    [sym_return_statement] = STATE(9078),
    [sym_break_statement] = STATE(9078),
    [sym_continue_statement] = STATE(9078),
    [sym_goto_statement] = STATE(9078),
    [sym_seh_try_statement] = STATE(9078),
    [sym_seh_leave_statement] = STATE(9078),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(9078),
    [sym_co_return_statement] = STATE(9078),
    [sym_co_yield_statement] = STATE(9078),
    [sym_throw_statement] = STATE(9078),
    [sym_try_statement] = STATE(9078),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [179] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(591),
    [sym_attributed_statement] = STATE(591),
    [sym_labeled_statement] = STATE(591),
    [sym_expression_statement] = STATE(591),
    [sym_if_statement] = STATE(591),
    [sym_switch_statement] = STATE(591),
    [sym_case_statement] = STATE(591),
    [sym_while_statement] = STATE(591),
    [sym_do_statement] = STATE(591),
    [sym_for_statement] = STATE(591),
    [sym_return_statement] = STATE(591),
    [sym_break_statement] = STATE(591),
    [sym_continue_statement] = STATE(591),
    [sym_goto_statement] = STATE(591),
    [sym_seh_try_statement] = STATE(591),
    [sym_seh_leave_statement] = STATE(591),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(591),
    [sym_co_return_statement] = STATE(591),
    [sym_co_yield_statement] = STATE(591),
    [sym_throw_statement] = STATE(591),
    [sym_try_statement] = STATE(591),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [180] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(9053),
    [sym_attributed_statement] = STATE(9053),
    [sym_labeled_statement] = STATE(9053),
    [sym_expression_statement] = STATE(9053),
    [sym_if_statement] = STATE(9053),
    [sym_switch_statement] = STATE(9053),
    [sym_case_statement] = STATE(9053),
    [sym_while_statement] = STATE(9053),
    [sym_do_statement] = STATE(9053),
    [sym_for_statement] = STATE(9053),
    [sym_return_statement] = STATE(9053),
    [sym_break_statement] = STATE(9053),
    [sym_continue_statement] = STATE(9053),
    [sym_goto_statement] = STATE(9053),
    [sym_seh_try_statement] = STATE(9053),
    [sym_seh_leave_statement] = STATE(9053),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(9053),
    [sym_co_return_statement] = STATE(9053),
    [sym_co_yield_statement] = STATE(9053),
    [sym_throw_statement] = STATE(9053),
    [sym_try_statement] = STATE(9053),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [181] = {
    [sym_attribute_declaration] = STATE(164),
    [sym_compound_statement] = STATE(647),
    [sym_attributed_statement] = STATE(647),
    [sym_labeled_statement] = STATE(647),
    [sym_expression_statement] = STATE(647),
    [sym_if_statement] = STATE(647),
    [sym_switch_statement] = STATE(647),
    [sym_case_statement] = STATE(647),
    [sym_while_statement] = STATE(647),
    [sym_do_statement] = STATE(647),
    [sym_for_statement] = STATE(647),
    [sym_return_statement] = STATE(647),
    [sym_break_statement] = STATE(647),
    [sym_continue_statement] = STATE(647),
    [sym_goto_statement] = STATE(647),
    [sym_seh_try_statement] = STATE(647),
    [sym_seh_leave_statement] = STATE(647),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(647),
    [sym_co_return_statement] = STATE(647),
    [sym_co_yield_statement] = STATE(647),
    [sym_throw_statement] = STATE(647),
    [sym_try_statement] = STATE(647),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(164),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [182] = {
    [sym_attribute_declaration] = STATE(182),
    [sym_compound_statement] = STATE(827),
    [sym_attributed_statement] = STATE(827),
    [sym_labeled_statement] = STATE(827),
    [sym_expression_statement] = STATE(827),
    [sym_if_statement] = STATE(827),
    [sym_switch_statement] = STATE(827),
    [sym_case_statement] = STATE(827),
    [sym_while_statement] = STATE(827),
    [sym_do_statement] = STATE(827),
    [sym_for_statement] = STATE(827),
    [sym_return_statement] = STATE(827),
    [sym_break_statement] = STATE(827),
    [sym_continue_statement] = STATE(827),
    [sym_goto_statement] = STATE(827),
    [sym_seh_try_statement] = STATE(827),
    [sym_seh_leave_statement] = STATE(827),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(827),
    [sym_co_return_statement] = STATE(827),
    [sym_co_yield_statement] = STATE(827),
    [sym_throw_statement] = STATE(827),
    [sym_try_statement] = STATE(827),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(182),
    [sym_identifier] = ACTIONS(2506),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2509),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2512),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2515),
    [anon_sym_switch] = ACTIONS(2518),
    [anon_sym_case] = ACTIONS(2521),
    [anon_sym_default] = ACTIONS(2524),
    [anon_sym_while] = ACTIONS(2527),
    [anon_sym_do] = ACTIONS(2530),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2536),
    [anon_sym_break] = ACTIONS(2539),
    [anon_sym_continue] = ACTIONS(2542),
    [anon_sym_goto] = ACTIONS(2545),
    [anon_sym___try] = ACTIONS(2548),
    [anon_sym___leave] = ACTIONS(2551),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2554),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_co_return] = ACTIONS(2560),
    [anon_sym_co_yield] = ACTIONS(2563),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [183] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(700),
    [sym_attributed_statement] = STATE(700),
    [sym_labeled_statement] = STATE(700),
    [sym_expression_statement] = STATE(700),
    [sym_if_statement] = STATE(700),
    [sym_switch_statement] = STATE(700),
    [sym_case_statement] = STATE(700),
    [sym_while_statement] = STATE(700),
    [sym_do_statement] = STATE(700),
    [sym_for_statement] = STATE(700),
    [sym_return_statement] = STATE(700),
    [sym_break_statement] = STATE(700),
    [sym_continue_statement] = STATE(700),
    [sym_goto_statement] = STATE(700),
    [sym_seh_try_statement] = STATE(700),
    [sym_seh_leave_statement] = STATE(700),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(700),
    [sym_co_return_statement] = STATE(700),
    [sym_co_yield_statement] = STATE(700),
    [sym_throw_statement] = STATE(700),
    [sym_try_statement] = STATE(700),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [184] = {
    [sym_attribute_declaration] = STATE(162),
    [sym_compound_statement] = STATE(1168),
    [sym_attributed_statement] = STATE(1168),
    [sym_labeled_statement] = STATE(1168),
    [sym_expression_statement] = STATE(1168),
    [sym_if_statement] = STATE(1168),
    [sym_switch_statement] = STATE(1168),
    [sym_case_statement] = STATE(1168),
    [sym_while_statement] = STATE(1168),
    [sym_do_statement] = STATE(1168),
    [sym_for_statement] = STATE(1168),
    [sym_return_statement] = STATE(1168),
    [sym_break_statement] = STATE(1168),
    [sym_continue_statement] = STATE(1168),
    [sym_goto_statement] = STATE(1168),
    [sym_seh_try_statement] = STATE(1168),
    [sym_seh_leave_statement] = STATE(1168),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1168),
    [sym_co_return_statement] = STATE(1168),
    [sym_co_yield_statement] = STATE(1168),
    [sym_throw_statement] = STATE(1168),
    [sym_try_statement] = STATE(1168),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(162),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [185] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(600),
    [sym_attributed_statement] = STATE(600),
    [sym_labeled_statement] = STATE(600),
    [sym_expression_statement] = STATE(600),
    [sym_if_statement] = STATE(600),
    [sym_switch_statement] = STATE(600),
    [sym_case_statement] = STATE(600),
    [sym_while_statement] = STATE(600),
    [sym_do_statement] = STATE(600),
    [sym_for_statement] = STATE(600),
    [sym_return_statement] = STATE(600),
    [sym_break_statement] = STATE(600),
    [sym_continue_statement] = STATE(600),
    [sym_goto_statement] = STATE(600),
    [sym_seh_try_statement] = STATE(600),
    [sym_seh_leave_statement] = STATE(600),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(600),
    [sym_co_return_statement] = STATE(600),
    [sym_co_yield_statement] = STATE(600),
    [sym_throw_statement] = STATE(600),
    [sym_try_statement] = STATE(600),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [186] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(645),
    [sym_attributed_statement] = STATE(645),
    [sym_labeled_statement] = STATE(645),
    [sym_expression_statement] = STATE(645),
    [sym_if_statement] = STATE(645),
    [sym_switch_statement] = STATE(645),
    [sym_case_statement] = STATE(645),
    [sym_while_statement] = STATE(645),
    [sym_do_statement] = STATE(645),
    [sym_for_statement] = STATE(645),
    [sym_return_statement] = STATE(645),
    [sym_break_statement] = STATE(645),
    [sym_continue_statement] = STATE(645),
    [sym_goto_statement] = STATE(645),
    [sym_seh_try_statement] = STATE(645),
    [sym_seh_leave_statement] = STATE(645),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(645),
    [sym_co_return_statement] = STATE(645),
    [sym_co_yield_statement] = STATE(645),
    [sym_throw_statement] = STATE(645),
    [sym_try_statement] = STATE(645),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [187] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1115),
    [sym_attributed_statement] = STATE(1115),
    [sym_labeled_statement] = STATE(1115),
    [sym_expression_statement] = STATE(1115),
    [sym_if_statement] = STATE(1115),
    [sym_switch_statement] = STATE(1115),
    [sym_case_statement] = STATE(1115),
    [sym_while_statement] = STATE(1115),
    [sym_do_statement] = STATE(1115),
    [sym_for_statement] = STATE(1115),
    [sym_return_statement] = STATE(1115),
    [sym_break_statement] = STATE(1115),
    [sym_continue_statement] = STATE(1115),
    [sym_goto_statement] = STATE(1115),
    [sym_seh_try_statement] = STATE(1115),
    [sym_seh_leave_statement] = STATE(1115),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1115),
    [sym_co_return_statement] = STATE(1115),
    [sym_co_yield_statement] = STATE(1115),
    [sym_throw_statement] = STATE(1115),
    [sym_try_statement] = STATE(1115),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [188] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1113),
    [sym_attributed_statement] = STATE(1111),
    [sym_labeled_statement] = STATE(1110),
    [sym_expression_statement] = STATE(1161),
    [sym_if_statement] = STATE(1143),
    [sym_switch_statement] = STATE(1142),
    [sym_case_statement] = STATE(1140),
    [sym_while_statement] = STATE(1138),
    [sym_do_statement] = STATE(1135),
    [sym_for_statement] = STATE(1132),
    [sym_return_statement] = STATE(1130),
    [sym_break_statement] = STATE(1129),
    [sym_continue_statement] = STATE(1128),
    [sym_goto_statement] = STATE(1123),
    [sym_seh_try_statement] = STATE(1122),
    [sym_seh_leave_statement] = STATE(1120),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1118),
    [sym_co_return_statement] = STATE(1116),
    [sym_co_yield_statement] = STATE(1112),
    [sym_throw_statement] = STATE(1144),
    [sym_try_statement] = STATE(1137),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [189] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(822),
    [sym_attributed_statement] = STATE(822),
    [sym_labeled_statement] = STATE(822),
    [sym_expression_statement] = STATE(822),
    [sym_if_statement] = STATE(822),
    [sym_switch_statement] = STATE(822),
    [sym_case_statement] = STATE(822),
    [sym_while_statement] = STATE(822),
    [sym_do_statement] = STATE(822),
    [sym_for_statement] = STATE(822),
    [sym_return_statement] = STATE(822),
    [sym_break_statement] = STATE(822),
    [sym_continue_statement] = STATE(822),
    [sym_goto_statement] = STATE(822),
    [sym_seh_try_statement] = STATE(822),
    [sym_seh_leave_statement] = STATE(822),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(822),
    [sym_co_return_statement] = STATE(822),
    [sym_co_yield_statement] = STATE(822),
    [sym_throw_statement] = STATE(822),
    [sym_try_statement] = STATE(822),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [190] = {
    [sym_attribute_declaration] = STATE(175),
    [sym_compound_statement] = STATE(577),
    [sym_attributed_statement] = STATE(577),
    [sym_labeled_statement] = STATE(577),
    [sym_expression_statement] = STATE(577),
    [sym_if_statement] = STATE(577),
    [sym_switch_statement] = STATE(577),
    [sym_case_statement] = STATE(577),
    [sym_while_statement] = STATE(577),
    [sym_do_statement] = STATE(577),
    [sym_for_statement] = STATE(577),
    [sym_return_statement] = STATE(577),
    [sym_break_statement] = STATE(577),
    [sym_continue_statement] = STATE(577),
    [sym_goto_statement] = STATE(577),
    [sym_seh_try_statement] = STATE(577),
    [sym_seh_leave_statement] = STATE(577),
    [sym__expression] = STATE(5043),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9221),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(577),
    [sym_co_return_statement] = STATE(577),
    [sym_co_yield_statement] = STATE(577),
    [sym_throw_statement] = STATE(577),
    [sym_try_statement] = STATE(577),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(175),
    [sym_identifier] = ACTIONS(2284),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1080),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_case] = ACTIONS(1088),
    [anon_sym_default] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1092),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1096),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1100),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_goto] = ACTIONS(1104),
    [anon_sym___try] = ACTIONS(1106),
    [anon_sym___leave] = ACTIONS(1108),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1112),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_co_return] = ACTIONS(1124),
    [anon_sym_co_yield] = ACTIONS(1126),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [191] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(295),
    [sym_attributed_statement] = STATE(295),
    [sym_labeled_statement] = STATE(295),
    [sym_expression_statement] = STATE(295),
    [sym_if_statement] = STATE(295),
    [sym_switch_statement] = STATE(295),
    [sym_case_statement] = STATE(295),
    [sym_while_statement] = STATE(295),
    [sym_do_statement] = STATE(295),
    [sym_for_statement] = STATE(295),
    [sym_return_statement] = STATE(295),
    [sym_break_statement] = STATE(295),
    [sym_continue_statement] = STATE(295),
    [sym_goto_statement] = STATE(295),
    [sym_seh_try_statement] = STATE(295),
    [sym_seh_leave_statement] = STATE(295),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(295),
    [sym_co_return_statement] = STATE(295),
    [sym_co_yield_statement] = STATE(295),
    [sym_throw_statement] = STATE(295),
    [sym_try_statement] = STATE(295),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [192] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(559),
    [sym_attributed_statement] = STATE(559),
    [sym_labeled_statement] = STATE(559),
    [sym_expression_statement] = STATE(559),
    [sym_if_statement] = STATE(559),
    [sym_switch_statement] = STATE(559),
    [sym_case_statement] = STATE(559),
    [sym_while_statement] = STATE(559),
    [sym_do_statement] = STATE(559),
    [sym_for_statement] = STATE(559),
    [sym_return_statement] = STATE(559),
    [sym_break_statement] = STATE(559),
    [sym_continue_statement] = STATE(559),
    [sym_goto_statement] = STATE(559),
    [sym_seh_try_statement] = STATE(559),
    [sym_seh_leave_statement] = STATE(559),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(559),
    [sym_co_return_statement] = STATE(559),
    [sym_co_yield_statement] = STATE(559),
    [sym_throw_statement] = STATE(559),
    [sym_try_statement] = STATE(559),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [193] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(494),
    [sym_attributed_statement] = STATE(490),
    [sym_labeled_statement] = STATE(487),
    [sym_expression_statement] = STATE(427),
    [sym_if_statement] = STATE(478),
    [sym_switch_statement] = STATE(472),
    [sym_case_statement] = STATE(469),
    [sym_while_statement] = STATE(467),
    [sym_do_statement] = STATE(466),
    [sym_for_statement] = STATE(464),
    [sym_return_statement] = STATE(462),
    [sym_break_statement] = STATE(461),
    [sym_continue_statement] = STATE(460),
    [sym_goto_statement] = STATE(459),
    [sym_seh_try_statement] = STATE(458),
    [sym_seh_leave_statement] = STATE(456),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(454),
    [sym_co_return_statement] = STATE(452),
    [sym_co_yield_statement] = STATE(451),
    [sym_throw_statement] = STATE(450),
    [sym_try_statement] = STATE(449),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [194] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(476),
    [sym_attributed_statement] = STATE(477),
    [sym_labeled_statement] = STATE(426),
    [sym_expression_statement] = STATE(479),
    [sym_if_statement] = STATE(480),
    [sym_switch_statement] = STATE(481),
    [sym_case_statement] = STATE(482),
    [sym_while_statement] = STATE(483),
    [sym_do_statement] = STATE(484),
    [sym_for_statement] = STATE(485),
    [sym_return_statement] = STATE(486),
    [sym_break_statement] = STATE(489),
    [sym_continue_statement] = STATE(491),
    [sym_goto_statement] = STATE(492),
    [sym_seh_try_statement] = STATE(493),
    [sym_seh_leave_statement] = STATE(495),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(500),
    [sym_co_return_statement] = STATE(501),
    [sym_co_yield_statement] = STATE(502),
    [sym_throw_statement] = STATE(503),
    [sym_try_statement] = STATE(498),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [195] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(474),
    [sym_attributed_statement] = STATE(474),
    [sym_labeled_statement] = STATE(474),
    [sym_expression_statement] = STATE(474),
    [sym_if_statement] = STATE(474),
    [sym_switch_statement] = STATE(474),
    [sym_case_statement] = STATE(474),
    [sym_while_statement] = STATE(474),
    [sym_do_statement] = STATE(474),
    [sym_for_statement] = STATE(474),
    [sym_return_statement] = STATE(474),
    [sym_break_statement] = STATE(474),
    [sym_continue_statement] = STATE(474),
    [sym_goto_statement] = STATE(474),
    [sym_seh_try_statement] = STATE(474),
    [sym_seh_leave_statement] = STATE(474),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(474),
    [sym_co_return_statement] = STATE(474),
    [sym_co_yield_statement] = STATE(474),
    [sym_throw_statement] = STATE(474),
    [sym_try_statement] = STATE(474),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [196] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(783),
    [sym_attributed_statement] = STATE(782),
    [sym_labeled_statement] = STATE(781),
    [sym_expression_statement] = STATE(780),
    [sym_if_statement] = STATE(599),
    [sym_switch_statement] = STATE(774),
    [sym_case_statement] = STATE(773),
    [sym_while_statement] = STATE(772),
    [sym_do_statement] = STATE(771),
    [sym_for_statement] = STATE(768),
    [sym_return_statement] = STATE(751),
    [sym_break_statement] = STATE(749),
    [sym_continue_statement] = STATE(747),
    [sym_goto_statement] = STATE(744),
    [sym_seh_try_statement] = STATE(737),
    [sym_seh_leave_statement] = STATE(735),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(734),
    [sym_co_return_statement] = STATE(733),
    [sym_co_yield_statement] = STATE(728),
    [sym_throw_statement] = STATE(712),
    [sym_try_statement] = STATE(705),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [197] = {
    [sym_attribute_declaration] = STATE(199),
    [sym_compound_statement] = STATE(453),
    [sym_attributed_statement] = STATE(453),
    [sym_labeled_statement] = STATE(453),
    [sym_expression_statement] = STATE(453),
    [sym_if_statement] = STATE(453),
    [sym_switch_statement] = STATE(453),
    [sym_case_statement] = STATE(453),
    [sym_while_statement] = STATE(453),
    [sym_do_statement] = STATE(453),
    [sym_for_statement] = STATE(453),
    [sym_return_statement] = STATE(453),
    [sym_break_statement] = STATE(453),
    [sym_continue_statement] = STATE(453),
    [sym_goto_statement] = STATE(453),
    [sym_seh_try_statement] = STATE(453),
    [sym_seh_leave_statement] = STATE(453),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(453),
    [sym_co_return_statement] = STATE(453),
    [sym_co_yield_statement] = STATE(453),
    [sym_throw_statement] = STATE(453),
    [sym_try_statement] = STATE(453),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(199),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [198] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(604),
    [sym_attributed_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_expression_statement] = STATE(604),
    [sym_if_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_case_statement] = STATE(604),
    [sym_while_statement] = STATE(604),
    [sym_do_statement] = STATE(604),
    [sym_for_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_goto_statement] = STATE(604),
    [sym_seh_try_statement] = STATE(604),
    [sym_seh_leave_statement] = STATE(604),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(604),
    [sym_co_return_statement] = STATE(604),
    [sym_co_yield_statement] = STATE(604),
    [sym_throw_statement] = STATE(604),
    [sym_try_statement] = STATE(604),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [199] = {
    [sym_attribute_declaration] = STATE(199),
    [sym_compound_statement] = STATE(453),
    [sym_attributed_statement] = STATE(453),
    [sym_labeled_statement] = STATE(453),
    [sym_expression_statement] = STATE(453),
    [sym_if_statement] = STATE(453),
    [sym_switch_statement] = STATE(453),
    [sym_case_statement] = STATE(453),
    [sym_while_statement] = STATE(453),
    [sym_do_statement] = STATE(453),
    [sym_for_statement] = STATE(453),
    [sym_return_statement] = STATE(453),
    [sym_break_statement] = STATE(453),
    [sym_continue_statement] = STATE(453),
    [sym_goto_statement] = STATE(453),
    [sym_seh_try_statement] = STATE(453),
    [sym_seh_leave_statement] = STATE(453),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(453),
    [sym_co_return_statement] = STATE(453),
    [sym_co_yield_statement] = STATE(453),
    [sym_throw_statement] = STATE(453),
    [sym_try_statement] = STATE(453),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(199),
    [sym_identifier] = ACTIONS(2566),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2569),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2572),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2575),
    [anon_sym_switch] = ACTIONS(2578),
    [anon_sym_case] = ACTIONS(2581),
    [anon_sym_default] = ACTIONS(2584),
    [anon_sym_while] = ACTIONS(2587),
    [anon_sym_do] = ACTIONS(2590),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2596),
    [anon_sym_break] = ACTIONS(2599),
    [anon_sym_continue] = ACTIONS(2602),
    [anon_sym_goto] = ACTIONS(2605),
    [anon_sym___try] = ACTIONS(2608),
    [anon_sym___leave] = ACTIONS(2611),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2614),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2617),
    [anon_sym_co_return] = ACTIONS(2620),
    [anon_sym_co_yield] = ACTIONS(2623),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [200] = {
    [sym_attribute_declaration] = STATE(200),
    [sym_compound_statement] = STATE(604),
    [sym_attributed_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_expression_statement] = STATE(604),
    [sym_if_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_case_statement] = STATE(604),
    [sym_while_statement] = STATE(604),
    [sym_do_statement] = STATE(604),
    [sym_for_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_goto_statement] = STATE(604),
    [sym_seh_try_statement] = STATE(604),
    [sym_seh_leave_statement] = STATE(604),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(604),
    [sym_co_return_statement] = STATE(604),
    [sym_co_yield_statement] = STATE(604),
    [sym_throw_statement] = STATE(604),
    [sym_try_statement] = STATE(604),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(200),
    [sym_identifier] = ACTIONS(2626),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2644),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2653),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2668),
    [anon_sym___leave] = ACTIONS(2671),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2680),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [201] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(778),
    [sym_attributed_statement] = STATE(778),
    [sym_labeled_statement] = STATE(778),
    [sym_expression_statement] = STATE(778),
    [sym_if_statement] = STATE(778),
    [sym_switch_statement] = STATE(778),
    [sym_case_statement] = STATE(778),
    [sym_while_statement] = STATE(778),
    [sym_do_statement] = STATE(778),
    [sym_for_statement] = STATE(778),
    [sym_return_statement] = STATE(778),
    [sym_break_statement] = STATE(778),
    [sym_continue_statement] = STATE(778),
    [sym_goto_statement] = STATE(778),
    [sym_seh_try_statement] = STATE(778),
    [sym_seh_leave_statement] = STATE(778),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(778),
    [sym_co_return_statement] = STATE(778),
    [sym_co_yield_statement] = STATE(778),
    [sym_throw_statement] = STATE(778),
    [sym_try_statement] = STATE(778),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [202] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(434),
    [sym_attributed_statement] = STATE(434),
    [sym_labeled_statement] = STATE(434),
    [sym_expression_statement] = STATE(434),
    [sym_if_statement] = STATE(434),
    [sym_switch_statement] = STATE(434),
    [sym_case_statement] = STATE(434),
    [sym_while_statement] = STATE(434),
    [sym_do_statement] = STATE(434),
    [sym_for_statement] = STATE(434),
    [sym_return_statement] = STATE(434),
    [sym_break_statement] = STATE(434),
    [sym_continue_statement] = STATE(434),
    [sym_goto_statement] = STATE(434),
    [sym_seh_try_statement] = STATE(434),
    [sym_seh_leave_statement] = STATE(434),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(434),
    [sym_co_return_statement] = STATE(434),
    [sym_co_yield_statement] = STATE(434),
    [sym_throw_statement] = STATE(434),
    [sym_try_statement] = STATE(434),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [203] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(431),
    [sym_attributed_statement] = STATE(431),
    [sym_labeled_statement] = STATE(431),
    [sym_expression_statement] = STATE(431),
    [sym_if_statement] = STATE(431),
    [sym_switch_statement] = STATE(431),
    [sym_case_statement] = STATE(431),
    [sym_while_statement] = STATE(431),
    [sym_do_statement] = STATE(431),
    [sym_for_statement] = STATE(431),
    [sym_return_statement] = STATE(431),
    [sym_break_statement] = STATE(431),
    [sym_continue_statement] = STATE(431),
    [sym_goto_statement] = STATE(431),
    [sym_seh_try_statement] = STATE(431),
    [sym_seh_leave_statement] = STATE(431),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(431),
    [sym_co_return_statement] = STATE(431),
    [sym_co_yield_statement] = STATE(431),
    [sym_throw_statement] = STATE(431),
    [sym_try_statement] = STATE(431),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [204] = {
    [sym_attribute_declaration] = STATE(197),
    [sym_compound_statement] = STATE(413),
    [sym_attributed_statement] = STATE(413),
    [sym_labeled_statement] = STATE(413),
    [sym_expression_statement] = STATE(413),
    [sym_if_statement] = STATE(413),
    [sym_switch_statement] = STATE(413),
    [sym_case_statement] = STATE(413),
    [sym_while_statement] = STATE(413),
    [sym_do_statement] = STATE(413),
    [sym_for_statement] = STATE(413),
    [sym_return_statement] = STATE(413),
    [sym_break_statement] = STATE(413),
    [sym_continue_statement] = STATE(413),
    [sym_goto_statement] = STATE(413),
    [sym_seh_try_statement] = STATE(413),
    [sym_seh_leave_statement] = STATE(413),
    [sym__expression] = STATE(5079),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9025),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(413),
    [sym_co_return_statement] = STATE(413),
    [sym_co_yield_statement] = STATE(413),
    [sym_throw_statement] = STATE(413),
    [sym_try_statement] = STATE(413),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(197),
    [sym_identifier] = ACTIONS(2286),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(371),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(379),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(383),
    [anon_sym_switch] = ACTIONS(385),
    [anon_sym_case] = ACTIONS(387),
    [anon_sym_default] = ACTIONS(389),
    [anon_sym_while] = ACTIONS(391),
    [anon_sym_do] = ACTIONS(393),
    [anon_sym_for] = ACTIONS(395),
    [anon_sym_return] = ACTIONS(397),
    [anon_sym_break] = ACTIONS(399),
    [anon_sym_continue] = ACTIONS(401),
    [anon_sym_goto] = ACTIONS(403),
    [anon_sym___try] = ACTIONS(405),
    [anon_sym___leave] = ACTIONS(407),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(411),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(413),
    [anon_sym_co_return] = ACTIONS(423),
    [anon_sym_co_yield] = ACTIONS(425),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [205] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(8892),
    [sym_attributed_statement] = STATE(8892),
    [sym_labeled_statement] = STATE(8892),
    [sym_expression_statement] = STATE(8892),
    [sym_if_statement] = STATE(8892),
    [sym_switch_statement] = STATE(8892),
    [sym_case_statement] = STATE(8892),
    [sym_while_statement] = STATE(8892),
    [sym_do_statement] = STATE(8892),
    [sym_for_statement] = STATE(8892),
    [sym_return_statement] = STATE(8892),
    [sym_break_statement] = STATE(8892),
    [sym_continue_statement] = STATE(8892),
    [sym_goto_statement] = STATE(8892),
    [sym_seh_try_statement] = STATE(8892),
    [sym_seh_leave_statement] = STATE(8892),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(8892),
    [sym_co_return_statement] = STATE(8892),
    [sym_co_yield_statement] = STATE(8892),
    [sym_throw_statement] = STATE(8892),
    [sym_try_statement] = STATE(8892),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [206] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(604),
    [sym_attributed_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_expression_statement] = STATE(604),
    [sym_if_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_case_statement] = STATE(604),
    [sym_while_statement] = STATE(604),
    [sym_do_statement] = STATE(604),
    [sym_for_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_goto_statement] = STATE(604),
    [sym_seh_try_statement] = STATE(604),
    [sym_seh_leave_statement] = STATE(604),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(604),
    [sym_co_return_statement] = STATE(604),
    [sym_co_yield_statement] = STATE(604),
    [sym_throw_statement] = STATE(604),
    [sym_try_statement] = STATE(604),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [207] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(725),
    [sym_attributed_statement] = STATE(724),
    [sym_labeled_statement] = STATE(723),
    [sym_expression_statement] = STATE(722),
    [sym_if_statement] = STATE(721),
    [sym_switch_statement] = STATE(720),
    [sym_case_statement] = STATE(719),
    [sym_while_statement] = STATE(718),
    [sym_do_statement] = STATE(717),
    [sym_for_statement] = STATE(716),
    [sym_return_statement] = STATE(715),
    [sym_break_statement] = STATE(714),
    [sym_continue_statement] = STATE(713),
    [sym_goto_statement] = STATE(711),
    [sym_seh_try_statement] = STATE(710),
    [sym_seh_leave_statement] = STATE(709),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(708),
    [sym_co_return_statement] = STATE(707),
    [sym_co_yield_statement] = STATE(706),
    [sym_throw_statement] = STATE(702),
    [sym_try_statement] = STATE(701),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [208] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(764),
    [sym_attributed_statement] = STATE(761),
    [sym_labeled_statement] = STATE(760),
    [sym_expression_statement] = STATE(759),
    [sym_if_statement] = STATE(758),
    [sym_switch_statement] = STATE(757),
    [sym_case_statement] = STATE(756),
    [sym_while_statement] = STATE(755),
    [sym_do_statement] = STATE(754),
    [sym_for_statement] = STATE(750),
    [sym_return_statement] = STATE(748),
    [sym_break_statement] = STATE(746),
    [sym_continue_statement] = STATE(745),
    [sym_goto_statement] = STATE(743),
    [sym_seh_try_statement] = STATE(741),
    [sym_seh_leave_statement] = STATE(740),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(739),
    [sym_co_return_statement] = STATE(738),
    [sym_co_yield_statement] = STATE(736),
    [sym_throw_statement] = STATE(732),
    [sym_try_statement] = STATE(731),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [209] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(778),
    [sym_attributed_statement] = STATE(778),
    [sym_labeled_statement] = STATE(778),
    [sym_expression_statement] = STATE(778),
    [sym_if_statement] = STATE(778),
    [sym_switch_statement] = STATE(778),
    [sym_case_statement] = STATE(778),
    [sym_while_statement] = STATE(778),
    [sym_do_statement] = STATE(778),
    [sym_for_statement] = STATE(778),
    [sym_return_statement] = STATE(778),
    [sym_break_statement] = STATE(778),
    [sym_continue_statement] = STATE(778),
    [sym_goto_statement] = STATE(778),
    [sym_seh_try_statement] = STATE(778),
    [sym_seh_leave_statement] = STATE(778),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(778),
    [sym_co_return_statement] = STATE(778),
    [sym_co_yield_statement] = STATE(778),
    [sym_throw_statement] = STATE(778),
    [sym_try_statement] = STATE(778),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [210] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(7745),
    [sym_attributed_statement] = STATE(7745),
    [sym_labeled_statement] = STATE(7745),
    [sym_expression_statement] = STATE(7745),
    [sym_if_statement] = STATE(7745),
    [sym_switch_statement] = STATE(7745),
    [sym_case_statement] = STATE(7745),
    [sym_while_statement] = STATE(7745),
    [sym_do_statement] = STATE(7745),
    [sym_for_statement] = STATE(7745),
    [sym_return_statement] = STATE(7745),
    [sym_break_statement] = STATE(7745),
    [sym_continue_statement] = STATE(7745),
    [sym_goto_statement] = STATE(7745),
    [sym_seh_try_statement] = STATE(7745),
    [sym_seh_leave_statement] = STATE(7745),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(7745),
    [sym_co_return_statement] = STATE(7745),
    [sym_co_yield_statement] = STATE(7745),
    [sym_throw_statement] = STATE(7745),
    [sym_try_statement] = STATE(7745),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [211] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(569),
    [sym_attributed_statement] = STATE(569),
    [sym_labeled_statement] = STATE(569),
    [sym_expression_statement] = STATE(569),
    [sym_if_statement] = STATE(569),
    [sym_switch_statement] = STATE(569),
    [sym_case_statement] = STATE(569),
    [sym_while_statement] = STATE(569),
    [sym_do_statement] = STATE(569),
    [sym_for_statement] = STATE(569),
    [sym_return_statement] = STATE(569),
    [sym_break_statement] = STATE(569),
    [sym_continue_statement] = STATE(569),
    [sym_goto_statement] = STATE(569),
    [sym_seh_try_statement] = STATE(569),
    [sym_seh_leave_statement] = STATE(569),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(569),
    [sym_co_return_statement] = STATE(569),
    [sym_co_yield_statement] = STATE(569),
    [sym_throw_statement] = STATE(569),
    [sym_try_statement] = STATE(569),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [212] = {
    [sym_attribute_declaration] = STATE(212),
    [sym_compound_statement] = STATE(604),
    [sym_attributed_statement] = STATE(604),
    [sym_labeled_statement] = STATE(604),
    [sym_expression_statement] = STATE(604),
    [sym_if_statement] = STATE(604),
    [sym_switch_statement] = STATE(604),
    [sym_case_statement] = STATE(604),
    [sym_while_statement] = STATE(604),
    [sym_do_statement] = STATE(604),
    [sym_for_statement] = STATE(604),
    [sym_return_statement] = STATE(604),
    [sym_break_statement] = STATE(604),
    [sym_continue_statement] = STATE(604),
    [sym_goto_statement] = STATE(604),
    [sym_seh_try_statement] = STATE(604),
    [sym_seh_leave_statement] = STATE(604),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(604),
    [sym_co_return_statement] = STATE(604),
    [sym_co_yield_statement] = STATE(604),
    [sym_throw_statement] = STATE(604),
    [sym_try_statement] = STATE(604),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(212),
    [sym_identifier] = ACTIONS(2686),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2443),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2632),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_switch] = ACTIONS(2638),
    [anon_sym_case] = ACTIONS(2341),
    [anon_sym_default] = ACTIONS(2344),
    [anon_sym_while] = ACTIONS(2692),
    [anon_sym_do] = ACTIONS(2650),
    [anon_sym_for] = ACTIONS(2695),
    [anon_sym_return] = ACTIONS(2656),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2662),
    [anon_sym_goto] = ACTIONS(2665),
    [anon_sym___try] = ACTIONS(2698),
    [anon_sym___leave] = ACTIONS(2485),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2674),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2677),
    [anon_sym_co_return] = ACTIONS(2680),
    [anon_sym_co_yield] = ACTIONS(2683),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [213] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(607),
    [sym_attributed_statement] = STATE(607),
    [sym_labeled_statement] = STATE(607),
    [sym_expression_statement] = STATE(607),
    [sym_if_statement] = STATE(607),
    [sym_switch_statement] = STATE(607),
    [sym_case_statement] = STATE(607),
    [sym_while_statement] = STATE(607),
    [sym_do_statement] = STATE(607),
    [sym_for_statement] = STATE(607),
    [sym_return_statement] = STATE(607),
    [sym_break_statement] = STATE(607),
    [sym_continue_statement] = STATE(607),
    [sym_goto_statement] = STATE(607),
    [sym_seh_try_statement] = STATE(607),
    [sym_seh_leave_statement] = STATE(607),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(607),
    [sym_co_return_statement] = STATE(607),
    [sym_co_yield_statement] = STATE(607),
    [sym_throw_statement] = STATE(607),
    [sym_try_statement] = STATE(607),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [214] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(617),
    [sym_attributed_statement] = STATE(617),
    [sym_labeled_statement] = STATE(617),
    [sym_expression_statement] = STATE(617),
    [sym_if_statement] = STATE(617),
    [sym_switch_statement] = STATE(617),
    [sym_case_statement] = STATE(617),
    [sym_while_statement] = STATE(617),
    [sym_do_statement] = STATE(617),
    [sym_for_statement] = STATE(617),
    [sym_return_statement] = STATE(617),
    [sym_break_statement] = STATE(617),
    [sym_continue_statement] = STATE(617),
    [sym_goto_statement] = STATE(617),
    [sym_seh_try_statement] = STATE(617),
    [sym_seh_leave_statement] = STATE(617),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(617),
    [sym_co_return_statement] = STATE(617),
    [sym_co_yield_statement] = STATE(617),
    [sym_throw_statement] = STATE(617),
    [sym_try_statement] = STATE(617),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [215] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(617),
    [sym_attributed_statement] = STATE(617),
    [sym_labeled_statement] = STATE(617),
    [sym_expression_statement] = STATE(617),
    [sym_if_statement] = STATE(617),
    [sym_switch_statement] = STATE(617),
    [sym_case_statement] = STATE(617),
    [sym_while_statement] = STATE(617),
    [sym_do_statement] = STATE(617),
    [sym_for_statement] = STATE(617),
    [sym_return_statement] = STATE(617),
    [sym_break_statement] = STATE(617),
    [sym_continue_statement] = STATE(617),
    [sym_goto_statement] = STATE(617),
    [sym_seh_try_statement] = STATE(617),
    [sym_seh_leave_statement] = STATE(617),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(617),
    [sym_co_return_statement] = STATE(617),
    [sym_co_yield_statement] = STATE(617),
    [sym_throw_statement] = STATE(617),
    [sym_try_statement] = STATE(617),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [216] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(7652),
    [sym_attributed_statement] = STATE(7652),
    [sym_labeled_statement] = STATE(7652),
    [sym_expression_statement] = STATE(7652),
    [sym_if_statement] = STATE(7652),
    [sym_switch_statement] = STATE(7652),
    [sym_case_statement] = STATE(7652),
    [sym_while_statement] = STATE(7652),
    [sym_do_statement] = STATE(7652),
    [sym_for_statement] = STATE(7652),
    [sym_return_statement] = STATE(7652),
    [sym_break_statement] = STATE(7652),
    [sym_continue_statement] = STATE(7652),
    [sym_goto_statement] = STATE(7652),
    [sym_seh_try_statement] = STATE(7652),
    [sym_seh_leave_statement] = STATE(7652),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(7652),
    [sym_co_return_statement] = STATE(7652),
    [sym_co_yield_statement] = STATE(7652),
    [sym_throw_statement] = STATE(7652),
    [sym_try_statement] = STATE(7652),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [217] = {
    [sym_attribute_declaration] = STATE(184),
    [sym_compound_statement] = STATE(1145),
    [sym_attributed_statement] = STATE(1148),
    [sym_labeled_statement] = STATE(1149),
    [sym_expression_statement] = STATE(1152),
    [sym_if_statement] = STATE(1153),
    [sym_switch_statement] = STATE(1154),
    [sym_case_statement] = STATE(1155),
    [sym_while_statement] = STATE(1156),
    [sym_do_statement] = STATE(1157),
    [sym_for_statement] = STATE(1158),
    [sym_return_statement] = STATE(1160),
    [sym_break_statement] = STATE(1165),
    [sym_continue_statement] = STATE(1167),
    [sym_goto_statement] = STATE(1169),
    [sym_seh_try_statement] = STATE(1172),
    [sym_seh_leave_statement] = STATE(1175),
    [sym__expression] = STATE(5073),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8958),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(1178),
    [sym_co_return_statement] = STATE(1180),
    [sym_co_yield_statement] = STATE(1181),
    [sym_throw_statement] = STATE(1170),
    [sym_try_statement] = STATE(1166),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(184),
    [sym_identifier] = ACTIONS(2502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1882),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(1888),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(1890),
    [anon_sym_switch] = ACTIONS(1892),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(1894),
    [anon_sym_do] = ACTIONS(1896),
    [anon_sym_for] = ACTIONS(1898),
    [anon_sym_return] = ACTIONS(1900),
    [anon_sym_break] = ACTIONS(1902),
    [anon_sym_continue] = ACTIONS(1904),
    [anon_sym_goto] = ACTIONS(1906),
    [anon_sym___try] = ACTIONS(1908),
    [anon_sym___leave] = ACTIONS(1910),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(1912),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(1914),
    [anon_sym_co_return] = ACTIONS(1916),
    [anon_sym_co_yield] = ACTIONS(1918),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [218] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(518),
    [sym_attributed_statement] = STATE(518),
    [sym_labeled_statement] = STATE(518),
    [sym_expression_statement] = STATE(518),
    [sym_if_statement] = STATE(518),
    [sym_switch_statement] = STATE(518),
    [sym_case_statement] = STATE(518),
    [sym_while_statement] = STATE(518),
    [sym_do_statement] = STATE(518),
    [sym_for_statement] = STATE(518),
    [sym_return_statement] = STATE(518),
    [sym_break_statement] = STATE(518),
    [sym_continue_statement] = STATE(518),
    [sym_goto_statement] = STATE(518),
    [sym_seh_try_statement] = STATE(518),
    [sym_seh_leave_statement] = STATE(518),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(518),
    [sym_co_return_statement] = STATE(518),
    [sym_co_yield_statement] = STATE(518),
    [sym_throw_statement] = STATE(518),
    [sym_try_statement] = STATE(518),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [219] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(318),
    [sym_attributed_statement] = STATE(317),
    [sym_labeled_statement] = STATE(315),
    [sym_expression_statement] = STATE(314),
    [sym_if_statement] = STATE(313),
    [sym_switch_statement] = STATE(312),
    [sym_case_statement] = STATE(311),
    [sym_while_statement] = STATE(310),
    [sym_do_statement] = STATE(309),
    [sym_for_statement] = STATE(302),
    [sym_return_statement] = STATE(300),
    [sym_break_statement] = STATE(272),
    [sym_continue_statement] = STATE(298),
    [sym_goto_statement] = STATE(297),
    [sym_seh_try_statement] = STATE(296),
    [sym_seh_leave_statement] = STATE(294),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(293),
    [sym_co_return_statement] = STATE(292),
    [sym_co_yield_statement] = STATE(291),
    [sym_throw_statement] = STATE(290),
    [sym_try_statement] = STATE(289),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [220] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(329),
    [sym_attributed_statement] = STATE(330),
    [sym_labeled_statement] = STATE(332),
    [sym_expression_statement] = STATE(333),
    [sym_if_statement] = STATE(334),
    [sym_switch_statement] = STATE(335),
    [sym_case_statement] = STATE(336),
    [sym_while_statement] = STATE(337),
    [sym_do_statement] = STATE(338),
    [sym_for_statement] = STATE(339),
    [sym_return_statement] = STATE(341),
    [sym_break_statement] = STATE(342),
    [sym_continue_statement] = STATE(343),
    [sym_goto_statement] = STATE(344),
    [sym_seh_try_statement] = STATE(273),
    [sym_seh_leave_statement] = STATE(345),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(340),
    [sym_co_return_statement] = STATE(331),
    [sym_co_yield_statement] = STATE(325),
    [sym_throw_statement] = STATE(321),
    [sym_try_statement] = STATE(319),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [221] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(327),
    [sym_attributed_statement] = STATE(327),
    [sym_labeled_statement] = STATE(327),
    [sym_expression_statement] = STATE(327),
    [sym_if_statement] = STATE(327),
    [sym_switch_statement] = STATE(327),
    [sym_case_statement] = STATE(327),
    [sym_while_statement] = STATE(327),
    [sym_do_statement] = STATE(327),
    [sym_for_statement] = STATE(327),
    [sym_return_statement] = STATE(327),
    [sym_break_statement] = STATE(327),
    [sym_continue_statement] = STATE(327),
    [sym_goto_statement] = STATE(327),
    [sym_seh_try_statement] = STATE(327),
    [sym_seh_leave_statement] = STATE(327),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(327),
    [sym_co_return_statement] = STATE(327),
    [sym_co_yield_statement] = STATE(327),
    [sym_throw_statement] = STATE(327),
    [sym_try_statement] = STATE(327),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [222] = {
    [sym_attribute_declaration] = STATE(198),
    [sym_compound_statement] = STATE(541),
    [sym_attributed_statement] = STATE(541),
    [sym_labeled_statement] = STATE(541),
    [sym_expression_statement] = STATE(541),
    [sym_if_statement] = STATE(541),
    [sym_switch_statement] = STATE(541),
    [sym_case_statement] = STATE(541),
    [sym_while_statement] = STATE(541),
    [sym_do_statement] = STATE(541),
    [sym_for_statement] = STATE(541),
    [sym_return_statement] = STATE(541),
    [sym_break_statement] = STATE(541),
    [sym_continue_statement] = STATE(541),
    [sym_goto_statement] = STATE(541),
    [sym_seh_try_statement] = STATE(541),
    [sym_seh_leave_statement] = STATE(541),
    [sym__expression] = STATE(5047),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8541),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(541),
    [sym_co_return_statement] = STATE(541),
    [sym_co_yield_statement] = STATE(541),
    [sym_throw_statement] = STATE(541),
    [sym_try_statement] = STATE(541),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(198),
    [sym_identifier] = ACTIONS(2500),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(1690),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(73),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(77),
    [anon_sym_default] = ACTIONS(79),
    [anon_sym_while] = ACTIONS(81),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(85),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(1692),
    [anon_sym___leave] = ACTIONS(1694),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [223] = {
    [sym_attribute_declaration] = STATE(181),
    [sym_compound_statement] = STATE(704),
    [sym_attributed_statement] = STATE(703),
    [sym_labeled_statement] = STATE(679),
    [sym_expression_statement] = STATE(697),
    [sym_if_statement] = STATE(696),
    [sym_switch_statement] = STATE(695),
    [sym_case_statement] = STATE(693),
    [sym_while_statement] = STATE(690),
    [sym_do_statement] = STATE(689),
    [sym_for_statement] = STATE(684),
    [sym_return_statement] = STATE(683),
    [sym_break_statement] = STATE(677),
    [sym_continue_statement] = STATE(674),
    [sym_goto_statement] = STATE(671),
    [sym_seh_try_statement] = STATE(670),
    [sym_seh_leave_statement] = STATE(669),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(665),
    [sym_co_return_statement] = STATE(664),
    [sym_co_yield_statement] = STATE(662),
    [sym_throw_statement] = STATE(661),
    [sym_try_statement] = STATE(657),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(181),
    [sym_identifier] = ACTIONS(2274),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(796),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(189),
    [anon_sym_switch] = ACTIONS(191),
    [anon_sym_case] = ACTIONS(193),
    [anon_sym_default] = ACTIONS(195),
    [anon_sym_while] = ACTIONS(197),
    [anon_sym_do] = ACTIONS(199),
    [anon_sym_for] = ACTIONS(201),
    [anon_sym_return] = ACTIONS(203),
    [anon_sym_break] = ACTIONS(205),
    [anon_sym_continue] = ACTIONS(207),
    [anon_sym_goto] = ACTIONS(209),
    [anon_sym___try] = ACTIONS(211),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(221),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(223),
    [anon_sym_co_return] = ACTIONS(233),
    [anon_sym_co_yield] = ACTIONS(235),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [224] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(265),
    [sym_attributed_statement] = STATE(265),
    [sym_labeled_statement] = STATE(265),
    [sym_expression_statement] = STATE(265),
    [sym_if_statement] = STATE(265),
    [sym_switch_statement] = STATE(265),
    [sym_case_statement] = STATE(265),
    [sym_while_statement] = STATE(265),
    [sym_do_statement] = STATE(265),
    [sym_for_statement] = STATE(265),
    [sym_return_statement] = STATE(265),
    [sym_break_statement] = STATE(265),
    [sym_continue_statement] = STATE(265),
    [sym_goto_statement] = STATE(265),
    [sym_seh_try_statement] = STATE(265),
    [sym_seh_leave_statement] = STATE(265),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(265),
    [sym_co_return_statement] = STATE(265),
    [sym_co_yield_statement] = STATE(265),
    [sym_throw_statement] = STATE(265),
    [sym_try_statement] = STATE(265),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [225] = {
    [sym__expression] = STATE(3657),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_initializer_list] = STATE(3996),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2703),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2138),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [226] = {
    [sym_attribute_declaration] = STATE(226),
    [sym_compound_statement] = STATE(295),
    [sym_attributed_statement] = STATE(295),
    [sym_labeled_statement] = STATE(295),
    [sym_expression_statement] = STATE(295),
    [sym_if_statement] = STATE(295),
    [sym_switch_statement] = STATE(295),
    [sym_case_statement] = STATE(295),
    [sym_while_statement] = STATE(295),
    [sym_do_statement] = STATE(295),
    [sym_for_statement] = STATE(295),
    [sym_return_statement] = STATE(295),
    [sym_break_statement] = STATE(295),
    [sym_continue_statement] = STATE(295),
    [sym_goto_statement] = STATE(295),
    [sym_seh_try_statement] = STATE(295),
    [sym_seh_leave_statement] = STATE(295),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(295),
    [sym_co_return_statement] = STATE(295),
    [sym_co_yield_statement] = STATE(295),
    [sym_throw_statement] = STATE(295),
    [sym_try_statement] = STATE(295),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(226),
    [sym_identifier] = ACTIONS(2743),
    [anon_sym_LPAREN2] = ACTIONS(2305),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_DASH] = ACTIONS(2311),
    [anon_sym_PLUS] = ACTIONS(2311),
    [anon_sym_STAR] = ACTIONS(2314),
    [anon_sym_AMP] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2746),
    [anon_sym_COLON_COLON] = ACTIONS(2320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2323),
    [anon_sym_LBRACE] = ACTIONS(2749),
    [anon_sym_LBRACK] = ACTIONS(2329),
    [sym_primitive_type] = ACTIONS(2332),
    [anon_sym_if] = ACTIONS(2752),
    [anon_sym_switch] = ACTIONS(2755),
    [anon_sym_case] = ACTIONS(2758),
    [anon_sym_default] = ACTIONS(2761),
    [anon_sym_while] = ACTIONS(2764),
    [anon_sym_do] = ACTIONS(2767),
    [anon_sym_for] = ACTIONS(2770),
    [anon_sym_return] = ACTIONS(2773),
    [anon_sym_break] = ACTIONS(2776),
    [anon_sym_continue] = ACTIONS(2779),
    [anon_sym_goto] = ACTIONS(2782),
    [anon_sym___try] = ACTIONS(2785),
    [anon_sym___leave] = ACTIONS(2788),
    [anon_sym_not] = ACTIONS(2311),
    [anon_sym_compl] = ACTIONS(2311),
    [anon_sym_DASH_DASH] = ACTIONS(2374),
    [anon_sym_PLUS_PLUS] = ACTIONS(2374),
    [anon_sym_sizeof] = ACTIONS(2377),
    [anon_sym___alignof__] = ACTIONS(2380),
    [anon_sym___alignof] = ACTIONS(2380),
    [anon_sym__alignof] = ACTIONS(2380),
    [anon_sym_alignof] = ACTIONS(2380),
    [anon_sym__Alignof] = ACTIONS(2380),
    [anon_sym_offsetof] = ACTIONS(2383),
    [anon_sym__Generic] = ACTIONS(2386),
    [anon_sym_asm] = ACTIONS(2389),
    [anon_sym___asm__] = ACTIONS(2389),
    [sym_number_literal] = ACTIONS(2392),
    [anon_sym_L_SQUOTE] = ACTIONS(2395),
    [anon_sym_u_SQUOTE] = ACTIONS(2395),
    [anon_sym_U_SQUOTE] = ACTIONS(2395),
    [anon_sym_u8_SQUOTE] = ACTIONS(2395),
    [anon_sym_SQUOTE] = ACTIONS(2395),
    [anon_sym_L_DQUOTE] = ACTIONS(2398),
    [anon_sym_u_DQUOTE] = ACTIONS(2398),
    [anon_sym_U_DQUOTE] = ACTIONS(2398),
    [anon_sym_u8_DQUOTE] = ACTIONS(2398),
    [anon_sym_DQUOTE] = ACTIONS(2398),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [anon_sym_NULL] = ACTIONS(2404),
    [anon_sym_nullptr] = ACTIONS(2404),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2407),
    [anon_sym_template] = ACTIONS(2410),
    [anon_sym_try] = ACTIONS(2791),
    [anon_sym_delete] = ACTIONS(2416),
    [anon_sym_throw] = ACTIONS(2794),
    [anon_sym_co_return] = ACTIONS(2797),
    [anon_sym_co_yield] = ACTIONS(2800),
    [anon_sym_R_DQUOTE] = ACTIONS(2428),
    [anon_sym_LR_DQUOTE] = ACTIONS(2428),
    [anon_sym_uR_DQUOTE] = ACTIONS(2428),
    [anon_sym_UR_DQUOTE] = ACTIONS(2428),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2428),
    [anon_sym_co_await] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2434),
    [anon_sym_requires] = ACTIONS(2437),
    [sym_this] = ACTIONS(2401),
  },
  [227] = {
    [sym_attribute_declaration] = STATE(206),
    [sym_compound_statement] = STATE(9141),
    [sym_attributed_statement] = STATE(9141),
    [sym_labeled_statement] = STATE(9141),
    [sym_expression_statement] = STATE(9141),
    [sym_if_statement] = STATE(9141),
    [sym_switch_statement] = STATE(9141),
    [sym_case_statement] = STATE(9141),
    [sym_while_statement] = STATE(9141),
    [sym_do_statement] = STATE(9141),
    [sym_for_statement] = STATE(9141),
    [sym_return_statement] = STATE(9141),
    [sym_break_statement] = STATE(9141),
    [sym_continue_statement] = STATE(9141),
    [sym_goto_statement] = STATE(9141),
    [sym_seh_try_statement] = STATE(9141),
    [sym_seh_leave_statement] = STATE(9141),
    [sym__expression] = STATE(5055),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8569),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(9141),
    [sym_co_return_statement] = STATE(9141),
    [sym_co_yield_statement] = STATE(9141),
    [sym_throw_statement] = STATE(9141),
    [sym_try_statement] = STATE(9141),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(206),
    [sym_identifier] = ACTIONS(2288),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(173),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(51),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(75),
    [anon_sym_case] = ACTIONS(2292),
    [anon_sym_default] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2296),
    [anon_sym_do] = ACTIONS(83),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(87),
    [anon_sym_break] = ACTIONS(89),
    [anon_sym_continue] = ACTIONS(91),
    [anon_sym_goto] = ACTIONS(93),
    [anon_sym___try] = ACTIONS(2300),
    [anon_sym___leave] = ACTIONS(213),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(137),
    [anon_sym_co_return] = ACTIONS(147),
    [anon_sym_co_yield] = ACTIONS(149),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [228] = {
    [sym_attribute_declaration] = STATE(191),
    [sym_compound_statement] = STATE(279),
    [sym_attributed_statement] = STATE(279),
    [sym_labeled_statement] = STATE(279),
    [sym_expression_statement] = STATE(279),
    [sym_if_statement] = STATE(279),
    [sym_switch_statement] = STATE(279),
    [sym_case_statement] = STATE(279),
    [sym_while_statement] = STATE(279),
    [sym_do_statement] = STATE(279),
    [sym_for_statement] = STATE(279),
    [sym_return_statement] = STATE(279),
    [sym_break_statement] = STATE(279),
    [sym_continue_statement] = STATE(279),
    [sym_goto_statement] = STATE(279),
    [sym_seh_try_statement] = STATE(279),
    [sym_seh_leave_statement] = STATE(279),
    [sym__expression] = STATE(5004),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8993),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_for_range_loop] = STATE(279),
    [sym_co_return_statement] = STATE(279),
    [sym_co_yield_statement] = STATE(279),
    [sym_throw_statement] = STATE(279),
    [sym_try_statement] = STATE(279),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_attributed_declarator_repeat1] = STATE(191),
    [sym_identifier] = ACTIONS(2504),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(283),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1424),
    [anon_sym_LBRACE] = ACTIONS(291),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_if] = ACTIONS(295),
    [anon_sym_switch] = ACTIONS(297),
    [anon_sym_case] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(301),
    [anon_sym_while] = ACTIONS(303),
    [anon_sym_do] = ACTIONS(305),
    [anon_sym_for] = ACTIONS(307),
    [anon_sym_return] = ACTIONS(309),
    [anon_sym_break] = ACTIONS(311),
    [anon_sym_continue] = ACTIONS(313),
    [anon_sym_goto] = ACTIONS(315),
    [anon_sym___try] = ACTIONS(317),
    [anon_sym___leave] = ACTIONS(319),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_try] = ACTIONS(323),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_throw] = ACTIONS(325),
    [anon_sym_co_return] = ACTIONS(335),
    [anon_sym_co_yield] = ACTIONS(337),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [229] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_include_token1] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token2] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [aux_sym_preproc_else_token1] = ACTIONS(2803),
    [aux_sym_preproc_elif_token1] = ACTIONS(2803),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym___cdecl] = ACTIONS(2803),
    [anon_sym___clrcall] = ACTIONS(2803),
    [anon_sym___stdcall] = ACTIONS(2803),
    [anon_sym___fastcall] = ACTIONS(2803),
    [anon_sym___thiscall] = ACTIONS(2803),
    [anon_sym___vectorcall] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2803),
    [anon_sym_switch] = ACTIONS(2803),
    [anon_sym_case] = ACTIONS(2803),
    [anon_sym_default] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2803),
    [anon_sym_continue] = ACTIONS(2803),
    [anon_sym_goto] = ACTIONS(2803),
    [anon_sym___try] = ACTIONS(2803),
    [anon_sym___leave] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2803),
    [anon_sym___alignof__] = ACTIONS(2803),
    [anon_sym___alignof] = ACTIONS(2803),
    [anon_sym__alignof] = ACTIONS(2803),
    [anon_sym_alignof] = ACTIONS(2803),
    [anon_sym__Alignof] = ACTIONS(2803),
    [anon_sym_offsetof] = ACTIONS(2803),
    [anon_sym__Generic] = ACTIONS(2803),
    [anon_sym_asm] = ACTIONS(2803),
    [anon_sym___asm__] = ACTIONS(2803),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2803),
    [sym_false] = ACTIONS(2803),
    [anon_sym_NULL] = ACTIONS(2803),
    [anon_sym_nullptr] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2803),
    [anon_sym_delete] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2803),
    [anon_sym_namespace] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_concept] = ACTIONS(2803),
    [anon_sym_co_return] = ACTIONS(2803),
    [anon_sym_co_yield] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(2807),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2803),
    [anon_sym_requires] = ACTIONS(2803),
    [sym_this] = ACTIONS(2803),
  },
  [230] = {
    [sym__expression] = STATE(3792),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2809),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_COLON] = ACTIONS(2138),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_and_eq] = ACTIONS(2138),
    [anon_sym_or_eq] = ACTIONS(2138),
    [anon_sym_xor_eq] = ACTIONS(2138),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [231] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(2825),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [232] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(2807),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [233] = {
    [sym_catch_clause] = STATE(231),
    [aux_sym_constructor_try_statement_repeat1] = STATE(231),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(2807),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [234] = {
    [sym__expression] = STATE(4064),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_initializer_list] = STATE(4208),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2024),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2138),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2138),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2138),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2138),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_EQ] = ACTIONS(2138),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_STAR_EQ] = ACTIONS(2140),
    [anon_sym_SLASH_EQ] = ACTIONS(2140),
    [anon_sym_PERCENT_EQ] = ACTIONS(2140),
    [anon_sym_PLUS_EQ] = ACTIONS(2140),
    [anon_sym_DASH_EQ] = ACTIONS(2140),
    [anon_sym_LT_LT_EQ] = ACTIONS(2140),
    [anon_sym_GT_GT_EQ] = ACTIONS(2140),
    [anon_sym_AMP_EQ] = ACTIONS(2140),
    [anon_sym_CARET_EQ] = ACTIONS(2140),
    [anon_sym_PIPE_EQ] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2138),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(2140),
    [sym_this] = ACTIONS(2050),
  },
  [235] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3217),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8593),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9043),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8667),
    [sym__unary_right_fold] = STATE(8668),
    [sym__binary_fold] = STATE(8673),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8546),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [236] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3217),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8593),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8583),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8526),
    [sym__unary_right_fold] = STATE(8527),
    [sym__binary_fold] = STATE(8530),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8546),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [237] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9063),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [238] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_include_token1] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym___cdecl] = ACTIONS(2136),
    [anon_sym___clrcall] = ACTIONS(2136),
    [anon_sym___stdcall] = ACTIONS(2136),
    [anon_sym___fastcall] = ACTIONS(2136),
    [anon_sym___thiscall] = ACTIONS(2136),
    [anon_sym___vectorcall] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_else] = ACTIONS(2136),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2136),
    [anon_sym_default] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym___try] = ACTIONS(2136),
    [anon_sym___leave] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2136),
    [anon_sym_compl] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2134),
    [anon_sym_PLUS_PLUS] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2136),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2136),
    [anon_sym__Generic] = ACTIONS(2136),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2134),
    [anon_sym_L_SQUOTE] = ACTIONS(2134),
    [anon_sym_u_SQUOTE] = ACTIONS(2134),
    [anon_sym_U_SQUOTE] = ACTIONS(2134),
    [anon_sym_u8_SQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [anon_sym_L_DQUOTE] = ACTIONS(2134),
    [anon_sym_u_DQUOTE] = ACTIONS(2134),
    [anon_sym_U_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8_DQUOTE] = ACTIONS(2134),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [sym_true] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
    [anon_sym_NULL] = ACTIONS(2136),
    [anon_sym_nullptr] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_namespace] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_concept] = ACTIONS(2136),
    [anon_sym_co_return] = ACTIONS(2136),
    [anon_sym_co_yield] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
    [anon_sym_R_DQUOTE] = ACTIONS(2134),
    [anon_sym_LR_DQUOTE] = ACTIONS(2134),
    [anon_sym_uR_DQUOTE] = ACTIONS(2134),
    [anon_sym_UR_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2134),
    [anon_sym_co_await] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2136),
    [sym_this] = ACTIONS(2136),
  },
  [239] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8565),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8564),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8560),
    [sym__unary_right_fold] = STATE(8559),
    [sym__binary_fold] = STATE(8556),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8450),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [240] = {
    [sym_catch_clause] = STATE(242),
    [aux_sym_constructor_try_statement_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_include_token1] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token2] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [aux_sym_preproc_else_token1] = ACTIONS(2803),
    [aux_sym_preproc_elif_token1] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym___cdecl] = ACTIONS(2803),
    [anon_sym___clrcall] = ACTIONS(2803),
    [anon_sym___stdcall] = ACTIONS(2803),
    [anon_sym___fastcall] = ACTIONS(2803),
    [anon_sym___thiscall] = ACTIONS(2803),
    [anon_sym___vectorcall] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2803),
    [anon_sym_switch] = ACTIONS(2803),
    [anon_sym_case] = ACTIONS(2803),
    [anon_sym_default] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2803),
    [anon_sym_continue] = ACTIONS(2803),
    [anon_sym_goto] = ACTIONS(2803),
    [anon_sym___try] = ACTIONS(2803),
    [anon_sym___leave] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2803),
    [anon_sym___alignof__] = ACTIONS(2803),
    [anon_sym___alignof] = ACTIONS(2803),
    [anon_sym__alignof] = ACTIONS(2803),
    [anon_sym_alignof] = ACTIONS(2803),
    [anon_sym__Alignof] = ACTIONS(2803),
    [anon_sym_offsetof] = ACTIONS(2803),
    [anon_sym__Generic] = ACTIONS(2803),
    [anon_sym_asm] = ACTIONS(2803),
    [anon_sym___asm__] = ACTIONS(2803),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2803),
    [sym_false] = ACTIONS(2803),
    [anon_sym_NULL] = ACTIONS(2803),
    [anon_sym_nullptr] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2803),
    [anon_sym_delete] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2803),
    [anon_sym_namespace] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_concept] = ACTIONS(2803),
    [anon_sym_co_return] = ACTIONS(2803),
    [anon_sym_co_yield] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2803),
    [anon_sym_requires] = ACTIONS(2803),
    [sym_this] = ACTIONS(2803),
  },
  [241] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8565),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8485),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8560),
    [sym__unary_right_fold] = STATE(8559),
    [sym__binary_fold] = STATE(8556),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8450),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [242] = {
    [sym_catch_clause] = STATE(242),
    [aux_sym_constructor_try_statement_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(2850),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [243] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8762),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [244] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9022),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [245] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [246] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9258),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [247] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [248] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8521),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [249] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8965),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [250] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8915),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [251] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9337),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [252] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3217),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8593),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8525),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8526),
    [sym__unary_right_fold] = STATE(8527),
    [sym__binary_fold] = STATE(8530),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8546),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [253] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9050),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [254] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8881),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [255] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3253),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8591),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8582),
    [sym__unary_right_fold] = STATE(8558),
    [sym__binary_fold] = STATE(8552),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8972),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [256] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3253),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8553),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8582),
    [sym__unary_right_fold] = STATE(8558),
    [sym__binary_fold] = STATE(8552),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8972),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [257] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8814),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [258] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8665),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [259] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8475),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [260] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8909),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [261] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3253),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9240),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(9237),
    [sym__unary_right_fold] = STATE(9231),
    [sym__binary_fold] = STATE(9230),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8972),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [262] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8971),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [263] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3253),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8964),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9103),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(9237),
    [sym__unary_right_fold] = STATE(9231),
    [sym__binary_fold] = STATE(9230),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8972),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [264] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8736),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [265] = {
    [sym_else_clause] = STATE(326),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token2] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [aux_sym_preproc_else_token1] = ACTIONS(2857),
    [aux_sym_preproc_elif_token1] = ACTIONS(2857),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [sym_primitive_type] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [sym_number_literal] = ACTIONS(2859),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [266] = {
    [sym_else_clause] = STATE(277),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [aux_sym_preproc_else_token1] = ACTIONS(2863),
    [aux_sym_preproc_elif_token1] = ACTIONS(2863),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(2861),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [267] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8565),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8997),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8999),
    [sym__unary_right_fold] = STATE(9001),
    [sym__binary_fold] = STATE(8906),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8450),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [268] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9284),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [269] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3178),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8663),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [270] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3203),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8565),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(9195),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8999),
    [sym__unary_right_fold] = STATE(9001),
    [sym__binary_fold] = STATE(8906),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8450),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [271] = {
    [sym_type_qualifier] = STATE(4535),
    [sym__type_specifier] = STATE(5419),
    [sym_sized_type_specifier] = STATE(2201),
    [sym_enum_specifier] = STATE(2201),
    [sym_struct_specifier] = STATE(2201),
    [sym_union_specifier] = STATE(2201),
    [sym__expression] = STATE(3217),
    [sym__expression_not_binary] = STATE(3756),
    [sym_comma_expression] = STATE(8593),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_type_descriptor] = STATE(8957),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_placeholder_type_specifier] = STATE(2201),
    [sym_decltype_auto] = STATE(2245),
    [sym_decltype] = STATE(2153),
    [sym_class_specifier] = STATE(2201),
    [sym__class_name] = STATE(8364),
    [sym_dependent_type] = STATE(2201),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym__unary_left_fold] = STATE(8667),
    [sym__unary_right_fold] = STATE(8668),
    [sym__binary_fold] = STATE(8673),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6203),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym__assignment_expression_lhs] = STATE(8546),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4535),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2211),
    [sym_identifier] = ACTIONS(2842),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_signed] = ACTIONS(2080),
    [anon_sym_unsigned] = ACTIONS(2080),
    [anon_sym_long] = ACTIONS(2080),
    [anon_sym_short] = ACTIONS(2080),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(2084),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_class] = ACTIONS(2088),
    [anon_sym_struct] = ACTIONS(2090),
    [anon_sym_union] = ACTIONS(2092),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2116),
    [anon_sym_decltype] = ACTIONS(2118),
    [anon_sym_typename] = ACTIONS(2120),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [272] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [273] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [274] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token2] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [aux_sym_preproc_else_token1] = ACTIONS(2875),
    [aux_sym_preproc_elif_token1] = ACTIONS(2875),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [275] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [276] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [277] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [278] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [279] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [280] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [281] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [282] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [283] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [284] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [285] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [286] = {
    [sym_catch_clause] = STATE(242),
    [aux_sym_constructor_try_statement_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [287] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [288] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [289] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [290] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [291] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [292] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [293] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [294] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [295] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [296] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [297] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [298] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [299] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [300] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [301] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [302] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [303] = {
    [sym_catch_clause] = STATE(242),
    [aux_sym_constructor_try_statement_repeat1] = STATE(242),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(2848),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [304] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [305] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [306] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [307] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [308] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [309] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [310] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [311] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [312] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [313] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [314] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [315] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [316] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [317] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [318] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [319] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [320] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [321] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [322] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [323] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [324] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [325] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [326] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [327] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [328] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [329] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [330] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [331] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [332] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [333] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [334] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [335] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [336] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [337] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [338] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [339] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [340] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [341] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [342] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [343] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [344] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [345] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [346] = {
    [sym_preproc_def] = STATE(353),
    [sym_preproc_function_def] = STATE(353),
    [sym_preproc_call] = STATE(353),
    [sym_preproc_elifdef] = STATE(8780),
    [sym_preproc_if_in_field_declaration_list] = STATE(353),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(353),
    [sym_preproc_else_in_field_declaration_list] = STATE(8780),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8780),
    [sym_type_definition] = STATE(353),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(353),
    [sym_field_declaration] = STATE(353),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(353),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(353),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(353),
    [sym_operator_cast_declaration] = STATE(353),
    [sym_constructor_or_destructor_definition] = STATE(353),
    [sym_constructor_or_destructor_declaration] = STATE(353),
    [sym_friend_declaration] = STATE(353),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(353),
    [sym_alias_declaration] = STATE(353),
    [sym_static_assert_declaration] = STATE(353),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(353),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(2999),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [347] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [sym_number_literal] = ACTIONS(3049),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [348] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [349] = {
    [sym_identifier] = ACTIONS(3055),
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [aux_sym_preproc_else_token1] = ACTIONS(3055),
    [aux_sym_preproc_elif_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(3057),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3055),
    [anon_sym_SEMI] = ACTIONS(3057),
    [anon_sym___extension__] = ACTIONS(3055),
    [anon_sym_typedef] = ACTIONS(3055),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3055),
    [anon_sym_COLON_COLON] = ACTIONS(3057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3057),
    [anon_sym___declspec] = ACTIONS(3055),
    [anon_sym___based] = ACTIONS(3055),
    [anon_sym___cdecl] = ACTIONS(3055),
    [anon_sym___clrcall] = ACTIONS(3055),
    [anon_sym___stdcall] = ACTIONS(3055),
    [anon_sym___fastcall] = ACTIONS(3055),
    [anon_sym___thiscall] = ACTIONS(3055),
    [anon_sym___vectorcall] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(3057),
    [anon_sym_signed] = ACTIONS(3055),
    [anon_sym_unsigned] = ACTIONS(3055),
    [anon_sym_long] = ACTIONS(3055),
    [anon_sym_short] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3055),
    [anon_sym_constexpr] = ACTIONS(3055),
    [anon_sym_volatile] = ACTIONS(3055),
    [anon_sym_restrict] = ACTIONS(3055),
    [anon_sym___restrict__] = ACTIONS(3055),
    [anon_sym__Atomic] = ACTIONS(3055),
    [anon_sym__Noreturn] = ACTIONS(3055),
    [anon_sym_noreturn] = ACTIONS(3055),
    [anon_sym_mutable] = ACTIONS(3055),
    [anon_sym_constinit] = ACTIONS(3055),
    [anon_sym_consteval] = ACTIONS(3055),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_union] = ACTIONS(3055),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_switch] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_default] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(3055),
    [anon_sym_do] = ACTIONS(3055),
    [anon_sym_for] = ACTIONS(3055),
    [anon_sym_return] = ACTIONS(3055),
    [anon_sym_break] = ACTIONS(3055),
    [anon_sym_continue] = ACTIONS(3055),
    [anon_sym_goto] = ACTIONS(3055),
    [anon_sym___try] = ACTIONS(3055),
    [anon_sym___leave] = ACTIONS(3055),
    [anon_sym_not] = ACTIONS(3055),
    [anon_sym_compl] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3057),
    [anon_sym_PLUS_PLUS] = ACTIONS(3057),
    [anon_sym_sizeof] = ACTIONS(3055),
    [anon_sym___alignof__] = ACTIONS(3055),
    [anon_sym___alignof] = ACTIONS(3055),
    [anon_sym__alignof] = ACTIONS(3055),
    [anon_sym_alignof] = ACTIONS(3055),
    [anon_sym__Alignof] = ACTIONS(3055),
    [anon_sym_offsetof] = ACTIONS(3055),
    [anon_sym__Generic] = ACTIONS(3055),
    [anon_sym_asm] = ACTIONS(3055),
    [anon_sym___asm__] = ACTIONS(3055),
    [sym_number_literal] = ACTIONS(3057),
    [anon_sym_L_SQUOTE] = ACTIONS(3057),
    [anon_sym_u_SQUOTE] = ACTIONS(3057),
    [anon_sym_U_SQUOTE] = ACTIONS(3057),
    [anon_sym_u8_SQUOTE] = ACTIONS(3057),
    [anon_sym_SQUOTE] = ACTIONS(3057),
    [anon_sym_L_DQUOTE] = ACTIONS(3057),
    [anon_sym_u_DQUOTE] = ACTIONS(3057),
    [anon_sym_U_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8_DQUOTE] = ACTIONS(3057),
    [anon_sym_DQUOTE] = ACTIONS(3057),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [anon_sym_NULL] = ACTIONS(3055),
    [anon_sym_nullptr] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3055),
    [anon_sym_decltype] = ACTIONS(3055),
    [anon_sym_virtual] = ACTIONS(3055),
    [anon_sym_alignas] = ACTIONS(3055),
    [anon_sym_explicit] = ACTIONS(3055),
    [anon_sym_typename] = ACTIONS(3055),
    [anon_sym_template] = ACTIONS(3055),
    [anon_sym_operator] = ACTIONS(3055),
    [anon_sym_try] = ACTIONS(3055),
    [anon_sym_delete] = ACTIONS(3055),
    [anon_sym_throw] = ACTIONS(3055),
    [anon_sym_namespace] = ACTIONS(3055),
    [anon_sym_using] = ACTIONS(3055),
    [anon_sym_static_assert] = ACTIONS(3055),
    [anon_sym_concept] = ACTIONS(3055),
    [anon_sym_co_return] = ACTIONS(3055),
    [anon_sym_co_yield] = ACTIONS(3055),
    [anon_sym_R_DQUOTE] = ACTIONS(3057),
    [anon_sym_LR_DQUOTE] = ACTIONS(3057),
    [anon_sym_uR_DQUOTE] = ACTIONS(3057),
    [anon_sym_UR_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3057),
    [anon_sym_co_await] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(3055),
    [anon_sym_requires] = ACTIONS(3055),
    [sym_this] = ACTIONS(3055),
  },
  [350] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [aux_sym_preproc_else_token1] = ACTIONS(3059),
    [aux_sym_preproc_elif_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3061),
    [anon_sym_BANG] = ACTIONS(3061),
    [anon_sym_TILDE] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3061),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3061),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3061),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3061),
    [anon_sym_PLUS_PLUS] = ACTIONS(3061),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3061),
    [anon_sym_L_SQUOTE] = ACTIONS(3061),
    [anon_sym_u_SQUOTE] = ACTIONS(3061),
    [anon_sym_U_SQUOTE] = ACTIONS(3061),
    [anon_sym_u8_SQUOTE] = ACTIONS(3061),
    [anon_sym_SQUOTE] = ACTIONS(3061),
    [anon_sym_L_DQUOTE] = ACTIONS(3061),
    [anon_sym_u_DQUOTE] = ACTIONS(3061),
    [anon_sym_U_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8_DQUOTE] = ACTIONS(3061),
    [anon_sym_DQUOTE] = ACTIONS(3061),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3061),
    [anon_sym_LR_DQUOTE] = ACTIONS(3061),
    [anon_sym_uR_DQUOTE] = ACTIONS(3061),
    [anon_sym_UR_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3061),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [351] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(2823),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(3063),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [352] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [aux_sym_preproc_else_token1] = ACTIONS(3066),
    [aux_sym_preproc_elif_token1] = ACTIONS(3066),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [sym_primitive_type] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [353] = {
    [sym_preproc_def] = STATE(635),
    [sym_preproc_function_def] = STATE(635),
    [sym_preproc_call] = STATE(635),
    [sym_preproc_elifdef] = STATE(8815),
    [sym_preproc_if_in_field_declaration_list] = STATE(635),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(635),
    [sym_preproc_else_in_field_declaration_list] = STATE(8815),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8815),
    [sym_type_definition] = STATE(635),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(635),
    [sym_field_declaration] = STATE(635),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(635),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(635),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(635),
    [sym_operator_cast_declaration] = STATE(635),
    [sym_constructor_or_destructor_definition] = STATE(635),
    [sym_constructor_or_destructor_declaration] = STATE(635),
    [sym_friend_declaration] = STATE(635),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(635),
    [sym_alias_declaration] = STATE(635),
    [sym_static_assert_declaration] = STATE(635),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(635),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3070),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [354] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(2805),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_include_token1] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym___cdecl] = ACTIONS(2803),
    [anon_sym___clrcall] = ACTIONS(2803),
    [anon_sym___stdcall] = ACTIONS(2803),
    [anon_sym___fastcall] = ACTIONS(2803),
    [anon_sym___thiscall] = ACTIONS(2803),
    [anon_sym___vectorcall] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2803),
    [anon_sym_switch] = ACTIONS(2803),
    [anon_sym_case] = ACTIONS(2803),
    [anon_sym_default] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2803),
    [anon_sym_continue] = ACTIONS(2803),
    [anon_sym_goto] = ACTIONS(2803),
    [anon_sym___try] = ACTIONS(2803),
    [anon_sym___leave] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2803),
    [anon_sym___alignof__] = ACTIONS(2803),
    [anon_sym___alignof] = ACTIONS(2803),
    [anon_sym__alignof] = ACTIONS(2803),
    [anon_sym_alignof] = ACTIONS(2803),
    [anon_sym__Alignof] = ACTIONS(2803),
    [anon_sym_offsetof] = ACTIONS(2803),
    [anon_sym__Generic] = ACTIONS(2803),
    [anon_sym_asm] = ACTIONS(2803),
    [anon_sym___asm__] = ACTIONS(2803),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2803),
    [sym_false] = ACTIONS(2803),
    [anon_sym_NULL] = ACTIONS(2803),
    [anon_sym_nullptr] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2803),
    [anon_sym_delete] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2803),
    [anon_sym_namespace] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_concept] = ACTIONS(2803),
    [anon_sym_co_return] = ACTIONS(2803),
    [anon_sym_co_yield] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2803),
    [anon_sym_requires] = ACTIONS(2803),
    [sym_this] = ACTIONS(2803),
  },
  [355] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_include_token1] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token2] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym___cdecl] = ACTIONS(2803),
    [anon_sym___clrcall] = ACTIONS(2803),
    [anon_sym___stdcall] = ACTIONS(2803),
    [anon_sym___fastcall] = ACTIONS(2803),
    [anon_sym___thiscall] = ACTIONS(2803),
    [anon_sym___vectorcall] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2803),
    [anon_sym_switch] = ACTIONS(2803),
    [anon_sym_case] = ACTIONS(2803),
    [anon_sym_default] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2803),
    [anon_sym_continue] = ACTIONS(2803),
    [anon_sym_goto] = ACTIONS(2803),
    [anon_sym___try] = ACTIONS(2803),
    [anon_sym___leave] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2803),
    [anon_sym___alignof__] = ACTIONS(2803),
    [anon_sym___alignof] = ACTIONS(2803),
    [anon_sym__alignof] = ACTIONS(2803),
    [anon_sym_alignof] = ACTIONS(2803),
    [anon_sym__Alignof] = ACTIONS(2803),
    [anon_sym_offsetof] = ACTIONS(2803),
    [anon_sym__Generic] = ACTIONS(2803),
    [anon_sym_asm] = ACTIONS(2803),
    [anon_sym___asm__] = ACTIONS(2803),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2803),
    [sym_false] = ACTIONS(2803),
    [anon_sym_NULL] = ACTIONS(2803),
    [anon_sym_nullptr] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2803),
    [anon_sym_delete] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2803),
    [anon_sym_namespace] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_concept] = ACTIONS(2803),
    [anon_sym_co_return] = ACTIONS(2803),
    [anon_sym_co_yield] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2803),
    [anon_sym_requires] = ACTIONS(2803),
    [sym_this] = ACTIONS(2803),
  },
  [356] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [sym_primitive_type] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3078),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [357] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [sym_primitive_type] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [358] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [sym_primitive_type] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3086),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [359] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [360] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [361] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [aux_sym_preproc_else_token1] = ACTIONS(3096),
    [aux_sym_preproc_elif_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [362] = {
    [sym_preproc_def] = STATE(635),
    [sym_preproc_function_def] = STATE(635),
    [sym_preproc_call] = STATE(635),
    [sym_preproc_elifdef] = STATE(8953),
    [sym_preproc_if_in_field_declaration_list] = STATE(635),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(635),
    [sym_preproc_else_in_field_declaration_list] = STATE(8953),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8953),
    [sym_type_definition] = STATE(635),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(635),
    [sym_field_declaration] = STATE(635),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(635),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(635),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(635),
    [sym_operator_cast_declaration] = STATE(635),
    [sym_constructor_or_destructor_definition] = STATE(635),
    [sym_constructor_or_destructor_declaration] = STATE(635),
    [sym_friend_declaration] = STATE(635),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(635),
    [sym_alias_declaration] = STATE(635),
    [sym_static_assert_declaration] = STATE(635),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(635),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3100),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [363] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token2] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [aux_sym_preproc_else_token1] = ACTIONS(3102),
    [aux_sym_preproc_elif_token1] = ACTIONS(3102),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [sym_primitive_type] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [sym_number_literal] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [364] = {
    [sym_preproc_def] = STATE(362),
    [sym_preproc_function_def] = STATE(362),
    [sym_preproc_call] = STATE(362),
    [sym_preproc_elifdef] = STATE(9101),
    [sym_preproc_if_in_field_declaration_list] = STATE(362),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(362),
    [sym_preproc_else_in_field_declaration_list] = STATE(9101),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9101),
    [sym_type_definition] = STATE(362),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(362),
    [sym_field_declaration] = STATE(362),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(362),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(362),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(362),
    [sym_operator_cast_declaration] = STATE(362),
    [sym_constructor_or_destructor_definition] = STATE(362),
    [sym_constructor_or_destructor_declaration] = STATE(362),
    [sym_friend_declaration] = STATE(362),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(362),
    [sym_alias_declaration] = STATE(362),
    [sym_static_assert_declaration] = STATE(362),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(362),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3106),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [365] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [366] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [aux_sym_preproc_else_token1] = ACTIONS(3112),
    [aux_sym_preproc_elif_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [sym_primitive_type] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [367] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [aux_sym_preproc_else_token1] = ACTIONS(3116),
    [aux_sym_preproc_elif_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [sym_primitive_type] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [368] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [aux_sym_preproc_else_token1] = ACTIONS(3120),
    [aux_sym_preproc_elif_token1] = ACTIONS(3120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [369] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [sym_number_literal] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [370] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [aux_sym_preproc_else_token1] = ACTIONS(3128),
    [aux_sym_preproc_elif_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [sym_number_literal] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [371] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [372] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [373] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3136),
    [aux_sym_preproc_elif_token1] = ACTIONS(3136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [374] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [aux_sym_preproc_else_token1] = ACTIONS(3140),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [375] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [aux_sym_preproc_else_token1] = ACTIONS(3144),
    [aux_sym_preproc_elif_token1] = ACTIONS(3144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [376] = {
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_include_token1] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [aux_sym_preproc_else_token1] = ACTIONS(3148),
    [aux_sym_preproc_elif_token1] = ACTIONS(3148),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym___cdecl] = ACTIONS(3148),
    [anon_sym___clrcall] = ACTIONS(3148),
    [anon_sym___stdcall] = ACTIONS(3148),
    [anon_sym___fastcall] = ACTIONS(3148),
    [anon_sym___thiscall] = ACTIONS(3148),
    [anon_sym___vectorcall] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_goto] = ACTIONS(3148),
    [anon_sym___try] = ACTIONS(3148),
    [anon_sym___leave] = ACTIONS(3148),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_compl] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_sizeof] = ACTIONS(3148),
    [anon_sym___alignof__] = ACTIONS(3148),
    [anon_sym___alignof] = ACTIONS(3148),
    [anon_sym__alignof] = ACTIONS(3148),
    [anon_sym_alignof] = ACTIONS(3148),
    [anon_sym__Alignof] = ACTIONS(3148),
    [anon_sym_offsetof] = ACTIONS(3148),
    [anon_sym__Generic] = ACTIONS(3148),
    [anon_sym_asm] = ACTIONS(3148),
    [anon_sym___asm__] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3150),
    [anon_sym_u_SQUOTE] = ACTIONS(3150),
    [anon_sym_U_SQUOTE] = ACTIONS(3150),
    [anon_sym_u8_SQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_L_DQUOTE] = ACTIONS(3150),
    [anon_sym_u_DQUOTE] = ACTIONS(3150),
    [anon_sym_U_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [anon_sym_NULL] = ACTIONS(3148),
    [anon_sym_nullptr] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
    [anon_sym_concept] = ACTIONS(3148),
    [anon_sym_co_return] = ACTIONS(3148),
    [anon_sym_co_yield] = ACTIONS(3148),
    [anon_sym_R_DQUOTE] = ACTIONS(3150),
    [anon_sym_LR_DQUOTE] = ACTIONS(3150),
    [anon_sym_uR_DQUOTE] = ACTIONS(3150),
    [anon_sym_UR_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3150),
    [anon_sym_co_await] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_requires] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
  },
  [377] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [378] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [379] = {
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token2] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [aux_sym_preproc_else_token1] = ACTIONS(3160),
    [aux_sym_preproc_elif_token1] = ACTIONS(3160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym___cdecl] = ACTIONS(3160),
    [anon_sym___clrcall] = ACTIONS(3160),
    [anon_sym___stdcall] = ACTIONS(3160),
    [anon_sym___fastcall] = ACTIONS(3160),
    [anon_sym___thiscall] = ACTIONS(3160),
    [anon_sym___vectorcall] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_goto] = ACTIONS(3160),
    [anon_sym___try] = ACTIONS(3160),
    [anon_sym___leave] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3160),
    [anon_sym_compl] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_sizeof] = ACTIONS(3160),
    [anon_sym___alignof__] = ACTIONS(3160),
    [anon_sym___alignof] = ACTIONS(3160),
    [anon_sym__alignof] = ACTIONS(3160),
    [anon_sym_alignof] = ACTIONS(3160),
    [anon_sym__Alignof] = ACTIONS(3160),
    [anon_sym_offsetof] = ACTIONS(3160),
    [anon_sym__Generic] = ACTIONS(3160),
    [anon_sym_asm] = ACTIONS(3160),
    [anon_sym___asm__] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3162),
    [anon_sym_u_SQUOTE] = ACTIONS(3162),
    [anon_sym_U_SQUOTE] = ACTIONS(3162),
    [anon_sym_u8_SQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_L_DQUOTE] = ACTIONS(3162),
    [anon_sym_u_DQUOTE] = ACTIONS(3162),
    [anon_sym_U_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [anon_sym_NULL] = ACTIONS(3160),
    [anon_sym_nullptr] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
    [anon_sym_concept] = ACTIONS(3160),
    [anon_sym_co_return] = ACTIONS(3160),
    [anon_sym_co_yield] = ACTIONS(3160),
    [anon_sym_R_DQUOTE] = ACTIONS(3162),
    [anon_sym_LR_DQUOTE] = ACTIONS(3162),
    [anon_sym_uR_DQUOTE] = ACTIONS(3162),
    [anon_sym_UR_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3162),
    [anon_sym_co_await] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_requires] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
  },
  [380] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [381] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [382] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [aux_sym_preproc_else_token1] = ACTIONS(3172),
    [aux_sym_preproc_elif_token1] = ACTIONS(3172),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [383] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [384] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [385] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(3184),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [386] = {
    [sym_preproc_def] = STATE(635),
    [sym_preproc_function_def] = STATE(635),
    [sym_preproc_call] = STATE(635),
    [sym_preproc_elifdef] = STATE(8730),
    [sym_preproc_if_in_field_declaration_list] = STATE(635),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(635),
    [sym_preproc_else_in_field_declaration_list] = STATE(8730),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8730),
    [sym_type_definition] = STATE(635),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(635),
    [sym_field_declaration] = STATE(635),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(635),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(635),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(635),
    [sym_operator_cast_declaration] = STATE(635),
    [sym_constructor_or_destructor_definition] = STATE(635),
    [sym_constructor_or_destructor_declaration] = STATE(635),
    [sym_friend_declaration] = STATE(635),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(635),
    [sym_alias_declaration] = STATE(635),
    [sym_static_assert_declaration] = STATE(635),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(635),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3187),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [387] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [aux_sym_preproc_else_token1] = ACTIONS(3189),
    [aux_sym_preproc_elif_token1] = ACTIONS(3189),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [sym_number_literal] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [388] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [389] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [aux_sym_preproc_else_token1] = ACTIONS(3197),
    [aux_sym_preproc_elif_token1] = ACTIONS(3197),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [sym_primitive_type] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [sym_number_literal] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [390] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [sym_number_literal] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [391] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [sym_primitive_type] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [sym_number_literal] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [392] = {
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_include_token1] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token2] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [aux_sym_preproc_else_token1] = ACTIONS(3209),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym___cdecl] = ACTIONS(3209),
    [anon_sym___clrcall] = ACTIONS(3209),
    [anon_sym___stdcall] = ACTIONS(3209),
    [anon_sym___fastcall] = ACTIONS(3209),
    [anon_sym___thiscall] = ACTIONS(3209),
    [anon_sym___vectorcall] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym___try] = ACTIONS(3209),
    [anon_sym___leave] = ACTIONS(3209),
    [anon_sym_not] = ACTIONS(3209),
    [anon_sym_compl] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym___alignof__] = ACTIONS(3209),
    [anon_sym___alignof] = ACTIONS(3209),
    [anon_sym__alignof] = ACTIONS(3209),
    [anon_sym_alignof] = ACTIONS(3209),
    [anon_sym__Alignof] = ACTIONS(3209),
    [anon_sym_offsetof] = ACTIONS(3209),
    [anon_sym__Generic] = ACTIONS(3209),
    [anon_sym_asm] = ACTIONS(3209),
    [anon_sym___asm__] = ACTIONS(3209),
    [sym_number_literal] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3211),
    [anon_sym_u_SQUOTE] = ACTIONS(3211),
    [anon_sym_U_SQUOTE] = ACTIONS(3211),
    [anon_sym_u8_SQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_L_DQUOTE] = ACTIONS(3211),
    [anon_sym_u_DQUOTE] = ACTIONS(3211),
    [anon_sym_U_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8_DQUOTE] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [anon_sym_NULL] = ACTIONS(3209),
    [anon_sym_nullptr] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
    [anon_sym_concept] = ACTIONS(3209),
    [anon_sym_co_return] = ACTIONS(3209),
    [anon_sym_co_yield] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(3211),
    [anon_sym_LR_DQUOTE] = ACTIONS(3211),
    [anon_sym_uR_DQUOTE] = ACTIONS(3211),
    [anon_sym_UR_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3211),
    [anon_sym_co_await] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_requires] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
  },
  [393] = {
    [sym_identifier] = ACTIONS(3213),
    [aux_sym_preproc_include_token1] = ACTIONS(3213),
    [aux_sym_preproc_def_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token2] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3213),
    [aux_sym_preproc_else_token1] = ACTIONS(3213),
    [aux_sym_preproc_elif_token1] = ACTIONS(3213),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3213),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3213),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_AMP_AMP] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(3213),
    [anon_sym_typedef] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym___attribute__] = ACTIONS(3213),
    [anon_sym_COLON_COLON] = ACTIONS(3215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3215),
    [anon_sym___declspec] = ACTIONS(3213),
    [anon_sym___based] = ACTIONS(3213),
    [anon_sym___cdecl] = ACTIONS(3213),
    [anon_sym___clrcall] = ACTIONS(3213),
    [anon_sym___stdcall] = ACTIONS(3213),
    [anon_sym___fastcall] = ACTIONS(3213),
    [anon_sym___thiscall] = ACTIONS(3213),
    [anon_sym___vectorcall] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3213),
    [anon_sym_unsigned] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_register] = ACTIONS(3213),
    [anon_sym_inline] = ACTIONS(3213),
    [anon_sym___inline] = ACTIONS(3213),
    [anon_sym___inline__] = ACTIONS(3213),
    [anon_sym___forceinline] = ACTIONS(3213),
    [anon_sym_thread_local] = ACTIONS(3213),
    [anon_sym___thread] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_constexpr] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_restrict] = ACTIONS(3213),
    [anon_sym___restrict__] = ACTIONS(3213),
    [anon_sym__Atomic] = ACTIONS(3213),
    [anon_sym__Noreturn] = ACTIONS(3213),
    [anon_sym_noreturn] = ACTIONS(3213),
    [anon_sym_mutable] = ACTIONS(3213),
    [anon_sym_constinit] = ACTIONS(3213),
    [anon_sym_consteval] = ACTIONS(3213),
    [sym_primitive_type] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_union] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym___try] = ACTIONS(3213),
    [anon_sym___leave] = ACTIONS(3213),
    [anon_sym_not] = ACTIONS(3213),
    [anon_sym_compl] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym___alignof__] = ACTIONS(3213),
    [anon_sym___alignof] = ACTIONS(3213),
    [anon_sym__alignof] = ACTIONS(3213),
    [anon_sym_alignof] = ACTIONS(3213),
    [anon_sym__Alignof] = ACTIONS(3213),
    [anon_sym_offsetof] = ACTIONS(3213),
    [anon_sym__Generic] = ACTIONS(3213),
    [anon_sym_asm] = ACTIONS(3213),
    [anon_sym___asm__] = ACTIONS(3213),
    [sym_number_literal] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3215),
    [anon_sym_u_SQUOTE] = ACTIONS(3215),
    [anon_sym_U_SQUOTE] = ACTIONS(3215),
    [anon_sym_u8_SQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_L_DQUOTE] = ACTIONS(3215),
    [anon_sym_u_DQUOTE] = ACTIONS(3215),
    [anon_sym_U_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8_DQUOTE] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [anon_sym_NULL] = ACTIONS(3213),
    [anon_sym_nullptr] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3213),
    [anon_sym_decltype] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_alignas] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_typename] = ACTIONS(3213),
    [anon_sym_template] = ACTIONS(3213),
    [anon_sym_operator] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static_assert] = ACTIONS(3213),
    [anon_sym_concept] = ACTIONS(3213),
    [anon_sym_co_return] = ACTIONS(3213),
    [anon_sym_co_yield] = ACTIONS(3213),
    [anon_sym_R_DQUOTE] = ACTIONS(3215),
    [anon_sym_LR_DQUOTE] = ACTIONS(3215),
    [anon_sym_uR_DQUOTE] = ACTIONS(3215),
    [anon_sym_UR_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3215),
    [anon_sym_co_await] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_requires] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
  },
  [394] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [aux_sym_preproc_else_token1] = ACTIONS(3217),
    [aux_sym_preproc_elif_token1] = ACTIONS(3217),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [395] = {
    [sym_preproc_def] = STATE(635),
    [sym_preproc_function_def] = STATE(635),
    [sym_preproc_call] = STATE(635),
    [sym_preproc_elifdef] = STATE(9005),
    [sym_preproc_if_in_field_declaration_list] = STATE(635),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(635),
    [sym_preproc_else_in_field_declaration_list] = STATE(9005),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9005),
    [sym_type_definition] = STATE(635),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(635),
    [sym_field_declaration] = STATE(635),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(635),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(635),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(635),
    [sym_operator_cast_declaration] = STATE(635),
    [sym_constructor_or_destructor_definition] = STATE(635),
    [sym_constructor_or_destructor_declaration] = STATE(635),
    [sym_friend_declaration] = STATE(635),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(635),
    [sym_alias_declaration] = STATE(635),
    [sym_static_assert_declaration] = STATE(635),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(635),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3221),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [396] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [sym_number_literal] = ACTIONS(3225),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [397] = {
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_include_token1] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token2] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [aux_sym_preproc_else_token1] = ACTIONS(3227),
    [aux_sym_preproc_elif_token1] = ACTIONS(3227),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym___cdecl] = ACTIONS(3227),
    [anon_sym___clrcall] = ACTIONS(3227),
    [anon_sym___stdcall] = ACTIONS(3227),
    [anon_sym___fastcall] = ACTIONS(3227),
    [anon_sym___thiscall] = ACTIONS(3227),
    [anon_sym___vectorcall] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_goto] = ACTIONS(3227),
    [anon_sym___try] = ACTIONS(3227),
    [anon_sym___leave] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3227),
    [anon_sym_compl] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3227),
    [anon_sym___alignof__] = ACTIONS(3227),
    [anon_sym___alignof] = ACTIONS(3227),
    [anon_sym__alignof] = ACTIONS(3227),
    [anon_sym_alignof] = ACTIONS(3227),
    [anon_sym__Alignof] = ACTIONS(3227),
    [anon_sym_offsetof] = ACTIONS(3227),
    [anon_sym__Generic] = ACTIONS(3227),
    [anon_sym_asm] = ACTIONS(3227),
    [anon_sym___asm__] = ACTIONS(3227),
    [sym_number_literal] = ACTIONS(3229),
    [anon_sym_L_SQUOTE] = ACTIONS(3229),
    [anon_sym_u_SQUOTE] = ACTIONS(3229),
    [anon_sym_U_SQUOTE] = ACTIONS(3229),
    [anon_sym_u8_SQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_L_DQUOTE] = ACTIONS(3229),
    [anon_sym_u_DQUOTE] = ACTIONS(3229),
    [anon_sym_U_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8_DQUOTE] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [anon_sym_NULL] = ACTIONS(3227),
    [anon_sym_nullptr] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
    [anon_sym_concept] = ACTIONS(3227),
    [anon_sym_co_return] = ACTIONS(3227),
    [anon_sym_co_yield] = ACTIONS(3227),
    [anon_sym_R_DQUOTE] = ACTIONS(3229),
    [anon_sym_LR_DQUOTE] = ACTIONS(3229),
    [anon_sym_uR_DQUOTE] = ACTIONS(3229),
    [anon_sym_UR_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3229),
    [anon_sym_co_await] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_requires] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
  },
  [398] = {
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [aux_sym_preproc_else_token1] = ACTIONS(3231),
    [aux_sym_preproc_elif_token1] = ACTIONS(3231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym___cdecl] = ACTIONS(3231),
    [anon_sym___clrcall] = ACTIONS(3231),
    [anon_sym___stdcall] = ACTIONS(3231),
    [anon_sym___fastcall] = ACTIONS(3231),
    [anon_sym___thiscall] = ACTIONS(3231),
    [anon_sym___vectorcall] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_goto] = ACTIONS(3231),
    [anon_sym___try] = ACTIONS(3231),
    [anon_sym___leave] = ACTIONS(3231),
    [anon_sym_not] = ACTIONS(3231),
    [anon_sym_compl] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3231),
    [anon_sym___alignof__] = ACTIONS(3231),
    [anon_sym___alignof] = ACTIONS(3231),
    [anon_sym__alignof] = ACTIONS(3231),
    [anon_sym_alignof] = ACTIONS(3231),
    [anon_sym__Alignof] = ACTIONS(3231),
    [anon_sym_offsetof] = ACTIONS(3231),
    [anon_sym__Generic] = ACTIONS(3231),
    [anon_sym_asm] = ACTIONS(3231),
    [anon_sym___asm__] = ACTIONS(3231),
    [sym_number_literal] = ACTIONS(3233),
    [anon_sym_L_SQUOTE] = ACTIONS(3233),
    [anon_sym_u_SQUOTE] = ACTIONS(3233),
    [anon_sym_U_SQUOTE] = ACTIONS(3233),
    [anon_sym_u8_SQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_L_DQUOTE] = ACTIONS(3233),
    [anon_sym_u_DQUOTE] = ACTIONS(3233),
    [anon_sym_U_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8_DQUOTE] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [anon_sym_NULL] = ACTIONS(3231),
    [anon_sym_nullptr] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
    [anon_sym_concept] = ACTIONS(3231),
    [anon_sym_co_return] = ACTIONS(3231),
    [anon_sym_co_yield] = ACTIONS(3231),
    [anon_sym_R_DQUOTE] = ACTIONS(3233),
    [anon_sym_LR_DQUOTE] = ACTIONS(3233),
    [anon_sym_uR_DQUOTE] = ACTIONS(3233),
    [anon_sym_UR_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3233),
    [anon_sym_co_await] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_requires] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
  },
  [399] = {
    [sym_preproc_def] = STATE(386),
    [sym_preproc_function_def] = STATE(386),
    [sym_preproc_call] = STATE(386),
    [sym_preproc_elifdef] = STATE(8682),
    [sym_preproc_if_in_field_declaration_list] = STATE(386),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(386),
    [sym_preproc_else_in_field_declaration_list] = STATE(8682),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8682),
    [sym_type_definition] = STATE(386),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(386),
    [sym_field_declaration] = STATE(386),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(386),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(386),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(386),
    [sym_operator_cast_declaration] = STATE(386),
    [sym_constructor_or_destructor_definition] = STATE(386),
    [sym_constructor_or_destructor_declaration] = STATE(386),
    [sym_friend_declaration] = STATE(386),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(386),
    [sym_alias_declaration] = STATE(386),
    [sym_static_assert_declaration] = STATE(386),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(386),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3235),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [400] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [401] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [402] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token2] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [aux_sym_preproc_else_token1] = ACTIONS(3245),
    [aux_sym_preproc_elif_token1] = ACTIONS(3245),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [403] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [404] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token2] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [aux_sym_preproc_else_token1] = ACTIONS(3249),
    [aux_sym_preproc_elif_token1] = ACTIONS(3249),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [405] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [406] = {
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_include_token1] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [aux_sym_preproc_else_token1] = ACTIONS(3257),
    [aux_sym_preproc_elif_token1] = ACTIONS(3257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym___cdecl] = ACTIONS(3257),
    [anon_sym___clrcall] = ACTIONS(3257),
    [anon_sym___stdcall] = ACTIONS(3257),
    [anon_sym___fastcall] = ACTIONS(3257),
    [anon_sym___thiscall] = ACTIONS(3257),
    [anon_sym___vectorcall] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_goto] = ACTIONS(3257),
    [anon_sym___try] = ACTIONS(3257),
    [anon_sym___leave] = ACTIONS(3257),
    [anon_sym_not] = ACTIONS(3257),
    [anon_sym_compl] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_sizeof] = ACTIONS(3257),
    [anon_sym___alignof__] = ACTIONS(3257),
    [anon_sym___alignof] = ACTIONS(3257),
    [anon_sym__alignof] = ACTIONS(3257),
    [anon_sym_alignof] = ACTIONS(3257),
    [anon_sym__Alignof] = ACTIONS(3257),
    [anon_sym_offsetof] = ACTIONS(3257),
    [anon_sym__Generic] = ACTIONS(3257),
    [anon_sym_asm] = ACTIONS(3257),
    [anon_sym___asm__] = ACTIONS(3257),
    [sym_number_literal] = ACTIONS(3259),
    [anon_sym_L_SQUOTE] = ACTIONS(3259),
    [anon_sym_u_SQUOTE] = ACTIONS(3259),
    [anon_sym_U_SQUOTE] = ACTIONS(3259),
    [anon_sym_u8_SQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_L_DQUOTE] = ACTIONS(3259),
    [anon_sym_u_DQUOTE] = ACTIONS(3259),
    [anon_sym_U_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8_DQUOTE] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [anon_sym_NULL] = ACTIONS(3257),
    [anon_sym_nullptr] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
    [anon_sym_concept] = ACTIONS(3257),
    [anon_sym_co_return] = ACTIONS(3257),
    [anon_sym_co_yield] = ACTIONS(3257),
    [anon_sym_R_DQUOTE] = ACTIONS(3259),
    [anon_sym_LR_DQUOTE] = ACTIONS(3259),
    [anon_sym_uR_DQUOTE] = ACTIONS(3259),
    [anon_sym_UR_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3259),
    [anon_sym_co_await] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_requires] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
  },
  [407] = {
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_include_token1] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token2] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [aux_sym_preproc_else_token1] = ACTIONS(3261),
    [aux_sym_preproc_elif_token1] = ACTIONS(3261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym___cdecl] = ACTIONS(3261),
    [anon_sym___clrcall] = ACTIONS(3261),
    [anon_sym___stdcall] = ACTIONS(3261),
    [anon_sym___fastcall] = ACTIONS(3261),
    [anon_sym___thiscall] = ACTIONS(3261),
    [anon_sym___vectorcall] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym___try] = ACTIONS(3261),
    [anon_sym___leave] = ACTIONS(3261),
    [anon_sym_not] = ACTIONS(3261),
    [anon_sym_compl] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym___alignof__] = ACTIONS(3261),
    [anon_sym___alignof] = ACTIONS(3261),
    [anon_sym__alignof] = ACTIONS(3261),
    [anon_sym_alignof] = ACTIONS(3261),
    [anon_sym__Alignof] = ACTIONS(3261),
    [anon_sym_offsetof] = ACTIONS(3261),
    [anon_sym__Generic] = ACTIONS(3261),
    [anon_sym_asm] = ACTIONS(3261),
    [anon_sym___asm__] = ACTIONS(3261),
    [sym_number_literal] = ACTIONS(3263),
    [anon_sym_L_SQUOTE] = ACTIONS(3263),
    [anon_sym_u_SQUOTE] = ACTIONS(3263),
    [anon_sym_U_SQUOTE] = ACTIONS(3263),
    [anon_sym_u8_SQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_L_DQUOTE] = ACTIONS(3263),
    [anon_sym_u_DQUOTE] = ACTIONS(3263),
    [anon_sym_U_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8_DQUOTE] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [anon_sym_NULL] = ACTIONS(3261),
    [anon_sym_nullptr] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
    [anon_sym_concept] = ACTIONS(3261),
    [anon_sym_co_return] = ACTIONS(3261),
    [anon_sym_co_yield] = ACTIONS(3261),
    [anon_sym_R_DQUOTE] = ACTIONS(3263),
    [anon_sym_LR_DQUOTE] = ACTIONS(3263),
    [anon_sym_uR_DQUOTE] = ACTIONS(3263),
    [anon_sym_UR_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3263),
    [anon_sym_co_await] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_requires] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
  },
  [408] = {
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_include_token1] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [aux_sym_preproc_else_token1] = ACTIONS(3265),
    [aux_sym_preproc_elif_token1] = ACTIONS(3265),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym___cdecl] = ACTIONS(3265),
    [anon_sym___clrcall] = ACTIONS(3265),
    [anon_sym___stdcall] = ACTIONS(3265),
    [anon_sym___fastcall] = ACTIONS(3265),
    [anon_sym___thiscall] = ACTIONS(3265),
    [anon_sym___vectorcall] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym___try] = ACTIONS(3265),
    [anon_sym___leave] = ACTIONS(3265),
    [anon_sym_not] = ACTIONS(3265),
    [anon_sym_compl] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym___alignof__] = ACTIONS(3265),
    [anon_sym___alignof] = ACTIONS(3265),
    [anon_sym__alignof] = ACTIONS(3265),
    [anon_sym_alignof] = ACTIONS(3265),
    [anon_sym__Alignof] = ACTIONS(3265),
    [anon_sym_offsetof] = ACTIONS(3265),
    [anon_sym__Generic] = ACTIONS(3265),
    [anon_sym_asm] = ACTIONS(3265),
    [anon_sym___asm__] = ACTIONS(3265),
    [sym_number_literal] = ACTIONS(3267),
    [anon_sym_L_SQUOTE] = ACTIONS(3267),
    [anon_sym_u_SQUOTE] = ACTIONS(3267),
    [anon_sym_U_SQUOTE] = ACTIONS(3267),
    [anon_sym_u8_SQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_L_DQUOTE] = ACTIONS(3267),
    [anon_sym_u_DQUOTE] = ACTIONS(3267),
    [anon_sym_U_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8_DQUOTE] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [anon_sym_NULL] = ACTIONS(3265),
    [anon_sym_nullptr] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
    [anon_sym_concept] = ACTIONS(3265),
    [anon_sym_co_return] = ACTIONS(3265),
    [anon_sym_co_yield] = ACTIONS(3265),
    [anon_sym_R_DQUOTE] = ACTIONS(3267),
    [anon_sym_LR_DQUOTE] = ACTIONS(3267),
    [anon_sym_uR_DQUOTE] = ACTIONS(3267),
    [anon_sym_UR_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3267),
    [anon_sym_co_await] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_requires] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
  },
  [409] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [410] = {
    [sym_catch_clause] = STATE(412),
    [aux_sym_constructor_try_statement_repeat1] = STATE(412),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_include_token1] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym___cdecl] = ACTIONS(2803),
    [anon_sym___clrcall] = ACTIONS(2803),
    [anon_sym___stdcall] = ACTIONS(2803),
    [anon_sym___fastcall] = ACTIONS(2803),
    [anon_sym___thiscall] = ACTIONS(2803),
    [anon_sym___vectorcall] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2803),
    [anon_sym_switch] = ACTIONS(2803),
    [anon_sym_case] = ACTIONS(2803),
    [anon_sym_default] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2803),
    [anon_sym_continue] = ACTIONS(2803),
    [anon_sym_goto] = ACTIONS(2803),
    [anon_sym___try] = ACTIONS(2803),
    [anon_sym___leave] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2803),
    [anon_sym___alignof__] = ACTIONS(2803),
    [anon_sym___alignof] = ACTIONS(2803),
    [anon_sym__alignof] = ACTIONS(2803),
    [anon_sym_alignof] = ACTIONS(2803),
    [anon_sym__Alignof] = ACTIONS(2803),
    [anon_sym_offsetof] = ACTIONS(2803),
    [anon_sym__Generic] = ACTIONS(2803),
    [anon_sym_asm] = ACTIONS(2803),
    [anon_sym___asm__] = ACTIONS(2803),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2803),
    [sym_false] = ACTIONS(2803),
    [anon_sym_NULL] = ACTIONS(2803),
    [anon_sym_nullptr] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2803),
    [anon_sym_delete] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2803),
    [anon_sym_namespace] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_concept] = ACTIONS(2803),
    [anon_sym_co_return] = ACTIONS(2803),
    [anon_sym_co_yield] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(3273),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2803),
    [anon_sym_requires] = ACTIONS(2803),
    [sym_this] = ACTIONS(2803),
  },
  [411] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [412] = {
    [sym_catch_clause] = STATE(412),
    [aux_sym_constructor_try_statement_repeat1] = STATE(412),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_include_token1] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym___cdecl] = ACTIONS(2821),
    [anon_sym___clrcall] = ACTIONS(2821),
    [anon_sym___stdcall] = ACTIONS(2821),
    [anon_sym___fastcall] = ACTIONS(2821),
    [anon_sym___thiscall] = ACTIONS(2821),
    [anon_sym___vectorcall] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_case] = ACTIONS(2821),
    [anon_sym_default] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_namespace] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_concept] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(3275),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [413] = {
    [sym_else_clause] = STATE(455),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [aux_sym_preproc_else_token1] = ACTIONS(2863),
    [aux_sym_preproc_elif_token1] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [414] = {
    [sym_identifier] = ACTIONS(3280),
    [aux_sym_preproc_include_token1] = ACTIONS(3280),
    [aux_sym_preproc_def_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token2] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3280),
    [aux_sym_preproc_else_token1] = ACTIONS(3280),
    [aux_sym_preproc_elif_token1] = ACTIONS(3280),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3280),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3280),
    [anon_sym_extern] = ACTIONS(3280),
    [anon_sym___attribute__] = ACTIONS(3280),
    [anon_sym_COLON_COLON] = ACTIONS(3282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3282),
    [anon_sym___declspec] = ACTIONS(3280),
    [anon_sym___based] = ACTIONS(3280),
    [anon_sym___cdecl] = ACTIONS(3280),
    [anon_sym___clrcall] = ACTIONS(3280),
    [anon_sym___stdcall] = ACTIONS(3280),
    [anon_sym___fastcall] = ACTIONS(3280),
    [anon_sym___thiscall] = ACTIONS(3280),
    [anon_sym___vectorcall] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3280),
    [anon_sym_unsigned] = ACTIONS(3280),
    [anon_sym_long] = ACTIONS(3280),
    [anon_sym_short] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_register] = ACTIONS(3280),
    [anon_sym_inline] = ACTIONS(3280),
    [anon_sym___inline] = ACTIONS(3280),
    [anon_sym___inline__] = ACTIONS(3280),
    [anon_sym___forceinline] = ACTIONS(3280),
    [anon_sym_thread_local] = ACTIONS(3280),
    [anon_sym___thread] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_constexpr] = ACTIONS(3280),
    [anon_sym_volatile] = ACTIONS(3280),
    [anon_sym_restrict] = ACTIONS(3280),
    [anon_sym___restrict__] = ACTIONS(3280),
    [anon_sym__Atomic] = ACTIONS(3280),
    [anon_sym__Noreturn] = ACTIONS(3280),
    [anon_sym_noreturn] = ACTIONS(3280),
    [anon_sym_mutable] = ACTIONS(3280),
    [anon_sym_constinit] = ACTIONS(3280),
    [anon_sym_consteval] = ACTIONS(3280),
    [sym_primitive_type] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_struct] = ACTIONS(3280),
    [anon_sym_union] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_goto] = ACTIONS(3280),
    [anon_sym___try] = ACTIONS(3280),
    [anon_sym___leave] = ACTIONS(3280),
    [anon_sym_not] = ACTIONS(3280),
    [anon_sym_compl] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_sizeof] = ACTIONS(3280),
    [anon_sym___alignof__] = ACTIONS(3280),
    [anon_sym___alignof] = ACTIONS(3280),
    [anon_sym__alignof] = ACTIONS(3280),
    [anon_sym_alignof] = ACTIONS(3280),
    [anon_sym__Alignof] = ACTIONS(3280),
    [anon_sym_offsetof] = ACTIONS(3280),
    [anon_sym__Generic] = ACTIONS(3280),
    [anon_sym_asm] = ACTIONS(3280),
    [anon_sym___asm__] = ACTIONS(3280),
    [sym_number_literal] = ACTIONS(3282),
    [anon_sym_L_SQUOTE] = ACTIONS(3282),
    [anon_sym_u_SQUOTE] = ACTIONS(3282),
    [anon_sym_U_SQUOTE] = ACTIONS(3282),
    [anon_sym_u8_SQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_L_DQUOTE] = ACTIONS(3282),
    [anon_sym_u_DQUOTE] = ACTIONS(3282),
    [anon_sym_U_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8_DQUOTE] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [anon_sym_NULL] = ACTIONS(3280),
    [anon_sym_nullptr] = ACTIONS(3280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3280),
    [anon_sym_decltype] = ACTIONS(3280),
    [anon_sym_virtual] = ACTIONS(3280),
    [anon_sym_alignas] = ACTIONS(3280),
    [anon_sym_explicit] = ACTIONS(3280),
    [anon_sym_typename] = ACTIONS(3280),
    [anon_sym_template] = ACTIONS(3280),
    [anon_sym_operator] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_static_assert] = ACTIONS(3280),
    [anon_sym_concept] = ACTIONS(3280),
    [anon_sym_co_return] = ACTIONS(3280),
    [anon_sym_co_yield] = ACTIONS(3280),
    [anon_sym_R_DQUOTE] = ACTIONS(3282),
    [anon_sym_LR_DQUOTE] = ACTIONS(3282),
    [anon_sym_uR_DQUOTE] = ACTIONS(3282),
    [anon_sym_UR_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3282),
    [anon_sym_co_await] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_requires] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
  },
  [415] = {
    [sym_preproc_def] = STATE(395),
    [sym_preproc_function_def] = STATE(395),
    [sym_preproc_call] = STATE(395),
    [sym_preproc_elifdef] = STATE(8886),
    [sym_preproc_if_in_field_declaration_list] = STATE(395),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(395),
    [sym_preproc_else_in_field_declaration_list] = STATE(8886),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8886),
    [sym_type_definition] = STATE(395),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(395),
    [sym_field_declaration] = STATE(395),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(395),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(395),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(395),
    [sym_operator_cast_declaration] = STATE(395),
    [sym_constructor_or_destructor_definition] = STATE(395),
    [sym_constructor_or_destructor_declaration] = STATE(395),
    [sym_friend_declaration] = STATE(395),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(395),
    [sym_alias_declaration] = STATE(395),
    [sym_static_assert_declaration] = STATE(395),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(395),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(2995),
    [aux_sym_preproc_if_token1] = ACTIONS(2997),
    [aux_sym_preproc_if_token2] = ACTIONS(3284),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3001),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3001),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(279),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(279),
    [sym_preproc_directive] = ACTIONS(3007),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3017),
    [anon_sym_typedef] = ACTIONS(3019),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3043),
    [anon_sym_static_assert] = ACTIONS(3045),
  },
  [416] = {
    [sym_else_clause] = STATE(473),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token2] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [aux_sym_preproc_else_token1] = ACTIONS(2857),
    [aux_sym_preproc_elif_token1] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [sym_primitive_type] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(3278),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [sym_number_literal] = ACTIONS(2859),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [417] = {
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_include_token1] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token2] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [aux_sym_preproc_else_token1] = ACTIONS(3286),
    [aux_sym_preproc_elif_token1] = ACTIONS(3286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym___cdecl] = ACTIONS(3286),
    [anon_sym___clrcall] = ACTIONS(3286),
    [anon_sym___stdcall] = ACTIONS(3286),
    [anon_sym___fastcall] = ACTIONS(3286),
    [anon_sym___thiscall] = ACTIONS(3286),
    [anon_sym___vectorcall] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_goto] = ACTIONS(3286),
    [anon_sym___try] = ACTIONS(3286),
    [anon_sym___leave] = ACTIONS(3286),
    [anon_sym_not] = ACTIONS(3286),
    [anon_sym_compl] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_sizeof] = ACTIONS(3286),
    [anon_sym___alignof__] = ACTIONS(3286),
    [anon_sym___alignof] = ACTIONS(3286),
    [anon_sym__alignof] = ACTIONS(3286),
    [anon_sym_alignof] = ACTIONS(3286),
    [anon_sym__Alignof] = ACTIONS(3286),
    [anon_sym_offsetof] = ACTIONS(3286),
    [anon_sym__Generic] = ACTIONS(3286),
    [anon_sym_asm] = ACTIONS(3286),
    [anon_sym___asm__] = ACTIONS(3286),
    [sym_number_literal] = ACTIONS(3288),
    [anon_sym_L_SQUOTE] = ACTIONS(3288),
    [anon_sym_u_SQUOTE] = ACTIONS(3288),
    [anon_sym_U_SQUOTE] = ACTIONS(3288),
    [anon_sym_u8_SQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_L_DQUOTE] = ACTIONS(3288),
    [anon_sym_u_DQUOTE] = ACTIONS(3288),
    [anon_sym_U_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8_DQUOTE] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [anon_sym_NULL] = ACTIONS(3286),
    [anon_sym_nullptr] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
    [anon_sym_concept] = ACTIONS(3286),
    [anon_sym_co_return] = ACTIONS(3286),
    [anon_sym_co_yield] = ACTIONS(3286),
    [anon_sym_R_DQUOTE] = ACTIONS(3288),
    [anon_sym_LR_DQUOTE] = ACTIONS(3288),
    [anon_sym_uR_DQUOTE] = ACTIONS(3288),
    [anon_sym_UR_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3288),
    [anon_sym_co_await] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_requires] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
  },
  [418] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [419] = {
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_include_token1] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token2] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [aux_sym_preproc_else_token1] = ACTIONS(3290),
    [aux_sym_preproc_elif_token1] = ACTIONS(3290),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym___cdecl] = ACTIONS(3290),
    [anon_sym___clrcall] = ACTIONS(3290),
    [anon_sym___stdcall] = ACTIONS(3290),
    [anon_sym___fastcall] = ACTIONS(3290),
    [anon_sym___thiscall] = ACTIONS(3290),
    [anon_sym___vectorcall] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_goto] = ACTIONS(3290),
    [anon_sym___try] = ACTIONS(3290),
    [anon_sym___leave] = ACTIONS(3290),
    [anon_sym_not] = ACTIONS(3290),
    [anon_sym_compl] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_sizeof] = ACTIONS(3290),
    [anon_sym___alignof__] = ACTIONS(3290),
    [anon_sym___alignof] = ACTIONS(3290),
    [anon_sym__alignof] = ACTIONS(3290),
    [anon_sym_alignof] = ACTIONS(3290),
    [anon_sym__Alignof] = ACTIONS(3290),
    [anon_sym_offsetof] = ACTIONS(3290),
    [anon_sym__Generic] = ACTIONS(3290),
    [anon_sym_asm] = ACTIONS(3290),
    [anon_sym___asm__] = ACTIONS(3290),
    [sym_number_literal] = ACTIONS(3292),
    [anon_sym_L_SQUOTE] = ACTIONS(3292),
    [anon_sym_u_SQUOTE] = ACTIONS(3292),
    [anon_sym_U_SQUOTE] = ACTIONS(3292),
    [anon_sym_u8_SQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_L_DQUOTE] = ACTIONS(3292),
    [anon_sym_u_DQUOTE] = ACTIONS(3292),
    [anon_sym_U_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8_DQUOTE] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [anon_sym_NULL] = ACTIONS(3290),
    [anon_sym_nullptr] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
    [anon_sym_concept] = ACTIONS(3290),
    [anon_sym_co_return] = ACTIONS(3290),
    [anon_sym_co_yield] = ACTIONS(3290),
    [anon_sym_R_DQUOTE] = ACTIONS(3292),
    [anon_sym_LR_DQUOTE] = ACTIONS(3292),
    [anon_sym_uR_DQUOTE] = ACTIONS(3292),
    [anon_sym_UR_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3292),
    [anon_sym_co_await] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_requires] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
  },
  [420] = {
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_include_token1] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token2] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [aux_sym_preproc_else_token1] = ACTIONS(3294),
    [aux_sym_preproc_elif_token1] = ACTIONS(3294),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym___cdecl] = ACTIONS(3294),
    [anon_sym___clrcall] = ACTIONS(3294),
    [anon_sym___stdcall] = ACTIONS(3294),
    [anon_sym___fastcall] = ACTIONS(3294),
    [anon_sym___thiscall] = ACTIONS(3294),
    [anon_sym___vectorcall] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_goto] = ACTIONS(3294),
    [anon_sym___try] = ACTIONS(3294),
    [anon_sym___leave] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3294),
    [anon_sym___alignof__] = ACTIONS(3294),
    [anon_sym___alignof] = ACTIONS(3294),
    [anon_sym__alignof] = ACTIONS(3294),
    [anon_sym_alignof] = ACTIONS(3294),
    [anon_sym__Alignof] = ACTIONS(3294),
    [anon_sym_offsetof] = ACTIONS(3294),
    [anon_sym__Generic] = ACTIONS(3294),
    [anon_sym_asm] = ACTIONS(3294),
    [anon_sym___asm__] = ACTIONS(3294),
    [sym_number_literal] = ACTIONS(3296),
    [anon_sym_L_SQUOTE] = ACTIONS(3296),
    [anon_sym_u_SQUOTE] = ACTIONS(3296),
    [anon_sym_U_SQUOTE] = ACTIONS(3296),
    [anon_sym_u8_SQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_L_DQUOTE] = ACTIONS(3296),
    [anon_sym_u_DQUOTE] = ACTIONS(3296),
    [anon_sym_U_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8_DQUOTE] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [anon_sym_NULL] = ACTIONS(3294),
    [anon_sym_nullptr] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
    [anon_sym_concept] = ACTIONS(3294),
    [anon_sym_co_return] = ACTIONS(3294),
    [anon_sym_co_yield] = ACTIONS(3294),
    [anon_sym_R_DQUOTE] = ACTIONS(3296),
    [anon_sym_LR_DQUOTE] = ACTIONS(3296),
    [anon_sym_uR_DQUOTE] = ACTIONS(3296),
    [anon_sym_UR_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3296),
    [anon_sym_co_await] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_requires] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
  },
  [421] = {
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_include_token1] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [aux_sym_preproc_else_token1] = ACTIONS(3298),
    [aux_sym_preproc_elif_token1] = ACTIONS(3298),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym___cdecl] = ACTIONS(3298),
    [anon_sym___clrcall] = ACTIONS(3298),
    [anon_sym___stdcall] = ACTIONS(3298),
    [anon_sym___fastcall] = ACTIONS(3298),
    [anon_sym___thiscall] = ACTIONS(3298),
    [anon_sym___vectorcall] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_goto] = ACTIONS(3298),
    [anon_sym___try] = ACTIONS(3298),
    [anon_sym___leave] = ACTIONS(3298),
    [anon_sym_not] = ACTIONS(3298),
    [anon_sym_compl] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_sizeof] = ACTIONS(3298),
    [anon_sym___alignof__] = ACTIONS(3298),
    [anon_sym___alignof] = ACTIONS(3298),
    [anon_sym__alignof] = ACTIONS(3298),
    [anon_sym_alignof] = ACTIONS(3298),
    [anon_sym__Alignof] = ACTIONS(3298),
    [anon_sym_offsetof] = ACTIONS(3298),
    [anon_sym__Generic] = ACTIONS(3298),
    [anon_sym_asm] = ACTIONS(3298),
    [anon_sym___asm__] = ACTIONS(3298),
    [sym_number_literal] = ACTIONS(3300),
    [anon_sym_L_SQUOTE] = ACTIONS(3300),
    [anon_sym_u_SQUOTE] = ACTIONS(3300),
    [anon_sym_U_SQUOTE] = ACTIONS(3300),
    [anon_sym_u8_SQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_L_DQUOTE] = ACTIONS(3300),
    [anon_sym_u_DQUOTE] = ACTIONS(3300),
    [anon_sym_U_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8_DQUOTE] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [anon_sym_NULL] = ACTIONS(3298),
    [anon_sym_nullptr] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
    [anon_sym_concept] = ACTIONS(3298),
    [anon_sym_co_return] = ACTIONS(3298),
    [anon_sym_co_yield] = ACTIONS(3298),
    [anon_sym_R_DQUOTE] = ACTIONS(3300),
    [anon_sym_LR_DQUOTE] = ACTIONS(3300),
    [anon_sym_uR_DQUOTE] = ACTIONS(3300),
    [anon_sym_UR_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3300),
    [anon_sym_co_await] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_requires] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
  },
  [422] = {
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_include_token1] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [aux_sym_preproc_else_token1] = ACTIONS(3302),
    [aux_sym_preproc_elif_token1] = ACTIONS(3302),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym___cdecl] = ACTIONS(3302),
    [anon_sym___clrcall] = ACTIONS(3302),
    [anon_sym___stdcall] = ACTIONS(3302),
    [anon_sym___fastcall] = ACTIONS(3302),
    [anon_sym___thiscall] = ACTIONS(3302),
    [anon_sym___vectorcall] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_goto] = ACTIONS(3302),
    [anon_sym___try] = ACTIONS(3302),
    [anon_sym___leave] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3302),
    [anon_sym_compl] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3302),
    [anon_sym__Generic] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3304),
    [anon_sym_u_SQUOTE] = ACTIONS(3304),
    [anon_sym_U_SQUOTE] = ACTIONS(3304),
    [anon_sym_u8_SQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_L_DQUOTE] = ACTIONS(3304),
    [anon_sym_u_DQUOTE] = ACTIONS(3304),
    [anon_sym_U_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8_DQUOTE] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [anon_sym_NULL] = ACTIONS(3302),
    [anon_sym_nullptr] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
    [anon_sym_concept] = ACTIONS(3302),
    [anon_sym_co_return] = ACTIONS(3302),
    [anon_sym_co_yield] = ACTIONS(3302),
    [anon_sym_R_DQUOTE] = ACTIONS(3304),
    [anon_sym_LR_DQUOTE] = ACTIONS(3304),
    [anon_sym_uR_DQUOTE] = ACTIONS(3304),
    [anon_sym_UR_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3304),
    [anon_sym_co_await] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
  },
  [423] = {
    [sym_identifier] = ACTIONS(3306),
    [aux_sym_preproc_include_token1] = ACTIONS(3306),
    [aux_sym_preproc_def_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token2] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [aux_sym_preproc_else_token1] = ACTIONS(3306),
    [aux_sym_preproc_elif_token1] = ACTIONS(3306),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3306),
    [anon_sym_LPAREN2] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3306),
    [anon_sym_typedef] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym___attribute__] = ACTIONS(3306),
    [anon_sym_COLON_COLON] = ACTIONS(3308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3308),
    [anon_sym___declspec] = ACTIONS(3306),
    [anon_sym___based] = ACTIONS(3306),
    [anon_sym___cdecl] = ACTIONS(3306),
    [anon_sym___clrcall] = ACTIONS(3306),
    [anon_sym___stdcall] = ACTIONS(3306),
    [anon_sym___fastcall] = ACTIONS(3306),
    [anon_sym___thiscall] = ACTIONS(3306),
    [anon_sym___vectorcall] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3306),
    [anon_sym_unsigned] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_register] = ACTIONS(3306),
    [anon_sym_inline] = ACTIONS(3306),
    [anon_sym___inline] = ACTIONS(3306),
    [anon_sym___inline__] = ACTIONS(3306),
    [anon_sym___forceinline] = ACTIONS(3306),
    [anon_sym_thread_local] = ACTIONS(3306),
    [anon_sym___thread] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_constexpr] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_restrict] = ACTIONS(3306),
    [anon_sym___restrict__] = ACTIONS(3306),
    [anon_sym__Atomic] = ACTIONS(3306),
    [anon_sym__Noreturn] = ACTIONS(3306),
    [anon_sym_noreturn] = ACTIONS(3306),
    [anon_sym_mutable] = ACTIONS(3306),
    [anon_sym_constinit] = ACTIONS(3306),
    [anon_sym_consteval] = ACTIONS(3306),
    [sym_primitive_type] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_union] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_goto] = ACTIONS(3306),
    [anon_sym___try] = ACTIONS(3306),
    [anon_sym___leave] = ACTIONS(3306),
    [anon_sym_not] = ACTIONS(3306),
    [anon_sym_compl] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_sizeof] = ACTIONS(3306),
    [anon_sym___alignof__] = ACTIONS(3306),
    [anon_sym___alignof] = ACTIONS(3306),
    [anon_sym__alignof] = ACTIONS(3306),
    [anon_sym_alignof] = ACTIONS(3306),
    [anon_sym__Alignof] = ACTIONS(3306),
    [anon_sym_offsetof] = ACTIONS(3306),
    [anon_sym__Generic] = ACTIONS(3306),
    [anon_sym_asm] = ACTIONS(3306),
    [anon_sym___asm__] = ACTIONS(3306),
    [sym_number_literal] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3308),
    [anon_sym_u_SQUOTE] = ACTIONS(3308),
    [anon_sym_U_SQUOTE] = ACTIONS(3308),
    [anon_sym_u8_SQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [anon_sym_NULL] = ACTIONS(3306),
    [anon_sym_nullptr] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3306),
    [anon_sym_decltype] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_alignas] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_typename] = ACTIONS(3306),
    [anon_sym_template] = ACTIONS(3306),
    [anon_sym_operator] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3306),
    [anon_sym_concept] = ACTIONS(3306),
    [anon_sym_co_return] = ACTIONS(3306),
    [anon_sym_co_yield] = ACTIONS(3306),
    [anon_sym_R_DQUOTE] = ACTIONS(3308),
    [anon_sym_LR_DQUOTE] = ACTIONS(3308),
    [anon_sym_uR_DQUOTE] = ACTIONS(3308),
    [anon_sym_UR_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3308),
    [anon_sym_co_await] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_requires] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
  },
  [424] = {
    [sym_identifier] = ACTIONS(3310),
    [aux_sym_preproc_include_token1] = ACTIONS(3310),
    [aux_sym_preproc_def_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token2] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3310),
    [aux_sym_preproc_else_token1] = ACTIONS(3310),
    [aux_sym_preproc_elif_token1] = ACTIONS(3310),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3310),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3310),
    [sym_preproc_directive] = ACTIONS(3310),
    [anon_sym_LPAREN2] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3310),
    [anon_sym_extern] = ACTIONS(3310),
    [anon_sym___attribute__] = ACTIONS(3310),
    [anon_sym_COLON_COLON] = ACTIONS(3312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3312),
    [anon_sym___declspec] = ACTIONS(3310),
    [anon_sym___based] = ACTIONS(3310),
    [anon_sym___cdecl] = ACTIONS(3310),
    [anon_sym___clrcall] = ACTIONS(3310),
    [anon_sym___stdcall] = ACTIONS(3310),
    [anon_sym___fastcall] = ACTIONS(3310),
    [anon_sym___thiscall] = ACTIONS(3310),
    [anon_sym___vectorcall] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3310),
    [anon_sym_unsigned] = ACTIONS(3310),
    [anon_sym_long] = ACTIONS(3310),
    [anon_sym_short] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_register] = ACTIONS(3310),
    [anon_sym_inline] = ACTIONS(3310),
    [anon_sym___inline] = ACTIONS(3310),
    [anon_sym___inline__] = ACTIONS(3310),
    [anon_sym___forceinline] = ACTIONS(3310),
    [anon_sym_thread_local] = ACTIONS(3310),
    [anon_sym___thread] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_constexpr] = ACTIONS(3310),
    [anon_sym_volatile] = ACTIONS(3310),
    [anon_sym_restrict] = ACTIONS(3310),
    [anon_sym___restrict__] = ACTIONS(3310),
    [anon_sym__Atomic] = ACTIONS(3310),
    [anon_sym__Noreturn] = ACTIONS(3310),
    [anon_sym_noreturn] = ACTIONS(3310),
    [anon_sym_mutable] = ACTIONS(3310),
    [anon_sym_constinit] = ACTIONS(3310),
    [anon_sym_consteval] = ACTIONS(3310),
    [sym_primitive_type] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_struct] = ACTIONS(3310),
    [anon_sym_union] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_goto] = ACTIONS(3310),
    [anon_sym___try] = ACTIONS(3310),
    [anon_sym___leave] = ACTIONS(3310),
    [anon_sym_not] = ACTIONS(3310),
    [anon_sym_compl] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_sizeof] = ACTIONS(3310),
    [anon_sym___alignof__] = ACTIONS(3310),
    [anon_sym___alignof] = ACTIONS(3310),
    [anon_sym__alignof] = ACTIONS(3310),
    [anon_sym_alignof] = ACTIONS(3310),
    [anon_sym__Alignof] = ACTIONS(3310),
    [anon_sym_offsetof] = ACTIONS(3310),
    [anon_sym__Generic] = ACTIONS(3310),
    [anon_sym_asm] = ACTIONS(3310),
    [anon_sym___asm__] = ACTIONS(3310),
    [sym_number_literal] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3312),
    [anon_sym_u_SQUOTE] = ACTIONS(3312),
    [anon_sym_U_SQUOTE] = ACTIONS(3312),
    [anon_sym_u8_SQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_L_DQUOTE] = ACTIONS(3312),
    [anon_sym_u_DQUOTE] = ACTIONS(3312),
    [anon_sym_U_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8_DQUOTE] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [anon_sym_NULL] = ACTIONS(3310),
    [anon_sym_nullptr] = ACTIONS(3310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3310),
    [anon_sym_decltype] = ACTIONS(3310),
    [anon_sym_virtual] = ACTIONS(3310),
    [anon_sym_alignas] = ACTIONS(3310),
    [anon_sym_explicit] = ACTIONS(3310),
    [anon_sym_typename] = ACTIONS(3310),
    [anon_sym_template] = ACTIONS(3310),
    [anon_sym_operator] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_static_assert] = ACTIONS(3310),
    [anon_sym_concept] = ACTIONS(3310),
    [anon_sym_co_return] = ACTIONS(3310),
    [anon_sym_co_yield] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_requires] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
  },
  [425] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_include_token1] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym___cdecl] = ACTIONS(2136),
    [anon_sym___clrcall] = ACTIONS(2136),
    [anon_sym___stdcall] = ACTIONS(2136),
    [anon_sym___fastcall] = ACTIONS(2136),
    [anon_sym___thiscall] = ACTIONS(2136),
    [anon_sym___vectorcall] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_else] = ACTIONS(2136),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2136),
    [anon_sym_default] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym___try] = ACTIONS(2136),
    [anon_sym___leave] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2136),
    [anon_sym_compl] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2134),
    [anon_sym_PLUS_PLUS] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2136),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2136),
    [anon_sym__Generic] = ACTIONS(2136),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2134),
    [anon_sym_L_SQUOTE] = ACTIONS(2134),
    [anon_sym_u_SQUOTE] = ACTIONS(2134),
    [anon_sym_U_SQUOTE] = ACTIONS(2134),
    [anon_sym_u8_SQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [anon_sym_L_DQUOTE] = ACTIONS(2134),
    [anon_sym_u_DQUOTE] = ACTIONS(2134),
    [anon_sym_U_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8_DQUOTE] = ACTIONS(2134),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [sym_true] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
    [anon_sym_NULL] = ACTIONS(2136),
    [anon_sym_nullptr] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_namespace] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_concept] = ACTIONS(2136),
    [anon_sym_co_return] = ACTIONS(2136),
    [anon_sym_co_yield] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
    [anon_sym_R_DQUOTE] = ACTIONS(2134),
    [anon_sym_LR_DQUOTE] = ACTIONS(2134),
    [anon_sym_uR_DQUOTE] = ACTIONS(2134),
    [anon_sym_UR_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2134),
    [anon_sym_co_await] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2136),
    [sym_this] = ACTIONS(2136),
  },
  [426] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [427] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [428] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [aux_sym_preproc_else_token1] = ACTIONS(2925),
    [aux_sym_preproc_elif_token1] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [429] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [430] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [aux_sym_preproc_else_token1] = ACTIONS(2913),
    [aux_sym_preproc_elif_token1] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [431] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [aux_sym_preproc_else_token1] = ACTIONS(2905),
    [aux_sym_preproc_elif_token1] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [432] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [aux_sym_preproc_else_token1] = ACTIONS(2901),
    [aux_sym_preproc_elif_token1] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [433] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [aux_sym_preproc_else_token1] = ACTIONS(2897),
    [aux_sym_preproc_elif_token1] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [434] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [aux_sym_preproc_else_token1] = ACTIONS(2893),
    [aux_sym_preproc_elif_token1] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [435] = {
    [sym_catch_clause] = STATE(412),
    [aux_sym_constructor_try_statement_repeat1] = STATE(412),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(3273),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [436] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [aux_sym_preproc_else_token1] = ACTIONS(2933),
    [aux_sym_preproc_elif_token1] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [437] = {
    [sym__expression] = STATE(4970),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8632),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3316),
    [anon_sym___extension__] = ACTIONS(3318),
    [anon_sym_extern] = ACTIONS(3318),
    [anon_sym___attribute__] = ACTIONS(3318),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3320),
    [anon_sym___declspec] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3318),
    [anon_sym_unsigned] = ACTIONS(3318),
    [anon_sym_long] = ACTIONS(3318),
    [anon_sym_short] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_register] = ACTIONS(3318),
    [anon_sym_inline] = ACTIONS(3318),
    [anon_sym___inline] = ACTIONS(3318),
    [anon_sym___inline__] = ACTIONS(3318),
    [anon_sym___forceinline] = ACTIONS(3318),
    [anon_sym_thread_local] = ACTIONS(3318),
    [anon_sym___thread] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_constexpr] = ACTIONS(3318),
    [anon_sym_volatile] = ACTIONS(3318),
    [anon_sym_restrict] = ACTIONS(3318),
    [anon_sym___restrict__] = ACTIONS(3318),
    [anon_sym__Atomic] = ACTIONS(3318),
    [anon_sym__Noreturn] = ACTIONS(3318),
    [anon_sym_noreturn] = ACTIONS(3318),
    [anon_sym_mutable] = ACTIONS(3318),
    [anon_sym_constinit] = ACTIONS(3318),
    [anon_sym_consteval] = ACTIONS(3318),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3318),
    [anon_sym_struct] = ACTIONS(3318),
    [anon_sym_union] = ACTIONS(3318),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3318),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(3318),
    [anon_sym_alignas] = ACTIONS(3318),
    [anon_sym_typename] = ACTIONS(3318),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [438] = {
    [sym__expression] = STATE(4988),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8629),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3322),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [439] = {
    [sym_catch_clause] = STATE(412),
    [aux_sym_constructor_try_statement_repeat1] = STATE(412),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(3273),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [440] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token2] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [aux_sym_preproc_else_token1] = ACTIONS(2875),
    [aux_sym_preproc_elif_token1] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [441] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [aux_sym_preproc_else_token1] = ACTIONS(2881),
    [aux_sym_preproc_elif_token1] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [442] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [aux_sym_preproc_else_token1] = ACTIONS(2957),
    [aux_sym_preproc_elif_token1] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [443] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [aux_sym_preproc_else_token1] = ACTIONS(2921),
    [aux_sym_preproc_elif_token1] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [444] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [445] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym_SEMI] = ACTIONS(2834),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym___try] = ACTIONS(2832),
    [anon_sym___leave] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [446] = {
    [sym_catch_clause] = STATE(385),
    [aux_sym_constructor_try_statement_repeat1] = STATE(385),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym_SEMI] = ACTIONS(2830),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym___try] = ACTIONS(2828),
    [anon_sym___leave] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(3074),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [447] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [aux_sym_preproc_else_token1] = ACTIONS(2909),
    [aux_sym_preproc_elif_token1] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [448] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [aux_sym_preproc_else_token1] = ACTIONS(2965),
    [aux_sym_preproc_elif_token1] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [449] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [450] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [451] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [452] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [453] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [aux_sym_preproc_else_token1] = ACTIONS(2929),
    [aux_sym_preproc_elif_token1] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [454] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [455] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [aux_sym_preproc_else_token1] = ACTIONS(2885),
    [aux_sym_preproc_elif_token1] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [456] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [457] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [aux_sym_preproc_else_token1] = ACTIONS(2937),
    [aux_sym_preproc_elif_token1] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [458] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [459] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [460] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [461] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [462] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [463] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [aux_sym_preproc_else_token1] = ACTIONS(2941),
    [aux_sym_preproc_elif_token1] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [464] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [465] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [aux_sym_preproc_else_token1] = ACTIONS(2945),
    [aux_sym_preproc_elif_token1] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [466] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [467] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [468] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [aux_sym_preproc_else_token1] = ACTIONS(2949),
    [aux_sym_preproc_elif_token1] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [469] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [470] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [aux_sym_preproc_else_token1] = ACTIONS(2977),
    [aux_sym_preproc_elif_token1] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [471] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [aux_sym_preproc_else_token1] = ACTIONS(2953),
    [aux_sym_preproc_elif_token1] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [472] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [473] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [aux_sym_preproc_else_token1] = ACTIONS(2981),
    [aux_sym_preproc_elif_token1] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [474] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [aux_sym_preproc_else_token1] = ACTIONS(2985),
    [aux_sym_preproc_elif_token1] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [475] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [aux_sym_preproc_else_token1] = ACTIONS(2989),
    [aux_sym_preproc_elif_token1] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [476] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [477] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [478] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [479] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [480] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [481] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [482] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [483] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [484] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [485] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [486] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [487] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [488] = {
    [sym__expression] = STATE(5015),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8919),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(3324),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [489] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [490] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [491] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [492] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [493] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [494] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [aux_sym_preproc_else_token1] = ACTIONS(2867),
    [aux_sym_preproc_elif_token1] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [495] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [496] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [497] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [498] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [499] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [500] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [501] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [502] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [503] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [aux_sym_preproc_else_token1] = ACTIONS(2871),
    [aux_sym_preproc_elif_token1] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [504] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [505] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4937),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7497),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7796),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3378),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [506] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4929),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7474),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7814),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3390),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [507] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_include_token1] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym___cdecl] = ACTIONS(2136),
    [anon_sym___clrcall] = ACTIONS(2136),
    [anon_sym___stdcall] = ACTIONS(2136),
    [anon_sym___fastcall] = ACTIONS(2136),
    [anon_sym___thiscall] = ACTIONS(2136),
    [anon_sym___vectorcall] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_else] = ACTIONS(2136),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2136),
    [anon_sym_default] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym___try] = ACTIONS(2136),
    [anon_sym___leave] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2136),
    [anon_sym_compl] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2134),
    [anon_sym_PLUS_PLUS] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2136),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2136),
    [anon_sym__Generic] = ACTIONS(2136),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2134),
    [anon_sym_L_SQUOTE] = ACTIONS(2134),
    [anon_sym_u_SQUOTE] = ACTIONS(2134),
    [anon_sym_U_SQUOTE] = ACTIONS(2134),
    [anon_sym_u8_SQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [anon_sym_L_DQUOTE] = ACTIONS(2134),
    [anon_sym_u_DQUOTE] = ACTIONS(2134),
    [anon_sym_U_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8_DQUOTE] = ACTIONS(2134),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [sym_true] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
    [anon_sym_NULL] = ACTIONS(2136),
    [anon_sym_nullptr] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_namespace] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_concept] = ACTIONS(2136),
    [anon_sym_co_return] = ACTIONS(2136),
    [anon_sym_co_yield] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
    [anon_sym_R_DQUOTE] = ACTIONS(2134),
    [anon_sym_LR_DQUOTE] = ACTIONS(2134),
    [anon_sym_uR_DQUOTE] = ACTIONS(2134),
    [anon_sym_UR_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2134),
    [anon_sym_co_await] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2136),
    [sym_this] = ACTIONS(2136),
  },
  [508] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4864),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7551),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7732),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3392),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [509] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4953),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7420),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7887),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3394),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [510] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [511] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [aux_sym_preproc_else_token1] = ACTIONS(3096),
    [aux_sym_preproc_elif_token1] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [512] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4950),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7389),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7921),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3396),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [513] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4946),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7372),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7945),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3398),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [514] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4827),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7612),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7674),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3400),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [515] = {
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_include_token1] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [aux_sym_preproc_else_token1] = ACTIONS(3257),
    [aux_sym_preproc_elif_token1] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym___cdecl] = ACTIONS(3257),
    [anon_sym___clrcall] = ACTIONS(3257),
    [anon_sym___stdcall] = ACTIONS(3257),
    [anon_sym___fastcall] = ACTIONS(3257),
    [anon_sym___thiscall] = ACTIONS(3257),
    [anon_sym___vectorcall] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_goto] = ACTIONS(3257),
    [anon_sym___try] = ACTIONS(3257),
    [anon_sym___leave] = ACTIONS(3257),
    [anon_sym_not] = ACTIONS(3257),
    [anon_sym_compl] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_sizeof] = ACTIONS(3257),
    [anon_sym___alignof__] = ACTIONS(3257),
    [anon_sym___alignof] = ACTIONS(3257),
    [anon_sym__alignof] = ACTIONS(3257),
    [anon_sym_alignof] = ACTIONS(3257),
    [anon_sym__Alignof] = ACTIONS(3257),
    [anon_sym_offsetof] = ACTIONS(3257),
    [anon_sym__Generic] = ACTIONS(3257),
    [anon_sym_asm] = ACTIONS(3257),
    [anon_sym___asm__] = ACTIONS(3257),
    [sym_number_literal] = ACTIONS(3259),
    [anon_sym_L_SQUOTE] = ACTIONS(3259),
    [anon_sym_u_SQUOTE] = ACTIONS(3259),
    [anon_sym_U_SQUOTE] = ACTIONS(3259),
    [anon_sym_u8_SQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_L_DQUOTE] = ACTIONS(3259),
    [anon_sym_u_DQUOTE] = ACTIONS(3259),
    [anon_sym_U_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8_DQUOTE] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [anon_sym_NULL] = ACTIONS(3257),
    [anon_sym_nullptr] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
    [anon_sym_concept] = ACTIONS(3257),
    [anon_sym_co_return] = ACTIONS(3257),
    [anon_sym_co_yield] = ACTIONS(3257),
    [anon_sym_R_DQUOTE] = ACTIONS(3259),
    [anon_sym_LR_DQUOTE] = ACTIONS(3259),
    [anon_sym_uR_DQUOTE] = ACTIONS(3259),
    [anon_sym_UR_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3259),
    [anon_sym_co_await] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_requires] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
  },
  [516] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4944),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7365),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7966),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3402),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [517] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [aux_sym_preproc_else_token1] = ACTIONS(3076),
    [aux_sym_preproc_elif_token1] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [sym_primitive_type] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3078),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [518] = {
    [sym_else_clause] = STATE(805),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_RBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [sym_primitive_type] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(3404),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [sym_number_literal] = ACTIONS(2859),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [519] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [aux_sym_preproc_else_token1] = ACTIONS(3080),
    [aux_sym_preproc_elif_token1] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [sym_primitive_type] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [520] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [aux_sym_preproc_else_token1] = ACTIONS(3084),
    [aux_sym_preproc_elif_token1] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [sym_primitive_type] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3086),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [521] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [522] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [523] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [aux_sym_preproc_else_token1] = ACTIONS(3140),
    [aux_sym_preproc_elif_token1] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [524] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4806),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7451),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7847),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3406),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [525] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [aux_sym_preproc_else_token1] = ACTIONS(3059),
    [aux_sym_preproc_elif_token1] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3061),
    [anon_sym_BANG] = ACTIONS(3061),
    [anon_sym_TILDE] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3061),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3061),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3061),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3061),
    [anon_sym_PLUS_PLUS] = ACTIONS(3061),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3061),
    [anon_sym_L_SQUOTE] = ACTIONS(3061),
    [anon_sym_u_SQUOTE] = ACTIONS(3061),
    [anon_sym_U_SQUOTE] = ACTIONS(3061),
    [anon_sym_u8_SQUOTE] = ACTIONS(3061),
    [anon_sym_SQUOTE] = ACTIONS(3061),
    [anon_sym_L_DQUOTE] = ACTIONS(3061),
    [anon_sym_u_DQUOTE] = ACTIONS(3061),
    [anon_sym_U_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8_DQUOTE] = ACTIONS(3061),
    [anon_sym_DQUOTE] = ACTIONS(3061),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3061),
    [anon_sym_LR_DQUOTE] = ACTIONS(3061),
    [anon_sym_uR_DQUOTE] = ACTIONS(3061),
    [anon_sym_UR_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3061),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [526] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [aux_sym_preproc_else_token1] = ACTIONS(3047),
    [aux_sym_preproc_elif_token1] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [sym_number_literal] = ACTIONS(3049),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [527] = {
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token2] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [aux_sym_preproc_else_token1] = ACTIONS(3160),
    [aux_sym_preproc_elif_token1] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym___cdecl] = ACTIONS(3160),
    [anon_sym___clrcall] = ACTIONS(3160),
    [anon_sym___stdcall] = ACTIONS(3160),
    [anon_sym___fastcall] = ACTIONS(3160),
    [anon_sym___thiscall] = ACTIONS(3160),
    [anon_sym___vectorcall] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_goto] = ACTIONS(3160),
    [anon_sym___try] = ACTIONS(3160),
    [anon_sym___leave] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3160),
    [anon_sym_compl] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_sizeof] = ACTIONS(3160),
    [anon_sym___alignof__] = ACTIONS(3160),
    [anon_sym___alignof] = ACTIONS(3160),
    [anon_sym__alignof] = ACTIONS(3160),
    [anon_sym_alignof] = ACTIONS(3160),
    [anon_sym__Alignof] = ACTIONS(3160),
    [anon_sym_offsetof] = ACTIONS(3160),
    [anon_sym__Generic] = ACTIONS(3160),
    [anon_sym_asm] = ACTIONS(3160),
    [anon_sym___asm__] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3162),
    [anon_sym_u_SQUOTE] = ACTIONS(3162),
    [anon_sym_U_SQUOTE] = ACTIONS(3162),
    [anon_sym_u8_SQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_L_DQUOTE] = ACTIONS(3162),
    [anon_sym_u_DQUOTE] = ACTIONS(3162),
    [anon_sym_U_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [anon_sym_NULL] = ACTIONS(3160),
    [anon_sym_nullptr] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
    [anon_sym_concept] = ACTIONS(3160),
    [anon_sym_co_return] = ACTIONS(3160),
    [anon_sym_co_yield] = ACTIONS(3160),
    [anon_sym_R_DQUOTE] = ACTIONS(3162),
    [anon_sym_LR_DQUOTE] = ACTIONS(3162),
    [anon_sym_uR_DQUOTE] = ACTIONS(3162),
    [anon_sym_UR_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3162),
    [anon_sym_co_await] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_requires] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
  },
  [528] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [sym_number_literal] = ACTIONS(3225),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [529] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [aux_sym_preproc_else_token1] = ACTIONS(3172),
    [aux_sym_preproc_elif_token1] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [530] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [aux_sym_preproc_else_token1] = ACTIONS(3197),
    [aux_sym_preproc_elif_token1] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [sym_primitive_type] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [sym_number_literal] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [531] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [aux_sym_preproc_else_token1] = ACTIONS(3051),
    [aux_sym_preproc_elif_token1] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [532] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [aux_sym_preproc_else_token1] = ACTIONS(3066),
    [aux_sym_preproc_elif_token1] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [sym_primitive_type] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [533] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4934),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7355),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7987),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3408),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [534] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4927),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7343),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(8007),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3410),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [535] = {
    [sym_identifier] = ACTIONS(3213),
    [aux_sym_preproc_include_token1] = ACTIONS(3213),
    [aux_sym_preproc_def_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token2] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3213),
    [aux_sym_preproc_else_token1] = ACTIONS(3213),
    [aux_sym_preproc_elif_token1] = ACTIONS(3213),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_AMP_AMP] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(3213),
    [anon_sym_typedef] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym___attribute__] = ACTIONS(3213),
    [anon_sym_COLON_COLON] = ACTIONS(3215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3215),
    [anon_sym___declspec] = ACTIONS(3213),
    [anon_sym___based] = ACTIONS(3213),
    [anon_sym___cdecl] = ACTIONS(3213),
    [anon_sym___clrcall] = ACTIONS(3213),
    [anon_sym___stdcall] = ACTIONS(3213),
    [anon_sym___fastcall] = ACTIONS(3213),
    [anon_sym___thiscall] = ACTIONS(3213),
    [anon_sym___vectorcall] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3213),
    [anon_sym_unsigned] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_register] = ACTIONS(3213),
    [anon_sym_inline] = ACTIONS(3213),
    [anon_sym___inline] = ACTIONS(3213),
    [anon_sym___inline__] = ACTIONS(3213),
    [anon_sym___forceinline] = ACTIONS(3213),
    [anon_sym_thread_local] = ACTIONS(3213),
    [anon_sym___thread] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_constexpr] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_restrict] = ACTIONS(3213),
    [anon_sym___restrict__] = ACTIONS(3213),
    [anon_sym__Atomic] = ACTIONS(3213),
    [anon_sym__Noreturn] = ACTIONS(3213),
    [anon_sym_noreturn] = ACTIONS(3213),
    [anon_sym_mutable] = ACTIONS(3213),
    [anon_sym_constinit] = ACTIONS(3213),
    [anon_sym_consteval] = ACTIONS(3213),
    [sym_primitive_type] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_union] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym___try] = ACTIONS(3213),
    [anon_sym___leave] = ACTIONS(3213),
    [anon_sym_not] = ACTIONS(3213),
    [anon_sym_compl] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym___alignof__] = ACTIONS(3213),
    [anon_sym___alignof] = ACTIONS(3213),
    [anon_sym__alignof] = ACTIONS(3213),
    [anon_sym_alignof] = ACTIONS(3213),
    [anon_sym__Alignof] = ACTIONS(3213),
    [anon_sym_offsetof] = ACTIONS(3213),
    [anon_sym__Generic] = ACTIONS(3213),
    [anon_sym_asm] = ACTIONS(3213),
    [anon_sym___asm__] = ACTIONS(3213),
    [sym_number_literal] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3215),
    [anon_sym_u_SQUOTE] = ACTIONS(3215),
    [anon_sym_U_SQUOTE] = ACTIONS(3215),
    [anon_sym_u8_SQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_L_DQUOTE] = ACTIONS(3215),
    [anon_sym_u_DQUOTE] = ACTIONS(3215),
    [anon_sym_U_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8_DQUOTE] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [anon_sym_NULL] = ACTIONS(3213),
    [anon_sym_nullptr] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3213),
    [anon_sym_decltype] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_alignas] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_typename] = ACTIONS(3213),
    [anon_sym_template] = ACTIONS(3213),
    [anon_sym_operator] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static_assert] = ACTIONS(3213),
    [anon_sym_concept] = ACTIONS(3213),
    [anon_sym_co_return] = ACTIONS(3213),
    [anon_sym_co_yield] = ACTIONS(3213),
    [anon_sym_R_DQUOTE] = ACTIONS(3215),
    [anon_sym_LR_DQUOTE] = ACTIONS(3215),
    [anon_sym_uR_DQUOTE] = ACTIONS(3215),
    [anon_sym_UR_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3215),
    [anon_sym_co_await] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_requires] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
  },
  [536] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [aux_sym_preproc_else_token1] = ACTIONS(3217),
    [aux_sym_preproc_elif_token1] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [537] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4926),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7337),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(8020),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3412),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [538] = {
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [aux_sym_preproc_else_token1] = ACTIONS(3231),
    [aux_sym_preproc_elif_token1] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym___cdecl] = ACTIONS(3231),
    [anon_sym___clrcall] = ACTIONS(3231),
    [anon_sym___stdcall] = ACTIONS(3231),
    [anon_sym___fastcall] = ACTIONS(3231),
    [anon_sym___thiscall] = ACTIONS(3231),
    [anon_sym___vectorcall] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_goto] = ACTIONS(3231),
    [anon_sym___try] = ACTIONS(3231),
    [anon_sym___leave] = ACTIONS(3231),
    [anon_sym_not] = ACTIONS(3231),
    [anon_sym_compl] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3231),
    [anon_sym___alignof__] = ACTIONS(3231),
    [anon_sym___alignof] = ACTIONS(3231),
    [anon_sym__alignof] = ACTIONS(3231),
    [anon_sym_alignof] = ACTIONS(3231),
    [anon_sym__Alignof] = ACTIONS(3231),
    [anon_sym_offsetof] = ACTIONS(3231),
    [anon_sym__Generic] = ACTIONS(3231),
    [anon_sym_asm] = ACTIONS(3231),
    [anon_sym___asm__] = ACTIONS(3231),
    [sym_number_literal] = ACTIONS(3233),
    [anon_sym_L_SQUOTE] = ACTIONS(3233),
    [anon_sym_u_SQUOTE] = ACTIONS(3233),
    [anon_sym_U_SQUOTE] = ACTIONS(3233),
    [anon_sym_u8_SQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_L_DQUOTE] = ACTIONS(3233),
    [anon_sym_u_DQUOTE] = ACTIONS(3233),
    [anon_sym_U_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8_DQUOTE] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [anon_sym_NULL] = ACTIONS(3231),
    [anon_sym_nullptr] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
    [anon_sym_concept] = ACTIONS(3231),
    [anon_sym_co_return] = ACTIONS(3231),
    [anon_sym_co_yield] = ACTIONS(3231),
    [anon_sym_R_DQUOTE] = ACTIONS(3233),
    [anon_sym_LR_DQUOTE] = ACTIONS(3233),
    [anon_sym_uR_DQUOTE] = ACTIONS(3233),
    [anon_sym_UR_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3233),
    [anon_sym_co_await] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_requires] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
  },
  [539] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token2] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [aux_sym_preproc_else_token1] = ACTIONS(3245),
    [aux_sym_preproc_elif_token1] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [540] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4857),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7368),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7974),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3414),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [541] = {
    [sym_else_clause] = STATE(779),
    [ts_builtin_sym_end] = ACTIONS(2859),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [sym_primitive_type] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [sym_number_literal] = ACTIONS(2859),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [542] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4800),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7635),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7660),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3418),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [543] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4924),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7333),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(8033),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3420),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [544] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [545] = {
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_include_token1] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token2] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [aux_sym_preproc_else_token1] = ACTIONS(3294),
    [aux_sym_preproc_elif_token1] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym___cdecl] = ACTIONS(3294),
    [anon_sym___clrcall] = ACTIONS(3294),
    [anon_sym___stdcall] = ACTIONS(3294),
    [anon_sym___fastcall] = ACTIONS(3294),
    [anon_sym___thiscall] = ACTIONS(3294),
    [anon_sym___vectorcall] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_goto] = ACTIONS(3294),
    [anon_sym___try] = ACTIONS(3294),
    [anon_sym___leave] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3294),
    [anon_sym___alignof__] = ACTIONS(3294),
    [anon_sym___alignof] = ACTIONS(3294),
    [anon_sym__alignof] = ACTIONS(3294),
    [anon_sym_alignof] = ACTIONS(3294),
    [anon_sym__Alignof] = ACTIONS(3294),
    [anon_sym_offsetof] = ACTIONS(3294),
    [anon_sym__Generic] = ACTIONS(3294),
    [anon_sym_asm] = ACTIONS(3294),
    [anon_sym___asm__] = ACTIONS(3294),
    [sym_number_literal] = ACTIONS(3296),
    [anon_sym_L_SQUOTE] = ACTIONS(3296),
    [anon_sym_u_SQUOTE] = ACTIONS(3296),
    [anon_sym_U_SQUOTE] = ACTIONS(3296),
    [anon_sym_u8_SQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_L_DQUOTE] = ACTIONS(3296),
    [anon_sym_u_DQUOTE] = ACTIONS(3296),
    [anon_sym_U_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8_DQUOTE] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [anon_sym_NULL] = ACTIONS(3294),
    [anon_sym_nullptr] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
    [anon_sym_concept] = ACTIONS(3294),
    [anon_sym_co_return] = ACTIONS(3294),
    [anon_sym_co_yield] = ACTIONS(3294),
    [anon_sym_R_DQUOTE] = ACTIONS(3296),
    [anon_sym_LR_DQUOTE] = ACTIONS(3296),
    [anon_sym_uR_DQUOTE] = ACTIONS(3296),
    [anon_sym_UR_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3296),
    [anon_sym_co_await] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_requires] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
  },
  [546] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token2] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [aux_sym_preproc_else_token1] = ACTIONS(3102),
    [aux_sym_preproc_elif_token1] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [sym_primitive_type] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [sym_number_literal] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [547] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [548] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [549] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [aux_sym_preproc_else_token1] = ACTIONS(3112),
    [aux_sym_preproc_elif_token1] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [sym_primitive_type] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [550] = {
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_include_token1] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token2] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [aux_sym_preproc_else_token1] = ACTIONS(3286),
    [aux_sym_preproc_elif_token1] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym___cdecl] = ACTIONS(3286),
    [anon_sym___clrcall] = ACTIONS(3286),
    [anon_sym___stdcall] = ACTIONS(3286),
    [anon_sym___fastcall] = ACTIONS(3286),
    [anon_sym___thiscall] = ACTIONS(3286),
    [anon_sym___vectorcall] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_goto] = ACTIONS(3286),
    [anon_sym___try] = ACTIONS(3286),
    [anon_sym___leave] = ACTIONS(3286),
    [anon_sym_not] = ACTIONS(3286),
    [anon_sym_compl] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_sizeof] = ACTIONS(3286),
    [anon_sym___alignof__] = ACTIONS(3286),
    [anon_sym___alignof] = ACTIONS(3286),
    [anon_sym__alignof] = ACTIONS(3286),
    [anon_sym_alignof] = ACTIONS(3286),
    [anon_sym__Alignof] = ACTIONS(3286),
    [anon_sym_offsetof] = ACTIONS(3286),
    [anon_sym__Generic] = ACTIONS(3286),
    [anon_sym_asm] = ACTIONS(3286),
    [anon_sym___asm__] = ACTIONS(3286),
    [sym_number_literal] = ACTIONS(3288),
    [anon_sym_L_SQUOTE] = ACTIONS(3288),
    [anon_sym_u_SQUOTE] = ACTIONS(3288),
    [anon_sym_U_SQUOTE] = ACTIONS(3288),
    [anon_sym_u8_SQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_L_DQUOTE] = ACTIONS(3288),
    [anon_sym_u_DQUOTE] = ACTIONS(3288),
    [anon_sym_U_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8_DQUOTE] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [anon_sym_NULL] = ACTIONS(3286),
    [anon_sym_nullptr] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
    [anon_sym_concept] = ACTIONS(3286),
    [anon_sym_co_return] = ACTIONS(3286),
    [anon_sym_co_yield] = ACTIONS(3286),
    [anon_sym_R_DQUOTE] = ACTIONS(3288),
    [anon_sym_LR_DQUOTE] = ACTIONS(3288),
    [anon_sym_uR_DQUOTE] = ACTIONS(3288),
    [anon_sym_UR_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3288),
    [anon_sym_co_await] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_requires] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
  },
  [551] = {
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_include_token1] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token2] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [aux_sym_preproc_else_token1] = ACTIONS(3290),
    [aux_sym_preproc_elif_token1] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym___cdecl] = ACTIONS(3290),
    [anon_sym___clrcall] = ACTIONS(3290),
    [anon_sym___stdcall] = ACTIONS(3290),
    [anon_sym___fastcall] = ACTIONS(3290),
    [anon_sym___thiscall] = ACTIONS(3290),
    [anon_sym___vectorcall] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_goto] = ACTIONS(3290),
    [anon_sym___try] = ACTIONS(3290),
    [anon_sym___leave] = ACTIONS(3290),
    [anon_sym_not] = ACTIONS(3290),
    [anon_sym_compl] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_sizeof] = ACTIONS(3290),
    [anon_sym___alignof__] = ACTIONS(3290),
    [anon_sym___alignof] = ACTIONS(3290),
    [anon_sym__alignof] = ACTIONS(3290),
    [anon_sym_alignof] = ACTIONS(3290),
    [anon_sym__Alignof] = ACTIONS(3290),
    [anon_sym_offsetof] = ACTIONS(3290),
    [anon_sym__Generic] = ACTIONS(3290),
    [anon_sym_asm] = ACTIONS(3290),
    [anon_sym___asm__] = ACTIONS(3290),
    [sym_number_literal] = ACTIONS(3292),
    [anon_sym_L_SQUOTE] = ACTIONS(3292),
    [anon_sym_u_SQUOTE] = ACTIONS(3292),
    [anon_sym_U_SQUOTE] = ACTIONS(3292),
    [anon_sym_u8_SQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_L_DQUOTE] = ACTIONS(3292),
    [anon_sym_u_DQUOTE] = ACTIONS(3292),
    [anon_sym_U_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8_DQUOTE] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [anon_sym_NULL] = ACTIONS(3290),
    [anon_sym_nullptr] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
    [anon_sym_concept] = ACTIONS(3290),
    [anon_sym_co_return] = ACTIONS(3290),
    [anon_sym_co_yield] = ACTIONS(3290),
    [anon_sym_R_DQUOTE] = ACTIONS(3292),
    [anon_sym_LR_DQUOTE] = ACTIONS(3292),
    [anon_sym_uR_DQUOTE] = ACTIONS(3292),
    [anon_sym_UR_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3292),
    [anon_sym_co_await] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_requires] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
  },
  [552] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [aux_sym_preproc_else_token1] = ACTIONS(3116),
    [aux_sym_preproc_elif_token1] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [sym_primitive_type] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [553] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [554] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [555] = {
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_include_token1] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token2] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [aux_sym_preproc_else_token1] = ACTIONS(3261),
    [aux_sym_preproc_elif_token1] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym___cdecl] = ACTIONS(3261),
    [anon_sym___clrcall] = ACTIONS(3261),
    [anon_sym___stdcall] = ACTIONS(3261),
    [anon_sym___fastcall] = ACTIONS(3261),
    [anon_sym___thiscall] = ACTIONS(3261),
    [anon_sym___vectorcall] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym___try] = ACTIONS(3261),
    [anon_sym___leave] = ACTIONS(3261),
    [anon_sym_not] = ACTIONS(3261),
    [anon_sym_compl] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym___alignof__] = ACTIONS(3261),
    [anon_sym___alignof] = ACTIONS(3261),
    [anon_sym__alignof] = ACTIONS(3261),
    [anon_sym_alignof] = ACTIONS(3261),
    [anon_sym__Alignof] = ACTIONS(3261),
    [anon_sym_offsetof] = ACTIONS(3261),
    [anon_sym__Generic] = ACTIONS(3261),
    [anon_sym_asm] = ACTIONS(3261),
    [anon_sym___asm__] = ACTIONS(3261),
    [sym_number_literal] = ACTIONS(3263),
    [anon_sym_L_SQUOTE] = ACTIONS(3263),
    [anon_sym_u_SQUOTE] = ACTIONS(3263),
    [anon_sym_U_SQUOTE] = ACTIONS(3263),
    [anon_sym_u8_SQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_L_DQUOTE] = ACTIONS(3263),
    [anon_sym_u_DQUOTE] = ACTIONS(3263),
    [anon_sym_U_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8_DQUOTE] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [anon_sym_NULL] = ACTIONS(3261),
    [anon_sym_nullptr] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
    [anon_sym_concept] = ACTIONS(3261),
    [anon_sym_co_return] = ACTIONS(3261),
    [anon_sym_co_yield] = ACTIONS(3261),
    [anon_sym_R_DQUOTE] = ACTIONS(3263),
    [anon_sym_LR_DQUOTE] = ACTIONS(3263),
    [anon_sym_uR_DQUOTE] = ACTIONS(3263),
    [anon_sym_UR_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3263),
    [anon_sym_co_await] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_requires] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
  },
  [556] = {
    [sym_identifier] = ACTIONS(3306),
    [aux_sym_preproc_include_token1] = ACTIONS(3306),
    [aux_sym_preproc_def_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token2] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [aux_sym_preproc_else_token1] = ACTIONS(3306),
    [aux_sym_preproc_elif_token1] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3306),
    [anon_sym_LPAREN2] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3306),
    [anon_sym_typedef] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym___attribute__] = ACTIONS(3306),
    [anon_sym_COLON_COLON] = ACTIONS(3308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3308),
    [anon_sym___declspec] = ACTIONS(3306),
    [anon_sym___based] = ACTIONS(3306),
    [anon_sym___cdecl] = ACTIONS(3306),
    [anon_sym___clrcall] = ACTIONS(3306),
    [anon_sym___stdcall] = ACTIONS(3306),
    [anon_sym___fastcall] = ACTIONS(3306),
    [anon_sym___thiscall] = ACTIONS(3306),
    [anon_sym___vectorcall] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3306),
    [anon_sym_unsigned] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_register] = ACTIONS(3306),
    [anon_sym_inline] = ACTIONS(3306),
    [anon_sym___inline] = ACTIONS(3306),
    [anon_sym___inline__] = ACTIONS(3306),
    [anon_sym___forceinline] = ACTIONS(3306),
    [anon_sym_thread_local] = ACTIONS(3306),
    [anon_sym___thread] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_constexpr] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_restrict] = ACTIONS(3306),
    [anon_sym___restrict__] = ACTIONS(3306),
    [anon_sym__Atomic] = ACTIONS(3306),
    [anon_sym__Noreturn] = ACTIONS(3306),
    [anon_sym_noreturn] = ACTIONS(3306),
    [anon_sym_mutable] = ACTIONS(3306),
    [anon_sym_constinit] = ACTIONS(3306),
    [anon_sym_consteval] = ACTIONS(3306),
    [sym_primitive_type] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_union] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_goto] = ACTIONS(3306),
    [anon_sym___try] = ACTIONS(3306),
    [anon_sym___leave] = ACTIONS(3306),
    [anon_sym_not] = ACTIONS(3306),
    [anon_sym_compl] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_sizeof] = ACTIONS(3306),
    [anon_sym___alignof__] = ACTIONS(3306),
    [anon_sym___alignof] = ACTIONS(3306),
    [anon_sym__alignof] = ACTIONS(3306),
    [anon_sym_alignof] = ACTIONS(3306),
    [anon_sym__Alignof] = ACTIONS(3306),
    [anon_sym_offsetof] = ACTIONS(3306),
    [anon_sym__Generic] = ACTIONS(3306),
    [anon_sym_asm] = ACTIONS(3306),
    [anon_sym___asm__] = ACTIONS(3306),
    [sym_number_literal] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3308),
    [anon_sym_u_SQUOTE] = ACTIONS(3308),
    [anon_sym_U_SQUOTE] = ACTIONS(3308),
    [anon_sym_u8_SQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [anon_sym_NULL] = ACTIONS(3306),
    [anon_sym_nullptr] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3306),
    [anon_sym_decltype] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_alignas] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_typename] = ACTIONS(3306),
    [anon_sym_template] = ACTIONS(3306),
    [anon_sym_operator] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3306),
    [anon_sym_concept] = ACTIONS(3306),
    [anon_sym_co_return] = ACTIONS(3306),
    [anon_sym_co_yield] = ACTIONS(3306),
    [anon_sym_R_DQUOTE] = ACTIONS(3308),
    [anon_sym_LR_DQUOTE] = ACTIONS(3308),
    [anon_sym_uR_DQUOTE] = ACTIONS(3308),
    [anon_sym_UR_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3308),
    [anon_sym_co_await] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_requires] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
  },
  [557] = {
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_include_token1] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [aux_sym_preproc_else_token1] = ACTIONS(3148),
    [aux_sym_preproc_elif_token1] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym___cdecl] = ACTIONS(3148),
    [anon_sym___clrcall] = ACTIONS(3148),
    [anon_sym___stdcall] = ACTIONS(3148),
    [anon_sym___fastcall] = ACTIONS(3148),
    [anon_sym___thiscall] = ACTIONS(3148),
    [anon_sym___vectorcall] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_goto] = ACTIONS(3148),
    [anon_sym___try] = ACTIONS(3148),
    [anon_sym___leave] = ACTIONS(3148),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_compl] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_sizeof] = ACTIONS(3148),
    [anon_sym___alignof__] = ACTIONS(3148),
    [anon_sym___alignof] = ACTIONS(3148),
    [anon_sym__alignof] = ACTIONS(3148),
    [anon_sym_alignof] = ACTIONS(3148),
    [anon_sym__Alignof] = ACTIONS(3148),
    [anon_sym_offsetof] = ACTIONS(3148),
    [anon_sym__Generic] = ACTIONS(3148),
    [anon_sym_asm] = ACTIONS(3148),
    [anon_sym___asm__] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3150),
    [anon_sym_u_SQUOTE] = ACTIONS(3150),
    [anon_sym_U_SQUOTE] = ACTIONS(3150),
    [anon_sym_u8_SQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_L_DQUOTE] = ACTIONS(3150),
    [anon_sym_u_DQUOTE] = ACTIONS(3150),
    [anon_sym_U_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [anon_sym_NULL] = ACTIONS(3148),
    [anon_sym_nullptr] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
    [anon_sym_concept] = ACTIONS(3148),
    [anon_sym_co_return] = ACTIONS(3148),
    [anon_sym_co_yield] = ACTIONS(3148),
    [anon_sym_R_DQUOTE] = ACTIONS(3150),
    [anon_sym_LR_DQUOTE] = ACTIONS(3150),
    [anon_sym_uR_DQUOTE] = ACTIONS(3150),
    [anon_sym_UR_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3150),
    [anon_sym_co_await] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_requires] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
  },
  [558] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [559] = {
    [sym_else_clause] = STATE(640),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_RBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3404),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [560] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [561] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [562] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4854),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7394),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(8040),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3422),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [563] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [564] = {
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_include_token1] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token2] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [aux_sym_preproc_else_token1] = ACTIONS(3227),
    [aux_sym_preproc_elif_token1] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym___cdecl] = ACTIONS(3227),
    [anon_sym___clrcall] = ACTIONS(3227),
    [anon_sym___stdcall] = ACTIONS(3227),
    [anon_sym___fastcall] = ACTIONS(3227),
    [anon_sym___thiscall] = ACTIONS(3227),
    [anon_sym___vectorcall] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_goto] = ACTIONS(3227),
    [anon_sym___try] = ACTIONS(3227),
    [anon_sym___leave] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3227),
    [anon_sym_compl] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3227),
    [anon_sym___alignof__] = ACTIONS(3227),
    [anon_sym___alignof] = ACTIONS(3227),
    [anon_sym__alignof] = ACTIONS(3227),
    [anon_sym_alignof] = ACTIONS(3227),
    [anon_sym__Alignof] = ACTIONS(3227),
    [anon_sym_offsetof] = ACTIONS(3227),
    [anon_sym__Generic] = ACTIONS(3227),
    [anon_sym_asm] = ACTIONS(3227),
    [anon_sym___asm__] = ACTIONS(3227),
    [sym_number_literal] = ACTIONS(3229),
    [anon_sym_L_SQUOTE] = ACTIONS(3229),
    [anon_sym_u_SQUOTE] = ACTIONS(3229),
    [anon_sym_U_SQUOTE] = ACTIONS(3229),
    [anon_sym_u8_SQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_L_DQUOTE] = ACTIONS(3229),
    [anon_sym_u_DQUOTE] = ACTIONS(3229),
    [anon_sym_U_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8_DQUOTE] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [anon_sym_NULL] = ACTIONS(3227),
    [anon_sym_nullptr] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
    [anon_sym_concept] = ACTIONS(3227),
    [anon_sym_co_return] = ACTIONS(3227),
    [anon_sym_co_yield] = ACTIONS(3227),
    [anon_sym_R_DQUOTE] = ACTIONS(3229),
    [anon_sym_LR_DQUOTE] = ACTIONS(3229),
    [anon_sym_uR_DQUOTE] = ACTIONS(3229),
    [anon_sym_UR_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3229),
    [anon_sym_co_await] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_requires] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
  },
  [565] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [566] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4913),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7364),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7976),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3424),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [567] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [aux_sym_preproc_else_token1] = ACTIONS(3189),
    [aux_sym_preproc_elif_token1] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [sym_number_literal] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [568] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_include_token1] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym___cdecl] = ACTIONS(2136),
    [anon_sym___clrcall] = ACTIONS(2136),
    [anon_sym___stdcall] = ACTIONS(2136),
    [anon_sym___fastcall] = ACTIONS(2136),
    [anon_sym___thiscall] = ACTIONS(2136),
    [anon_sym___vectorcall] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_else] = ACTIONS(2136),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2136),
    [anon_sym_default] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym___try] = ACTIONS(2136),
    [anon_sym___leave] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2136),
    [anon_sym_compl] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2134),
    [anon_sym_PLUS_PLUS] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2136),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2136),
    [anon_sym__Generic] = ACTIONS(2136),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2134),
    [anon_sym_L_SQUOTE] = ACTIONS(2134),
    [anon_sym_u_SQUOTE] = ACTIONS(2134),
    [anon_sym_U_SQUOTE] = ACTIONS(2134),
    [anon_sym_u8_SQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [anon_sym_L_DQUOTE] = ACTIONS(2134),
    [anon_sym_u_DQUOTE] = ACTIONS(2134),
    [anon_sym_U_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8_DQUOTE] = ACTIONS(2134),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [sym_true] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
    [anon_sym_NULL] = ACTIONS(2136),
    [anon_sym_nullptr] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_namespace] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_concept] = ACTIONS(2136),
    [anon_sym_co_return] = ACTIONS(2136),
    [anon_sym_co_yield] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
    [anon_sym_R_DQUOTE] = ACTIONS(2134),
    [anon_sym_LR_DQUOTE] = ACTIONS(2134),
    [anon_sym_uR_DQUOTE] = ACTIONS(2134),
    [anon_sym_UR_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2134),
    [anon_sym_co_await] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2136),
    [sym_this] = ACTIONS(2136),
  },
  [569] = {
    [sym_else_clause] = STATE(601),
    [ts_builtin_sym_end] = ACTIONS(2865),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3416),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [570] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4777),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7537),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7741),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3426),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [571] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [aux_sym_preproc_else_token1] = ACTIONS(3205),
    [aux_sym_preproc_elif_token1] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [sym_primitive_type] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [sym_number_literal] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [572] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [573] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [sym_number_literal] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [574] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [575] = {
    [sym_identifier] = ACTIONS(3310),
    [aux_sym_preproc_include_token1] = ACTIONS(3310),
    [aux_sym_preproc_def_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token2] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3310),
    [aux_sym_preproc_else_token1] = ACTIONS(3310),
    [aux_sym_preproc_elif_token1] = ACTIONS(3310),
    [sym_preproc_directive] = ACTIONS(3310),
    [anon_sym_LPAREN2] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3310),
    [anon_sym_extern] = ACTIONS(3310),
    [anon_sym___attribute__] = ACTIONS(3310),
    [anon_sym_COLON_COLON] = ACTIONS(3312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3312),
    [anon_sym___declspec] = ACTIONS(3310),
    [anon_sym___based] = ACTIONS(3310),
    [anon_sym___cdecl] = ACTIONS(3310),
    [anon_sym___clrcall] = ACTIONS(3310),
    [anon_sym___stdcall] = ACTIONS(3310),
    [anon_sym___fastcall] = ACTIONS(3310),
    [anon_sym___thiscall] = ACTIONS(3310),
    [anon_sym___vectorcall] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3310),
    [anon_sym_unsigned] = ACTIONS(3310),
    [anon_sym_long] = ACTIONS(3310),
    [anon_sym_short] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_register] = ACTIONS(3310),
    [anon_sym_inline] = ACTIONS(3310),
    [anon_sym___inline] = ACTIONS(3310),
    [anon_sym___inline__] = ACTIONS(3310),
    [anon_sym___forceinline] = ACTIONS(3310),
    [anon_sym_thread_local] = ACTIONS(3310),
    [anon_sym___thread] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_constexpr] = ACTIONS(3310),
    [anon_sym_volatile] = ACTIONS(3310),
    [anon_sym_restrict] = ACTIONS(3310),
    [anon_sym___restrict__] = ACTIONS(3310),
    [anon_sym__Atomic] = ACTIONS(3310),
    [anon_sym__Noreturn] = ACTIONS(3310),
    [anon_sym_noreturn] = ACTIONS(3310),
    [anon_sym_mutable] = ACTIONS(3310),
    [anon_sym_constinit] = ACTIONS(3310),
    [anon_sym_consteval] = ACTIONS(3310),
    [sym_primitive_type] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_struct] = ACTIONS(3310),
    [anon_sym_union] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_goto] = ACTIONS(3310),
    [anon_sym___try] = ACTIONS(3310),
    [anon_sym___leave] = ACTIONS(3310),
    [anon_sym_not] = ACTIONS(3310),
    [anon_sym_compl] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_sizeof] = ACTIONS(3310),
    [anon_sym___alignof__] = ACTIONS(3310),
    [anon_sym___alignof] = ACTIONS(3310),
    [anon_sym__alignof] = ACTIONS(3310),
    [anon_sym_alignof] = ACTIONS(3310),
    [anon_sym__Alignof] = ACTIONS(3310),
    [anon_sym_offsetof] = ACTIONS(3310),
    [anon_sym__Generic] = ACTIONS(3310),
    [anon_sym_asm] = ACTIONS(3310),
    [anon_sym___asm__] = ACTIONS(3310),
    [sym_number_literal] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3312),
    [anon_sym_u_SQUOTE] = ACTIONS(3312),
    [anon_sym_U_SQUOTE] = ACTIONS(3312),
    [anon_sym_u8_SQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_L_DQUOTE] = ACTIONS(3312),
    [anon_sym_u_DQUOTE] = ACTIONS(3312),
    [anon_sym_U_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8_DQUOTE] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [anon_sym_NULL] = ACTIONS(3310),
    [anon_sym_nullptr] = ACTIONS(3310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3310),
    [anon_sym_decltype] = ACTIONS(3310),
    [anon_sym_virtual] = ACTIONS(3310),
    [anon_sym_alignas] = ACTIONS(3310),
    [anon_sym_explicit] = ACTIONS(3310),
    [anon_sym_typename] = ACTIONS(3310),
    [anon_sym_template] = ACTIONS(3310),
    [anon_sym_operator] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_static_assert] = ACTIONS(3310),
    [anon_sym_concept] = ACTIONS(3310),
    [anon_sym_co_return] = ACTIONS(3310),
    [anon_sym_co_yield] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_requires] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
  },
  [576] = {
    [sym_identifier] = ACTIONS(3055),
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [aux_sym_preproc_else_token1] = ACTIONS(3055),
    [aux_sym_preproc_elif_token1] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(3057),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3055),
    [anon_sym_SEMI] = ACTIONS(3057),
    [anon_sym___extension__] = ACTIONS(3055),
    [anon_sym_typedef] = ACTIONS(3055),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3055),
    [anon_sym_COLON_COLON] = ACTIONS(3057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3057),
    [anon_sym___declspec] = ACTIONS(3055),
    [anon_sym___based] = ACTIONS(3055),
    [anon_sym___cdecl] = ACTIONS(3055),
    [anon_sym___clrcall] = ACTIONS(3055),
    [anon_sym___stdcall] = ACTIONS(3055),
    [anon_sym___fastcall] = ACTIONS(3055),
    [anon_sym___thiscall] = ACTIONS(3055),
    [anon_sym___vectorcall] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(3057),
    [anon_sym_signed] = ACTIONS(3055),
    [anon_sym_unsigned] = ACTIONS(3055),
    [anon_sym_long] = ACTIONS(3055),
    [anon_sym_short] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3055),
    [anon_sym_constexpr] = ACTIONS(3055),
    [anon_sym_volatile] = ACTIONS(3055),
    [anon_sym_restrict] = ACTIONS(3055),
    [anon_sym___restrict__] = ACTIONS(3055),
    [anon_sym__Atomic] = ACTIONS(3055),
    [anon_sym__Noreturn] = ACTIONS(3055),
    [anon_sym_noreturn] = ACTIONS(3055),
    [anon_sym_mutable] = ACTIONS(3055),
    [anon_sym_constinit] = ACTIONS(3055),
    [anon_sym_consteval] = ACTIONS(3055),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_union] = ACTIONS(3055),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_switch] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_default] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(3055),
    [anon_sym_do] = ACTIONS(3055),
    [anon_sym_for] = ACTIONS(3055),
    [anon_sym_return] = ACTIONS(3055),
    [anon_sym_break] = ACTIONS(3055),
    [anon_sym_continue] = ACTIONS(3055),
    [anon_sym_goto] = ACTIONS(3055),
    [anon_sym___try] = ACTIONS(3055),
    [anon_sym___leave] = ACTIONS(3055),
    [anon_sym_not] = ACTIONS(3055),
    [anon_sym_compl] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3057),
    [anon_sym_PLUS_PLUS] = ACTIONS(3057),
    [anon_sym_sizeof] = ACTIONS(3055),
    [anon_sym___alignof__] = ACTIONS(3055),
    [anon_sym___alignof] = ACTIONS(3055),
    [anon_sym__alignof] = ACTIONS(3055),
    [anon_sym_alignof] = ACTIONS(3055),
    [anon_sym__Alignof] = ACTIONS(3055),
    [anon_sym_offsetof] = ACTIONS(3055),
    [anon_sym__Generic] = ACTIONS(3055),
    [anon_sym_asm] = ACTIONS(3055),
    [anon_sym___asm__] = ACTIONS(3055),
    [sym_number_literal] = ACTIONS(3057),
    [anon_sym_L_SQUOTE] = ACTIONS(3057),
    [anon_sym_u_SQUOTE] = ACTIONS(3057),
    [anon_sym_U_SQUOTE] = ACTIONS(3057),
    [anon_sym_u8_SQUOTE] = ACTIONS(3057),
    [anon_sym_SQUOTE] = ACTIONS(3057),
    [anon_sym_L_DQUOTE] = ACTIONS(3057),
    [anon_sym_u_DQUOTE] = ACTIONS(3057),
    [anon_sym_U_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8_DQUOTE] = ACTIONS(3057),
    [anon_sym_DQUOTE] = ACTIONS(3057),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [anon_sym_NULL] = ACTIONS(3055),
    [anon_sym_nullptr] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3055),
    [anon_sym_decltype] = ACTIONS(3055),
    [anon_sym_virtual] = ACTIONS(3055),
    [anon_sym_alignas] = ACTIONS(3055),
    [anon_sym_explicit] = ACTIONS(3055),
    [anon_sym_typename] = ACTIONS(3055),
    [anon_sym_template] = ACTIONS(3055),
    [anon_sym_operator] = ACTIONS(3055),
    [anon_sym_try] = ACTIONS(3055),
    [anon_sym_delete] = ACTIONS(3055),
    [anon_sym_throw] = ACTIONS(3055),
    [anon_sym_namespace] = ACTIONS(3055),
    [anon_sym_using] = ACTIONS(3055),
    [anon_sym_static_assert] = ACTIONS(3055),
    [anon_sym_concept] = ACTIONS(3055),
    [anon_sym_co_return] = ACTIONS(3055),
    [anon_sym_co_yield] = ACTIONS(3055),
    [anon_sym_R_DQUOTE] = ACTIONS(3057),
    [anon_sym_LR_DQUOTE] = ACTIONS(3057),
    [anon_sym_uR_DQUOTE] = ACTIONS(3057),
    [anon_sym_UR_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3057),
    [anon_sym_co_await] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(3055),
    [anon_sym_requires] = ACTIONS(3055),
    [sym_this] = ACTIONS(3055),
  },
  [577] = {
    [sym_else_clause] = STATE(646),
    [sym_identifier] = ACTIONS(2863),
    [aux_sym_preproc_include_token1] = ACTIONS(2863),
    [aux_sym_preproc_def_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token1] = ACTIONS(2863),
    [aux_sym_preproc_if_token2] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2863),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2863),
    [sym_preproc_directive] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP_AMP] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2863),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym___based] = ACTIONS(2863),
    [anon_sym___cdecl] = ACTIONS(2863),
    [anon_sym___clrcall] = ACTIONS(2863),
    [anon_sym___stdcall] = ACTIONS(2863),
    [anon_sym___fastcall] = ACTIONS(2863),
    [anon_sym___thiscall] = ACTIONS(2863),
    [anon_sym___vectorcall] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_case] = ACTIONS(2863),
    [anon_sym_default] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_explicit] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_operator] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_namespace] = ACTIONS(2863),
    [anon_sym_using] = ACTIONS(2863),
    [anon_sym_static_assert] = ACTIONS(2863),
    [anon_sym_concept] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [578] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [579] = {
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_include_token1] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [aux_sym_preproc_else_token1] = ACTIONS(3298),
    [aux_sym_preproc_elif_token1] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym___cdecl] = ACTIONS(3298),
    [anon_sym___clrcall] = ACTIONS(3298),
    [anon_sym___stdcall] = ACTIONS(3298),
    [anon_sym___fastcall] = ACTIONS(3298),
    [anon_sym___thiscall] = ACTIONS(3298),
    [anon_sym___vectorcall] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_goto] = ACTIONS(3298),
    [anon_sym___try] = ACTIONS(3298),
    [anon_sym___leave] = ACTIONS(3298),
    [anon_sym_not] = ACTIONS(3298),
    [anon_sym_compl] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_sizeof] = ACTIONS(3298),
    [anon_sym___alignof__] = ACTIONS(3298),
    [anon_sym___alignof] = ACTIONS(3298),
    [anon_sym__alignof] = ACTIONS(3298),
    [anon_sym_alignof] = ACTIONS(3298),
    [anon_sym__Alignof] = ACTIONS(3298),
    [anon_sym_offsetof] = ACTIONS(3298),
    [anon_sym__Generic] = ACTIONS(3298),
    [anon_sym_asm] = ACTIONS(3298),
    [anon_sym___asm__] = ACTIONS(3298),
    [sym_number_literal] = ACTIONS(3300),
    [anon_sym_L_SQUOTE] = ACTIONS(3300),
    [anon_sym_u_SQUOTE] = ACTIONS(3300),
    [anon_sym_U_SQUOTE] = ACTIONS(3300),
    [anon_sym_u8_SQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_L_DQUOTE] = ACTIONS(3300),
    [anon_sym_u_DQUOTE] = ACTIONS(3300),
    [anon_sym_U_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8_DQUOTE] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [anon_sym_NULL] = ACTIONS(3298),
    [anon_sym_nullptr] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
    [anon_sym_concept] = ACTIONS(3298),
    [anon_sym_co_return] = ACTIONS(3298),
    [anon_sym_co_yield] = ACTIONS(3298),
    [anon_sym_R_DQUOTE] = ACTIONS(3300),
    [anon_sym_LR_DQUOTE] = ACTIONS(3300),
    [anon_sym_uR_DQUOTE] = ACTIONS(3300),
    [anon_sym_UR_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3300),
    [anon_sym_co_await] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_requires] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
  },
  [580] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(4938),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7606),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(7693),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(3430),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [581] = {
    [sym_identifier] = ACTIONS(3280),
    [aux_sym_preproc_include_token1] = ACTIONS(3280),
    [aux_sym_preproc_def_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token2] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3280),
    [aux_sym_preproc_else_token1] = ACTIONS(3280),
    [aux_sym_preproc_elif_token1] = ACTIONS(3280),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3280),
    [anon_sym_extern] = ACTIONS(3280),
    [anon_sym___attribute__] = ACTIONS(3280),
    [anon_sym_COLON_COLON] = ACTIONS(3282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3282),
    [anon_sym___declspec] = ACTIONS(3280),
    [anon_sym___based] = ACTIONS(3280),
    [anon_sym___cdecl] = ACTIONS(3280),
    [anon_sym___clrcall] = ACTIONS(3280),
    [anon_sym___stdcall] = ACTIONS(3280),
    [anon_sym___fastcall] = ACTIONS(3280),
    [anon_sym___thiscall] = ACTIONS(3280),
    [anon_sym___vectorcall] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3280),
    [anon_sym_unsigned] = ACTIONS(3280),
    [anon_sym_long] = ACTIONS(3280),
    [anon_sym_short] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_register] = ACTIONS(3280),
    [anon_sym_inline] = ACTIONS(3280),
    [anon_sym___inline] = ACTIONS(3280),
    [anon_sym___inline__] = ACTIONS(3280),
    [anon_sym___forceinline] = ACTIONS(3280),
    [anon_sym_thread_local] = ACTIONS(3280),
    [anon_sym___thread] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_constexpr] = ACTIONS(3280),
    [anon_sym_volatile] = ACTIONS(3280),
    [anon_sym_restrict] = ACTIONS(3280),
    [anon_sym___restrict__] = ACTIONS(3280),
    [anon_sym__Atomic] = ACTIONS(3280),
    [anon_sym__Noreturn] = ACTIONS(3280),
    [anon_sym_noreturn] = ACTIONS(3280),
    [anon_sym_mutable] = ACTIONS(3280),
    [anon_sym_constinit] = ACTIONS(3280),
    [anon_sym_consteval] = ACTIONS(3280),
    [sym_primitive_type] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_struct] = ACTIONS(3280),
    [anon_sym_union] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_goto] = ACTIONS(3280),
    [anon_sym___try] = ACTIONS(3280),
    [anon_sym___leave] = ACTIONS(3280),
    [anon_sym_not] = ACTIONS(3280),
    [anon_sym_compl] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_sizeof] = ACTIONS(3280),
    [anon_sym___alignof__] = ACTIONS(3280),
    [anon_sym___alignof] = ACTIONS(3280),
    [anon_sym__alignof] = ACTIONS(3280),
    [anon_sym_alignof] = ACTIONS(3280),
    [anon_sym__Alignof] = ACTIONS(3280),
    [anon_sym_offsetof] = ACTIONS(3280),
    [anon_sym__Generic] = ACTIONS(3280),
    [anon_sym_asm] = ACTIONS(3280),
    [anon_sym___asm__] = ACTIONS(3280),
    [sym_number_literal] = ACTIONS(3282),
    [anon_sym_L_SQUOTE] = ACTIONS(3282),
    [anon_sym_u_SQUOTE] = ACTIONS(3282),
    [anon_sym_U_SQUOTE] = ACTIONS(3282),
    [anon_sym_u8_SQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_L_DQUOTE] = ACTIONS(3282),
    [anon_sym_u_DQUOTE] = ACTIONS(3282),
    [anon_sym_U_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8_DQUOTE] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [anon_sym_NULL] = ACTIONS(3280),
    [anon_sym_nullptr] = ACTIONS(3280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3280),
    [anon_sym_decltype] = ACTIONS(3280),
    [anon_sym_virtual] = ACTIONS(3280),
    [anon_sym_alignas] = ACTIONS(3280),
    [anon_sym_explicit] = ACTIONS(3280),
    [anon_sym_typename] = ACTIONS(3280),
    [anon_sym_template] = ACTIONS(3280),
    [anon_sym_operator] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_static_assert] = ACTIONS(3280),
    [anon_sym_concept] = ACTIONS(3280),
    [anon_sym_co_return] = ACTIONS(3280),
    [anon_sym_co_yield] = ACTIONS(3280),
    [anon_sym_R_DQUOTE] = ACTIONS(3282),
    [anon_sym_LR_DQUOTE] = ACTIONS(3282),
    [anon_sym_uR_DQUOTE] = ACTIONS(3282),
    [anon_sym_UR_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3282),
    [anon_sym_co_await] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_requires] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
  },
  [582] = {
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_include_token1] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [aux_sym_preproc_else_token1] = ACTIONS(3302),
    [aux_sym_preproc_elif_token1] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym___cdecl] = ACTIONS(3302),
    [anon_sym___clrcall] = ACTIONS(3302),
    [anon_sym___stdcall] = ACTIONS(3302),
    [anon_sym___fastcall] = ACTIONS(3302),
    [anon_sym___thiscall] = ACTIONS(3302),
    [anon_sym___vectorcall] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_goto] = ACTIONS(3302),
    [anon_sym___try] = ACTIONS(3302),
    [anon_sym___leave] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3302),
    [anon_sym_compl] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3302),
    [anon_sym__Generic] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3304),
    [anon_sym_u_SQUOTE] = ACTIONS(3304),
    [anon_sym_U_SQUOTE] = ACTIONS(3304),
    [anon_sym_u8_SQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_L_DQUOTE] = ACTIONS(3304),
    [anon_sym_u_DQUOTE] = ACTIONS(3304),
    [anon_sym_U_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8_DQUOTE] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [anon_sym_NULL] = ACTIONS(3302),
    [anon_sym_nullptr] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
    [anon_sym_concept] = ACTIONS(3302),
    [anon_sym_co_return] = ACTIONS(3302),
    [anon_sym_co_yield] = ACTIONS(3302),
    [anon_sym_R_DQUOTE] = ACTIONS(3304),
    [anon_sym_LR_DQUOTE] = ACTIONS(3304),
    [anon_sym_uR_DQUOTE] = ACTIONS(3304),
    [anon_sym_UR_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3304),
    [anon_sym_co_await] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
  },
  [583] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token2] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [aux_sym_preproc_else_token1] = ACTIONS(3249),
    [aux_sym_preproc_elif_token1] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [584] = {
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_include_token1] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [aux_sym_preproc_else_token1] = ACTIONS(3265),
    [aux_sym_preproc_elif_token1] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym___cdecl] = ACTIONS(3265),
    [anon_sym___clrcall] = ACTIONS(3265),
    [anon_sym___stdcall] = ACTIONS(3265),
    [anon_sym___fastcall] = ACTIONS(3265),
    [anon_sym___thiscall] = ACTIONS(3265),
    [anon_sym___vectorcall] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym___try] = ACTIONS(3265),
    [anon_sym___leave] = ACTIONS(3265),
    [anon_sym_not] = ACTIONS(3265),
    [anon_sym_compl] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym___alignof__] = ACTIONS(3265),
    [anon_sym___alignof] = ACTIONS(3265),
    [anon_sym__alignof] = ACTIONS(3265),
    [anon_sym_alignof] = ACTIONS(3265),
    [anon_sym__Alignof] = ACTIONS(3265),
    [anon_sym_offsetof] = ACTIONS(3265),
    [anon_sym__Generic] = ACTIONS(3265),
    [anon_sym_asm] = ACTIONS(3265),
    [anon_sym___asm__] = ACTIONS(3265),
    [sym_number_literal] = ACTIONS(3267),
    [anon_sym_L_SQUOTE] = ACTIONS(3267),
    [anon_sym_u_SQUOTE] = ACTIONS(3267),
    [anon_sym_U_SQUOTE] = ACTIONS(3267),
    [anon_sym_u8_SQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_L_DQUOTE] = ACTIONS(3267),
    [anon_sym_u_DQUOTE] = ACTIONS(3267),
    [anon_sym_U_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8_DQUOTE] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [anon_sym_NULL] = ACTIONS(3265),
    [anon_sym_nullptr] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
    [anon_sym_concept] = ACTIONS(3265),
    [anon_sym_co_return] = ACTIONS(3265),
    [anon_sym_co_yield] = ACTIONS(3265),
    [anon_sym_R_DQUOTE] = ACTIONS(3267),
    [anon_sym_LR_DQUOTE] = ACTIONS(3267),
    [anon_sym_uR_DQUOTE] = ACTIONS(3267),
    [anon_sym_UR_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3267),
    [anon_sym_co_await] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_requires] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
  },
  [585] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [586] = {
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_include_token1] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token2] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [aux_sym_preproc_else_token1] = ACTIONS(3209),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym___cdecl] = ACTIONS(3209),
    [anon_sym___clrcall] = ACTIONS(3209),
    [anon_sym___stdcall] = ACTIONS(3209),
    [anon_sym___fastcall] = ACTIONS(3209),
    [anon_sym___thiscall] = ACTIONS(3209),
    [anon_sym___vectorcall] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym___try] = ACTIONS(3209),
    [anon_sym___leave] = ACTIONS(3209),
    [anon_sym_not] = ACTIONS(3209),
    [anon_sym_compl] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym___alignof__] = ACTIONS(3209),
    [anon_sym___alignof] = ACTIONS(3209),
    [anon_sym__alignof] = ACTIONS(3209),
    [anon_sym_alignof] = ACTIONS(3209),
    [anon_sym__Alignof] = ACTIONS(3209),
    [anon_sym_offsetof] = ACTIONS(3209),
    [anon_sym__Generic] = ACTIONS(3209),
    [anon_sym_asm] = ACTIONS(3209),
    [anon_sym___asm__] = ACTIONS(3209),
    [sym_number_literal] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3211),
    [anon_sym_u_SQUOTE] = ACTIONS(3211),
    [anon_sym_U_SQUOTE] = ACTIONS(3211),
    [anon_sym_u8_SQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_L_DQUOTE] = ACTIONS(3211),
    [anon_sym_u_DQUOTE] = ACTIONS(3211),
    [anon_sym_U_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8_DQUOTE] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [anon_sym_NULL] = ACTIONS(3209),
    [anon_sym_nullptr] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
    [anon_sym_concept] = ACTIONS(3209),
    [anon_sym_co_return] = ACTIONS(3209),
    [anon_sym_co_yield] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(3211),
    [anon_sym_LR_DQUOTE] = ACTIONS(3211),
    [anon_sym_uR_DQUOTE] = ACTIONS(3211),
    [anon_sym_UR_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3211),
    [anon_sym_co_await] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_requires] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
  },
  [587] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [588] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [589] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [590] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [aux_sym_preproc_else_token1] = ACTIONS(3128),
    [aux_sym_preproc_elif_token1] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [sym_number_literal] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [591] = {
    [sym_else_clause] = STATE(685),
    [sym_identifier] = ACTIONS(2857),
    [aux_sym_preproc_include_token1] = ACTIONS(2857),
    [aux_sym_preproc_def_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token1] = ACTIONS(2857),
    [aux_sym_preproc_if_token2] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2857),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2857),
    [sym_preproc_directive] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP_AMP] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2857),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym___based] = ACTIONS(2857),
    [anon_sym___cdecl] = ACTIONS(2857),
    [anon_sym___clrcall] = ACTIONS(2857),
    [anon_sym___stdcall] = ACTIONS(2857),
    [anon_sym___fastcall] = ACTIONS(2857),
    [anon_sym___thiscall] = ACTIONS(2857),
    [anon_sym___vectorcall] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [sym_primitive_type] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(3428),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_case] = ACTIONS(2857),
    [anon_sym_default] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [sym_number_literal] = ACTIONS(2859),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym_explicit] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_operator] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_namespace] = ACTIONS(2857),
    [anon_sym_using] = ACTIONS(2857),
    [anon_sym_static_assert] = ACTIONS(2857),
    [anon_sym_concept] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [592] = {
    [ts_builtin_sym_end] = ACTIONS(2855),
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [593] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_include_token1] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym___cdecl] = ACTIONS(2853),
    [anon_sym___clrcall] = ACTIONS(2853),
    [anon_sym___stdcall] = ACTIONS(2853),
    [anon_sym___fastcall] = ACTIONS(2853),
    [anon_sym___thiscall] = ACTIONS(2853),
    [anon_sym___vectorcall] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_RBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_case] = ACTIONS(2853),
    [anon_sym_default] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_namespace] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_concept] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [594] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [aux_sym_preproc_else_token1] = ACTIONS(3144),
    [aux_sym_preproc_elif_token1] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [595] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3136),
    [aux_sym_preproc_elif_token1] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [596] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [sym_number_literal] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [597] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [aux_sym_preproc_else_token1] = ACTIONS(3120),
    [aux_sym_preproc_elif_token1] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [598] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [599] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [600] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token2] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [601] = {
    [ts_builtin_sym_end] = ACTIONS(2887),
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [602] = {
    [sym_preproc_def] = STATE(619),
    [sym_preproc_function_def] = STATE(619),
    [sym_preproc_call] = STATE(619),
    [sym_preproc_if_in_field_declaration_list] = STATE(619),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(619),
    [sym_preproc_else_in_field_declaration_list] = STATE(9255),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9255),
    [sym_type_definition] = STATE(619),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(619),
    [sym_field_declaration] = STATE(619),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(619),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(619),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(619),
    [sym_operator_cast_declaration] = STATE(619),
    [sym_constructor_or_destructor_definition] = STATE(619),
    [sym_constructor_or_destructor_declaration] = STATE(619),
    [sym_friend_declaration] = STATE(619),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(619),
    [sym_alias_declaration] = STATE(619),
    [sym_static_assert_declaration] = STATE(619),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(619),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3436),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [603] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [604] = {
    [ts_builtin_sym_end] = ACTIONS(2931),
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [605] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token2] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [606] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_RBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [607] = {
    [ts_builtin_sym_end] = ACTIONS(2895),
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [608] = {
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_RBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [609] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_unaligned_ptr_modifier] = STATE(5727),
    [sym_ms_pointer_modifier] = STATE(3944),
    [sym__declarator] = STATE(6945),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_type_qualifier] = STATE(4597),
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6212),
    [sym_qualified_identifier] = STATE(3709),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(2764),
    [aux_sym__type_definition_type_repeat1] = STATE(4597),
    [aux_sym_pointer_declarator_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_LPAREN2] = ACTIONS(3456),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(3458),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym___extension__] = ACTIONS(3460),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3462),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3462),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3462),
    [anon_sym__unaligned] = ACTIONS(3464),
    [anon_sym___unaligned] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_constexpr] = ACTIONS(3460),
    [anon_sym_volatile] = ACTIONS(3460),
    [anon_sym_restrict] = ACTIONS(3460),
    [anon_sym___restrict__] = ACTIONS(3460),
    [anon_sym__Atomic] = ACTIONS(3460),
    [anon_sym__Noreturn] = ACTIONS(3460),
    [anon_sym_noreturn] = ACTIONS(3460),
    [anon_sym_mutable] = ACTIONS(3460),
    [anon_sym_constinit] = ACTIONS(3460),
    [anon_sym_consteval] = ACTIONS(3460),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [610] = {
    [ts_builtin_sym_end] = ACTIONS(2911),
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [611] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_RBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [612] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [613] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token2] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [614] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_RBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [615] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [616] = {
    [sym_type_qualifier] = STATE(4522),
    [sym__type_specifier] = STATE(5434),
    [sym_sized_type_specifier] = STATE(3276),
    [sym_enum_specifier] = STATE(3276),
    [sym_struct_specifier] = STATE(3276),
    [sym_union_specifier] = STATE(3276),
    [sym__expression] = STATE(5016),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_type_descriptor] = STATE(7645),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_placeholder_type_specifier] = STATE(3276),
    [sym_decltype_auto] = STATE(3379),
    [sym_decltype] = STATE(3176),
    [sym_class_specifier] = STATE(3276),
    [sym__class_name] = STATE(8330),
    [sym_dependent_type] = STATE(3276),
    [sym_template_type] = STATE(5954),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_type_parameter_pack_expansion] = STATE(8211),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6160),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(5962),
    [sym_user_defined_literal] = STATE(3994),
    [aux_sym__type_definition_type_repeat1] = STATE(4522),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2731),
    [sym_identifier] = ACTIONS(3326),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_signed] = ACTIONS(3338),
    [anon_sym_unsigned] = ACTIONS(3338),
    [anon_sym_long] = ACTIONS(3338),
    [anon_sym_short] = ACTIONS(3338),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3340),
    [anon_sym_enum] = ACTIONS(3342),
    [anon_sym_class] = ACTIONS(3344),
    [anon_sym_struct] = ACTIONS(3346),
    [anon_sym_union] = ACTIONS(3348),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3372),
    [anon_sym_decltype] = ACTIONS(3374),
    [anon_sym_typename] = ACTIONS(3376),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [617] = {
    [ts_builtin_sym_end] = ACTIONS(2907),
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [618] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [619] = {
    [sym_preproc_def] = STATE(955),
    [sym_preproc_function_def] = STATE(955),
    [sym_preproc_call] = STATE(955),
    [sym_preproc_if_in_field_declaration_list] = STATE(955),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(955),
    [sym_preproc_else_in_field_declaration_list] = STATE(9310),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9310),
    [sym_type_definition] = STATE(955),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(955),
    [sym_field_declaration] = STATE(955),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(955),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(955),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(955),
    [sym_operator_cast_declaration] = STATE(955),
    [sym_constructor_or_destructor_definition] = STATE(955),
    [sym_constructor_or_destructor_declaration] = STATE(955),
    [sym_friend_declaration] = STATE(955),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(955),
    [sym_alias_declaration] = STATE(955),
    [sym_static_assert_declaration] = STATE(955),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(955),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [620] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_unaligned_ptr_modifier] = STATE(5727),
    [sym_ms_pointer_modifier] = STATE(3944),
    [sym__declarator] = STATE(6945),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_type_qualifier] = STATE(4597),
    [sym__expression] = STATE(3460),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3636),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_identifier] = STATE(3650),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3756),
    [aux_sym__type_definition_type_repeat1] = STATE(4597),
    [aux_sym_pointer_declarator_repeat1] = STATE(3944),
    [sym_identifier] = ACTIONS(3470),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym___extension__] = ACTIONS(3460),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [sym_ms_restrict_modifier] = ACTIONS(3462),
    [sym_ms_unsigned_ptr_modifier] = ACTIONS(3462),
    [sym_ms_signed_ptr_modifier] = ACTIONS(3462),
    [anon_sym__unaligned] = ACTIONS(3464),
    [anon_sym___unaligned] = ACTIONS(3464),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [anon_sym_const] = ACTIONS(3460),
    [anon_sym_constexpr] = ACTIONS(3460),
    [anon_sym_volatile] = ACTIONS(3460),
    [anon_sym_restrict] = ACTIONS(3460),
    [anon_sym___restrict__] = ACTIONS(3460),
    [anon_sym__Atomic] = ACTIONS(3460),
    [anon_sym__Noreturn] = ACTIONS(3460),
    [anon_sym_noreturn] = ACTIONS(3460),
    [anon_sym_mutable] = ACTIONS(3460),
    [anon_sym_constinit] = ACTIONS(3460),
    [anon_sym_consteval] = ACTIONS(3460),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [621] = {
    [ts_builtin_sym_end] = ACTIONS(2955),
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [622] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token2] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [623] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token2] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [624] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2879),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [625] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [626] = {
    [sym_preproc_def] = STATE(955),
    [sym_preproc_function_def] = STATE(955),
    [sym_preproc_call] = STATE(955),
    [sym_preproc_if_in_field_declaration_list] = STATE(955),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(955),
    [sym_preproc_else_in_field_declaration_list] = STATE(9119),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9119),
    [sym_type_definition] = STATE(955),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(955),
    [sym_field_declaration] = STATE(955),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(955),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(955),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(955),
    [sym_operator_cast_declaration] = STATE(955),
    [sym_constructor_or_destructor_definition] = STATE(955),
    [sym_constructor_or_destructor_declaration] = STATE(955),
    [sym_friend_declaration] = STATE(955),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(955),
    [sym_alias_declaration] = STATE(955),
    [sym_static_assert_declaration] = STATE(955),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(955),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [627] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_RBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [628] = {
    [ts_builtin_sym_end] = ACTIONS(2967),
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [629] = {
    [ts_builtin_sym_end] = ACTIONS(2903),
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [630] = {
    [ts_builtin_sym_end] = ACTIONS(2935),
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [631] = {
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token2] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [632] = {
    [ts_builtin_sym_end] = ACTIONS(2899),
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [633] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token2] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [634] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_RBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [635] = {
    [sym_preproc_def] = STATE(635),
    [sym_preproc_function_def] = STATE(635),
    [sym_preproc_call] = STATE(635),
    [sym_preproc_if_in_field_declaration_list] = STATE(635),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(635),
    [sym_type_definition] = STATE(635),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6186),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(635),
    [sym_field_declaration] = STATE(635),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(635),
    [sym_operator_cast] = STATE(7200),
    [sym_inline_method_definition] = STATE(635),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(635),
    [sym_operator_cast_declaration] = STATE(635),
    [sym_constructor_or_destructor_definition] = STATE(635),
    [sym_constructor_or_destructor_declaration] = STATE(635),
    [sym_friend_declaration] = STATE(635),
    [sym_access_specifier] = STATE(8456),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(635),
    [sym_alias_declaration] = STATE(635),
    [sym_static_assert_declaration] = STATE(635),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(635),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(3474),
    [aux_sym_preproc_def_token1] = ACTIONS(3477),
    [aux_sym_preproc_if_token1] = ACTIONS(3480),
    [aux_sym_preproc_if_token2] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3485),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3485),
    [aux_sym_preproc_else_token1] = ACTIONS(3483),
    [aux_sym_preproc_elif_token1] = ACTIONS(3483),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3483),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3488),
    [anon_sym_LPAREN2] = ACTIONS(3491),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3500),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym___extension__] = ACTIONS(3506),
    [anon_sym_typedef] = ACTIONS(3509),
    [anon_sym_extern] = ACTIONS(3512),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3521),
    [anon_sym___declspec] = ACTIONS(3524),
    [anon_sym___based] = ACTIONS(3527),
    [anon_sym_signed] = ACTIONS(3530),
    [anon_sym_unsigned] = ACTIONS(3530),
    [anon_sym_long] = ACTIONS(3530),
    [anon_sym_short] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_static] = ACTIONS(3512),
    [anon_sym_register] = ACTIONS(3512),
    [anon_sym_inline] = ACTIONS(3512),
    [anon_sym___inline] = ACTIONS(3512),
    [anon_sym___inline__] = ACTIONS(3512),
    [anon_sym___forceinline] = ACTIONS(3512),
    [anon_sym_thread_local] = ACTIONS(3512),
    [anon_sym___thread] = ACTIONS(3512),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_constexpr] = ACTIONS(3536),
    [anon_sym_volatile] = ACTIONS(3536),
    [anon_sym_restrict] = ACTIONS(3536),
    [anon_sym___restrict__] = ACTIONS(3536),
    [anon_sym__Atomic] = ACTIONS(3536),
    [anon_sym__Noreturn] = ACTIONS(3536),
    [anon_sym_noreturn] = ACTIONS(3536),
    [anon_sym_mutable] = ACTIONS(3536),
    [anon_sym_constinit] = ACTIONS(3536),
    [anon_sym_consteval] = ACTIONS(3536),
    [sym_primitive_type] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3545),
    [anon_sym_struct] = ACTIONS(3548),
    [anon_sym_union] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3554),
    [anon_sym_decltype] = ACTIONS(3557),
    [anon_sym_virtual] = ACTIONS(3560),
    [anon_sym_alignas] = ACTIONS(3563),
    [anon_sym_explicit] = ACTIONS(3566),
    [anon_sym_typename] = ACTIONS(3569),
    [anon_sym_template] = ACTIONS(3572),
    [anon_sym_operator] = ACTIONS(3575),
    [anon_sym_friend] = ACTIONS(3578),
    [anon_sym_public] = ACTIONS(3581),
    [anon_sym_private] = ACTIONS(3581),
    [anon_sym_protected] = ACTIONS(3581),
    [anon_sym_using] = ACTIONS(3584),
    [anon_sym_static_assert] = ACTIONS(3587),
  },
  [636] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_RBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [637] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_RBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [638] = {
    [ts_builtin_sym_end] = ACTIONS(2939),
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [639] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token2] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [640] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_RBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [641] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token2] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [642] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_RBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [643] = {
    [ts_builtin_sym_end] = ACTIONS(2943),
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [644] = {
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_RBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [645] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token2] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [646] = {
    [sym_identifier] = ACTIONS(2885),
    [aux_sym_preproc_include_token1] = ACTIONS(2885),
    [aux_sym_preproc_def_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token1] = ACTIONS(2885),
    [aux_sym_preproc_if_token2] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2885),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2885),
    [sym_preproc_directive] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP_AMP] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2885),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym___based] = ACTIONS(2885),
    [anon_sym___cdecl] = ACTIONS(2885),
    [anon_sym___clrcall] = ACTIONS(2885),
    [anon_sym___stdcall] = ACTIONS(2885),
    [anon_sym___fastcall] = ACTIONS(2885),
    [anon_sym___thiscall] = ACTIONS(2885),
    [anon_sym___vectorcall] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_case] = ACTIONS(2885),
    [anon_sym_default] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_explicit] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_operator] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_namespace] = ACTIONS(2885),
    [anon_sym_using] = ACTIONS(2885),
    [anon_sym_static_assert] = ACTIONS(2885),
    [anon_sym_concept] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [647] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_RBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [648] = {
    [ts_builtin_sym_end] = ACTIONS(2877),
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [649] = {
    [ts_builtin_sym_end] = ACTIONS(2883),
    [sym_identifier] = ACTIONS(2881),
    [aux_sym_preproc_include_token1] = ACTIONS(2881),
    [aux_sym_preproc_def_token1] = ACTIONS(2881),
    [aux_sym_preproc_if_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2881),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2881),
    [sym_preproc_directive] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP_AMP] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2881),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym___based] = ACTIONS(2881),
    [anon_sym___cdecl] = ACTIONS(2881),
    [anon_sym___clrcall] = ACTIONS(2881),
    [anon_sym___stdcall] = ACTIONS(2881),
    [anon_sym___fastcall] = ACTIONS(2881),
    [anon_sym___thiscall] = ACTIONS(2881),
    [anon_sym___vectorcall] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_case] = ACTIONS(2881),
    [anon_sym_default] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_explicit] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_operator] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_namespace] = ACTIONS(2881),
    [anon_sym_using] = ACTIONS(2881),
    [anon_sym_static_assert] = ACTIONS(2881),
    [anon_sym_concept] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [650] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_RBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [651] = {
    [sym_identifier] = ACTIONS(2953),
    [aux_sym_preproc_include_token1] = ACTIONS(2953),
    [aux_sym_preproc_def_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token1] = ACTIONS(2953),
    [aux_sym_preproc_if_token2] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2953),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2953),
    [sym_preproc_directive] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP_AMP] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2953),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym___based] = ACTIONS(2953),
    [anon_sym___cdecl] = ACTIONS(2953),
    [anon_sym___clrcall] = ACTIONS(2953),
    [anon_sym___stdcall] = ACTIONS(2953),
    [anon_sym___fastcall] = ACTIONS(2953),
    [anon_sym___thiscall] = ACTIONS(2953),
    [anon_sym___vectorcall] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_case] = ACTIONS(2953),
    [anon_sym_default] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_explicit] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_operator] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_namespace] = ACTIONS(2953),
    [anon_sym_using] = ACTIONS(2953),
    [anon_sym_static_assert] = ACTIONS(2953),
    [anon_sym_concept] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [652] = {
    [sym__expression] = STATE(4774),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(3590),
    [anon_sym_extern] = ACTIONS(3590),
    [anon_sym___attribute__] = ACTIONS(3590),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3592),
    [anon_sym___declspec] = ACTIONS(3590),
    [anon_sym_signed] = ACTIONS(3590),
    [anon_sym_unsigned] = ACTIONS(3590),
    [anon_sym_long] = ACTIONS(3590),
    [anon_sym_short] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(1426),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_register] = ACTIONS(3590),
    [anon_sym_inline] = ACTIONS(3590),
    [anon_sym___inline] = ACTIONS(3590),
    [anon_sym___inline__] = ACTIONS(3590),
    [anon_sym___forceinline] = ACTIONS(3590),
    [anon_sym_thread_local] = ACTIONS(3590),
    [anon_sym___thread] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_constexpr] = ACTIONS(3590),
    [anon_sym_volatile] = ACTIONS(3590),
    [anon_sym_restrict] = ACTIONS(3590),
    [anon_sym___restrict__] = ACTIONS(3590),
    [anon_sym__Atomic] = ACTIONS(3590),
    [anon_sym__Noreturn] = ACTIONS(3590),
    [anon_sym_noreturn] = ACTIONS(3590),
    [anon_sym_mutable] = ACTIONS(3590),
    [anon_sym_constinit] = ACTIONS(3590),
    [anon_sym_consteval] = ACTIONS(3590),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_enum] = ACTIONS(3590),
    [anon_sym_class] = ACTIONS(3590),
    [anon_sym_struct] = ACTIONS(3590),
    [anon_sym_union] = ACTIONS(3590),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3590),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(3590),
    [anon_sym_alignas] = ACTIONS(3590),
    [anon_sym_typename] = ACTIONS(3590),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [653] = {
    [sym_preproc_def] = STATE(955),
    [sym_preproc_function_def] = STATE(955),
    [sym_preproc_call] = STATE(955),
    [sym_preproc_if_in_field_declaration_list] = STATE(955),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(955),
    [sym_preproc_else_in_field_declaration_list] = STATE(8898),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8898),
    [sym_type_definition] = STATE(955),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(955),
    [sym_field_declaration] = STATE(955),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(955),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(955),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(955),
    [sym_operator_cast_declaration] = STATE(955),
    [sym_constructor_or_destructor_definition] = STATE(955),
    [sym_constructor_or_destructor_declaration] = STATE(955),
    [sym_friend_declaration] = STATE(955),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(955),
    [sym_alias_declaration] = STATE(955),
    [sym_static_assert_declaration] = STATE(955),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(955),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3594),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [654] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token2] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [655] = {
    [sym_identifier] = ACTIONS(2875),
    [aux_sym_preproc_include_token1] = ACTIONS(2875),
    [aux_sym_preproc_def_token1] = ACTIONS(2875),
    [aux_sym_preproc_if_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2875),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2875),
    [sym_preproc_directive] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP_AMP] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2875),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym___based] = ACTIONS(2875),
    [anon_sym___cdecl] = ACTIONS(2875),
    [anon_sym___clrcall] = ACTIONS(2875),
    [anon_sym___stdcall] = ACTIONS(2875),
    [anon_sym___fastcall] = ACTIONS(2875),
    [anon_sym___thiscall] = ACTIONS(2875),
    [anon_sym___vectorcall] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_RBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_case] = ACTIONS(2875),
    [anon_sym_default] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_explicit] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_operator] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_namespace] = ACTIONS(2875),
    [anon_sym_using] = ACTIONS(2875),
    [anon_sym_static_assert] = ACTIONS(2875),
    [anon_sym_concept] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [656] = {
    [sym_preproc_def] = STATE(653),
    [sym_preproc_function_def] = STATE(653),
    [sym_preproc_call] = STATE(653),
    [sym_preproc_if_in_field_declaration_list] = STATE(653),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(653),
    [sym_preproc_else_in_field_declaration_list] = STATE(8801),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8801),
    [sym_type_definition] = STATE(653),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(653),
    [sym_field_declaration] = STATE(653),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(653),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(653),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(653),
    [sym_operator_cast_declaration] = STATE(653),
    [sym_constructor_or_destructor_definition] = STATE(653),
    [sym_constructor_or_destructor_declaration] = STATE(653),
    [sym_friend_declaration] = STATE(653),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(653),
    [sym_alias_declaration] = STATE(653),
    [sym_static_assert_declaration] = STATE(653),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(653),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3596),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [657] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [658] = {
    [ts_builtin_sym_end] = ACTIONS(2951),
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [659] = {
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_RBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [660] = {
    [sym_identifier] = ACTIONS(2949),
    [aux_sym_preproc_include_token1] = ACTIONS(2949),
    [aux_sym_preproc_def_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token1] = ACTIONS(2949),
    [aux_sym_preproc_if_token2] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2949),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2949),
    [sym_preproc_directive] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP_AMP] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2949),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym___based] = ACTIONS(2949),
    [anon_sym___cdecl] = ACTIONS(2949),
    [anon_sym___clrcall] = ACTIONS(2949),
    [anon_sym___stdcall] = ACTIONS(2949),
    [anon_sym___fastcall] = ACTIONS(2949),
    [anon_sym___thiscall] = ACTIONS(2949),
    [anon_sym___vectorcall] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_case] = ACTIONS(2949),
    [anon_sym_default] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_explicit] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_operator] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_namespace] = ACTIONS(2949),
    [anon_sym_using] = ACTIONS(2949),
    [anon_sym_static_assert] = ACTIONS(2949),
    [anon_sym_concept] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [661] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [662] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [663] = {
    [sym_identifier] = ACTIONS(2933),
    [aux_sym_preproc_include_token1] = ACTIONS(2933),
    [aux_sym_preproc_def_token1] = ACTIONS(2933),
    [aux_sym_preproc_if_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2933),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2933),
    [sym_preproc_directive] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP_AMP] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2933),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym___based] = ACTIONS(2933),
    [anon_sym___cdecl] = ACTIONS(2933),
    [anon_sym___clrcall] = ACTIONS(2933),
    [anon_sym___stdcall] = ACTIONS(2933),
    [anon_sym___fastcall] = ACTIONS(2933),
    [anon_sym___thiscall] = ACTIONS(2933),
    [anon_sym___vectorcall] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_RBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_case] = ACTIONS(2933),
    [anon_sym_default] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_explicit] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_operator] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_namespace] = ACTIONS(2933),
    [anon_sym_using] = ACTIONS(2933),
    [anon_sym_static_assert] = ACTIONS(2933),
    [anon_sym_concept] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [664] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [665] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [666] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token2] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [667] = {
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token2] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [668] = {
    [ts_builtin_sym_end] = ACTIONS(2891),
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [669] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [670] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [671] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [672] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_RBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [673] = {
    [ts_builtin_sym_end] = ACTIONS(2915),
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [674] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [675] = {
    [ts_builtin_sym_end] = ACTIONS(2959),
    [sym_identifier] = ACTIONS(2957),
    [aux_sym_preproc_include_token1] = ACTIONS(2957),
    [aux_sym_preproc_def_token1] = ACTIONS(2957),
    [aux_sym_preproc_if_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2957),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2957),
    [sym_preproc_directive] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP_AMP] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2957),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym___based] = ACTIONS(2957),
    [anon_sym___cdecl] = ACTIONS(2957),
    [anon_sym___clrcall] = ACTIONS(2957),
    [anon_sym___stdcall] = ACTIONS(2957),
    [anon_sym___fastcall] = ACTIONS(2957),
    [anon_sym___thiscall] = ACTIONS(2957),
    [anon_sym___vectorcall] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_case] = ACTIONS(2957),
    [anon_sym_default] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_explicit] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_operator] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_namespace] = ACTIONS(2957),
    [anon_sym_using] = ACTIONS(2957),
    [anon_sym_static_assert] = ACTIONS(2957),
    [anon_sym_concept] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [676] = {
    [sym_identifier] = ACTIONS(2941),
    [aux_sym_preproc_include_token1] = ACTIONS(2941),
    [aux_sym_preproc_def_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token1] = ACTIONS(2941),
    [aux_sym_preproc_if_token2] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2941),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2941),
    [sym_preproc_directive] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP_AMP] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2941),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym___based] = ACTIONS(2941),
    [anon_sym___cdecl] = ACTIONS(2941),
    [anon_sym___clrcall] = ACTIONS(2941),
    [anon_sym___stdcall] = ACTIONS(2941),
    [anon_sym___fastcall] = ACTIONS(2941),
    [anon_sym___thiscall] = ACTIONS(2941),
    [anon_sym___vectorcall] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_case] = ACTIONS(2941),
    [anon_sym_default] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_explicit] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_operator] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_namespace] = ACTIONS(2941),
    [anon_sym_using] = ACTIONS(2941),
    [anon_sym_static_assert] = ACTIONS(2941),
    [anon_sym_concept] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [677] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [678] = {
    [ts_builtin_sym_end] = ACTIONS(2971),
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [679] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [680] = {
    [ts_builtin_sym_end] = ACTIONS(2975),
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [681] = {
    [sym_identifier] = ACTIONS(2965),
    [aux_sym_preproc_include_token1] = ACTIONS(2965),
    [aux_sym_preproc_def_token1] = ACTIONS(2965),
    [aux_sym_preproc_if_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2965),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2965),
    [sym_preproc_directive] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP_AMP] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2965),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym___based] = ACTIONS(2965),
    [anon_sym___cdecl] = ACTIONS(2965),
    [anon_sym___clrcall] = ACTIONS(2965),
    [anon_sym___stdcall] = ACTIONS(2965),
    [anon_sym___fastcall] = ACTIONS(2965),
    [anon_sym___thiscall] = ACTIONS(2965),
    [anon_sym___vectorcall] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_RBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_case] = ACTIONS(2965),
    [anon_sym_default] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_explicit] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_operator] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_namespace] = ACTIONS(2965),
    [anon_sym_using] = ACTIONS(2965),
    [anon_sym_static_assert] = ACTIONS(2965),
    [anon_sym_concept] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [682] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token2] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [683] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [684] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [685] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token2] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [686] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token2] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [687] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token2] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [688] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [689] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [690] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [691] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_include_token1] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym___cdecl] = ACTIONS(2889),
    [anon_sym___clrcall] = ACTIONS(2889),
    [anon_sym___stdcall] = ACTIONS(2889),
    [anon_sym___fastcall] = ACTIONS(2889),
    [anon_sym___thiscall] = ACTIONS(2889),
    [anon_sym___vectorcall] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_case] = ACTIONS(2889),
    [anon_sym_default] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_namespace] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
    [anon_sym_concept] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [692] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [693] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [694] = {
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_RBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [695] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [696] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [697] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [698] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [699] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [700] = {
    [sym_identifier] = ACTIONS(2893),
    [aux_sym_preproc_include_token1] = ACTIONS(2893),
    [aux_sym_preproc_def_token1] = ACTIONS(2893),
    [aux_sym_preproc_if_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2893),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2893),
    [sym_preproc_directive] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP_AMP] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2893),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym___based] = ACTIONS(2893),
    [anon_sym___cdecl] = ACTIONS(2893),
    [anon_sym___clrcall] = ACTIONS(2893),
    [anon_sym___stdcall] = ACTIONS(2893),
    [anon_sym___fastcall] = ACTIONS(2893),
    [anon_sym___thiscall] = ACTIONS(2893),
    [anon_sym___vectorcall] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_RBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_case] = ACTIONS(2893),
    [anon_sym_default] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_explicit] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_operator] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_namespace] = ACTIONS(2893),
    [anon_sym_using] = ACTIONS(2893),
    [anon_sym_static_assert] = ACTIONS(2893),
    [anon_sym_concept] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [701] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [702] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [703] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [704] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_RBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [705] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [706] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [707] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [708] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [709] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [710] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [711] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [712] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [713] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [714] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [715] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [716] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [717] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [718] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [719] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [720] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [721] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [722] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [723] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [724] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [725] = {
    [ts_builtin_sym_end] = ACTIONS(2869),
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [726] = {
    [sym_preproc_def] = STATE(955),
    [sym_preproc_function_def] = STATE(955),
    [sym_preproc_call] = STATE(955),
    [sym_preproc_if_in_field_declaration_list] = STATE(955),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(955),
    [sym_preproc_else_in_field_declaration_list] = STATE(9137),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9137),
    [sym_type_definition] = STATE(955),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(955),
    [sym_field_declaration] = STATE(955),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(955),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(955),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(955),
    [sym_operator_cast_declaration] = STATE(955),
    [sym_constructor_or_destructor_definition] = STATE(955),
    [sym_constructor_or_destructor_declaration] = STATE(955),
    [sym_friend_declaration] = STATE(955),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(955),
    [sym_alias_declaration] = STATE(955),
    [sym_static_assert_declaration] = STATE(955),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(955),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3598),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [727] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [728] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [729] = {
    [sym_preproc_def] = STATE(726),
    [sym_preproc_function_def] = STATE(726),
    [sym_preproc_call] = STATE(726),
    [sym_preproc_if_in_field_declaration_list] = STATE(726),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(726),
    [sym_preproc_else_in_field_declaration_list] = STATE(8630),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8630),
    [sym_type_definition] = STATE(726),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(726),
    [sym_field_declaration] = STATE(726),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(726),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(726),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(726),
    [sym_operator_cast_declaration] = STATE(726),
    [sym_constructor_or_destructor_definition] = STATE(726),
    [sym_constructor_or_destructor_declaration] = STATE(726),
    [sym_friend_declaration] = STATE(726),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(726),
    [sym_alias_declaration] = STATE(726),
    [sym_static_assert_declaration] = STATE(726),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(726),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3600),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [730] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [731] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [732] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [733] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [734] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [735] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [736] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [737] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [738] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [739] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [740] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [741] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [742] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [743] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [744] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [745] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [746] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [747] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [748] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [749] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [750] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [751] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [752] = {
    [ts_builtin_sym_end] = ACTIONS(2927),
    [sym_identifier] = ACTIONS(2925),
    [aux_sym_preproc_include_token1] = ACTIONS(2925),
    [aux_sym_preproc_def_token1] = ACTIONS(2925),
    [aux_sym_preproc_if_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2925),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2925),
    [sym_preproc_directive] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP_AMP] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2925),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym___based] = ACTIONS(2925),
    [anon_sym___cdecl] = ACTIONS(2925),
    [anon_sym___clrcall] = ACTIONS(2925),
    [anon_sym___stdcall] = ACTIONS(2925),
    [anon_sym___fastcall] = ACTIONS(2925),
    [anon_sym___thiscall] = ACTIONS(2925),
    [anon_sym___vectorcall] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_case] = ACTIONS(2925),
    [anon_sym_default] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_explicit] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_operator] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_namespace] = ACTIONS(2925),
    [anon_sym_using] = ACTIONS(2925),
    [anon_sym_static_assert] = ACTIONS(2925),
    [anon_sym_concept] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [753] = {
    [ts_builtin_sym_end] = ACTIONS(2923),
    [sym_identifier] = ACTIONS(2921),
    [aux_sym_preproc_include_token1] = ACTIONS(2921),
    [aux_sym_preproc_def_token1] = ACTIONS(2921),
    [aux_sym_preproc_if_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2921),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2921),
    [sym_preproc_directive] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP_AMP] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2921),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym___based] = ACTIONS(2921),
    [anon_sym___cdecl] = ACTIONS(2921),
    [anon_sym___clrcall] = ACTIONS(2921),
    [anon_sym___stdcall] = ACTIONS(2921),
    [anon_sym___fastcall] = ACTIONS(2921),
    [anon_sym___thiscall] = ACTIONS(2921),
    [anon_sym___vectorcall] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_case] = ACTIONS(2921),
    [anon_sym_default] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_explicit] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_operator] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_namespace] = ACTIONS(2921),
    [anon_sym_using] = ACTIONS(2921),
    [anon_sym_static_assert] = ACTIONS(2921),
    [anon_sym_concept] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [754] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [755] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [756] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [757] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [758] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [759] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [760] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [761] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [762] = {
    [sym_identifier] = ACTIONS(2937),
    [aux_sym_preproc_include_token1] = ACTIONS(2937),
    [aux_sym_preproc_def_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token1] = ACTIONS(2937),
    [aux_sym_preproc_if_token2] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2937),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2937),
    [sym_preproc_directive] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP_AMP] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2937),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym___based] = ACTIONS(2937),
    [anon_sym___cdecl] = ACTIONS(2937),
    [anon_sym___clrcall] = ACTIONS(2937),
    [anon_sym___stdcall] = ACTIONS(2937),
    [anon_sym___fastcall] = ACTIONS(2937),
    [anon_sym___thiscall] = ACTIONS(2937),
    [anon_sym___vectorcall] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_case] = ACTIONS(2937),
    [anon_sym_default] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_explicit] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_operator] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_namespace] = ACTIONS(2937),
    [anon_sym_using] = ACTIONS(2937),
    [anon_sym_static_assert] = ACTIONS(2937),
    [anon_sym_concept] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [763] = {
    [ts_builtin_sym_end] = ACTIONS(2963),
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_include_token1] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym___cdecl] = ACTIONS(2961),
    [anon_sym___clrcall] = ACTIONS(2961),
    [anon_sym___stdcall] = ACTIONS(2961),
    [anon_sym___fastcall] = ACTIONS(2961),
    [anon_sym___thiscall] = ACTIONS(2961),
    [anon_sym___vectorcall] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_case] = ACTIONS(2961),
    [anon_sym_default] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_namespace] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
    [anon_sym_concept] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [764] = {
    [ts_builtin_sym_end] = ACTIONS(2873),
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [765] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [766] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [767] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [768] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [769] = {
    [ts_builtin_sym_end] = ACTIONS(2947),
    [sym_identifier] = ACTIONS(2945),
    [aux_sym_preproc_include_token1] = ACTIONS(2945),
    [aux_sym_preproc_def_token1] = ACTIONS(2945),
    [aux_sym_preproc_if_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2945),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2945),
    [sym_preproc_directive] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP_AMP] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2945),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym___based] = ACTIONS(2945),
    [anon_sym___cdecl] = ACTIONS(2945),
    [anon_sym___clrcall] = ACTIONS(2945),
    [anon_sym___stdcall] = ACTIONS(2945),
    [anon_sym___fastcall] = ACTIONS(2945),
    [anon_sym___thiscall] = ACTIONS(2945),
    [anon_sym___vectorcall] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_case] = ACTIONS(2945),
    [anon_sym_default] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_explicit] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_operator] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_namespace] = ACTIONS(2945),
    [anon_sym_using] = ACTIONS(2945),
    [anon_sym_static_assert] = ACTIONS(2945),
    [anon_sym_concept] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [770] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [771] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [772] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [773] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [774] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [775] = {
    [ts_builtin_sym_end] = ACTIONS(2991),
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [776] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [777] = {
    [sym_preproc_def] = STATE(626),
    [sym_preproc_function_def] = STATE(626),
    [sym_preproc_call] = STATE(626),
    [sym_preproc_if_in_field_declaration_list] = STATE(626),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(626),
    [sym_preproc_else_in_field_declaration_list] = STATE(9004),
    [sym_preproc_elif_in_field_declaration_list] = STATE(9004),
    [sym_type_definition] = STATE(626),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(626),
    [sym_field_declaration] = STATE(626),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(626),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(626),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(626),
    [sym_operator_cast_declaration] = STATE(626),
    [sym_constructor_or_destructor_definition] = STATE(626),
    [sym_constructor_or_destructor_declaration] = STATE(626),
    [sym_friend_declaration] = STATE(626),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(626),
    [sym_alias_declaration] = STATE(626),
    [sym_static_assert_declaration] = STATE(626),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(626),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3602),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [778] = {
    [ts_builtin_sym_end] = ACTIONS(2987),
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [779] = {
    [ts_builtin_sym_end] = ACTIONS(2983),
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [780] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [781] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [782] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [783] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_RBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [784] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [785] = {
    [sym_identifier] = ACTIONS(2989),
    [aux_sym_preproc_include_token1] = ACTIONS(2989),
    [aux_sym_preproc_def_token1] = ACTIONS(2989),
    [aux_sym_preproc_if_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2989),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2989),
    [sym_preproc_directive] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP_AMP] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2989),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym___based] = ACTIONS(2989),
    [anon_sym___cdecl] = ACTIONS(2989),
    [anon_sym___clrcall] = ACTIONS(2989),
    [anon_sym___stdcall] = ACTIONS(2989),
    [anon_sym___fastcall] = ACTIONS(2989),
    [anon_sym___thiscall] = ACTIONS(2989),
    [anon_sym___vectorcall] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_RBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_case] = ACTIONS(2989),
    [anon_sym_default] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_explicit] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_operator] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_namespace] = ACTIONS(2989),
    [anon_sym_using] = ACTIONS(2989),
    [anon_sym_static_assert] = ACTIONS(2989),
    [anon_sym_concept] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [786] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [787] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [788] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [789] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [790] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [791] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [792] = {
    [sym_identifier] = ACTIONS(2985),
    [aux_sym_preproc_include_token1] = ACTIONS(2985),
    [aux_sym_preproc_def_token1] = ACTIONS(2985),
    [aux_sym_preproc_if_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2985),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2985),
    [sym_preproc_directive] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP_AMP] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2985),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym___based] = ACTIONS(2985),
    [anon_sym___cdecl] = ACTIONS(2985),
    [anon_sym___clrcall] = ACTIONS(2985),
    [anon_sym___stdcall] = ACTIONS(2985),
    [anon_sym___fastcall] = ACTIONS(2985),
    [anon_sym___thiscall] = ACTIONS(2985),
    [anon_sym___vectorcall] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_RBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_case] = ACTIONS(2985),
    [anon_sym_default] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_explicit] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_operator] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_namespace] = ACTIONS(2985),
    [anon_sym_using] = ACTIONS(2985),
    [anon_sym_static_assert] = ACTIONS(2985),
    [anon_sym_concept] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [793] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [794] = {
    [sym_identifier] = ACTIONS(2871),
    [aux_sym_preproc_include_token1] = ACTIONS(2871),
    [aux_sym_preproc_def_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token1] = ACTIONS(2871),
    [aux_sym_preproc_if_token2] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2871),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2871),
    [sym_preproc_directive] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP_AMP] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2871),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym___based] = ACTIONS(2871),
    [anon_sym___cdecl] = ACTIONS(2871),
    [anon_sym___clrcall] = ACTIONS(2871),
    [anon_sym___stdcall] = ACTIONS(2871),
    [anon_sym___fastcall] = ACTIONS(2871),
    [anon_sym___thiscall] = ACTIONS(2871),
    [anon_sym___vectorcall] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_case] = ACTIONS(2871),
    [anon_sym_default] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_explicit] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_operator] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_namespace] = ACTIONS(2871),
    [anon_sym_using] = ACTIONS(2871),
    [anon_sym_static_assert] = ACTIONS(2871),
    [anon_sym_concept] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [795] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [796] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [797] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [798] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [799] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [800] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [801] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [802] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [803] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [804] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [805] = {
    [sym_identifier] = ACTIONS(2981),
    [aux_sym_preproc_include_token1] = ACTIONS(2981),
    [aux_sym_preproc_def_token1] = ACTIONS(2981),
    [aux_sym_preproc_if_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2981),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2981),
    [sym_preproc_directive] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP_AMP] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2981),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym___based] = ACTIONS(2981),
    [anon_sym___cdecl] = ACTIONS(2981),
    [anon_sym___clrcall] = ACTIONS(2981),
    [anon_sym___stdcall] = ACTIONS(2981),
    [anon_sym___fastcall] = ACTIONS(2981),
    [anon_sym___thiscall] = ACTIONS(2981),
    [anon_sym___vectorcall] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_RBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_case] = ACTIONS(2981),
    [anon_sym_default] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_explicit] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_operator] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_namespace] = ACTIONS(2981),
    [anon_sym_using] = ACTIONS(2981),
    [anon_sym_static_assert] = ACTIONS(2981),
    [anon_sym_concept] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [806] = {
    [ts_builtin_sym_end] = ACTIONS(2979),
    [sym_identifier] = ACTIONS(2977),
    [aux_sym_preproc_include_token1] = ACTIONS(2977),
    [aux_sym_preproc_def_token1] = ACTIONS(2977),
    [aux_sym_preproc_if_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2977),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2977),
    [sym_preproc_directive] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP_AMP] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2977),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym___based] = ACTIONS(2977),
    [anon_sym___cdecl] = ACTIONS(2977),
    [anon_sym___clrcall] = ACTIONS(2977),
    [anon_sym___stdcall] = ACTIONS(2977),
    [anon_sym___fastcall] = ACTIONS(2977),
    [anon_sym___thiscall] = ACTIONS(2977),
    [anon_sym___vectorcall] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_case] = ACTIONS(2977),
    [anon_sym_default] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_explicit] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_operator] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_namespace] = ACTIONS(2977),
    [anon_sym_using] = ACTIONS(2977),
    [anon_sym_static_assert] = ACTIONS(2977),
    [anon_sym_concept] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [807] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_include_token1] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym___cdecl] = ACTIONS(2973),
    [anon_sym___clrcall] = ACTIONS(2973),
    [anon_sym___stdcall] = ACTIONS(2973),
    [anon_sym___fastcall] = ACTIONS(2973),
    [anon_sym___thiscall] = ACTIONS(2973),
    [anon_sym___vectorcall] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_RBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_case] = ACTIONS(2973),
    [anon_sym_default] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_namespace] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
    [anon_sym_concept] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [808] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_include_token1] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym___cdecl] = ACTIONS(2969),
    [anon_sym___clrcall] = ACTIONS(2969),
    [anon_sym___stdcall] = ACTIONS(2969),
    [anon_sym___fastcall] = ACTIONS(2969),
    [anon_sym___thiscall] = ACTIONS(2969),
    [anon_sym___vectorcall] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_RBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_case] = ACTIONS(2969),
    [anon_sym_default] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_namespace] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
    [anon_sym_concept] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [809] = {
    [sym_identifier] = ACTIONS(2909),
    [aux_sym_preproc_include_token1] = ACTIONS(2909),
    [aux_sym_preproc_def_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token1] = ACTIONS(2909),
    [aux_sym_preproc_if_token2] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2909),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2909),
    [sym_preproc_directive] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP_AMP] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2909),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym___based] = ACTIONS(2909),
    [anon_sym___cdecl] = ACTIONS(2909),
    [anon_sym___clrcall] = ACTIONS(2909),
    [anon_sym___stdcall] = ACTIONS(2909),
    [anon_sym___fastcall] = ACTIONS(2909),
    [anon_sym___thiscall] = ACTIONS(2909),
    [anon_sym___vectorcall] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_case] = ACTIONS(2909),
    [anon_sym_default] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_explicit] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_operator] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_namespace] = ACTIONS(2909),
    [anon_sym_using] = ACTIONS(2909),
    [anon_sym_static_assert] = ACTIONS(2909),
    [anon_sym_concept] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [810] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [811] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [812] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [813] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [814] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [815] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [816] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [817] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [818] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [819] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [820] = {
    [sym_identifier] = ACTIONS(2897),
    [aux_sym_preproc_include_token1] = ACTIONS(2897),
    [aux_sym_preproc_def_token1] = ACTIONS(2897),
    [aux_sym_preproc_if_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2897),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2897),
    [sym_preproc_directive] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP_AMP] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2897),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym___based] = ACTIONS(2897),
    [anon_sym___cdecl] = ACTIONS(2897),
    [anon_sym___clrcall] = ACTIONS(2897),
    [anon_sym___stdcall] = ACTIONS(2897),
    [anon_sym___fastcall] = ACTIONS(2897),
    [anon_sym___thiscall] = ACTIONS(2897),
    [anon_sym___vectorcall] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_RBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_case] = ACTIONS(2897),
    [anon_sym_default] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_explicit] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_operator] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_namespace] = ACTIONS(2897),
    [anon_sym_using] = ACTIONS(2897),
    [anon_sym_static_assert] = ACTIONS(2897),
    [anon_sym_concept] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [821] = {
    [sym_identifier] = ACTIONS(2901),
    [aux_sym_preproc_include_token1] = ACTIONS(2901),
    [aux_sym_preproc_def_token1] = ACTIONS(2901),
    [aux_sym_preproc_if_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2901),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2901),
    [sym_preproc_directive] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP_AMP] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2901),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym___based] = ACTIONS(2901),
    [anon_sym___cdecl] = ACTIONS(2901),
    [anon_sym___clrcall] = ACTIONS(2901),
    [anon_sym___stdcall] = ACTIONS(2901),
    [anon_sym___fastcall] = ACTIONS(2901),
    [anon_sym___thiscall] = ACTIONS(2901),
    [anon_sym___vectorcall] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_RBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_case] = ACTIONS(2901),
    [anon_sym_default] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_explicit] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_operator] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_namespace] = ACTIONS(2901),
    [anon_sym_using] = ACTIONS(2901),
    [anon_sym_static_assert] = ACTIONS(2901),
    [anon_sym_concept] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [822] = {
    [sym_identifier] = ACTIONS(2905),
    [aux_sym_preproc_include_token1] = ACTIONS(2905),
    [aux_sym_preproc_def_token1] = ACTIONS(2905),
    [aux_sym_preproc_if_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2905),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2905),
    [sym_preproc_directive] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP_AMP] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2905),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym___based] = ACTIONS(2905),
    [anon_sym___cdecl] = ACTIONS(2905),
    [anon_sym___clrcall] = ACTIONS(2905),
    [anon_sym___stdcall] = ACTIONS(2905),
    [anon_sym___fastcall] = ACTIONS(2905),
    [anon_sym___thiscall] = ACTIONS(2905),
    [anon_sym___vectorcall] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_RBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_case] = ACTIONS(2905),
    [anon_sym_default] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_explicit] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_operator] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_namespace] = ACTIONS(2905),
    [anon_sym_using] = ACTIONS(2905),
    [anon_sym_static_assert] = ACTIONS(2905),
    [anon_sym_concept] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [823] = {
    [sym_identifier] = ACTIONS(2867),
    [aux_sym_preproc_include_token1] = ACTIONS(2867),
    [aux_sym_preproc_def_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token1] = ACTIONS(2867),
    [aux_sym_preproc_if_token2] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2867),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2867),
    [sym_preproc_directive] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP_AMP] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2867),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym___based] = ACTIONS(2867),
    [anon_sym___cdecl] = ACTIONS(2867),
    [anon_sym___clrcall] = ACTIONS(2867),
    [anon_sym___stdcall] = ACTIONS(2867),
    [anon_sym___fastcall] = ACTIONS(2867),
    [anon_sym___thiscall] = ACTIONS(2867),
    [anon_sym___vectorcall] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_case] = ACTIONS(2867),
    [anon_sym_default] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_explicit] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_operator] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_namespace] = ACTIONS(2867),
    [anon_sym_using] = ACTIONS(2867),
    [anon_sym_static_assert] = ACTIONS(2867),
    [anon_sym_concept] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [824] = {
    [sym_preproc_def] = STATE(955),
    [sym_preproc_function_def] = STATE(955),
    [sym_preproc_call] = STATE(955),
    [sym_preproc_if_in_field_declaration_list] = STATE(955),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(955),
    [sym_preproc_else_in_field_declaration_list] = STATE(8749),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8749),
    [sym_type_definition] = STATE(955),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(955),
    [sym_field_declaration] = STATE(955),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(955),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(955),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(955),
    [sym_operator_cast_declaration] = STATE(955),
    [sym_constructor_or_destructor_definition] = STATE(955),
    [sym_constructor_or_destructor_declaration] = STATE(955),
    [sym_friend_declaration] = STATE(955),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(955),
    [sym_alias_declaration] = STATE(955),
    [sym_static_assert_declaration] = STATE(955),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(955),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3604),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [825] = {
    [sym_identifier] = ACTIONS(2913),
    [aux_sym_preproc_include_token1] = ACTIONS(2913),
    [aux_sym_preproc_def_token1] = ACTIONS(2913),
    [aux_sym_preproc_if_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2913),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2913),
    [sym_preproc_directive] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP_AMP] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2913),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym___based] = ACTIONS(2913),
    [anon_sym___cdecl] = ACTIONS(2913),
    [anon_sym___clrcall] = ACTIONS(2913),
    [anon_sym___stdcall] = ACTIONS(2913),
    [anon_sym___fastcall] = ACTIONS(2913),
    [anon_sym___thiscall] = ACTIONS(2913),
    [anon_sym___vectorcall] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_RBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_case] = ACTIONS(2913),
    [anon_sym_default] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_explicit] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_operator] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_namespace] = ACTIONS(2913),
    [anon_sym_using] = ACTIONS(2913),
    [anon_sym_static_assert] = ACTIONS(2913),
    [anon_sym_concept] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [826] = {
    [ts_builtin_sym_end] = ACTIONS(2919),
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_include_token1] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym___cdecl] = ACTIONS(2917),
    [anon_sym___clrcall] = ACTIONS(2917),
    [anon_sym___stdcall] = ACTIONS(2917),
    [anon_sym___fastcall] = ACTIONS(2917),
    [anon_sym___thiscall] = ACTIONS(2917),
    [anon_sym___vectorcall] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_case] = ACTIONS(2917),
    [anon_sym_default] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_namespace] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
    [anon_sym_concept] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [827] = {
    [sym_identifier] = ACTIONS(2929),
    [aux_sym_preproc_include_token1] = ACTIONS(2929),
    [aux_sym_preproc_def_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token1] = ACTIONS(2929),
    [aux_sym_preproc_if_token2] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2929),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2929),
    [sym_preproc_directive] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP_AMP] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2929),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym___based] = ACTIONS(2929),
    [anon_sym___cdecl] = ACTIONS(2929),
    [anon_sym___clrcall] = ACTIONS(2929),
    [anon_sym___stdcall] = ACTIONS(2929),
    [anon_sym___fastcall] = ACTIONS(2929),
    [anon_sym___thiscall] = ACTIONS(2929),
    [anon_sym___vectorcall] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_case] = ACTIONS(2929),
    [anon_sym_default] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_explicit] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_operator] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_namespace] = ACTIONS(2929),
    [anon_sym_using] = ACTIONS(2929),
    [anon_sym_static_assert] = ACTIONS(2929),
    [anon_sym_concept] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [828] = {
    [sym_preproc_def] = STATE(824),
    [sym_preproc_function_def] = STATE(824),
    [sym_preproc_call] = STATE(824),
    [sym_preproc_if_in_field_declaration_list] = STATE(824),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(824),
    [sym_preproc_else_in_field_declaration_list] = STATE(8716),
    [sym_preproc_elif_in_field_declaration_list] = STATE(8716),
    [sym_type_definition] = STATE(824),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(824),
    [sym_field_declaration] = STATE(824),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(824),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(824),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(824),
    [sym_operator_cast_declaration] = STATE(824),
    [sym_constructor_or_destructor_definition] = STATE(824),
    [sym_constructor_or_destructor_declaration] = STATE(824),
    [sym_friend_declaration] = STATE(824),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(824),
    [sym_alias_declaration] = STATE(824),
    [sym_static_assert_declaration] = STATE(824),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(824),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3432),
    [aux_sym_preproc_if_token1] = ACTIONS(3434),
    [aux_sym_preproc_if_token2] = ACTIONS(3606),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3438),
    [aux_sym_preproc_else_token1] = ACTIONS(3003),
    [aux_sym_preproc_elif_token1] = ACTIONS(3005),
    [sym_preproc_directive] = ACTIONS(3440),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3442),
    [anon_sym_typedef] = ACTIONS(3444),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3450),
    [anon_sym_static_assert] = ACTIONS(3452),
  },
  [829] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [830] = {
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_include_token1] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym___cdecl] = ACTIONS(3302),
    [anon_sym___clrcall] = ACTIONS(3302),
    [anon_sym___stdcall] = ACTIONS(3302),
    [anon_sym___fastcall] = ACTIONS(3302),
    [anon_sym___thiscall] = ACTIONS(3302),
    [anon_sym___vectorcall] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_RBRACE] = ACTIONS(3304),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_goto] = ACTIONS(3302),
    [anon_sym___try] = ACTIONS(3302),
    [anon_sym___leave] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3302),
    [anon_sym_compl] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3302),
    [anon_sym__Generic] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3304),
    [anon_sym_u_SQUOTE] = ACTIONS(3304),
    [anon_sym_U_SQUOTE] = ACTIONS(3304),
    [anon_sym_u8_SQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_L_DQUOTE] = ACTIONS(3304),
    [anon_sym_u_DQUOTE] = ACTIONS(3304),
    [anon_sym_U_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8_DQUOTE] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [anon_sym_NULL] = ACTIONS(3302),
    [anon_sym_nullptr] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
    [anon_sym_concept] = ACTIONS(3302),
    [anon_sym_co_return] = ACTIONS(3302),
    [anon_sym_co_yield] = ACTIONS(3302),
    [anon_sym_R_DQUOTE] = ACTIONS(3304),
    [anon_sym_LR_DQUOTE] = ACTIONS(3304),
    [anon_sym_uR_DQUOTE] = ACTIONS(3304),
    [anon_sym_UR_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3304),
    [anon_sym_co_await] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
  },
  [831] = {
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym___cdecl] = ACTIONS(3231),
    [anon_sym___clrcall] = ACTIONS(3231),
    [anon_sym___stdcall] = ACTIONS(3231),
    [anon_sym___fastcall] = ACTIONS(3231),
    [anon_sym___thiscall] = ACTIONS(3231),
    [anon_sym___vectorcall] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_goto] = ACTIONS(3231),
    [anon_sym___try] = ACTIONS(3231),
    [anon_sym___leave] = ACTIONS(3231),
    [anon_sym_not] = ACTIONS(3231),
    [anon_sym_compl] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3231),
    [anon_sym___alignof__] = ACTIONS(3231),
    [anon_sym___alignof] = ACTIONS(3231),
    [anon_sym__alignof] = ACTIONS(3231),
    [anon_sym_alignof] = ACTIONS(3231),
    [anon_sym__Alignof] = ACTIONS(3231),
    [anon_sym_offsetof] = ACTIONS(3231),
    [anon_sym__Generic] = ACTIONS(3231),
    [anon_sym_asm] = ACTIONS(3231),
    [anon_sym___asm__] = ACTIONS(3231),
    [sym_number_literal] = ACTIONS(3233),
    [anon_sym_L_SQUOTE] = ACTIONS(3233),
    [anon_sym_u_SQUOTE] = ACTIONS(3233),
    [anon_sym_U_SQUOTE] = ACTIONS(3233),
    [anon_sym_u8_SQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_L_DQUOTE] = ACTIONS(3233),
    [anon_sym_u_DQUOTE] = ACTIONS(3233),
    [anon_sym_U_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8_DQUOTE] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [anon_sym_NULL] = ACTIONS(3231),
    [anon_sym_nullptr] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
    [anon_sym_concept] = ACTIONS(3231),
    [anon_sym_co_return] = ACTIONS(3231),
    [anon_sym_co_yield] = ACTIONS(3231),
    [anon_sym_R_DQUOTE] = ACTIONS(3233),
    [anon_sym_LR_DQUOTE] = ACTIONS(3233),
    [anon_sym_uR_DQUOTE] = ACTIONS(3233),
    [anon_sym_UR_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3233),
    [anon_sym_co_await] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_requires] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
  },
  [832] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_RBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [833] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_RBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [sym_primitive_type] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [834] = {
    [sym_identifier] = ACTIONS(3213),
    [aux_sym_preproc_include_token1] = ACTIONS(3213),
    [aux_sym_preproc_def_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token2] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3213),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_AMP_AMP] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(3213),
    [anon_sym_typedef] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym___attribute__] = ACTIONS(3213),
    [anon_sym_COLON_COLON] = ACTIONS(3215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3215),
    [anon_sym___declspec] = ACTIONS(3213),
    [anon_sym___based] = ACTIONS(3213),
    [anon_sym___cdecl] = ACTIONS(3213),
    [anon_sym___clrcall] = ACTIONS(3213),
    [anon_sym___stdcall] = ACTIONS(3213),
    [anon_sym___fastcall] = ACTIONS(3213),
    [anon_sym___thiscall] = ACTIONS(3213),
    [anon_sym___vectorcall] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3213),
    [anon_sym_unsigned] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_register] = ACTIONS(3213),
    [anon_sym_inline] = ACTIONS(3213),
    [anon_sym___inline] = ACTIONS(3213),
    [anon_sym___inline__] = ACTIONS(3213),
    [anon_sym___forceinline] = ACTIONS(3213),
    [anon_sym_thread_local] = ACTIONS(3213),
    [anon_sym___thread] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_constexpr] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_restrict] = ACTIONS(3213),
    [anon_sym___restrict__] = ACTIONS(3213),
    [anon_sym__Atomic] = ACTIONS(3213),
    [anon_sym__Noreturn] = ACTIONS(3213),
    [anon_sym_noreturn] = ACTIONS(3213),
    [anon_sym_mutable] = ACTIONS(3213),
    [anon_sym_constinit] = ACTIONS(3213),
    [anon_sym_consteval] = ACTIONS(3213),
    [sym_primitive_type] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_union] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym___try] = ACTIONS(3213),
    [anon_sym___leave] = ACTIONS(3213),
    [anon_sym_not] = ACTIONS(3213),
    [anon_sym_compl] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym___alignof__] = ACTIONS(3213),
    [anon_sym___alignof] = ACTIONS(3213),
    [anon_sym__alignof] = ACTIONS(3213),
    [anon_sym_alignof] = ACTIONS(3213),
    [anon_sym__Alignof] = ACTIONS(3213),
    [anon_sym_offsetof] = ACTIONS(3213),
    [anon_sym__Generic] = ACTIONS(3213),
    [anon_sym_asm] = ACTIONS(3213),
    [anon_sym___asm__] = ACTIONS(3213),
    [sym_number_literal] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3215),
    [anon_sym_u_SQUOTE] = ACTIONS(3215),
    [anon_sym_U_SQUOTE] = ACTIONS(3215),
    [anon_sym_u8_SQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_L_DQUOTE] = ACTIONS(3215),
    [anon_sym_u_DQUOTE] = ACTIONS(3215),
    [anon_sym_U_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8_DQUOTE] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [anon_sym_NULL] = ACTIONS(3213),
    [anon_sym_nullptr] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3213),
    [anon_sym_decltype] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_alignas] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_typename] = ACTIONS(3213),
    [anon_sym_template] = ACTIONS(3213),
    [anon_sym_operator] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static_assert] = ACTIONS(3213),
    [anon_sym_concept] = ACTIONS(3213),
    [anon_sym_co_return] = ACTIONS(3213),
    [anon_sym_co_yield] = ACTIONS(3213),
    [anon_sym_R_DQUOTE] = ACTIONS(3215),
    [anon_sym_LR_DQUOTE] = ACTIONS(3215),
    [anon_sym_uR_DQUOTE] = ACTIONS(3215),
    [anon_sym_UR_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3215),
    [anon_sym_co_await] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_requires] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
  },
  [835] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token2] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [836] = {
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_include_token1] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym___cdecl] = ACTIONS(3294),
    [anon_sym___clrcall] = ACTIONS(3294),
    [anon_sym___stdcall] = ACTIONS(3294),
    [anon_sym___fastcall] = ACTIONS(3294),
    [anon_sym___thiscall] = ACTIONS(3294),
    [anon_sym___vectorcall] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_RBRACE] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_goto] = ACTIONS(3294),
    [anon_sym___try] = ACTIONS(3294),
    [anon_sym___leave] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3294),
    [anon_sym___alignof__] = ACTIONS(3294),
    [anon_sym___alignof] = ACTIONS(3294),
    [anon_sym__alignof] = ACTIONS(3294),
    [anon_sym_alignof] = ACTIONS(3294),
    [anon_sym__Alignof] = ACTIONS(3294),
    [anon_sym_offsetof] = ACTIONS(3294),
    [anon_sym__Generic] = ACTIONS(3294),
    [anon_sym_asm] = ACTIONS(3294),
    [anon_sym___asm__] = ACTIONS(3294),
    [sym_number_literal] = ACTIONS(3296),
    [anon_sym_L_SQUOTE] = ACTIONS(3296),
    [anon_sym_u_SQUOTE] = ACTIONS(3296),
    [anon_sym_U_SQUOTE] = ACTIONS(3296),
    [anon_sym_u8_SQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_L_DQUOTE] = ACTIONS(3296),
    [anon_sym_u_DQUOTE] = ACTIONS(3296),
    [anon_sym_U_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8_DQUOTE] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [anon_sym_NULL] = ACTIONS(3294),
    [anon_sym_nullptr] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
    [anon_sym_concept] = ACTIONS(3294),
    [anon_sym_co_return] = ACTIONS(3294),
    [anon_sym_co_yield] = ACTIONS(3294),
    [anon_sym_R_DQUOTE] = ACTIONS(3296),
    [anon_sym_LR_DQUOTE] = ACTIONS(3296),
    [anon_sym_uR_DQUOTE] = ACTIONS(3296),
    [anon_sym_UR_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3296),
    [anon_sym_co_await] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_requires] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
  },
  [837] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym_SEMI] = ACTIONS(3090),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_RBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym___try] = ACTIONS(3088),
    [anon_sym___leave] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [838] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_RBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [sym_primitive_type] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3086),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [839] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_RBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [sym_primitive_type] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [840] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_RBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [sym_primitive_type] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3078),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [841] = {
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym___cdecl] = ACTIONS(3160),
    [anon_sym___clrcall] = ACTIONS(3160),
    [anon_sym___stdcall] = ACTIONS(3160),
    [anon_sym___fastcall] = ACTIONS(3160),
    [anon_sym___thiscall] = ACTIONS(3160),
    [anon_sym___vectorcall] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_RBRACE] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_goto] = ACTIONS(3160),
    [anon_sym___try] = ACTIONS(3160),
    [anon_sym___leave] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3160),
    [anon_sym_compl] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_sizeof] = ACTIONS(3160),
    [anon_sym___alignof__] = ACTIONS(3160),
    [anon_sym___alignof] = ACTIONS(3160),
    [anon_sym__alignof] = ACTIONS(3160),
    [anon_sym_alignof] = ACTIONS(3160),
    [anon_sym__Alignof] = ACTIONS(3160),
    [anon_sym_offsetof] = ACTIONS(3160),
    [anon_sym__Generic] = ACTIONS(3160),
    [anon_sym_asm] = ACTIONS(3160),
    [anon_sym___asm__] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3162),
    [anon_sym_u_SQUOTE] = ACTIONS(3162),
    [anon_sym_U_SQUOTE] = ACTIONS(3162),
    [anon_sym_u8_SQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_L_DQUOTE] = ACTIONS(3162),
    [anon_sym_u_DQUOTE] = ACTIONS(3162),
    [anon_sym_U_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [anon_sym_NULL] = ACTIONS(3160),
    [anon_sym_nullptr] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
    [anon_sym_concept] = ACTIONS(3160),
    [anon_sym_co_return] = ACTIONS(3160),
    [anon_sym_co_yield] = ACTIONS(3160),
    [anon_sym_R_DQUOTE] = ACTIONS(3162),
    [anon_sym_LR_DQUOTE] = ACTIONS(3162),
    [anon_sym_uR_DQUOTE] = ACTIONS(3162),
    [anon_sym_UR_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3162),
    [anon_sym_co_await] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_requires] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
  },
  [842] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_RBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [843] = {
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token2] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym_SEMI] = ACTIONS(3162),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym___cdecl] = ACTIONS(3160),
    [anon_sym___clrcall] = ACTIONS(3160),
    [anon_sym___stdcall] = ACTIONS(3160),
    [anon_sym___fastcall] = ACTIONS(3160),
    [anon_sym___thiscall] = ACTIONS(3160),
    [anon_sym___vectorcall] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_goto] = ACTIONS(3160),
    [anon_sym___try] = ACTIONS(3160),
    [anon_sym___leave] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3160),
    [anon_sym_compl] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_sizeof] = ACTIONS(3160),
    [anon_sym___alignof__] = ACTIONS(3160),
    [anon_sym___alignof] = ACTIONS(3160),
    [anon_sym__alignof] = ACTIONS(3160),
    [anon_sym_alignof] = ACTIONS(3160),
    [anon_sym__Alignof] = ACTIONS(3160),
    [anon_sym_offsetof] = ACTIONS(3160),
    [anon_sym__Generic] = ACTIONS(3160),
    [anon_sym_asm] = ACTIONS(3160),
    [anon_sym___asm__] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3162),
    [anon_sym_u_SQUOTE] = ACTIONS(3162),
    [anon_sym_U_SQUOTE] = ACTIONS(3162),
    [anon_sym_u8_SQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_L_DQUOTE] = ACTIONS(3162),
    [anon_sym_u_DQUOTE] = ACTIONS(3162),
    [anon_sym_U_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [anon_sym_NULL] = ACTIONS(3160),
    [anon_sym_nullptr] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
    [anon_sym_concept] = ACTIONS(3160),
    [anon_sym_co_return] = ACTIONS(3160),
    [anon_sym_co_yield] = ACTIONS(3160),
    [anon_sym_R_DQUOTE] = ACTIONS(3162),
    [anon_sym_LR_DQUOTE] = ACTIONS(3162),
    [anon_sym_uR_DQUOTE] = ACTIONS(3162),
    [anon_sym_UR_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3162),
    [anon_sym_co_await] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_requires] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
  },
  [844] = {
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_include_token1] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym___cdecl] = ACTIONS(3286),
    [anon_sym___clrcall] = ACTIONS(3286),
    [anon_sym___stdcall] = ACTIONS(3286),
    [anon_sym___fastcall] = ACTIONS(3286),
    [anon_sym___thiscall] = ACTIONS(3286),
    [anon_sym___vectorcall] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_RBRACE] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_goto] = ACTIONS(3286),
    [anon_sym___try] = ACTIONS(3286),
    [anon_sym___leave] = ACTIONS(3286),
    [anon_sym_not] = ACTIONS(3286),
    [anon_sym_compl] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_sizeof] = ACTIONS(3286),
    [anon_sym___alignof__] = ACTIONS(3286),
    [anon_sym___alignof] = ACTIONS(3286),
    [anon_sym__alignof] = ACTIONS(3286),
    [anon_sym_alignof] = ACTIONS(3286),
    [anon_sym__Alignof] = ACTIONS(3286),
    [anon_sym_offsetof] = ACTIONS(3286),
    [anon_sym__Generic] = ACTIONS(3286),
    [anon_sym_asm] = ACTIONS(3286),
    [anon_sym___asm__] = ACTIONS(3286),
    [sym_number_literal] = ACTIONS(3288),
    [anon_sym_L_SQUOTE] = ACTIONS(3288),
    [anon_sym_u_SQUOTE] = ACTIONS(3288),
    [anon_sym_U_SQUOTE] = ACTIONS(3288),
    [anon_sym_u8_SQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_L_DQUOTE] = ACTIONS(3288),
    [anon_sym_u_DQUOTE] = ACTIONS(3288),
    [anon_sym_U_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8_DQUOTE] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [anon_sym_NULL] = ACTIONS(3286),
    [anon_sym_nullptr] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
    [anon_sym_concept] = ACTIONS(3286),
    [anon_sym_co_return] = ACTIONS(3286),
    [anon_sym_co_yield] = ACTIONS(3286),
    [anon_sym_R_DQUOTE] = ACTIONS(3288),
    [anon_sym_LR_DQUOTE] = ACTIONS(3288),
    [anon_sym_uR_DQUOTE] = ACTIONS(3288),
    [anon_sym_UR_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3288),
    [anon_sym_co_await] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_requires] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
  },
  [845] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [846] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_RBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [sym_primitive_type] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [sym_number_literal] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [847] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_RBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [848] = {
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_include_token1] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym___cdecl] = ACTIONS(3148),
    [anon_sym___clrcall] = ACTIONS(3148),
    [anon_sym___stdcall] = ACTIONS(3148),
    [anon_sym___fastcall] = ACTIONS(3148),
    [anon_sym___thiscall] = ACTIONS(3148),
    [anon_sym___vectorcall] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_goto] = ACTIONS(3148),
    [anon_sym___try] = ACTIONS(3148),
    [anon_sym___leave] = ACTIONS(3148),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_compl] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_sizeof] = ACTIONS(3148),
    [anon_sym___alignof__] = ACTIONS(3148),
    [anon_sym___alignof] = ACTIONS(3148),
    [anon_sym__alignof] = ACTIONS(3148),
    [anon_sym_alignof] = ACTIONS(3148),
    [anon_sym__Alignof] = ACTIONS(3148),
    [anon_sym_offsetof] = ACTIONS(3148),
    [anon_sym__Generic] = ACTIONS(3148),
    [anon_sym_asm] = ACTIONS(3148),
    [anon_sym___asm__] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3150),
    [anon_sym_u_SQUOTE] = ACTIONS(3150),
    [anon_sym_U_SQUOTE] = ACTIONS(3150),
    [anon_sym_u8_SQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_L_DQUOTE] = ACTIONS(3150),
    [anon_sym_u_DQUOTE] = ACTIONS(3150),
    [anon_sym_U_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [anon_sym_NULL] = ACTIONS(3148),
    [anon_sym_nullptr] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
    [anon_sym_concept] = ACTIONS(3148),
    [anon_sym_co_return] = ACTIONS(3148),
    [anon_sym_co_yield] = ACTIONS(3148),
    [anon_sym_R_DQUOTE] = ACTIONS(3150),
    [anon_sym_LR_DQUOTE] = ACTIONS(3150),
    [anon_sym_uR_DQUOTE] = ACTIONS(3150),
    [anon_sym_UR_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3150),
    [anon_sym_co_await] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_requires] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
  },
  [849] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_RBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [sym_number_literal] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [850] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [851] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [852] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [853] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_RBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [854] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [sym_number_literal] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [855] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [856] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [sym_number_literal] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [857] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token2] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3061),
    [anon_sym_BANG] = ACTIONS(3061),
    [anon_sym_TILDE] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3061),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3061),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3061),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3061),
    [anon_sym_PLUS_PLUS] = ACTIONS(3061),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3061),
    [anon_sym_L_SQUOTE] = ACTIONS(3061),
    [anon_sym_u_SQUOTE] = ACTIONS(3061),
    [anon_sym_U_SQUOTE] = ACTIONS(3061),
    [anon_sym_u8_SQUOTE] = ACTIONS(3061),
    [anon_sym_SQUOTE] = ACTIONS(3061),
    [anon_sym_L_DQUOTE] = ACTIONS(3061),
    [anon_sym_u_DQUOTE] = ACTIONS(3061),
    [anon_sym_U_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8_DQUOTE] = ACTIONS(3061),
    [anon_sym_DQUOTE] = ACTIONS(3061),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3061),
    [anon_sym_LR_DQUOTE] = ACTIONS(3061),
    [anon_sym_uR_DQUOTE] = ACTIONS(3061),
    [anon_sym_UR_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3061),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [858] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_RBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [859] = {
    [sym_identifier] = ACTIONS(3280),
    [aux_sym_preproc_include_token1] = ACTIONS(3280),
    [aux_sym_preproc_def_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3280),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3280),
    [anon_sym_extern] = ACTIONS(3280),
    [anon_sym___attribute__] = ACTIONS(3280),
    [anon_sym_COLON_COLON] = ACTIONS(3282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3282),
    [anon_sym___declspec] = ACTIONS(3280),
    [anon_sym___based] = ACTIONS(3280),
    [anon_sym___cdecl] = ACTIONS(3280),
    [anon_sym___clrcall] = ACTIONS(3280),
    [anon_sym___stdcall] = ACTIONS(3280),
    [anon_sym___fastcall] = ACTIONS(3280),
    [anon_sym___thiscall] = ACTIONS(3280),
    [anon_sym___vectorcall] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_RBRACE] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3280),
    [anon_sym_unsigned] = ACTIONS(3280),
    [anon_sym_long] = ACTIONS(3280),
    [anon_sym_short] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_register] = ACTIONS(3280),
    [anon_sym_inline] = ACTIONS(3280),
    [anon_sym___inline] = ACTIONS(3280),
    [anon_sym___inline__] = ACTIONS(3280),
    [anon_sym___forceinline] = ACTIONS(3280),
    [anon_sym_thread_local] = ACTIONS(3280),
    [anon_sym___thread] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_constexpr] = ACTIONS(3280),
    [anon_sym_volatile] = ACTIONS(3280),
    [anon_sym_restrict] = ACTIONS(3280),
    [anon_sym___restrict__] = ACTIONS(3280),
    [anon_sym__Atomic] = ACTIONS(3280),
    [anon_sym__Noreturn] = ACTIONS(3280),
    [anon_sym_noreturn] = ACTIONS(3280),
    [anon_sym_mutable] = ACTIONS(3280),
    [anon_sym_constinit] = ACTIONS(3280),
    [anon_sym_consteval] = ACTIONS(3280),
    [sym_primitive_type] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_struct] = ACTIONS(3280),
    [anon_sym_union] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_goto] = ACTIONS(3280),
    [anon_sym___try] = ACTIONS(3280),
    [anon_sym___leave] = ACTIONS(3280),
    [anon_sym_not] = ACTIONS(3280),
    [anon_sym_compl] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_sizeof] = ACTIONS(3280),
    [anon_sym___alignof__] = ACTIONS(3280),
    [anon_sym___alignof] = ACTIONS(3280),
    [anon_sym__alignof] = ACTIONS(3280),
    [anon_sym_alignof] = ACTIONS(3280),
    [anon_sym__Alignof] = ACTIONS(3280),
    [anon_sym_offsetof] = ACTIONS(3280),
    [anon_sym__Generic] = ACTIONS(3280),
    [anon_sym_asm] = ACTIONS(3280),
    [anon_sym___asm__] = ACTIONS(3280),
    [sym_number_literal] = ACTIONS(3282),
    [anon_sym_L_SQUOTE] = ACTIONS(3282),
    [anon_sym_u_SQUOTE] = ACTIONS(3282),
    [anon_sym_U_SQUOTE] = ACTIONS(3282),
    [anon_sym_u8_SQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_L_DQUOTE] = ACTIONS(3282),
    [anon_sym_u_DQUOTE] = ACTIONS(3282),
    [anon_sym_U_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8_DQUOTE] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [anon_sym_NULL] = ACTIONS(3280),
    [anon_sym_nullptr] = ACTIONS(3280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3280),
    [anon_sym_decltype] = ACTIONS(3280),
    [anon_sym_virtual] = ACTIONS(3280),
    [anon_sym_alignas] = ACTIONS(3280),
    [anon_sym_explicit] = ACTIONS(3280),
    [anon_sym_typename] = ACTIONS(3280),
    [anon_sym_template] = ACTIONS(3280),
    [anon_sym_operator] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_static_assert] = ACTIONS(3280),
    [anon_sym_concept] = ACTIONS(3280),
    [anon_sym_co_return] = ACTIONS(3280),
    [anon_sym_co_yield] = ACTIONS(3280),
    [anon_sym_R_DQUOTE] = ACTIONS(3282),
    [anon_sym_LR_DQUOTE] = ACTIONS(3282),
    [anon_sym_uR_DQUOTE] = ACTIONS(3282),
    [anon_sym_UR_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3282),
    [anon_sym_co_await] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_requires] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
  },
  [860] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_RBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [sym_primitive_type] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [sym_number_literal] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_include_token1] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [anon_sym_RPAREN] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym___cdecl] = ACTIONS(2186),
    [anon_sym___clrcall] = ACTIONS(2186),
    [anon_sym___stdcall] = ACTIONS(2186),
    [anon_sym___fastcall] = ACTIONS(2186),
    [anon_sym___thiscall] = ACTIONS(2186),
    [anon_sym___vectorcall] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_namespace] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_concept] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [862] = {
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_include_token1] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym___cdecl] = ACTIONS(3298),
    [anon_sym___clrcall] = ACTIONS(3298),
    [anon_sym___stdcall] = ACTIONS(3298),
    [anon_sym___fastcall] = ACTIONS(3298),
    [anon_sym___thiscall] = ACTIONS(3298),
    [anon_sym___vectorcall] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_goto] = ACTIONS(3298),
    [anon_sym___try] = ACTIONS(3298),
    [anon_sym___leave] = ACTIONS(3298),
    [anon_sym_not] = ACTIONS(3298),
    [anon_sym_compl] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_sizeof] = ACTIONS(3298),
    [anon_sym___alignof__] = ACTIONS(3298),
    [anon_sym___alignof] = ACTIONS(3298),
    [anon_sym__alignof] = ACTIONS(3298),
    [anon_sym_alignof] = ACTIONS(3298),
    [anon_sym__Alignof] = ACTIONS(3298),
    [anon_sym_offsetof] = ACTIONS(3298),
    [anon_sym__Generic] = ACTIONS(3298),
    [anon_sym_asm] = ACTIONS(3298),
    [anon_sym___asm__] = ACTIONS(3298),
    [sym_number_literal] = ACTIONS(3300),
    [anon_sym_L_SQUOTE] = ACTIONS(3300),
    [anon_sym_u_SQUOTE] = ACTIONS(3300),
    [anon_sym_U_SQUOTE] = ACTIONS(3300),
    [anon_sym_u8_SQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_L_DQUOTE] = ACTIONS(3300),
    [anon_sym_u_DQUOTE] = ACTIONS(3300),
    [anon_sym_U_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8_DQUOTE] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [anon_sym_NULL] = ACTIONS(3298),
    [anon_sym_nullptr] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
    [anon_sym_concept] = ACTIONS(3298),
    [anon_sym_co_return] = ACTIONS(3298),
    [anon_sym_co_yield] = ACTIONS(3298),
    [anon_sym_R_DQUOTE] = ACTIONS(3300),
    [anon_sym_LR_DQUOTE] = ACTIONS(3300),
    [anon_sym_uR_DQUOTE] = ACTIONS(3300),
    [anon_sym_UR_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3300),
    [anon_sym_co_await] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_requires] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
  },
  [863] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_RBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [864] = {
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_include_token1] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym_SEMI] = ACTIONS(3304),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym___cdecl] = ACTIONS(3302),
    [anon_sym___clrcall] = ACTIONS(3302),
    [anon_sym___stdcall] = ACTIONS(3302),
    [anon_sym___fastcall] = ACTIONS(3302),
    [anon_sym___thiscall] = ACTIONS(3302),
    [anon_sym___vectorcall] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_goto] = ACTIONS(3302),
    [anon_sym___try] = ACTIONS(3302),
    [anon_sym___leave] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3302),
    [anon_sym_compl] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3302),
    [anon_sym__Generic] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3304),
    [anon_sym_u_SQUOTE] = ACTIONS(3304),
    [anon_sym_U_SQUOTE] = ACTIONS(3304),
    [anon_sym_u8_SQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_L_DQUOTE] = ACTIONS(3304),
    [anon_sym_u_DQUOTE] = ACTIONS(3304),
    [anon_sym_U_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8_DQUOTE] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [anon_sym_NULL] = ACTIONS(3302),
    [anon_sym_nullptr] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
    [anon_sym_concept] = ACTIONS(3302),
    [anon_sym_co_return] = ACTIONS(3302),
    [anon_sym_co_yield] = ACTIONS(3302),
    [anon_sym_R_DQUOTE] = ACTIONS(3304),
    [anon_sym_LR_DQUOTE] = ACTIONS(3304),
    [anon_sym_uR_DQUOTE] = ACTIONS(3304),
    [anon_sym_UR_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3304),
    [anon_sym_co_await] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
  },
  [865] = {
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token2] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym_SEMI] = ACTIONS(3199),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [sym_primitive_type] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym___try] = ACTIONS(3197),
    [anon_sym___leave] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [sym_number_literal] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [866] = {
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_include_token1] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym___cdecl] = ACTIONS(3265),
    [anon_sym___clrcall] = ACTIONS(3265),
    [anon_sym___stdcall] = ACTIONS(3265),
    [anon_sym___fastcall] = ACTIONS(3265),
    [anon_sym___thiscall] = ACTIONS(3265),
    [anon_sym___vectorcall] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym___try] = ACTIONS(3265),
    [anon_sym___leave] = ACTIONS(3265),
    [anon_sym_not] = ACTIONS(3265),
    [anon_sym_compl] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym___alignof__] = ACTIONS(3265),
    [anon_sym___alignof] = ACTIONS(3265),
    [anon_sym__alignof] = ACTIONS(3265),
    [anon_sym_alignof] = ACTIONS(3265),
    [anon_sym__Alignof] = ACTIONS(3265),
    [anon_sym_offsetof] = ACTIONS(3265),
    [anon_sym__Generic] = ACTIONS(3265),
    [anon_sym_asm] = ACTIONS(3265),
    [anon_sym___asm__] = ACTIONS(3265),
    [sym_number_literal] = ACTIONS(3267),
    [anon_sym_L_SQUOTE] = ACTIONS(3267),
    [anon_sym_u_SQUOTE] = ACTIONS(3267),
    [anon_sym_U_SQUOTE] = ACTIONS(3267),
    [anon_sym_u8_SQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_L_DQUOTE] = ACTIONS(3267),
    [anon_sym_u_DQUOTE] = ACTIONS(3267),
    [anon_sym_U_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8_DQUOTE] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [anon_sym_NULL] = ACTIONS(3265),
    [anon_sym_nullptr] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
    [anon_sym_concept] = ACTIONS(3265),
    [anon_sym_co_return] = ACTIONS(3265),
    [anon_sym_co_yield] = ACTIONS(3265),
    [anon_sym_R_DQUOTE] = ACTIONS(3267),
    [anon_sym_LR_DQUOTE] = ACTIONS(3267),
    [anon_sym_uR_DQUOTE] = ACTIONS(3267),
    [anon_sym_UR_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3267),
    [anon_sym_co_await] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_requires] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
  },
  [867] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [868] = {
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_include_token1] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token2] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym___cdecl] = ACTIONS(3209),
    [anon_sym___clrcall] = ACTIONS(3209),
    [anon_sym___stdcall] = ACTIONS(3209),
    [anon_sym___fastcall] = ACTIONS(3209),
    [anon_sym___thiscall] = ACTIONS(3209),
    [anon_sym___vectorcall] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym___try] = ACTIONS(3209),
    [anon_sym___leave] = ACTIONS(3209),
    [anon_sym_not] = ACTIONS(3209),
    [anon_sym_compl] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym___alignof__] = ACTIONS(3209),
    [anon_sym___alignof] = ACTIONS(3209),
    [anon_sym__alignof] = ACTIONS(3209),
    [anon_sym_alignof] = ACTIONS(3209),
    [anon_sym__Alignof] = ACTIONS(3209),
    [anon_sym_offsetof] = ACTIONS(3209),
    [anon_sym__Generic] = ACTIONS(3209),
    [anon_sym_asm] = ACTIONS(3209),
    [anon_sym___asm__] = ACTIONS(3209),
    [sym_number_literal] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3211),
    [anon_sym_u_SQUOTE] = ACTIONS(3211),
    [anon_sym_U_SQUOTE] = ACTIONS(3211),
    [anon_sym_u8_SQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_L_DQUOTE] = ACTIONS(3211),
    [anon_sym_u_DQUOTE] = ACTIONS(3211),
    [anon_sym_U_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8_DQUOTE] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [anon_sym_NULL] = ACTIONS(3209),
    [anon_sym_nullptr] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
    [anon_sym_concept] = ACTIONS(3209),
    [anon_sym_co_return] = ACTIONS(3209),
    [anon_sym_co_yield] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(3211),
    [anon_sym_LR_DQUOTE] = ACTIONS(3211),
    [anon_sym_uR_DQUOTE] = ACTIONS(3211),
    [anon_sym_UR_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3211),
    [anon_sym_co_await] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_requires] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
  },
  [869] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [870] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym_SEMI] = ACTIONS(3203),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_RBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym___try] = ACTIONS(3201),
    [anon_sym___leave] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [sym_number_literal] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [871] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [872] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [873] = {
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token2] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym_SEMI] = ACTIONS(3078),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [sym_primitive_type] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym___try] = ACTIONS(3076),
    [anon_sym___leave] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3078),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [874] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [sym_number_literal] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [875] = {
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token2] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym_SEMI] = ACTIONS(3082),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [sym_primitive_type] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym___try] = ACTIONS(3080),
    [anon_sym___leave] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [876] = {
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token2] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym_SEMI] = ACTIONS(3086),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [sym_primitive_type] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym___try] = ACTIONS(3084),
    [anon_sym___leave] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3086),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [877] = {
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_include_token1] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym_SEMI] = ACTIONS(3300),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym___cdecl] = ACTIONS(3298),
    [anon_sym___clrcall] = ACTIONS(3298),
    [anon_sym___stdcall] = ACTIONS(3298),
    [anon_sym___fastcall] = ACTIONS(3298),
    [anon_sym___thiscall] = ACTIONS(3298),
    [anon_sym___vectorcall] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_RBRACE] = ACTIONS(3300),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_goto] = ACTIONS(3298),
    [anon_sym___try] = ACTIONS(3298),
    [anon_sym___leave] = ACTIONS(3298),
    [anon_sym_not] = ACTIONS(3298),
    [anon_sym_compl] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_sizeof] = ACTIONS(3298),
    [anon_sym___alignof__] = ACTIONS(3298),
    [anon_sym___alignof] = ACTIONS(3298),
    [anon_sym__alignof] = ACTIONS(3298),
    [anon_sym_alignof] = ACTIONS(3298),
    [anon_sym__Alignof] = ACTIONS(3298),
    [anon_sym_offsetof] = ACTIONS(3298),
    [anon_sym__Generic] = ACTIONS(3298),
    [anon_sym_asm] = ACTIONS(3298),
    [anon_sym___asm__] = ACTIONS(3298),
    [sym_number_literal] = ACTIONS(3300),
    [anon_sym_L_SQUOTE] = ACTIONS(3300),
    [anon_sym_u_SQUOTE] = ACTIONS(3300),
    [anon_sym_U_SQUOTE] = ACTIONS(3300),
    [anon_sym_u8_SQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_L_DQUOTE] = ACTIONS(3300),
    [anon_sym_u_DQUOTE] = ACTIONS(3300),
    [anon_sym_U_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8_DQUOTE] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [anon_sym_NULL] = ACTIONS(3298),
    [anon_sym_nullptr] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
    [anon_sym_concept] = ACTIONS(3298),
    [anon_sym_co_return] = ACTIONS(3298),
    [anon_sym_co_yield] = ACTIONS(3298),
    [anon_sym_R_DQUOTE] = ACTIONS(3300),
    [anon_sym_LR_DQUOTE] = ACTIONS(3300),
    [anon_sym_uR_DQUOTE] = ACTIONS(3300),
    [anon_sym_UR_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3300),
    [anon_sym_co_await] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_requires] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
  },
  [878] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym_SEMI] = ACTIONS(3158),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_RBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym___try] = ACTIONS(3156),
    [anon_sym___leave] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [879] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_RBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [880] = {
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_include_token1] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym_SEMI] = ACTIONS(3150),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym___cdecl] = ACTIONS(3148),
    [anon_sym___clrcall] = ACTIONS(3148),
    [anon_sym___stdcall] = ACTIONS(3148),
    [anon_sym___fastcall] = ACTIONS(3148),
    [anon_sym___thiscall] = ACTIONS(3148),
    [anon_sym___vectorcall] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_RBRACE] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_goto] = ACTIONS(3148),
    [anon_sym___try] = ACTIONS(3148),
    [anon_sym___leave] = ACTIONS(3148),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_compl] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_sizeof] = ACTIONS(3148),
    [anon_sym___alignof__] = ACTIONS(3148),
    [anon_sym___alignof] = ACTIONS(3148),
    [anon_sym__alignof] = ACTIONS(3148),
    [anon_sym_alignof] = ACTIONS(3148),
    [anon_sym__Alignof] = ACTIONS(3148),
    [anon_sym_offsetof] = ACTIONS(3148),
    [anon_sym__Generic] = ACTIONS(3148),
    [anon_sym_asm] = ACTIONS(3148),
    [anon_sym___asm__] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3150),
    [anon_sym_u_SQUOTE] = ACTIONS(3150),
    [anon_sym_U_SQUOTE] = ACTIONS(3150),
    [anon_sym_u8_SQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_L_DQUOTE] = ACTIONS(3150),
    [anon_sym_u_DQUOTE] = ACTIONS(3150),
    [anon_sym_U_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [anon_sym_NULL] = ACTIONS(3148),
    [anon_sym_nullptr] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
    [anon_sym_concept] = ACTIONS(3148),
    [anon_sym_co_return] = ACTIONS(3148),
    [anon_sym_co_yield] = ACTIONS(3148),
    [anon_sym_R_DQUOTE] = ACTIONS(3150),
    [anon_sym_LR_DQUOTE] = ACTIONS(3150),
    [anon_sym_uR_DQUOTE] = ACTIONS(3150),
    [anon_sym_UR_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3150),
    [anon_sym_co_await] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_requires] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
  },
  [881] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [882] = {
    [sym_identifier] = ACTIONS(3055),
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(3057),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3055),
    [anon_sym_SEMI] = ACTIONS(3057),
    [anon_sym___extension__] = ACTIONS(3055),
    [anon_sym_typedef] = ACTIONS(3055),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3055),
    [anon_sym_COLON_COLON] = ACTIONS(3057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3057),
    [anon_sym___declspec] = ACTIONS(3055),
    [anon_sym___based] = ACTIONS(3055),
    [anon_sym___cdecl] = ACTIONS(3055),
    [anon_sym___clrcall] = ACTIONS(3055),
    [anon_sym___stdcall] = ACTIONS(3055),
    [anon_sym___fastcall] = ACTIONS(3055),
    [anon_sym___thiscall] = ACTIONS(3055),
    [anon_sym___vectorcall] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(3057),
    [anon_sym_RBRACE] = ACTIONS(3057),
    [anon_sym_signed] = ACTIONS(3055),
    [anon_sym_unsigned] = ACTIONS(3055),
    [anon_sym_long] = ACTIONS(3055),
    [anon_sym_short] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3055),
    [anon_sym_constexpr] = ACTIONS(3055),
    [anon_sym_volatile] = ACTIONS(3055),
    [anon_sym_restrict] = ACTIONS(3055),
    [anon_sym___restrict__] = ACTIONS(3055),
    [anon_sym__Atomic] = ACTIONS(3055),
    [anon_sym__Noreturn] = ACTIONS(3055),
    [anon_sym_noreturn] = ACTIONS(3055),
    [anon_sym_mutable] = ACTIONS(3055),
    [anon_sym_constinit] = ACTIONS(3055),
    [anon_sym_consteval] = ACTIONS(3055),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_union] = ACTIONS(3055),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_switch] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_default] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(3055),
    [anon_sym_do] = ACTIONS(3055),
    [anon_sym_for] = ACTIONS(3055),
    [anon_sym_return] = ACTIONS(3055),
    [anon_sym_break] = ACTIONS(3055),
    [anon_sym_continue] = ACTIONS(3055),
    [anon_sym_goto] = ACTIONS(3055),
    [anon_sym___try] = ACTIONS(3055),
    [anon_sym___leave] = ACTIONS(3055),
    [anon_sym_not] = ACTIONS(3055),
    [anon_sym_compl] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3057),
    [anon_sym_PLUS_PLUS] = ACTIONS(3057),
    [anon_sym_sizeof] = ACTIONS(3055),
    [anon_sym___alignof__] = ACTIONS(3055),
    [anon_sym___alignof] = ACTIONS(3055),
    [anon_sym__alignof] = ACTIONS(3055),
    [anon_sym_alignof] = ACTIONS(3055),
    [anon_sym__Alignof] = ACTIONS(3055),
    [anon_sym_offsetof] = ACTIONS(3055),
    [anon_sym__Generic] = ACTIONS(3055),
    [anon_sym_asm] = ACTIONS(3055),
    [anon_sym___asm__] = ACTIONS(3055),
    [sym_number_literal] = ACTIONS(3057),
    [anon_sym_L_SQUOTE] = ACTIONS(3057),
    [anon_sym_u_SQUOTE] = ACTIONS(3057),
    [anon_sym_U_SQUOTE] = ACTIONS(3057),
    [anon_sym_u8_SQUOTE] = ACTIONS(3057),
    [anon_sym_SQUOTE] = ACTIONS(3057),
    [anon_sym_L_DQUOTE] = ACTIONS(3057),
    [anon_sym_u_DQUOTE] = ACTIONS(3057),
    [anon_sym_U_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8_DQUOTE] = ACTIONS(3057),
    [anon_sym_DQUOTE] = ACTIONS(3057),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [anon_sym_NULL] = ACTIONS(3055),
    [anon_sym_nullptr] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3055),
    [anon_sym_decltype] = ACTIONS(3055),
    [anon_sym_virtual] = ACTIONS(3055),
    [anon_sym_alignas] = ACTIONS(3055),
    [anon_sym_explicit] = ACTIONS(3055),
    [anon_sym_typename] = ACTIONS(3055),
    [anon_sym_template] = ACTIONS(3055),
    [anon_sym_operator] = ACTIONS(3055),
    [anon_sym_try] = ACTIONS(3055),
    [anon_sym_delete] = ACTIONS(3055),
    [anon_sym_throw] = ACTIONS(3055),
    [anon_sym_namespace] = ACTIONS(3055),
    [anon_sym_using] = ACTIONS(3055),
    [anon_sym_static_assert] = ACTIONS(3055),
    [anon_sym_concept] = ACTIONS(3055),
    [anon_sym_co_return] = ACTIONS(3055),
    [anon_sym_co_yield] = ACTIONS(3055),
    [anon_sym_R_DQUOTE] = ACTIONS(3057),
    [anon_sym_LR_DQUOTE] = ACTIONS(3057),
    [anon_sym_uR_DQUOTE] = ACTIONS(3057),
    [anon_sym_UR_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3057),
    [anon_sym_co_await] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(3055),
    [anon_sym_requires] = ACTIONS(3055),
    [sym_this] = ACTIONS(3055),
  },
  [883] = {
    [sym_identifier] = ACTIONS(3310),
    [aux_sym_preproc_include_token1] = ACTIONS(3310),
    [aux_sym_preproc_def_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3310),
    [sym_preproc_directive] = ACTIONS(3310),
    [anon_sym_LPAREN2] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3310),
    [anon_sym_extern] = ACTIONS(3310),
    [anon_sym___attribute__] = ACTIONS(3310),
    [anon_sym_COLON_COLON] = ACTIONS(3312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3312),
    [anon_sym___declspec] = ACTIONS(3310),
    [anon_sym___based] = ACTIONS(3310),
    [anon_sym___cdecl] = ACTIONS(3310),
    [anon_sym___clrcall] = ACTIONS(3310),
    [anon_sym___stdcall] = ACTIONS(3310),
    [anon_sym___fastcall] = ACTIONS(3310),
    [anon_sym___thiscall] = ACTIONS(3310),
    [anon_sym___vectorcall] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_RBRACE] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3310),
    [anon_sym_unsigned] = ACTIONS(3310),
    [anon_sym_long] = ACTIONS(3310),
    [anon_sym_short] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_register] = ACTIONS(3310),
    [anon_sym_inline] = ACTIONS(3310),
    [anon_sym___inline] = ACTIONS(3310),
    [anon_sym___inline__] = ACTIONS(3310),
    [anon_sym___forceinline] = ACTIONS(3310),
    [anon_sym_thread_local] = ACTIONS(3310),
    [anon_sym___thread] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_constexpr] = ACTIONS(3310),
    [anon_sym_volatile] = ACTIONS(3310),
    [anon_sym_restrict] = ACTIONS(3310),
    [anon_sym___restrict__] = ACTIONS(3310),
    [anon_sym__Atomic] = ACTIONS(3310),
    [anon_sym__Noreturn] = ACTIONS(3310),
    [anon_sym_noreturn] = ACTIONS(3310),
    [anon_sym_mutable] = ACTIONS(3310),
    [anon_sym_constinit] = ACTIONS(3310),
    [anon_sym_consteval] = ACTIONS(3310),
    [sym_primitive_type] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_struct] = ACTIONS(3310),
    [anon_sym_union] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_goto] = ACTIONS(3310),
    [anon_sym___try] = ACTIONS(3310),
    [anon_sym___leave] = ACTIONS(3310),
    [anon_sym_not] = ACTIONS(3310),
    [anon_sym_compl] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_sizeof] = ACTIONS(3310),
    [anon_sym___alignof__] = ACTIONS(3310),
    [anon_sym___alignof] = ACTIONS(3310),
    [anon_sym__alignof] = ACTIONS(3310),
    [anon_sym_alignof] = ACTIONS(3310),
    [anon_sym__Alignof] = ACTIONS(3310),
    [anon_sym_offsetof] = ACTIONS(3310),
    [anon_sym__Generic] = ACTIONS(3310),
    [anon_sym_asm] = ACTIONS(3310),
    [anon_sym___asm__] = ACTIONS(3310),
    [sym_number_literal] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3312),
    [anon_sym_u_SQUOTE] = ACTIONS(3312),
    [anon_sym_U_SQUOTE] = ACTIONS(3312),
    [anon_sym_u8_SQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_L_DQUOTE] = ACTIONS(3312),
    [anon_sym_u_DQUOTE] = ACTIONS(3312),
    [anon_sym_U_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8_DQUOTE] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [anon_sym_NULL] = ACTIONS(3310),
    [anon_sym_nullptr] = ACTIONS(3310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3310),
    [anon_sym_decltype] = ACTIONS(3310),
    [anon_sym_virtual] = ACTIONS(3310),
    [anon_sym_alignas] = ACTIONS(3310),
    [anon_sym_explicit] = ACTIONS(3310),
    [anon_sym_typename] = ACTIONS(3310),
    [anon_sym_template] = ACTIONS(3310),
    [anon_sym_operator] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_static_assert] = ACTIONS(3310),
    [anon_sym_concept] = ACTIONS(3310),
    [anon_sym_co_return] = ACTIONS(3310),
    [anon_sym_co_yield] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_requires] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
  },
  [884] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [885] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym_SEMI] = ACTIONS(3138),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym___try] = ACTIONS(3136),
    [anon_sym___leave] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [886] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym_SEMI] = ACTIONS(3126),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym___try] = ACTIONS(3124),
    [anon_sym___leave] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [sym_number_literal] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [887] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym_SEMI] = ACTIONS(3122),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym___try] = ACTIONS(3120),
    [anon_sym___leave] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [888] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym_SEMI] = ACTIONS(3134),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym___try] = ACTIONS(3132),
    [anon_sym___leave] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [889] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym_SEMI] = ACTIONS(3098),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym___try] = ACTIONS(3096),
    [anon_sym___leave] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [890] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym_SEMI] = ACTIONS(3094),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym___try] = ACTIONS(3092),
    [anon_sym___leave] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [891] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token2] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [892] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token2] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [893] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym_SEMI] = ACTIONS(3110),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_RBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym___try] = ACTIONS(3108),
    [anon_sym___leave] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [894] = {
    [sym_identifier] = ACTIONS(3306),
    [aux_sym_preproc_include_token1] = ACTIONS(3306),
    [aux_sym_preproc_def_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3306),
    [anon_sym_LPAREN2] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3306),
    [anon_sym_typedef] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym___attribute__] = ACTIONS(3306),
    [anon_sym_COLON_COLON] = ACTIONS(3308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3308),
    [anon_sym___declspec] = ACTIONS(3306),
    [anon_sym___based] = ACTIONS(3306),
    [anon_sym___cdecl] = ACTIONS(3306),
    [anon_sym___clrcall] = ACTIONS(3306),
    [anon_sym___stdcall] = ACTIONS(3306),
    [anon_sym___fastcall] = ACTIONS(3306),
    [anon_sym___thiscall] = ACTIONS(3306),
    [anon_sym___vectorcall] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_RBRACE] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3306),
    [anon_sym_unsigned] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_register] = ACTIONS(3306),
    [anon_sym_inline] = ACTIONS(3306),
    [anon_sym___inline] = ACTIONS(3306),
    [anon_sym___inline__] = ACTIONS(3306),
    [anon_sym___forceinline] = ACTIONS(3306),
    [anon_sym_thread_local] = ACTIONS(3306),
    [anon_sym___thread] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_constexpr] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_restrict] = ACTIONS(3306),
    [anon_sym___restrict__] = ACTIONS(3306),
    [anon_sym__Atomic] = ACTIONS(3306),
    [anon_sym__Noreturn] = ACTIONS(3306),
    [anon_sym_noreturn] = ACTIONS(3306),
    [anon_sym_mutable] = ACTIONS(3306),
    [anon_sym_constinit] = ACTIONS(3306),
    [anon_sym_consteval] = ACTIONS(3306),
    [sym_primitive_type] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_union] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_goto] = ACTIONS(3306),
    [anon_sym___try] = ACTIONS(3306),
    [anon_sym___leave] = ACTIONS(3306),
    [anon_sym_not] = ACTIONS(3306),
    [anon_sym_compl] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_sizeof] = ACTIONS(3306),
    [anon_sym___alignof__] = ACTIONS(3306),
    [anon_sym___alignof] = ACTIONS(3306),
    [anon_sym__alignof] = ACTIONS(3306),
    [anon_sym_alignof] = ACTIONS(3306),
    [anon_sym__Alignof] = ACTIONS(3306),
    [anon_sym_offsetof] = ACTIONS(3306),
    [anon_sym__Generic] = ACTIONS(3306),
    [anon_sym_asm] = ACTIONS(3306),
    [anon_sym___asm__] = ACTIONS(3306),
    [sym_number_literal] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3308),
    [anon_sym_u_SQUOTE] = ACTIONS(3308),
    [anon_sym_U_SQUOTE] = ACTIONS(3308),
    [anon_sym_u8_SQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [anon_sym_NULL] = ACTIONS(3306),
    [anon_sym_nullptr] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3306),
    [anon_sym_decltype] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_alignas] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_typename] = ACTIONS(3306),
    [anon_sym_template] = ACTIONS(3306),
    [anon_sym_operator] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3306),
    [anon_sym_concept] = ACTIONS(3306),
    [anon_sym_co_return] = ACTIONS(3306),
    [anon_sym_co_yield] = ACTIONS(3306),
    [anon_sym_R_DQUOTE] = ACTIONS(3308),
    [anon_sym_LR_DQUOTE] = ACTIONS(3308),
    [anon_sym_uR_DQUOTE] = ACTIONS(3308),
    [anon_sym_UR_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3308),
    [anon_sym_co_await] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_requires] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
  },
  [895] = {
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token2] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym_SEMI] = ACTIONS(3142),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym___try] = ACTIONS(3140),
    [anon_sym___leave] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [896] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym_SEMI] = ACTIONS(3191),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_RBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym___try] = ACTIONS(3189),
    [anon_sym___leave] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [sym_number_literal] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [897] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(2834),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_include_token1] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_BANG] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_DASH] = ACTIONS(2832),
    [anon_sym_PLUS] = ACTIONS(2832),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym___cdecl] = ACTIONS(2832),
    [anon_sym___clrcall] = ACTIONS(2832),
    [anon_sym___stdcall] = ACTIONS(2832),
    [anon_sym___fastcall] = ACTIONS(2832),
    [anon_sym___thiscall] = ACTIONS(2832),
    [anon_sym___vectorcall] = ACTIONS(2832),
    [anon_sym_LBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [anon_sym_if] = ACTIONS(2832),
    [anon_sym_switch] = ACTIONS(2832),
    [anon_sym_case] = ACTIONS(2832),
    [anon_sym_default] = ACTIONS(2832),
    [anon_sym_while] = ACTIONS(2832),
    [anon_sym_do] = ACTIONS(2832),
    [anon_sym_for] = ACTIONS(2832),
    [anon_sym_return] = ACTIONS(2832),
    [anon_sym_break] = ACTIONS(2832),
    [anon_sym_continue] = ACTIONS(2832),
    [anon_sym_goto] = ACTIONS(2832),
    [anon_sym_not] = ACTIONS(2832),
    [anon_sym_compl] = ACTIONS(2832),
    [anon_sym_DASH_DASH] = ACTIONS(2834),
    [anon_sym_PLUS_PLUS] = ACTIONS(2834),
    [anon_sym_sizeof] = ACTIONS(2832),
    [anon_sym___alignof__] = ACTIONS(2832),
    [anon_sym___alignof] = ACTIONS(2832),
    [anon_sym__alignof] = ACTIONS(2832),
    [anon_sym_alignof] = ACTIONS(2832),
    [anon_sym__Alignof] = ACTIONS(2832),
    [anon_sym_offsetof] = ACTIONS(2832),
    [anon_sym__Generic] = ACTIONS(2832),
    [anon_sym_asm] = ACTIONS(2832),
    [anon_sym___asm__] = ACTIONS(2832),
    [sym_number_literal] = ACTIONS(2834),
    [anon_sym_L_SQUOTE] = ACTIONS(2834),
    [anon_sym_u_SQUOTE] = ACTIONS(2834),
    [anon_sym_U_SQUOTE] = ACTIONS(2834),
    [anon_sym_u8_SQUOTE] = ACTIONS(2834),
    [anon_sym_SQUOTE] = ACTIONS(2834),
    [anon_sym_L_DQUOTE] = ACTIONS(2834),
    [anon_sym_u_DQUOTE] = ACTIONS(2834),
    [anon_sym_U_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8_DQUOTE] = ACTIONS(2834),
    [anon_sym_DQUOTE] = ACTIONS(2834),
    [sym_true] = ACTIONS(2832),
    [sym_false] = ACTIONS(2832),
    [anon_sym_NULL] = ACTIONS(2832),
    [anon_sym_nullptr] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_try] = ACTIONS(2832),
    [anon_sym_delete] = ACTIONS(2832),
    [anon_sym_throw] = ACTIONS(2832),
    [anon_sym_namespace] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_concept] = ACTIONS(2832),
    [anon_sym_co_return] = ACTIONS(2832),
    [anon_sym_co_yield] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(2834),
    [anon_sym_LR_DQUOTE] = ACTIONS(2834),
    [anon_sym_uR_DQUOTE] = ACTIONS(2834),
    [anon_sym_UR_DQUOTE] = ACTIONS(2834),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2834),
    [anon_sym_co_await] = ACTIONS(2832),
    [anon_sym_new] = ACTIONS(2832),
    [anon_sym_requires] = ACTIONS(2832),
    [sym_this] = ACTIONS(2832),
  },
  [898] = {
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_include_token1] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token2] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym___cdecl] = ACTIONS(3227),
    [anon_sym___clrcall] = ACTIONS(3227),
    [anon_sym___stdcall] = ACTIONS(3227),
    [anon_sym___fastcall] = ACTIONS(3227),
    [anon_sym___thiscall] = ACTIONS(3227),
    [anon_sym___vectorcall] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_goto] = ACTIONS(3227),
    [anon_sym___try] = ACTIONS(3227),
    [anon_sym___leave] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3227),
    [anon_sym_compl] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3227),
    [anon_sym___alignof__] = ACTIONS(3227),
    [anon_sym___alignof] = ACTIONS(3227),
    [anon_sym__alignof] = ACTIONS(3227),
    [anon_sym_alignof] = ACTIONS(3227),
    [anon_sym__Alignof] = ACTIONS(3227),
    [anon_sym_offsetof] = ACTIONS(3227),
    [anon_sym__Generic] = ACTIONS(3227),
    [anon_sym_asm] = ACTIONS(3227),
    [anon_sym___asm__] = ACTIONS(3227),
    [sym_number_literal] = ACTIONS(3229),
    [anon_sym_L_SQUOTE] = ACTIONS(3229),
    [anon_sym_u_SQUOTE] = ACTIONS(3229),
    [anon_sym_U_SQUOTE] = ACTIONS(3229),
    [anon_sym_u8_SQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_L_DQUOTE] = ACTIONS(3229),
    [anon_sym_u_DQUOTE] = ACTIONS(3229),
    [anon_sym_U_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8_DQUOTE] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [anon_sym_NULL] = ACTIONS(3227),
    [anon_sym_nullptr] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
    [anon_sym_concept] = ACTIONS(3227),
    [anon_sym_co_return] = ACTIONS(3227),
    [anon_sym_co_yield] = ACTIONS(3227),
    [anon_sym_R_DQUOTE] = ACTIONS(3229),
    [anon_sym_LR_DQUOTE] = ACTIONS(3229),
    [anon_sym_uR_DQUOTE] = ACTIONS(3229),
    [anon_sym_UR_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3229),
    [anon_sym_co_await] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_requires] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
  },
  [899] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token2] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [sym_number_literal] = ACTIONS(3049),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [900] = {
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym_SEMI] = ACTIONS(3174),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_RBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym___try] = ACTIONS(3172),
    [anon_sym___leave] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [901] = {
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3061),
    [anon_sym_BANG] = ACTIONS(3061),
    [anon_sym_TILDE] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym_SEMI] = ACTIONS(3061),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3061),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3061),
    [anon_sym_RBRACE] = ACTIONS(3061),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym___try] = ACTIONS(3059),
    [anon_sym___leave] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3061),
    [anon_sym_PLUS_PLUS] = ACTIONS(3061),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3061),
    [anon_sym_L_SQUOTE] = ACTIONS(3061),
    [anon_sym_u_SQUOTE] = ACTIONS(3061),
    [anon_sym_U_SQUOTE] = ACTIONS(3061),
    [anon_sym_u8_SQUOTE] = ACTIONS(3061),
    [anon_sym_SQUOTE] = ACTIONS(3061),
    [anon_sym_L_DQUOTE] = ACTIONS(3061),
    [anon_sym_u_DQUOTE] = ACTIONS(3061),
    [anon_sym_U_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8_DQUOTE] = ACTIONS(3061),
    [anon_sym_DQUOTE] = ACTIONS(3061),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3061),
    [anon_sym_LR_DQUOTE] = ACTIONS(3061),
    [anon_sym_uR_DQUOTE] = ACTIONS(3061),
    [anon_sym_UR_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3061),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [902] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym_SEMI] = ACTIONS(3146),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_RBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym___try] = ACTIONS(3144),
    [anon_sym___leave] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [903] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [904] = {
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_include_token1] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token2] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym_SEMI] = ACTIONS(3296),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym___cdecl] = ACTIONS(3294),
    [anon_sym___clrcall] = ACTIONS(3294),
    [anon_sym___stdcall] = ACTIONS(3294),
    [anon_sym___fastcall] = ACTIONS(3294),
    [anon_sym___thiscall] = ACTIONS(3294),
    [anon_sym___vectorcall] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_goto] = ACTIONS(3294),
    [anon_sym___try] = ACTIONS(3294),
    [anon_sym___leave] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3294),
    [anon_sym___alignof__] = ACTIONS(3294),
    [anon_sym___alignof] = ACTIONS(3294),
    [anon_sym__alignof] = ACTIONS(3294),
    [anon_sym_alignof] = ACTIONS(3294),
    [anon_sym__Alignof] = ACTIONS(3294),
    [anon_sym_offsetof] = ACTIONS(3294),
    [anon_sym__Generic] = ACTIONS(3294),
    [anon_sym_asm] = ACTIONS(3294),
    [anon_sym___asm__] = ACTIONS(3294),
    [sym_number_literal] = ACTIONS(3296),
    [anon_sym_L_SQUOTE] = ACTIONS(3296),
    [anon_sym_u_SQUOTE] = ACTIONS(3296),
    [anon_sym_U_SQUOTE] = ACTIONS(3296),
    [anon_sym_u8_SQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_L_DQUOTE] = ACTIONS(3296),
    [anon_sym_u_DQUOTE] = ACTIONS(3296),
    [anon_sym_U_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8_DQUOTE] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [anon_sym_NULL] = ACTIONS(3294),
    [anon_sym_nullptr] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
    [anon_sym_concept] = ACTIONS(3294),
    [anon_sym_co_return] = ACTIONS(3294),
    [anon_sym_co_yield] = ACTIONS(3294),
    [anon_sym_R_DQUOTE] = ACTIONS(3296),
    [anon_sym_LR_DQUOTE] = ACTIONS(3296),
    [anon_sym_uR_DQUOTE] = ACTIONS(3296),
    [anon_sym_UR_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3296),
    [anon_sym_co_await] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_requires] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
  },
  [905] = {
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym_SEMI] = ACTIONS(3049),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_RBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym___try] = ACTIONS(3047),
    [anon_sym___leave] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [sym_number_literal] = ACTIONS(3049),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [906] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token2] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [907] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token2] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [sym_primitive_type] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [908] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [909] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_RBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [910] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token2] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [sym_primitive_type] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [sym_number_literal] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [911] = {
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_include_token1] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token2] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym___cdecl] = ACTIONS(3261),
    [anon_sym___clrcall] = ACTIONS(3261),
    [anon_sym___stdcall] = ACTIONS(3261),
    [anon_sym___fastcall] = ACTIONS(3261),
    [anon_sym___thiscall] = ACTIONS(3261),
    [anon_sym___vectorcall] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym___try] = ACTIONS(3261),
    [anon_sym___leave] = ACTIONS(3261),
    [anon_sym_not] = ACTIONS(3261),
    [anon_sym_compl] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym___alignof__] = ACTIONS(3261),
    [anon_sym___alignof] = ACTIONS(3261),
    [anon_sym__alignof] = ACTIONS(3261),
    [anon_sym_alignof] = ACTIONS(3261),
    [anon_sym__Alignof] = ACTIONS(3261),
    [anon_sym_offsetof] = ACTIONS(3261),
    [anon_sym__Generic] = ACTIONS(3261),
    [anon_sym_asm] = ACTIONS(3261),
    [anon_sym___asm__] = ACTIONS(3261),
    [sym_number_literal] = ACTIONS(3263),
    [anon_sym_L_SQUOTE] = ACTIONS(3263),
    [anon_sym_u_SQUOTE] = ACTIONS(3263),
    [anon_sym_U_SQUOTE] = ACTIONS(3263),
    [anon_sym_u8_SQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_L_DQUOTE] = ACTIONS(3263),
    [anon_sym_u_DQUOTE] = ACTIONS(3263),
    [anon_sym_U_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8_DQUOTE] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [anon_sym_NULL] = ACTIONS(3261),
    [anon_sym_nullptr] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
    [anon_sym_concept] = ACTIONS(3261),
    [anon_sym_co_return] = ACTIONS(3261),
    [anon_sym_co_yield] = ACTIONS(3261),
    [anon_sym_R_DQUOTE] = ACTIONS(3263),
    [anon_sym_LR_DQUOTE] = ACTIONS(3263),
    [anon_sym_uR_DQUOTE] = ACTIONS(3263),
    [anon_sym_UR_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3263),
    [anon_sym_co_await] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_requires] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
  },
  [912] = {
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token2] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym_SEMI] = ACTIONS(3114),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [sym_primitive_type] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym___try] = ACTIONS(3112),
    [anon_sym___leave] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [913] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token2] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [sym_primitive_type] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [914] = {
    [sym_identifier] = ACTIONS(3213),
    [aux_sym_preproc_include_token1] = ACTIONS(3213),
    [aux_sym_preproc_def_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3213),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_AMP_AMP] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3213),
    [anon_sym_SEMI] = ACTIONS(3215),
    [anon_sym___extension__] = ACTIONS(3213),
    [anon_sym_typedef] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym___attribute__] = ACTIONS(3213),
    [anon_sym_COLON_COLON] = ACTIONS(3215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3215),
    [anon_sym___declspec] = ACTIONS(3213),
    [anon_sym___based] = ACTIONS(3213),
    [anon_sym___cdecl] = ACTIONS(3213),
    [anon_sym___clrcall] = ACTIONS(3213),
    [anon_sym___stdcall] = ACTIONS(3213),
    [anon_sym___fastcall] = ACTIONS(3213),
    [anon_sym___thiscall] = ACTIONS(3213),
    [anon_sym___vectorcall] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_RBRACE] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3213),
    [anon_sym_unsigned] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_register] = ACTIONS(3213),
    [anon_sym_inline] = ACTIONS(3213),
    [anon_sym___inline] = ACTIONS(3213),
    [anon_sym___inline__] = ACTIONS(3213),
    [anon_sym___forceinline] = ACTIONS(3213),
    [anon_sym_thread_local] = ACTIONS(3213),
    [anon_sym___thread] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_constexpr] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_restrict] = ACTIONS(3213),
    [anon_sym___restrict__] = ACTIONS(3213),
    [anon_sym__Atomic] = ACTIONS(3213),
    [anon_sym__Noreturn] = ACTIONS(3213),
    [anon_sym_noreturn] = ACTIONS(3213),
    [anon_sym_mutable] = ACTIONS(3213),
    [anon_sym_constinit] = ACTIONS(3213),
    [anon_sym_consteval] = ACTIONS(3213),
    [sym_primitive_type] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_union] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym___try] = ACTIONS(3213),
    [anon_sym___leave] = ACTIONS(3213),
    [anon_sym_not] = ACTIONS(3213),
    [anon_sym_compl] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym___alignof__] = ACTIONS(3213),
    [anon_sym___alignof] = ACTIONS(3213),
    [anon_sym__alignof] = ACTIONS(3213),
    [anon_sym_alignof] = ACTIONS(3213),
    [anon_sym__Alignof] = ACTIONS(3213),
    [anon_sym_offsetof] = ACTIONS(3213),
    [anon_sym__Generic] = ACTIONS(3213),
    [anon_sym_asm] = ACTIONS(3213),
    [anon_sym___asm__] = ACTIONS(3213),
    [sym_number_literal] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3215),
    [anon_sym_u_SQUOTE] = ACTIONS(3215),
    [anon_sym_U_SQUOTE] = ACTIONS(3215),
    [anon_sym_u8_SQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_L_DQUOTE] = ACTIONS(3215),
    [anon_sym_u_DQUOTE] = ACTIONS(3215),
    [anon_sym_U_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8_DQUOTE] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [anon_sym_NULL] = ACTIONS(3213),
    [anon_sym_nullptr] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3213),
    [anon_sym_decltype] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_alignas] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_typename] = ACTIONS(3213),
    [anon_sym_template] = ACTIONS(3213),
    [anon_sym_operator] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static_assert] = ACTIONS(3213),
    [anon_sym_concept] = ACTIONS(3213),
    [anon_sym_co_return] = ACTIONS(3213),
    [anon_sym_co_yield] = ACTIONS(3213),
    [anon_sym_R_DQUOTE] = ACTIONS(3215),
    [anon_sym_LR_DQUOTE] = ACTIONS(3215),
    [anon_sym_uR_DQUOTE] = ACTIONS(3215),
    [anon_sym_UR_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3215),
    [anon_sym_co_await] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_requires] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
  },
  [915] = {
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym_SEMI] = ACTIONS(3219),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_RBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym___try] = ACTIONS(3217),
    [anon_sym___leave] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [916] = {
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_include_token1] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym_SEMI] = ACTIONS(3267),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym___cdecl] = ACTIONS(3265),
    [anon_sym___clrcall] = ACTIONS(3265),
    [anon_sym___stdcall] = ACTIONS(3265),
    [anon_sym___fastcall] = ACTIONS(3265),
    [anon_sym___thiscall] = ACTIONS(3265),
    [anon_sym___vectorcall] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_RBRACE] = ACTIONS(3267),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym___try] = ACTIONS(3265),
    [anon_sym___leave] = ACTIONS(3265),
    [anon_sym_not] = ACTIONS(3265),
    [anon_sym_compl] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym___alignof__] = ACTIONS(3265),
    [anon_sym___alignof] = ACTIONS(3265),
    [anon_sym__alignof] = ACTIONS(3265),
    [anon_sym_alignof] = ACTIONS(3265),
    [anon_sym__Alignof] = ACTIONS(3265),
    [anon_sym_offsetof] = ACTIONS(3265),
    [anon_sym__Generic] = ACTIONS(3265),
    [anon_sym_asm] = ACTIONS(3265),
    [anon_sym___asm__] = ACTIONS(3265),
    [sym_number_literal] = ACTIONS(3267),
    [anon_sym_L_SQUOTE] = ACTIONS(3267),
    [anon_sym_u_SQUOTE] = ACTIONS(3267),
    [anon_sym_U_SQUOTE] = ACTIONS(3267),
    [anon_sym_u8_SQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_L_DQUOTE] = ACTIONS(3267),
    [anon_sym_u_DQUOTE] = ACTIONS(3267),
    [anon_sym_U_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8_DQUOTE] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [anon_sym_NULL] = ACTIONS(3265),
    [anon_sym_nullptr] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
    [anon_sym_concept] = ACTIONS(3265),
    [anon_sym_co_return] = ACTIONS(3265),
    [anon_sym_co_yield] = ACTIONS(3265),
    [anon_sym_R_DQUOTE] = ACTIONS(3267),
    [anon_sym_LR_DQUOTE] = ACTIONS(3267),
    [anon_sym_uR_DQUOTE] = ACTIONS(3267),
    [anon_sym_UR_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3267),
    [anon_sym_co_await] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_requires] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
  },
  [917] = {
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym_SEMI] = ACTIONS(3053),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_RBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym___try] = ACTIONS(3051),
    [anon_sym___leave] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [918] = {
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym_SEMI] = ACTIONS(3068),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_RBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [sym_primitive_type] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym___try] = ACTIONS(3066),
    [anon_sym___leave] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [919] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_RBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [sym_number_literal] = ACTIONS(3225),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [920] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [921] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym_SEMI] = ACTIONS(3271),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym___try] = ACTIONS(3269),
    [anon_sym___leave] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [922] = {
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_include_token1] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token2] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym___cdecl] = ACTIONS(3290),
    [anon_sym___clrcall] = ACTIONS(3290),
    [anon_sym___stdcall] = ACTIONS(3290),
    [anon_sym___fastcall] = ACTIONS(3290),
    [anon_sym___thiscall] = ACTIONS(3290),
    [anon_sym___vectorcall] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_goto] = ACTIONS(3290),
    [anon_sym___try] = ACTIONS(3290),
    [anon_sym___leave] = ACTIONS(3290),
    [anon_sym_not] = ACTIONS(3290),
    [anon_sym_compl] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_sizeof] = ACTIONS(3290),
    [anon_sym___alignof__] = ACTIONS(3290),
    [anon_sym___alignof] = ACTIONS(3290),
    [anon_sym__alignof] = ACTIONS(3290),
    [anon_sym_alignof] = ACTIONS(3290),
    [anon_sym__Alignof] = ACTIONS(3290),
    [anon_sym_offsetof] = ACTIONS(3290),
    [anon_sym__Generic] = ACTIONS(3290),
    [anon_sym_asm] = ACTIONS(3290),
    [anon_sym___asm__] = ACTIONS(3290),
    [sym_number_literal] = ACTIONS(3292),
    [anon_sym_L_SQUOTE] = ACTIONS(3292),
    [anon_sym_u_SQUOTE] = ACTIONS(3292),
    [anon_sym_U_SQUOTE] = ACTIONS(3292),
    [anon_sym_u8_SQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_L_DQUOTE] = ACTIONS(3292),
    [anon_sym_u_DQUOTE] = ACTIONS(3292),
    [anon_sym_U_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8_DQUOTE] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [anon_sym_NULL] = ACTIONS(3290),
    [anon_sym_nullptr] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
    [anon_sym_concept] = ACTIONS(3290),
    [anon_sym_co_return] = ACTIONS(3290),
    [anon_sym_co_yield] = ACTIONS(3290),
    [anon_sym_R_DQUOTE] = ACTIONS(3292),
    [anon_sym_LR_DQUOTE] = ACTIONS(3292),
    [anon_sym_uR_DQUOTE] = ACTIONS(3292),
    [anon_sym_UR_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3292),
    [anon_sym_co_await] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_requires] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
  },
  [923] = {
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_include_token1] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token2] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym_SEMI] = ACTIONS(3288),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym___cdecl] = ACTIONS(3286),
    [anon_sym___clrcall] = ACTIONS(3286),
    [anon_sym___stdcall] = ACTIONS(3286),
    [anon_sym___fastcall] = ACTIONS(3286),
    [anon_sym___thiscall] = ACTIONS(3286),
    [anon_sym___vectorcall] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_goto] = ACTIONS(3286),
    [anon_sym___try] = ACTIONS(3286),
    [anon_sym___leave] = ACTIONS(3286),
    [anon_sym_not] = ACTIONS(3286),
    [anon_sym_compl] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_sizeof] = ACTIONS(3286),
    [anon_sym___alignof__] = ACTIONS(3286),
    [anon_sym___alignof] = ACTIONS(3286),
    [anon_sym__alignof] = ACTIONS(3286),
    [anon_sym_alignof] = ACTIONS(3286),
    [anon_sym__Alignof] = ACTIONS(3286),
    [anon_sym_offsetof] = ACTIONS(3286),
    [anon_sym__Generic] = ACTIONS(3286),
    [anon_sym_asm] = ACTIONS(3286),
    [anon_sym___asm__] = ACTIONS(3286),
    [sym_number_literal] = ACTIONS(3288),
    [anon_sym_L_SQUOTE] = ACTIONS(3288),
    [anon_sym_u_SQUOTE] = ACTIONS(3288),
    [anon_sym_U_SQUOTE] = ACTIONS(3288),
    [anon_sym_u8_SQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_L_DQUOTE] = ACTIONS(3288),
    [anon_sym_u_DQUOTE] = ACTIONS(3288),
    [anon_sym_U_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8_DQUOTE] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [anon_sym_NULL] = ACTIONS(3286),
    [anon_sym_nullptr] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
    [anon_sym_concept] = ACTIONS(3286),
    [anon_sym_co_return] = ACTIONS(3286),
    [anon_sym_co_yield] = ACTIONS(3286),
    [anon_sym_R_DQUOTE] = ACTIONS(3288),
    [anon_sym_LR_DQUOTE] = ACTIONS(3288),
    [anon_sym_uR_DQUOTE] = ACTIONS(3288),
    [anon_sym_UR_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3288),
    [anon_sym_co_await] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_requires] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
  },
  [924] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_RBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [925] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_RBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [926] = {
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token2] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym_SEMI] = ACTIONS(3207),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [sym_primitive_type] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym___try] = ACTIONS(3205),
    [anon_sym___leave] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [sym_number_literal] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [927] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym_SEMI] = ACTIONS(3255),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym___try] = ACTIONS(3253),
    [anon_sym___leave] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [928] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym_SEMI] = ACTIONS(3182),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym___try] = ACTIONS(3180),
    [anon_sym___leave] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [929] = {
    [sym_identifier] = ACTIONS(3306),
    [aux_sym_preproc_include_token1] = ACTIONS(3306),
    [aux_sym_preproc_def_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token2] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3306),
    [anon_sym_LPAREN2] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3306),
    [anon_sym_SEMI] = ACTIONS(3308),
    [anon_sym___extension__] = ACTIONS(3306),
    [anon_sym_typedef] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym___attribute__] = ACTIONS(3306),
    [anon_sym_COLON_COLON] = ACTIONS(3308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3308),
    [anon_sym___declspec] = ACTIONS(3306),
    [anon_sym___based] = ACTIONS(3306),
    [anon_sym___cdecl] = ACTIONS(3306),
    [anon_sym___clrcall] = ACTIONS(3306),
    [anon_sym___stdcall] = ACTIONS(3306),
    [anon_sym___fastcall] = ACTIONS(3306),
    [anon_sym___thiscall] = ACTIONS(3306),
    [anon_sym___vectorcall] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3306),
    [anon_sym_unsigned] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_register] = ACTIONS(3306),
    [anon_sym_inline] = ACTIONS(3306),
    [anon_sym___inline] = ACTIONS(3306),
    [anon_sym___inline__] = ACTIONS(3306),
    [anon_sym___forceinline] = ACTIONS(3306),
    [anon_sym_thread_local] = ACTIONS(3306),
    [anon_sym___thread] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_constexpr] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_restrict] = ACTIONS(3306),
    [anon_sym___restrict__] = ACTIONS(3306),
    [anon_sym__Atomic] = ACTIONS(3306),
    [anon_sym__Noreturn] = ACTIONS(3306),
    [anon_sym_noreturn] = ACTIONS(3306),
    [anon_sym_mutable] = ACTIONS(3306),
    [anon_sym_constinit] = ACTIONS(3306),
    [anon_sym_consteval] = ACTIONS(3306),
    [sym_primitive_type] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_union] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_goto] = ACTIONS(3306),
    [anon_sym___try] = ACTIONS(3306),
    [anon_sym___leave] = ACTIONS(3306),
    [anon_sym_not] = ACTIONS(3306),
    [anon_sym_compl] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_sizeof] = ACTIONS(3306),
    [anon_sym___alignof__] = ACTIONS(3306),
    [anon_sym___alignof] = ACTIONS(3306),
    [anon_sym__alignof] = ACTIONS(3306),
    [anon_sym_alignof] = ACTIONS(3306),
    [anon_sym__Alignof] = ACTIONS(3306),
    [anon_sym_offsetof] = ACTIONS(3306),
    [anon_sym__Generic] = ACTIONS(3306),
    [anon_sym_asm] = ACTIONS(3306),
    [anon_sym___asm__] = ACTIONS(3306),
    [sym_number_literal] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3308),
    [anon_sym_u_SQUOTE] = ACTIONS(3308),
    [anon_sym_U_SQUOTE] = ACTIONS(3308),
    [anon_sym_u8_SQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [anon_sym_NULL] = ACTIONS(3306),
    [anon_sym_nullptr] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3306),
    [anon_sym_decltype] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_alignas] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_typename] = ACTIONS(3306),
    [anon_sym_template] = ACTIONS(3306),
    [anon_sym_operator] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3306),
    [anon_sym_concept] = ACTIONS(3306),
    [anon_sym_co_return] = ACTIONS(3306),
    [anon_sym_co_yield] = ACTIONS(3306),
    [anon_sym_R_DQUOTE] = ACTIONS(3308),
    [anon_sym_LR_DQUOTE] = ACTIONS(3308),
    [anon_sym_uR_DQUOTE] = ACTIONS(3308),
    [anon_sym_UR_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3308),
    [anon_sym_co_await] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_requires] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
  },
  [930] = {
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_include_token1] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym_SEMI] = ACTIONS(3229),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym___cdecl] = ACTIONS(3227),
    [anon_sym___clrcall] = ACTIONS(3227),
    [anon_sym___stdcall] = ACTIONS(3227),
    [anon_sym___fastcall] = ACTIONS(3227),
    [anon_sym___thiscall] = ACTIONS(3227),
    [anon_sym___vectorcall] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_RBRACE] = ACTIONS(3229),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_goto] = ACTIONS(3227),
    [anon_sym___try] = ACTIONS(3227),
    [anon_sym___leave] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3227),
    [anon_sym_compl] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3227),
    [anon_sym___alignof__] = ACTIONS(3227),
    [anon_sym___alignof] = ACTIONS(3227),
    [anon_sym__alignof] = ACTIONS(3227),
    [anon_sym_alignof] = ACTIONS(3227),
    [anon_sym__Alignof] = ACTIONS(3227),
    [anon_sym_offsetof] = ACTIONS(3227),
    [anon_sym__Generic] = ACTIONS(3227),
    [anon_sym_asm] = ACTIONS(3227),
    [anon_sym___asm__] = ACTIONS(3227),
    [sym_number_literal] = ACTIONS(3229),
    [anon_sym_L_SQUOTE] = ACTIONS(3229),
    [anon_sym_u_SQUOTE] = ACTIONS(3229),
    [anon_sym_U_SQUOTE] = ACTIONS(3229),
    [anon_sym_u8_SQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_L_DQUOTE] = ACTIONS(3229),
    [anon_sym_u_DQUOTE] = ACTIONS(3229),
    [anon_sym_U_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8_DQUOTE] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [anon_sym_NULL] = ACTIONS(3227),
    [anon_sym_nullptr] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
    [anon_sym_concept] = ACTIONS(3227),
    [anon_sym_co_return] = ACTIONS(3227),
    [anon_sym_co_yield] = ACTIONS(3227),
    [anon_sym_R_DQUOTE] = ACTIONS(3229),
    [anon_sym_LR_DQUOTE] = ACTIONS(3229),
    [anon_sym_uR_DQUOTE] = ACTIONS(3229),
    [anon_sym_UR_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3229),
    [anon_sym_co_await] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_requires] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
  },
  [931] = {
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_include_token1] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym___cdecl] = ACTIONS(3257),
    [anon_sym___clrcall] = ACTIONS(3257),
    [anon_sym___stdcall] = ACTIONS(3257),
    [anon_sym___fastcall] = ACTIONS(3257),
    [anon_sym___thiscall] = ACTIONS(3257),
    [anon_sym___vectorcall] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_goto] = ACTIONS(3257),
    [anon_sym___try] = ACTIONS(3257),
    [anon_sym___leave] = ACTIONS(3257),
    [anon_sym_not] = ACTIONS(3257),
    [anon_sym_compl] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_sizeof] = ACTIONS(3257),
    [anon_sym___alignof__] = ACTIONS(3257),
    [anon_sym___alignof] = ACTIONS(3257),
    [anon_sym__alignof] = ACTIONS(3257),
    [anon_sym_alignof] = ACTIONS(3257),
    [anon_sym__Alignof] = ACTIONS(3257),
    [anon_sym_offsetof] = ACTIONS(3257),
    [anon_sym__Generic] = ACTIONS(3257),
    [anon_sym_asm] = ACTIONS(3257),
    [anon_sym___asm__] = ACTIONS(3257),
    [sym_number_literal] = ACTIONS(3259),
    [anon_sym_L_SQUOTE] = ACTIONS(3259),
    [anon_sym_u_SQUOTE] = ACTIONS(3259),
    [anon_sym_U_SQUOTE] = ACTIONS(3259),
    [anon_sym_u8_SQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_L_DQUOTE] = ACTIONS(3259),
    [anon_sym_u_DQUOTE] = ACTIONS(3259),
    [anon_sym_U_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8_DQUOTE] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [anon_sym_NULL] = ACTIONS(3257),
    [anon_sym_nullptr] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
    [anon_sym_concept] = ACTIONS(3257),
    [anon_sym_co_return] = ACTIONS(3257),
    [anon_sym_co_yield] = ACTIONS(3257),
    [anon_sym_R_DQUOTE] = ACTIONS(3259),
    [anon_sym_LR_DQUOTE] = ACTIONS(3259),
    [anon_sym_uR_DQUOTE] = ACTIONS(3259),
    [anon_sym_UR_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3259),
    [anon_sym_co_await] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_requires] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
  },
  [932] = {
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3233),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym___cdecl] = ACTIONS(3231),
    [anon_sym___clrcall] = ACTIONS(3231),
    [anon_sym___stdcall] = ACTIONS(3231),
    [anon_sym___fastcall] = ACTIONS(3231),
    [anon_sym___thiscall] = ACTIONS(3231),
    [anon_sym___vectorcall] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_RBRACE] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_goto] = ACTIONS(3231),
    [anon_sym___try] = ACTIONS(3231),
    [anon_sym___leave] = ACTIONS(3231),
    [anon_sym_not] = ACTIONS(3231),
    [anon_sym_compl] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3231),
    [anon_sym___alignof__] = ACTIONS(3231),
    [anon_sym___alignof] = ACTIONS(3231),
    [anon_sym__alignof] = ACTIONS(3231),
    [anon_sym_alignof] = ACTIONS(3231),
    [anon_sym__Alignof] = ACTIONS(3231),
    [anon_sym_offsetof] = ACTIONS(3231),
    [anon_sym__Generic] = ACTIONS(3231),
    [anon_sym_asm] = ACTIONS(3231),
    [anon_sym___asm__] = ACTIONS(3231),
    [sym_number_literal] = ACTIONS(3233),
    [anon_sym_L_SQUOTE] = ACTIONS(3233),
    [anon_sym_u_SQUOTE] = ACTIONS(3233),
    [anon_sym_U_SQUOTE] = ACTIONS(3233),
    [anon_sym_u8_SQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_L_DQUOTE] = ACTIONS(3233),
    [anon_sym_u_DQUOTE] = ACTIONS(3233),
    [anon_sym_U_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8_DQUOTE] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [anon_sym_NULL] = ACTIONS(3231),
    [anon_sym_nullptr] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
    [anon_sym_concept] = ACTIONS(3231),
    [anon_sym_co_return] = ACTIONS(3231),
    [anon_sym_co_yield] = ACTIONS(3231),
    [anon_sym_R_DQUOTE] = ACTIONS(3233),
    [anon_sym_LR_DQUOTE] = ACTIONS(3233),
    [anon_sym_uR_DQUOTE] = ACTIONS(3233),
    [anon_sym_UR_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3233),
    [anon_sym_co_await] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_requires] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
  },
  [933] = {
    [sym_identifier] = ACTIONS(3310),
    [aux_sym_preproc_include_token1] = ACTIONS(3310),
    [aux_sym_preproc_def_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token2] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3310),
    [sym_preproc_directive] = ACTIONS(3310),
    [anon_sym_LPAREN2] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym_SEMI] = ACTIONS(3312),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3310),
    [anon_sym_extern] = ACTIONS(3310),
    [anon_sym___attribute__] = ACTIONS(3310),
    [anon_sym_COLON_COLON] = ACTIONS(3312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3312),
    [anon_sym___declspec] = ACTIONS(3310),
    [anon_sym___based] = ACTIONS(3310),
    [anon_sym___cdecl] = ACTIONS(3310),
    [anon_sym___clrcall] = ACTIONS(3310),
    [anon_sym___stdcall] = ACTIONS(3310),
    [anon_sym___fastcall] = ACTIONS(3310),
    [anon_sym___thiscall] = ACTIONS(3310),
    [anon_sym___vectorcall] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3310),
    [anon_sym_unsigned] = ACTIONS(3310),
    [anon_sym_long] = ACTIONS(3310),
    [anon_sym_short] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_register] = ACTIONS(3310),
    [anon_sym_inline] = ACTIONS(3310),
    [anon_sym___inline] = ACTIONS(3310),
    [anon_sym___inline__] = ACTIONS(3310),
    [anon_sym___forceinline] = ACTIONS(3310),
    [anon_sym_thread_local] = ACTIONS(3310),
    [anon_sym___thread] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_constexpr] = ACTIONS(3310),
    [anon_sym_volatile] = ACTIONS(3310),
    [anon_sym_restrict] = ACTIONS(3310),
    [anon_sym___restrict__] = ACTIONS(3310),
    [anon_sym__Atomic] = ACTIONS(3310),
    [anon_sym__Noreturn] = ACTIONS(3310),
    [anon_sym_noreturn] = ACTIONS(3310),
    [anon_sym_mutable] = ACTIONS(3310),
    [anon_sym_constinit] = ACTIONS(3310),
    [anon_sym_consteval] = ACTIONS(3310),
    [sym_primitive_type] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_struct] = ACTIONS(3310),
    [anon_sym_union] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_goto] = ACTIONS(3310),
    [anon_sym___try] = ACTIONS(3310),
    [anon_sym___leave] = ACTIONS(3310),
    [anon_sym_not] = ACTIONS(3310),
    [anon_sym_compl] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_sizeof] = ACTIONS(3310),
    [anon_sym___alignof__] = ACTIONS(3310),
    [anon_sym___alignof] = ACTIONS(3310),
    [anon_sym__alignof] = ACTIONS(3310),
    [anon_sym_alignof] = ACTIONS(3310),
    [anon_sym__Alignof] = ACTIONS(3310),
    [anon_sym_offsetof] = ACTIONS(3310),
    [anon_sym__Generic] = ACTIONS(3310),
    [anon_sym_asm] = ACTIONS(3310),
    [anon_sym___asm__] = ACTIONS(3310),
    [sym_number_literal] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3312),
    [anon_sym_u_SQUOTE] = ACTIONS(3312),
    [anon_sym_U_SQUOTE] = ACTIONS(3312),
    [anon_sym_u8_SQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_L_DQUOTE] = ACTIONS(3312),
    [anon_sym_u_DQUOTE] = ACTIONS(3312),
    [anon_sym_U_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8_DQUOTE] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [anon_sym_NULL] = ACTIONS(3310),
    [anon_sym_nullptr] = ACTIONS(3310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3310),
    [anon_sym_decltype] = ACTIONS(3310),
    [anon_sym_virtual] = ACTIONS(3310),
    [anon_sym_alignas] = ACTIONS(3310),
    [anon_sym_explicit] = ACTIONS(3310),
    [anon_sym_typename] = ACTIONS(3310),
    [anon_sym_template] = ACTIONS(3310),
    [anon_sym_operator] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_static_assert] = ACTIONS(3310),
    [anon_sym_concept] = ACTIONS(3310),
    [anon_sym_co_return] = ACTIONS(3310),
    [anon_sym_co_yield] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_requires] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
  },
  [934] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym_SEMI] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym___try] = ACTIONS(3223),
    [anon_sym___leave] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [sym_number_literal] = ACTIONS(3225),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [935] = {
    [sym_identifier] = ACTIONS(3055),
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token2] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(3057),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3055),
    [anon_sym_SEMI] = ACTIONS(3057),
    [anon_sym___extension__] = ACTIONS(3055),
    [anon_sym_typedef] = ACTIONS(3055),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3055),
    [anon_sym_COLON_COLON] = ACTIONS(3057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3057),
    [anon_sym___declspec] = ACTIONS(3055),
    [anon_sym___based] = ACTIONS(3055),
    [anon_sym___cdecl] = ACTIONS(3055),
    [anon_sym___clrcall] = ACTIONS(3055),
    [anon_sym___stdcall] = ACTIONS(3055),
    [anon_sym___fastcall] = ACTIONS(3055),
    [anon_sym___thiscall] = ACTIONS(3055),
    [anon_sym___vectorcall] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(3057),
    [anon_sym_signed] = ACTIONS(3055),
    [anon_sym_unsigned] = ACTIONS(3055),
    [anon_sym_long] = ACTIONS(3055),
    [anon_sym_short] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3055),
    [anon_sym_constexpr] = ACTIONS(3055),
    [anon_sym_volatile] = ACTIONS(3055),
    [anon_sym_restrict] = ACTIONS(3055),
    [anon_sym___restrict__] = ACTIONS(3055),
    [anon_sym__Atomic] = ACTIONS(3055),
    [anon_sym__Noreturn] = ACTIONS(3055),
    [anon_sym_noreturn] = ACTIONS(3055),
    [anon_sym_mutable] = ACTIONS(3055),
    [anon_sym_constinit] = ACTIONS(3055),
    [anon_sym_consteval] = ACTIONS(3055),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_union] = ACTIONS(3055),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_switch] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_default] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(3055),
    [anon_sym_do] = ACTIONS(3055),
    [anon_sym_for] = ACTIONS(3055),
    [anon_sym_return] = ACTIONS(3055),
    [anon_sym_break] = ACTIONS(3055),
    [anon_sym_continue] = ACTIONS(3055),
    [anon_sym_goto] = ACTIONS(3055),
    [anon_sym___try] = ACTIONS(3055),
    [anon_sym___leave] = ACTIONS(3055),
    [anon_sym_not] = ACTIONS(3055),
    [anon_sym_compl] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3057),
    [anon_sym_PLUS_PLUS] = ACTIONS(3057),
    [anon_sym_sizeof] = ACTIONS(3055),
    [anon_sym___alignof__] = ACTIONS(3055),
    [anon_sym___alignof] = ACTIONS(3055),
    [anon_sym__alignof] = ACTIONS(3055),
    [anon_sym_alignof] = ACTIONS(3055),
    [anon_sym__Alignof] = ACTIONS(3055),
    [anon_sym_offsetof] = ACTIONS(3055),
    [anon_sym__Generic] = ACTIONS(3055),
    [anon_sym_asm] = ACTIONS(3055),
    [anon_sym___asm__] = ACTIONS(3055),
    [sym_number_literal] = ACTIONS(3057),
    [anon_sym_L_SQUOTE] = ACTIONS(3057),
    [anon_sym_u_SQUOTE] = ACTIONS(3057),
    [anon_sym_U_SQUOTE] = ACTIONS(3057),
    [anon_sym_u8_SQUOTE] = ACTIONS(3057),
    [anon_sym_SQUOTE] = ACTIONS(3057),
    [anon_sym_L_DQUOTE] = ACTIONS(3057),
    [anon_sym_u_DQUOTE] = ACTIONS(3057),
    [anon_sym_U_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8_DQUOTE] = ACTIONS(3057),
    [anon_sym_DQUOTE] = ACTIONS(3057),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [anon_sym_NULL] = ACTIONS(3055),
    [anon_sym_nullptr] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3055),
    [anon_sym_decltype] = ACTIONS(3055),
    [anon_sym_virtual] = ACTIONS(3055),
    [anon_sym_alignas] = ACTIONS(3055),
    [anon_sym_explicit] = ACTIONS(3055),
    [anon_sym_typename] = ACTIONS(3055),
    [anon_sym_template] = ACTIONS(3055),
    [anon_sym_operator] = ACTIONS(3055),
    [anon_sym_try] = ACTIONS(3055),
    [anon_sym_delete] = ACTIONS(3055),
    [anon_sym_throw] = ACTIONS(3055),
    [anon_sym_namespace] = ACTIONS(3055),
    [anon_sym_using] = ACTIONS(3055),
    [anon_sym_static_assert] = ACTIONS(3055),
    [anon_sym_concept] = ACTIONS(3055),
    [anon_sym_co_return] = ACTIONS(3055),
    [anon_sym_co_yield] = ACTIONS(3055),
    [anon_sym_R_DQUOTE] = ACTIONS(3057),
    [anon_sym_LR_DQUOTE] = ACTIONS(3057),
    [anon_sym_uR_DQUOTE] = ACTIONS(3057),
    [anon_sym_UR_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3057),
    [anon_sym_co_await] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(3055),
    [anon_sym_requires] = ACTIONS(3055),
    [sym_this] = ACTIONS(3055),
  },
  [936] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym_SEMI] = ACTIONS(3243),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_RBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym___try] = ACTIONS(3241),
    [anon_sym___leave] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [937] = {
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym_SEMI] = ACTIONS(3247),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_RBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym___try] = ACTIONS(3245),
    [anon_sym___leave] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [938] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym_SEMI] = ACTIONS(3130),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_RBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym___try] = ACTIONS(3128),
    [anon_sym___leave] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [sym_number_literal] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [939] = {
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym_SEMI] = ACTIONS(3104),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_RBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [sym_primitive_type] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym___try] = ACTIONS(3102),
    [anon_sym___leave] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [sym_number_literal] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [940] = {
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_include_token1] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym_SEMI] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym___cdecl] = ACTIONS(3257),
    [anon_sym___clrcall] = ACTIONS(3257),
    [anon_sym___stdcall] = ACTIONS(3257),
    [anon_sym___fastcall] = ACTIONS(3257),
    [anon_sym___thiscall] = ACTIONS(3257),
    [anon_sym___vectorcall] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_RBRACE] = ACTIONS(3259),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_goto] = ACTIONS(3257),
    [anon_sym___try] = ACTIONS(3257),
    [anon_sym___leave] = ACTIONS(3257),
    [anon_sym_not] = ACTIONS(3257),
    [anon_sym_compl] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_sizeof] = ACTIONS(3257),
    [anon_sym___alignof__] = ACTIONS(3257),
    [anon_sym___alignof] = ACTIONS(3257),
    [anon_sym__alignof] = ACTIONS(3257),
    [anon_sym_alignof] = ACTIONS(3257),
    [anon_sym__Alignof] = ACTIONS(3257),
    [anon_sym_offsetof] = ACTIONS(3257),
    [anon_sym__Generic] = ACTIONS(3257),
    [anon_sym_asm] = ACTIONS(3257),
    [anon_sym___asm__] = ACTIONS(3257),
    [sym_number_literal] = ACTIONS(3259),
    [anon_sym_L_SQUOTE] = ACTIONS(3259),
    [anon_sym_u_SQUOTE] = ACTIONS(3259),
    [anon_sym_U_SQUOTE] = ACTIONS(3259),
    [anon_sym_u8_SQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_L_DQUOTE] = ACTIONS(3259),
    [anon_sym_u_DQUOTE] = ACTIONS(3259),
    [anon_sym_U_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8_DQUOTE] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [anon_sym_NULL] = ACTIONS(3257),
    [anon_sym_nullptr] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
    [anon_sym_concept] = ACTIONS(3257),
    [anon_sym_co_return] = ACTIONS(3257),
    [anon_sym_co_yield] = ACTIONS(3257),
    [anon_sym_R_DQUOTE] = ACTIONS(3259),
    [anon_sym_LR_DQUOTE] = ACTIONS(3259),
    [anon_sym_uR_DQUOTE] = ACTIONS(3259),
    [anon_sym_UR_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3259),
    [anon_sym_co_await] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_requires] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
  },
  [941] = {
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token2] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym_SEMI] = ACTIONS(3251),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym___try] = ACTIONS(3249),
    [anon_sym___leave] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [942] = {
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym_SEMI] = ACTIONS(3118),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_RBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [sym_primitive_type] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym___try] = ACTIONS(3116),
    [anon_sym___leave] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [943] = {
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_include_token1] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym_SEMI] = ACTIONS(3263),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym___cdecl] = ACTIONS(3261),
    [anon_sym___clrcall] = ACTIONS(3261),
    [anon_sym___stdcall] = ACTIONS(3261),
    [anon_sym___fastcall] = ACTIONS(3261),
    [anon_sym___thiscall] = ACTIONS(3261),
    [anon_sym___vectorcall] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_RBRACE] = ACTIONS(3263),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym___try] = ACTIONS(3261),
    [anon_sym___leave] = ACTIONS(3261),
    [anon_sym_not] = ACTIONS(3261),
    [anon_sym_compl] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym___alignof__] = ACTIONS(3261),
    [anon_sym___alignof] = ACTIONS(3261),
    [anon_sym__alignof] = ACTIONS(3261),
    [anon_sym_alignof] = ACTIONS(3261),
    [anon_sym__Alignof] = ACTIONS(3261),
    [anon_sym_offsetof] = ACTIONS(3261),
    [anon_sym__Generic] = ACTIONS(3261),
    [anon_sym_asm] = ACTIONS(3261),
    [anon_sym___asm__] = ACTIONS(3261),
    [sym_number_literal] = ACTIONS(3263),
    [anon_sym_L_SQUOTE] = ACTIONS(3263),
    [anon_sym_u_SQUOTE] = ACTIONS(3263),
    [anon_sym_U_SQUOTE] = ACTIONS(3263),
    [anon_sym_u8_SQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_L_DQUOTE] = ACTIONS(3263),
    [anon_sym_u_DQUOTE] = ACTIONS(3263),
    [anon_sym_U_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8_DQUOTE] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [anon_sym_NULL] = ACTIONS(3261),
    [anon_sym_nullptr] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
    [anon_sym_concept] = ACTIONS(3261),
    [anon_sym_co_return] = ACTIONS(3261),
    [anon_sym_co_yield] = ACTIONS(3261),
    [anon_sym_R_DQUOTE] = ACTIONS(3263),
    [anon_sym_LR_DQUOTE] = ACTIONS(3263),
    [anon_sym_uR_DQUOTE] = ACTIONS(3263),
    [anon_sym_UR_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3263),
    [anon_sym_co_await] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_requires] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
  },
  [944] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym_SEMI] = ACTIONS(3239),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_RBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym___try] = ACTIONS(3237),
    [anon_sym___leave] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [945] = {
    [sym_identifier] = ACTIONS(3280),
    [aux_sym_preproc_include_token1] = ACTIONS(3280),
    [aux_sym_preproc_def_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token2] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3280),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym_SEMI] = ACTIONS(3282),
    [anon_sym___extension__] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3280),
    [anon_sym_extern] = ACTIONS(3280),
    [anon_sym___attribute__] = ACTIONS(3280),
    [anon_sym_COLON_COLON] = ACTIONS(3282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3282),
    [anon_sym___declspec] = ACTIONS(3280),
    [anon_sym___based] = ACTIONS(3280),
    [anon_sym___cdecl] = ACTIONS(3280),
    [anon_sym___clrcall] = ACTIONS(3280),
    [anon_sym___stdcall] = ACTIONS(3280),
    [anon_sym___fastcall] = ACTIONS(3280),
    [anon_sym___thiscall] = ACTIONS(3280),
    [anon_sym___vectorcall] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3280),
    [anon_sym_unsigned] = ACTIONS(3280),
    [anon_sym_long] = ACTIONS(3280),
    [anon_sym_short] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_register] = ACTIONS(3280),
    [anon_sym_inline] = ACTIONS(3280),
    [anon_sym___inline] = ACTIONS(3280),
    [anon_sym___inline__] = ACTIONS(3280),
    [anon_sym___forceinline] = ACTIONS(3280),
    [anon_sym_thread_local] = ACTIONS(3280),
    [anon_sym___thread] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_constexpr] = ACTIONS(3280),
    [anon_sym_volatile] = ACTIONS(3280),
    [anon_sym_restrict] = ACTIONS(3280),
    [anon_sym___restrict__] = ACTIONS(3280),
    [anon_sym__Atomic] = ACTIONS(3280),
    [anon_sym__Noreturn] = ACTIONS(3280),
    [anon_sym_noreturn] = ACTIONS(3280),
    [anon_sym_mutable] = ACTIONS(3280),
    [anon_sym_constinit] = ACTIONS(3280),
    [anon_sym_consteval] = ACTIONS(3280),
    [sym_primitive_type] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_struct] = ACTIONS(3280),
    [anon_sym_union] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_goto] = ACTIONS(3280),
    [anon_sym___try] = ACTIONS(3280),
    [anon_sym___leave] = ACTIONS(3280),
    [anon_sym_not] = ACTIONS(3280),
    [anon_sym_compl] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_sizeof] = ACTIONS(3280),
    [anon_sym___alignof__] = ACTIONS(3280),
    [anon_sym___alignof] = ACTIONS(3280),
    [anon_sym__alignof] = ACTIONS(3280),
    [anon_sym_alignof] = ACTIONS(3280),
    [anon_sym__Alignof] = ACTIONS(3280),
    [anon_sym_offsetof] = ACTIONS(3280),
    [anon_sym__Generic] = ACTIONS(3280),
    [anon_sym_asm] = ACTIONS(3280),
    [anon_sym___asm__] = ACTIONS(3280),
    [sym_number_literal] = ACTIONS(3282),
    [anon_sym_L_SQUOTE] = ACTIONS(3282),
    [anon_sym_u_SQUOTE] = ACTIONS(3282),
    [anon_sym_U_SQUOTE] = ACTIONS(3282),
    [anon_sym_u8_SQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_L_DQUOTE] = ACTIONS(3282),
    [anon_sym_u_DQUOTE] = ACTIONS(3282),
    [anon_sym_U_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8_DQUOTE] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [anon_sym_NULL] = ACTIONS(3280),
    [anon_sym_nullptr] = ACTIONS(3280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3280),
    [anon_sym_decltype] = ACTIONS(3280),
    [anon_sym_virtual] = ACTIONS(3280),
    [anon_sym_alignas] = ACTIONS(3280),
    [anon_sym_explicit] = ACTIONS(3280),
    [anon_sym_typename] = ACTIONS(3280),
    [anon_sym_template] = ACTIONS(3280),
    [anon_sym_operator] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_static_assert] = ACTIONS(3280),
    [anon_sym_concept] = ACTIONS(3280),
    [anon_sym_co_return] = ACTIONS(3280),
    [anon_sym_co_yield] = ACTIONS(3280),
    [anon_sym_R_DQUOTE] = ACTIONS(3282),
    [anon_sym_LR_DQUOTE] = ACTIONS(3282),
    [anon_sym_uR_DQUOTE] = ACTIONS(3282),
    [anon_sym_UR_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3282),
    [anon_sym_co_await] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_requires] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
  },
  [946] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym_SEMI] = ACTIONS(3154),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_RBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym___try] = ACTIONS(3152),
    [anon_sym___leave] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [947] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym_SEMI] = ACTIONS(3178),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_RBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym___try] = ACTIONS(3176),
    [anon_sym___leave] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [948] = {
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_include_token1] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym_SEMI] = ACTIONS(3211),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym___cdecl] = ACTIONS(3209),
    [anon_sym___clrcall] = ACTIONS(3209),
    [anon_sym___stdcall] = ACTIONS(3209),
    [anon_sym___fastcall] = ACTIONS(3209),
    [anon_sym___thiscall] = ACTIONS(3209),
    [anon_sym___vectorcall] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_RBRACE] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym___try] = ACTIONS(3209),
    [anon_sym___leave] = ACTIONS(3209),
    [anon_sym_not] = ACTIONS(3209),
    [anon_sym_compl] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym___alignof__] = ACTIONS(3209),
    [anon_sym___alignof] = ACTIONS(3209),
    [anon_sym__alignof] = ACTIONS(3209),
    [anon_sym_alignof] = ACTIONS(3209),
    [anon_sym__Alignof] = ACTIONS(3209),
    [anon_sym_offsetof] = ACTIONS(3209),
    [anon_sym__Generic] = ACTIONS(3209),
    [anon_sym_asm] = ACTIONS(3209),
    [anon_sym___asm__] = ACTIONS(3209),
    [sym_number_literal] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3211),
    [anon_sym_u_SQUOTE] = ACTIONS(3211),
    [anon_sym_U_SQUOTE] = ACTIONS(3211),
    [anon_sym_u8_SQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_L_DQUOTE] = ACTIONS(3211),
    [anon_sym_u_DQUOTE] = ACTIONS(3211),
    [anon_sym_U_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8_DQUOTE] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [anon_sym_NULL] = ACTIONS(3209),
    [anon_sym_nullptr] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
    [anon_sym_concept] = ACTIONS(3209),
    [anon_sym_co_return] = ACTIONS(3209),
    [anon_sym_co_yield] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(3211),
    [anon_sym_LR_DQUOTE] = ACTIONS(3211),
    [anon_sym_uR_DQUOTE] = ACTIONS(3211),
    [anon_sym_UR_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3211),
    [anon_sym_co_await] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_requires] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
  },
  [949] = {
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_include_token1] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym_SEMI] = ACTIONS(3292),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym___cdecl] = ACTIONS(3290),
    [anon_sym___clrcall] = ACTIONS(3290),
    [anon_sym___stdcall] = ACTIONS(3290),
    [anon_sym___fastcall] = ACTIONS(3290),
    [anon_sym___thiscall] = ACTIONS(3290),
    [anon_sym___vectorcall] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_RBRACE] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_goto] = ACTIONS(3290),
    [anon_sym___try] = ACTIONS(3290),
    [anon_sym___leave] = ACTIONS(3290),
    [anon_sym_not] = ACTIONS(3290),
    [anon_sym_compl] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_sizeof] = ACTIONS(3290),
    [anon_sym___alignof__] = ACTIONS(3290),
    [anon_sym___alignof] = ACTIONS(3290),
    [anon_sym__alignof] = ACTIONS(3290),
    [anon_sym_alignof] = ACTIONS(3290),
    [anon_sym__Alignof] = ACTIONS(3290),
    [anon_sym_offsetof] = ACTIONS(3290),
    [anon_sym__Generic] = ACTIONS(3290),
    [anon_sym_asm] = ACTIONS(3290),
    [anon_sym___asm__] = ACTIONS(3290),
    [sym_number_literal] = ACTIONS(3292),
    [anon_sym_L_SQUOTE] = ACTIONS(3292),
    [anon_sym_u_SQUOTE] = ACTIONS(3292),
    [anon_sym_U_SQUOTE] = ACTIONS(3292),
    [anon_sym_u8_SQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_L_DQUOTE] = ACTIONS(3292),
    [anon_sym_u_DQUOTE] = ACTIONS(3292),
    [anon_sym_U_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8_DQUOTE] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [anon_sym_NULL] = ACTIONS(3290),
    [anon_sym_nullptr] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
    [anon_sym_concept] = ACTIONS(3290),
    [anon_sym_co_return] = ACTIONS(3290),
    [anon_sym_co_yield] = ACTIONS(3290),
    [anon_sym_R_DQUOTE] = ACTIONS(3292),
    [anon_sym_LR_DQUOTE] = ACTIONS(3292),
    [anon_sym_uR_DQUOTE] = ACTIONS(3292),
    [anon_sym_UR_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3292),
    [anon_sym_co_await] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_requires] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
  },
  [950] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym_SEMI] = ACTIONS(3170),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_RBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym___try] = ACTIONS(3168),
    [anon_sym___leave] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [951] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym_SEMI] = ACTIONS(3166),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_RBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym___try] = ACTIONS(3164),
    [anon_sym___leave] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [952] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym_SEMI] = ACTIONS(3195),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_RBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym___try] = ACTIONS(3193),
    [anon_sym___leave] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [953] = {
    [sym_catch_clause] = STATE(351),
    [aux_sym_constructor_try_statement_repeat1] = STATE(351),
    [ts_builtin_sym_end] = ACTIONS(2830),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_include_token1] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_BANG] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_DASH] = ACTIONS(2828),
    [anon_sym_PLUS] = ACTIONS(2828),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym___cdecl] = ACTIONS(2828),
    [anon_sym___clrcall] = ACTIONS(2828),
    [anon_sym___stdcall] = ACTIONS(2828),
    [anon_sym___fastcall] = ACTIONS(2828),
    [anon_sym___thiscall] = ACTIONS(2828),
    [anon_sym___vectorcall] = ACTIONS(2828),
    [anon_sym_LBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [anon_sym_if] = ACTIONS(2828),
    [anon_sym_switch] = ACTIONS(2828),
    [anon_sym_case] = ACTIONS(2828),
    [anon_sym_default] = ACTIONS(2828),
    [anon_sym_while] = ACTIONS(2828),
    [anon_sym_do] = ACTIONS(2828),
    [anon_sym_for] = ACTIONS(2828),
    [anon_sym_return] = ACTIONS(2828),
    [anon_sym_break] = ACTIONS(2828),
    [anon_sym_continue] = ACTIONS(2828),
    [anon_sym_goto] = ACTIONS(2828),
    [anon_sym_not] = ACTIONS(2828),
    [anon_sym_compl] = ACTIONS(2828),
    [anon_sym_DASH_DASH] = ACTIONS(2830),
    [anon_sym_PLUS_PLUS] = ACTIONS(2830),
    [anon_sym_sizeof] = ACTIONS(2828),
    [anon_sym___alignof__] = ACTIONS(2828),
    [anon_sym___alignof] = ACTIONS(2828),
    [anon_sym__alignof] = ACTIONS(2828),
    [anon_sym_alignof] = ACTIONS(2828),
    [anon_sym__Alignof] = ACTIONS(2828),
    [anon_sym_offsetof] = ACTIONS(2828),
    [anon_sym__Generic] = ACTIONS(2828),
    [anon_sym_asm] = ACTIONS(2828),
    [anon_sym___asm__] = ACTIONS(2828),
    [sym_number_literal] = ACTIONS(2830),
    [anon_sym_L_SQUOTE] = ACTIONS(2830),
    [anon_sym_u_SQUOTE] = ACTIONS(2830),
    [anon_sym_U_SQUOTE] = ACTIONS(2830),
    [anon_sym_u8_SQUOTE] = ACTIONS(2830),
    [anon_sym_SQUOTE] = ACTIONS(2830),
    [anon_sym_L_DQUOTE] = ACTIONS(2830),
    [anon_sym_u_DQUOTE] = ACTIONS(2830),
    [anon_sym_U_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8_DQUOTE] = ACTIONS(2830),
    [anon_sym_DQUOTE] = ACTIONS(2830),
    [sym_true] = ACTIONS(2828),
    [sym_false] = ACTIONS(2828),
    [anon_sym_NULL] = ACTIONS(2828),
    [anon_sym_nullptr] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_try] = ACTIONS(2828),
    [anon_sym_delete] = ACTIONS(2828),
    [anon_sym_throw] = ACTIONS(2828),
    [anon_sym_namespace] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_concept] = ACTIONS(2828),
    [anon_sym_co_return] = ACTIONS(2828),
    [anon_sym_co_yield] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(3072),
    [anon_sym_R_DQUOTE] = ACTIONS(2830),
    [anon_sym_LR_DQUOTE] = ACTIONS(2830),
    [anon_sym_uR_DQUOTE] = ACTIONS(2830),
    [anon_sym_UR_DQUOTE] = ACTIONS(2830),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2830),
    [anon_sym_co_await] = ACTIONS(2828),
    [anon_sym_new] = ACTIONS(2828),
    [anon_sym_requires] = ACTIONS(2828),
    [sym_this] = ACTIONS(2828),
  },
  [954] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [aux_sym_preproc_if_token2] = ACTIONS(2140),
    [aux_sym_preproc_else_token1] = ACTIONS(2140),
    [aux_sym_preproc_elif_token1] = ACTIONS(2138),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2140),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(3608),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [955] = {
    [sym_preproc_def] = STATE(955),
    [sym_preproc_function_def] = STATE(955),
    [sym_preproc_call] = STATE(955),
    [sym_preproc_if_in_field_declaration_list] = STATE(955),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(955),
    [sym_type_definition] = STATE(955),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6169),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(955),
    [sym_field_declaration] = STATE(955),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(955),
    [sym_operator_cast] = STATE(7199),
    [sym_inline_method_definition] = STATE(955),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(955),
    [sym_operator_cast_declaration] = STATE(955),
    [sym_constructor_or_destructor_definition] = STATE(955),
    [sym_constructor_or_destructor_declaration] = STATE(955),
    [sym_friend_declaration] = STATE(955),
    [sym_access_specifier] = STATE(9253),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(955),
    [sym_alias_declaration] = STATE(955),
    [sym_static_assert_declaration] = STATE(955),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(955),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(3474),
    [aux_sym_preproc_def_token1] = ACTIONS(3634),
    [aux_sym_preproc_if_token1] = ACTIONS(3637),
    [aux_sym_preproc_if_token2] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3640),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3640),
    [aux_sym_preproc_else_token1] = ACTIONS(3483),
    [aux_sym_preproc_elif_token1] = ACTIONS(3483),
    [sym_preproc_directive] = ACTIONS(3643),
    [anon_sym_LPAREN2] = ACTIONS(3491),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3500),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym___extension__] = ACTIONS(3646),
    [anon_sym_typedef] = ACTIONS(3649),
    [anon_sym_extern] = ACTIONS(3512),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3521),
    [anon_sym___declspec] = ACTIONS(3524),
    [anon_sym___based] = ACTIONS(3527),
    [anon_sym_signed] = ACTIONS(3530),
    [anon_sym_unsigned] = ACTIONS(3530),
    [anon_sym_long] = ACTIONS(3530),
    [anon_sym_short] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_static] = ACTIONS(3512),
    [anon_sym_register] = ACTIONS(3512),
    [anon_sym_inline] = ACTIONS(3512),
    [anon_sym___inline] = ACTIONS(3512),
    [anon_sym___inline__] = ACTIONS(3512),
    [anon_sym___forceinline] = ACTIONS(3512),
    [anon_sym_thread_local] = ACTIONS(3512),
    [anon_sym___thread] = ACTIONS(3512),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_constexpr] = ACTIONS(3536),
    [anon_sym_volatile] = ACTIONS(3536),
    [anon_sym_restrict] = ACTIONS(3536),
    [anon_sym___restrict__] = ACTIONS(3536),
    [anon_sym__Atomic] = ACTIONS(3536),
    [anon_sym__Noreturn] = ACTIONS(3536),
    [anon_sym_noreturn] = ACTIONS(3536),
    [anon_sym_mutable] = ACTIONS(3536),
    [anon_sym_constinit] = ACTIONS(3536),
    [anon_sym_consteval] = ACTIONS(3536),
    [sym_primitive_type] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3545),
    [anon_sym_struct] = ACTIONS(3548),
    [anon_sym_union] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3554),
    [anon_sym_decltype] = ACTIONS(3557),
    [anon_sym_virtual] = ACTIONS(3560),
    [anon_sym_alignas] = ACTIONS(3563),
    [anon_sym_explicit] = ACTIONS(3566),
    [anon_sym_typename] = ACTIONS(3569),
    [anon_sym_template] = ACTIONS(3652),
    [anon_sym_operator] = ACTIONS(3575),
    [anon_sym_friend] = ACTIONS(3655),
    [anon_sym_public] = ACTIONS(3581),
    [anon_sym_private] = ACTIONS(3581),
    [anon_sym_protected] = ACTIONS(3581),
    [anon_sym_using] = ACTIONS(3658),
    [anon_sym_static_assert] = ACTIONS(3661),
  },
  [956] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3676),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [957] = {
    [ts_builtin_sym_end] = ACTIONS(3686),
    [sym_identifier] = ACTIONS(3688),
    [aux_sym_preproc_include_token1] = ACTIONS(3688),
    [aux_sym_preproc_def_token1] = ACTIONS(3688),
    [aux_sym_preproc_if_token1] = ACTIONS(3688),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3688),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3688),
    [sym_preproc_directive] = ACTIONS(3688),
    [anon_sym_LPAREN2] = ACTIONS(3686),
    [anon_sym_BANG] = ACTIONS(3686),
    [anon_sym_TILDE] = ACTIONS(3686),
    [anon_sym_DASH] = ACTIONS(3688),
    [anon_sym_PLUS] = ACTIONS(3688),
    [anon_sym_STAR] = ACTIONS(3686),
    [anon_sym_AMP_AMP] = ACTIONS(3686),
    [anon_sym_AMP] = ACTIONS(3688),
    [anon_sym___extension__] = ACTIONS(3688),
    [anon_sym_typedef] = ACTIONS(3688),
    [anon_sym_extern] = ACTIONS(3688),
    [anon_sym___attribute__] = ACTIONS(3688),
    [anon_sym_COLON_COLON] = ACTIONS(3686),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3686),
    [anon_sym___declspec] = ACTIONS(3688),
    [anon_sym___based] = ACTIONS(3688),
    [anon_sym___cdecl] = ACTIONS(3688),
    [anon_sym___clrcall] = ACTIONS(3688),
    [anon_sym___stdcall] = ACTIONS(3688),
    [anon_sym___fastcall] = ACTIONS(3688),
    [anon_sym___thiscall] = ACTIONS(3688),
    [anon_sym___vectorcall] = ACTIONS(3688),
    [anon_sym_LBRACE] = ACTIONS(3686),
    [anon_sym_signed] = ACTIONS(3688),
    [anon_sym_unsigned] = ACTIONS(3688),
    [anon_sym_long] = ACTIONS(3688),
    [anon_sym_short] = ACTIONS(3688),
    [anon_sym_LBRACK] = ACTIONS(3688),
    [anon_sym_static] = ACTIONS(3688),
    [anon_sym_register] = ACTIONS(3688),
    [anon_sym_inline] = ACTIONS(3688),
    [anon_sym___inline] = ACTIONS(3688),
    [anon_sym___inline__] = ACTIONS(3688),
    [anon_sym___forceinline] = ACTIONS(3688),
    [anon_sym_thread_local] = ACTIONS(3688),
    [anon_sym___thread] = ACTIONS(3688),
    [anon_sym_const] = ACTIONS(3688),
    [anon_sym_constexpr] = ACTIONS(3688),
    [anon_sym_volatile] = ACTIONS(3688),
    [anon_sym_restrict] = ACTIONS(3688),
    [anon_sym___restrict__] = ACTIONS(3688),
    [anon_sym__Atomic] = ACTIONS(3688),
    [anon_sym__Noreturn] = ACTIONS(3688),
    [anon_sym_noreturn] = ACTIONS(3688),
    [anon_sym_mutable] = ACTIONS(3688),
    [anon_sym_constinit] = ACTIONS(3688),
    [anon_sym_consteval] = ACTIONS(3688),
    [sym_primitive_type] = ACTIONS(3688),
    [anon_sym_enum] = ACTIONS(3688),
    [anon_sym_class] = ACTIONS(3688),
    [anon_sym_struct] = ACTIONS(3688),
    [anon_sym_union] = ACTIONS(3688),
    [anon_sym_if] = ACTIONS(3688),
    [anon_sym_switch] = ACTIONS(3688),
    [anon_sym_case] = ACTIONS(3688),
    [anon_sym_default] = ACTIONS(3688),
    [anon_sym_while] = ACTIONS(3688),
    [anon_sym_do] = ACTIONS(3688),
    [anon_sym_for] = ACTIONS(3688),
    [anon_sym_return] = ACTIONS(3688),
    [anon_sym_break] = ACTIONS(3688),
    [anon_sym_continue] = ACTIONS(3688),
    [anon_sym_goto] = ACTIONS(3688),
    [anon_sym_not] = ACTIONS(3688),
    [anon_sym_compl] = ACTIONS(3688),
    [anon_sym_DASH_DASH] = ACTIONS(3686),
    [anon_sym_PLUS_PLUS] = ACTIONS(3686),
    [anon_sym_sizeof] = ACTIONS(3688),
    [anon_sym___alignof__] = ACTIONS(3688),
    [anon_sym___alignof] = ACTIONS(3688),
    [anon_sym__alignof] = ACTIONS(3688),
    [anon_sym_alignof] = ACTIONS(3688),
    [anon_sym__Alignof] = ACTIONS(3688),
    [anon_sym_offsetof] = ACTIONS(3688),
    [anon_sym__Generic] = ACTIONS(3688),
    [anon_sym_asm] = ACTIONS(3688),
    [anon_sym___asm__] = ACTIONS(3688),
    [sym_number_literal] = ACTIONS(3686),
    [anon_sym_L_SQUOTE] = ACTIONS(3686),
    [anon_sym_u_SQUOTE] = ACTIONS(3686),
    [anon_sym_U_SQUOTE] = ACTIONS(3686),
    [anon_sym_u8_SQUOTE] = ACTIONS(3686),
    [anon_sym_SQUOTE] = ACTIONS(3686),
    [anon_sym_L_DQUOTE] = ACTIONS(3686),
    [anon_sym_u_DQUOTE] = ACTIONS(3686),
    [anon_sym_U_DQUOTE] = ACTIONS(3686),
    [anon_sym_u8_DQUOTE] = ACTIONS(3686),
    [anon_sym_DQUOTE] = ACTIONS(3686),
    [sym_true] = ACTIONS(3688),
    [sym_false] = ACTIONS(3688),
    [anon_sym_NULL] = ACTIONS(3688),
    [anon_sym_nullptr] = ACTIONS(3688),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3688),
    [anon_sym_decltype] = ACTIONS(3688),
    [anon_sym_virtual] = ACTIONS(3688),
    [anon_sym_alignas] = ACTIONS(3688),
    [anon_sym_explicit] = ACTIONS(3688),
    [anon_sym_typename] = ACTIONS(3688),
    [anon_sym_template] = ACTIONS(3688),
    [anon_sym_operator] = ACTIONS(3688),
    [anon_sym_try] = ACTIONS(3688),
    [anon_sym_delete] = ACTIONS(3688),
    [anon_sym_throw] = ACTIONS(3688),
    [anon_sym_namespace] = ACTIONS(3688),
    [anon_sym_using] = ACTIONS(3688),
    [anon_sym_static_assert] = ACTIONS(3688),
    [anon_sym_concept] = ACTIONS(3688),
    [anon_sym_co_return] = ACTIONS(3688),
    [anon_sym_co_yield] = ACTIONS(3688),
    [anon_sym_R_DQUOTE] = ACTIONS(3686),
    [anon_sym_LR_DQUOTE] = ACTIONS(3686),
    [anon_sym_uR_DQUOTE] = ACTIONS(3686),
    [anon_sym_UR_DQUOTE] = ACTIONS(3686),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3686),
    [anon_sym_co_await] = ACTIONS(3688),
    [anon_sym_new] = ACTIONS(3688),
    [anon_sym_requires] = ACTIONS(3688),
    [sym_this] = ACTIONS(3688),
  },
  [958] = {
    [ts_builtin_sym_end] = ACTIONS(3053),
    [sym_identifier] = ACTIONS(3051),
    [aux_sym_preproc_include_token1] = ACTIONS(3051),
    [aux_sym_preproc_def_token1] = ACTIONS(3051),
    [aux_sym_preproc_if_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3051),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3051),
    [sym_preproc_directive] = ACTIONS(3051),
    [anon_sym_LPAREN2] = ACTIONS(3053),
    [anon_sym_BANG] = ACTIONS(3053),
    [anon_sym_TILDE] = ACTIONS(3053),
    [anon_sym_DASH] = ACTIONS(3051),
    [anon_sym_PLUS] = ACTIONS(3051),
    [anon_sym_STAR] = ACTIONS(3053),
    [anon_sym_AMP_AMP] = ACTIONS(3053),
    [anon_sym_AMP] = ACTIONS(3051),
    [anon_sym___extension__] = ACTIONS(3051),
    [anon_sym_typedef] = ACTIONS(3051),
    [anon_sym_extern] = ACTIONS(3051),
    [anon_sym___attribute__] = ACTIONS(3051),
    [anon_sym_COLON_COLON] = ACTIONS(3053),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3053),
    [anon_sym___declspec] = ACTIONS(3051),
    [anon_sym___based] = ACTIONS(3051),
    [anon_sym___cdecl] = ACTIONS(3051),
    [anon_sym___clrcall] = ACTIONS(3051),
    [anon_sym___stdcall] = ACTIONS(3051),
    [anon_sym___fastcall] = ACTIONS(3051),
    [anon_sym___thiscall] = ACTIONS(3051),
    [anon_sym___vectorcall] = ACTIONS(3051),
    [anon_sym_LBRACE] = ACTIONS(3053),
    [anon_sym_signed] = ACTIONS(3051),
    [anon_sym_unsigned] = ACTIONS(3051),
    [anon_sym_long] = ACTIONS(3051),
    [anon_sym_short] = ACTIONS(3051),
    [anon_sym_LBRACK] = ACTIONS(3051),
    [anon_sym_static] = ACTIONS(3051),
    [anon_sym_register] = ACTIONS(3051),
    [anon_sym_inline] = ACTIONS(3051),
    [anon_sym___inline] = ACTIONS(3051),
    [anon_sym___inline__] = ACTIONS(3051),
    [anon_sym___forceinline] = ACTIONS(3051),
    [anon_sym_thread_local] = ACTIONS(3051),
    [anon_sym___thread] = ACTIONS(3051),
    [anon_sym_const] = ACTIONS(3051),
    [anon_sym_constexpr] = ACTIONS(3051),
    [anon_sym_volatile] = ACTIONS(3051),
    [anon_sym_restrict] = ACTIONS(3051),
    [anon_sym___restrict__] = ACTIONS(3051),
    [anon_sym__Atomic] = ACTIONS(3051),
    [anon_sym__Noreturn] = ACTIONS(3051),
    [anon_sym_noreturn] = ACTIONS(3051),
    [anon_sym_mutable] = ACTIONS(3051),
    [anon_sym_constinit] = ACTIONS(3051),
    [anon_sym_consteval] = ACTIONS(3051),
    [sym_primitive_type] = ACTIONS(3051),
    [anon_sym_enum] = ACTIONS(3051),
    [anon_sym_class] = ACTIONS(3051),
    [anon_sym_struct] = ACTIONS(3051),
    [anon_sym_union] = ACTIONS(3051),
    [anon_sym_if] = ACTIONS(3051),
    [anon_sym_switch] = ACTIONS(3051),
    [anon_sym_case] = ACTIONS(3051),
    [anon_sym_default] = ACTIONS(3051),
    [anon_sym_while] = ACTIONS(3051),
    [anon_sym_do] = ACTIONS(3051),
    [anon_sym_for] = ACTIONS(3051),
    [anon_sym_return] = ACTIONS(3051),
    [anon_sym_break] = ACTIONS(3051),
    [anon_sym_continue] = ACTIONS(3051),
    [anon_sym_goto] = ACTIONS(3051),
    [anon_sym_not] = ACTIONS(3051),
    [anon_sym_compl] = ACTIONS(3051),
    [anon_sym_DASH_DASH] = ACTIONS(3053),
    [anon_sym_PLUS_PLUS] = ACTIONS(3053),
    [anon_sym_sizeof] = ACTIONS(3051),
    [anon_sym___alignof__] = ACTIONS(3051),
    [anon_sym___alignof] = ACTIONS(3051),
    [anon_sym__alignof] = ACTIONS(3051),
    [anon_sym_alignof] = ACTIONS(3051),
    [anon_sym__Alignof] = ACTIONS(3051),
    [anon_sym_offsetof] = ACTIONS(3051),
    [anon_sym__Generic] = ACTIONS(3051),
    [anon_sym_asm] = ACTIONS(3051),
    [anon_sym___asm__] = ACTIONS(3051),
    [sym_number_literal] = ACTIONS(3053),
    [anon_sym_L_SQUOTE] = ACTIONS(3053),
    [anon_sym_u_SQUOTE] = ACTIONS(3053),
    [anon_sym_U_SQUOTE] = ACTIONS(3053),
    [anon_sym_u8_SQUOTE] = ACTIONS(3053),
    [anon_sym_SQUOTE] = ACTIONS(3053),
    [anon_sym_L_DQUOTE] = ACTIONS(3053),
    [anon_sym_u_DQUOTE] = ACTIONS(3053),
    [anon_sym_U_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8_DQUOTE] = ACTIONS(3053),
    [anon_sym_DQUOTE] = ACTIONS(3053),
    [sym_true] = ACTIONS(3051),
    [sym_false] = ACTIONS(3051),
    [anon_sym_NULL] = ACTIONS(3051),
    [anon_sym_nullptr] = ACTIONS(3051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3051),
    [anon_sym_decltype] = ACTIONS(3051),
    [anon_sym_virtual] = ACTIONS(3051),
    [anon_sym_alignas] = ACTIONS(3051),
    [anon_sym_explicit] = ACTIONS(3051),
    [anon_sym_typename] = ACTIONS(3051),
    [anon_sym_template] = ACTIONS(3051),
    [anon_sym_operator] = ACTIONS(3051),
    [anon_sym_try] = ACTIONS(3051),
    [anon_sym_delete] = ACTIONS(3051),
    [anon_sym_throw] = ACTIONS(3051),
    [anon_sym_namespace] = ACTIONS(3051),
    [anon_sym_using] = ACTIONS(3051),
    [anon_sym_static_assert] = ACTIONS(3051),
    [anon_sym_concept] = ACTIONS(3051),
    [anon_sym_co_return] = ACTIONS(3051),
    [anon_sym_co_yield] = ACTIONS(3051),
    [anon_sym_R_DQUOTE] = ACTIONS(3053),
    [anon_sym_LR_DQUOTE] = ACTIONS(3053),
    [anon_sym_uR_DQUOTE] = ACTIONS(3053),
    [anon_sym_UR_DQUOTE] = ACTIONS(3053),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3053),
    [anon_sym_co_await] = ACTIONS(3051),
    [anon_sym_new] = ACTIONS(3051),
    [anon_sym_requires] = ACTIONS(3051),
    [sym_this] = ACTIONS(3051),
  },
  [959] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3690),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [960] = {
    [ts_builtin_sym_end] = ACTIONS(3239),
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_include_token1] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_BANG] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_DASH] = ACTIONS(3237),
    [anon_sym_PLUS] = ACTIONS(3237),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym___cdecl] = ACTIONS(3237),
    [anon_sym___clrcall] = ACTIONS(3237),
    [anon_sym___stdcall] = ACTIONS(3237),
    [anon_sym___fastcall] = ACTIONS(3237),
    [anon_sym___thiscall] = ACTIONS(3237),
    [anon_sym___vectorcall] = ACTIONS(3237),
    [anon_sym_LBRACE] = ACTIONS(3239),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3237),
    [anon_sym_switch] = ACTIONS(3237),
    [anon_sym_case] = ACTIONS(3237),
    [anon_sym_default] = ACTIONS(3237),
    [anon_sym_while] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3237),
    [anon_sym_for] = ACTIONS(3237),
    [anon_sym_return] = ACTIONS(3237),
    [anon_sym_break] = ACTIONS(3237),
    [anon_sym_continue] = ACTIONS(3237),
    [anon_sym_goto] = ACTIONS(3237),
    [anon_sym_not] = ACTIONS(3237),
    [anon_sym_compl] = ACTIONS(3237),
    [anon_sym_DASH_DASH] = ACTIONS(3239),
    [anon_sym_PLUS_PLUS] = ACTIONS(3239),
    [anon_sym_sizeof] = ACTIONS(3237),
    [anon_sym___alignof__] = ACTIONS(3237),
    [anon_sym___alignof] = ACTIONS(3237),
    [anon_sym__alignof] = ACTIONS(3237),
    [anon_sym_alignof] = ACTIONS(3237),
    [anon_sym__Alignof] = ACTIONS(3237),
    [anon_sym_offsetof] = ACTIONS(3237),
    [anon_sym__Generic] = ACTIONS(3237),
    [anon_sym_asm] = ACTIONS(3237),
    [anon_sym___asm__] = ACTIONS(3237),
    [sym_number_literal] = ACTIONS(3239),
    [anon_sym_L_SQUOTE] = ACTIONS(3239),
    [anon_sym_u_SQUOTE] = ACTIONS(3239),
    [anon_sym_U_SQUOTE] = ACTIONS(3239),
    [anon_sym_u8_SQUOTE] = ACTIONS(3239),
    [anon_sym_SQUOTE] = ACTIONS(3239),
    [anon_sym_L_DQUOTE] = ACTIONS(3239),
    [anon_sym_u_DQUOTE] = ACTIONS(3239),
    [anon_sym_U_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8_DQUOTE] = ACTIONS(3239),
    [anon_sym_DQUOTE] = ACTIONS(3239),
    [sym_true] = ACTIONS(3237),
    [sym_false] = ACTIONS(3237),
    [anon_sym_NULL] = ACTIONS(3237),
    [anon_sym_nullptr] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_try] = ACTIONS(3237),
    [anon_sym_delete] = ACTIONS(3237),
    [anon_sym_throw] = ACTIONS(3237),
    [anon_sym_namespace] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
    [anon_sym_concept] = ACTIONS(3237),
    [anon_sym_co_return] = ACTIONS(3237),
    [anon_sym_co_yield] = ACTIONS(3237),
    [anon_sym_R_DQUOTE] = ACTIONS(3239),
    [anon_sym_LR_DQUOTE] = ACTIONS(3239),
    [anon_sym_uR_DQUOTE] = ACTIONS(3239),
    [anon_sym_UR_DQUOTE] = ACTIONS(3239),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3239),
    [anon_sym_co_await] = ACTIONS(3237),
    [anon_sym_new] = ACTIONS(3237),
    [anon_sym_requires] = ACTIONS(3237),
    [sym_this] = ACTIONS(3237),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(3211),
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_include_token1] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_BANG] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_DASH] = ACTIONS(3209),
    [anon_sym_PLUS] = ACTIONS(3209),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym___cdecl] = ACTIONS(3209),
    [anon_sym___clrcall] = ACTIONS(3209),
    [anon_sym___stdcall] = ACTIONS(3209),
    [anon_sym___fastcall] = ACTIONS(3209),
    [anon_sym___thiscall] = ACTIONS(3209),
    [anon_sym___vectorcall] = ACTIONS(3209),
    [anon_sym_LBRACE] = ACTIONS(3211),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [anon_sym_if] = ACTIONS(3209),
    [anon_sym_switch] = ACTIONS(3209),
    [anon_sym_case] = ACTIONS(3209),
    [anon_sym_default] = ACTIONS(3209),
    [anon_sym_while] = ACTIONS(3209),
    [anon_sym_do] = ACTIONS(3209),
    [anon_sym_for] = ACTIONS(3209),
    [anon_sym_return] = ACTIONS(3209),
    [anon_sym_break] = ACTIONS(3209),
    [anon_sym_continue] = ACTIONS(3209),
    [anon_sym_goto] = ACTIONS(3209),
    [anon_sym_not] = ACTIONS(3209),
    [anon_sym_compl] = ACTIONS(3209),
    [anon_sym_DASH_DASH] = ACTIONS(3211),
    [anon_sym_PLUS_PLUS] = ACTIONS(3211),
    [anon_sym_sizeof] = ACTIONS(3209),
    [anon_sym___alignof__] = ACTIONS(3209),
    [anon_sym___alignof] = ACTIONS(3209),
    [anon_sym__alignof] = ACTIONS(3209),
    [anon_sym_alignof] = ACTIONS(3209),
    [anon_sym__Alignof] = ACTIONS(3209),
    [anon_sym_offsetof] = ACTIONS(3209),
    [anon_sym__Generic] = ACTIONS(3209),
    [anon_sym_asm] = ACTIONS(3209),
    [anon_sym___asm__] = ACTIONS(3209),
    [sym_number_literal] = ACTIONS(3211),
    [anon_sym_L_SQUOTE] = ACTIONS(3211),
    [anon_sym_u_SQUOTE] = ACTIONS(3211),
    [anon_sym_U_SQUOTE] = ACTIONS(3211),
    [anon_sym_u8_SQUOTE] = ACTIONS(3211),
    [anon_sym_SQUOTE] = ACTIONS(3211),
    [anon_sym_L_DQUOTE] = ACTIONS(3211),
    [anon_sym_u_DQUOTE] = ACTIONS(3211),
    [anon_sym_U_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8_DQUOTE] = ACTIONS(3211),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_true] = ACTIONS(3209),
    [sym_false] = ACTIONS(3209),
    [anon_sym_NULL] = ACTIONS(3209),
    [anon_sym_nullptr] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_try] = ACTIONS(3209),
    [anon_sym_delete] = ACTIONS(3209),
    [anon_sym_throw] = ACTIONS(3209),
    [anon_sym_namespace] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
    [anon_sym_concept] = ACTIONS(3209),
    [anon_sym_co_return] = ACTIONS(3209),
    [anon_sym_co_yield] = ACTIONS(3209),
    [anon_sym_R_DQUOTE] = ACTIONS(3211),
    [anon_sym_LR_DQUOTE] = ACTIONS(3211),
    [anon_sym_uR_DQUOTE] = ACTIONS(3211),
    [anon_sym_UR_DQUOTE] = ACTIONS(3211),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3211),
    [anon_sym_co_await] = ACTIONS(3209),
    [anon_sym_new] = ACTIONS(3209),
    [anon_sym_requires] = ACTIONS(3209),
    [sym_this] = ACTIONS(3209),
  },
  [962] = {
    [ts_builtin_sym_end] = ACTIONS(3195),
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_include_token1] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_BANG] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_DASH] = ACTIONS(3193),
    [anon_sym_PLUS] = ACTIONS(3193),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym___cdecl] = ACTIONS(3193),
    [anon_sym___clrcall] = ACTIONS(3193),
    [anon_sym___stdcall] = ACTIONS(3193),
    [anon_sym___fastcall] = ACTIONS(3193),
    [anon_sym___thiscall] = ACTIONS(3193),
    [anon_sym___vectorcall] = ACTIONS(3193),
    [anon_sym_LBRACE] = ACTIONS(3195),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [anon_sym_if] = ACTIONS(3193),
    [anon_sym_switch] = ACTIONS(3193),
    [anon_sym_case] = ACTIONS(3193),
    [anon_sym_default] = ACTIONS(3193),
    [anon_sym_while] = ACTIONS(3193),
    [anon_sym_do] = ACTIONS(3193),
    [anon_sym_for] = ACTIONS(3193),
    [anon_sym_return] = ACTIONS(3193),
    [anon_sym_break] = ACTIONS(3193),
    [anon_sym_continue] = ACTIONS(3193),
    [anon_sym_goto] = ACTIONS(3193),
    [anon_sym_not] = ACTIONS(3193),
    [anon_sym_compl] = ACTIONS(3193),
    [anon_sym_DASH_DASH] = ACTIONS(3195),
    [anon_sym_PLUS_PLUS] = ACTIONS(3195),
    [anon_sym_sizeof] = ACTIONS(3193),
    [anon_sym___alignof__] = ACTIONS(3193),
    [anon_sym___alignof] = ACTIONS(3193),
    [anon_sym__alignof] = ACTIONS(3193),
    [anon_sym_alignof] = ACTIONS(3193),
    [anon_sym__Alignof] = ACTIONS(3193),
    [anon_sym_offsetof] = ACTIONS(3193),
    [anon_sym__Generic] = ACTIONS(3193),
    [anon_sym_asm] = ACTIONS(3193),
    [anon_sym___asm__] = ACTIONS(3193),
    [sym_number_literal] = ACTIONS(3195),
    [anon_sym_L_SQUOTE] = ACTIONS(3195),
    [anon_sym_u_SQUOTE] = ACTIONS(3195),
    [anon_sym_U_SQUOTE] = ACTIONS(3195),
    [anon_sym_u8_SQUOTE] = ACTIONS(3195),
    [anon_sym_SQUOTE] = ACTIONS(3195),
    [anon_sym_L_DQUOTE] = ACTIONS(3195),
    [anon_sym_u_DQUOTE] = ACTIONS(3195),
    [anon_sym_U_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8_DQUOTE] = ACTIONS(3195),
    [anon_sym_DQUOTE] = ACTIONS(3195),
    [sym_true] = ACTIONS(3193),
    [sym_false] = ACTIONS(3193),
    [anon_sym_NULL] = ACTIONS(3193),
    [anon_sym_nullptr] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_delete] = ACTIONS(3193),
    [anon_sym_throw] = ACTIONS(3193),
    [anon_sym_namespace] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
    [anon_sym_concept] = ACTIONS(3193),
    [anon_sym_co_return] = ACTIONS(3193),
    [anon_sym_co_yield] = ACTIONS(3193),
    [anon_sym_R_DQUOTE] = ACTIONS(3195),
    [anon_sym_LR_DQUOTE] = ACTIONS(3195),
    [anon_sym_uR_DQUOTE] = ACTIONS(3195),
    [anon_sym_UR_DQUOTE] = ACTIONS(3195),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3195),
    [anon_sym_co_await] = ACTIONS(3193),
    [anon_sym_new] = ACTIONS(3193),
    [anon_sym_requires] = ACTIONS(3193),
    [sym_this] = ACTIONS(3193),
  },
  [963] = {
    [ts_builtin_sym_end] = ACTIONS(3259),
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_include_token1] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym___cdecl] = ACTIONS(3257),
    [anon_sym___clrcall] = ACTIONS(3257),
    [anon_sym___stdcall] = ACTIONS(3257),
    [anon_sym___fastcall] = ACTIONS(3257),
    [anon_sym___thiscall] = ACTIONS(3257),
    [anon_sym___vectorcall] = ACTIONS(3257),
    [anon_sym_LBRACE] = ACTIONS(3259),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [anon_sym_if] = ACTIONS(3257),
    [anon_sym_switch] = ACTIONS(3257),
    [anon_sym_case] = ACTIONS(3257),
    [anon_sym_default] = ACTIONS(3257),
    [anon_sym_while] = ACTIONS(3257),
    [anon_sym_do] = ACTIONS(3257),
    [anon_sym_for] = ACTIONS(3257),
    [anon_sym_return] = ACTIONS(3257),
    [anon_sym_break] = ACTIONS(3257),
    [anon_sym_continue] = ACTIONS(3257),
    [anon_sym_goto] = ACTIONS(3257),
    [anon_sym_not] = ACTIONS(3257),
    [anon_sym_compl] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_sizeof] = ACTIONS(3257),
    [anon_sym___alignof__] = ACTIONS(3257),
    [anon_sym___alignof] = ACTIONS(3257),
    [anon_sym__alignof] = ACTIONS(3257),
    [anon_sym_alignof] = ACTIONS(3257),
    [anon_sym__Alignof] = ACTIONS(3257),
    [anon_sym_offsetof] = ACTIONS(3257),
    [anon_sym__Generic] = ACTIONS(3257),
    [anon_sym_asm] = ACTIONS(3257),
    [anon_sym___asm__] = ACTIONS(3257),
    [sym_number_literal] = ACTIONS(3259),
    [anon_sym_L_SQUOTE] = ACTIONS(3259),
    [anon_sym_u_SQUOTE] = ACTIONS(3259),
    [anon_sym_U_SQUOTE] = ACTIONS(3259),
    [anon_sym_u8_SQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_L_DQUOTE] = ACTIONS(3259),
    [anon_sym_u_DQUOTE] = ACTIONS(3259),
    [anon_sym_U_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8_DQUOTE] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [anon_sym_NULL] = ACTIONS(3257),
    [anon_sym_nullptr] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_try] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_throw] = ACTIONS(3257),
    [anon_sym_namespace] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
    [anon_sym_concept] = ACTIONS(3257),
    [anon_sym_co_return] = ACTIONS(3257),
    [anon_sym_co_yield] = ACTIONS(3257),
    [anon_sym_R_DQUOTE] = ACTIONS(3259),
    [anon_sym_LR_DQUOTE] = ACTIONS(3259),
    [anon_sym_uR_DQUOTE] = ACTIONS(3259),
    [anon_sym_UR_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3259),
    [anon_sym_co_await] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_requires] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
  },
  [964] = {
    [ts_builtin_sym_end] = ACTIONS(3292),
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_include_token1] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_BANG] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_DASH] = ACTIONS(3290),
    [anon_sym_PLUS] = ACTIONS(3290),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym___cdecl] = ACTIONS(3290),
    [anon_sym___clrcall] = ACTIONS(3290),
    [anon_sym___stdcall] = ACTIONS(3290),
    [anon_sym___fastcall] = ACTIONS(3290),
    [anon_sym___thiscall] = ACTIONS(3290),
    [anon_sym___vectorcall] = ACTIONS(3290),
    [anon_sym_LBRACE] = ACTIONS(3292),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [anon_sym_if] = ACTIONS(3290),
    [anon_sym_switch] = ACTIONS(3290),
    [anon_sym_case] = ACTIONS(3290),
    [anon_sym_default] = ACTIONS(3290),
    [anon_sym_while] = ACTIONS(3290),
    [anon_sym_do] = ACTIONS(3290),
    [anon_sym_for] = ACTIONS(3290),
    [anon_sym_return] = ACTIONS(3290),
    [anon_sym_break] = ACTIONS(3290),
    [anon_sym_continue] = ACTIONS(3290),
    [anon_sym_goto] = ACTIONS(3290),
    [anon_sym_not] = ACTIONS(3290),
    [anon_sym_compl] = ACTIONS(3290),
    [anon_sym_DASH_DASH] = ACTIONS(3292),
    [anon_sym_PLUS_PLUS] = ACTIONS(3292),
    [anon_sym_sizeof] = ACTIONS(3290),
    [anon_sym___alignof__] = ACTIONS(3290),
    [anon_sym___alignof] = ACTIONS(3290),
    [anon_sym__alignof] = ACTIONS(3290),
    [anon_sym_alignof] = ACTIONS(3290),
    [anon_sym__Alignof] = ACTIONS(3290),
    [anon_sym_offsetof] = ACTIONS(3290),
    [anon_sym__Generic] = ACTIONS(3290),
    [anon_sym_asm] = ACTIONS(3290),
    [anon_sym___asm__] = ACTIONS(3290),
    [sym_number_literal] = ACTIONS(3292),
    [anon_sym_L_SQUOTE] = ACTIONS(3292),
    [anon_sym_u_SQUOTE] = ACTIONS(3292),
    [anon_sym_U_SQUOTE] = ACTIONS(3292),
    [anon_sym_u8_SQUOTE] = ACTIONS(3292),
    [anon_sym_SQUOTE] = ACTIONS(3292),
    [anon_sym_L_DQUOTE] = ACTIONS(3292),
    [anon_sym_u_DQUOTE] = ACTIONS(3292),
    [anon_sym_U_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8_DQUOTE] = ACTIONS(3292),
    [anon_sym_DQUOTE] = ACTIONS(3292),
    [sym_true] = ACTIONS(3290),
    [sym_false] = ACTIONS(3290),
    [anon_sym_NULL] = ACTIONS(3290),
    [anon_sym_nullptr] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_try] = ACTIONS(3290),
    [anon_sym_delete] = ACTIONS(3290),
    [anon_sym_throw] = ACTIONS(3290),
    [anon_sym_namespace] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
    [anon_sym_concept] = ACTIONS(3290),
    [anon_sym_co_return] = ACTIONS(3290),
    [anon_sym_co_yield] = ACTIONS(3290),
    [anon_sym_R_DQUOTE] = ACTIONS(3292),
    [anon_sym_LR_DQUOTE] = ACTIONS(3292),
    [anon_sym_uR_DQUOTE] = ACTIONS(3292),
    [anon_sym_UR_DQUOTE] = ACTIONS(3292),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3292),
    [anon_sym_co_await] = ACTIONS(3290),
    [anon_sym_new] = ACTIONS(3290),
    [anon_sym_requires] = ACTIONS(3290),
    [sym_this] = ACTIONS(3290),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(3057),
    [sym_identifier] = ACTIONS(3055),
    [aux_sym_preproc_include_token1] = ACTIONS(3055),
    [aux_sym_preproc_def_token1] = ACTIONS(3055),
    [aux_sym_preproc_if_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3055),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3055),
    [sym_preproc_directive] = ACTIONS(3055),
    [anon_sym_LPAREN2] = ACTIONS(3057),
    [anon_sym_BANG] = ACTIONS(3057),
    [anon_sym_TILDE] = ACTIONS(3057),
    [anon_sym_DASH] = ACTIONS(3055),
    [anon_sym_PLUS] = ACTIONS(3055),
    [anon_sym_STAR] = ACTIONS(3057),
    [anon_sym_AMP_AMP] = ACTIONS(3057),
    [anon_sym_AMP] = ACTIONS(3055),
    [anon_sym___extension__] = ACTIONS(3055),
    [anon_sym_typedef] = ACTIONS(3055),
    [anon_sym_extern] = ACTIONS(3055),
    [anon_sym___attribute__] = ACTIONS(3055),
    [anon_sym_COLON_COLON] = ACTIONS(3057),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3057),
    [anon_sym___declspec] = ACTIONS(3055),
    [anon_sym___based] = ACTIONS(3055),
    [anon_sym___cdecl] = ACTIONS(3055),
    [anon_sym___clrcall] = ACTIONS(3055),
    [anon_sym___stdcall] = ACTIONS(3055),
    [anon_sym___fastcall] = ACTIONS(3055),
    [anon_sym___thiscall] = ACTIONS(3055),
    [anon_sym___vectorcall] = ACTIONS(3055),
    [anon_sym_LBRACE] = ACTIONS(3057),
    [anon_sym_signed] = ACTIONS(3055),
    [anon_sym_unsigned] = ACTIONS(3055),
    [anon_sym_long] = ACTIONS(3055),
    [anon_sym_short] = ACTIONS(3055),
    [anon_sym_LBRACK] = ACTIONS(3055),
    [anon_sym_static] = ACTIONS(3055),
    [anon_sym_register] = ACTIONS(3055),
    [anon_sym_inline] = ACTIONS(3055),
    [anon_sym___inline] = ACTIONS(3055),
    [anon_sym___inline__] = ACTIONS(3055),
    [anon_sym___forceinline] = ACTIONS(3055),
    [anon_sym_thread_local] = ACTIONS(3055),
    [anon_sym___thread] = ACTIONS(3055),
    [anon_sym_const] = ACTIONS(3055),
    [anon_sym_constexpr] = ACTIONS(3055),
    [anon_sym_volatile] = ACTIONS(3055),
    [anon_sym_restrict] = ACTIONS(3055),
    [anon_sym___restrict__] = ACTIONS(3055),
    [anon_sym__Atomic] = ACTIONS(3055),
    [anon_sym__Noreturn] = ACTIONS(3055),
    [anon_sym_noreturn] = ACTIONS(3055),
    [anon_sym_mutable] = ACTIONS(3055),
    [anon_sym_constinit] = ACTIONS(3055),
    [anon_sym_consteval] = ACTIONS(3055),
    [sym_primitive_type] = ACTIONS(3055),
    [anon_sym_enum] = ACTIONS(3055),
    [anon_sym_class] = ACTIONS(3055),
    [anon_sym_struct] = ACTIONS(3055),
    [anon_sym_union] = ACTIONS(3055),
    [anon_sym_if] = ACTIONS(3055),
    [anon_sym_switch] = ACTIONS(3055),
    [anon_sym_case] = ACTIONS(3055),
    [anon_sym_default] = ACTIONS(3055),
    [anon_sym_while] = ACTIONS(3055),
    [anon_sym_do] = ACTIONS(3055),
    [anon_sym_for] = ACTIONS(3055),
    [anon_sym_return] = ACTIONS(3055),
    [anon_sym_break] = ACTIONS(3055),
    [anon_sym_continue] = ACTIONS(3055),
    [anon_sym_goto] = ACTIONS(3055),
    [anon_sym_not] = ACTIONS(3055),
    [anon_sym_compl] = ACTIONS(3055),
    [anon_sym_DASH_DASH] = ACTIONS(3057),
    [anon_sym_PLUS_PLUS] = ACTIONS(3057),
    [anon_sym_sizeof] = ACTIONS(3055),
    [anon_sym___alignof__] = ACTIONS(3055),
    [anon_sym___alignof] = ACTIONS(3055),
    [anon_sym__alignof] = ACTIONS(3055),
    [anon_sym_alignof] = ACTIONS(3055),
    [anon_sym__Alignof] = ACTIONS(3055),
    [anon_sym_offsetof] = ACTIONS(3055),
    [anon_sym__Generic] = ACTIONS(3055),
    [anon_sym_asm] = ACTIONS(3055),
    [anon_sym___asm__] = ACTIONS(3055),
    [sym_number_literal] = ACTIONS(3057),
    [anon_sym_L_SQUOTE] = ACTIONS(3057),
    [anon_sym_u_SQUOTE] = ACTIONS(3057),
    [anon_sym_U_SQUOTE] = ACTIONS(3057),
    [anon_sym_u8_SQUOTE] = ACTIONS(3057),
    [anon_sym_SQUOTE] = ACTIONS(3057),
    [anon_sym_L_DQUOTE] = ACTIONS(3057),
    [anon_sym_u_DQUOTE] = ACTIONS(3057),
    [anon_sym_U_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8_DQUOTE] = ACTIONS(3057),
    [anon_sym_DQUOTE] = ACTIONS(3057),
    [sym_true] = ACTIONS(3055),
    [sym_false] = ACTIONS(3055),
    [anon_sym_NULL] = ACTIONS(3055),
    [anon_sym_nullptr] = ACTIONS(3055),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3055),
    [anon_sym_decltype] = ACTIONS(3055),
    [anon_sym_virtual] = ACTIONS(3055),
    [anon_sym_alignas] = ACTIONS(3055),
    [anon_sym_explicit] = ACTIONS(3055),
    [anon_sym_typename] = ACTIONS(3055),
    [anon_sym_template] = ACTIONS(3055),
    [anon_sym_operator] = ACTIONS(3055),
    [anon_sym_try] = ACTIONS(3055),
    [anon_sym_delete] = ACTIONS(3055),
    [anon_sym_throw] = ACTIONS(3055),
    [anon_sym_namespace] = ACTIONS(3055),
    [anon_sym_using] = ACTIONS(3055),
    [anon_sym_static_assert] = ACTIONS(3055),
    [anon_sym_concept] = ACTIONS(3055),
    [anon_sym_co_return] = ACTIONS(3055),
    [anon_sym_co_yield] = ACTIONS(3055),
    [anon_sym_R_DQUOTE] = ACTIONS(3057),
    [anon_sym_LR_DQUOTE] = ACTIONS(3057),
    [anon_sym_uR_DQUOTE] = ACTIONS(3057),
    [anon_sym_UR_DQUOTE] = ACTIONS(3057),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3057),
    [anon_sym_co_await] = ACTIONS(3055),
    [anon_sym_new] = ACTIONS(3055),
    [anon_sym_requires] = ACTIONS(3055),
    [sym_this] = ACTIONS(3055),
  },
  [966] = {
    [ts_builtin_sym_end] = ACTIONS(3288),
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_include_token1] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_BANG] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_DASH] = ACTIONS(3286),
    [anon_sym_PLUS] = ACTIONS(3286),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym___cdecl] = ACTIONS(3286),
    [anon_sym___clrcall] = ACTIONS(3286),
    [anon_sym___stdcall] = ACTIONS(3286),
    [anon_sym___fastcall] = ACTIONS(3286),
    [anon_sym___thiscall] = ACTIONS(3286),
    [anon_sym___vectorcall] = ACTIONS(3286),
    [anon_sym_LBRACE] = ACTIONS(3288),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [anon_sym_if] = ACTIONS(3286),
    [anon_sym_switch] = ACTIONS(3286),
    [anon_sym_case] = ACTIONS(3286),
    [anon_sym_default] = ACTIONS(3286),
    [anon_sym_while] = ACTIONS(3286),
    [anon_sym_do] = ACTIONS(3286),
    [anon_sym_for] = ACTIONS(3286),
    [anon_sym_return] = ACTIONS(3286),
    [anon_sym_break] = ACTIONS(3286),
    [anon_sym_continue] = ACTIONS(3286),
    [anon_sym_goto] = ACTIONS(3286),
    [anon_sym_not] = ACTIONS(3286),
    [anon_sym_compl] = ACTIONS(3286),
    [anon_sym_DASH_DASH] = ACTIONS(3288),
    [anon_sym_PLUS_PLUS] = ACTIONS(3288),
    [anon_sym_sizeof] = ACTIONS(3286),
    [anon_sym___alignof__] = ACTIONS(3286),
    [anon_sym___alignof] = ACTIONS(3286),
    [anon_sym__alignof] = ACTIONS(3286),
    [anon_sym_alignof] = ACTIONS(3286),
    [anon_sym__Alignof] = ACTIONS(3286),
    [anon_sym_offsetof] = ACTIONS(3286),
    [anon_sym__Generic] = ACTIONS(3286),
    [anon_sym_asm] = ACTIONS(3286),
    [anon_sym___asm__] = ACTIONS(3286),
    [sym_number_literal] = ACTIONS(3288),
    [anon_sym_L_SQUOTE] = ACTIONS(3288),
    [anon_sym_u_SQUOTE] = ACTIONS(3288),
    [anon_sym_U_SQUOTE] = ACTIONS(3288),
    [anon_sym_u8_SQUOTE] = ACTIONS(3288),
    [anon_sym_SQUOTE] = ACTIONS(3288),
    [anon_sym_L_DQUOTE] = ACTIONS(3288),
    [anon_sym_u_DQUOTE] = ACTIONS(3288),
    [anon_sym_U_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8_DQUOTE] = ACTIONS(3288),
    [anon_sym_DQUOTE] = ACTIONS(3288),
    [sym_true] = ACTIONS(3286),
    [sym_false] = ACTIONS(3286),
    [anon_sym_NULL] = ACTIONS(3286),
    [anon_sym_nullptr] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_try] = ACTIONS(3286),
    [anon_sym_delete] = ACTIONS(3286),
    [anon_sym_throw] = ACTIONS(3286),
    [anon_sym_namespace] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
    [anon_sym_concept] = ACTIONS(3286),
    [anon_sym_co_return] = ACTIONS(3286),
    [anon_sym_co_yield] = ACTIONS(3286),
    [anon_sym_R_DQUOTE] = ACTIONS(3288),
    [anon_sym_LR_DQUOTE] = ACTIONS(3288),
    [anon_sym_uR_DQUOTE] = ACTIONS(3288),
    [anon_sym_UR_DQUOTE] = ACTIONS(3288),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3288),
    [anon_sym_co_await] = ACTIONS(3286),
    [anon_sym_new] = ACTIONS(3286),
    [anon_sym_requires] = ACTIONS(3286),
    [sym_this] = ACTIONS(3286),
  },
  [967] = {
    [ts_builtin_sym_end] = ACTIONS(3178),
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_include_token1] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_BANG] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_DASH] = ACTIONS(3176),
    [anon_sym_PLUS] = ACTIONS(3176),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym___cdecl] = ACTIONS(3176),
    [anon_sym___clrcall] = ACTIONS(3176),
    [anon_sym___stdcall] = ACTIONS(3176),
    [anon_sym___fastcall] = ACTIONS(3176),
    [anon_sym___thiscall] = ACTIONS(3176),
    [anon_sym___vectorcall] = ACTIONS(3176),
    [anon_sym_LBRACE] = ACTIONS(3178),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [anon_sym_if] = ACTIONS(3176),
    [anon_sym_switch] = ACTIONS(3176),
    [anon_sym_case] = ACTIONS(3176),
    [anon_sym_default] = ACTIONS(3176),
    [anon_sym_while] = ACTIONS(3176),
    [anon_sym_do] = ACTIONS(3176),
    [anon_sym_for] = ACTIONS(3176),
    [anon_sym_return] = ACTIONS(3176),
    [anon_sym_break] = ACTIONS(3176),
    [anon_sym_continue] = ACTIONS(3176),
    [anon_sym_goto] = ACTIONS(3176),
    [anon_sym_not] = ACTIONS(3176),
    [anon_sym_compl] = ACTIONS(3176),
    [anon_sym_DASH_DASH] = ACTIONS(3178),
    [anon_sym_PLUS_PLUS] = ACTIONS(3178),
    [anon_sym_sizeof] = ACTIONS(3176),
    [anon_sym___alignof__] = ACTIONS(3176),
    [anon_sym___alignof] = ACTIONS(3176),
    [anon_sym__alignof] = ACTIONS(3176),
    [anon_sym_alignof] = ACTIONS(3176),
    [anon_sym__Alignof] = ACTIONS(3176),
    [anon_sym_offsetof] = ACTIONS(3176),
    [anon_sym__Generic] = ACTIONS(3176),
    [anon_sym_asm] = ACTIONS(3176),
    [anon_sym___asm__] = ACTIONS(3176),
    [sym_number_literal] = ACTIONS(3178),
    [anon_sym_L_SQUOTE] = ACTIONS(3178),
    [anon_sym_u_SQUOTE] = ACTIONS(3178),
    [anon_sym_U_SQUOTE] = ACTIONS(3178),
    [anon_sym_u8_SQUOTE] = ACTIONS(3178),
    [anon_sym_SQUOTE] = ACTIONS(3178),
    [anon_sym_L_DQUOTE] = ACTIONS(3178),
    [anon_sym_u_DQUOTE] = ACTIONS(3178),
    [anon_sym_U_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8_DQUOTE] = ACTIONS(3178),
    [anon_sym_DQUOTE] = ACTIONS(3178),
    [sym_true] = ACTIONS(3176),
    [sym_false] = ACTIONS(3176),
    [anon_sym_NULL] = ACTIONS(3176),
    [anon_sym_nullptr] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_try] = ACTIONS(3176),
    [anon_sym_delete] = ACTIONS(3176),
    [anon_sym_throw] = ACTIONS(3176),
    [anon_sym_namespace] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
    [anon_sym_concept] = ACTIONS(3176),
    [anon_sym_co_return] = ACTIONS(3176),
    [anon_sym_co_yield] = ACTIONS(3176),
    [anon_sym_R_DQUOTE] = ACTIONS(3178),
    [anon_sym_LR_DQUOTE] = ACTIONS(3178),
    [anon_sym_uR_DQUOTE] = ACTIONS(3178),
    [anon_sym_UR_DQUOTE] = ACTIONS(3178),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3178),
    [anon_sym_co_await] = ACTIONS(3176),
    [anon_sym_new] = ACTIONS(3176),
    [anon_sym_requires] = ACTIONS(3176),
    [sym_this] = ACTIONS(3176),
  },
  [968] = {
    [ts_builtin_sym_end] = ACTIONS(3082),
    [sym_identifier] = ACTIONS(3080),
    [aux_sym_preproc_include_token1] = ACTIONS(3080),
    [aux_sym_preproc_def_token1] = ACTIONS(3080),
    [aux_sym_preproc_if_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3080),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3080),
    [sym_preproc_directive] = ACTIONS(3080),
    [anon_sym_LPAREN2] = ACTIONS(3082),
    [anon_sym_BANG] = ACTIONS(3082),
    [anon_sym_TILDE] = ACTIONS(3082),
    [anon_sym_DASH] = ACTIONS(3080),
    [anon_sym_PLUS] = ACTIONS(3080),
    [anon_sym_STAR] = ACTIONS(3082),
    [anon_sym_AMP_AMP] = ACTIONS(3082),
    [anon_sym_AMP] = ACTIONS(3080),
    [anon_sym___extension__] = ACTIONS(3080),
    [anon_sym_typedef] = ACTIONS(3080),
    [anon_sym_extern] = ACTIONS(3080),
    [anon_sym___attribute__] = ACTIONS(3080),
    [anon_sym_COLON_COLON] = ACTIONS(3082),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3082),
    [anon_sym___declspec] = ACTIONS(3080),
    [anon_sym___based] = ACTIONS(3080),
    [anon_sym___cdecl] = ACTIONS(3080),
    [anon_sym___clrcall] = ACTIONS(3080),
    [anon_sym___stdcall] = ACTIONS(3080),
    [anon_sym___fastcall] = ACTIONS(3080),
    [anon_sym___thiscall] = ACTIONS(3080),
    [anon_sym___vectorcall] = ACTIONS(3080),
    [anon_sym_LBRACE] = ACTIONS(3082),
    [anon_sym_signed] = ACTIONS(3080),
    [anon_sym_unsigned] = ACTIONS(3080),
    [anon_sym_long] = ACTIONS(3080),
    [anon_sym_short] = ACTIONS(3080),
    [anon_sym_LBRACK] = ACTIONS(3080),
    [anon_sym_static] = ACTIONS(3080),
    [anon_sym_register] = ACTIONS(3080),
    [anon_sym_inline] = ACTIONS(3080),
    [anon_sym___inline] = ACTIONS(3080),
    [anon_sym___inline__] = ACTIONS(3080),
    [anon_sym___forceinline] = ACTIONS(3080),
    [anon_sym_thread_local] = ACTIONS(3080),
    [anon_sym___thread] = ACTIONS(3080),
    [anon_sym_const] = ACTIONS(3080),
    [anon_sym_constexpr] = ACTIONS(3080),
    [anon_sym_volatile] = ACTIONS(3080),
    [anon_sym_restrict] = ACTIONS(3080),
    [anon_sym___restrict__] = ACTIONS(3080),
    [anon_sym__Atomic] = ACTIONS(3080),
    [anon_sym__Noreturn] = ACTIONS(3080),
    [anon_sym_noreturn] = ACTIONS(3080),
    [anon_sym_mutable] = ACTIONS(3080),
    [anon_sym_constinit] = ACTIONS(3080),
    [anon_sym_consteval] = ACTIONS(3080),
    [sym_primitive_type] = ACTIONS(3080),
    [anon_sym_enum] = ACTIONS(3080),
    [anon_sym_class] = ACTIONS(3080),
    [anon_sym_struct] = ACTIONS(3080),
    [anon_sym_union] = ACTIONS(3080),
    [anon_sym_if] = ACTIONS(3080),
    [anon_sym_switch] = ACTIONS(3080),
    [anon_sym_case] = ACTIONS(3080),
    [anon_sym_default] = ACTIONS(3080),
    [anon_sym_while] = ACTIONS(3080),
    [anon_sym_do] = ACTIONS(3080),
    [anon_sym_for] = ACTIONS(3080),
    [anon_sym_return] = ACTIONS(3080),
    [anon_sym_break] = ACTIONS(3080),
    [anon_sym_continue] = ACTIONS(3080),
    [anon_sym_goto] = ACTIONS(3080),
    [anon_sym_not] = ACTIONS(3080),
    [anon_sym_compl] = ACTIONS(3080),
    [anon_sym_DASH_DASH] = ACTIONS(3082),
    [anon_sym_PLUS_PLUS] = ACTIONS(3082),
    [anon_sym_sizeof] = ACTIONS(3080),
    [anon_sym___alignof__] = ACTIONS(3080),
    [anon_sym___alignof] = ACTIONS(3080),
    [anon_sym__alignof] = ACTIONS(3080),
    [anon_sym_alignof] = ACTIONS(3080),
    [anon_sym__Alignof] = ACTIONS(3080),
    [anon_sym_offsetof] = ACTIONS(3080),
    [anon_sym__Generic] = ACTIONS(3080),
    [anon_sym_asm] = ACTIONS(3080),
    [anon_sym___asm__] = ACTIONS(3080),
    [sym_number_literal] = ACTIONS(3082),
    [anon_sym_L_SQUOTE] = ACTIONS(3082),
    [anon_sym_u_SQUOTE] = ACTIONS(3082),
    [anon_sym_U_SQUOTE] = ACTIONS(3082),
    [anon_sym_u8_SQUOTE] = ACTIONS(3082),
    [anon_sym_SQUOTE] = ACTIONS(3082),
    [anon_sym_L_DQUOTE] = ACTIONS(3082),
    [anon_sym_u_DQUOTE] = ACTIONS(3082),
    [anon_sym_U_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8_DQUOTE] = ACTIONS(3082),
    [anon_sym_DQUOTE] = ACTIONS(3082),
    [sym_true] = ACTIONS(3080),
    [sym_false] = ACTIONS(3080),
    [anon_sym_NULL] = ACTIONS(3080),
    [anon_sym_nullptr] = ACTIONS(3080),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3080),
    [anon_sym_decltype] = ACTIONS(3080),
    [anon_sym_virtual] = ACTIONS(3080),
    [anon_sym_alignas] = ACTIONS(3080),
    [anon_sym_explicit] = ACTIONS(3080),
    [anon_sym_typename] = ACTIONS(3080),
    [anon_sym_template] = ACTIONS(3080),
    [anon_sym_operator] = ACTIONS(3080),
    [anon_sym_try] = ACTIONS(3080),
    [anon_sym_delete] = ACTIONS(3080),
    [anon_sym_throw] = ACTIONS(3080),
    [anon_sym_namespace] = ACTIONS(3080),
    [anon_sym_using] = ACTIONS(3080),
    [anon_sym_static_assert] = ACTIONS(3080),
    [anon_sym_concept] = ACTIONS(3080),
    [anon_sym_co_return] = ACTIONS(3080),
    [anon_sym_co_yield] = ACTIONS(3080),
    [anon_sym_R_DQUOTE] = ACTIONS(3082),
    [anon_sym_LR_DQUOTE] = ACTIONS(3082),
    [anon_sym_uR_DQUOTE] = ACTIONS(3082),
    [anon_sym_UR_DQUOTE] = ACTIONS(3082),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3082),
    [anon_sym_co_await] = ACTIONS(3080),
    [anon_sym_new] = ACTIONS(3080),
    [anon_sym_requires] = ACTIONS(3080),
    [sym_this] = ACTIONS(3080),
  },
  [969] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3692),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [970] = {
    [sym_preproc_def] = STATE(970),
    [sym_preproc_function_def] = STATE(970),
    [sym_preproc_call] = STATE(970),
    [sym_preproc_if_in_field_declaration_list] = STATE(970),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(970),
    [sym_type_definition] = STATE(970),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6165),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6757),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(970),
    [sym_field_declaration] = STATE(970),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2046),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(970),
    [sym_operator_cast] = STATE(7229),
    [sym_inline_method_definition] = STATE(970),
    [sym__constructor_specifiers] = STATE(2046),
    [sym_operator_cast_definition] = STATE(970),
    [sym_operator_cast_declaration] = STATE(970),
    [sym_constructor_or_destructor_definition] = STATE(970),
    [sym_constructor_or_destructor_declaration] = STATE(970),
    [sym_friend_declaration] = STATE(970),
    [sym_access_specifier] = STATE(8543),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(970),
    [sym_alias_declaration] = STATE(970),
    [sym_static_assert_declaration] = STATE(970),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7229),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(970),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(3474),
    [aux_sym_preproc_def_token1] = ACTIONS(3694),
    [aux_sym_preproc_if_token1] = ACTIONS(3697),
    [aux_sym_preproc_if_token2] = ACTIONS(3483),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3700),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3700),
    [sym_preproc_directive] = ACTIONS(3703),
    [anon_sym_LPAREN2] = ACTIONS(3491),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3500),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym___extension__] = ACTIONS(3706),
    [anon_sym_typedef] = ACTIONS(3709),
    [anon_sym_extern] = ACTIONS(3512),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3521),
    [anon_sym___declspec] = ACTIONS(3524),
    [anon_sym___based] = ACTIONS(3527),
    [anon_sym_signed] = ACTIONS(3530),
    [anon_sym_unsigned] = ACTIONS(3530),
    [anon_sym_long] = ACTIONS(3530),
    [anon_sym_short] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_static] = ACTIONS(3512),
    [anon_sym_register] = ACTIONS(3512),
    [anon_sym_inline] = ACTIONS(3512),
    [anon_sym___inline] = ACTIONS(3512),
    [anon_sym___inline__] = ACTIONS(3512),
    [anon_sym___forceinline] = ACTIONS(3512),
    [anon_sym_thread_local] = ACTIONS(3512),
    [anon_sym___thread] = ACTIONS(3512),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_constexpr] = ACTIONS(3536),
    [anon_sym_volatile] = ACTIONS(3536),
    [anon_sym_restrict] = ACTIONS(3536),
    [anon_sym___restrict__] = ACTIONS(3536),
    [anon_sym__Atomic] = ACTIONS(3536),
    [anon_sym__Noreturn] = ACTIONS(3536),
    [anon_sym_noreturn] = ACTIONS(3536),
    [anon_sym_mutable] = ACTIONS(3536),
    [anon_sym_constinit] = ACTIONS(3536),
    [anon_sym_consteval] = ACTIONS(3536),
    [sym_primitive_type] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3545),
    [anon_sym_struct] = ACTIONS(3548),
    [anon_sym_union] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3554),
    [anon_sym_decltype] = ACTIONS(3557),
    [anon_sym_virtual] = ACTIONS(3560),
    [anon_sym_alignas] = ACTIONS(3563),
    [anon_sym_explicit] = ACTIONS(3566),
    [anon_sym_typename] = ACTIONS(3569),
    [anon_sym_template] = ACTIONS(3712),
    [anon_sym_operator] = ACTIONS(3575),
    [anon_sym_friend] = ACTIONS(3715),
    [anon_sym_public] = ACTIONS(3581),
    [anon_sym_private] = ACTIONS(3581),
    [anon_sym_protected] = ACTIONS(3581),
    [anon_sym_using] = ACTIONS(3718),
    [anon_sym_static_assert] = ACTIONS(3721),
  },
  [971] = {
    [ts_builtin_sym_end] = ACTIONS(3154),
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_include_token1] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_BANG] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_DASH] = ACTIONS(3152),
    [anon_sym_PLUS] = ACTIONS(3152),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym___cdecl] = ACTIONS(3152),
    [anon_sym___clrcall] = ACTIONS(3152),
    [anon_sym___stdcall] = ACTIONS(3152),
    [anon_sym___fastcall] = ACTIONS(3152),
    [anon_sym___thiscall] = ACTIONS(3152),
    [anon_sym___vectorcall] = ACTIONS(3152),
    [anon_sym_LBRACE] = ACTIONS(3154),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [anon_sym_if] = ACTIONS(3152),
    [anon_sym_switch] = ACTIONS(3152),
    [anon_sym_case] = ACTIONS(3152),
    [anon_sym_default] = ACTIONS(3152),
    [anon_sym_while] = ACTIONS(3152),
    [anon_sym_do] = ACTIONS(3152),
    [anon_sym_for] = ACTIONS(3152),
    [anon_sym_return] = ACTIONS(3152),
    [anon_sym_break] = ACTIONS(3152),
    [anon_sym_continue] = ACTIONS(3152),
    [anon_sym_goto] = ACTIONS(3152),
    [anon_sym_not] = ACTIONS(3152),
    [anon_sym_compl] = ACTIONS(3152),
    [anon_sym_DASH_DASH] = ACTIONS(3154),
    [anon_sym_PLUS_PLUS] = ACTIONS(3154),
    [anon_sym_sizeof] = ACTIONS(3152),
    [anon_sym___alignof__] = ACTIONS(3152),
    [anon_sym___alignof] = ACTIONS(3152),
    [anon_sym__alignof] = ACTIONS(3152),
    [anon_sym_alignof] = ACTIONS(3152),
    [anon_sym__Alignof] = ACTIONS(3152),
    [anon_sym_offsetof] = ACTIONS(3152),
    [anon_sym__Generic] = ACTIONS(3152),
    [anon_sym_asm] = ACTIONS(3152),
    [anon_sym___asm__] = ACTIONS(3152),
    [sym_number_literal] = ACTIONS(3154),
    [anon_sym_L_SQUOTE] = ACTIONS(3154),
    [anon_sym_u_SQUOTE] = ACTIONS(3154),
    [anon_sym_U_SQUOTE] = ACTIONS(3154),
    [anon_sym_u8_SQUOTE] = ACTIONS(3154),
    [anon_sym_SQUOTE] = ACTIONS(3154),
    [anon_sym_L_DQUOTE] = ACTIONS(3154),
    [anon_sym_u_DQUOTE] = ACTIONS(3154),
    [anon_sym_U_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8_DQUOTE] = ACTIONS(3154),
    [anon_sym_DQUOTE] = ACTIONS(3154),
    [sym_true] = ACTIONS(3152),
    [sym_false] = ACTIONS(3152),
    [anon_sym_NULL] = ACTIONS(3152),
    [anon_sym_nullptr] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_try] = ACTIONS(3152),
    [anon_sym_delete] = ACTIONS(3152),
    [anon_sym_throw] = ACTIONS(3152),
    [anon_sym_namespace] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
    [anon_sym_concept] = ACTIONS(3152),
    [anon_sym_co_return] = ACTIONS(3152),
    [anon_sym_co_yield] = ACTIONS(3152),
    [anon_sym_R_DQUOTE] = ACTIONS(3154),
    [anon_sym_LR_DQUOTE] = ACTIONS(3154),
    [anon_sym_uR_DQUOTE] = ACTIONS(3154),
    [anon_sym_UR_DQUOTE] = ACTIONS(3154),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3154),
    [anon_sym_co_await] = ACTIONS(3152),
    [anon_sym_new] = ACTIONS(3152),
    [anon_sym_requires] = ACTIONS(3152),
    [sym_this] = ACTIONS(3152),
  },
  [972] = {
    [ts_builtin_sym_end] = ACTIONS(3086),
    [sym_identifier] = ACTIONS(3084),
    [aux_sym_preproc_include_token1] = ACTIONS(3084),
    [aux_sym_preproc_def_token1] = ACTIONS(3084),
    [aux_sym_preproc_if_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3084),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3084),
    [sym_preproc_directive] = ACTIONS(3084),
    [anon_sym_LPAREN2] = ACTIONS(3086),
    [anon_sym_BANG] = ACTIONS(3086),
    [anon_sym_TILDE] = ACTIONS(3086),
    [anon_sym_DASH] = ACTIONS(3084),
    [anon_sym_PLUS] = ACTIONS(3084),
    [anon_sym_STAR] = ACTIONS(3086),
    [anon_sym_AMP_AMP] = ACTIONS(3086),
    [anon_sym_AMP] = ACTIONS(3084),
    [anon_sym___extension__] = ACTIONS(3084),
    [anon_sym_typedef] = ACTIONS(3084),
    [anon_sym_extern] = ACTIONS(3084),
    [anon_sym___attribute__] = ACTIONS(3084),
    [anon_sym_COLON_COLON] = ACTIONS(3086),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3086),
    [anon_sym___declspec] = ACTIONS(3084),
    [anon_sym___based] = ACTIONS(3084),
    [anon_sym___cdecl] = ACTIONS(3084),
    [anon_sym___clrcall] = ACTIONS(3084),
    [anon_sym___stdcall] = ACTIONS(3084),
    [anon_sym___fastcall] = ACTIONS(3084),
    [anon_sym___thiscall] = ACTIONS(3084),
    [anon_sym___vectorcall] = ACTIONS(3084),
    [anon_sym_LBRACE] = ACTIONS(3086),
    [anon_sym_signed] = ACTIONS(3084),
    [anon_sym_unsigned] = ACTIONS(3084),
    [anon_sym_long] = ACTIONS(3084),
    [anon_sym_short] = ACTIONS(3084),
    [anon_sym_LBRACK] = ACTIONS(3084),
    [anon_sym_static] = ACTIONS(3084),
    [anon_sym_register] = ACTIONS(3084),
    [anon_sym_inline] = ACTIONS(3084),
    [anon_sym___inline] = ACTIONS(3084),
    [anon_sym___inline__] = ACTIONS(3084),
    [anon_sym___forceinline] = ACTIONS(3084),
    [anon_sym_thread_local] = ACTIONS(3084),
    [anon_sym___thread] = ACTIONS(3084),
    [anon_sym_const] = ACTIONS(3084),
    [anon_sym_constexpr] = ACTIONS(3084),
    [anon_sym_volatile] = ACTIONS(3084),
    [anon_sym_restrict] = ACTIONS(3084),
    [anon_sym___restrict__] = ACTIONS(3084),
    [anon_sym__Atomic] = ACTIONS(3084),
    [anon_sym__Noreturn] = ACTIONS(3084),
    [anon_sym_noreturn] = ACTIONS(3084),
    [anon_sym_mutable] = ACTIONS(3084),
    [anon_sym_constinit] = ACTIONS(3084),
    [anon_sym_consteval] = ACTIONS(3084),
    [sym_primitive_type] = ACTIONS(3084),
    [anon_sym_enum] = ACTIONS(3084),
    [anon_sym_class] = ACTIONS(3084),
    [anon_sym_struct] = ACTIONS(3084),
    [anon_sym_union] = ACTIONS(3084),
    [anon_sym_if] = ACTIONS(3084),
    [anon_sym_switch] = ACTIONS(3084),
    [anon_sym_case] = ACTIONS(3084),
    [anon_sym_default] = ACTIONS(3084),
    [anon_sym_while] = ACTIONS(3084),
    [anon_sym_do] = ACTIONS(3084),
    [anon_sym_for] = ACTIONS(3084),
    [anon_sym_return] = ACTIONS(3084),
    [anon_sym_break] = ACTIONS(3084),
    [anon_sym_continue] = ACTIONS(3084),
    [anon_sym_goto] = ACTIONS(3084),
    [anon_sym_not] = ACTIONS(3084),
    [anon_sym_compl] = ACTIONS(3084),
    [anon_sym_DASH_DASH] = ACTIONS(3086),
    [anon_sym_PLUS_PLUS] = ACTIONS(3086),
    [anon_sym_sizeof] = ACTIONS(3084),
    [anon_sym___alignof__] = ACTIONS(3084),
    [anon_sym___alignof] = ACTIONS(3084),
    [anon_sym__alignof] = ACTIONS(3084),
    [anon_sym_alignof] = ACTIONS(3084),
    [anon_sym__Alignof] = ACTIONS(3084),
    [anon_sym_offsetof] = ACTIONS(3084),
    [anon_sym__Generic] = ACTIONS(3084),
    [anon_sym_asm] = ACTIONS(3084),
    [anon_sym___asm__] = ACTIONS(3084),
    [sym_number_literal] = ACTIONS(3086),
    [anon_sym_L_SQUOTE] = ACTIONS(3086),
    [anon_sym_u_SQUOTE] = ACTIONS(3086),
    [anon_sym_U_SQUOTE] = ACTIONS(3086),
    [anon_sym_u8_SQUOTE] = ACTIONS(3086),
    [anon_sym_SQUOTE] = ACTIONS(3086),
    [anon_sym_L_DQUOTE] = ACTIONS(3086),
    [anon_sym_u_DQUOTE] = ACTIONS(3086),
    [anon_sym_U_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8_DQUOTE] = ACTIONS(3086),
    [anon_sym_DQUOTE] = ACTIONS(3086),
    [sym_true] = ACTIONS(3084),
    [sym_false] = ACTIONS(3084),
    [anon_sym_NULL] = ACTIONS(3084),
    [anon_sym_nullptr] = ACTIONS(3084),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3084),
    [anon_sym_decltype] = ACTIONS(3084),
    [anon_sym_virtual] = ACTIONS(3084),
    [anon_sym_alignas] = ACTIONS(3084),
    [anon_sym_explicit] = ACTIONS(3084),
    [anon_sym_typename] = ACTIONS(3084),
    [anon_sym_template] = ACTIONS(3084),
    [anon_sym_operator] = ACTIONS(3084),
    [anon_sym_try] = ACTIONS(3084),
    [anon_sym_delete] = ACTIONS(3084),
    [anon_sym_throw] = ACTIONS(3084),
    [anon_sym_namespace] = ACTIONS(3084),
    [anon_sym_using] = ACTIONS(3084),
    [anon_sym_static_assert] = ACTIONS(3084),
    [anon_sym_concept] = ACTIONS(3084),
    [anon_sym_co_return] = ACTIONS(3084),
    [anon_sym_co_yield] = ACTIONS(3084),
    [anon_sym_R_DQUOTE] = ACTIONS(3086),
    [anon_sym_LR_DQUOTE] = ACTIONS(3086),
    [anon_sym_uR_DQUOTE] = ACTIONS(3086),
    [anon_sym_UR_DQUOTE] = ACTIONS(3086),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3086),
    [anon_sym_co_await] = ACTIONS(3084),
    [anon_sym_new] = ACTIONS(3084),
    [anon_sym_requires] = ACTIONS(3084),
    [sym_this] = ACTIONS(3084),
  },
  [973] = {
    [ts_builtin_sym_end] = ACTIONS(3090),
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_include_token1] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_BANG] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_DASH] = ACTIONS(3088),
    [anon_sym_PLUS] = ACTIONS(3088),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym___cdecl] = ACTIONS(3088),
    [anon_sym___clrcall] = ACTIONS(3088),
    [anon_sym___stdcall] = ACTIONS(3088),
    [anon_sym___fastcall] = ACTIONS(3088),
    [anon_sym___thiscall] = ACTIONS(3088),
    [anon_sym___vectorcall] = ACTIONS(3088),
    [anon_sym_LBRACE] = ACTIONS(3090),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [anon_sym_if] = ACTIONS(3088),
    [anon_sym_switch] = ACTIONS(3088),
    [anon_sym_case] = ACTIONS(3088),
    [anon_sym_default] = ACTIONS(3088),
    [anon_sym_while] = ACTIONS(3088),
    [anon_sym_do] = ACTIONS(3088),
    [anon_sym_for] = ACTIONS(3088),
    [anon_sym_return] = ACTIONS(3088),
    [anon_sym_break] = ACTIONS(3088),
    [anon_sym_continue] = ACTIONS(3088),
    [anon_sym_goto] = ACTIONS(3088),
    [anon_sym_not] = ACTIONS(3088),
    [anon_sym_compl] = ACTIONS(3088),
    [anon_sym_DASH_DASH] = ACTIONS(3090),
    [anon_sym_PLUS_PLUS] = ACTIONS(3090),
    [anon_sym_sizeof] = ACTIONS(3088),
    [anon_sym___alignof__] = ACTIONS(3088),
    [anon_sym___alignof] = ACTIONS(3088),
    [anon_sym__alignof] = ACTIONS(3088),
    [anon_sym_alignof] = ACTIONS(3088),
    [anon_sym__Alignof] = ACTIONS(3088),
    [anon_sym_offsetof] = ACTIONS(3088),
    [anon_sym__Generic] = ACTIONS(3088),
    [anon_sym_asm] = ACTIONS(3088),
    [anon_sym___asm__] = ACTIONS(3088),
    [sym_number_literal] = ACTIONS(3090),
    [anon_sym_L_SQUOTE] = ACTIONS(3090),
    [anon_sym_u_SQUOTE] = ACTIONS(3090),
    [anon_sym_U_SQUOTE] = ACTIONS(3090),
    [anon_sym_u8_SQUOTE] = ACTIONS(3090),
    [anon_sym_SQUOTE] = ACTIONS(3090),
    [anon_sym_L_DQUOTE] = ACTIONS(3090),
    [anon_sym_u_DQUOTE] = ACTIONS(3090),
    [anon_sym_U_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8_DQUOTE] = ACTIONS(3090),
    [anon_sym_DQUOTE] = ACTIONS(3090),
    [sym_true] = ACTIONS(3088),
    [sym_false] = ACTIONS(3088),
    [anon_sym_NULL] = ACTIONS(3088),
    [anon_sym_nullptr] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_try] = ACTIONS(3088),
    [anon_sym_delete] = ACTIONS(3088),
    [anon_sym_throw] = ACTIONS(3088),
    [anon_sym_namespace] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
    [anon_sym_concept] = ACTIONS(3088),
    [anon_sym_co_return] = ACTIONS(3088),
    [anon_sym_co_yield] = ACTIONS(3088),
    [anon_sym_R_DQUOTE] = ACTIONS(3090),
    [anon_sym_LR_DQUOTE] = ACTIONS(3090),
    [anon_sym_uR_DQUOTE] = ACTIONS(3090),
    [anon_sym_UR_DQUOTE] = ACTIONS(3090),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3090),
    [anon_sym_co_await] = ACTIONS(3088),
    [anon_sym_new] = ACTIONS(3088),
    [anon_sym_requires] = ACTIONS(3088),
    [sym_this] = ACTIONS(3088),
  },
  [974] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3724),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [975] = {
    [sym_preproc_def] = STATE(969),
    [sym_preproc_function_def] = STATE(969),
    [sym_preproc_call] = STATE(969),
    [sym_preproc_if_in_field_declaration_list] = STATE(969),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(969),
    [sym_type_definition] = STATE(969),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(969),
    [sym_field_declaration] = STATE(969),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(969),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(969),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(969),
    [sym_operator_cast_declaration] = STATE(969),
    [sym_constructor_or_destructor_definition] = STATE(969),
    [sym_constructor_or_destructor_declaration] = STATE(969),
    [sym_friend_declaration] = STATE(969),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(969),
    [sym_alias_declaration] = STATE(969),
    [sym_static_assert_declaration] = STATE(969),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(969),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3726),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(3300),
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_include_token1] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_BANG] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_DASH] = ACTIONS(3298),
    [anon_sym_PLUS] = ACTIONS(3298),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym___cdecl] = ACTIONS(3298),
    [anon_sym___clrcall] = ACTIONS(3298),
    [anon_sym___stdcall] = ACTIONS(3298),
    [anon_sym___fastcall] = ACTIONS(3298),
    [anon_sym___thiscall] = ACTIONS(3298),
    [anon_sym___vectorcall] = ACTIONS(3298),
    [anon_sym_LBRACE] = ACTIONS(3300),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [anon_sym_if] = ACTIONS(3298),
    [anon_sym_switch] = ACTIONS(3298),
    [anon_sym_case] = ACTIONS(3298),
    [anon_sym_default] = ACTIONS(3298),
    [anon_sym_while] = ACTIONS(3298),
    [anon_sym_do] = ACTIONS(3298),
    [anon_sym_for] = ACTIONS(3298),
    [anon_sym_return] = ACTIONS(3298),
    [anon_sym_break] = ACTIONS(3298),
    [anon_sym_continue] = ACTIONS(3298),
    [anon_sym_goto] = ACTIONS(3298),
    [anon_sym_not] = ACTIONS(3298),
    [anon_sym_compl] = ACTIONS(3298),
    [anon_sym_DASH_DASH] = ACTIONS(3300),
    [anon_sym_PLUS_PLUS] = ACTIONS(3300),
    [anon_sym_sizeof] = ACTIONS(3298),
    [anon_sym___alignof__] = ACTIONS(3298),
    [anon_sym___alignof] = ACTIONS(3298),
    [anon_sym__alignof] = ACTIONS(3298),
    [anon_sym_alignof] = ACTIONS(3298),
    [anon_sym__Alignof] = ACTIONS(3298),
    [anon_sym_offsetof] = ACTIONS(3298),
    [anon_sym__Generic] = ACTIONS(3298),
    [anon_sym_asm] = ACTIONS(3298),
    [anon_sym___asm__] = ACTIONS(3298),
    [sym_number_literal] = ACTIONS(3300),
    [anon_sym_L_SQUOTE] = ACTIONS(3300),
    [anon_sym_u_SQUOTE] = ACTIONS(3300),
    [anon_sym_U_SQUOTE] = ACTIONS(3300),
    [anon_sym_u8_SQUOTE] = ACTIONS(3300),
    [anon_sym_SQUOTE] = ACTIONS(3300),
    [anon_sym_L_DQUOTE] = ACTIONS(3300),
    [anon_sym_u_DQUOTE] = ACTIONS(3300),
    [anon_sym_U_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8_DQUOTE] = ACTIONS(3300),
    [anon_sym_DQUOTE] = ACTIONS(3300),
    [sym_true] = ACTIONS(3298),
    [sym_false] = ACTIONS(3298),
    [anon_sym_NULL] = ACTIONS(3298),
    [anon_sym_nullptr] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_try] = ACTIONS(3298),
    [anon_sym_delete] = ACTIONS(3298),
    [anon_sym_throw] = ACTIONS(3298),
    [anon_sym_namespace] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
    [anon_sym_concept] = ACTIONS(3298),
    [anon_sym_co_return] = ACTIONS(3298),
    [anon_sym_co_yield] = ACTIONS(3298),
    [anon_sym_R_DQUOTE] = ACTIONS(3300),
    [anon_sym_LR_DQUOTE] = ACTIONS(3300),
    [anon_sym_uR_DQUOTE] = ACTIONS(3300),
    [anon_sym_UR_DQUOTE] = ACTIONS(3300),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3300),
    [anon_sym_co_await] = ACTIONS(3298),
    [anon_sym_new] = ACTIONS(3298),
    [anon_sym_requires] = ACTIONS(3298),
    [sym_this] = ACTIONS(3298),
  },
  [977] = {
    [ts_builtin_sym_end] = ACTIONS(3130),
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_include_token1] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_BANG] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_DASH] = ACTIONS(3128),
    [anon_sym_PLUS] = ACTIONS(3128),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym___cdecl] = ACTIONS(3128),
    [anon_sym___clrcall] = ACTIONS(3128),
    [anon_sym___stdcall] = ACTIONS(3128),
    [anon_sym___fastcall] = ACTIONS(3128),
    [anon_sym___thiscall] = ACTIONS(3128),
    [anon_sym___vectorcall] = ACTIONS(3128),
    [anon_sym_LBRACE] = ACTIONS(3130),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [anon_sym_if] = ACTIONS(3128),
    [anon_sym_switch] = ACTIONS(3128),
    [anon_sym_case] = ACTIONS(3128),
    [anon_sym_default] = ACTIONS(3128),
    [anon_sym_while] = ACTIONS(3128),
    [anon_sym_do] = ACTIONS(3128),
    [anon_sym_for] = ACTIONS(3128),
    [anon_sym_return] = ACTIONS(3128),
    [anon_sym_break] = ACTIONS(3128),
    [anon_sym_continue] = ACTIONS(3128),
    [anon_sym_goto] = ACTIONS(3128),
    [anon_sym_not] = ACTIONS(3128),
    [anon_sym_compl] = ACTIONS(3128),
    [anon_sym_DASH_DASH] = ACTIONS(3130),
    [anon_sym_PLUS_PLUS] = ACTIONS(3130),
    [anon_sym_sizeof] = ACTIONS(3128),
    [anon_sym___alignof__] = ACTIONS(3128),
    [anon_sym___alignof] = ACTIONS(3128),
    [anon_sym__alignof] = ACTIONS(3128),
    [anon_sym_alignof] = ACTIONS(3128),
    [anon_sym__Alignof] = ACTIONS(3128),
    [anon_sym_offsetof] = ACTIONS(3128),
    [anon_sym__Generic] = ACTIONS(3128),
    [anon_sym_asm] = ACTIONS(3128),
    [anon_sym___asm__] = ACTIONS(3128),
    [sym_number_literal] = ACTIONS(3130),
    [anon_sym_L_SQUOTE] = ACTIONS(3130),
    [anon_sym_u_SQUOTE] = ACTIONS(3130),
    [anon_sym_U_SQUOTE] = ACTIONS(3130),
    [anon_sym_u8_SQUOTE] = ACTIONS(3130),
    [anon_sym_SQUOTE] = ACTIONS(3130),
    [anon_sym_L_DQUOTE] = ACTIONS(3130),
    [anon_sym_u_DQUOTE] = ACTIONS(3130),
    [anon_sym_U_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8_DQUOTE] = ACTIONS(3130),
    [anon_sym_DQUOTE] = ACTIONS(3130),
    [sym_true] = ACTIONS(3128),
    [sym_false] = ACTIONS(3128),
    [anon_sym_NULL] = ACTIONS(3128),
    [anon_sym_nullptr] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_try] = ACTIONS(3128),
    [anon_sym_delete] = ACTIONS(3128),
    [anon_sym_throw] = ACTIONS(3128),
    [anon_sym_namespace] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
    [anon_sym_concept] = ACTIONS(3128),
    [anon_sym_co_return] = ACTIONS(3128),
    [anon_sym_co_yield] = ACTIONS(3128),
    [anon_sym_R_DQUOTE] = ACTIONS(3130),
    [anon_sym_LR_DQUOTE] = ACTIONS(3130),
    [anon_sym_uR_DQUOTE] = ACTIONS(3130),
    [anon_sym_UR_DQUOTE] = ACTIONS(3130),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3130),
    [anon_sym_co_await] = ACTIONS(3128),
    [anon_sym_new] = ACTIONS(3128),
    [anon_sym_requires] = ACTIONS(3128),
    [sym_this] = ACTIONS(3128),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(3207),
    [sym_identifier] = ACTIONS(3205),
    [aux_sym_preproc_include_token1] = ACTIONS(3205),
    [aux_sym_preproc_def_token1] = ACTIONS(3205),
    [aux_sym_preproc_if_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3205),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3205),
    [sym_preproc_directive] = ACTIONS(3205),
    [anon_sym_LPAREN2] = ACTIONS(3207),
    [anon_sym_BANG] = ACTIONS(3207),
    [anon_sym_TILDE] = ACTIONS(3207),
    [anon_sym_DASH] = ACTIONS(3205),
    [anon_sym_PLUS] = ACTIONS(3205),
    [anon_sym_STAR] = ACTIONS(3207),
    [anon_sym_AMP_AMP] = ACTIONS(3207),
    [anon_sym_AMP] = ACTIONS(3205),
    [anon_sym___extension__] = ACTIONS(3205),
    [anon_sym_typedef] = ACTIONS(3205),
    [anon_sym_extern] = ACTIONS(3205),
    [anon_sym___attribute__] = ACTIONS(3205),
    [anon_sym_COLON_COLON] = ACTIONS(3207),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3207),
    [anon_sym___declspec] = ACTIONS(3205),
    [anon_sym___based] = ACTIONS(3205),
    [anon_sym___cdecl] = ACTIONS(3205),
    [anon_sym___clrcall] = ACTIONS(3205),
    [anon_sym___stdcall] = ACTIONS(3205),
    [anon_sym___fastcall] = ACTIONS(3205),
    [anon_sym___thiscall] = ACTIONS(3205),
    [anon_sym___vectorcall] = ACTIONS(3205),
    [anon_sym_LBRACE] = ACTIONS(3207),
    [anon_sym_signed] = ACTIONS(3205),
    [anon_sym_unsigned] = ACTIONS(3205),
    [anon_sym_long] = ACTIONS(3205),
    [anon_sym_short] = ACTIONS(3205),
    [anon_sym_LBRACK] = ACTIONS(3205),
    [anon_sym_static] = ACTIONS(3205),
    [anon_sym_register] = ACTIONS(3205),
    [anon_sym_inline] = ACTIONS(3205),
    [anon_sym___inline] = ACTIONS(3205),
    [anon_sym___inline__] = ACTIONS(3205),
    [anon_sym___forceinline] = ACTIONS(3205),
    [anon_sym_thread_local] = ACTIONS(3205),
    [anon_sym___thread] = ACTIONS(3205),
    [anon_sym_const] = ACTIONS(3205),
    [anon_sym_constexpr] = ACTIONS(3205),
    [anon_sym_volatile] = ACTIONS(3205),
    [anon_sym_restrict] = ACTIONS(3205),
    [anon_sym___restrict__] = ACTIONS(3205),
    [anon_sym__Atomic] = ACTIONS(3205),
    [anon_sym__Noreturn] = ACTIONS(3205),
    [anon_sym_noreturn] = ACTIONS(3205),
    [anon_sym_mutable] = ACTIONS(3205),
    [anon_sym_constinit] = ACTIONS(3205),
    [anon_sym_consteval] = ACTIONS(3205),
    [sym_primitive_type] = ACTIONS(3205),
    [anon_sym_enum] = ACTIONS(3205),
    [anon_sym_class] = ACTIONS(3205),
    [anon_sym_struct] = ACTIONS(3205),
    [anon_sym_union] = ACTIONS(3205),
    [anon_sym_if] = ACTIONS(3205),
    [anon_sym_switch] = ACTIONS(3205),
    [anon_sym_case] = ACTIONS(3205),
    [anon_sym_default] = ACTIONS(3205),
    [anon_sym_while] = ACTIONS(3205),
    [anon_sym_do] = ACTIONS(3205),
    [anon_sym_for] = ACTIONS(3205),
    [anon_sym_return] = ACTIONS(3205),
    [anon_sym_break] = ACTIONS(3205),
    [anon_sym_continue] = ACTIONS(3205),
    [anon_sym_goto] = ACTIONS(3205),
    [anon_sym_not] = ACTIONS(3205),
    [anon_sym_compl] = ACTIONS(3205),
    [anon_sym_DASH_DASH] = ACTIONS(3207),
    [anon_sym_PLUS_PLUS] = ACTIONS(3207),
    [anon_sym_sizeof] = ACTIONS(3205),
    [anon_sym___alignof__] = ACTIONS(3205),
    [anon_sym___alignof] = ACTIONS(3205),
    [anon_sym__alignof] = ACTIONS(3205),
    [anon_sym_alignof] = ACTIONS(3205),
    [anon_sym__Alignof] = ACTIONS(3205),
    [anon_sym_offsetof] = ACTIONS(3205),
    [anon_sym__Generic] = ACTIONS(3205),
    [anon_sym_asm] = ACTIONS(3205),
    [anon_sym___asm__] = ACTIONS(3205),
    [sym_number_literal] = ACTIONS(3207),
    [anon_sym_L_SQUOTE] = ACTIONS(3207),
    [anon_sym_u_SQUOTE] = ACTIONS(3207),
    [anon_sym_U_SQUOTE] = ACTIONS(3207),
    [anon_sym_u8_SQUOTE] = ACTIONS(3207),
    [anon_sym_SQUOTE] = ACTIONS(3207),
    [anon_sym_L_DQUOTE] = ACTIONS(3207),
    [anon_sym_u_DQUOTE] = ACTIONS(3207),
    [anon_sym_U_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8_DQUOTE] = ACTIONS(3207),
    [anon_sym_DQUOTE] = ACTIONS(3207),
    [sym_true] = ACTIONS(3205),
    [sym_false] = ACTIONS(3205),
    [anon_sym_NULL] = ACTIONS(3205),
    [anon_sym_nullptr] = ACTIONS(3205),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3205),
    [anon_sym_decltype] = ACTIONS(3205),
    [anon_sym_virtual] = ACTIONS(3205),
    [anon_sym_alignas] = ACTIONS(3205),
    [anon_sym_explicit] = ACTIONS(3205),
    [anon_sym_typename] = ACTIONS(3205),
    [anon_sym_template] = ACTIONS(3205),
    [anon_sym_operator] = ACTIONS(3205),
    [anon_sym_try] = ACTIONS(3205),
    [anon_sym_delete] = ACTIONS(3205),
    [anon_sym_throw] = ACTIONS(3205),
    [anon_sym_namespace] = ACTIONS(3205),
    [anon_sym_using] = ACTIONS(3205),
    [anon_sym_static_assert] = ACTIONS(3205),
    [anon_sym_concept] = ACTIONS(3205),
    [anon_sym_co_return] = ACTIONS(3205),
    [anon_sym_co_yield] = ACTIONS(3205),
    [anon_sym_R_DQUOTE] = ACTIONS(3207),
    [anon_sym_LR_DQUOTE] = ACTIONS(3207),
    [anon_sym_uR_DQUOTE] = ACTIONS(3207),
    [anon_sym_UR_DQUOTE] = ACTIONS(3207),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3207),
    [anon_sym_co_await] = ACTIONS(3205),
    [anon_sym_new] = ACTIONS(3205),
    [anon_sym_requires] = ACTIONS(3205),
    [sym_this] = ACTIONS(3205),
  },
  [979] = {
    [ts_builtin_sym_end] = ACTIONS(3094),
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_include_token1] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_BANG] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_DASH] = ACTIONS(3092),
    [anon_sym_PLUS] = ACTIONS(3092),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym___cdecl] = ACTIONS(3092),
    [anon_sym___clrcall] = ACTIONS(3092),
    [anon_sym___stdcall] = ACTIONS(3092),
    [anon_sym___fastcall] = ACTIONS(3092),
    [anon_sym___thiscall] = ACTIONS(3092),
    [anon_sym___vectorcall] = ACTIONS(3092),
    [anon_sym_LBRACE] = ACTIONS(3094),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [anon_sym_if] = ACTIONS(3092),
    [anon_sym_switch] = ACTIONS(3092),
    [anon_sym_case] = ACTIONS(3092),
    [anon_sym_default] = ACTIONS(3092),
    [anon_sym_while] = ACTIONS(3092),
    [anon_sym_do] = ACTIONS(3092),
    [anon_sym_for] = ACTIONS(3092),
    [anon_sym_return] = ACTIONS(3092),
    [anon_sym_break] = ACTIONS(3092),
    [anon_sym_continue] = ACTIONS(3092),
    [anon_sym_goto] = ACTIONS(3092),
    [anon_sym_not] = ACTIONS(3092),
    [anon_sym_compl] = ACTIONS(3092),
    [anon_sym_DASH_DASH] = ACTIONS(3094),
    [anon_sym_PLUS_PLUS] = ACTIONS(3094),
    [anon_sym_sizeof] = ACTIONS(3092),
    [anon_sym___alignof__] = ACTIONS(3092),
    [anon_sym___alignof] = ACTIONS(3092),
    [anon_sym__alignof] = ACTIONS(3092),
    [anon_sym_alignof] = ACTIONS(3092),
    [anon_sym__Alignof] = ACTIONS(3092),
    [anon_sym_offsetof] = ACTIONS(3092),
    [anon_sym__Generic] = ACTIONS(3092),
    [anon_sym_asm] = ACTIONS(3092),
    [anon_sym___asm__] = ACTIONS(3092),
    [sym_number_literal] = ACTIONS(3094),
    [anon_sym_L_SQUOTE] = ACTIONS(3094),
    [anon_sym_u_SQUOTE] = ACTIONS(3094),
    [anon_sym_U_SQUOTE] = ACTIONS(3094),
    [anon_sym_u8_SQUOTE] = ACTIONS(3094),
    [anon_sym_SQUOTE] = ACTIONS(3094),
    [anon_sym_L_DQUOTE] = ACTIONS(3094),
    [anon_sym_u_DQUOTE] = ACTIONS(3094),
    [anon_sym_U_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8_DQUOTE] = ACTIONS(3094),
    [anon_sym_DQUOTE] = ACTIONS(3094),
    [sym_true] = ACTIONS(3092),
    [sym_false] = ACTIONS(3092),
    [anon_sym_NULL] = ACTIONS(3092),
    [anon_sym_nullptr] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_try] = ACTIONS(3092),
    [anon_sym_delete] = ACTIONS(3092),
    [anon_sym_throw] = ACTIONS(3092),
    [anon_sym_namespace] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
    [anon_sym_concept] = ACTIONS(3092),
    [anon_sym_co_return] = ACTIONS(3092),
    [anon_sym_co_yield] = ACTIONS(3092),
    [anon_sym_R_DQUOTE] = ACTIONS(3094),
    [anon_sym_LR_DQUOTE] = ACTIONS(3094),
    [anon_sym_uR_DQUOTE] = ACTIONS(3094),
    [anon_sym_UR_DQUOTE] = ACTIONS(3094),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3094),
    [anon_sym_co_await] = ACTIONS(3092),
    [anon_sym_new] = ACTIONS(3092),
    [anon_sym_requires] = ACTIONS(3092),
    [sym_this] = ACTIONS(3092),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(3282),
    [sym_identifier] = ACTIONS(3280),
    [aux_sym_preproc_include_token1] = ACTIONS(3280),
    [aux_sym_preproc_def_token1] = ACTIONS(3280),
    [aux_sym_preproc_if_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3280),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3280),
    [sym_preproc_directive] = ACTIONS(3280),
    [anon_sym_LPAREN2] = ACTIONS(3282),
    [anon_sym_BANG] = ACTIONS(3282),
    [anon_sym_TILDE] = ACTIONS(3282),
    [anon_sym_DASH] = ACTIONS(3280),
    [anon_sym_PLUS] = ACTIONS(3280),
    [anon_sym_STAR] = ACTIONS(3282),
    [anon_sym_AMP_AMP] = ACTIONS(3282),
    [anon_sym_AMP] = ACTIONS(3280),
    [anon_sym___extension__] = ACTIONS(3280),
    [anon_sym_typedef] = ACTIONS(3280),
    [anon_sym_extern] = ACTIONS(3280),
    [anon_sym___attribute__] = ACTIONS(3280),
    [anon_sym_COLON_COLON] = ACTIONS(3282),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3282),
    [anon_sym___declspec] = ACTIONS(3280),
    [anon_sym___based] = ACTIONS(3280),
    [anon_sym___cdecl] = ACTIONS(3280),
    [anon_sym___clrcall] = ACTIONS(3280),
    [anon_sym___stdcall] = ACTIONS(3280),
    [anon_sym___fastcall] = ACTIONS(3280),
    [anon_sym___thiscall] = ACTIONS(3280),
    [anon_sym___vectorcall] = ACTIONS(3280),
    [anon_sym_LBRACE] = ACTIONS(3282),
    [anon_sym_signed] = ACTIONS(3280),
    [anon_sym_unsigned] = ACTIONS(3280),
    [anon_sym_long] = ACTIONS(3280),
    [anon_sym_short] = ACTIONS(3280),
    [anon_sym_LBRACK] = ACTIONS(3280),
    [anon_sym_static] = ACTIONS(3280),
    [anon_sym_register] = ACTIONS(3280),
    [anon_sym_inline] = ACTIONS(3280),
    [anon_sym___inline] = ACTIONS(3280),
    [anon_sym___inline__] = ACTIONS(3280),
    [anon_sym___forceinline] = ACTIONS(3280),
    [anon_sym_thread_local] = ACTIONS(3280),
    [anon_sym___thread] = ACTIONS(3280),
    [anon_sym_const] = ACTIONS(3280),
    [anon_sym_constexpr] = ACTIONS(3280),
    [anon_sym_volatile] = ACTIONS(3280),
    [anon_sym_restrict] = ACTIONS(3280),
    [anon_sym___restrict__] = ACTIONS(3280),
    [anon_sym__Atomic] = ACTIONS(3280),
    [anon_sym__Noreturn] = ACTIONS(3280),
    [anon_sym_noreturn] = ACTIONS(3280),
    [anon_sym_mutable] = ACTIONS(3280),
    [anon_sym_constinit] = ACTIONS(3280),
    [anon_sym_consteval] = ACTIONS(3280),
    [sym_primitive_type] = ACTIONS(3280),
    [anon_sym_enum] = ACTIONS(3280),
    [anon_sym_class] = ACTIONS(3280),
    [anon_sym_struct] = ACTIONS(3280),
    [anon_sym_union] = ACTIONS(3280),
    [anon_sym_if] = ACTIONS(3280),
    [anon_sym_switch] = ACTIONS(3280),
    [anon_sym_case] = ACTIONS(3280),
    [anon_sym_default] = ACTIONS(3280),
    [anon_sym_while] = ACTIONS(3280),
    [anon_sym_do] = ACTIONS(3280),
    [anon_sym_for] = ACTIONS(3280),
    [anon_sym_return] = ACTIONS(3280),
    [anon_sym_break] = ACTIONS(3280),
    [anon_sym_continue] = ACTIONS(3280),
    [anon_sym_goto] = ACTIONS(3280),
    [anon_sym_not] = ACTIONS(3280),
    [anon_sym_compl] = ACTIONS(3280),
    [anon_sym_DASH_DASH] = ACTIONS(3282),
    [anon_sym_PLUS_PLUS] = ACTIONS(3282),
    [anon_sym_sizeof] = ACTIONS(3280),
    [anon_sym___alignof__] = ACTIONS(3280),
    [anon_sym___alignof] = ACTIONS(3280),
    [anon_sym__alignof] = ACTIONS(3280),
    [anon_sym_alignof] = ACTIONS(3280),
    [anon_sym__Alignof] = ACTIONS(3280),
    [anon_sym_offsetof] = ACTIONS(3280),
    [anon_sym__Generic] = ACTIONS(3280),
    [anon_sym_asm] = ACTIONS(3280),
    [anon_sym___asm__] = ACTIONS(3280),
    [sym_number_literal] = ACTIONS(3282),
    [anon_sym_L_SQUOTE] = ACTIONS(3282),
    [anon_sym_u_SQUOTE] = ACTIONS(3282),
    [anon_sym_U_SQUOTE] = ACTIONS(3282),
    [anon_sym_u8_SQUOTE] = ACTIONS(3282),
    [anon_sym_SQUOTE] = ACTIONS(3282),
    [anon_sym_L_DQUOTE] = ACTIONS(3282),
    [anon_sym_u_DQUOTE] = ACTIONS(3282),
    [anon_sym_U_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8_DQUOTE] = ACTIONS(3282),
    [anon_sym_DQUOTE] = ACTIONS(3282),
    [sym_true] = ACTIONS(3280),
    [sym_false] = ACTIONS(3280),
    [anon_sym_NULL] = ACTIONS(3280),
    [anon_sym_nullptr] = ACTIONS(3280),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3280),
    [anon_sym_decltype] = ACTIONS(3280),
    [anon_sym_virtual] = ACTIONS(3280),
    [anon_sym_alignas] = ACTIONS(3280),
    [anon_sym_explicit] = ACTIONS(3280),
    [anon_sym_typename] = ACTIONS(3280),
    [anon_sym_template] = ACTIONS(3280),
    [anon_sym_operator] = ACTIONS(3280),
    [anon_sym_try] = ACTIONS(3280),
    [anon_sym_delete] = ACTIONS(3280),
    [anon_sym_throw] = ACTIONS(3280),
    [anon_sym_namespace] = ACTIONS(3280),
    [anon_sym_using] = ACTIONS(3280),
    [anon_sym_static_assert] = ACTIONS(3280),
    [anon_sym_concept] = ACTIONS(3280),
    [anon_sym_co_return] = ACTIONS(3280),
    [anon_sym_co_yield] = ACTIONS(3280),
    [anon_sym_R_DQUOTE] = ACTIONS(3282),
    [anon_sym_LR_DQUOTE] = ACTIONS(3282),
    [anon_sym_uR_DQUOTE] = ACTIONS(3282),
    [anon_sym_UR_DQUOTE] = ACTIONS(3282),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3282),
    [anon_sym_co_await] = ACTIONS(3280),
    [anon_sym_new] = ACTIONS(3280),
    [anon_sym_requires] = ACTIONS(3280),
    [sym_this] = ACTIONS(3280),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(3118),
    [sym_identifier] = ACTIONS(3116),
    [aux_sym_preproc_include_token1] = ACTIONS(3116),
    [aux_sym_preproc_def_token1] = ACTIONS(3116),
    [aux_sym_preproc_if_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3116),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3116),
    [sym_preproc_directive] = ACTIONS(3116),
    [anon_sym_LPAREN2] = ACTIONS(3118),
    [anon_sym_BANG] = ACTIONS(3118),
    [anon_sym_TILDE] = ACTIONS(3118),
    [anon_sym_DASH] = ACTIONS(3116),
    [anon_sym_PLUS] = ACTIONS(3116),
    [anon_sym_STAR] = ACTIONS(3118),
    [anon_sym_AMP_AMP] = ACTIONS(3118),
    [anon_sym_AMP] = ACTIONS(3116),
    [anon_sym___extension__] = ACTIONS(3116),
    [anon_sym_typedef] = ACTIONS(3116),
    [anon_sym_extern] = ACTIONS(3116),
    [anon_sym___attribute__] = ACTIONS(3116),
    [anon_sym_COLON_COLON] = ACTIONS(3118),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3118),
    [anon_sym___declspec] = ACTIONS(3116),
    [anon_sym___based] = ACTIONS(3116),
    [anon_sym___cdecl] = ACTIONS(3116),
    [anon_sym___clrcall] = ACTIONS(3116),
    [anon_sym___stdcall] = ACTIONS(3116),
    [anon_sym___fastcall] = ACTIONS(3116),
    [anon_sym___thiscall] = ACTIONS(3116),
    [anon_sym___vectorcall] = ACTIONS(3116),
    [anon_sym_LBRACE] = ACTIONS(3118),
    [anon_sym_signed] = ACTIONS(3116),
    [anon_sym_unsigned] = ACTIONS(3116),
    [anon_sym_long] = ACTIONS(3116),
    [anon_sym_short] = ACTIONS(3116),
    [anon_sym_LBRACK] = ACTIONS(3116),
    [anon_sym_static] = ACTIONS(3116),
    [anon_sym_register] = ACTIONS(3116),
    [anon_sym_inline] = ACTIONS(3116),
    [anon_sym___inline] = ACTIONS(3116),
    [anon_sym___inline__] = ACTIONS(3116),
    [anon_sym___forceinline] = ACTIONS(3116),
    [anon_sym_thread_local] = ACTIONS(3116),
    [anon_sym___thread] = ACTIONS(3116),
    [anon_sym_const] = ACTIONS(3116),
    [anon_sym_constexpr] = ACTIONS(3116),
    [anon_sym_volatile] = ACTIONS(3116),
    [anon_sym_restrict] = ACTIONS(3116),
    [anon_sym___restrict__] = ACTIONS(3116),
    [anon_sym__Atomic] = ACTIONS(3116),
    [anon_sym__Noreturn] = ACTIONS(3116),
    [anon_sym_noreturn] = ACTIONS(3116),
    [anon_sym_mutable] = ACTIONS(3116),
    [anon_sym_constinit] = ACTIONS(3116),
    [anon_sym_consteval] = ACTIONS(3116),
    [sym_primitive_type] = ACTIONS(3116),
    [anon_sym_enum] = ACTIONS(3116),
    [anon_sym_class] = ACTIONS(3116),
    [anon_sym_struct] = ACTIONS(3116),
    [anon_sym_union] = ACTIONS(3116),
    [anon_sym_if] = ACTIONS(3116),
    [anon_sym_switch] = ACTIONS(3116),
    [anon_sym_case] = ACTIONS(3116),
    [anon_sym_default] = ACTIONS(3116),
    [anon_sym_while] = ACTIONS(3116),
    [anon_sym_do] = ACTIONS(3116),
    [anon_sym_for] = ACTIONS(3116),
    [anon_sym_return] = ACTIONS(3116),
    [anon_sym_break] = ACTIONS(3116),
    [anon_sym_continue] = ACTIONS(3116),
    [anon_sym_goto] = ACTIONS(3116),
    [anon_sym_not] = ACTIONS(3116),
    [anon_sym_compl] = ACTIONS(3116),
    [anon_sym_DASH_DASH] = ACTIONS(3118),
    [anon_sym_PLUS_PLUS] = ACTIONS(3118),
    [anon_sym_sizeof] = ACTIONS(3116),
    [anon_sym___alignof__] = ACTIONS(3116),
    [anon_sym___alignof] = ACTIONS(3116),
    [anon_sym__alignof] = ACTIONS(3116),
    [anon_sym_alignof] = ACTIONS(3116),
    [anon_sym__Alignof] = ACTIONS(3116),
    [anon_sym_offsetof] = ACTIONS(3116),
    [anon_sym__Generic] = ACTIONS(3116),
    [anon_sym_asm] = ACTIONS(3116),
    [anon_sym___asm__] = ACTIONS(3116),
    [sym_number_literal] = ACTIONS(3118),
    [anon_sym_L_SQUOTE] = ACTIONS(3118),
    [anon_sym_u_SQUOTE] = ACTIONS(3118),
    [anon_sym_U_SQUOTE] = ACTIONS(3118),
    [anon_sym_u8_SQUOTE] = ACTIONS(3118),
    [anon_sym_SQUOTE] = ACTIONS(3118),
    [anon_sym_L_DQUOTE] = ACTIONS(3118),
    [anon_sym_u_DQUOTE] = ACTIONS(3118),
    [anon_sym_U_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8_DQUOTE] = ACTIONS(3118),
    [anon_sym_DQUOTE] = ACTIONS(3118),
    [sym_true] = ACTIONS(3116),
    [sym_false] = ACTIONS(3116),
    [anon_sym_NULL] = ACTIONS(3116),
    [anon_sym_nullptr] = ACTIONS(3116),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3116),
    [anon_sym_decltype] = ACTIONS(3116),
    [anon_sym_virtual] = ACTIONS(3116),
    [anon_sym_alignas] = ACTIONS(3116),
    [anon_sym_explicit] = ACTIONS(3116),
    [anon_sym_typename] = ACTIONS(3116),
    [anon_sym_template] = ACTIONS(3116),
    [anon_sym_operator] = ACTIONS(3116),
    [anon_sym_try] = ACTIONS(3116),
    [anon_sym_delete] = ACTIONS(3116),
    [anon_sym_throw] = ACTIONS(3116),
    [anon_sym_namespace] = ACTIONS(3116),
    [anon_sym_using] = ACTIONS(3116),
    [anon_sym_static_assert] = ACTIONS(3116),
    [anon_sym_concept] = ACTIONS(3116),
    [anon_sym_co_return] = ACTIONS(3116),
    [anon_sym_co_yield] = ACTIONS(3116),
    [anon_sym_R_DQUOTE] = ACTIONS(3118),
    [anon_sym_LR_DQUOTE] = ACTIONS(3118),
    [anon_sym_uR_DQUOTE] = ACTIONS(3118),
    [anon_sym_UR_DQUOTE] = ACTIONS(3118),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3118),
    [anon_sym_co_await] = ACTIONS(3116),
    [anon_sym_new] = ACTIONS(3116),
    [anon_sym_requires] = ACTIONS(3116),
    [sym_this] = ACTIONS(3116),
  },
  [982] = {
    [sym_preproc_def] = STATE(983),
    [sym_preproc_function_def] = STATE(983),
    [sym_preproc_call] = STATE(983),
    [sym_preproc_if_in_field_declaration_list] = STATE(983),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(983),
    [sym_type_definition] = STATE(983),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(983),
    [sym_field_declaration] = STATE(983),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(983),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(983),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(983),
    [sym_operator_cast_declaration] = STATE(983),
    [sym_constructor_or_destructor_definition] = STATE(983),
    [sym_constructor_or_destructor_declaration] = STATE(983),
    [sym_friend_declaration] = STATE(983),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(983),
    [sym_alias_declaration] = STATE(983),
    [sym_static_assert_declaration] = STATE(983),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(983),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3728),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [983] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3730),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(3098),
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_include_token1] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_BANG] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_DASH] = ACTIONS(3096),
    [anon_sym_PLUS] = ACTIONS(3096),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym___cdecl] = ACTIONS(3096),
    [anon_sym___clrcall] = ACTIONS(3096),
    [anon_sym___stdcall] = ACTIONS(3096),
    [anon_sym___fastcall] = ACTIONS(3096),
    [anon_sym___thiscall] = ACTIONS(3096),
    [anon_sym___vectorcall] = ACTIONS(3096),
    [anon_sym_LBRACE] = ACTIONS(3098),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [anon_sym_if] = ACTIONS(3096),
    [anon_sym_switch] = ACTIONS(3096),
    [anon_sym_case] = ACTIONS(3096),
    [anon_sym_default] = ACTIONS(3096),
    [anon_sym_while] = ACTIONS(3096),
    [anon_sym_do] = ACTIONS(3096),
    [anon_sym_for] = ACTIONS(3096),
    [anon_sym_return] = ACTIONS(3096),
    [anon_sym_break] = ACTIONS(3096),
    [anon_sym_continue] = ACTIONS(3096),
    [anon_sym_goto] = ACTIONS(3096),
    [anon_sym_not] = ACTIONS(3096),
    [anon_sym_compl] = ACTIONS(3096),
    [anon_sym_DASH_DASH] = ACTIONS(3098),
    [anon_sym_PLUS_PLUS] = ACTIONS(3098),
    [anon_sym_sizeof] = ACTIONS(3096),
    [anon_sym___alignof__] = ACTIONS(3096),
    [anon_sym___alignof] = ACTIONS(3096),
    [anon_sym__alignof] = ACTIONS(3096),
    [anon_sym_alignof] = ACTIONS(3096),
    [anon_sym__Alignof] = ACTIONS(3096),
    [anon_sym_offsetof] = ACTIONS(3096),
    [anon_sym__Generic] = ACTIONS(3096),
    [anon_sym_asm] = ACTIONS(3096),
    [anon_sym___asm__] = ACTIONS(3096),
    [sym_number_literal] = ACTIONS(3098),
    [anon_sym_L_SQUOTE] = ACTIONS(3098),
    [anon_sym_u_SQUOTE] = ACTIONS(3098),
    [anon_sym_U_SQUOTE] = ACTIONS(3098),
    [anon_sym_u8_SQUOTE] = ACTIONS(3098),
    [anon_sym_SQUOTE] = ACTIONS(3098),
    [anon_sym_L_DQUOTE] = ACTIONS(3098),
    [anon_sym_u_DQUOTE] = ACTIONS(3098),
    [anon_sym_U_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8_DQUOTE] = ACTIONS(3098),
    [anon_sym_DQUOTE] = ACTIONS(3098),
    [sym_true] = ACTIONS(3096),
    [sym_false] = ACTIONS(3096),
    [anon_sym_NULL] = ACTIONS(3096),
    [anon_sym_nullptr] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_try] = ACTIONS(3096),
    [anon_sym_delete] = ACTIONS(3096),
    [anon_sym_throw] = ACTIONS(3096),
    [anon_sym_namespace] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
    [anon_sym_concept] = ACTIONS(3096),
    [anon_sym_co_return] = ACTIONS(3096),
    [anon_sym_co_yield] = ACTIONS(3096),
    [anon_sym_R_DQUOTE] = ACTIONS(3098),
    [anon_sym_LR_DQUOTE] = ACTIONS(3098),
    [anon_sym_uR_DQUOTE] = ACTIONS(3098),
    [anon_sym_UR_DQUOTE] = ACTIONS(3098),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3098),
    [anon_sym_co_await] = ACTIONS(3096),
    [anon_sym_new] = ACTIONS(3096),
    [anon_sym_requires] = ACTIONS(3096),
    [sym_this] = ACTIONS(3096),
  },
  [985] = {
    [ts_builtin_sym_end] = ACTIONS(3114),
    [sym_identifier] = ACTIONS(3112),
    [aux_sym_preproc_include_token1] = ACTIONS(3112),
    [aux_sym_preproc_def_token1] = ACTIONS(3112),
    [aux_sym_preproc_if_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3112),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3112),
    [sym_preproc_directive] = ACTIONS(3112),
    [anon_sym_LPAREN2] = ACTIONS(3114),
    [anon_sym_BANG] = ACTIONS(3114),
    [anon_sym_TILDE] = ACTIONS(3114),
    [anon_sym_DASH] = ACTIONS(3112),
    [anon_sym_PLUS] = ACTIONS(3112),
    [anon_sym_STAR] = ACTIONS(3114),
    [anon_sym_AMP_AMP] = ACTIONS(3114),
    [anon_sym_AMP] = ACTIONS(3112),
    [anon_sym___extension__] = ACTIONS(3112),
    [anon_sym_typedef] = ACTIONS(3112),
    [anon_sym_extern] = ACTIONS(3112),
    [anon_sym___attribute__] = ACTIONS(3112),
    [anon_sym_COLON_COLON] = ACTIONS(3114),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3114),
    [anon_sym___declspec] = ACTIONS(3112),
    [anon_sym___based] = ACTIONS(3112),
    [anon_sym___cdecl] = ACTIONS(3112),
    [anon_sym___clrcall] = ACTIONS(3112),
    [anon_sym___stdcall] = ACTIONS(3112),
    [anon_sym___fastcall] = ACTIONS(3112),
    [anon_sym___thiscall] = ACTIONS(3112),
    [anon_sym___vectorcall] = ACTIONS(3112),
    [anon_sym_LBRACE] = ACTIONS(3114),
    [anon_sym_signed] = ACTIONS(3112),
    [anon_sym_unsigned] = ACTIONS(3112),
    [anon_sym_long] = ACTIONS(3112),
    [anon_sym_short] = ACTIONS(3112),
    [anon_sym_LBRACK] = ACTIONS(3112),
    [anon_sym_static] = ACTIONS(3112),
    [anon_sym_register] = ACTIONS(3112),
    [anon_sym_inline] = ACTIONS(3112),
    [anon_sym___inline] = ACTIONS(3112),
    [anon_sym___inline__] = ACTIONS(3112),
    [anon_sym___forceinline] = ACTIONS(3112),
    [anon_sym_thread_local] = ACTIONS(3112),
    [anon_sym___thread] = ACTIONS(3112),
    [anon_sym_const] = ACTIONS(3112),
    [anon_sym_constexpr] = ACTIONS(3112),
    [anon_sym_volatile] = ACTIONS(3112),
    [anon_sym_restrict] = ACTIONS(3112),
    [anon_sym___restrict__] = ACTIONS(3112),
    [anon_sym__Atomic] = ACTIONS(3112),
    [anon_sym__Noreturn] = ACTIONS(3112),
    [anon_sym_noreturn] = ACTIONS(3112),
    [anon_sym_mutable] = ACTIONS(3112),
    [anon_sym_constinit] = ACTIONS(3112),
    [anon_sym_consteval] = ACTIONS(3112),
    [sym_primitive_type] = ACTIONS(3112),
    [anon_sym_enum] = ACTIONS(3112),
    [anon_sym_class] = ACTIONS(3112),
    [anon_sym_struct] = ACTIONS(3112),
    [anon_sym_union] = ACTIONS(3112),
    [anon_sym_if] = ACTIONS(3112),
    [anon_sym_switch] = ACTIONS(3112),
    [anon_sym_case] = ACTIONS(3112),
    [anon_sym_default] = ACTIONS(3112),
    [anon_sym_while] = ACTIONS(3112),
    [anon_sym_do] = ACTIONS(3112),
    [anon_sym_for] = ACTIONS(3112),
    [anon_sym_return] = ACTIONS(3112),
    [anon_sym_break] = ACTIONS(3112),
    [anon_sym_continue] = ACTIONS(3112),
    [anon_sym_goto] = ACTIONS(3112),
    [anon_sym_not] = ACTIONS(3112),
    [anon_sym_compl] = ACTIONS(3112),
    [anon_sym_DASH_DASH] = ACTIONS(3114),
    [anon_sym_PLUS_PLUS] = ACTIONS(3114),
    [anon_sym_sizeof] = ACTIONS(3112),
    [anon_sym___alignof__] = ACTIONS(3112),
    [anon_sym___alignof] = ACTIONS(3112),
    [anon_sym__alignof] = ACTIONS(3112),
    [anon_sym_alignof] = ACTIONS(3112),
    [anon_sym__Alignof] = ACTIONS(3112),
    [anon_sym_offsetof] = ACTIONS(3112),
    [anon_sym__Generic] = ACTIONS(3112),
    [anon_sym_asm] = ACTIONS(3112),
    [anon_sym___asm__] = ACTIONS(3112),
    [sym_number_literal] = ACTIONS(3114),
    [anon_sym_L_SQUOTE] = ACTIONS(3114),
    [anon_sym_u_SQUOTE] = ACTIONS(3114),
    [anon_sym_U_SQUOTE] = ACTIONS(3114),
    [anon_sym_u8_SQUOTE] = ACTIONS(3114),
    [anon_sym_SQUOTE] = ACTIONS(3114),
    [anon_sym_L_DQUOTE] = ACTIONS(3114),
    [anon_sym_u_DQUOTE] = ACTIONS(3114),
    [anon_sym_U_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8_DQUOTE] = ACTIONS(3114),
    [anon_sym_DQUOTE] = ACTIONS(3114),
    [sym_true] = ACTIONS(3112),
    [sym_false] = ACTIONS(3112),
    [anon_sym_NULL] = ACTIONS(3112),
    [anon_sym_nullptr] = ACTIONS(3112),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3112),
    [anon_sym_decltype] = ACTIONS(3112),
    [anon_sym_virtual] = ACTIONS(3112),
    [anon_sym_alignas] = ACTIONS(3112),
    [anon_sym_explicit] = ACTIONS(3112),
    [anon_sym_typename] = ACTIONS(3112),
    [anon_sym_template] = ACTIONS(3112),
    [anon_sym_operator] = ACTIONS(3112),
    [anon_sym_try] = ACTIONS(3112),
    [anon_sym_delete] = ACTIONS(3112),
    [anon_sym_throw] = ACTIONS(3112),
    [anon_sym_namespace] = ACTIONS(3112),
    [anon_sym_using] = ACTIONS(3112),
    [anon_sym_static_assert] = ACTIONS(3112),
    [anon_sym_concept] = ACTIONS(3112),
    [anon_sym_co_return] = ACTIONS(3112),
    [anon_sym_co_yield] = ACTIONS(3112),
    [anon_sym_R_DQUOTE] = ACTIONS(3114),
    [anon_sym_LR_DQUOTE] = ACTIONS(3114),
    [anon_sym_uR_DQUOTE] = ACTIONS(3114),
    [anon_sym_UR_DQUOTE] = ACTIONS(3114),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3114),
    [anon_sym_co_await] = ACTIONS(3112),
    [anon_sym_new] = ACTIONS(3112),
    [anon_sym_requires] = ACTIONS(3112),
    [sym_this] = ACTIONS(3112),
  },
  [986] = {
    [sym__expression] = STATE(4725),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_initializer_list] = STATE(4818),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(2138),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [aux_sym_preproc_if_token2] = ACTIONS(2140),
    [aux_sym_preproc_else_token1] = ACTIONS(2140),
    [aux_sym_preproc_elif_token1] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(3732),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACE] = ACTIONS(3738),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(3122),
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_include_token1] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_BANG] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_DASH] = ACTIONS(3120),
    [anon_sym_PLUS] = ACTIONS(3120),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym___cdecl] = ACTIONS(3120),
    [anon_sym___clrcall] = ACTIONS(3120),
    [anon_sym___stdcall] = ACTIONS(3120),
    [anon_sym___fastcall] = ACTIONS(3120),
    [anon_sym___thiscall] = ACTIONS(3120),
    [anon_sym___vectorcall] = ACTIONS(3120),
    [anon_sym_LBRACE] = ACTIONS(3122),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [anon_sym_if] = ACTIONS(3120),
    [anon_sym_switch] = ACTIONS(3120),
    [anon_sym_case] = ACTIONS(3120),
    [anon_sym_default] = ACTIONS(3120),
    [anon_sym_while] = ACTIONS(3120),
    [anon_sym_do] = ACTIONS(3120),
    [anon_sym_for] = ACTIONS(3120),
    [anon_sym_return] = ACTIONS(3120),
    [anon_sym_break] = ACTIONS(3120),
    [anon_sym_continue] = ACTIONS(3120),
    [anon_sym_goto] = ACTIONS(3120),
    [anon_sym_not] = ACTIONS(3120),
    [anon_sym_compl] = ACTIONS(3120),
    [anon_sym_DASH_DASH] = ACTIONS(3122),
    [anon_sym_PLUS_PLUS] = ACTIONS(3122),
    [anon_sym_sizeof] = ACTIONS(3120),
    [anon_sym___alignof__] = ACTIONS(3120),
    [anon_sym___alignof] = ACTIONS(3120),
    [anon_sym__alignof] = ACTIONS(3120),
    [anon_sym_alignof] = ACTIONS(3120),
    [anon_sym__Alignof] = ACTIONS(3120),
    [anon_sym_offsetof] = ACTIONS(3120),
    [anon_sym__Generic] = ACTIONS(3120),
    [anon_sym_asm] = ACTIONS(3120),
    [anon_sym___asm__] = ACTIONS(3120),
    [sym_number_literal] = ACTIONS(3122),
    [anon_sym_L_SQUOTE] = ACTIONS(3122),
    [anon_sym_u_SQUOTE] = ACTIONS(3122),
    [anon_sym_U_SQUOTE] = ACTIONS(3122),
    [anon_sym_u8_SQUOTE] = ACTIONS(3122),
    [anon_sym_SQUOTE] = ACTIONS(3122),
    [anon_sym_L_DQUOTE] = ACTIONS(3122),
    [anon_sym_u_DQUOTE] = ACTIONS(3122),
    [anon_sym_U_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8_DQUOTE] = ACTIONS(3122),
    [anon_sym_DQUOTE] = ACTIONS(3122),
    [sym_true] = ACTIONS(3120),
    [sym_false] = ACTIONS(3120),
    [anon_sym_NULL] = ACTIONS(3120),
    [anon_sym_nullptr] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_try] = ACTIONS(3120),
    [anon_sym_delete] = ACTIONS(3120),
    [anon_sym_throw] = ACTIONS(3120),
    [anon_sym_namespace] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
    [anon_sym_concept] = ACTIONS(3120),
    [anon_sym_co_return] = ACTIONS(3120),
    [anon_sym_co_yield] = ACTIONS(3120),
    [anon_sym_R_DQUOTE] = ACTIONS(3122),
    [anon_sym_LR_DQUOTE] = ACTIONS(3122),
    [anon_sym_uR_DQUOTE] = ACTIONS(3122),
    [anon_sym_UR_DQUOTE] = ACTIONS(3122),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3122),
    [anon_sym_co_await] = ACTIONS(3120),
    [anon_sym_new] = ACTIONS(3120),
    [anon_sym_requires] = ACTIONS(3120),
    [sym_this] = ACTIONS(3120),
  },
  [988] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_RPAREN] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(25),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(3126),
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_include_token1] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_BANG] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_DASH] = ACTIONS(3124),
    [anon_sym_PLUS] = ACTIONS(3124),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym___cdecl] = ACTIONS(3124),
    [anon_sym___clrcall] = ACTIONS(3124),
    [anon_sym___stdcall] = ACTIONS(3124),
    [anon_sym___fastcall] = ACTIONS(3124),
    [anon_sym___thiscall] = ACTIONS(3124),
    [anon_sym___vectorcall] = ACTIONS(3124),
    [anon_sym_LBRACE] = ACTIONS(3126),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [anon_sym_if] = ACTIONS(3124),
    [anon_sym_switch] = ACTIONS(3124),
    [anon_sym_case] = ACTIONS(3124),
    [anon_sym_default] = ACTIONS(3124),
    [anon_sym_while] = ACTIONS(3124),
    [anon_sym_do] = ACTIONS(3124),
    [anon_sym_for] = ACTIONS(3124),
    [anon_sym_return] = ACTIONS(3124),
    [anon_sym_break] = ACTIONS(3124),
    [anon_sym_continue] = ACTIONS(3124),
    [anon_sym_goto] = ACTIONS(3124),
    [anon_sym_not] = ACTIONS(3124),
    [anon_sym_compl] = ACTIONS(3124),
    [anon_sym_DASH_DASH] = ACTIONS(3126),
    [anon_sym_PLUS_PLUS] = ACTIONS(3126),
    [anon_sym_sizeof] = ACTIONS(3124),
    [anon_sym___alignof__] = ACTIONS(3124),
    [anon_sym___alignof] = ACTIONS(3124),
    [anon_sym__alignof] = ACTIONS(3124),
    [anon_sym_alignof] = ACTIONS(3124),
    [anon_sym__Alignof] = ACTIONS(3124),
    [anon_sym_offsetof] = ACTIONS(3124),
    [anon_sym__Generic] = ACTIONS(3124),
    [anon_sym_asm] = ACTIONS(3124),
    [anon_sym___asm__] = ACTIONS(3124),
    [sym_number_literal] = ACTIONS(3126),
    [anon_sym_L_SQUOTE] = ACTIONS(3126),
    [anon_sym_u_SQUOTE] = ACTIONS(3126),
    [anon_sym_U_SQUOTE] = ACTIONS(3126),
    [anon_sym_u8_SQUOTE] = ACTIONS(3126),
    [anon_sym_SQUOTE] = ACTIONS(3126),
    [anon_sym_L_DQUOTE] = ACTIONS(3126),
    [anon_sym_u_DQUOTE] = ACTIONS(3126),
    [anon_sym_U_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8_DQUOTE] = ACTIONS(3126),
    [anon_sym_DQUOTE] = ACTIONS(3126),
    [sym_true] = ACTIONS(3124),
    [sym_false] = ACTIONS(3124),
    [anon_sym_NULL] = ACTIONS(3124),
    [anon_sym_nullptr] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_try] = ACTIONS(3124),
    [anon_sym_delete] = ACTIONS(3124),
    [anon_sym_throw] = ACTIONS(3124),
    [anon_sym_namespace] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
    [anon_sym_concept] = ACTIONS(3124),
    [anon_sym_co_return] = ACTIONS(3124),
    [anon_sym_co_yield] = ACTIONS(3124),
    [anon_sym_R_DQUOTE] = ACTIONS(3126),
    [anon_sym_LR_DQUOTE] = ACTIONS(3126),
    [anon_sym_uR_DQUOTE] = ACTIONS(3126),
    [anon_sym_UR_DQUOTE] = ACTIONS(3126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3126),
    [anon_sym_co_await] = ACTIONS(3124),
    [anon_sym_new] = ACTIONS(3124),
    [anon_sym_requires] = ACTIONS(3124),
    [sym_this] = ACTIONS(3124),
  },
  [990] = {
    [sym_preproc_def] = STATE(956),
    [sym_preproc_function_def] = STATE(956),
    [sym_preproc_call] = STATE(956),
    [sym_preproc_if_in_field_declaration_list] = STATE(956),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(956),
    [sym_type_definition] = STATE(956),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(956),
    [sym_field_declaration] = STATE(956),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(956),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(956),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(956),
    [sym_operator_cast_declaration] = STATE(956),
    [sym_constructor_or_destructor_definition] = STATE(956),
    [sym_constructor_or_destructor_declaration] = STATE(956),
    [sym_friend_declaration] = STATE(956),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(956),
    [sym_alias_declaration] = STATE(956),
    [sym_static_assert_declaration] = STATE(956),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(956),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3772),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [991] = {
    [ts_builtin_sym_end] = ACTIONS(3078),
    [sym_identifier] = ACTIONS(3076),
    [aux_sym_preproc_include_token1] = ACTIONS(3076),
    [aux_sym_preproc_def_token1] = ACTIONS(3076),
    [aux_sym_preproc_if_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3076),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3076),
    [sym_preproc_directive] = ACTIONS(3076),
    [anon_sym_LPAREN2] = ACTIONS(3078),
    [anon_sym_BANG] = ACTIONS(3078),
    [anon_sym_TILDE] = ACTIONS(3078),
    [anon_sym_DASH] = ACTIONS(3076),
    [anon_sym_PLUS] = ACTIONS(3076),
    [anon_sym_STAR] = ACTIONS(3078),
    [anon_sym_AMP_AMP] = ACTIONS(3078),
    [anon_sym_AMP] = ACTIONS(3076),
    [anon_sym___extension__] = ACTIONS(3076),
    [anon_sym_typedef] = ACTIONS(3076),
    [anon_sym_extern] = ACTIONS(3076),
    [anon_sym___attribute__] = ACTIONS(3076),
    [anon_sym_COLON_COLON] = ACTIONS(3078),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3078),
    [anon_sym___declspec] = ACTIONS(3076),
    [anon_sym___based] = ACTIONS(3076),
    [anon_sym___cdecl] = ACTIONS(3076),
    [anon_sym___clrcall] = ACTIONS(3076),
    [anon_sym___stdcall] = ACTIONS(3076),
    [anon_sym___fastcall] = ACTIONS(3076),
    [anon_sym___thiscall] = ACTIONS(3076),
    [anon_sym___vectorcall] = ACTIONS(3076),
    [anon_sym_LBRACE] = ACTIONS(3078),
    [anon_sym_signed] = ACTIONS(3076),
    [anon_sym_unsigned] = ACTIONS(3076),
    [anon_sym_long] = ACTIONS(3076),
    [anon_sym_short] = ACTIONS(3076),
    [anon_sym_LBRACK] = ACTIONS(3076),
    [anon_sym_static] = ACTIONS(3076),
    [anon_sym_register] = ACTIONS(3076),
    [anon_sym_inline] = ACTIONS(3076),
    [anon_sym___inline] = ACTIONS(3076),
    [anon_sym___inline__] = ACTIONS(3076),
    [anon_sym___forceinline] = ACTIONS(3076),
    [anon_sym_thread_local] = ACTIONS(3076),
    [anon_sym___thread] = ACTIONS(3076),
    [anon_sym_const] = ACTIONS(3076),
    [anon_sym_constexpr] = ACTIONS(3076),
    [anon_sym_volatile] = ACTIONS(3076),
    [anon_sym_restrict] = ACTIONS(3076),
    [anon_sym___restrict__] = ACTIONS(3076),
    [anon_sym__Atomic] = ACTIONS(3076),
    [anon_sym__Noreturn] = ACTIONS(3076),
    [anon_sym_noreturn] = ACTIONS(3076),
    [anon_sym_mutable] = ACTIONS(3076),
    [anon_sym_constinit] = ACTIONS(3076),
    [anon_sym_consteval] = ACTIONS(3076),
    [sym_primitive_type] = ACTIONS(3076),
    [anon_sym_enum] = ACTIONS(3076),
    [anon_sym_class] = ACTIONS(3076),
    [anon_sym_struct] = ACTIONS(3076),
    [anon_sym_union] = ACTIONS(3076),
    [anon_sym_if] = ACTIONS(3076),
    [anon_sym_switch] = ACTIONS(3076),
    [anon_sym_case] = ACTIONS(3076),
    [anon_sym_default] = ACTIONS(3076),
    [anon_sym_while] = ACTIONS(3076),
    [anon_sym_do] = ACTIONS(3076),
    [anon_sym_for] = ACTIONS(3076),
    [anon_sym_return] = ACTIONS(3076),
    [anon_sym_break] = ACTIONS(3076),
    [anon_sym_continue] = ACTIONS(3076),
    [anon_sym_goto] = ACTIONS(3076),
    [anon_sym_not] = ACTIONS(3076),
    [anon_sym_compl] = ACTIONS(3076),
    [anon_sym_DASH_DASH] = ACTIONS(3078),
    [anon_sym_PLUS_PLUS] = ACTIONS(3078),
    [anon_sym_sizeof] = ACTIONS(3076),
    [anon_sym___alignof__] = ACTIONS(3076),
    [anon_sym___alignof] = ACTIONS(3076),
    [anon_sym__alignof] = ACTIONS(3076),
    [anon_sym_alignof] = ACTIONS(3076),
    [anon_sym__Alignof] = ACTIONS(3076),
    [anon_sym_offsetof] = ACTIONS(3076),
    [anon_sym__Generic] = ACTIONS(3076),
    [anon_sym_asm] = ACTIONS(3076),
    [anon_sym___asm__] = ACTIONS(3076),
    [sym_number_literal] = ACTIONS(3078),
    [anon_sym_L_SQUOTE] = ACTIONS(3078),
    [anon_sym_u_SQUOTE] = ACTIONS(3078),
    [anon_sym_U_SQUOTE] = ACTIONS(3078),
    [anon_sym_u8_SQUOTE] = ACTIONS(3078),
    [anon_sym_SQUOTE] = ACTIONS(3078),
    [anon_sym_L_DQUOTE] = ACTIONS(3078),
    [anon_sym_u_DQUOTE] = ACTIONS(3078),
    [anon_sym_U_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8_DQUOTE] = ACTIONS(3078),
    [anon_sym_DQUOTE] = ACTIONS(3078),
    [sym_true] = ACTIONS(3076),
    [sym_false] = ACTIONS(3076),
    [anon_sym_NULL] = ACTIONS(3076),
    [anon_sym_nullptr] = ACTIONS(3076),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3076),
    [anon_sym_decltype] = ACTIONS(3076),
    [anon_sym_virtual] = ACTIONS(3076),
    [anon_sym_alignas] = ACTIONS(3076),
    [anon_sym_explicit] = ACTIONS(3076),
    [anon_sym_typename] = ACTIONS(3076),
    [anon_sym_template] = ACTIONS(3076),
    [anon_sym_operator] = ACTIONS(3076),
    [anon_sym_try] = ACTIONS(3076),
    [anon_sym_delete] = ACTIONS(3076),
    [anon_sym_throw] = ACTIONS(3076),
    [anon_sym_namespace] = ACTIONS(3076),
    [anon_sym_using] = ACTIONS(3076),
    [anon_sym_static_assert] = ACTIONS(3076),
    [anon_sym_concept] = ACTIONS(3076),
    [anon_sym_co_return] = ACTIONS(3076),
    [anon_sym_co_yield] = ACTIONS(3076),
    [anon_sym_R_DQUOTE] = ACTIONS(3078),
    [anon_sym_LR_DQUOTE] = ACTIONS(3078),
    [anon_sym_uR_DQUOTE] = ACTIONS(3078),
    [anon_sym_UR_DQUOTE] = ACTIONS(3078),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3078),
    [anon_sym_co_await] = ACTIONS(3076),
    [anon_sym_new] = ACTIONS(3076),
    [anon_sym_requires] = ACTIONS(3076),
    [sym_this] = ACTIONS(3076),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(3251),
    [sym_identifier] = ACTIONS(3249),
    [aux_sym_preproc_include_token1] = ACTIONS(3249),
    [aux_sym_preproc_def_token1] = ACTIONS(3249),
    [aux_sym_preproc_if_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3249),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3249),
    [sym_preproc_directive] = ACTIONS(3249),
    [anon_sym_LPAREN2] = ACTIONS(3251),
    [anon_sym_BANG] = ACTIONS(3251),
    [anon_sym_TILDE] = ACTIONS(3251),
    [anon_sym_DASH] = ACTIONS(3249),
    [anon_sym_PLUS] = ACTIONS(3249),
    [anon_sym_STAR] = ACTIONS(3251),
    [anon_sym_AMP_AMP] = ACTIONS(3251),
    [anon_sym_AMP] = ACTIONS(3249),
    [anon_sym___extension__] = ACTIONS(3249),
    [anon_sym_typedef] = ACTIONS(3249),
    [anon_sym_extern] = ACTIONS(3249),
    [anon_sym___attribute__] = ACTIONS(3249),
    [anon_sym_COLON_COLON] = ACTIONS(3251),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3251),
    [anon_sym___declspec] = ACTIONS(3249),
    [anon_sym___based] = ACTIONS(3249),
    [anon_sym___cdecl] = ACTIONS(3249),
    [anon_sym___clrcall] = ACTIONS(3249),
    [anon_sym___stdcall] = ACTIONS(3249),
    [anon_sym___fastcall] = ACTIONS(3249),
    [anon_sym___thiscall] = ACTIONS(3249),
    [anon_sym___vectorcall] = ACTIONS(3249),
    [anon_sym_LBRACE] = ACTIONS(3251),
    [anon_sym_signed] = ACTIONS(3249),
    [anon_sym_unsigned] = ACTIONS(3249),
    [anon_sym_long] = ACTIONS(3249),
    [anon_sym_short] = ACTIONS(3249),
    [anon_sym_LBRACK] = ACTIONS(3249),
    [anon_sym_static] = ACTIONS(3249),
    [anon_sym_register] = ACTIONS(3249),
    [anon_sym_inline] = ACTIONS(3249),
    [anon_sym___inline] = ACTIONS(3249),
    [anon_sym___inline__] = ACTIONS(3249),
    [anon_sym___forceinline] = ACTIONS(3249),
    [anon_sym_thread_local] = ACTIONS(3249),
    [anon_sym___thread] = ACTIONS(3249),
    [anon_sym_const] = ACTIONS(3249),
    [anon_sym_constexpr] = ACTIONS(3249),
    [anon_sym_volatile] = ACTIONS(3249),
    [anon_sym_restrict] = ACTIONS(3249),
    [anon_sym___restrict__] = ACTIONS(3249),
    [anon_sym__Atomic] = ACTIONS(3249),
    [anon_sym__Noreturn] = ACTIONS(3249),
    [anon_sym_noreturn] = ACTIONS(3249),
    [anon_sym_mutable] = ACTIONS(3249),
    [anon_sym_constinit] = ACTIONS(3249),
    [anon_sym_consteval] = ACTIONS(3249),
    [sym_primitive_type] = ACTIONS(3249),
    [anon_sym_enum] = ACTIONS(3249),
    [anon_sym_class] = ACTIONS(3249),
    [anon_sym_struct] = ACTIONS(3249),
    [anon_sym_union] = ACTIONS(3249),
    [anon_sym_if] = ACTIONS(3249),
    [anon_sym_switch] = ACTIONS(3249),
    [anon_sym_case] = ACTIONS(3249),
    [anon_sym_default] = ACTIONS(3249),
    [anon_sym_while] = ACTIONS(3249),
    [anon_sym_do] = ACTIONS(3249),
    [anon_sym_for] = ACTIONS(3249),
    [anon_sym_return] = ACTIONS(3249),
    [anon_sym_break] = ACTIONS(3249),
    [anon_sym_continue] = ACTIONS(3249),
    [anon_sym_goto] = ACTIONS(3249),
    [anon_sym_not] = ACTIONS(3249),
    [anon_sym_compl] = ACTIONS(3249),
    [anon_sym_DASH_DASH] = ACTIONS(3251),
    [anon_sym_PLUS_PLUS] = ACTIONS(3251),
    [anon_sym_sizeof] = ACTIONS(3249),
    [anon_sym___alignof__] = ACTIONS(3249),
    [anon_sym___alignof] = ACTIONS(3249),
    [anon_sym__alignof] = ACTIONS(3249),
    [anon_sym_alignof] = ACTIONS(3249),
    [anon_sym__Alignof] = ACTIONS(3249),
    [anon_sym_offsetof] = ACTIONS(3249),
    [anon_sym__Generic] = ACTIONS(3249),
    [anon_sym_asm] = ACTIONS(3249),
    [anon_sym___asm__] = ACTIONS(3249),
    [sym_number_literal] = ACTIONS(3251),
    [anon_sym_L_SQUOTE] = ACTIONS(3251),
    [anon_sym_u_SQUOTE] = ACTIONS(3251),
    [anon_sym_U_SQUOTE] = ACTIONS(3251),
    [anon_sym_u8_SQUOTE] = ACTIONS(3251),
    [anon_sym_SQUOTE] = ACTIONS(3251),
    [anon_sym_L_DQUOTE] = ACTIONS(3251),
    [anon_sym_u_DQUOTE] = ACTIONS(3251),
    [anon_sym_U_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8_DQUOTE] = ACTIONS(3251),
    [anon_sym_DQUOTE] = ACTIONS(3251),
    [sym_true] = ACTIONS(3249),
    [sym_false] = ACTIONS(3249),
    [anon_sym_NULL] = ACTIONS(3249),
    [anon_sym_nullptr] = ACTIONS(3249),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3249),
    [anon_sym_decltype] = ACTIONS(3249),
    [anon_sym_virtual] = ACTIONS(3249),
    [anon_sym_alignas] = ACTIONS(3249),
    [anon_sym_explicit] = ACTIONS(3249),
    [anon_sym_typename] = ACTIONS(3249),
    [anon_sym_template] = ACTIONS(3249),
    [anon_sym_operator] = ACTIONS(3249),
    [anon_sym_try] = ACTIONS(3249),
    [anon_sym_delete] = ACTIONS(3249),
    [anon_sym_throw] = ACTIONS(3249),
    [anon_sym_namespace] = ACTIONS(3249),
    [anon_sym_using] = ACTIONS(3249),
    [anon_sym_static_assert] = ACTIONS(3249),
    [anon_sym_concept] = ACTIONS(3249),
    [anon_sym_co_return] = ACTIONS(3249),
    [anon_sym_co_yield] = ACTIONS(3249),
    [anon_sym_R_DQUOTE] = ACTIONS(3251),
    [anon_sym_LR_DQUOTE] = ACTIONS(3251),
    [anon_sym_uR_DQUOTE] = ACTIONS(3251),
    [anon_sym_UR_DQUOTE] = ACTIONS(3251),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3251),
    [anon_sym_co_await] = ACTIONS(3249),
    [anon_sym_new] = ACTIONS(3249),
    [anon_sym_requires] = ACTIONS(3249),
    [sym_this] = ACTIONS(3249),
  },
  [993] = {
    [ts_builtin_sym_end] = ACTIONS(3104),
    [sym_identifier] = ACTIONS(3102),
    [aux_sym_preproc_include_token1] = ACTIONS(3102),
    [aux_sym_preproc_def_token1] = ACTIONS(3102),
    [aux_sym_preproc_if_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3102),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3102),
    [sym_preproc_directive] = ACTIONS(3102),
    [anon_sym_LPAREN2] = ACTIONS(3104),
    [anon_sym_BANG] = ACTIONS(3104),
    [anon_sym_TILDE] = ACTIONS(3104),
    [anon_sym_DASH] = ACTIONS(3102),
    [anon_sym_PLUS] = ACTIONS(3102),
    [anon_sym_STAR] = ACTIONS(3104),
    [anon_sym_AMP_AMP] = ACTIONS(3104),
    [anon_sym_AMP] = ACTIONS(3102),
    [anon_sym___extension__] = ACTIONS(3102),
    [anon_sym_typedef] = ACTIONS(3102),
    [anon_sym_extern] = ACTIONS(3102),
    [anon_sym___attribute__] = ACTIONS(3102),
    [anon_sym_COLON_COLON] = ACTIONS(3104),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3104),
    [anon_sym___declspec] = ACTIONS(3102),
    [anon_sym___based] = ACTIONS(3102),
    [anon_sym___cdecl] = ACTIONS(3102),
    [anon_sym___clrcall] = ACTIONS(3102),
    [anon_sym___stdcall] = ACTIONS(3102),
    [anon_sym___fastcall] = ACTIONS(3102),
    [anon_sym___thiscall] = ACTIONS(3102),
    [anon_sym___vectorcall] = ACTIONS(3102),
    [anon_sym_LBRACE] = ACTIONS(3104),
    [anon_sym_signed] = ACTIONS(3102),
    [anon_sym_unsigned] = ACTIONS(3102),
    [anon_sym_long] = ACTIONS(3102),
    [anon_sym_short] = ACTIONS(3102),
    [anon_sym_LBRACK] = ACTIONS(3102),
    [anon_sym_static] = ACTIONS(3102),
    [anon_sym_register] = ACTIONS(3102),
    [anon_sym_inline] = ACTIONS(3102),
    [anon_sym___inline] = ACTIONS(3102),
    [anon_sym___inline__] = ACTIONS(3102),
    [anon_sym___forceinline] = ACTIONS(3102),
    [anon_sym_thread_local] = ACTIONS(3102),
    [anon_sym___thread] = ACTIONS(3102),
    [anon_sym_const] = ACTIONS(3102),
    [anon_sym_constexpr] = ACTIONS(3102),
    [anon_sym_volatile] = ACTIONS(3102),
    [anon_sym_restrict] = ACTIONS(3102),
    [anon_sym___restrict__] = ACTIONS(3102),
    [anon_sym__Atomic] = ACTIONS(3102),
    [anon_sym__Noreturn] = ACTIONS(3102),
    [anon_sym_noreturn] = ACTIONS(3102),
    [anon_sym_mutable] = ACTIONS(3102),
    [anon_sym_constinit] = ACTIONS(3102),
    [anon_sym_consteval] = ACTIONS(3102),
    [sym_primitive_type] = ACTIONS(3102),
    [anon_sym_enum] = ACTIONS(3102),
    [anon_sym_class] = ACTIONS(3102),
    [anon_sym_struct] = ACTIONS(3102),
    [anon_sym_union] = ACTIONS(3102),
    [anon_sym_if] = ACTIONS(3102),
    [anon_sym_switch] = ACTIONS(3102),
    [anon_sym_case] = ACTIONS(3102),
    [anon_sym_default] = ACTIONS(3102),
    [anon_sym_while] = ACTIONS(3102),
    [anon_sym_do] = ACTIONS(3102),
    [anon_sym_for] = ACTIONS(3102),
    [anon_sym_return] = ACTIONS(3102),
    [anon_sym_break] = ACTIONS(3102),
    [anon_sym_continue] = ACTIONS(3102),
    [anon_sym_goto] = ACTIONS(3102),
    [anon_sym_not] = ACTIONS(3102),
    [anon_sym_compl] = ACTIONS(3102),
    [anon_sym_DASH_DASH] = ACTIONS(3104),
    [anon_sym_PLUS_PLUS] = ACTIONS(3104),
    [anon_sym_sizeof] = ACTIONS(3102),
    [anon_sym___alignof__] = ACTIONS(3102),
    [anon_sym___alignof] = ACTIONS(3102),
    [anon_sym__alignof] = ACTIONS(3102),
    [anon_sym_alignof] = ACTIONS(3102),
    [anon_sym__Alignof] = ACTIONS(3102),
    [anon_sym_offsetof] = ACTIONS(3102),
    [anon_sym__Generic] = ACTIONS(3102),
    [anon_sym_asm] = ACTIONS(3102),
    [anon_sym___asm__] = ACTIONS(3102),
    [sym_number_literal] = ACTIONS(3104),
    [anon_sym_L_SQUOTE] = ACTIONS(3104),
    [anon_sym_u_SQUOTE] = ACTIONS(3104),
    [anon_sym_U_SQUOTE] = ACTIONS(3104),
    [anon_sym_u8_SQUOTE] = ACTIONS(3104),
    [anon_sym_SQUOTE] = ACTIONS(3104),
    [anon_sym_L_DQUOTE] = ACTIONS(3104),
    [anon_sym_u_DQUOTE] = ACTIONS(3104),
    [anon_sym_U_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8_DQUOTE] = ACTIONS(3104),
    [anon_sym_DQUOTE] = ACTIONS(3104),
    [sym_true] = ACTIONS(3102),
    [sym_false] = ACTIONS(3102),
    [anon_sym_NULL] = ACTIONS(3102),
    [anon_sym_nullptr] = ACTIONS(3102),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3102),
    [anon_sym_decltype] = ACTIONS(3102),
    [anon_sym_virtual] = ACTIONS(3102),
    [anon_sym_alignas] = ACTIONS(3102),
    [anon_sym_explicit] = ACTIONS(3102),
    [anon_sym_typename] = ACTIONS(3102),
    [anon_sym_template] = ACTIONS(3102),
    [anon_sym_operator] = ACTIONS(3102),
    [anon_sym_try] = ACTIONS(3102),
    [anon_sym_delete] = ACTIONS(3102),
    [anon_sym_throw] = ACTIONS(3102),
    [anon_sym_namespace] = ACTIONS(3102),
    [anon_sym_using] = ACTIONS(3102),
    [anon_sym_static_assert] = ACTIONS(3102),
    [anon_sym_concept] = ACTIONS(3102),
    [anon_sym_co_return] = ACTIONS(3102),
    [anon_sym_co_yield] = ACTIONS(3102),
    [anon_sym_R_DQUOTE] = ACTIONS(3104),
    [anon_sym_LR_DQUOTE] = ACTIONS(3104),
    [anon_sym_uR_DQUOTE] = ACTIONS(3104),
    [anon_sym_UR_DQUOTE] = ACTIONS(3104),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3104),
    [anon_sym_co_await] = ACTIONS(3102),
    [anon_sym_new] = ACTIONS(3102),
    [anon_sym_requires] = ACTIONS(3102),
    [sym_this] = ACTIONS(3102),
  },
  [994] = {
    [sym_preproc_def] = STATE(1007),
    [sym_preproc_function_def] = STATE(1007),
    [sym_preproc_call] = STATE(1007),
    [sym_preproc_if_in_field_declaration_list] = STATE(1007),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1007),
    [sym_type_definition] = STATE(1007),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1007),
    [sym_field_declaration] = STATE(1007),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1007),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1007),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1007),
    [sym_operator_cast_declaration] = STATE(1007),
    [sym_constructor_or_destructor_definition] = STATE(1007),
    [sym_constructor_or_destructor_declaration] = STATE(1007),
    [sym_friend_declaration] = STATE(1007),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1007),
    [sym_alias_declaration] = STATE(1007),
    [sym_static_assert_declaration] = STATE(1007),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1007),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3774),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(3061),
    [sym_identifier] = ACTIONS(3059),
    [aux_sym_preproc_include_token1] = ACTIONS(3059),
    [aux_sym_preproc_def_token1] = ACTIONS(3059),
    [aux_sym_preproc_if_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3059),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3059),
    [sym_preproc_directive] = ACTIONS(3059),
    [anon_sym_LPAREN2] = ACTIONS(3061),
    [anon_sym_BANG] = ACTIONS(3061),
    [anon_sym_TILDE] = ACTIONS(3061),
    [anon_sym_DASH] = ACTIONS(3059),
    [anon_sym_PLUS] = ACTIONS(3059),
    [anon_sym_STAR] = ACTIONS(3061),
    [anon_sym_AMP_AMP] = ACTIONS(3061),
    [anon_sym_AMP] = ACTIONS(3059),
    [anon_sym___extension__] = ACTIONS(3059),
    [anon_sym_typedef] = ACTIONS(3059),
    [anon_sym_extern] = ACTIONS(3059),
    [anon_sym___attribute__] = ACTIONS(3059),
    [anon_sym_COLON_COLON] = ACTIONS(3061),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3061),
    [anon_sym___declspec] = ACTIONS(3059),
    [anon_sym___based] = ACTIONS(3059),
    [anon_sym___cdecl] = ACTIONS(3059),
    [anon_sym___clrcall] = ACTIONS(3059),
    [anon_sym___stdcall] = ACTIONS(3059),
    [anon_sym___fastcall] = ACTIONS(3059),
    [anon_sym___thiscall] = ACTIONS(3059),
    [anon_sym___vectorcall] = ACTIONS(3059),
    [anon_sym_LBRACE] = ACTIONS(3061),
    [anon_sym_signed] = ACTIONS(3059),
    [anon_sym_unsigned] = ACTIONS(3059),
    [anon_sym_long] = ACTIONS(3059),
    [anon_sym_short] = ACTIONS(3059),
    [anon_sym_LBRACK] = ACTIONS(3059),
    [anon_sym_static] = ACTIONS(3059),
    [anon_sym_register] = ACTIONS(3059),
    [anon_sym_inline] = ACTIONS(3059),
    [anon_sym___inline] = ACTIONS(3059),
    [anon_sym___inline__] = ACTIONS(3059),
    [anon_sym___forceinline] = ACTIONS(3059),
    [anon_sym_thread_local] = ACTIONS(3059),
    [anon_sym___thread] = ACTIONS(3059),
    [anon_sym_const] = ACTIONS(3059),
    [anon_sym_constexpr] = ACTIONS(3059),
    [anon_sym_volatile] = ACTIONS(3059),
    [anon_sym_restrict] = ACTIONS(3059),
    [anon_sym___restrict__] = ACTIONS(3059),
    [anon_sym__Atomic] = ACTIONS(3059),
    [anon_sym__Noreturn] = ACTIONS(3059),
    [anon_sym_noreturn] = ACTIONS(3059),
    [anon_sym_mutable] = ACTIONS(3059),
    [anon_sym_constinit] = ACTIONS(3059),
    [anon_sym_consteval] = ACTIONS(3059),
    [sym_primitive_type] = ACTIONS(3059),
    [anon_sym_enum] = ACTIONS(3059),
    [anon_sym_class] = ACTIONS(3059),
    [anon_sym_struct] = ACTIONS(3059),
    [anon_sym_union] = ACTIONS(3059),
    [anon_sym_if] = ACTIONS(3059),
    [anon_sym_switch] = ACTIONS(3059),
    [anon_sym_case] = ACTIONS(3059),
    [anon_sym_default] = ACTIONS(3059),
    [anon_sym_while] = ACTIONS(3059),
    [anon_sym_do] = ACTIONS(3059),
    [anon_sym_for] = ACTIONS(3059),
    [anon_sym_return] = ACTIONS(3059),
    [anon_sym_break] = ACTIONS(3059),
    [anon_sym_continue] = ACTIONS(3059),
    [anon_sym_goto] = ACTIONS(3059),
    [anon_sym_not] = ACTIONS(3059),
    [anon_sym_compl] = ACTIONS(3059),
    [anon_sym_DASH_DASH] = ACTIONS(3061),
    [anon_sym_PLUS_PLUS] = ACTIONS(3061),
    [anon_sym_sizeof] = ACTIONS(3059),
    [anon_sym___alignof__] = ACTIONS(3059),
    [anon_sym___alignof] = ACTIONS(3059),
    [anon_sym__alignof] = ACTIONS(3059),
    [anon_sym_alignof] = ACTIONS(3059),
    [anon_sym__Alignof] = ACTIONS(3059),
    [anon_sym_offsetof] = ACTIONS(3059),
    [anon_sym__Generic] = ACTIONS(3059),
    [anon_sym_asm] = ACTIONS(3059),
    [anon_sym___asm__] = ACTIONS(3059),
    [sym_number_literal] = ACTIONS(3061),
    [anon_sym_L_SQUOTE] = ACTIONS(3061),
    [anon_sym_u_SQUOTE] = ACTIONS(3061),
    [anon_sym_U_SQUOTE] = ACTIONS(3061),
    [anon_sym_u8_SQUOTE] = ACTIONS(3061),
    [anon_sym_SQUOTE] = ACTIONS(3061),
    [anon_sym_L_DQUOTE] = ACTIONS(3061),
    [anon_sym_u_DQUOTE] = ACTIONS(3061),
    [anon_sym_U_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8_DQUOTE] = ACTIONS(3061),
    [anon_sym_DQUOTE] = ACTIONS(3061),
    [sym_true] = ACTIONS(3059),
    [sym_false] = ACTIONS(3059),
    [anon_sym_NULL] = ACTIONS(3059),
    [anon_sym_nullptr] = ACTIONS(3059),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3059),
    [anon_sym_decltype] = ACTIONS(3059),
    [anon_sym_virtual] = ACTIONS(3059),
    [anon_sym_alignas] = ACTIONS(3059),
    [anon_sym_explicit] = ACTIONS(3059),
    [anon_sym_typename] = ACTIONS(3059),
    [anon_sym_template] = ACTIONS(3059),
    [anon_sym_operator] = ACTIONS(3059),
    [anon_sym_try] = ACTIONS(3059),
    [anon_sym_delete] = ACTIONS(3059),
    [anon_sym_throw] = ACTIONS(3059),
    [anon_sym_namespace] = ACTIONS(3059),
    [anon_sym_using] = ACTIONS(3059),
    [anon_sym_static_assert] = ACTIONS(3059),
    [anon_sym_concept] = ACTIONS(3059),
    [anon_sym_co_return] = ACTIONS(3059),
    [anon_sym_co_yield] = ACTIONS(3059),
    [anon_sym_R_DQUOTE] = ACTIONS(3061),
    [anon_sym_LR_DQUOTE] = ACTIONS(3061),
    [anon_sym_uR_DQUOTE] = ACTIONS(3061),
    [anon_sym_UR_DQUOTE] = ACTIONS(3061),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3061),
    [anon_sym_co_await] = ACTIONS(3059),
    [anon_sym_new] = ACTIONS(3059),
    [anon_sym_requires] = ACTIONS(3059),
    [sym_this] = ACTIONS(3059),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(3312),
    [sym_identifier] = ACTIONS(3310),
    [aux_sym_preproc_include_token1] = ACTIONS(3310),
    [aux_sym_preproc_def_token1] = ACTIONS(3310),
    [aux_sym_preproc_if_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3310),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3310),
    [sym_preproc_directive] = ACTIONS(3310),
    [anon_sym_LPAREN2] = ACTIONS(3312),
    [anon_sym_BANG] = ACTIONS(3312),
    [anon_sym_TILDE] = ACTIONS(3312),
    [anon_sym_DASH] = ACTIONS(3310),
    [anon_sym_PLUS] = ACTIONS(3310),
    [anon_sym_STAR] = ACTIONS(3312),
    [anon_sym_AMP_AMP] = ACTIONS(3312),
    [anon_sym_AMP] = ACTIONS(3310),
    [anon_sym___extension__] = ACTIONS(3310),
    [anon_sym_typedef] = ACTIONS(3310),
    [anon_sym_extern] = ACTIONS(3310),
    [anon_sym___attribute__] = ACTIONS(3310),
    [anon_sym_COLON_COLON] = ACTIONS(3312),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3312),
    [anon_sym___declspec] = ACTIONS(3310),
    [anon_sym___based] = ACTIONS(3310),
    [anon_sym___cdecl] = ACTIONS(3310),
    [anon_sym___clrcall] = ACTIONS(3310),
    [anon_sym___stdcall] = ACTIONS(3310),
    [anon_sym___fastcall] = ACTIONS(3310),
    [anon_sym___thiscall] = ACTIONS(3310),
    [anon_sym___vectorcall] = ACTIONS(3310),
    [anon_sym_LBRACE] = ACTIONS(3312),
    [anon_sym_signed] = ACTIONS(3310),
    [anon_sym_unsigned] = ACTIONS(3310),
    [anon_sym_long] = ACTIONS(3310),
    [anon_sym_short] = ACTIONS(3310),
    [anon_sym_LBRACK] = ACTIONS(3310),
    [anon_sym_static] = ACTIONS(3310),
    [anon_sym_register] = ACTIONS(3310),
    [anon_sym_inline] = ACTIONS(3310),
    [anon_sym___inline] = ACTIONS(3310),
    [anon_sym___inline__] = ACTIONS(3310),
    [anon_sym___forceinline] = ACTIONS(3310),
    [anon_sym_thread_local] = ACTIONS(3310),
    [anon_sym___thread] = ACTIONS(3310),
    [anon_sym_const] = ACTIONS(3310),
    [anon_sym_constexpr] = ACTIONS(3310),
    [anon_sym_volatile] = ACTIONS(3310),
    [anon_sym_restrict] = ACTIONS(3310),
    [anon_sym___restrict__] = ACTIONS(3310),
    [anon_sym__Atomic] = ACTIONS(3310),
    [anon_sym__Noreturn] = ACTIONS(3310),
    [anon_sym_noreturn] = ACTIONS(3310),
    [anon_sym_mutable] = ACTIONS(3310),
    [anon_sym_constinit] = ACTIONS(3310),
    [anon_sym_consteval] = ACTIONS(3310),
    [sym_primitive_type] = ACTIONS(3310),
    [anon_sym_enum] = ACTIONS(3310),
    [anon_sym_class] = ACTIONS(3310),
    [anon_sym_struct] = ACTIONS(3310),
    [anon_sym_union] = ACTIONS(3310),
    [anon_sym_if] = ACTIONS(3310),
    [anon_sym_switch] = ACTIONS(3310),
    [anon_sym_case] = ACTIONS(3310),
    [anon_sym_default] = ACTIONS(3310),
    [anon_sym_while] = ACTIONS(3310),
    [anon_sym_do] = ACTIONS(3310),
    [anon_sym_for] = ACTIONS(3310),
    [anon_sym_return] = ACTIONS(3310),
    [anon_sym_break] = ACTIONS(3310),
    [anon_sym_continue] = ACTIONS(3310),
    [anon_sym_goto] = ACTIONS(3310),
    [anon_sym_not] = ACTIONS(3310),
    [anon_sym_compl] = ACTIONS(3310),
    [anon_sym_DASH_DASH] = ACTIONS(3312),
    [anon_sym_PLUS_PLUS] = ACTIONS(3312),
    [anon_sym_sizeof] = ACTIONS(3310),
    [anon_sym___alignof__] = ACTIONS(3310),
    [anon_sym___alignof] = ACTIONS(3310),
    [anon_sym__alignof] = ACTIONS(3310),
    [anon_sym_alignof] = ACTIONS(3310),
    [anon_sym__Alignof] = ACTIONS(3310),
    [anon_sym_offsetof] = ACTIONS(3310),
    [anon_sym__Generic] = ACTIONS(3310),
    [anon_sym_asm] = ACTIONS(3310),
    [anon_sym___asm__] = ACTIONS(3310),
    [sym_number_literal] = ACTIONS(3312),
    [anon_sym_L_SQUOTE] = ACTIONS(3312),
    [anon_sym_u_SQUOTE] = ACTIONS(3312),
    [anon_sym_U_SQUOTE] = ACTIONS(3312),
    [anon_sym_u8_SQUOTE] = ACTIONS(3312),
    [anon_sym_SQUOTE] = ACTIONS(3312),
    [anon_sym_L_DQUOTE] = ACTIONS(3312),
    [anon_sym_u_DQUOTE] = ACTIONS(3312),
    [anon_sym_U_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8_DQUOTE] = ACTIONS(3312),
    [anon_sym_DQUOTE] = ACTIONS(3312),
    [sym_true] = ACTIONS(3310),
    [sym_false] = ACTIONS(3310),
    [anon_sym_NULL] = ACTIONS(3310),
    [anon_sym_nullptr] = ACTIONS(3310),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3310),
    [anon_sym_decltype] = ACTIONS(3310),
    [anon_sym_virtual] = ACTIONS(3310),
    [anon_sym_alignas] = ACTIONS(3310),
    [anon_sym_explicit] = ACTIONS(3310),
    [anon_sym_typename] = ACTIONS(3310),
    [anon_sym_template] = ACTIONS(3310),
    [anon_sym_operator] = ACTIONS(3310),
    [anon_sym_try] = ACTIONS(3310),
    [anon_sym_delete] = ACTIONS(3310),
    [anon_sym_throw] = ACTIONS(3310),
    [anon_sym_namespace] = ACTIONS(3310),
    [anon_sym_using] = ACTIONS(3310),
    [anon_sym_static_assert] = ACTIONS(3310),
    [anon_sym_concept] = ACTIONS(3310),
    [anon_sym_co_return] = ACTIONS(3310),
    [anon_sym_co_yield] = ACTIONS(3310),
    [anon_sym_R_DQUOTE] = ACTIONS(3312),
    [anon_sym_LR_DQUOTE] = ACTIONS(3312),
    [anon_sym_uR_DQUOTE] = ACTIONS(3312),
    [anon_sym_UR_DQUOTE] = ACTIONS(3312),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3312),
    [anon_sym_co_await] = ACTIONS(3310),
    [anon_sym_new] = ACTIONS(3310),
    [anon_sym_requires] = ACTIONS(3310),
    [sym_this] = ACTIONS(3310),
  },
  [997] = {
    [sym_preproc_def] = STATE(970),
    [sym_preproc_function_def] = STATE(970),
    [sym_preproc_call] = STATE(970),
    [sym_preproc_if_in_field_declaration_list] = STATE(970),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(970),
    [sym_type_definition] = STATE(970),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6165),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6757),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(970),
    [sym_field_declaration] = STATE(970),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2046),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(970),
    [sym_operator_cast] = STATE(7229),
    [sym_inline_method_definition] = STATE(970),
    [sym__constructor_specifiers] = STATE(2046),
    [sym_operator_cast_definition] = STATE(970),
    [sym_operator_cast_declaration] = STATE(970),
    [sym_constructor_or_destructor_definition] = STATE(970),
    [sym_constructor_or_destructor_declaration] = STATE(970),
    [sym_friend_declaration] = STATE(970),
    [sym_access_specifier] = STATE(8543),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(970),
    [sym_alias_declaration] = STATE(970),
    [sym_static_assert_declaration] = STATE(970),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7229),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(970),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3776),
    [aux_sym_preproc_if_token1] = ACTIONS(3778),
    [aux_sym_preproc_if_token2] = ACTIONS(3780),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3782),
    [sym_preproc_directive] = ACTIONS(3784),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3786),
    [anon_sym_typedef] = ACTIONS(3788),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3790),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3792),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_static_assert] = ACTIONS(3796),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(3308),
    [sym_identifier] = ACTIONS(3306),
    [aux_sym_preproc_include_token1] = ACTIONS(3306),
    [aux_sym_preproc_def_token1] = ACTIONS(3306),
    [aux_sym_preproc_if_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3306),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3306),
    [sym_preproc_directive] = ACTIONS(3306),
    [anon_sym_LPAREN2] = ACTIONS(3308),
    [anon_sym_BANG] = ACTIONS(3308),
    [anon_sym_TILDE] = ACTIONS(3308),
    [anon_sym_DASH] = ACTIONS(3306),
    [anon_sym_PLUS] = ACTIONS(3306),
    [anon_sym_STAR] = ACTIONS(3308),
    [anon_sym_AMP_AMP] = ACTIONS(3308),
    [anon_sym_AMP] = ACTIONS(3306),
    [anon_sym___extension__] = ACTIONS(3306),
    [anon_sym_typedef] = ACTIONS(3306),
    [anon_sym_extern] = ACTIONS(3306),
    [anon_sym___attribute__] = ACTIONS(3306),
    [anon_sym_COLON_COLON] = ACTIONS(3308),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3308),
    [anon_sym___declspec] = ACTIONS(3306),
    [anon_sym___based] = ACTIONS(3306),
    [anon_sym___cdecl] = ACTIONS(3306),
    [anon_sym___clrcall] = ACTIONS(3306),
    [anon_sym___stdcall] = ACTIONS(3306),
    [anon_sym___fastcall] = ACTIONS(3306),
    [anon_sym___thiscall] = ACTIONS(3306),
    [anon_sym___vectorcall] = ACTIONS(3306),
    [anon_sym_LBRACE] = ACTIONS(3308),
    [anon_sym_signed] = ACTIONS(3306),
    [anon_sym_unsigned] = ACTIONS(3306),
    [anon_sym_long] = ACTIONS(3306),
    [anon_sym_short] = ACTIONS(3306),
    [anon_sym_LBRACK] = ACTIONS(3306),
    [anon_sym_static] = ACTIONS(3306),
    [anon_sym_register] = ACTIONS(3306),
    [anon_sym_inline] = ACTIONS(3306),
    [anon_sym___inline] = ACTIONS(3306),
    [anon_sym___inline__] = ACTIONS(3306),
    [anon_sym___forceinline] = ACTIONS(3306),
    [anon_sym_thread_local] = ACTIONS(3306),
    [anon_sym___thread] = ACTIONS(3306),
    [anon_sym_const] = ACTIONS(3306),
    [anon_sym_constexpr] = ACTIONS(3306),
    [anon_sym_volatile] = ACTIONS(3306),
    [anon_sym_restrict] = ACTIONS(3306),
    [anon_sym___restrict__] = ACTIONS(3306),
    [anon_sym__Atomic] = ACTIONS(3306),
    [anon_sym__Noreturn] = ACTIONS(3306),
    [anon_sym_noreturn] = ACTIONS(3306),
    [anon_sym_mutable] = ACTIONS(3306),
    [anon_sym_constinit] = ACTIONS(3306),
    [anon_sym_consteval] = ACTIONS(3306),
    [sym_primitive_type] = ACTIONS(3306),
    [anon_sym_enum] = ACTIONS(3306),
    [anon_sym_class] = ACTIONS(3306),
    [anon_sym_struct] = ACTIONS(3306),
    [anon_sym_union] = ACTIONS(3306),
    [anon_sym_if] = ACTIONS(3306),
    [anon_sym_switch] = ACTIONS(3306),
    [anon_sym_case] = ACTIONS(3306),
    [anon_sym_default] = ACTIONS(3306),
    [anon_sym_while] = ACTIONS(3306),
    [anon_sym_do] = ACTIONS(3306),
    [anon_sym_for] = ACTIONS(3306),
    [anon_sym_return] = ACTIONS(3306),
    [anon_sym_break] = ACTIONS(3306),
    [anon_sym_continue] = ACTIONS(3306),
    [anon_sym_goto] = ACTIONS(3306),
    [anon_sym_not] = ACTIONS(3306),
    [anon_sym_compl] = ACTIONS(3306),
    [anon_sym_DASH_DASH] = ACTIONS(3308),
    [anon_sym_PLUS_PLUS] = ACTIONS(3308),
    [anon_sym_sizeof] = ACTIONS(3306),
    [anon_sym___alignof__] = ACTIONS(3306),
    [anon_sym___alignof] = ACTIONS(3306),
    [anon_sym__alignof] = ACTIONS(3306),
    [anon_sym_alignof] = ACTIONS(3306),
    [anon_sym__Alignof] = ACTIONS(3306),
    [anon_sym_offsetof] = ACTIONS(3306),
    [anon_sym__Generic] = ACTIONS(3306),
    [anon_sym_asm] = ACTIONS(3306),
    [anon_sym___asm__] = ACTIONS(3306),
    [sym_number_literal] = ACTIONS(3308),
    [anon_sym_L_SQUOTE] = ACTIONS(3308),
    [anon_sym_u_SQUOTE] = ACTIONS(3308),
    [anon_sym_U_SQUOTE] = ACTIONS(3308),
    [anon_sym_u8_SQUOTE] = ACTIONS(3308),
    [anon_sym_SQUOTE] = ACTIONS(3308),
    [anon_sym_L_DQUOTE] = ACTIONS(3308),
    [anon_sym_u_DQUOTE] = ACTIONS(3308),
    [anon_sym_U_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8_DQUOTE] = ACTIONS(3308),
    [anon_sym_DQUOTE] = ACTIONS(3308),
    [sym_true] = ACTIONS(3306),
    [sym_false] = ACTIONS(3306),
    [anon_sym_NULL] = ACTIONS(3306),
    [anon_sym_nullptr] = ACTIONS(3306),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3306),
    [anon_sym_decltype] = ACTIONS(3306),
    [anon_sym_virtual] = ACTIONS(3306),
    [anon_sym_alignas] = ACTIONS(3306),
    [anon_sym_explicit] = ACTIONS(3306),
    [anon_sym_typename] = ACTIONS(3306),
    [anon_sym_template] = ACTIONS(3306),
    [anon_sym_operator] = ACTIONS(3306),
    [anon_sym_try] = ACTIONS(3306),
    [anon_sym_delete] = ACTIONS(3306),
    [anon_sym_throw] = ACTIONS(3306),
    [anon_sym_namespace] = ACTIONS(3306),
    [anon_sym_using] = ACTIONS(3306),
    [anon_sym_static_assert] = ACTIONS(3306),
    [anon_sym_concept] = ACTIONS(3306),
    [anon_sym_co_return] = ACTIONS(3306),
    [anon_sym_co_yield] = ACTIONS(3306),
    [anon_sym_R_DQUOTE] = ACTIONS(3308),
    [anon_sym_LR_DQUOTE] = ACTIONS(3308),
    [anon_sym_uR_DQUOTE] = ACTIONS(3308),
    [anon_sym_UR_DQUOTE] = ACTIONS(3308),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3308),
    [anon_sym_co_await] = ACTIONS(3306),
    [anon_sym_new] = ACTIONS(3306),
    [anon_sym_requires] = ACTIONS(3306),
    [sym_this] = ACTIONS(3306),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(3233),
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_include_token1] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_BANG] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_DASH] = ACTIONS(3231),
    [anon_sym_PLUS] = ACTIONS(3231),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym___cdecl] = ACTIONS(3231),
    [anon_sym___clrcall] = ACTIONS(3231),
    [anon_sym___stdcall] = ACTIONS(3231),
    [anon_sym___fastcall] = ACTIONS(3231),
    [anon_sym___thiscall] = ACTIONS(3231),
    [anon_sym___vectorcall] = ACTIONS(3231),
    [anon_sym_LBRACE] = ACTIONS(3233),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [anon_sym_if] = ACTIONS(3231),
    [anon_sym_switch] = ACTIONS(3231),
    [anon_sym_case] = ACTIONS(3231),
    [anon_sym_default] = ACTIONS(3231),
    [anon_sym_while] = ACTIONS(3231),
    [anon_sym_do] = ACTIONS(3231),
    [anon_sym_for] = ACTIONS(3231),
    [anon_sym_return] = ACTIONS(3231),
    [anon_sym_break] = ACTIONS(3231),
    [anon_sym_continue] = ACTIONS(3231),
    [anon_sym_goto] = ACTIONS(3231),
    [anon_sym_not] = ACTIONS(3231),
    [anon_sym_compl] = ACTIONS(3231),
    [anon_sym_DASH_DASH] = ACTIONS(3233),
    [anon_sym_PLUS_PLUS] = ACTIONS(3233),
    [anon_sym_sizeof] = ACTIONS(3231),
    [anon_sym___alignof__] = ACTIONS(3231),
    [anon_sym___alignof] = ACTIONS(3231),
    [anon_sym__alignof] = ACTIONS(3231),
    [anon_sym_alignof] = ACTIONS(3231),
    [anon_sym__Alignof] = ACTIONS(3231),
    [anon_sym_offsetof] = ACTIONS(3231),
    [anon_sym__Generic] = ACTIONS(3231),
    [anon_sym_asm] = ACTIONS(3231),
    [anon_sym___asm__] = ACTIONS(3231),
    [sym_number_literal] = ACTIONS(3233),
    [anon_sym_L_SQUOTE] = ACTIONS(3233),
    [anon_sym_u_SQUOTE] = ACTIONS(3233),
    [anon_sym_U_SQUOTE] = ACTIONS(3233),
    [anon_sym_u8_SQUOTE] = ACTIONS(3233),
    [anon_sym_SQUOTE] = ACTIONS(3233),
    [anon_sym_L_DQUOTE] = ACTIONS(3233),
    [anon_sym_u_DQUOTE] = ACTIONS(3233),
    [anon_sym_U_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8_DQUOTE] = ACTIONS(3233),
    [anon_sym_DQUOTE] = ACTIONS(3233),
    [sym_true] = ACTIONS(3231),
    [sym_false] = ACTIONS(3231),
    [anon_sym_NULL] = ACTIONS(3231),
    [anon_sym_nullptr] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_try] = ACTIONS(3231),
    [anon_sym_delete] = ACTIONS(3231),
    [anon_sym_throw] = ACTIONS(3231),
    [anon_sym_namespace] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
    [anon_sym_concept] = ACTIONS(3231),
    [anon_sym_co_return] = ACTIONS(3231),
    [anon_sym_co_yield] = ACTIONS(3231),
    [anon_sym_R_DQUOTE] = ACTIONS(3233),
    [anon_sym_LR_DQUOTE] = ACTIONS(3233),
    [anon_sym_uR_DQUOTE] = ACTIONS(3233),
    [anon_sym_UR_DQUOTE] = ACTIONS(3233),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3233),
    [anon_sym_co_await] = ACTIONS(3231),
    [anon_sym_new] = ACTIONS(3231),
    [anon_sym_requires] = ACTIONS(3231),
    [sym_this] = ACTIONS(3231),
  },
  [1000] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3798),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1001] = {
    [ts_builtin_sym_end] = ACTIONS(3150),
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_include_token1] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_BANG] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_DASH] = ACTIONS(3148),
    [anon_sym_PLUS] = ACTIONS(3148),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym___cdecl] = ACTIONS(3148),
    [anon_sym___clrcall] = ACTIONS(3148),
    [anon_sym___stdcall] = ACTIONS(3148),
    [anon_sym___fastcall] = ACTIONS(3148),
    [anon_sym___thiscall] = ACTIONS(3148),
    [anon_sym___vectorcall] = ACTIONS(3148),
    [anon_sym_LBRACE] = ACTIONS(3150),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [anon_sym_if] = ACTIONS(3148),
    [anon_sym_switch] = ACTIONS(3148),
    [anon_sym_case] = ACTIONS(3148),
    [anon_sym_default] = ACTIONS(3148),
    [anon_sym_while] = ACTIONS(3148),
    [anon_sym_do] = ACTIONS(3148),
    [anon_sym_for] = ACTIONS(3148),
    [anon_sym_return] = ACTIONS(3148),
    [anon_sym_break] = ACTIONS(3148),
    [anon_sym_continue] = ACTIONS(3148),
    [anon_sym_goto] = ACTIONS(3148),
    [anon_sym_not] = ACTIONS(3148),
    [anon_sym_compl] = ACTIONS(3148),
    [anon_sym_DASH_DASH] = ACTIONS(3150),
    [anon_sym_PLUS_PLUS] = ACTIONS(3150),
    [anon_sym_sizeof] = ACTIONS(3148),
    [anon_sym___alignof__] = ACTIONS(3148),
    [anon_sym___alignof] = ACTIONS(3148),
    [anon_sym__alignof] = ACTIONS(3148),
    [anon_sym_alignof] = ACTIONS(3148),
    [anon_sym__Alignof] = ACTIONS(3148),
    [anon_sym_offsetof] = ACTIONS(3148),
    [anon_sym__Generic] = ACTIONS(3148),
    [anon_sym_asm] = ACTIONS(3148),
    [anon_sym___asm__] = ACTIONS(3148),
    [sym_number_literal] = ACTIONS(3150),
    [anon_sym_L_SQUOTE] = ACTIONS(3150),
    [anon_sym_u_SQUOTE] = ACTIONS(3150),
    [anon_sym_U_SQUOTE] = ACTIONS(3150),
    [anon_sym_u8_SQUOTE] = ACTIONS(3150),
    [anon_sym_SQUOTE] = ACTIONS(3150),
    [anon_sym_L_DQUOTE] = ACTIONS(3150),
    [anon_sym_u_DQUOTE] = ACTIONS(3150),
    [anon_sym_U_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8_DQUOTE] = ACTIONS(3150),
    [anon_sym_DQUOTE] = ACTIONS(3150),
    [sym_true] = ACTIONS(3148),
    [sym_false] = ACTIONS(3148),
    [anon_sym_NULL] = ACTIONS(3148),
    [anon_sym_nullptr] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_try] = ACTIONS(3148),
    [anon_sym_delete] = ACTIONS(3148),
    [anon_sym_throw] = ACTIONS(3148),
    [anon_sym_namespace] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
    [anon_sym_concept] = ACTIONS(3148),
    [anon_sym_co_return] = ACTIONS(3148),
    [anon_sym_co_yield] = ACTIONS(3148),
    [anon_sym_R_DQUOTE] = ACTIONS(3150),
    [anon_sym_LR_DQUOTE] = ACTIONS(3150),
    [anon_sym_uR_DQUOTE] = ACTIONS(3150),
    [anon_sym_UR_DQUOTE] = ACTIONS(3150),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3150),
    [anon_sym_co_await] = ACTIONS(3148),
    [anon_sym_new] = ACTIONS(3148),
    [anon_sym_requires] = ACTIONS(3148),
    [sym_this] = ACTIONS(3148),
  },
  [1002] = {
    [ts_builtin_sym_end] = ACTIONS(3255),
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_include_token1] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_BANG] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_DASH] = ACTIONS(3253),
    [anon_sym_PLUS] = ACTIONS(3253),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym___cdecl] = ACTIONS(3253),
    [anon_sym___clrcall] = ACTIONS(3253),
    [anon_sym___stdcall] = ACTIONS(3253),
    [anon_sym___fastcall] = ACTIONS(3253),
    [anon_sym___thiscall] = ACTIONS(3253),
    [anon_sym___vectorcall] = ACTIONS(3253),
    [anon_sym_LBRACE] = ACTIONS(3255),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [anon_sym_if] = ACTIONS(3253),
    [anon_sym_switch] = ACTIONS(3253),
    [anon_sym_case] = ACTIONS(3253),
    [anon_sym_default] = ACTIONS(3253),
    [anon_sym_while] = ACTIONS(3253),
    [anon_sym_do] = ACTIONS(3253),
    [anon_sym_for] = ACTIONS(3253),
    [anon_sym_return] = ACTIONS(3253),
    [anon_sym_break] = ACTIONS(3253),
    [anon_sym_continue] = ACTIONS(3253),
    [anon_sym_goto] = ACTIONS(3253),
    [anon_sym_not] = ACTIONS(3253),
    [anon_sym_compl] = ACTIONS(3253),
    [anon_sym_DASH_DASH] = ACTIONS(3255),
    [anon_sym_PLUS_PLUS] = ACTIONS(3255),
    [anon_sym_sizeof] = ACTIONS(3253),
    [anon_sym___alignof__] = ACTIONS(3253),
    [anon_sym___alignof] = ACTIONS(3253),
    [anon_sym__alignof] = ACTIONS(3253),
    [anon_sym_alignof] = ACTIONS(3253),
    [anon_sym__Alignof] = ACTIONS(3253),
    [anon_sym_offsetof] = ACTIONS(3253),
    [anon_sym__Generic] = ACTIONS(3253),
    [anon_sym_asm] = ACTIONS(3253),
    [anon_sym___asm__] = ACTIONS(3253),
    [sym_number_literal] = ACTIONS(3255),
    [anon_sym_L_SQUOTE] = ACTIONS(3255),
    [anon_sym_u_SQUOTE] = ACTIONS(3255),
    [anon_sym_U_SQUOTE] = ACTIONS(3255),
    [anon_sym_u8_SQUOTE] = ACTIONS(3255),
    [anon_sym_SQUOTE] = ACTIONS(3255),
    [anon_sym_L_DQUOTE] = ACTIONS(3255),
    [anon_sym_u_DQUOTE] = ACTIONS(3255),
    [anon_sym_U_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8_DQUOTE] = ACTIONS(3255),
    [anon_sym_DQUOTE] = ACTIONS(3255),
    [sym_true] = ACTIONS(3253),
    [sym_false] = ACTIONS(3253),
    [anon_sym_NULL] = ACTIONS(3253),
    [anon_sym_nullptr] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_try] = ACTIONS(3253),
    [anon_sym_delete] = ACTIONS(3253),
    [anon_sym_throw] = ACTIONS(3253),
    [anon_sym_namespace] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
    [anon_sym_concept] = ACTIONS(3253),
    [anon_sym_co_return] = ACTIONS(3253),
    [anon_sym_co_yield] = ACTIONS(3253),
    [anon_sym_R_DQUOTE] = ACTIONS(3255),
    [anon_sym_LR_DQUOTE] = ACTIONS(3255),
    [anon_sym_uR_DQUOTE] = ACTIONS(3255),
    [anon_sym_UR_DQUOTE] = ACTIONS(3255),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3255),
    [anon_sym_co_await] = ACTIONS(3253),
    [anon_sym_new] = ACTIONS(3253),
    [anon_sym_requires] = ACTIONS(3253),
    [sym_this] = ACTIONS(3253),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(3158),
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_include_token1] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_BANG] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_DASH] = ACTIONS(3156),
    [anon_sym_PLUS] = ACTIONS(3156),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym___cdecl] = ACTIONS(3156),
    [anon_sym___clrcall] = ACTIONS(3156),
    [anon_sym___stdcall] = ACTIONS(3156),
    [anon_sym___fastcall] = ACTIONS(3156),
    [anon_sym___thiscall] = ACTIONS(3156),
    [anon_sym___vectorcall] = ACTIONS(3156),
    [anon_sym_LBRACE] = ACTIONS(3158),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [anon_sym_if] = ACTIONS(3156),
    [anon_sym_switch] = ACTIONS(3156),
    [anon_sym_case] = ACTIONS(3156),
    [anon_sym_default] = ACTIONS(3156),
    [anon_sym_while] = ACTIONS(3156),
    [anon_sym_do] = ACTIONS(3156),
    [anon_sym_for] = ACTIONS(3156),
    [anon_sym_return] = ACTIONS(3156),
    [anon_sym_break] = ACTIONS(3156),
    [anon_sym_continue] = ACTIONS(3156),
    [anon_sym_goto] = ACTIONS(3156),
    [anon_sym_not] = ACTIONS(3156),
    [anon_sym_compl] = ACTIONS(3156),
    [anon_sym_DASH_DASH] = ACTIONS(3158),
    [anon_sym_PLUS_PLUS] = ACTIONS(3158),
    [anon_sym_sizeof] = ACTIONS(3156),
    [anon_sym___alignof__] = ACTIONS(3156),
    [anon_sym___alignof] = ACTIONS(3156),
    [anon_sym__alignof] = ACTIONS(3156),
    [anon_sym_alignof] = ACTIONS(3156),
    [anon_sym__Alignof] = ACTIONS(3156),
    [anon_sym_offsetof] = ACTIONS(3156),
    [anon_sym__Generic] = ACTIONS(3156),
    [anon_sym_asm] = ACTIONS(3156),
    [anon_sym___asm__] = ACTIONS(3156),
    [sym_number_literal] = ACTIONS(3158),
    [anon_sym_L_SQUOTE] = ACTIONS(3158),
    [anon_sym_u_SQUOTE] = ACTIONS(3158),
    [anon_sym_U_SQUOTE] = ACTIONS(3158),
    [anon_sym_u8_SQUOTE] = ACTIONS(3158),
    [anon_sym_SQUOTE] = ACTIONS(3158),
    [anon_sym_L_DQUOTE] = ACTIONS(3158),
    [anon_sym_u_DQUOTE] = ACTIONS(3158),
    [anon_sym_U_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8_DQUOTE] = ACTIONS(3158),
    [anon_sym_DQUOTE] = ACTIONS(3158),
    [sym_true] = ACTIONS(3156),
    [sym_false] = ACTIONS(3156),
    [anon_sym_NULL] = ACTIONS(3156),
    [anon_sym_nullptr] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_try] = ACTIONS(3156),
    [anon_sym_delete] = ACTIONS(3156),
    [anon_sym_throw] = ACTIONS(3156),
    [anon_sym_namespace] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
    [anon_sym_concept] = ACTIONS(3156),
    [anon_sym_co_return] = ACTIONS(3156),
    [anon_sym_co_yield] = ACTIONS(3156),
    [anon_sym_R_DQUOTE] = ACTIONS(3158),
    [anon_sym_LR_DQUOTE] = ACTIONS(3158),
    [anon_sym_uR_DQUOTE] = ACTIONS(3158),
    [anon_sym_UR_DQUOTE] = ACTIONS(3158),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3158),
    [anon_sym_co_await] = ACTIONS(3156),
    [anon_sym_new] = ACTIONS(3156),
    [anon_sym_requires] = ACTIONS(3156),
    [sym_this] = ACTIONS(3156),
  },
  [1004] = {
    [ts_builtin_sym_end] = ACTIONS(3229),
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_include_token1] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_BANG] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_DASH] = ACTIONS(3227),
    [anon_sym_PLUS] = ACTIONS(3227),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym___cdecl] = ACTIONS(3227),
    [anon_sym___clrcall] = ACTIONS(3227),
    [anon_sym___stdcall] = ACTIONS(3227),
    [anon_sym___fastcall] = ACTIONS(3227),
    [anon_sym___thiscall] = ACTIONS(3227),
    [anon_sym___vectorcall] = ACTIONS(3227),
    [anon_sym_LBRACE] = ACTIONS(3229),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [anon_sym_if] = ACTIONS(3227),
    [anon_sym_switch] = ACTIONS(3227),
    [anon_sym_case] = ACTIONS(3227),
    [anon_sym_default] = ACTIONS(3227),
    [anon_sym_while] = ACTIONS(3227),
    [anon_sym_do] = ACTIONS(3227),
    [anon_sym_for] = ACTIONS(3227),
    [anon_sym_return] = ACTIONS(3227),
    [anon_sym_break] = ACTIONS(3227),
    [anon_sym_continue] = ACTIONS(3227),
    [anon_sym_goto] = ACTIONS(3227),
    [anon_sym_not] = ACTIONS(3227),
    [anon_sym_compl] = ACTIONS(3227),
    [anon_sym_DASH_DASH] = ACTIONS(3229),
    [anon_sym_PLUS_PLUS] = ACTIONS(3229),
    [anon_sym_sizeof] = ACTIONS(3227),
    [anon_sym___alignof__] = ACTIONS(3227),
    [anon_sym___alignof] = ACTIONS(3227),
    [anon_sym__alignof] = ACTIONS(3227),
    [anon_sym_alignof] = ACTIONS(3227),
    [anon_sym__Alignof] = ACTIONS(3227),
    [anon_sym_offsetof] = ACTIONS(3227),
    [anon_sym__Generic] = ACTIONS(3227),
    [anon_sym_asm] = ACTIONS(3227),
    [anon_sym___asm__] = ACTIONS(3227),
    [sym_number_literal] = ACTIONS(3229),
    [anon_sym_L_SQUOTE] = ACTIONS(3229),
    [anon_sym_u_SQUOTE] = ACTIONS(3229),
    [anon_sym_U_SQUOTE] = ACTIONS(3229),
    [anon_sym_u8_SQUOTE] = ACTIONS(3229),
    [anon_sym_SQUOTE] = ACTIONS(3229),
    [anon_sym_L_DQUOTE] = ACTIONS(3229),
    [anon_sym_u_DQUOTE] = ACTIONS(3229),
    [anon_sym_U_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8_DQUOTE] = ACTIONS(3229),
    [anon_sym_DQUOTE] = ACTIONS(3229),
    [sym_true] = ACTIONS(3227),
    [sym_false] = ACTIONS(3227),
    [anon_sym_NULL] = ACTIONS(3227),
    [anon_sym_nullptr] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_try] = ACTIONS(3227),
    [anon_sym_delete] = ACTIONS(3227),
    [anon_sym_throw] = ACTIONS(3227),
    [anon_sym_namespace] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
    [anon_sym_concept] = ACTIONS(3227),
    [anon_sym_co_return] = ACTIONS(3227),
    [anon_sym_co_yield] = ACTIONS(3227),
    [anon_sym_R_DQUOTE] = ACTIONS(3229),
    [anon_sym_LR_DQUOTE] = ACTIONS(3229),
    [anon_sym_uR_DQUOTE] = ACTIONS(3229),
    [anon_sym_UR_DQUOTE] = ACTIONS(3229),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3229),
    [anon_sym_co_await] = ACTIONS(3227),
    [anon_sym_new] = ACTIONS(3227),
    [anon_sym_requires] = ACTIONS(3227),
    [sym_this] = ACTIONS(3227),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(3182),
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_include_token1] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_BANG] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_DASH] = ACTIONS(3180),
    [anon_sym_PLUS] = ACTIONS(3180),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym___cdecl] = ACTIONS(3180),
    [anon_sym___clrcall] = ACTIONS(3180),
    [anon_sym___stdcall] = ACTIONS(3180),
    [anon_sym___fastcall] = ACTIONS(3180),
    [anon_sym___thiscall] = ACTIONS(3180),
    [anon_sym___vectorcall] = ACTIONS(3180),
    [anon_sym_LBRACE] = ACTIONS(3182),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [anon_sym_if] = ACTIONS(3180),
    [anon_sym_switch] = ACTIONS(3180),
    [anon_sym_case] = ACTIONS(3180),
    [anon_sym_default] = ACTIONS(3180),
    [anon_sym_while] = ACTIONS(3180),
    [anon_sym_do] = ACTIONS(3180),
    [anon_sym_for] = ACTIONS(3180),
    [anon_sym_return] = ACTIONS(3180),
    [anon_sym_break] = ACTIONS(3180),
    [anon_sym_continue] = ACTIONS(3180),
    [anon_sym_goto] = ACTIONS(3180),
    [anon_sym_not] = ACTIONS(3180),
    [anon_sym_compl] = ACTIONS(3180),
    [anon_sym_DASH_DASH] = ACTIONS(3182),
    [anon_sym_PLUS_PLUS] = ACTIONS(3182),
    [anon_sym_sizeof] = ACTIONS(3180),
    [anon_sym___alignof__] = ACTIONS(3180),
    [anon_sym___alignof] = ACTIONS(3180),
    [anon_sym__alignof] = ACTIONS(3180),
    [anon_sym_alignof] = ACTIONS(3180),
    [anon_sym__Alignof] = ACTIONS(3180),
    [anon_sym_offsetof] = ACTIONS(3180),
    [anon_sym__Generic] = ACTIONS(3180),
    [anon_sym_asm] = ACTIONS(3180),
    [anon_sym___asm__] = ACTIONS(3180),
    [sym_number_literal] = ACTIONS(3182),
    [anon_sym_L_SQUOTE] = ACTIONS(3182),
    [anon_sym_u_SQUOTE] = ACTIONS(3182),
    [anon_sym_U_SQUOTE] = ACTIONS(3182),
    [anon_sym_u8_SQUOTE] = ACTIONS(3182),
    [anon_sym_SQUOTE] = ACTIONS(3182),
    [anon_sym_L_DQUOTE] = ACTIONS(3182),
    [anon_sym_u_DQUOTE] = ACTIONS(3182),
    [anon_sym_U_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8_DQUOTE] = ACTIONS(3182),
    [anon_sym_DQUOTE] = ACTIONS(3182),
    [sym_true] = ACTIONS(3180),
    [sym_false] = ACTIONS(3180),
    [anon_sym_NULL] = ACTIONS(3180),
    [anon_sym_nullptr] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_try] = ACTIONS(3180),
    [anon_sym_delete] = ACTIONS(3180),
    [anon_sym_throw] = ACTIONS(3180),
    [anon_sym_namespace] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
    [anon_sym_concept] = ACTIONS(3180),
    [anon_sym_co_return] = ACTIONS(3180),
    [anon_sym_co_yield] = ACTIONS(3180),
    [anon_sym_R_DQUOTE] = ACTIONS(3182),
    [anon_sym_LR_DQUOTE] = ACTIONS(3182),
    [anon_sym_uR_DQUOTE] = ACTIONS(3182),
    [anon_sym_UR_DQUOTE] = ACTIONS(3182),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3182),
    [anon_sym_co_await] = ACTIONS(3180),
    [anon_sym_new] = ACTIONS(3180),
    [anon_sym_requires] = ACTIONS(3180),
    [sym_this] = ACTIONS(3180),
  },
  [1006] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3800),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1007] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3802),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(3162),
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_include_token1] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_BANG] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_DASH] = ACTIONS(3160),
    [anon_sym_PLUS] = ACTIONS(3160),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym___cdecl] = ACTIONS(3160),
    [anon_sym___clrcall] = ACTIONS(3160),
    [anon_sym___stdcall] = ACTIONS(3160),
    [anon_sym___fastcall] = ACTIONS(3160),
    [anon_sym___thiscall] = ACTIONS(3160),
    [anon_sym___vectorcall] = ACTIONS(3160),
    [anon_sym_LBRACE] = ACTIONS(3162),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [anon_sym_if] = ACTIONS(3160),
    [anon_sym_switch] = ACTIONS(3160),
    [anon_sym_case] = ACTIONS(3160),
    [anon_sym_default] = ACTIONS(3160),
    [anon_sym_while] = ACTIONS(3160),
    [anon_sym_do] = ACTIONS(3160),
    [anon_sym_for] = ACTIONS(3160),
    [anon_sym_return] = ACTIONS(3160),
    [anon_sym_break] = ACTIONS(3160),
    [anon_sym_continue] = ACTIONS(3160),
    [anon_sym_goto] = ACTIONS(3160),
    [anon_sym_not] = ACTIONS(3160),
    [anon_sym_compl] = ACTIONS(3160),
    [anon_sym_DASH_DASH] = ACTIONS(3162),
    [anon_sym_PLUS_PLUS] = ACTIONS(3162),
    [anon_sym_sizeof] = ACTIONS(3160),
    [anon_sym___alignof__] = ACTIONS(3160),
    [anon_sym___alignof] = ACTIONS(3160),
    [anon_sym__alignof] = ACTIONS(3160),
    [anon_sym_alignof] = ACTIONS(3160),
    [anon_sym__Alignof] = ACTIONS(3160),
    [anon_sym_offsetof] = ACTIONS(3160),
    [anon_sym__Generic] = ACTIONS(3160),
    [anon_sym_asm] = ACTIONS(3160),
    [anon_sym___asm__] = ACTIONS(3160),
    [sym_number_literal] = ACTIONS(3162),
    [anon_sym_L_SQUOTE] = ACTIONS(3162),
    [anon_sym_u_SQUOTE] = ACTIONS(3162),
    [anon_sym_U_SQUOTE] = ACTIONS(3162),
    [anon_sym_u8_SQUOTE] = ACTIONS(3162),
    [anon_sym_SQUOTE] = ACTIONS(3162),
    [anon_sym_L_DQUOTE] = ACTIONS(3162),
    [anon_sym_u_DQUOTE] = ACTIONS(3162),
    [anon_sym_U_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8_DQUOTE] = ACTIONS(3162),
    [anon_sym_DQUOTE] = ACTIONS(3162),
    [sym_true] = ACTIONS(3160),
    [sym_false] = ACTIONS(3160),
    [anon_sym_NULL] = ACTIONS(3160),
    [anon_sym_nullptr] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_try] = ACTIONS(3160),
    [anon_sym_delete] = ACTIONS(3160),
    [anon_sym_throw] = ACTIONS(3160),
    [anon_sym_namespace] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
    [anon_sym_concept] = ACTIONS(3160),
    [anon_sym_co_return] = ACTIONS(3160),
    [anon_sym_co_yield] = ACTIONS(3160),
    [anon_sym_R_DQUOTE] = ACTIONS(3162),
    [anon_sym_LR_DQUOTE] = ACTIONS(3162),
    [anon_sym_uR_DQUOTE] = ACTIONS(3162),
    [anon_sym_UR_DQUOTE] = ACTIONS(3162),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3162),
    [anon_sym_co_await] = ACTIONS(3160),
    [anon_sym_new] = ACTIONS(3160),
    [anon_sym_requires] = ACTIONS(3160),
    [sym_this] = ACTIONS(3160),
  },
  [1009] = {
    [ts_builtin_sym_end] = ACTIONS(3225),
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_include_token1] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym___cdecl] = ACTIONS(3223),
    [anon_sym___clrcall] = ACTIONS(3223),
    [anon_sym___stdcall] = ACTIONS(3223),
    [anon_sym___fastcall] = ACTIONS(3223),
    [anon_sym___thiscall] = ACTIONS(3223),
    [anon_sym___vectorcall] = ACTIONS(3223),
    [anon_sym_LBRACE] = ACTIONS(3225),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_if] = ACTIONS(3223),
    [anon_sym_switch] = ACTIONS(3223),
    [anon_sym_case] = ACTIONS(3223),
    [anon_sym_default] = ACTIONS(3223),
    [anon_sym_while] = ACTIONS(3223),
    [anon_sym_do] = ACTIONS(3223),
    [anon_sym_for] = ACTIONS(3223),
    [anon_sym_return] = ACTIONS(3223),
    [anon_sym_break] = ACTIONS(3223),
    [anon_sym_continue] = ACTIONS(3223),
    [anon_sym_goto] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [sym_number_literal] = ACTIONS(3225),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_try] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_throw] = ACTIONS(3223),
    [anon_sym_namespace] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
    [anon_sym_concept] = ACTIONS(3223),
    [anon_sym_co_return] = ACTIONS(3223),
    [anon_sym_co_yield] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [1010] = {
    [ts_builtin_sym_end] = ACTIONS(3267),
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_include_token1] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_BANG] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_DASH] = ACTIONS(3265),
    [anon_sym_PLUS] = ACTIONS(3265),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym___cdecl] = ACTIONS(3265),
    [anon_sym___clrcall] = ACTIONS(3265),
    [anon_sym___stdcall] = ACTIONS(3265),
    [anon_sym___fastcall] = ACTIONS(3265),
    [anon_sym___thiscall] = ACTIONS(3265),
    [anon_sym___vectorcall] = ACTIONS(3265),
    [anon_sym_LBRACE] = ACTIONS(3267),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [anon_sym_if] = ACTIONS(3265),
    [anon_sym_switch] = ACTIONS(3265),
    [anon_sym_case] = ACTIONS(3265),
    [anon_sym_default] = ACTIONS(3265),
    [anon_sym_while] = ACTIONS(3265),
    [anon_sym_do] = ACTIONS(3265),
    [anon_sym_for] = ACTIONS(3265),
    [anon_sym_return] = ACTIONS(3265),
    [anon_sym_break] = ACTIONS(3265),
    [anon_sym_continue] = ACTIONS(3265),
    [anon_sym_goto] = ACTIONS(3265),
    [anon_sym_not] = ACTIONS(3265),
    [anon_sym_compl] = ACTIONS(3265),
    [anon_sym_DASH_DASH] = ACTIONS(3267),
    [anon_sym_PLUS_PLUS] = ACTIONS(3267),
    [anon_sym_sizeof] = ACTIONS(3265),
    [anon_sym___alignof__] = ACTIONS(3265),
    [anon_sym___alignof] = ACTIONS(3265),
    [anon_sym__alignof] = ACTIONS(3265),
    [anon_sym_alignof] = ACTIONS(3265),
    [anon_sym__Alignof] = ACTIONS(3265),
    [anon_sym_offsetof] = ACTIONS(3265),
    [anon_sym__Generic] = ACTIONS(3265),
    [anon_sym_asm] = ACTIONS(3265),
    [anon_sym___asm__] = ACTIONS(3265),
    [sym_number_literal] = ACTIONS(3267),
    [anon_sym_L_SQUOTE] = ACTIONS(3267),
    [anon_sym_u_SQUOTE] = ACTIONS(3267),
    [anon_sym_U_SQUOTE] = ACTIONS(3267),
    [anon_sym_u8_SQUOTE] = ACTIONS(3267),
    [anon_sym_SQUOTE] = ACTIONS(3267),
    [anon_sym_L_DQUOTE] = ACTIONS(3267),
    [anon_sym_u_DQUOTE] = ACTIONS(3267),
    [anon_sym_U_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8_DQUOTE] = ACTIONS(3267),
    [anon_sym_DQUOTE] = ACTIONS(3267),
    [sym_true] = ACTIONS(3265),
    [sym_false] = ACTIONS(3265),
    [anon_sym_NULL] = ACTIONS(3265),
    [anon_sym_nullptr] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_try] = ACTIONS(3265),
    [anon_sym_delete] = ACTIONS(3265),
    [anon_sym_throw] = ACTIONS(3265),
    [anon_sym_namespace] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
    [anon_sym_concept] = ACTIONS(3265),
    [anon_sym_co_return] = ACTIONS(3265),
    [anon_sym_co_yield] = ACTIONS(3265),
    [anon_sym_R_DQUOTE] = ACTIONS(3267),
    [anon_sym_LR_DQUOTE] = ACTIONS(3267),
    [anon_sym_uR_DQUOTE] = ACTIONS(3267),
    [anon_sym_UR_DQUOTE] = ACTIONS(3267),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3267),
    [anon_sym_co_await] = ACTIONS(3265),
    [anon_sym_new] = ACTIONS(3265),
    [anon_sym_requires] = ACTIONS(3265),
    [sym_this] = ACTIONS(3265),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(3219),
    [sym_identifier] = ACTIONS(3217),
    [aux_sym_preproc_include_token1] = ACTIONS(3217),
    [aux_sym_preproc_def_token1] = ACTIONS(3217),
    [aux_sym_preproc_if_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3217),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3217),
    [sym_preproc_directive] = ACTIONS(3217),
    [anon_sym_LPAREN2] = ACTIONS(3219),
    [anon_sym_BANG] = ACTIONS(3219),
    [anon_sym_TILDE] = ACTIONS(3219),
    [anon_sym_DASH] = ACTIONS(3217),
    [anon_sym_PLUS] = ACTIONS(3217),
    [anon_sym_STAR] = ACTIONS(3219),
    [anon_sym_AMP_AMP] = ACTIONS(3219),
    [anon_sym_AMP] = ACTIONS(3217),
    [anon_sym___extension__] = ACTIONS(3217),
    [anon_sym_typedef] = ACTIONS(3217),
    [anon_sym_extern] = ACTIONS(3217),
    [anon_sym___attribute__] = ACTIONS(3217),
    [anon_sym_COLON_COLON] = ACTIONS(3219),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3219),
    [anon_sym___declspec] = ACTIONS(3217),
    [anon_sym___based] = ACTIONS(3217),
    [anon_sym___cdecl] = ACTIONS(3217),
    [anon_sym___clrcall] = ACTIONS(3217),
    [anon_sym___stdcall] = ACTIONS(3217),
    [anon_sym___fastcall] = ACTIONS(3217),
    [anon_sym___thiscall] = ACTIONS(3217),
    [anon_sym___vectorcall] = ACTIONS(3217),
    [anon_sym_LBRACE] = ACTIONS(3219),
    [anon_sym_signed] = ACTIONS(3217),
    [anon_sym_unsigned] = ACTIONS(3217),
    [anon_sym_long] = ACTIONS(3217),
    [anon_sym_short] = ACTIONS(3217),
    [anon_sym_LBRACK] = ACTIONS(3217),
    [anon_sym_static] = ACTIONS(3217),
    [anon_sym_register] = ACTIONS(3217),
    [anon_sym_inline] = ACTIONS(3217),
    [anon_sym___inline] = ACTIONS(3217),
    [anon_sym___inline__] = ACTIONS(3217),
    [anon_sym___forceinline] = ACTIONS(3217),
    [anon_sym_thread_local] = ACTIONS(3217),
    [anon_sym___thread] = ACTIONS(3217),
    [anon_sym_const] = ACTIONS(3217),
    [anon_sym_constexpr] = ACTIONS(3217),
    [anon_sym_volatile] = ACTIONS(3217),
    [anon_sym_restrict] = ACTIONS(3217),
    [anon_sym___restrict__] = ACTIONS(3217),
    [anon_sym__Atomic] = ACTIONS(3217),
    [anon_sym__Noreturn] = ACTIONS(3217),
    [anon_sym_noreturn] = ACTIONS(3217),
    [anon_sym_mutable] = ACTIONS(3217),
    [anon_sym_constinit] = ACTIONS(3217),
    [anon_sym_consteval] = ACTIONS(3217),
    [sym_primitive_type] = ACTIONS(3217),
    [anon_sym_enum] = ACTIONS(3217),
    [anon_sym_class] = ACTIONS(3217),
    [anon_sym_struct] = ACTIONS(3217),
    [anon_sym_union] = ACTIONS(3217),
    [anon_sym_if] = ACTIONS(3217),
    [anon_sym_switch] = ACTIONS(3217),
    [anon_sym_case] = ACTIONS(3217),
    [anon_sym_default] = ACTIONS(3217),
    [anon_sym_while] = ACTIONS(3217),
    [anon_sym_do] = ACTIONS(3217),
    [anon_sym_for] = ACTIONS(3217),
    [anon_sym_return] = ACTIONS(3217),
    [anon_sym_break] = ACTIONS(3217),
    [anon_sym_continue] = ACTIONS(3217),
    [anon_sym_goto] = ACTIONS(3217),
    [anon_sym_not] = ACTIONS(3217),
    [anon_sym_compl] = ACTIONS(3217),
    [anon_sym_DASH_DASH] = ACTIONS(3219),
    [anon_sym_PLUS_PLUS] = ACTIONS(3219),
    [anon_sym_sizeof] = ACTIONS(3217),
    [anon_sym___alignof__] = ACTIONS(3217),
    [anon_sym___alignof] = ACTIONS(3217),
    [anon_sym__alignof] = ACTIONS(3217),
    [anon_sym_alignof] = ACTIONS(3217),
    [anon_sym__Alignof] = ACTIONS(3217),
    [anon_sym_offsetof] = ACTIONS(3217),
    [anon_sym__Generic] = ACTIONS(3217),
    [anon_sym_asm] = ACTIONS(3217),
    [anon_sym___asm__] = ACTIONS(3217),
    [sym_number_literal] = ACTIONS(3219),
    [anon_sym_L_SQUOTE] = ACTIONS(3219),
    [anon_sym_u_SQUOTE] = ACTIONS(3219),
    [anon_sym_U_SQUOTE] = ACTIONS(3219),
    [anon_sym_u8_SQUOTE] = ACTIONS(3219),
    [anon_sym_SQUOTE] = ACTIONS(3219),
    [anon_sym_L_DQUOTE] = ACTIONS(3219),
    [anon_sym_u_DQUOTE] = ACTIONS(3219),
    [anon_sym_U_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8_DQUOTE] = ACTIONS(3219),
    [anon_sym_DQUOTE] = ACTIONS(3219),
    [sym_true] = ACTIONS(3217),
    [sym_false] = ACTIONS(3217),
    [anon_sym_NULL] = ACTIONS(3217),
    [anon_sym_nullptr] = ACTIONS(3217),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3217),
    [anon_sym_decltype] = ACTIONS(3217),
    [anon_sym_virtual] = ACTIONS(3217),
    [anon_sym_alignas] = ACTIONS(3217),
    [anon_sym_explicit] = ACTIONS(3217),
    [anon_sym_typename] = ACTIONS(3217),
    [anon_sym_template] = ACTIONS(3217),
    [anon_sym_operator] = ACTIONS(3217),
    [anon_sym_try] = ACTIONS(3217),
    [anon_sym_delete] = ACTIONS(3217),
    [anon_sym_throw] = ACTIONS(3217),
    [anon_sym_namespace] = ACTIONS(3217),
    [anon_sym_using] = ACTIONS(3217),
    [anon_sym_static_assert] = ACTIONS(3217),
    [anon_sym_concept] = ACTIONS(3217),
    [anon_sym_co_return] = ACTIONS(3217),
    [anon_sym_co_yield] = ACTIONS(3217),
    [anon_sym_R_DQUOTE] = ACTIONS(3219),
    [anon_sym_LR_DQUOTE] = ACTIONS(3219),
    [anon_sym_uR_DQUOTE] = ACTIONS(3219),
    [anon_sym_UR_DQUOTE] = ACTIONS(3219),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3219),
    [anon_sym_co_await] = ACTIONS(3217),
    [anon_sym_new] = ACTIONS(3217),
    [anon_sym_requires] = ACTIONS(3217),
    [sym_this] = ACTIONS(3217),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(3215),
    [sym_identifier] = ACTIONS(3213),
    [aux_sym_preproc_include_token1] = ACTIONS(3213),
    [aux_sym_preproc_def_token1] = ACTIONS(3213),
    [aux_sym_preproc_if_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3213),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3213),
    [sym_preproc_directive] = ACTIONS(3213),
    [anon_sym_LPAREN2] = ACTIONS(3215),
    [anon_sym_BANG] = ACTIONS(3215),
    [anon_sym_TILDE] = ACTIONS(3215),
    [anon_sym_DASH] = ACTIONS(3213),
    [anon_sym_PLUS] = ACTIONS(3213),
    [anon_sym_STAR] = ACTIONS(3215),
    [anon_sym_AMP_AMP] = ACTIONS(3215),
    [anon_sym_AMP] = ACTIONS(3213),
    [anon_sym___extension__] = ACTIONS(3213),
    [anon_sym_typedef] = ACTIONS(3213),
    [anon_sym_extern] = ACTIONS(3213),
    [anon_sym___attribute__] = ACTIONS(3213),
    [anon_sym_COLON_COLON] = ACTIONS(3215),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3215),
    [anon_sym___declspec] = ACTIONS(3213),
    [anon_sym___based] = ACTIONS(3213),
    [anon_sym___cdecl] = ACTIONS(3213),
    [anon_sym___clrcall] = ACTIONS(3213),
    [anon_sym___stdcall] = ACTIONS(3213),
    [anon_sym___fastcall] = ACTIONS(3213),
    [anon_sym___thiscall] = ACTIONS(3213),
    [anon_sym___vectorcall] = ACTIONS(3213),
    [anon_sym_LBRACE] = ACTIONS(3215),
    [anon_sym_signed] = ACTIONS(3213),
    [anon_sym_unsigned] = ACTIONS(3213),
    [anon_sym_long] = ACTIONS(3213),
    [anon_sym_short] = ACTIONS(3213),
    [anon_sym_LBRACK] = ACTIONS(3213),
    [anon_sym_static] = ACTIONS(3213),
    [anon_sym_register] = ACTIONS(3213),
    [anon_sym_inline] = ACTIONS(3213),
    [anon_sym___inline] = ACTIONS(3213),
    [anon_sym___inline__] = ACTIONS(3213),
    [anon_sym___forceinline] = ACTIONS(3213),
    [anon_sym_thread_local] = ACTIONS(3213),
    [anon_sym___thread] = ACTIONS(3213),
    [anon_sym_const] = ACTIONS(3213),
    [anon_sym_constexpr] = ACTIONS(3213),
    [anon_sym_volatile] = ACTIONS(3213),
    [anon_sym_restrict] = ACTIONS(3213),
    [anon_sym___restrict__] = ACTIONS(3213),
    [anon_sym__Atomic] = ACTIONS(3213),
    [anon_sym__Noreturn] = ACTIONS(3213),
    [anon_sym_noreturn] = ACTIONS(3213),
    [anon_sym_mutable] = ACTIONS(3213),
    [anon_sym_constinit] = ACTIONS(3213),
    [anon_sym_consteval] = ACTIONS(3213),
    [sym_primitive_type] = ACTIONS(3213),
    [anon_sym_enum] = ACTIONS(3213),
    [anon_sym_class] = ACTIONS(3213),
    [anon_sym_struct] = ACTIONS(3213),
    [anon_sym_union] = ACTIONS(3213),
    [anon_sym_if] = ACTIONS(3213),
    [anon_sym_switch] = ACTIONS(3213),
    [anon_sym_case] = ACTIONS(3213),
    [anon_sym_default] = ACTIONS(3213),
    [anon_sym_while] = ACTIONS(3213),
    [anon_sym_do] = ACTIONS(3213),
    [anon_sym_for] = ACTIONS(3213),
    [anon_sym_return] = ACTIONS(3213),
    [anon_sym_break] = ACTIONS(3213),
    [anon_sym_continue] = ACTIONS(3213),
    [anon_sym_goto] = ACTIONS(3213),
    [anon_sym_not] = ACTIONS(3213),
    [anon_sym_compl] = ACTIONS(3213),
    [anon_sym_DASH_DASH] = ACTIONS(3215),
    [anon_sym_PLUS_PLUS] = ACTIONS(3215),
    [anon_sym_sizeof] = ACTIONS(3213),
    [anon_sym___alignof__] = ACTIONS(3213),
    [anon_sym___alignof] = ACTIONS(3213),
    [anon_sym__alignof] = ACTIONS(3213),
    [anon_sym_alignof] = ACTIONS(3213),
    [anon_sym__Alignof] = ACTIONS(3213),
    [anon_sym_offsetof] = ACTIONS(3213),
    [anon_sym__Generic] = ACTIONS(3213),
    [anon_sym_asm] = ACTIONS(3213),
    [anon_sym___asm__] = ACTIONS(3213),
    [sym_number_literal] = ACTIONS(3215),
    [anon_sym_L_SQUOTE] = ACTIONS(3215),
    [anon_sym_u_SQUOTE] = ACTIONS(3215),
    [anon_sym_U_SQUOTE] = ACTIONS(3215),
    [anon_sym_u8_SQUOTE] = ACTIONS(3215),
    [anon_sym_SQUOTE] = ACTIONS(3215),
    [anon_sym_L_DQUOTE] = ACTIONS(3215),
    [anon_sym_u_DQUOTE] = ACTIONS(3215),
    [anon_sym_U_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8_DQUOTE] = ACTIONS(3215),
    [anon_sym_DQUOTE] = ACTIONS(3215),
    [sym_true] = ACTIONS(3213),
    [sym_false] = ACTIONS(3213),
    [anon_sym_NULL] = ACTIONS(3213),
    [anon_sym_nullptr] = ACTIONS(3213),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3213),
    [anon_sym_decltype] = ACTIONS(3213),
    [anon_sym_virtual] = ACTIONS(3213),
    [anon_sym_alignas] = ACTIONS(3213),
    [anon_sym_explicit] = ACTIONS(3213),
    [anon_sym_typename] = ACTIONS(3213),
    [anon_sym_template] = ACTIONS(3213),
    [anon_sym_operator] = ACTIONS(3213),
    [anon_sym_try] = ACTIONS(3213),
    [anon_sym_delete] = ACTIONS(3213),
    [anon_sym_throw] = ACTIONS(3213),
    [anon_sym_namespace] = ACTIONS(3213),
    [anon_sym_using] = ACTIONS(3213),
    [anon_sym_static_assert] = ACTIONS(3213),
    [anon_sym_concept] = ACTIONS(3213),
    [anon_sym_co_return] = ACTIONS(3213),
    [anon_sym_co_yield] = ACTIONS(3213),
    [anon_sym_R_DQUOTE] = ACTIONS(3215),
    [anon_sym_LR_DQUOTE] = ACTIONS(3215),
    [anon_sym_uR_DQUOTE] = ACTIONS(3215),
    [anon_sym_UR_DQUOTE] = ACTIONS(3215),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3215),
    [anon_sym_co_await] = ACTIONS(3213),
    [anon_sym_new] = ACTIONS(3213),
    [anon_sym_requires] = ACTIONS(3213),
    [sym_this] = ACTIONS(3213),
  },
  [1013] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3804),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1014] = {
    [sym_preproc_def] = STATE(1006),
    [sym_preproc_function_def] = STATE(1006),
    [sym_preproc_call] = STATE(1006),
    [sym_preproc_if_in_field_declaration_list] = STATE(1006),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1006),
    [sym_type_definition] = STATE(1006),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1006),
    [sym_field_declaration] = STATE(1006),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1006),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1006),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1006),
    [sym_operator_cast_declaration] = STATE(1006),
    [sym_constructor_or_destructor_definition] = STATE(1006),
    [sym_constructor_or_destructor_declaration] = STATE(1006),
    [sym_friend_declaration] = STATE(1006),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1006),
    [sym_alias_declaration] = STATE(1006),
    [sym_static_assert_declaration] = STATE(1006),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1006),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3806),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1015] = {
    [sym_preproc_def] = STATE(1000),
    [sym_preproc_function_def] = STATE(1000),
    [sym_preproc_call] = STATE(1000),
    [sym_preproc_if_in_field_declaration_list] = STATE(1000),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1000),
    [sym_type_definition] = STATE(1000),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1000),
    [sym_field_declaration] = STATE(1000),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1000),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1000),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1000),
    [sym_operator_cast_declaration] = STATE(1000),
    [sym_constructor_or_destructor_definition] = STATE(1000),
    [sym_constructor_or_destructor_declaration] = STATE(1000),
    [sym_friend_declaration] = STATE(1000),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1000),
    [sym_alias_declaration] = STATE(1000),
    [sym_static_assert_declaration] = STATE(1000),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1000),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3808),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1016] = {
    [ts_builtin_sym_end] = ACTIONS(3203),
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_include_token1] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_BANG] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_DASH] = ACTIONS(3201),
    [anon_sym_PLUS] = ACTIONS(3201),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym___cdecl] = ACTIONS(3201),
    [anon_sym___clrcall] = ACTIONS(3201),
    [anon_sym___stdcall] = ACTIONS(3201),
    [anon_sym___fastcall] = ACTIONS(3201),
    [anon_sym___thiscall] = ACTIONS(3201),
    [anon_sym___vectorcall] = ACTIONS(3201),
    [anon_sym_LBRACE] = ACTIONS(3203),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [anon_sym_if] = ACTIONS(3201),
    [anon_sym_switch] = ACTIONS(3201),
    [anon_sym_case] = ACTIONS(3201),
    [anon_sym_default] = ACTIONS(3201),
    [anon_sym_while] = ACTIONS(3201),
    [anon_sym_do] = ACTIONS(3201),
    [anon_sym_for] = ACTIONS(3201),
    [anon_sym_return] = ACTIONS(3201),
    [anon_sym_break] = ACTIONS(3201),
    [anon_sym_continue] = ACTIONS(3201),
    [anon_sym_goto] = ACTIONS(3201),
    [anon_sym_not] = ACTIONS(3201),
    [anon_sym_compl] = ACTIONS(3201),
    [anon_sym_DASH_DASH] = ACTIONS(3203),
    [anon_sym_PLUS_PLUS] = ACTIONS(3203),
    [anon_sym_sizeof] = ACTIONS(3201),
    [anon_sym___alignof__] = ACTIONS(3201),
    [anon_sym___alignof] = ACTIONS(3201),
    [anon_sym__alignof] = ACTIONS(3201),
    [anon_sym_alignof] = ACTIONS(3201),
    [anon_sym__Alignof] = ACTIONS(3201),
    [anon_sym_offsetof] = ACTIONS(3201),
    [anon_sym__Generic] = ACTIONS(3201),
    [anon_sym_asm] = ACTIONS(3201),
    [anon_sym___asm__] = ACTIONS(3201),
    [sym_number_literal] = ACTIONS(3203),
    [anon_sym_L_SQUOTE] = ACTIONS(3203),
    [anon_sym_u_SQUOTE] = ACTIONS(3203),
    [anon_sym_U_SQUOTE] = ACTIONS(3203),
    [anon_sym_u8_SQUOTE] = ACTIONS(3203),
    [anon_sym_SQUOTE] = ACTIONS(3203),
    [anon_sym_L_DQUOTE] = ACTIONS(3203),
    [anon_sym_u_DQUOTE] = ACTIONS(3203),
    [anon_sym_U_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8_DQUOTE] = ACTIONS(3203),
    [anon_sym_DQUOTE] = ACTIONS(3203),
    [sym_true] = ACTIONS(3201),
    [sym_false] = ACTIONS(3201),
    [anon_sym_NULL] = ACTIONS(3201),
    [anon_sym_nullptr] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_try] = ACTIONS(3201),
    [anon_sym_delete] = ACTIONS(3201),
    [anon_sym_throw] = ACTIONS(3201),
    [anon_sym_namespace] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
    [anon_sym_concept] = ACTIONS(3201),
    [anon_sym_co_return] = ACTIONS(3201),
    [anon_sym_co_yield] = ACTIONS(3201),
    [anon_sym_R_DQUOTE] = ACTIONS(3203),
    [anon_sym_LR_DQUOTE] = ACTIONS(3203),
    [anon_sym_uR_DQUOTE] = ACTIONS(3203),
    [anon_sym_UR_DQUOTE] = ACTIONS(3203),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3203),
    [anon_sym_co_await] = ACTIONS(3201),
    [anon_sym_new] = ACTIONS(3201),
    [anon_sym_requires] = ACTIONS(3201),
    [sym_this] = ACTIONS(3201),
  },
  [1017] = {
    [ts_builtin_sym_end] = ACTIONS(3199),
    [sym_identifier] = ACTIONS(3197),
    [aux_sym_preproc_include_token1] = ACTIONS(3197),
    [aux_sym_preproc_def_token1] = ACTIONS(3197),
    [aux_sym_preproc_if_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3197),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3197),
    [sym_preproc_directive] = ACTIONS(3197),
    [anon_sym_LPAREN2] = ACTIONS(3199),
    [anon_sym_BANG] = ACTIONS(3199),
    [anon_sym_TILDE] = ACTIONS(3199),
    [anon_sym_DASH] = ACTIONS(3197),
    [anon_sym_PLUS] = ACTIONS(3197),
    [anon_sym_STAR] = ACTIONS(3199),
    [anon_sym_AMP_AMP] = ACTIONS(3199),
    [anon_sym_AMP] = ACTIONS(3197),
    [anon_sym___extension__] = ACTIONS(3197),
    [anon_sym_typedef] = ACTIONS(3197),
    [anon_sym_extern] = ACTIONS(3197),
    [anon_sym___attribute__] = ACTIONS(3197),
    [anon_sym_COLON_COLON] = ACTIONS(3199),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3199),
    [anon_sym___declspec] = ACTIONS(3197),
    [anon_sym___based] = ACTIONS(3197),
    [anon_sym___cdecl] = ACTIONS(3197),
    [anon_sym___clrcall] = ACTIONS(3197),
    [anon_sym___stdcall] = ACTIONS(3197),
    [anon_sym___fastcall] = ACTIONS(3197),
    [anon_sym___thiscall] = ACTIONS(3197),
    [anon_sym___vectorcall] = ACTIONS(3197),
    [anon_sym_LBRACE] = ACTIONS(3199),
    [anon_sym_signed] = ACTIONS(3197),
    [anon_sym_unsigned] = ACTIONS(3197),
    [anon_sym_long] = ACTIONS(3197),
    [anon_sym_short] = ACTIONS(3197),
    [anon_sym_LBRACK] = ACTIONS(3197),
    [anon_sym_static] = ACTIONS(3197),
    [anon_sym_register] = ACTIONS(3197),
    [anon_sym_inline] = ACTIONS(3197),
    [anon_sym___inline] = ACTIONS(3197),
    [anon_sym___inline__] = ACTIONS(3197),
    [anon_sym___forceinline] = ACTIONS(3197),
    [anon_sym_thread_local] = ACTIONS(3197),
    [anon_sym___thread] = ACTIONS(3197),
    [anon_sym_const] = ACTIONS(3197),
    [anon_sym_constexpr] = ACTIONS(3197),
    [anon_sym_volatile] = ACTIONS(3197),
    [anon_sym_restrict] = ACTIONS(3197),
    [anon_sym___restrict__] = ACTIONS(3197),
    [anon_sym__Atomic] = ACTIONS(3197),
    [anon_sym__Noreturn] = ACTIONS(3197),
    [anon_sym_noreturn] = ACTIONS(3197),
    [anon_sym_mutable] = ACTIONS(3197),
    [anon_sym_constinit] = ACTIONS(3197),
    [anon_sym_consteval] = ACTIONS(3197),
    [sym_primitive_type] = ACTIONS(3197),
    [anon_sym_enum] = ACTIONS(3197),
    [anon_sym_class] = ACTIONS(3197),
    [anon_sym_struct] = ACTIONS(3197),
    [anon_sym_union] = ACTIONS(3197),
    [anon_sym_if] = ACTIONS(3197),
    [anon_sym_switch] = ACTIONS(3197),
    [anon_sym_case] = ACTIONS(3197),
    [anon_sym_default] = ACTIONS(3197),
    [anon_sym_while] = ACTIONS(3197),
    [anon_sym_do] = ACTIONS(3197),
    [anon_sym_for] = ACTIONS(3197),
    [anon_sym_return] = ACTIONS(3197),
    [anon_sym_break] = ACTIONS(3197),
    [anon_sym_continue] = ACTIONS(3197),
    [anon_sym_goto] = ACTIONS(3197),
    [anon_sym_not] = ACTIONS(3197),
    [anon_sym_compl] = ACTIONS(3197),
    [anon_sym_DASH_DASH] = ACTIONS(3199),
    [anon_sym_PLUS_PLUS] = ACTIONS(3199),
    [anon_sym_sizeof] = ACTIONS(3197),
    [anon_sym___alignof__] = ACTIONS(3197),
    [anon_sym___alignof] = ACTIONS(3197),
    [anon_sym__alignof] = ACTIONS(3197),
    [anon_sym_alignof] = ACTIONS(3197),
    [anon_sym__Alignof] = ACTIONS(3197),
    [anon_sym_offsetof] = ACTIONS(3197),
    [anon_sym__Generic] = ACTIONS(3197),
    [anon_sym_asm] = ACTIONS(3197),
    [anon_sym___asm__] = ACTIONS(3197),
    [sym_number_literal] = ACTIONS(3199),
    [anon_sym_L_SQUOTE] = ACTIONS(3199),
    [anon_sym_u_SQUOTE] = ACTIONS(3199),
    [anon_sym_U_SQUOTE] = ACTIONS(3199),
    [anon_sym_u8_SQUOTE] = ACTIONS(3199),
    [anon_sym_SQUOTE] = ACTIONS(3199),
    [anon_sym_L_DQUOTE] = ACTIONS(3199),
    [anon_sym_u_DQUOTE] = ACTIONS(3199),
    [anon_sym_U_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8_DQUOTE] = ACTIONS(3199),
    [anon_sym_DQUOTE] = ACTIONS(3199),
    [sym_true] = ACTIONS(3197),
    [sym_false] = ACTIONS(3197),
    [anon_sym_NULL] = ACTIONS(3197),
    [anon_sym_nullptr] = ACTIONS(3197),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3197),
    [anon_sym_decltype] = ACTIONS(3197),
    [anon_sym_virtual] = ACTIONS(3197),
    [anon_sym_alignas] = ACTIONS(3197),
    [anon_sym_explicit] = ACTIONS(3197),
    [anon_sym_typename] = ACTIONS(3197),
    [anon_sym_template] = ACTIONS(3197),
    [anon_sym_operator] = ACTIONS(3197),
    [anon_sym_try] = ACTIONS(3197),
    [anon_sym_delete] = ACTIONS(3197),
    [anon_sym_throw] = ACTIONS(3197),
    [anon_sym_namespace] = ACTIONS(3197),
    [anon_sym_using] = ACTIONS(3197),
    [anon_sym_static_assert] = ACTIONS(3197),
    [anon_sym_concept] = ACTIONS(3197),
    [anon_sym_co_return] = ACTIONS(3197),
    [anon_sym_co_yield] = ACTIONS(3197),
    [anon_sym_R_DQUOTE] = ACTIONS(3199),
    [anon_sym_LR_DQUOTE] = ACTIONS(3199),
    [anon_sym_uR_DQUOTE] = ACTIONS(3199),
    [anon_sym_UR_DQUOTE] = ACTIONS(3199),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3199),
    [anon_sym_co_await] = ACTIONS(3197),
    [anon_sym_new] = ACTIONS(3197),
    [anon_sym_requires] = ACTIONS(3197),
    [sym_this] = ACTIONS(3197),
  },
  [1018] = {
    [ts_builtin_sym_end] = ACTIONS(3049),
    [sym_identifier] = ACTIONS(3047),
    [aux_sym_preproc_include_token1] = ACTIONS(3047),
    [aux_sym_preproc_def_token1] = ACTIONS(3047),
    [aux_sym_preproc_if_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3047),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3047),
    [sym_preproc_directive] = ACTIONS(3047),
    [anon_sym_LPAREN2] = ACTIONS(3049),
    [anon_sym_BANG] = ACTIONS(3049),
    [anon_sym_TILDE] = ACTIONS(3049),
    [anon_sym_DASH] = ACTIONS(3047),
    [anon_sym_PLUS] = ACTIONS(3047),
    [anon_sym_STAR] = ACTIONS(3049),
    [anon_sym_AMP_AMP] = ACTIONS(3049),
    [anon_sym_AMP] = ACTIONS(3047),
    [anon_sym___extension__] = ACTIONS(3047),
    [anon_sym_typedef] = ACTIONS(3047),
    [anon_sym_extern] = ACTIONS(3047),
    [anon_sym___attribute__] = ACTIONS(3047),
    [anon_sym_COLON_COLON] = ACTIONS(3049),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3049),
    [anon_sym___declspec] = ACTIONS(3047),
    [anon_sym___based] = ACTIONS(3047),
    [anon_sym___cdecl] = ACTIONS(3047),
    [anon_sym___clrcall] = ACTIONS(3047),
    [anon_sym___stdcall] = ACTIONS(3047),
    [anon_sym___fastcall] = ACTIONS(3047),
    [anon_sym___thiscall] = ACTIONS(3047),
    [anon_sym___vectorcall] = ACTIONS(3047),
    [anon_sym_LBRACE] = ACTIONS(3049),
    [anon_sym_signed] = ACTIONS(3047),
    [anon_sym_unsigned] = ACTIONS(3047),
    [anon_sym_long] = ACTIONS(3047),
    [anon_sym_short] = ACTIONS(3047),
    [anon_sym_LBRACK] = ACTIONS(3047),
    [anon_sym_static] = ACTIONS(3047),
    [anon_sym_register] = ACTIONS(3047),
    [anon_sym_inline] = ACTIONS(3047),
    [anon_sym___inline] = ACTIONS(3047),
    [anon_sym___inline__] = ACTIONS(3047),
    [anon_sym___forceinline] = ACTIONS(3047),
    [anon_sym_thread_local] = ACTIONS(3047),
    [anon_sym___thread] = ACTIONS(3047),
    [anon_sym_const] = ACTIONS(3047),
    [anon_sym_constexpr] = ACTIONS(3047),
    [anon_sym_volatile] = ACTIONS(3047),
    [anon_sym_restrict] = ACTIONS(3047),
    [anon_sym___restrict__] = ACTIONS(3047),
    [anon_sym__Atomic] = ACTIONS(3047),
    [anon_sym__Noreturn] = ACTIONS(3047),
    [anon_sym_noreturn] = ACTIONS(3047),
    [anon_sym_mutable] = ACTIONS(3047),
    [anon_sym_constinit] = ACTIONS(3047),
    [anon_sym_consteval] = ACTIONS(3047),
    [sym_primitive_type] = ACTIONS(3047),
    [anon_sym_enum] = ACTIONS(3047),
    [anon_sym_class] = ACTIONS(3047),
    [anon_sym_struct] = ACTIONS(3047),
    [anon_sym_union] = ACTIONS(3047),
    [anon_sym_if] = ACTIONS(3047),
    [anon_sym_switch] = ACTIONS(3047),
    [anon_sym_case] = ACTIONS(3047),
    [anon_sym_default] = ACTIONS(3047),
    [anon_sym_while] = ACTIONS(3047),
    [anon_sym_do] = ACTIONS(3047),
    [anon_sym_for] = ACTIONS(3047),
    [anon_sym_return] = ACTIONS(3047),
    [anon_sym_break] = ACTIONS(3047),
    [anon_sym_continue] = ACTIONS(3047),
    [anon_sym_goto] = ACTIONS(3047),
    [anon_sym_not] = ACTIONS(3047),
    [anon_sym_compl] = ACTIONS(3047),
    [anon_sym_DASH_DASH] = ACTIONS(3049),
    [anon_sym_PLUS_PLUS] = ACTIONS(3049),
    [anon_sym_sizeof] = ACTIONS(3047),
    [anon_sym___alignof__] = ACTIONS(3047),
    [anon_sym___alignof] = ACTIONS(3047),
    [anon_sym__alignof] = ACTIONS(3047),
    [anon_sym_alignof] = ACTIONS(3047),
    [anon_sym__Alignof] = ACTIONS(3047),
    [anon_sym_offsetof] = ACTIONS(3047),
    [anon_sym__Generic] = ACTIONS(3047),
    [anon_sym_asm] = ACTIONS(3047),
    [anon_sym___asm__] = ACTIONS(3047),
    [sym_number_literal] = ACTIONS(3049),
    [anon_sym_L_SQUOTE] = ACTIONS(3049),
    [anon_sym_u_SQUOTE] = ACTIONS(3049),
    [anon_sym_U_SQUOTE] = ACTIONS(3049),
    [anon_sym_u8_SQUOTE] = ACTIONS(3049),
    [anon_sym_SQUOTE] = ACTIONS(3049),
    [anon_sym_L_DQUOTE] = ACTIONS(3049),
    [anon_sym_u_DQUOTE] = ACTIONS(3049),
    [anon_sym_U_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8_DQUOTE] = ACTIONS(3049),
    [anon_sym_DQUOTE] = ACTIONS(3049),
    [sym_true] = ACTIONS(3047),
    [sym_false] = ACTIONS(3047),
    [anon_sym_NULL] = ACTIONS(3047),
    [anon_sym_nullptr] = ACTIONS(3047),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3047),
    [anon_sym_decltype] = ACTIONS(3047),
    [anon_sym_virtual] = ACTIONS(3047),
    [anon_sym_alignas] = ACTIONS(3047),
    [anon_sym_explicit] = ACTIONS(3047),
    [anon_sym_typename] = ACTIONS(3047),
    [anon_sym_template] = ACTIONS(3047),
    [anon_sym_operator] = ACTIONS(3047),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_delete] = ACTIONS(3047),
    [anon_sym_throw] = ACTIONS(3047),
    [anon_sym_namespace] = ACTIONS(3047),
    [anon_sym_using] = ACTIONS(3047),
    [anon_sym_static_assert] = ACTIONS(3047),
    [anon_sym_concept] = ACTIONS(3047),
    [anon_sym_co_return] = ACTIONS(3047),
    [anon_sym_co_yield] = ACTIONS(3047),
    [anon_sym_R_DQUOTE] = ACTIONS(3049),
    [anon_sym_LR_DQUOTE] = ACTIONS(3049),
    [anon_sym_uR_DQUOTE] = ACTIONS(3049),
    [anon_sym_UR_DQUOTE] = ACTIONS(3049),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3049),
    [anon_sym_co_await] = ACTIONS(3047),
    [anon_sym_new] = ACTIONS(3047),
    [anon_sym_requires] = ACTIONS(3047),
    [sym_this] = ACTIONS(3047),
  },
  [1019] = {
    [ts_builtin_sym_end] = ACTIONS(3304),
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_include_token1] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_BANG] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_DASH] = ACTIONS(3302),
    [anon_sym_PLUS] = ACTIONS(3302),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym___cdecl] = ACTIONS(3302),
    [anon_sym___clrcall] = ACTIONS(3302),
    [anon_sym___stdcall] = ACTIONS(3302),
    [anon_sym___fastcall] = ACTIONS(3302),
    [anon_sym___thiscall] = ACTIONS(3302),
    [anon_sym___vectorcall] = ACTIONS(3302),
    [anon_sym_LBRACE] = ACTIONS(3304),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [anon_sym_if] = ACTIONS(3302),
    [anon_sym_switch] = ACTIONS(3302),
    [anon_sym_case] = ACTIONS(3302),
    [anon_sym_default] = ACTIONS(3302),
    [anon_sym_while] = ACTIONS(3302),
    [anon_sym_do] = ACTIONS(3302),
    [anon_sym_for] = ACTIONS(3302),
    [anon_sym_return] = ACTIONS(3302),
    [anon_sym_break] = ACTIONS(3302),
    [anon_sym_continue] = ACTIONS(3302),
    [anon_sym_goto] = ACTIONS(3302),
    [anon_sym_not] = ACTIONS(3302),
    [anon_sym_compl] = ACTIONS(3302),
    [anon_sym_DASH_DASH] = ACTIONS(3304),
    [anon_sym_PLUS_PLUS] = ACTIONS(3304),
    [anon_sym_sizeof] = ACTIONS(3302),
    [anon_sym___alignof__] = ACTIONS(3302),
    [anon_sym___alignof] = ACTIONS(3302),
    [anon_sym__alignof] = ACTIONS(3302),
    [anon_sym_alignof] = ACTIONS(3302),
    [anon_sym__Alignof] = ACTIONS(3302),
    [anon_sym_offsetof] = ACTIONS(3302),
    [anon_sym__Generic] = ACTIONS(3302),
    [anon_sym_asm] = ACTIONS(3302),
    [anon_sym___asm__] = ACTIONS(3302),
    [sym_number_literal] = ACTIONS(3304),
    [anon_sym_L_SQUOTE] = ACTIONS(3304),
    [anon_sym_u_SQUOTE] = ACTIONS(3304),
    [anon_sym_U_SQUOTE] = ACTIONS(3304),
    [anon_sym_u8_SQUOTE] = ACTIONS(3304),
    [anon_sym_SQUOTE] = ACTIONS(3304),
    [anon_sym_L_DQUOTE] = ACTIONS(3304),
    [anon_sym_u_DQUOTE] = ACTIONS(3304),
    [anon_sym_U_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8_DQUOTE] = ACTIONS(3304),
    [anon_sym_DQUOTE] = ACTIONS(3304),
    [sym_true] = ACTIONS(3302),
    [sym_false] = ACTIONS(3302),
    [anon_sym_NULL] = ACTIONS(3302),
    [anon_sym_nullptr] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_try] = ACTIONS(3302),
    [anon_sym_delete] = ACTIONS(3302),
    [anon_sym_throw] = ACTIONS(3302),
    [anon_sym_namespace] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
    [anon_sym_concept] = ACTIONS(3302),
    [anon_sym_co_return] = ACTIONS(3302),
    [anon_sym_co_yield] = ACTIONS(3302),
    [anon_sym_R_DQUOTE] = ACTIONS(3304),
    [anon_sym_LR_DQUOTE] = ACTIONS(3304),
    [anon_sym_uR_DQUOTE] = ACTIONS(3304),
    [anon_sym_UR_DQUOTE] = ACTIONS(3304),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3304),
    [anon_sym_co_await] = ACTIONS(3302),
    [anon_sym_new] = ACTIONS(3302),
    [anon_sym_requires] = ACTIONS(3302),
    [sym_this] = ACTIONS(3302),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(3146),
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_include_token1] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_BANG] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_DASH] = ACTIONS(3144),
    [anon_sym_PLUS] = ACTIONS(3144),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym___cdecl] = ACTIONS(3144),
    [anon_sym___clrcall] = ACTIONS(3144),
    [anon_sym___stdcall] = ACTIONS(3144),
    [anon_sym___fastcall] = ACTIONS(3144),
    [anon_sym___thiscall] = ACTIONS(3144),
    [anon_sym___vectorcall] = ACTIONS(3144),
    [anon_sym_LBRACE] = ACTIONS(3146),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [anon_sym_if] = ACTIONS(3144),
    [anon_sym_switch] = ACTIONS(3144),
    [anon_sym_case] = ACTIONS(3144),
    [anon_sym_default] = ACTIONS(3144),
    [anon_sym_while] = ACTIONS(3144),
    [anon_sym_do] = ACTIONS(3144),
    [anon_sym_for] = ACTIONS(3144),
    [anon_sym_return] = ACTIONS(3144),
    [anon_sym_break] = ACTIONS(3144),
    [anon_sym_continue] = ACTIONS(3144),
    [anon_sym_goto] = ACTIONS(3144),
    [anon_sym_not] = ACTIONS(3144),
    [anon_sym_compl] = ACTIONS(3144),
    [anon_sym_DASH_DASH] = ACTIONS(3146),
    [anon_sym_PLUS_PLUS] = ACTIONS(3146),
    [anon_sym_sizeof] = ACTIONS(3144),
    [anon_sym___alignof__] = ACTIONS(3144),
    [anon_sym___alignof] = ACTIONS(3144),
    [anon_sym__alignof] = ACTIONS(3144),
    [anon_sym_alignof] = ACTIONS(3144),
    [anon_sym__Alignof] = ACTIONS(3144),
    [anon_sym_offsetof] = ACTIONS(3144),
    [anon_sym__Generic] = ACTIONS(3144),
    [anon_sym_asm] = ACTIONS(3144),
    [anon_sym___asm__] = ACTIONS(3144),
    [sym_number_literal] = ACTIONS(3146),
    [anon_sym_L_SQUOTE] = ACTIONS(3146),
    [anon_sym_u_SQUOTE] = ACTIONS(3146),
    [anon_sym_U_SQUOTE] = ACTIONS(3146),
    [anon_sym_u8_SQUOTE] = ACTIONS(3146),
    [anon_sym_SQUOTE] = ACTIONS(3146),
    [anon_sym_L_DQUOTE] = ACTIONS(3146),
    [anon_sym_u_DQUOTE] = ACTIONS(3146),
    [anon_sym_U_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8_DQUOTE] = ACTIONS(3146),
    [anon_sym_DQUOTE] = ACTIONS(3146),
    [sym_true] = ACTIONS(3144),
    [sym_false] = ACTIONS(3144),
    [anon_sym_NULL] = ACTIONS(3144),
    [anon_sym_nullptr] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_try] = ACTIONS(3144),
    [anon_sym_delete] = ACTIONS(3144),
    [anon_sym_throw] = ACTIONS(3144),
    [anon_sym_namespace] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
    [anon_sym_concept] = ACTIONS(3144),
    [anon_sym_co_return] = ACTIONS(3144),
    [anon_sym_co_yield] = ACTIONS(3144),
    [anon_sym_R_DQUOTE] = ACTIONS(3146),
    [anon_sym_LR_DQUOTE] = ACTIONS(3146),
    [anon_sym_uR_DQUOTE] = ACTIONS(3146),
    [anon_sym_UR_DQUOTE] = ACTIONS(3146),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3146),
    [anon_sym_co_await] = ACTIONS(3144),
    [anon_sym_new] = ACTIONS(3144),
    [anon_sym_requires] = ACTIONS(3144),
    [sym_this] = ACTIONS(3144),
  },
  [1021] = {
    [sym_preproc_def] = STATE(1013),
    [sym_preproc_function_def] = STATE(1013),
    [sym_preproc_call] = STATE(1013),
    [sym_preproc_if_in_field_declaration_list] = STATE(1013),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1013),
    [sym_type_definition] = STATE(1013),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1013),
    [sym_field_declaration] = STATE(1013),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1013),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1013),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1013),
    [sym_operator_cast_declaration] = STATE(1013),
    [sym_constructor_or_destructor_definition] = STATE(1013),
    [sym_constructor_or_destructor_declaration] = STATE(1013),
    [sym_friend_declaration] = STATE(1013),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1013),
    [sym_alias_declaration] = STATE(1013),
    [sym_static_assert_declaration] = STATE(1013),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1013),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3810),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(3142),
    [sym_identifier] = ACTIONS(3140),
    [aux_sym_preproc_include_token1] = ACTIONS(3140),
    [aux_sym_preproc_def_token1] = ACTIONS(3140),
    [aux_sym_preproc_if_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3140),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3140),
    [sym_preproc_directive] = ACTIONS(3140),
    [anon_sym_LPAREN2] = ACTIONS(3142),
    [anon_sym_BANG] = ACTIONS(3142),
    [anon_sym_TILDE] = ACTIONS(3142),
    [anon_sym_DASH] = ACTIONS(3140),
    [anon_sym_PLUS] = ACTIONS(3140),
    [anon_sym_STAR] = ACTIONS(3142),
    [anon_sym_AMP_AMP] = ACTIONS(3142),
    [anon_sym_AMP] = ACTIONS(3140),
    [anon_sym___extension__] = ACTIONS(3140),
    [anon_sym_typedef] = ACTIONS(3140),
    [anon_sym_extern] = ACTIONS(3140),
    [anon_sym___attribute__] = ACTIONS(3140),
    [anon_sym_COLON_COLON] = ACTIONS(3142),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3142),
    [anon_sym___declspec] = ACTIONS(3140),
    [anon_sym___based] = ACTIONS(3140),
    [anon_sym___cdecl] = ACTIONS(3140),
    [anon_sym___clrcall] = ACTIONS(3140),
    [anon_sym___stdcall] = ACTIONS(3140),
    [anon_sym___fastcall] = ACTIONS(3140),
    [anon_sym___thiscall] = ACTIONS(3140),
    [anon_sym___vectorcall] = ACTIONS(3140),
    [anon_sym_LBRACE] = ACTIONS(3142),
    [anon_sym_signed] = ACTIONS(3140),
    [anon_sym_unsigned] = ACTIONS(3140),
    [anon_sym_long] = ACTIONS(3140),
    [anon_sym_short] = ACTIONS(3140),
    [anon_sym_LBRACK] = ACTIONS(3140),
    [anon_sym_static] = ACTIONS(3140),
    [anon_sym_register] = ACTIONS(3140),
    [anon_sym_inline] = ACTIONS(3140),
    [anon_sym___inline] = ACTIONS(3140),
    [anon_sym___inline__] = ACTIONS(3140),
    [anon_sym___forceinline] = ACTIONS(3140),
    [anon_sym_thread_local] = ACTIONS(3140),
    [anon_sym___thread] = ACTIONS(3140),
    [anon_sym_const] = ACTIONS(3140),
    [anon_sym_constexpr] = ACTIONS(3140),
    [anon_sym_volatile] = ACTIONS(3140),
    [anon_sym_restrict] = ACTIONS(3140),
    [anon_sym___restrict__] = ACTIONS(3140),
    [anon_sym__Atomic] = ACTIONS(3140),
    [anon_sym__Noreturn] = ACTIONS(3140),
    [anon_sym_noreturn] = ACTIONS(3140),
    [anon_sym_mutable] = ACTIONS(3140),
    [anon_sym_constinit] = ACTIONS(3140),
    [anon_sym_consteval] = ACTIONS(3140),
    [sym_primitive_type] = ACTIONS(3140),
    [anon_sym_enum] = ACTIONS(3140),
    [anon_sym_class] = ACTIONS(3140),
    [anon_sym_struct] = ACTIONS(3140),
    [anon_sym_union] = ACTIONS(3140),
    [anon_sym_if] = ACTIONS(3140),
    [anon_sym_switch] = ACTIONS(3140),
    [anon_sym_case] = ACTIONS(3140),
    [anon_sym_default] = ACTIONS(3140),
    [anon_sym_while] = ACTIONS(3140),
    [anon_sym_do] = ACTIONS(3140),
    [anon_sym_for] = ACTIONS(3140),
    [anon_sym_return] = ACTIONS(3140),
    [anon_sym_break] = ACTIONS(3140),
    [anon_sym_continue] = ACTIONS(3140),
    [anon_sym_goto] = ACTIONS(3140),
    [anon_sym_not] = ACTIONS(3140),
    [anon_sym_compl] = ACTIONS(3140),
    [anon_sym_DASH_DASH] = ACTIONS(3142),
    [anon_sym_PLUS_PLUS] = ACTIONS(3142),
    [anon_sym_sizeof] = ACTIONS(3140),
    [anon_sym___alignof__] = ACTIONS(3140),
    [anon_sym___alignof] = ACTIONS(3140),
    [anon_sym__alignof] = ACTIONS(3140),
    [anon_sym_alignof] = ACTIONS(3140),
    [anon_sym__Alignof] = ACTIONS(3140),
    [anon_sym_offsetof] = ACTIONS(3140),
    [anon_sym__Generic] = ACTIONS(3140),
    [anon_sym_asm] = ACTIONS(3140),
    [anon_sym___asm__] = ACTIONS(3140),
    [sym_number_literal] = ACTIONS(3142),
    [anon_sym_L_SQUOTE] = ACTIONS(3142),
    [anon_sym_u_SQUOTE] = ACTIONS(3142),
    [anon_sym_U_SQUOTE] = ACTIONS(3142),
    [anon_sym_u8_SQUOTE] = ACTIONS(3142),
    [anon_sym_SQUOTE] = ACTIONS(3142),
    [anon_sym_L_DQUOTE] = ACTIONS(3142),
    [anon_sym_u_DQUOTE] = ACTIONS(3142),
    [anon_sym_U_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8_DQUOTE] = ACTIONS(3142),
    [anon_sym_DQUOTE] = ACTIONS(3142),
    [sym_true] = ACTIONS(3140),
    [sym_false] = ACTIONS(3140),
    [anon_sym_NULL] = ACTIONS(3140),
    [anon_sym_nullptr] = ACTIONS(3140),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3140),
    [anon_sym_decltype] = ACTIONS(3140),
    [anon_sym_virtual] = ACTIONS(3140),
    [anon_sym_alignas] = ACTIONS(3140),
    [anon_sym_explicit] = ACTIONS(3140),
    [anon_sym_typename] = ACTIONS(3140),
    [anon_sym_template] = ACTIONS(3140),
    [anon_sym_operator] = ACTIONS(3140),
    [anon_sym_try] = ACTIONS(3140),
    [anon_sym_delete] = ACTIONS(3140),
    [anon_sym_throw] = ACTIONS(3140),
    [anon_sym_namespace] = ACTIONS(3140),
    [anon_sym_using] = ACTIONS(3140),
    [anon_sym_static_assert] = ACTIONS(3140),
    [anon_sym_concept] = ACTIONS(3140),
    [anon_sym_co_return] = ACTIONS(3140),
    [anon_sym_co_yield] = ACTIONS(3140),
    [anon_sym_R_DQUOTE] = ACTIONS(3142),
    [anon_sym_LR_DQUOTE] = ACTIONS(3142),
    [anon_sym_uR_DQUOTE] = ACTIONS(3142),
    [anon_sym_UR_DQUOTE] = ACTIONS(3142),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3142),
    [anon_sym_co_await] = ACTIONS(3140),
    [anon_sym_new] = ACTIONS(3140),
    [anon_sym_requires] = ACTIONS(3140),
    [sym_this] = ACTIONS(3140),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(3110),
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_include_token1] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_BANG] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_DASH] = ACTIONS(3108),
    [anon_sym_PLUS] = ACTIONS(3108),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym___cdecl] = ACTIONS(3108),
    [anon_sym___clrcall] = ACTIONS(3108),
    [anon_sym___stdcall] = ACTIONS(3108),
    [anon_sym___fastcall] = ACTIONS(3108),
    [anon_sym___thiscall] = ACTIONS(3108),
    [anon_sym___vectorcall] = ACTIONS(3108),
    [anon_sym_LBRACE] = ACTIONS(3110),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [anon_sym_if] = ACTIONS(3108),
    [anon_sym_switch] = ACTIONS(3108),
    [anon_sym_case] = ACTIONS(3108),
    [anon_sym_default] = ACTIONS(3108),
    [anon_sym_while] = ACTIONS(3108),
    [anon_sym_do] = ACTIONS(3108),
    [anon_sym_for] = ACTIONS(3108),
    [anon_sym_return] = ACTIONS(3108),
    [anon_sym_break] = ACTIONS(3108),
    [anon_sym_continue] = ACTIONS(3108),
    [anon_sym_goto] = ACTIONS(3108),
    [anon_sym_not] = ACTIONS(3108),
    [anon_sym_compl] = ACTIONS(3108),
    [anon_sym_DASH_DASH] = ACTIONS(3110),
    [anon_sym_PLUS_PLUS] = ACTIONS(3110),
    [anon_sym_sizeof] = ACTIONS(3108),
    [anon_sym___alignof__] = ACTIONS(3108),
    [anon_sym___alignof] = ACTIONS(3108),
    [anon_sym__alignof] = ACTIONS(3108),
    [anon_sym_alignof] = ACTIONS(3108),
    [anon_sym__Alignof] = ACTIONS(3108),
    [anon_sym_offsetof] = ACTIONS(3108),
    [anon_sym__Generic] = ACTIONS(3108),
    [anon_sym_asm] = ACTIONS(3108),
    [anon_sym___asm__] = ACTIONS(3108),
    [sym_number_literal] = ACTIONS(3110),
    [anon_sym_L_SQUOTE] = ACTIONS(3110),
    [anon_sym_u_SQUOTE] = ACTIONS(3110),
    [anon_sym_U_SQUOTE] = ACTIONS(3110),
    [anon_sym_u8_SQUOTE] = ACTIONS(3110),
    [anon_sym_SQUOTE] = ACTIONS(3110),
    [anon_sym_L_DQUOTE] = ACTIONS(3110),
    [anon_sym_u_DQUOTE] = ACTIONS(3110),
    [anon_sym_U_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8_DQUOTE] = ACTIONS(3110),
    [anon_sym_DQUOTE] = ACTIONS(3110),
    [sym_true] = ACTIONS(3108),
    [sym_false] = ACTIONS(3108),
    [anon_sym_NULL] = ACTIONS(3108),
    [anon_sym_nullptr] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_try] = ACTIONS(3108),
    [anon_sym_delete] = ACTIONS(3108),
    [anon_sym_throw] = ACTIONS(3108),
    [anon_sym_namespace] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
    [anon_sym_concept] = ACTIONS(3108),
    [anon_sym_co_return] = ACTIONS(3108),
    [anon_sym_co_yield] = ACTIONS(3108),
    [anon_sym_R_DQUOTE] = ACTIONS(3110),
    [anon_sym_LR_DQUOTE] = ACTIONS(3110),
    [anon_sym_uR_DQUOTE] = ACTIONS(3110),
    [anon_sym_UR_DQUOTE] = ACTIONS(3110),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3110),
    [anon_sym_co_await] = ACTIONS(3108),
    [anon_sym_new] = ACTIONS(3108),
    [anon_sym_requires] = ACTIONS(3108),
    [sym_this] = ACTIONS(3108),
  },
  [1024] = {
    [sym_preproc_def] = STATE(1043),
    [sym_preproc_function_def] = STATE(1043),
    [sym_preproc_call] = STATE(1043),
    [sym_preproc_if_in_field_declaration_list] = STATE(1043),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1043),
    [sym_type_definition] = STATE(1043),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1043),
    [sym_field_declaration] = STATE(1043),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1043),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1043),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1043),
    [sym_operator_cast_declaration] = STATE(1043),
    [sym_constructor_or_destructor_definition] = STATE(1043),
    [sym_constructor_or_destructor_declaration] = STATE(1043),
    [sym_friend_declaration] = STATE(1043),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1043),
    [sym_alias_declaration] = STATE(1043),
    [sym_static_assert_declaration] = STATE(1043),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1043),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3812),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1025] = {
    [ts_builtin_sym_end] = ACTIONS(3170),
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_include_token1] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_BANG] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_DASH] = ACTIONS(3168),
    [anon_sym_PLUS] = ACTIONS(3168),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym___cdecl] = ACTIONS(3168),
    [anon_sym___clrcall] = ACTIONS(3168),
    [anon_sym___stdcall] = ACTIONS(3168),
    [anon_sym___fastcall] = ACTIONS(3168),
    [anon_sym___thiscall] = ACTIONS(3168),
    [anon_sym___vectorcall] = ACTIONS(3168),
    [anon_sym_LBRACE] = ACTIONS(3170),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [anon_sym_if] = ACTIONS(3168),
    [anon_sym_switch] = ACTIONS(3168),
    [anon_sym_case] = ACTIONS(3168),
    [anon_sym_default] = ACTIONS(3168),
    [anon_sym_while] = ACTIONS(3168),
    [anon_sym_do] = ACTIONS(3168),
    [anon_sym_for] = ACTIONS(3168),
    [anon_sym_return] = ACTIONS(3168),
    [anon_sym_break] = ACTIONS(3168),
    [anon_sym_continue] = ACTIONS(3168),
    [anon_sym_goto] = ACTIONS(3168),
    [anon_sym_not] = ACTIONS(3168),
    [anon_sym_compl] = ACTIONS(3168),
    [anon_sym_DASH_DASH] = ACTIONS(3170),
    [anon_sym_PLUS_PLUS] = ACTIONS(3170),
    [anon_sym_sizeof] = ACTIONS(3168),
    [anon_sym___alignof__] = ACTIONS(3168),
    [anon_sym___alignof] = ACTIONS(3168),
    [anon_sym__alignof] = ACTIONS(3168),
    [anon_sym_alignof] = ACTIONS(3168),
    [anon_sym__Alignof] = ACTIONS(3168),
    [anon_sym_offsetof] = ACTIONS(3168),
    [anon_sym__Generic] = ACTIONS(3168),
    [anon_sym_asm] = ACTIONS(3168),
    [anon_sym___asm__] = ACTIONS(3168),
    [sym_number_literal] = ACTIONS(3170),
    [anon_sym_L_SQUOTE] = ACTIONS(3170),
    [anon_sym_u_SQUOTE] = ACTIONS(3170),
    [anon_sym_U_SQUOTE] = ACTIONS(3170),
    [anon_sym_u8_SQUOTE] = ACTIONS(3170),
    [anon_sym_SQUOTE] = ACTIONS(3170),
    [anon_sym_L_DQUOTE] = ACTIONS(3170),
    [anon_sym_u_DQUOTE] = ACTIONS(3170),
    [anon_sym_U_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8_DQUOTE] = ACTIONS(3170),
    [anon_sym_DQUOTE] = ACTIONS(3170),
    [sym_true] = ACTIONS(3168),
    [sym_false] = ACTIONS(3168),
    [anon_sym_NULL] = ACTIONS(3168),
    [anon_sym_nullptr] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_try] = ACTIONS(3168),
    [anon_sym_delete] = ACTIONS(3168),
    [anon_sym_throw] = ACTIONS(3168),
    [anon_sym_namespace] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
    [anon_sym_concept] = ACTIONS(3168),
    [anon_sym_co_return] = ACTIONS(3168),
    [anon_sym_co_yield] = ACTIONS(3168),
    [anon_sym_R_DQUOTE] = ACTIONS(3170),
    [anon_sym_LR_DQUOTE] = ACTIONS(3170),
    [anon_sym_uR_DQUOTE] = ACTIONS(3170),
    [anon_sym_UR_DQUOTE] = ACTIONS(3170),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3170),
    [anon_sym_co_await] = ACTIONS(3168),
    [anon_sym_new] = ACTIONS(3168),
    [anon_sym_requires] = ACTIONS(3168),
    [sym_this] = ACTIONS(3168),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(3138),
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_include_token1] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_BANG] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_DASH] = ACTIONS(3136),
    [anon_sym_PLUS] = ACTIONS(3136),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym___cdecl] = ACTIONS(3136),
    [anon_sym___clrcall] = ACTIONS(3136),
    [anon_sym___stdcall] = ACTIONS(3136),
    [anon_sym___fastcall] = ACTIONS(3136),
    [anon_sym___thiscall] = ACTIONS(3136),
    [anon_sym___vectorcall] = ACTIONS(3136),
    [anon_sym_LBRACE] = ACTIONS(3138),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [anon_sym_if] = ACTIONS(3136),
    [anon_sym_switch] = ACTIONS(3136),
    [anon_sym_case] = ACTIONS(3136),
    [anon_sym_default] = ACTIONS(3136),
    [anon_sym_while] = ACTIONS(3136),
    [anon_sym_do] = ACTIONS(3136),
    [anon_sym_for] = ACTIONS(3136),
    [anon_sym_return] = ACTIONS(3136),
    [anon_sym_break] = ACTIONS(3136),
    [anon_sym_continue] = ACTIONS(3136),
    [anon_sym_goto] = ACTIONS(3136),
    [anon_sym_not] = ACTIONS(3136),
    [anon_sym_compl] = ACTIONS(3136),
    [anon_sym_DASH_DASH] = ACTIONS(3138),
    [anon_sym_PLUS_PLUS] = ACTIONS(3138),
    [anon_sym_sizeof] = ACTIONS(3136),
    [anon_sym___alignof__] = ACTIONS(3136),
    [anon_sym___alignof] = ACTIONS(3136),
    [anon_sym__alignof] = ACTIONS(3136),
    [anon_sym_alignof] = ACTIONS(3136),
    [anon_sym__Alignof] = ACTIONS(3136),
    [anon_sym_offsetof] = ACTIONS(3136),
    [anon_sym__Generic] = ACTIONS(3136),
    [anon_sym_asm] = ACTIONS(3136),
    [anon_sym___asm__] = ACTIONS(3136),
    [sym_number_literal] = ACTIONS(3138),
    [anon_sym_L_SQUOTE] = ACTIONS(3138),
    [anon_sym_u_SQUOTE] = ACTIONS(3138),
    [anon_sym_U_SQUOTE] = ACTIONS(3138),
    [anon_sym_u8_SQUOTE] = ACTIONS(3138),
    [anon_sym_SQUOTE] = ACTIONS(3138),
    [anon_sym_L_DQUOTE] = ACTIONS(3138),
    [anon_sym_u_DQUOTE] = ACTIONS(3138),
    [anon_sym_U_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8_DQUOTE] = ACTIONS(3138),
    [anon_sym_DQUOTE] = ACTIONS(3138),
    [sym_true] = ACTIONS(3136),
    [sym_false] = ACTIONS(3136),
    [anon_sym_NULL] = ACTIONS(3136),
    [anon_sym_nullptr] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_try] = ACTIONS(3136),
    [anon_sym_delete] = ACTIONS(3136),
    [anon_sym_throw] = ACTIONS(3136),
    [anon_sym_namespace] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
    [anon_sym_concept] = ACTIONS(3136),
    [anon_sym_co_return] = ACTIONS(3136),
    [anon_sym_co_yield] = ACTIONS(3136),
    [anon_sym_R_DQUOTE] = ACTIONS(3138),
    [anon_sym_LR_DQUOTE] = ACTIONS(3138),
    [anon_sym_uR_DQUOTE] = ACTIONS(3138),
    [anon_sym_UR_DQUOTE] = ACTIONS(3138),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3138),
    [anon_sym_co_await] = ACTIONS(3136),
    [anon_sym_new] = ACTIONS(3136),
    [anon_sym_requires] = ACTIONS(3136),
    [sym_this] = ACTIONS(3136),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(3296),
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_include_token1] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_BANG] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_DASH] = ACTIONS(3294),
    [anon_sym_PLUS] = ACTIONS(3294),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym___cdecl] = ACTIONS(3294),
    [anon_sym___clrcall] = ACTIONS(3294),
    [anon_sym___stdcall] = ACTIONS(3294),
    [anon_sym___fastcall] = ACTIONS(3294),
    [anon_sym___thiscall] = ACTIONS(3294),
    [anon_sym___vectorcall] = ACTIONS(3294),
    [anon_sym_LBRACE] = ACTIONS(3296),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [anon_sym_if] = ACTIONS(3294),
    [anon_sym_switch] = ACTIONS(3294),
    [anon_sym_case] = ACTIONS(3294),
    [anon_sym_default] = ACTIONS(3294),
    [anon_sym_while] = ACTIONS(3294),
    [anon_sym_do] = ACTIONS(3294),
    [anon_sym_for] = ACTIONS(3294),
    [anon_sym_return] = ACTIONS(3294),
    [anon_sym_break] = ACTIONS(3294),
    [anon_sym_continue] = ACTIONS(3294),
    [anon_sym_goto] = ACTIONS(3294),
    [anon_sym_not] = ACTIONS(3294),
    [anon_sym_compl] = ACTIONS(3294),
    [anon_sym_DASH_DASH] = ACTIONS(3296),
    [anon_sym_PLUS_PLUS] = ACTIONS(3296),
    [anon_sym_sizeof] = ACTIONS(3294),
    [anon_sym___alignof__] = ACTIONS(3294),
    [anon_sym___alignof] = ACTIONS(3294),
    [anon_sym__alignof] = ACTIONS(3294),
    [anon_sym_alignof] = ACTIONS(3294),
    [anon_sym__Alignof] = ACTIONS(3294),
    [anon_sym_offsetof] = ACTIONS(3294),
    [anon_sym__Generic] = ACTIONS(3294),
    [anon_sym_asm] = ACTIONS(3294),
    [anon_sym___asm__] = ACTIONS(3294),
    [sym_number_literal] = ACTIONS(3296),
    [anon_sym_L_SQUOTE] = ACTIONS(3296),
    [anon_sym_u_SQUOTE] = ACTIONS(3296),
    [anon_sym_U_SQUOTE] = ACTIONS(3296),
    [anon_sym_u8_SQUOTE] = ACTIONS(3296),
    [anon_sym_SQUOTE] = ACTIONS(3296),
    [anon_sym_L_DQUOTE] = ACTIONS(3296),
    [anon_sym_u_DQUOTE] = ACTIONS(3296),
    [anon_sym_U_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8_DQUOTE] = ACTIONS(3296),
    [anon_sym_DQUOTE] = ACTIONS(3296),
    [sym_true] = ACTIONS(3294),
    [sym_false] = ACTIONS(3294),
    [anon_sym_NULL] = ACTIONS(3294),
    [anon_sym_nullptr] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_try] = ACTIONS(3294),
    [anon_sym_delete] = ACTIONS(3294),
    [anon_sym_throw] = ACTIONS(3294),
    [anon_sym_namespace] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
    [anon_sym_concept] = ACTIONS(3294),
    [anon_sym_co_return] = ACTIONS(3294),
    [anon_sym_co_yield] = ACTIONS(3294),
    [anon_sym_R_DQUOTE] = ACTIONS(3296),
    [anon_sym_LR_DQUOTE] = ACTIONS(3296),
    [anon_sym_uR_DQUOTE] = ACTIONS(3296),
    [anon_sym_UR_DQUOTE] = ACTIONS(3296),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3296),
    [anon_sym_co_await] = ACTIONS(3294),
    [anon_sym_new] = ACTIONS(3294),
    [anon_sym_requires] = ACTIONS(3294),
    [sym_this] = ACTIONS(3294),
  },
  [1028] = {
    [sym_preproc_def] = STATE(1040),
    [sym_preproc_function_def] = STATE(1040),
    [sym_preproc_call] = STATE(1040),
    [sym_preproc_if_in_field_declaration_list] = STATE(1040),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1040),
    [sym_type_definition] = STATE(1040),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1040),
    [sym_field_declaration] = STATE(1040),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1040),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1040),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1040),
    [sym_operator_cast_declaration] = STATE(1040),
    [sym_constructor_or_destructor_definition] = STATE(1040),
    [sym_constructor_or_destructor_declaration] = STATE(1040),
    [sym_friend_declaration] = STATE(1040),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1040),
    [sym_alias_declaration] = STATE(1040),
    [sym_static_assert_declaration] = STATE(1040),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1040),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3814),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1029] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(3474),
    [aux_sym_preproc_def_token1] = ACTIONS(3816),
    [aux_sym_preproc_if_token1] = ACTIONS(3819),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3822),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3822),
    [sym_preproc_directive] = ACTIONS(3825),
    [anon_sym_LPAREN2] = ACTIONS(3491),
    [anon_sym_TILDE] = ACTIONS(3494),
    [anon_sym_STAR] = ACTIONS(3497),
    [anon_sym_AMP_AMP] = ACTIONS(3500),
    [anon_sym_AMP] = ACTIONS(3503),
    [anon_sym___extension__] = ACTIONS(3828),
    [anon_sym_typedef] = ACTIONS(3831),
    [anon_sym_extern] = ACTIONS(3512),
    [anon_sym___attribute__] = ACTIONS(3515),
    [anon_sym_COLON_COLON] = ACTIONS(3518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3521),
    [anon_sym___declspec] = ACTIONS(3524),
    [anon_sym___based] = ACTIONS(3527),
    [anon_sym_RBRACE] = ACTIONS(3834),
    [anon_sym_signed] = ACTIONS(3530),
    [anon_sym_unsigned] = ACTIONS(3530),
    [anon_sym_long] = ACTIONS(3530),
    [anon_sym_short] = ACTIONS(3530),
    [anon_sym_LBRACK] = ACTIONS(3533),
    [anon_sym_static] = ACTIONS(3512),
    [anon_sym_register] = ACTIONS(3512),
    [anon_sym_inline] = ACTIONS(3512),
    [anon_sym___inline] = ACTIONS(3512),
    [anon_sym___inline__] = ACTIONS(3512),
    [anon_sym___forceinline] = ACTIONS(3512),
    [anon_sym_thread_local] = ACTIONS(3512),
    [anon_sym___thread] = ACTIONS(3512),
    [anon_sym_const] = ACTIONS(3536),
    [anon_sym_constexpr] = ACTIONS(3536),
    [anon_sym_volatile] = ACTIONS(3536),
    [anon_sym_restrict] = ACTIONS(3536),
    [anon_sym___restrict__] = ACTIONS(3536),
    [anon_sym__Atomic] = ACTIONS(3536),
    [anon_sym__Noreturn] = ACTIONS(3536),
    [anon_sym_noreturn] = ACTIONS(3536),
    [anon_sym_mutable] = ACTIONS(3536),
    [anon_sym_constinit] = ACTIONS(3536),
    [anon_sym_consteval] = ACTIONS(3536),
    [sym_primitive_type] = ACTIONS(3539),
    [anon_sym_enum] = ACTIONS(3542),
    [anon_sym_class] = ACTIONS(3545),
    [anon_sym_struct] = ACTIONS(3548),
    [anon_sym_union] = ACTIONS(3551),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3554),
    [anon_sym_decltype] = ACTIONS(3557),
    [anon_sym_virtual] = ACTIONS(3560),
    [anon_sym_alignas] = ACTIONS(3563),
    [anon_sym_explicit] = ACTIONS(3566),
    [anon_sym_typename] = ACTIONS(3569),
    [anon_sym_template] = ACTIONS(3836),
    [anon_sym_operator] = ACTIONS(3575),
    [anon_sym_friend] = ACTIONS(3839),
    [anon_sym_public] = ACTIONS(3581),
    [anon_sym_private] = ACTIONS(3581),
    [anon_sym_protected] = ACTIONS(3581),
    [anon_sym_using] = ACTIONS(3842),
    [anon_sym_static_assert] = ACTIONS(3845),
  },
  [1030] = {
    [ts_builtin_sym_end] = ACTIONS(3166),
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_include_token1] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_BANG] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_DASH] = ACTIONS(3164),
    [anon_sym_PLUS] = ACTIONS(3164),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym___cdecl] = ACTIONS(3164),
    [anon_sym___clrcall] = ACTIONS(3164),
    [anon_sym___stdcall] = ACTIONS(3164),
    [anon_sym___fastcall] = ACTIONS(3164),
    [anon_sym___thiscall] = ACTIONS(3164),
    [anon_sym___vectorcall] = ACTIONS(3164),
    [anon_sym_LBRACE] = ACTIONS(3166),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [anon_sym_if] = ACTIONS(3164),
    [anon_sym_switch] = ACTIONS(3164),
    [anon_sym_case] = ACTIONS(3164),
    [anon_sym_default] = ACTIONS(3164),
    [anon_sym_while] = ACTIONS(3164),
    [anon_sym_do] = ACTIONS(3164),
    [anon_sym_for] = ACTIONS(3164),
    [anon_sym_return] = ACTIONS(3164),
    [anon_sym_break] = ACTIONS(3164),
    [anon_sym_continue] = ACTIONS(3164),
    [anon_sym_goto] = ACTIONS(3164),
    [anon_sym_not] = ACTIONS(3164),
    [anon_sym_compl] = ACTIONS(3164),
    [anon_sym_DASH_DASH] = ACTIONS(3166),
    [anon_sym_PLUS_PLUS] = ACTIONS(3166),
    [anon_sym_sizeof] = ACTIONS(3164),
    [anon_sym___alignof__] = ACTIONS(3164),
    [anon_sym___alignof] = ACTIONS(3164),
    [anon_sym__alignof] = ACTIONS(3164),
    [anon_sym_alignof] = ACTIONS(3164),
    [anon_sym__Alignof] = ACTIONS(3164),
    [anon_sym_offsetof] = ACTIONS(3164),
    [anon_sym__Generic] = ACTIONS(3164),
    [anon_sym_asm] = ACTIONS(3164),
    [anon_sym___asm__] = ACTIONS(3164),
    [sym_number_literal] = ACTIONS(3166),
    [anon_sym_L_SQUOTE] = ACTIONS(3166),
    [anon_sym_u_SQUOTE] = ACTIONS(3166),
    [anon_sym_U_SQUOTE] = ACTIONS(3166),
    [anon_sym_u8_SQUOTE] = ACTIONS(3166),
    [anon_sym_SQUOTE] = ACTIONS(3166),
    [anon_sym_L_DQUOTE] = ACTIONS(3166),
    [anon_sym_u_DQUOTE] = ACTIONS(3166),
    [anon_sym_U_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8_DQUOTE] = ACTIONS(3166),
    [anon_sym_DQUOTE] = ACTIONS(3166),
    [sym_true] = ACTIONS(3164),
    [sym_false] = ACTIONS(3164),
    [anon_sym_NULL] = ACTIONS(3164),
    [anon_sym_nullptr] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_try] = ACTIONS(3164),
    [anon_sym_delete] = ACTIONS(3164),
    [anon_sym_throw] = ACTIONS(3164),
    [anon_sym_namespace] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
    [anon_sym_concept] = ACTIONS(3164),
    [anon_sym_co_return] = ACTIONS(3164),
    [anon_sym_co_yield] = ACTIONS(3164),
    [anon_sym_R_DQUOTE] = ACTIONS(3166),
    [anon_sym_LR_DQUOTE] = ACTIONS(3166),
    [anon_sym_uR_DQUOTE] = ACTIONS(3166),
    [anon_sym_UR_DQUOTE] = ACTIONS(3166),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3166),
    [anon_sym_co_await] = ACTIONS(3164),
    [anon_sym_new] = ACTIONS(3164),
    [anon_sym_requires] = ACTIONS(3164),
    [sym_this] = ACTIONS(3164),
  },
  [1031] = {
    [ts_builtin_sym_end] = ACTIONS(3068),
    [sym_identifier] = ACTIONS(3066),
    [aux_sym_preproc_include_token1] = ACTIONS(3066),
    [aux_sym_preproc_def_token1] = ACTIONS(3066),
    [aux_sym_preproc_if_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3066),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3066),
    [sym_preproc_directive] = ACTIONS(3066),
    [anon_sym_LPAREN2] = ACTIONS(3068),
    [anon_sym_BANG] = ACTIONS(3068),
    [anon_sym_TILDE] = ACTIONS(3068),
    [anon_sym_DASH] = ACTIONS(3066),
    [anon_sym_PLUS] = ACTIONS(3066),
    [anon_sym_STAR] = ACTIONS(3068),
    [anon_sym_AMP_AMP] = ACTIONS(3068),
    [anon_sym_AMP] = ACTIONS(3066),
    [anon_sym___extension__] = ACTIONS(3066),
    [anon_sym_typedef] = ACTIONS(3066),
    [anon_sym_extern] = ACTIONS(3066),
    [anon_sym___attribute__] = ACTIONS(3066),
    [anon_sym_COLON_COLON] = ACTIONS(3068),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3068),
    [anon_sym___declspec] = ACTIONS(3066),
    [anon_sym___based] = ACTIONS(3066),
    [anon_sym___cdecl] = ACTIONS(3066),
    [anon_sym___clrcall] = ACTIONS(3066),
    [anon_sym___stdcall] = ACTIONS(3066),
    [anon_sym___fastcall] = ACTIONS(3066),
    [anon_sym___thiscall] = ACTIONS(3066),
    [anon_sym___vectorcall] = ACTIONS(3066),
    [anon_sym_LBRACE] = ACTIONS(3068),
    [anon_sym_signed] = ACTIONS(3066),
    [anon_sym_unsigned] = ACTIONS(3066),
    [anon_sym_long] = ACTIONS(3066),
    [anon_sym_short] = ACTIONS(3066),
    [anon_sym_LBRACK] = ACTIONS(3066),
    [anon_sym_static] = ACTIONS(3066),
    [anon_sym_register] = ACTIONS(3066),
    [anon_sym_inline] = ACTIONS(3066),
    [anon_sym___inline] = ACTIONS(3066),
    [anon_sym___inline__] = ACTIONS(3066),
    [anon_sym___forceinline] = ACTIONS(3066),
    [anon_sym_thread_local] = ACTIONS(3066),
    [anon_sym___thread] = ACTIONS(3066),
    [anon_sym_const] = ACTIONS(3066),
    [anon_sym_constexpr] = ACTIONS(3066),
    [anon_sym_volatile] = ACTIONS(3066),
    [anon_sym_restrict] = ACTIONS(3066),
    [anon_sym___restrict__] = ACTIONS(3066),
    [anon_sym__Atomic] = ACTIONS(3066),
    [anon_sym__Noreturn] = ACTIONS(3066),
    [anon_sym_noreturn] = ACTIONS(3066),
    [anon_sym_mutable] = ACTIONS(3066),
    [anon_sym_constinit] = ACTIONS(3066),
    [anon_sym_consteval] = ACTIONS(3066),
    [sym_primitive_type] = ACTIONS(3066),
    [anon_sym_enum] = ACTIONS(3066),
    [anon_sym_class] = ACTIONS(3066),
    [anon_sym_struct] = ACTIONS(3066),
    [anon_sym_union] = ACTIONS(3066),
    [anon_sym_if] = ACTIONS(3066),
    [anon_sym_switch] = ACTIONS(3066),
    [anon_sym_case] = ACTIONS(3066),
    [anon_sym_default] = ACTIONS(3066),
    [anon_sym_while] = ACTIONS(3066),
    [anon_sym_do] = ACTIONS(3066),
    [anon_sym_for] = ACTIONS(3066),
    [anon_sym_return] = ACTIONS(3066),
    [anon_sym_break] = ACTIONS(3066),
    [anon_sym_continue] = ACTIONS(3066),
    [anon_sym_goto] = ACTIONS(3066),
    [anon_sym_not] = ACTIONS(3066),
    [anon_sym_compl] = ACTIONS(3066),
    [anon_sym_DASH_DASH] = ACTIONS(3068),
    [anon_sym_PLUS_PLUS] = ACTIONS(3068),
    [anon_sym_sizeof] = ACTIONS(3066),
    [anon_sym___alignof__] = ACTIONS(3066),
    [anon_sym___alignof] = ACTIONS(3066),
    [anon_sym__alignof] = ACTIONS(3066),
    [anon_sym_alignof] = ACTIONS(3066),
    [anon_sym__Alignof] = ACTIONS(3066),
    [anon_sym_offsetof] = ACTIONS(3066),
    [anon_sym__Generic] = ACTIONS(3066),
    [anon_sym_asm] = ACTIONS(3066),
    [anon_sym___asm__] = ACTIONS(3066),
    [sym_number_literal] = ACTIONS(3068),
    [anon_sym_L_SQUOTE] = ACTIONS(3068),
    [anon_sym_u_SQUOTE] = ACTIONS(3068),
    [anon_sym_U_SQUOTE] = ACTIONS(3068),
    [anon_sym_u8_SQUOTE] = ACTIONS(3068),
    [anon_sym_SQUOTE] = ACTIONS(3068),
    [anon_sym_L_DQUOTE] = ACTIONS(3068),
    [anon_sym_u_DQUOTE] = ACTIONS(3068),
    [anon_sym_U_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8_DQUOTE] = ACTIONS(3068),
    [anon_sym_DQUOTE] = ACTIONS(3068),
    [sym_true] = ACTIONS(3066),
    [sym_false] = ACTIONS(3066),
    [anon_sym_NULL] = ACTIONS(3066),
    [anon_sym_nullptr] = ACTIONS(3066),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3066),
    [anon_sym_decltype] = ACTIONS(3066),
    [anon_sym_virtual] = ACTIONS(3066),
    [anon_sym_alignas] = ACTIONS(3066),
    [anon_sym_explicit] = ACTIONS(3066),
    [anon_sym_typename] = ACTIONS(3066),
    [anon_sym_template] = ACTIONS(3066),
    [anon_sym_operator] = ACTIONS(3066),
    [anon_sym_try] = ACTIONS(3066),
    [anon_sym_delete] = ACTIONS(3066),
    [anon_sym_throw] = ACTIONS(3066),
    [anon_sym_namespace] = ACTIONS(3066),
    [anon_sym_using] = ACTIONS(3066),
    [anon_sym_static_assert] = ACTIONS(3066),
    [anon_sym_concept] = ACTIONS(3066),
    [anon_sym_co_return] = ACTIONS(3066),
    [anon_sym_co_yield] = ACTIONS(3066),
    [anon_sym_R_DQUOTE] = ACTIONS(3068),
    [anon_sym_LR_DQUOTE] = ACTIONS(3068),
    [anon_sym_uR_DQUOTE] = ACTIONS(3068),
    [anon_sym_UR_DQUOTE] = ACTIONS(3068),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3068),
    [anon_sym_co_await] = ACTIONS(3066),
    [anon_sym_new] = ACTIONS(3066),
    [anon_sym_requires] = ACTIONS(3066),
    [sym_this] = ACTIONS(3066),
  },
  [1032] = {
    [ts_builtin_sym_end] = ACTIONS(3134),
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [1033] = {
    [ts_builtin_sym_end] = ACTIONS(3134),
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_include_token1] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_BANG] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_DASH] = ACTIONS(3132),
    [anon_sym_PLUS] = ACTIONS(3132),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym___cdecl] = ACTIONS(3132),
    [anon_sym___clrcall] = ACTIONS(3132),
    [anon_sym___stdcall] = ACTIONS(3132),
    [anon_sym___fastcall] = ACTIONS(3132),
    [anon_sym___thiscall] = ACTIONS(3132),
    [anon_sym___vectorcall] = ACTIONS(3132),
    [anon_sym_LBRACE] = ACTIONS(3134),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [anon_sym_if] = ACTIONS(3132),
    [anon_sym_switch] = ACTIONS(3132),
    [anon_sym_case] = ACTIONS(3132),
    [anon_sym_default] = ACTIONS(3132),
    [anon_sym_while] = ACTIONS(3132),
    [anon_sym_do] = ACTIONS(3132),
    [anon_sym_for] = ACTIONS(3132),
    [anon_sym_return] = ACTIONS(3132),
    [anon_sym_break] = ACTIONS(3132),
    [anon_sym_continue] = ACTIONS(3132),
    [anon_sym_goto] = ACTIONS(3132),
    [anon_sym_not] = ACTIONS(3132),
    [anon_sym_compl] = ACTIONS(3132),
    [anon_sym_DASH_DASH] = ACTIONS(3134),
    [anon_sym_PLUS_PLUS] = ACTIONS(3134),
    [anon_sym_sizeof] = ACTIONS(3132),
    [anon_sym___alignof__] = ACTIONS(3132),
    [anon_sym___alignof] = ACTIONS(3132),
    [anon_sym__alignof] = ACTIONS(3132),
    [anon_sym_alignof] = ACTIONS(3132),
    [anon_sym__Alignof] = ACTIONS(3132),
    [anon_sym_offsetof] = ACTIONS(3132),
    [anon_sym__Generic] = ACTIONS(3132),
    [anon_sym_asm] = ACTIONS(3132),
    [anon_sym___asm__] = ACTIONS(3132),
    [sym_number_literal] = ACTIONS(3134),
    [anon_sym_L_SQUOTE] = ACTIONS(3134),
    [anon_sym_u_SQUOTE] = ACTIONS(3134),
    [anon_sym_U_SQUOTE] = ACTIONS(3134),
    [anon_sym_u8_SQUOTE] = ACTIONS(3134),
    [anon_sym_SQUOTE] = ACTIONS(3134),
    [anon_sym_L_DQUOTE] = ACTIONS(3134),
    [anon_sym_u_DQUOTE] = ACTIONS(3134),
    [anon_sym_U_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8_DQUOTE] = ACTIONS(3134),
    [anon_sym_DQUOTE] = ACTIONS(3134),
    [sym_true] = ACTIONS(3132),
    [sym_false] = ACTIONS(3132),
    [anon_sym_NULL] = ACTIONS(3132),
    [anon_sym_nullptr] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_try] = ACTIONS(3132),
    [anon_sym_delete] = ACTIONS(3132),
    [anon_sym_throw] = ACTIONS(3132),
    [anon_sym_namespace] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
    [anon_sym_concept] = ACTIONS(3132),
    [anon_sym_co_return] = ACTIONS(3132),
    [anon_sym_co_yield] = ACTIONS(3132),
    [anon_sym_R_DQUOTE] = ACTIONS(3134),
    [anon_sym_LR_DQUOTE] = ACTIONS(3134),
    [anon_sym_uR_DQUOTE] = ACTIONS(3134),
    [anon_sym_UR_DQUOTE] = ACTIONS(3134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3134),
    [anon_sym_co_await] = ACTIONS(3132),
    [anon_sym_new] = ACTIONS(3132),
    [anon_sym_requires] = ACTIONS(3132),
    [sym_this] = ACTIONS(3132),
  },
  [1034] = {
    [sym_preproc_def] = STATE(959),
    [sym_preproc_function_def] = STATE(959),
    [sym_preproc_call] = STATE(959),
    [sym_preproc_if_in_field_declaration_list] = STATE(959),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(959),
    [sym_type_definition] = STATE(959),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(959),
    [sym_field_declaration] = STATE(959),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(959),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(959),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(959),
    [sym_operator_cast_declaration] = STATE(959),
    [sym_constructor_or_destructor_definition] = STATE(959),
    [sym_constructor_or_destructor_declaration] = STATE(959),
    [sym_friend_declaration] = STATE(959),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(959),
    [sym_alias_declaration] = STATE(959),
    [sym_static_assert_declaration] = STATE(959),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(959),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3848),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1035] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3850),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1036] = {
    [ts_builtin_sym_end] = ACTIONS(3271),
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [1037] = {
    [sym_preproc_def] = STATE(1035),
    [sym_preproc_function_def] = STATE(1035),
    [sym_preproc_call] = STATE(1035),
    [sym_preproc_if_in_field_declaration_list] = STATE(1035),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1035),
    [sym_type_definition] = STATE(1035),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1035),
    [sym_field_declaration] = STATE(1035),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1035),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1035),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1035),
    [sym_operator_cast_declaration] = STATE(1035),
    [sym_constructor_or_destructor_definition] = STATE(1035),
    [sym_constructor_or_destructor_declaration] = STATE(1035),
    [sym_friend_declaration] = STATE(1035),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1035),
    [sym_alias_declaration] = STATE(1035),
    [sym_static_assert_declaration] = STATE(1035),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1035),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3852),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1038] = {
    [ts_builtin_sym_end] = ACTIONS(3263),
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_include_token1] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_BANG] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_DASH] = ACTIONS(3261),
    [anon_sym_PLUS] = ACTIONS(3261),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym___cdecl] = ACTIONS(3261),
    [anon_sym___clrcall] = ACTIONS(3261),
    [anon_sym___stdcall] = ACTIONS(3261),
    [anon_sym___fastcall] = ACTIONS(3261),
    [anon_sym___thiscall] = ACTIONS(3261),
    [anon_sym___vectorcall] = ACTIONS(3261),
    [anon_sym_LBRACE] = ACTIONS(3263),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [anon_sym_if] = ACTIONS(3261),
    [anon_sym_switch] = ACTIONS(3261),
    [anon_sym_case] = ACTIONS(3261),
    [anon_sym_default] = ACTIONS(3261),
    [anon_sym_while] = ACTIONS(3261),
    [anon_sym_do] = ACTIONS(3261),
    [anon_sym_for] = ACTIONS(3261),
    [anon_sym_return] = ACTIONS(3261),
    [anon_sym_break] = ACTIONS(3261),
    [anon_sym_continue] = ACTIONS(3261),
    [anon_sym_goto] = ACTIONS(3261),
    [anon_sym_not] = ACTIONS(3261),
    [anon_sym_compl] = ACTIONS(3261),
    [anon_sym_DASH_DASH] = ACTIONS(3263),
    [anon_sym_PLUS_PLUS] = ACTIONS(3263),
    [anon_sym_sizeof] = ACTIONS(3261),
    [anon_sym___alignof__] = ACTIONS(3261),
    [anon_sym___alignof] = ACTIONS(3261),
    [anon_sym__alignof] = ACTIONS(3261),
    [anon_sym_alignof] = ACTIONS(3261),
    [anon_sym__Alignof] = ACTIONS(3261),
    [anon_sym_offsetof] = ACTIONS(3261),
    [anon_sym__Generic] = ACTIONS(3261),
    [anon_sym_asm] = ACTIONS(3261),
    [anon_sym___asm__] = ACTIONS(3261),
    [sym_number_literal] = ACTIONS(3263),
    [anon_sym_L_SQUOTE] = ACTIONS(3263),
    [anon_sym_u_SQUOTE] = ACTIONS(3263),
    [anon_sym_U_SQUOTE] = ACTIONS(3263),
    [anon_sym_u8_SQUOTE] = ACTIONS(3263),
    [anon_sym_SQUOTE] = ACTIONS(3263),
    [anon_sym_L_DQUOTE] = ACTIONS(3263),
    [anon_sym_u_DQUOTE] = ACTIONS(3263),
    [anon_sym_U_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8_DQUOTE] = ACTIONS(3263),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_true] = ACTIONS(3261),
    [sym_false] = ACTIONS(3261),
    [anon_sym_NULL] = ACTIONS(3261),
    [anon_sym_nullptr] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_try] = ACTIONS(3261),
    [anon_sym_delete] = ACTIONS(3261),
    [anon_sym_throw] = ACTIONS(3261),
    [anon_sym_namespace] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
    [anon_sym_concept] = ACTIONS(3261),
    [anon_sym_co_return] = ACTIONS(3261),
    [anon_sym_co_yield] = ACTIONS(3261),
    [anon_sym_R_DQUOTE] = ACTIONS(3263),
    [anon_sym_LR_DQUOTE] = ACTIONS(3263),
    [anon_sym_uR_DQUOTE] = ACTIONS(3263),
    [anon_sym_UR_DQUOTE] = ACTIONS(3263),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3263),
    [anon_sym_co_await] = ACTIONS(3261),
    [anon_sym_new] = ACTIONS(3261),
    [anon_sym_requires] = ACTIONS(3261),
    [sym_this] = ACTIONS(3261),
  },
  [1039] = {
    [ts_builtin_sym_end] = ACTIONS(3243),
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_include_token1] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_BANG] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_DASH] = ACTIONS(3241),
    [anon_sym_PLUS] = ACTIONS(3241),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym___cdecl] = ACTIONS(3241),
    [anon_sym___clrcall] = ACTIONS(3241),
    [anon_sym___stdcall] = ACTIONS(3241),
    [anon_sym___fastcall] = ACTIONS(3241),
    [anon_sym___thiscall] = ACTIONS(3241),
    [anon_sym___vectorcall] = ACTIONS(3241),
    [anon_sym_LBRACE] = ACTIONS(3243),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [anon_sym_if] = ACTIONS(3241),
    [anon_sym_switch] = ACTIONS(3241),
    [anon_sym_case] = ACTIONS(3241),
    [anon_sym_default] = ACTIONS(3241),
    [anon_sym_while] = ACTIONS(3241),
    [anon_sym_do] = ACTIONS(3241),
    [anon_sym_for] = ACTIONS(3241),
    [anon_sym_return] = ACTIONS(3241),
    [anon_sym_break] = ACTIONS(3241),
    [anon_sym_continue] = ACTIONS(3241),
    [anon_sym_goto] = ACTIONS(3241),
    [anon_sym_not] = ACTIONS(3241),
    [anon_sym_compl] = ACTIONS(3241),
    [anon_sym_DASH_DASH] = ACTIONS(3243),
    [anon_sym_PLUS_PLUS] = ACTIONS(3243),
    [anon_sym_sizeof] = ACTIONS(3241),
    [anon_sym___alignof__] = ACTIONS(3241),
    [anon_sym___alignof] = ACTIONS(3241),
    [anon_sym__alignof] = ACTIONS(3241),
    [anon_sym_alignof] = ACTIONS(3241),
    [anon_sym__Alignof] = ACTIONS(3241),
    [anon_sym_offsetof] = ACTIONS(3241),
    [anon_sym__Generic] = ACTIONS(3241),
    [anon_sym_asm] = ACTIONS(3241),
    [anon_sym___asm__] = ACTIONS(3241),
    [sym_number_literal] = ACTIONS(3243),
    [anon_sym_L_SQUOTE] = ACTIONS(3243),
    [anon_sym_u_SQUOTE] = ACTIONS(3243),
    [anon_sym_U_SQUOTE] = ACTIONS(3243),
    [anon_sym_u8_SQUOTE] = ACTIONS(3243),
    [anon_sym_SQUOTE] = ACTIONS(3243),
    [anon_sym_L_DQUOTE] = ACTIONS(3243),
    [anon_sym_u_DQUOTE] = ACTIONS(3243),
    [anon_sym_U_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8_DQUOTE] = ACTIONS(3243),
    [anon_sym_DQUOTE] = ACTIONS(3243),
    [sym_true] = ACTIONS(3241),
    [sym_false] = ACTIONS(3241),
    [anon_sym_NULL] = ACTIONS(3241),
    [anon_sym_nullptr] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_try] = ACTIONS(3241),
    [anon_sym_delete] = ACTIONS(3241),
    [anon_sym_throw] = ACTIONS(3241),
    [anon_sym_namespace] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
    [anon_sym_concept] = ACTIONS(3241),
    [anon_sym_co_return] = ACTIONS(3241),
    [anon_sym_co_yield] = ACTIONS(3241),
    [anon_sym_R_DQUOTE] = ACTIONS(3243),
    [anon_sym_LR_DQUOTE] = ACTIONS(3243),
    [anon_sym_uR_DQUOTE] = ACTIONS(3243),
    [anon_sym_UR_DQUOTE] = ACTIONS(3243),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3243),
    [anon_sym_co_await] = ACTIONS(3241),
    [anon_sym_new] = ACTIONS(3241),
    [anon_sym_requires] = ACTIONS(3241),
    [sym_this] = ACTIONS(3241),
  },
  [1040] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3854),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1041] = {
    [ts_builtin_sym_end] = ACTIONS(3271),
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_include_token1] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_BANG] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_DASH] = ACTIONS(3269),
    [anon_sym_PLUS] = ACTIONS(3269),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym___cdecl] = ACTIONS(3269),
    [anon_sym___clrcall] = ACTIONS(3269),
    [anon_sym___stdcall] = ACTIONS(3269),
    [anon_sym___fastcall] = ACTIONS(3269),
    [anon_sym___thiscall] = ACTIONS(3269),
    [anon_sym___vectorcall] = ACTIONS(3269),
    [anon_sym_LBRACE] = ACTIONS(3271),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [anon_sym_if] = ACTIONS(3269),
    [anon_sym_switch] = ACTIONS(3269),
    [anon_sym_case] = ACTIONS(3269),
    [anon_sym_default] = ACTIONS(3269),
    [anon_sym_while] = ACTIONS(3269),
    [anon_sym_do] = ACTIONS(3269),
    [anon_sym_for] = ACTIONS(3269),
    [anon_sym_return] = ACTIONS(3269),
    [anon_sym_break] = ACTIONS(3269),
    [anon_sym_continue] = ACTIONS(3269),
    [anon_sym_goto] = ACTIONS(3269),
    [anon_sym_not] = ACTIONS(3269),
    [anon_sym_compl] = ACTIONS(3269),
    [anon_sym_DASH_DASH] = ACTIONS(3271),
    [anon_sym_PLUS_PLUS] = ACTIONS(3271),
    [anon_sym_sizeof] = ACTIONS(3269),
    [anon_sym___alignof__] = ACTIONS(3269),
    [anon_sym___alignof] = ACTIONS(3269),
    [anon_sym__alignof] = ACTIONS(3269),
    [anon_sym_alignof] = ACTIONS(3269),
    [anon_sym__Alignof] = ACTIONS(3269),
    [anon_sym_offsetof] = ACTIONS(3269),
    [anon_sym__Generic] = ACTIONS(3269),
    [anon_sym_asm] = ACTIONS(3269),
    [anon_sym___asm__] = ACTIONS(3269),
    [sym_number_literal] = ACTIONS(3271),
    [anon_sym_L_SQUOTE] = ACTIONS(3271),
    [anon_sym_u_SQUOTE] = ACTIONS(3271),
    [anon_sym_U_SQUOTE] = ACTIONS(3271),
    [anon_sym_u8_SQUOTE] = ACTIONS(3271),
    [anon_sym_SQUOTE] = ACTIONS(3271),
    [anon_sym_L_DQUOTE] = ACTIONS(3271),
    [anon_sym_u_DQUOTE] = ACTIONS(3271),
    [anon_sym_U_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8_DQUOTE] = ACTIONS(3271),
    [anon_sym_DQUOTE] = ACTIONS(3271),
    [sym_true] = ACTIONS(3269),
    [sym_false] = ACTIONS(3269),
    [anon_sym_NULL] = ACTIONS(3269),
    [anon_sym_nullptr] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_try] = ACTIONS(3269),
    [anon_sym_delete] = ACTIONS(3269),
    [anon_sym_throw] = ACTIONS(3269),
    [anon_sym_namespace] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
    [anon_sym_concept] = ACTIONS(3269),
    [anon_sym_co_return] = ACTIONS(3269),
    [anon_sym_co_yield] = ACTIONS(3269),
    [anon_sym_R_DQUOTE] = ACTIONS(3271),
    [anon_sym_LR_DQUOTE] = ACTIONS(3271),
    [anon_sym_uR_DQUOTE] = ACTIONS(3271),
    [anon_sym_UR_DQUOTE] = ACTIONS(3271),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3271),
    [anon_sym_co_await] = ACTIONS(3269),
    [anon_sym_new] = ACTIONS(3269),
    [anon_sym_requires] = ACTIONS(3269),
    [sym_this] = ACTIONS(3269),
  },
  [1042] = {
    [sym_preproc_def] = STATE(974),
    [sym_preproc_function_def] = STATE(974),
    [sym_preproc_call] = STATE(974),
    [sym_preproc_if_in_field_declaration_list] = STATE(974),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(974),
    [sym_type_definition] = STATE(974),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(974),
    [sym_field_declaration] = STATE(974),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(974),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(974),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(974),
    [sym_operator_cast_declaration] = STATE(974),
    [sym_constructor_or_destructor_definition] = STATE(974),
    [sym_constructor_or_destructor_declaration] = STATE(974),
    [sym_friend_declaration] = STATE(974),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(974),
    [sym_alias_declaration] = STATE(974),
    [sym_static_assert_declaration] = STATE(974),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(974),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3856),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1043] = {
    [sym_preproc_def] = STATE(1029),
    [sym_preproc_function_def] = STATE(1029),
    [sym_preproc_call] = STATE(1029),
    [sym_preproc_if_in_field_declaration_list] = STATE(1029),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(1029),
    [sym_type_definition] = STATE(1029),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6201),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(1029),
    [sym_field_declaration] = STATE(1029),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1029),
    [sym_operator_cast] = STATE(7223),
    [sym_inline_method_definition] = STATE(1029),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(1029),
    [sym_operator_cast_declaration] = STATE(1029),
    [sym_constructor_or_destructor_definition] = STATE(1029),
    [sym_constructor_or_destructor_declaration] = STATE(1029),
    [sym_friend_declaration] = STATE(1029),
    [sym_access_specifier] = STATE(9173),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(1029),
    [sym_alias_declaration] = STATE(1029),
    [sym_static_assert_declaration] = STATE(1029),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(1029),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3664),
    [aux_sym_preproc_if_token1] = ACTIONS(3666),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3668),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3668),
    [sym_preproc_directive] = ACTIONS(3670),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3672),
    [anon_sym_typedef] = ACTIONS(3674),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_RBRACE] = ACTIONS(3858),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3682),
    [anon_sym_static_assert] = ACTIONS(3684),
  },
  [1044] = {
    [ts_builtin_sym_end] = ACTIONS(3191),
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_include_token1] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_BANG] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_DASH] = ACTIONS(3189),
    [anon_sym_PLUS] = ACTIONS(3189),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym___cdecl] = ACTIONS(3189),
    [anon_sym___clrcall] = ACTIONS(3189),
    [anon_sym___stdcall] = ACTIONS(3189),
    [anon_sym___fastcall] = ACTIONS(3189),
    [anon_sym___thiscall] = ACTIONS(3189),
    [anon_sym___vectorcall] = ACTIONS(3189),
    [anon_sym_LBRACE] = ACTIONS(3191),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [anon_sym_if] = ACTIONS(3189),
    [anon_sym_switch] = ACTIONS(3189),
    [anon_sym_case] = ACTIONS(3189),
    [anon_sym_default] = ACTIONS(3189),
    [anon_sym_while] = ACTIONS(3189),
    [anon_sym_do] = ACTIONS(3189),
    [anon_sym_for] = ACTIONS(3189),
    [anon_sym_return] = ACTIONS(3189),
    [anon_sym_break] = ACTIONS(3189),
    [anon_sym_continue] = ACTIONS(3189),
    [anon_sym_goto] = ACTIONS(3189),
    [anon_sym_not] = ACTIONS(3189),
    [anon_sym_compl] = ACTIONS(3189),
    [anon_sym_DASH_DASH] = ACTIONS(3191),
    [anon_sym_PLUS_PLUS] = ACTIONS(3191),
    [anon_sym_sizeof] = ACTIONS(3189),
    [anon_sym___alignof__] = ACTIONS(3189),
    [anon_sym___alignof] = ACTIONS(3189),
    [anon_sym__alignof] = ACTIONS(3189),
    [anon_sym_alignof] = ACTIONS(3189),
    [anon_sym__Alignof] = ACTIONS(3189),
    [anon_sym_offsetof] = ACTIONS(3189),
    [anon_sym__Generic] = ACTIONS(3189),
    [anon_sym_asm] = ACTIONS(3189),
    [anon_sym___asm__] = ACTIONS(3189),
    [sym_number_literal] = ACTIONS(3191),
    [anon_sym_L_SQUOTE] = ACTIONS(3191),
    [anon_sym_u_SQUOTE] = ACTIONS(3191),
    [anon_sym_U_SQUOTE] = ACTIONS(3191),
    [anon_sym_u8_SQUOTE] = ACTIONS(3191),
    [anon_sym_SQUOTE] = ACTIONS(3191),
    [anon_sym_L_DQUOTE] = ACTIONS(3191),
    [anon_sym_u_DQUOTE] = ACTIONS(3191),
    [anon_sym_U_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8_DQUOTE] = ACTIONS(3191),
    [anon_sym_DQUOTE] = ACTIONS(3191),
    [sym_true] = ACTIONS(3189),
    [sym_false] = ACTIONS(3189),
    [anon_sym_NULL] = ACTIONS(3189),
    [anon_sym_nullptr] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_try] = ACTIONS(3189),
    [anon_sym_delete] = ACTIONS(3189),
    [anon_sym_throw] = ACTIONS(3189),
    [anon_sym_namespace] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
    [anon_sym_concept] = ACTIONS(3189),
    [anon_sym_co_return] = ACTIONS(3189),
    [anon_sym_co_yield] = ACTIONS(3189),
    [anon_sym_R_DQUOTE] = ACTIONS(3191),
    [anon_sym_LR_DQUOTE] = ACTIONS(3191),
    [anon_sym_uR_DQUOTE] = ACTIONS(3191),
    [anon_sym_UR_DQUOTE] = ACTIONS(3191),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3191),
    [anon_sym_co_await] = ACTIONS(3189),
    [anon_sym_new] = ACTIONS(3189),
    [anon_sym_requires] = ACTIONS(3189),
    [sym_this] = ACTIONS(3189),
  },
  [1045] = {
    [ts_builtin_sym_end] = ACTIONS(3247),
    [sym_identifier] = ACTIONS(3245),
    [aux_sym_preproc_include_token1] = ACTIONS(3245),
    [aux_sym_preproc_def_token1] = ACTIONS(3245),
    [aux_sym_preproc_if_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3245),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3245),
    [sym_preproc_directive] = ACTIONS(3245),
    [anon_sym_LPAREN2] = ACTIONS(3247),
    [anon_sym_BANG] = ACTIONS(3247),
    [anon_sym_TILDE] = ACTIONS(3247),
    [anon_sym_DASH] = ACTIONS(3245),
    [anon_sym_PLUS] = ACTIONS(3245),
    [anon_sym_STAR] = ACTIONS(3247),
    [anon_sym_AMP_AMP] = ACTIONS(3247),
    [anon_sym_AMP] = ACTIONS(3245),
    [anon_sym___extension__] = ACTIONS(3245),
    [anon_sym_typedef] = ACTIONS(3245),
    [anon_sym_extern] = ACTIONS(3245),
    [anon_sym___attribute__] = ACTIONS(3245),
    [anon_sym_COLON_COLON] = ACTIONS(3247),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3247),
    [anon_sym___declspec] = ACTIONS(3245),
    [anon_sym___based] = ACTIONS(3245),
    [anon_sym___cdecl] = ACTIONS(3245),
    [anon_sym___clrcall] = ACTIONS(3245),
    [anon_sym___stdcall] = ACTIONS(3245),
    [anon_sym___fastcall] = ACTIONS(3245),
    [anon_sym___thiscall] = ACTIONS(3245),
    [anon_sym___vectorcall] = ACTIONS(3245),
    [anon_sym_LBRACE] = ACTIONS(3247),
    [anon_sym_signed] = ACTIONS(3245),
    [anon_sym_unsigned] = ACTIONS(3245),
    [anon_sym_long] = ACTIONS(3245),
    [anon_sym_short] = ACTIONS(3245),
    [anon_sym_LBRACK] = ACTIONS(3245),
    [anon_sym_static] = ACTIONS(3245),
    [anon_sym_register] = ACTIONS(3245),
    [anon_sym_inline] = ACTIONS(3245),
    [anon_sym___inline] = ACTIONS(3245),
    [anon_sym___inline__] = ACTIONS(3245),
    [anon_sym___forceinline] = ACTIONS(3245),
    [anon_sym_thread_local] = ACTIONS(3245),
    [anon_sym___thread] = ACTIONS(3245),
    [anon_sym_const] = ACTIONS(3245),
    [anon_sym_constexpr] = ACTIONS(3245),
    [anon_sym_volatile] = ACTIONS(3245),
    [anon_sym_restrict] = ACTIONS(3245),
    [anon_sym___restrict__] = ACTIONS(3245),
    [anon_sym__Atomic] = ACTIONS(3245),
    [anon_sym__Noreturn] = ACTIONS(3245),
    [anon_sym_noreturn] = ACTIONS(3245),
    [anon_sym_mutable] = ACTIONS(3245),
    [anon_sym_constinit] = ACTIONS(3245),
    [anon_sym_consteval] = ACTIONS(3245),
    [sym_primitive_type] = ACTIONS(3245),
    [anon_sym_enum] = ACTIONS(3245),
    [anon_sym_class] = ACTIONS(3245),
    [anon_sym_struct] = ACTIONS(3245),
    [anon_sym_union] = ACTIONS(3245),
    [anon_sym_if] = ACTIONS(3245),
    [anon_sym_switch] = ACTIONS(3245),
    [anon_sym_case] = ACTIONS(3245),
    [anon_sym_default] = ACTIONS(3245),
    [anon_sym_while] = ACTIONS(3245),
    [anon_sym_do] = ACTIONS(3245),
    [anon_sym_for] = ACTIONS(3245),
    [anon_sym_return] = ACTIONS(3245),
    [anon_sym_break] = ACTIONS(3245),
    [anon_sym_continue] = ACTIONS(3245),
    [anon_sym_goto] = ACTIONS(3245),
    [anon_sym_not] = ACTIONS(3245),
    [anon_sym_compl] = ACTIONS(3245),
    [anon_sym_DASH_DASH] = ACTIONS(3247),
    [anon_sym_PLUS_PLUS] = ACTIONS(3247),
    [anon_sym_sizeof] = ACTIONS(3245),
    [anon_sym___alignof__] = ACTIONS(3245),
    [anon_sym___alignof] = ACTIONS(3245),
    [anon_sym__alignof] = ACTIONS(3245),
    [anon_sym_alignof] = ACTIONS(3245),
    [anon_sym__Alignof] = ACTIONS(3245),
    [anon_sym_offsetof] = ACTIONS(3245),
    [anon_sym__Generic] = ACTIONS(3245),
    [anon_sym_asm] = ACTIONS(3245),
    [anon_sym___asm__] = ACTIONS(3245),
    [sym_number_literal] = ACTIONS(3247),
    [anon_sym_L_SQUOTE] = ACTIONS(3247),
    [anon_sym_u_SQUOTE] = ACTIONS(3247),
    [anon_sym_U_SQUOTE] = ACTIONS(3247),
    [anon_sym_u8_SQUOTE] = ACTIONS(3247),
    [anon_sym_SQUOTE] = ACTIONS(3247),
    [anon_sym_L_DQUOTE] = ACTIONS(3247),
    [anon_sym_u_DQUOTE] = ACTIONS(3247),
    [anon_sym_U_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8_DQUOTE] = ACTIONS(3247),
    [anon_sym_DQUOTE] = ACTIONS(3247),
    [sym_true] = ACTIONS(3245),
    [sym_false] = ACTIONS(3245),
    [anon_sym_NULL] = ACTIONS(3245),
    [anon_sym_nullptr] = ACTIONS(3245),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3245),
    [anon_sym_decltype] = ACTIONS(3245),
    [anon_sym_virtual] = ACTIONS(3245),
    [anon_sym_alignas] = ACTIONS(3245),
    [anon_sym_explicit] = ACTIONS(3245),
    [anon_sym_typename] = ACTIONS(3245),
    [anon_sym_template] = ACTIONS(3245),
    [anon_sym_operator] = ACTIONS(3245),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_delete] = ACTIONS(3245),
    [anon_sym_throw] = ACTIONS(3245),
    [anon_sym_namespace] = ACTIONS(3245),
    [anon_sym_using] = ACTIONS(3245),
    [anon_sym_static_assert] = ACTIONS(3245),
    [anon_sym_concept] = ACTIONS(3245),
    [anon_sym_co_return] = ACTIONS(3245),
    [anon_sym_co_yield] = ACTIONS(3245),
    [anon_sym_R_DQUOTE] = ACTIONS(3247),
    [anon_sym_LR_DQUOTE] = ACTIONS(3247),
    [anon_sym_uR_DQUOTE] = ACTIONS(3247),
    [anon_sym_UR_DQUOTE] = ACTIONS(3247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3247),
    [anon_sym_co_await] = ACTIONS(3245),
    [anon_sym_new] = ACTIONS(3245),
    [anon_sym_requires] = ACTIONS(3245),
    [sym_this] = ACTIONS(3245),
  },
  [1046] = {
    [sym_preproc_def] = STATE(997),
    [sym_preproc_function_def] = STATE(997),
    [sym_preproc_call] = STATE(997),
    [sym_preproc_if_in_field_declaration_list] = STATE(997),
    [sym_preproc_ifdef_in_field_declaration_list] = STATE(997),
    [sym_type_definition] = STATE(997),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(6165),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6757),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__field_declaration_list_item] = STATE(997),
    [sym_field_declaration] = STATE(997),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2046),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(997),
    [sym_operator_cast] = STATE(7229),
    [sym_inline_method_definition] = STATE(997),
    [sym__constructor_specifiers] = STATE(2046),
    [sym_operator_cast_definition] = STATE(997),
    [sym_operator_cast_declaration] = STATE(997),
    [sym_constructor_or_destructor_definition] = STATE(997),
    [sym_constructor_or_destructor_declaration] = STATE(997),
    [sym_friend_declaration] = STATE(997),
    [sym_access_specifier] = STATE(8543),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_using_declaration] = STATE(997),
    [sym_alias_declaration] = STATE(997),
    [sym_static_assert_declaration] = STATE(997),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6038),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7229),
    [sym_operator_name] = STATE(6828),
    [aux_sym_preproc_if_in_field_declaration_list_repeat1] = STATE(997),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2397),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(2993),
    [aux_sym_preproc_def_token1] = ACTIONS(3776),
    [aux_sym_preproc_if_token1] = ACTIONS(3778),
    [aux_sym_preproc_if_token2] = ACTIONS(3860),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3782),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3782),
    [sym_preproc_directive] = ACTIONS(3784),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(3786),
    [anon_sym_typedef] = ACTIONS(3788),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3021),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(3790),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3792),
    [anon_sym_public] = ACTIONS(3041),
    [anon_sym_private] = ACTIONS(3041),
    [anon_sym_protected] = ACTIONS(3041),
    [anon_sym_using] = ACTIONS(3794),
    [anon_sym_static_assert] = ACTIONS(3796),
  },
  [1047] = {
    [ts_builtin_sym_end] = ACTIONS(3174),
    [sym_identifier] = ACTIONS(3172),
    [aux_sym_preproc_include_token1] = ACTIONS(3172),
    [aux_sym_preproc_def_token1] = ACTIONS(3172),
    [aux_sym_preproc_if_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3172),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3172),
    [sym_preproc_directive] = ACTIONS(3172),
    [anon_sym_LPAREN2] = ACTIONS(3174),
    [anon_sym_BANG] = ACTIONS(3174),
    [anon_sym_TILDE] = ACTIONS(3174),
    [anon_sym_DASH] = ACTIONS(3172),
    [anon_sym_PLUS] = ACTIONS(3172),
    [anon_sym_STAR] = ACTIONS(3174),
    [anon_sym_AMP_AMP] = ACTIONS(3174),
    [anon_sym_AMP] = ACTIONS(3172),
    [anon_sym___extension__] = ACTIONS(3172),
    [anon_sym_typedef] = ACTIONS(3172),
    [anon_sym_extern] = ACTIONS(3172),
    [anon_sym___attribute__] = ACTIONS(3172),
    [anon_sym_COLON_COLON] = ACTIONS(3174),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3174),
    [anon_sym___declspec] = ACTIONS(3172),
    [anon_sym___based] = ACTIONS(3172),
    [anon_sym___cdecl] = ACTIONS(3172),
    [anon_sym___clrcall] = ACTIONS(3172),
    [anon_sym___stdcall] = ACTIONS(3172),
    [anon_sym___fastcall] = ACTIONS(3172),
    [anon_sym___thiscall] = ACTIONS(3172),
    [anon_sym___vectorcall] = ACTIONS(3172),
    [anon_sym_LBRACE] = ACTIONS(3174),
    [anon_sym_signed] = ACTIONS(3172),
    [anon_sym_unsigned] = ACTIONS(3172),
    [anon_sym_long] = ACTIONS(3172),
    [anon_sym_short] = ACTIONS(3172),
    [anon_sym_LBRACK] = ACTIONS(3172),
    [anon_sym_static] = ACTIONS(3172),
    [anon_sym_register] = ACTIONS(3172),
    [anon_sym_inline] = ACTIONS(3172),
    [anon_sym___inline] = ACTIONS(3172),
    [anon_sym___inline__] = ACTIONS(3172),
    [anon_sym___forceinline] = ACTIONS(3172),
    [anon_sym_thread_local] = ACTIONS(3172),
    [anon_sym___thread] = ACTIONS(3172),
    [anon_sym_const] = ACTIONS(3172),
    [anon_sym_constexpr] = ACTIONS(3172),
    [anon_sym_volatile] = ACTIONS(3172),
    [anon_sym_restrict] = ACTIONS(3172),
    [anon_sym___restrict__] = ACTIONS(3172),
    [anon_sym__Atomic] = ACTIONS(3172),
    [anon_sym__Noreturn] = ACTIONS(3172),
    [anon_sym_noreturn] = ACTIONS(3172),
    [anon_sym_mutable] = ACTIONS(3172),
    [anon_sym_constinit] = ACTIONS(3172),
    [anon_sym_consteval] = ACTIONS(3172),
    [sym_primitive_type] = ACTIONS(3172),
    [anon_sym_enum] = ACTIONS(3172),
    [anon_sym_class] = ACTIONS(3172),
    [anon_sym_struct] = ACTIONS(3172),
    [anon_sym_union] = ACTIONS(3172),
    [anon_sym_if] = ACTIONS(3172),
    [anon_sym_switch] = ACTIONS(3172),
    [anon_sym_case] = ACTIONS(3172),
    [anon_sym_default] = ACTIONS(3172),
    [anon_sym_while] = ACTIONS(3172),
    [anon_sym_do] = ACTIONS(3172),
    [anon_sym_for] = ACTIONS(3172),
    [anon_sym_return] = ACTIONS(3172),
    [anon_sym_break] = ACTIONS(3172),
    [anon_sym_continue] = ACTIONS(3172),
    [anon_sym_goto] = ACTIONS(3172),
    [anon_sym_not] = ACTIONS(3172),
    [anon_sym_compl] = ACTIONS(3172),
    [anon_sym_DASH_DASH] = ACTIONS(3174),
    [anon_sym_PLUS_PLUS] = ACTIONS(3174),
    [anon_sym_sizeof] = ACTIONS(3172),
    [anon_sym___alignof__] = ACTIONS(3172),
    [anon_sym___alignof] = ACTIONS(3172),
    [anon_sym__alignof] = ACTIONS(3172),
    [anon_sym_alignof] = ACTIONS(3172),
    [anon_sym__Alignof] = ACTIONS(3172),
    [anon_sym_offsetof] = ACTIONS(3172),
    [anon_sym__Generic] = ACTIONS(3172),
    [anon_sym_asm] = ACTIONS(3172),
    [anon_sym___asm__] = ACTIONS(3172),
    [sym_number_literal] = ACTIONS(3174),
    [anon_sym_L_SQUOTE] = ACTIONS(3174),
    [anon_sym_u_SQUOTE] = ACTIONS(3174),
    [anon_sym_U_SQUOTE] = ACTIONS(3174),
    [anon_sym_u8_SQUOTE] = ACTIONS(3174),
    [anon_sym_SQUOTE] = ACTIONS(3174),
    [anon_sym_L_DQUOTE] = ACTIONS(3174),
    [anon_sym_u_DQUOTE] = ACTIONS(3174),
    [anon_sym_U_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8_DQUOTE] = ACTIONS(3174),
    [anon_sym_DQUOTE] = ACTIONS(3174),
    [sym_true] = ACTIONS(3172),
    [sym_false] = ACTIONS(3172),
    [anon_sym_NULL] = ACTIONS(3172),
    [anon_sym_nullptr] = ACTIONS(3172),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3172),
    [anon_sym_decltype] = ACTIONS(3172),
    [anon_sym_virtual] = ACTIONS(3172),
    [anon_sym_alignas] = ACTIONS(3172),
    [anon_sym_explicit] = ACTIONS(3172),
    [anon_sym_typename] = ACTIONS(3172),
    [anon_sym_template] = ACTIONS(3172),
    [anon_sym_operator] = ACTIONS(3172),
    [anon_sym_try] = ACTIONS(3172),
    [anon_sym_delete] = ACTIONS(3172),
    [anon_sym_throw] = ACTIONS(3172),
    [anon_sym_namespace] = ACTIONS(3172),
    [anon_sym_using] = ACTIONS(3172),
    [anon_sym_static_assert] = ACTIONS(3172),
    [anon_sym_concept] = ACTIONS(3172),
    [anon_sym_co_return] = ACTIONS(3172),
    [anon_sym_co_yield] = ACTIONS(3172),
    [anon_sym_R_DQUOTE] = ACTIONS(3174),
    [anon_sym_LR_DQUOTE] = ACTIONS(3174),
    [anon_sym_uR_DQUOTE] = ACTIONS(3174),
    [anon_sym_UR_DQUOTE] = ACTIONS(3174),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3174),
    [anon_sym_co_await] = ACTIONS(3172),
    [anon_sym_new] = ACTIONS(3172),
    [anon_sym_requires] = ACTIONS(3172),
    [sym_this] = ACTIONS(3172),
  },
  [1048] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(3864),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym___attribute__] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1049] = {
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_initializer_list] = STATE(5301),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(3332),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2138),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2138),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_GT2] = ACTIONS(2140),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1050] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_COMMA] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(3892),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_RBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1051] = {
    [sym__expression] = STATE(5166),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2140),
    [anon_sym_LPAREN2] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(3908),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_STAR] = ACTIONS(2140),
    [anon_sym_SLASH] = ACTIONS(2138),
    [anon_sym_PERCENT] = ACTIONS(2140),
    [anon_sym_PIPE_PIPE] = ACTIONS(2140),
    [anon_sym_AMP_AMP] = ACTIONS(2140),
    [anon_sym_PIPE] = ACTIONS(2138),
    [anon_sym_CARET] = ACTIONS(2140),
    [anon_sym_AMP] = ACTIONS(2138),
    [anon_sym_EQ_EQ] = ACTIONS(2140),
    [anon_sym_BANG_EQ] = ACTIONS(2140),
    [anon_sym_GT] = ACTIONS(2138),
    [anon_sym_GT_EQ] = ACTIONS(2140),
    [anon_sym_LT_EQ] = ACTIONS(2138),
    [anon_sym_LT] = ACTIONS(2138),
    [anon_sym_LT_LT] = ACTIONS(2140),
    [anon_sym_GT_GT] = ACTIONS(2140),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(2138),
    [anon_sym_QMARK] = ACTIONS(2140),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_LT_EQ_GT] = ACTIONS(2140),
    [anon_sym_or] = ACTIONS(2138),
    [anon_sym_and] = ACTIONS(2138),
    [anon_sym_bitor] = ACTIONS(2138),
    [anon_sym_xor] = ACTIONS(2138),
    [anon_sym_bitand] = ACTIONS(2138),
    [anon_sym_not_eq] = ACTIONS(2138),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(2138),
    [anon_sym_DOT_STAR] = ACTIONS(2140),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1052] = {
    [sym__expression] = STATE(5155),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3920),
    [anon_sym_COMMA] = ACTIONS(3920),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3892),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_SLASH] = ACTIONS(3924),
    [anon_sym_PERCENT] = ACTIONS(3920),
    [anon_sym_PIPE_PIPE] = ACTIONS(3920),
    [anon_sym_AMP_AMP] = ACTIONS(3920),
    [anon_sym_PIPE] = ACTIONS(3924),
    [anon_sym_CARET] = ACTIONS(3920),
    [anon_sym_AMP] = ACTIONS(1422),
    [anon_sym_EQ_EQ] = ACTIONS(3920),
    [anon_sym_BANG_EQ] = ACTIONS(3920),
    [anon_sym_GT] = ACTIONS(3924),
    [anon_sym_GT_EQ] = ACTIONS(3920),
    [anon_sym_LT_EQ] = ACTIONS(3924),
    [anon_sym_LT] = ACTIONS(3924),
    [anon_sym_LT_LT] = ACTIONS(3920),
    [anon_sym_GT_GT] = ACTIONS(3920),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(3920),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_QMARK] = ACTIONS(3920),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_LT_EQ_GT] = ACTIONS(3920),
    [anon_sym_or] = ACTIONS(3924),
    [anon_sym_and] = ACTIONS(3924),
    [anon_sym_bitor] = ACTIONS(3924),
    [anon_sym_xor] = ACTIONS(3924),
    [anon_sym_bitand] = ACTIONS(3924),
    [anon_sym_not_eq] = ACTIONS(3924),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(3924),
    [anon_sym_DOT_STAR] = ACTIONS(3920),
    [anon_sym_DASH_GT] = ACTIONS(3920),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1053] = {
    [sym__declaration_modifiers] = STATE(2367),
    [sym__declaration_specifiers] = STATE(6758),
    [sym_attribute_specifier] = STATE(2367),
    [sym_attribute_declaration] = STATE(2367),
    [sym_ms_declspec_modifier] = STATE(2367),
    [sym_storage_class_specifier] = STATE(2367),
    [sym_type_qualifier] = STATE(2367),
    [sym__type_specifier] = STATE(4606),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2367),
    [sym_alignas_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7074),
    [sym_qualified_type_identifier] = STATE(3579),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3635),
    [sym_identifier] = ACTIONS(3928),
    [anon_sym_COMMA] = ACTIONS(3930),
    [anon_sym_BANG] = ACTIONS(3932),
    [anon_sym_TILDE] = ACTIONS(3930),
    [anon_sym_DASH] = ACTIONS(3932),
    [anon_sym_PLUS] = ACTIONS(3932),
    [anon_sym_STAR] = ACTIONS(3932),
    [anon_sym_SLASH] = ACTIONS(3932),
    [anon_sym_PERCENT] = ACTIONS(3932),
    [anon_sym_PIPE_PIPE] = ACTIONS(3930),
    [anon_sym_AMP_AMP] = ACTIONS(3930),
    [anon_sym_PIPE] = ACTIONS(3932),
    [anon_sym_CARET] = ACTIONS(3932),
    [anon_sym_AMP] = ACTIONS(3932),
    [anon_sym_EQ_EQ] = ACTIONS(3930),
    [anon_sym_BANG_EQ] = ACTIONS(3930),
    [anon_sym_GT] = ACTIONS(3932),
    [anon_sym_GT_EQ] = ACTIONS(3930),
    [anon_sym_LT_EQ] = ACTIONS(3932),
    [anon_sym_LT] = ACTIONS(3932),
    [anon_sym_LT_LT] = ACTIONS(3932),
    [anon_sym_GT_GT] = ACTIONS(3932),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3936),
    [anon_sym_unsigned] = ACTIONS(3936),
    [anon_sym_long] = ACTIONS(3936),
    [anon_sym_short] = ACTIONS(3936),
    [anon_sym_EQ] = ACTIONS(3932),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3938),
    [anon_sym_enum] = ACTIONS(3940),
    [anon_sym_class] = ACTIONS(3942),
    [anon_sym_struct] = ACTIONS(3944),
    [anon_sym_union] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3930),
    [anon_sym_SLASH_EQ] = ACTIONS(3930),
    [anon_sym_PERCENT_EQ] = ACTIONS(3930),
    [anon_sym_PLUS_EQ] = ACTIONS(3930),
    [anon_sym_DASH_EQ] = ACTIONS(3930),
    [anon_sym_LT_LT_EQ] = ACTIONS(3930),
    [anon_sym_GT_GT_EQ] = ACTIONS(3930),
    [anon_sym_AMP_EQ] = ACTIONS(3930),
    [anon_sym_CARET_EQ] = ACTIONS(3930),
    [anon_sym_PIPE_EQ] = ACTIONS(3930),
    [anon_sym_and_eq] = ACTIONS(3932),
    [anon_sym_or_eq] = ACTIONS(3932),
    [anon_sym_xor_eq] = ACTIONS(3932),
    [anon_sym_not] = ACTIONS(3932),
    [anon_sym_compl] = ACTIONS(3932),
    [anon_sym_LT_EQ_GT] = ACTIONS(3930),
    [anon_sym_or] = ACTIONS(3932),
    [anon_sym_and] = ACTIONS(3932),
    [anon_sym_bitor] = ACTIONS(3932),
    [anon_sym_xor] = ACTIONS(3932),
    [anon_sym_bitand] = ACTIONS(3932),
    [anon_sym_not_eq] = ACTIONS(3932),
    [anon_sym_DASH_DASH] = ACTIONS(3930),
    [anon_sym_PLUS_PLUS] = ACTIONS(3930),
    [anon_sym_DASH_GT] = ACTIONS(3932),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3948),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3950),
    [anon_sym_co_await] = ACTIONS(3932),
    [anon_sym_new] = ACTIONS(3950),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3930),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3930),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3930),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3952),
  },
  [1054] = {
    [sym__declaration_modifiers] = STATE(2367),
    [sym__declaration_specifiers] = STATE(6758),
    [sym_attribute_specifier] = STATE(2367),
    [sym_attribute_declaration] = STATE(2367),
    [sym_ms_declspec_modifier] = STATE(2367),
    [sym_storage_class_specifier] = STATE(2367),
    [sym_type_qualifier] = STATE(2367),
    [sym__type_specifier] = STATE(4606),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2367),
    [sym_alignas_specifier] = STATE(2367),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7074),
    [sym_qualified_type_identifier] = STATE(3579),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2367),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3635),
    [sym_identifier] = ACTIONS(3928),
    [anon_sym_COMMA] = ACTIONS(3954),
    [anon_sym_BANG] = ACTIONS(3956),
    [anon_sym_TILDE] = ACTIONS(3954),
    [anon_sym_DASH] = ACTIONS(3956),
    [anon_sym_PLUS] = ACTIONS(3956),
    [anon_sym_STAR] = ACTIONS(3956),
    [anon_sym_SLASH] = ACTIONS(3956),
    [anon_sym_PERCENT] = ACTIONS(3956),
    [anon_sym_PIPE_PIPE] = ACTIONS(3954),
    [anon_sym_AMP_AMP] = ACTIONS(3954),
    [anon_sym_PIPE] = ACTIONS(3956),
    [anon_sym_CARET] = ACTIONS(3956),
    [anon_sym_AMP] = ACTIONS(3956),
    [anon_sym_EQ_EQ] = ACTIONS(3954),
    [anon_sym_BANG_EQ] = ACTIONS(3954),
    [anon_sym_GT] = ACTIONS(3956),
    [anon_sym_GT_EQ] = ACTIONS(3954),
    [anon_sym_LT_EQ] = ACTIONS(3956),
    [anon_sym_LT] = ACTIONS(3956),
    [anon_sym_LT_LT] = ACTIONS(3956),
    [anon_sym_GT_GT] = ACTIONS(3956),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3936),
    [anon_sym_unsigned] = ACTIONS(3936),
    [anon_sym_long] = ACTIONS(3936),
    [anon_sym_short] = ACTIONS(3936),
    [anon_sym_EQ] = ACTIONS(3956),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3938),
    [anon_sym_enum] = ACTIONS(3940),
    [anon_sym_class] = ACTIONS(3942),
    [anon_sym_struct] = ACTIONS(3944),
    [anon_sym_union] = ACTIONS(3946),
    [anon_sym_STAR_EQ] = ACTIONS(3954),
    [anon_sym_SLASH_EQ] = ACTIONS(3954),
    [anon_sym_PERCENT_EQ] = ACTIONS(3954),
    [anon_sym_PLUS_EQ] = ACTIONS(3954),
    [anon_sym_DASH_EQ] = ACTIONS(3954),
    [anon_sym_LT_LT_EQ] = ACTIONS(3954),
    [anon_sym_GT_GT_EQ] = ACTIONS(3954),
    [anon_sym_AMP_EQ] = ACTIONS(3954),
    [anon_sym_CARET_EQ] = ACTIONS(3954),
    [anon_sym_PIPE_EQ] = ACTIONS(3954),
    [anon_sym_and_eq] = ACTIONS(3956),
    [anon_sym_or_eq] = ACTIONS(3956),
    [anon_sym_xor_eq] = ACTIONS(3956),
    [anon_sym_not] = ACTIONS(3956),
    [anon_sym_compl] = ACTIONS(3956),
    [anon_sym_LT_EQ_GT] = ACTIONS(3954),
    [anon_sym_or] = ACTIONS(3956),
    [anon_sym_and] = ACTIONS(3956),
    [anon_sym_bitor] = ACTIONS(3956),
    [anon_sym_xor] = ACTIONS(3956),
    [anon_sym_bitand] = ACTIONS(3956),
    [anon_sym_not_eq] = ACTIONS(3956),
    [anon_sym_DASH_DASH] = ACTIONS(3954),
    [anon_sym_PLUS_PLUS] = ACTIONS(3954),
    [anon_sym_DASH_GT] = ACTIONS(3956),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3948),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3958),
    [anon_sym_co_await] = ACTIONS(3956),
    [anon_sym_new] = ACTIONS(3958),
    [anon_sym_DASH_GT_STAR] = ACTIONS(3954),
    [anon_sym_LPAREN_RPAREN] = ACTIONS(3954),
    [anon_sym_LBRACK_RBRACK] = ACTIONS(3954),
    [anon_sym_DQUOTE_DQUOTE] = ACTIONS(3960),
  },
  [1055] = {
    [sym_function_definition] = STATE(862),
    [sym_declaration] = STATE(862),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6801),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4007),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(862),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2047),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(862),
    [sym_operator_cast] = STATE(7219),
    [sym__constructor_specifiers] = STATE(2047),
    [sym_operator_cast_definition] = STATE(862),
    [sym_operator_cast_declaration] = STATE(862),
    [sym_constructor_or_destructor_definition] = STATE(862),
    [sym_constructor_or_destructor_declaration] = STATE(862),
    [sym_friend_declaration] = STATE(862),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(862),
    [sym_concept_definition] = STATE(862),
    [sym_requires_clause] = STATE(1066),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7219),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2047),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3966),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3968),
    [anon_sym_using] = ACTIONS(3970),
    [anon_sym_concept] = ACTIONS(1122),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1056] = {
    [sym_function_definition] = STATE(2330),
    [sym_declaration] = STATE(2330),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5547),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2228),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4054),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2330),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2330),
    [sym_operator_cast] = STATE(7199),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(2330),
    [sym_operator_cast_declaration] = STATE(2330),
    [sym_constructor_or_destructor_definition] = STATE(2330),
    [sym_constructor_or_destructor_declaration] = STATE(2330),
    [sym_friend_declaration] = STATE(2330),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2330),
    [sym_concept_definition] = STATE(2330),
    [sym_requires_clause] = STATE(1068),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_using] = ACTIONS(3974),
    [anon_sym_concept] = ACTIONS(3976),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1057] = {
    [sym_function_definition] = STATE(421),
    [sym_declaration] = STATE(421),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6792),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(421),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2049),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(421),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2049),
    [sym_operator_cast_definition] = STATE(421),
    [sym_operator_cast_declaration] = STATE(421),
    [sym_constructor_or_destructor_definition] = STATE(421),
    [sym_constructor_or_destructor_declaration] = STATE(421),
    [sym_friend_declaration] = STATE(421),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(421),
    [sym_concept_definition] = STATE(421),
    [sym_requires_clause] = STATE(1067),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3978),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3980),
    [anon_sym_using] = ACTIONS(3982),
    [anon_sym_concept] = ACTIONS(333),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1058] = {
    [sym_function_definition] = STATE(579),
    [sym_declaration] = STATE(579),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6775),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(579),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2044),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(579),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2044),
    [sym_operator_cast_definition] = STATE(579),
    [sym_operator_cast_declaration] = STATE(579),
    [sym_constructor_or_destructor_definition] = STATE(579),
    [sym_constructor_or_destructor_declaration] = STATE(579),
    [sym_friend_declaration] = STATE(579),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(579),
    [sym_concept_definition] = STATE(579),
    [sym_requires_clause] = STATE(1072),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2044),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3984),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3986),
    [anon_sym_using] = ACTIONS(3988),
    [anon_sym_concept] = ACTIONS(421),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1059] = {
    [sym_function_definition] = STATE(2188),
    [sym_declaration] = STATE(2188),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5517),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2265),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3999),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2188),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2188),
    [sym_operator_cast] = STATE(7200),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(2188),
    [sym_operator_cast_declaration] = STATE(2188),
    [sym_constructor_or_destructor_definition] = STATE(2188),
    [sym_constructor_or_destructor_declaration] = STATE(2188),
    [sym_friend_declaration] = STATE(2188),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2188),
    [sym_concept_definition] = STATE(2188),
    [sym_requires_clause] = STATE(1071),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_using] = ACTIONS(3990),
    [anon_sym_concept] = ACTIONS(3992),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1060] = {
    [sym_function_definition] = STATE(976),
    [sym_declaration] = STATE(976),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6829),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(976),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2051),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(976),
    [sym_operator_cast] = STATE(7197),
    [sym__constructor_specifiers] = STATE(2051),
    [sym_operator_cast_definition] = STATE(976),
    [sym_operator_cast_declaration] = STATE(976),
    [sym_constructor_or_destructor_definition] = STATE(976),
    [sym_constructor_or_destructor_declaration] = STATE(976),
    [sym_friend_declaration] = STATE(976),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(976),
    [sym_concept_definition] = STATE(976),
    [sym_requires_clause] = STATE(1069),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7197),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2051),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3994),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3996),
    [anon_sym_using] = ACTIONS(3998),
    [anon_sym_concept] = ACTIONS(145),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1061] = {
    [sym_function_definition] = STATE(877),
    [sym_declaration] = STATE(877),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6747),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(877),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2039),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(877),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2039),
    [sym_operator_cast_definition] = STATE(877),
    [sym_operator_cast_declaration] = STATE(877),
    [sym_constructor_or_destructor_definition] = STATE(877),
    [sym_constructor_or_destructor_declaration] = STATE(877),
    [sym_friend_declaration] = STATE(877),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(877),
    [sym_concept_definition] = STATE(877),
    [sym_requires_clause] = STATE(1073),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2039),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4000),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4002),
    [anon_sym_using] = ACTIONS(4004),
    [anon_sym_concept] = ACTIONS(231),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1062] = {
    [sym_function_definition] = STATE(2658),
    [sym_declaration] = STATE(2658),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5522),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2212),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6757),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4087),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2658),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2046),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2658),
    [sym_operator_cast] = STATE(7229),
    [sym__constructor_specifiers] = STATE(2046),
    [sym_operator_cast_definition] = STATE(2658),
    [sym_operator_cast_declaration] = STATE(2658),
    [sym_constructor_or_destructor_definition] = STATE(2658),
    [sym_constructor_or_destructor_declaration] = STATE(2658),
    [sym_friend_declaration] = STATE(2658),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2658),
    [sym_concept_definition] = STATE(2658),
    [sym_requires_clause] = STATE(1074),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7229),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3790),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3792),
    [anon_sym_using] = ACTIONS(4006),
    [anon_sym_concept] = ACTIONS(4008),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1063] = {
    [sym_function_definition] = STATE(2522),
    [sym_declaration] = STATE(2522),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5568),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2283),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4130),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2522),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2522),
    [sym_operator_cast] = STATE(7223),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(2522),
    [sym_operator_cast_declaration] = STATE(2522),
    [sym_constructor_or_destructor_definition] = STATE(2522),
    [sym_constructor_or_destructor_declaration] = STATE(2522),
    [sym_friend_declaration] = STATE(2522),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2522),
    [sym_concept_definition] = STATE(2522),
    [sym_requires_clause] = STATE(1070),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_using] = ACTIONS(4010),
    [anon_sym_concept] = ACTIONS(4012),
    [anon_sym_requires] = ACTIONS(3972),
  },
  [1064] = {
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_COMMA] = ACTIONS(4016),
    [anon_sym_RPAREN] = ACTIONS(4016),
    [anon_sym_LPAREN2] = ACTIONS(4016),
    [anon_sym_BANG] = ACTIONS(4016),
    [anon_sym_TILDE] = ACTIONS(4016),
    [anon_sym_DASH] = ACTIONS(4014),
    [anon_sym_PLUS] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(4016),
    [anon_sym_AMP_AMP] = ACTIONS(4016),
    [anon_sym_AMP] = ACTIONS(4014),
    [anon_sym_SEMI] = ACTIONS(4016),
    [anon_sym___extension__] = ACTIONS(4014),
    [anon_sym_extern] = ACTIONS(4014),
    [anon_sym___attribute__] = ACTIONS(4014),
    [anon_sym_COLON_COLON] = ACTIONS(4016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4016),
    [anon_sym___declspec] = ACTIONS(4014),
    [anon_sym___based] = ACTIONS(4014),
    [anon_sym_LBRACE] = ACTIONS(4016),
    [anon_sym_signed] = ACTIONS(4014),
    [anon_sym_unsigned] = ACTIONS(4014),
    [anon_sym_long] = ACTIONS(4014),
    [anon_sym_short] = ACTIONS(4014),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [anon_sym_EQ] = ACTIONS(4016),
    [anon_sym_static] = ACTIONS(4014),
    [anon_sym_register] = ACTIONS(4014),
    [anon_sym_inline] = ACTIONS(4014),
    [anon_sym___inline] = ACTIONS(4014),
    [anon_sym___inline__] = ACTIONS(4014),
    [anon_sym___forceinline] = ACTIONS(4014),
    [anon_sym_thread_local] = ACTIONS(4014),
    [anon_sym___thread] = ACTIONS(4014),
    [anon_sym_const] = ACTIONS(4014),
    [anon_sym_constexpr] = ACTIONS(4014),
    [anon_sym_volatile] = ACTIONS(4014),
    [anon_sym_restrict] = ACTIONS(4014),
    [anon_sym___restrict__] = ACTIONS(4014),
    [anon_sym__Atomic] = ACTIONS(4014),
    [anon_sym__Noreturn] = ACTIONS(4014),
    [anon_sym_noreturn] = ACTIONS(4014),
    [anon_sym_mutable] = ACTIONS(4014),
    [anon_sym_constinit] = ACTIONS(4014),
    [anon_sym_consteval] = ACTIONS(4014),
    [sym_primitive_type] = ACTIONS(4014),
    [anon_sym_enum] = ACTIONS(4014),
    [anon_sym_class] = ACTIONS(4014),
    [anon_sym_struct] = ACTIONS(4014),
    [anon_sym_union] = ACTIONS(4014),
    [anon_sym_if] = ACTIONS(4014),
    [anon_sym_switch] = ACTIONS(4014),
    [anon_sym_case] = ACTIONS(4014),
    [anon_sym_default] = ACTIONS(4014),
    [anon_sym_while] = ACTIONS(4014),
    [anon_sym_do] = ACTIONS(4014),
    [anon_sym_for] = ACTIONS(4014),
    [anon_sym_return] = ACTIONS(4014),
    [anon_sym_break] = ACTIONS(4014),
    [anon_sym_continue] = ACTIONS(4014),
    [anon_sym_goto] = ACTIONS(4014),
    [anon_sym___try] = ACTIONS(4014),
    [anon_sym___leave] = ACTIONS(4014),
    [anon_sym_not] = ACTIONS(4014),
    [anon_sym_compl] = ACTIONS(4014),
    [anon_sym_DASH_DASH] = ACTIONS(4016),
    [anon_sym_PLUS_PLUS] = ACTIONS(4016),
    [anon_sym_sizeof] = ACTIONS(4014),
    [anon_sym___alignof__] = ACTIONS(4014),
    [anon_sym___alignof] = ACTIONS(4014),
    [anon_sym__alignof] = ACTIONS(4014),
    [anon_sym_alignof] = ACTIONS(4014),
    [anon_sym__Alignof] = ACTIONS(4014),
    [anon_sym_offsetof] = ACTIONS(4014),
    [anon_sym__Generic] = ACTIONS(4014),
    [anon_sym_asm] = ACTIONS(4014),
    [anon_sym___asm__] = ACTIONS(4014),
    [sym_number_literal] = ACTIONS(4016),
    [anon_sym_L_SQUOTE] = ACTIONS(4016),
    [anon_sym_u_SQUOTE] = ACTIONS(4016),
    [anon_sym_U_SQUOTE] = ACTIONS(4016),
    [anon_sym_u8_SQUOTE] = ACTIONS(4016),
    [anon_sym_SQUOTE] = ACTIONS(4016),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4014),
    [sym_false] = ACTIONS(4014),
    [anon_sym_NULL] = ACTIONS(4014),
    [anon_sym_nullptr] = ACTIONS(4014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4014),
    [anon_sym_decltype] = ACTIONS(4014),
    [anon_sym_virtual] = ACTIONS(4014),
    [anon_sym_alignas] = ACTIONS(4014),
    [anon_sym_explicit] = ACTIONS(4014),
    [anon_sym_typename] = ACTIONS(4014),
    [anon_sym_template] = ACTIONS(4014),
    [anon_sym_GT2] = ACTIONS(4016),
    [anon_sym_operator] = ACTIONS(4014),
    [anon_sym_try] = ACTIONS(4014),
    [anon_sym_delete] = ACTIONS(4014),
    [anon_sym_throw] = ACTIONS(4014),
    [anon_sym_co_return] = ACTIONS(4014),
    [anon_sym_co_yield] = ACTIONS(4014),
    [anon_sym_R_DQUOTE] = ACTIONS(4016),
    [anon_sym_LR_DQUOTE] = ACTIONS(4016),
    [anon_sym_uR_DQUOTE] = ACTIONS(4016),
    [anon_sym_UR_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4016),
    [anon_sym_co_await] = ACTIONS(4014),
    [anon_sym_new] = ACTIONS(4014),
    [anon_sym_requires] = ACTIONS(4014),
    [sym_this] = ACTIONS(4014),
  },
  [1065] = {
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_COMMA] = ACTIONS(4020),
    [anon_sym_RPAREN] = ACTIONS(4020),
    [anon_sym_LPAREN2] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(4020),
    [anon_sym_TILDE] = ACTIONS(4020),
    [anon_sym_DASH] = ACTIONS(4018),
    [anon_sym_PLUS] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(4020),
    [anon_sym_AMP_AMP] = ACTIONS(4020),
    [anon_sym_AMP] = ACTIONS(4018),
    [anon_sym_SEMI] = ACTIONS(4020),
    [anon_sym___extension__] = ACTIONS(4018),
    [anon_sym_extern] = ACTIONS(4018),
    [anon_sym___attribute__] = ACTIONS(4018),
    [anon_sym_COLON_COLON] = ACTIONS(4020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4020),
    [anon_sym___declspec] = ACTIONS(4018),
    [anon_sym___based] = ACTIONS(4018),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_signed] = ACTIONS(4018),
    [anon_sym_unsigned] = ACTIONS(4018),
    [anon_sym_long] = ACTIONS(4018),
    [anon_sym_short] = ACTIONS(4018),
    [anon_sym_LBRACK] = ACTIONS(4018),
    [anon_sym_EQ] = ACTIONS(4020),
    [anon_sym_static] = ACTIONS(4018),
    [anon_sym_register] = ACTIONS(4018),
    [anon_sym_inline] = ACTIONS(4018),
    [anon_sym___inline] = ACTIONS(4018),
    [anon_sym___inline__] = ACTIONS(4018),
    [anon_sym___forceinline] = ACTIONS(4018),
    [anon_sym_thread_local] = ACTIONS(4018),
    [anon_sym___thread] = ACTIONS(4018),
    [anon_sym_const] = ACTIONS(4018),
    [anon_sym_constexpr] = ACTIONS(4018),
    [anon_sym_volatile] = ACTIONS(4018),
    [anon_sym_restrict] = ACTIONS(4018),
    [anon_sym___restrict__] = ACTIONS(4018),
    [anon_sym__Atomic] = ACTIONS(4018),
    [anon_sym__Noreturn] = ACTIONS(4018),
    [anon_sym_noreturn] = ACTIONS(4018),
    [anon_sym_mutable] = ACTIONS(4018),
    [anon_sym_constinit] = ACTIONS(4018),
    [anon_sym_consteval] = ACTIONS(4018),
    [sym_primitive_type] = ACTIONS(4018),
    [anon_sym_enum] = ACTIONS(4018),
    [anon_sym_class] = ACTIONS(4018),
    [anon_sym_struct] = ACTIONS(4018),
    [anon_sym_union] = ACTIONS(4018),
    [anon_sym_if] = ACTIONS(4018),
    [anon_sym_switch] = ACTIONS(4018),
    [anon_sym_case] = ACTIONS(4018),
    [anon_sym_default] = ACTIONS(4018),
    [anon_sym_while] = ACTIONS(4018),
    [anon_sym_do] = ACTIONS(4018),
    [anon_sym_for] = ACTIONS(4018),
    [anon_sym_return] = ACTIONS(4018),
    [anon_sym_break] = ACTIONS(4018),
    [anon_sym_continue] = ACTIONS(4018),
    [anon_sym_goto] = ACTIONS(4018),
    [anon_sym___try] = ACTIONS(4018),
    [anon_sym___leave] = ACTIONS(4018),
    [anon_sym_not] = ACTIONS(4018),
    [anon_sym_compl] = ACTIONS(4018),
    [anon_sym_DASH_DASH] = ACTIONS(4020),
    [anon_sym_PLUS_PLUS] = ACTIONS(4020),
    [anon_sym_sizeof] = ACTIONS(4018),
    [anon_sym___alignof__] = ACTIONS(4018),
    [anon_sym___alignof] = ACTIONS(4018),
    [anon_sym__alignof] = ACTIONS(4018),
    [anon_sym_alignof] = ACTIONS(4018),
    [anon_sym__Alignof] = ACTIONS(4018),
    [anon_sym_offsetof] = ACTIONS(4018),
    [anon_sym__Generic] = ACTIONS(4018),
    [anon_sym_asm] = ACTIONS(4018),
    [anon_sym___asm__] = ACTIONS(4018),
    [sym_number_literal] = ACTIONS(4020),
    [anon_sym_L_SQUOTE] = ACTIONS(4020),
    [anon_sym_u_SQUOTE] = ACTIONS(4020),
    [anon_sym_U_SQUOTE] = ACTIONS(4020),
    [anon_sym_u8_SQUOTE] = ACTIONS(4020),
    [anon_sym_SQUOTE] = ACTIONS(4020),
    [anon_sym_L_DQUOTE] = ACTIONS(4020),
    [anon_sym_u_DQUOTE] = ACTIONS(4020),
    [anon_sym_U_DQUOTE] = ACTIONS(4020),
    [anon_sym_u8_DQUOTE] = ACTIONS(4020),
    [anon_sym_DQUOTE] = ACTIONS(4020),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4018),
    [anon_sym_nullptr] = ACTIONS(4018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4018),
    [anon_sym_decltype] = ACTIONS(4018),
    [anon_sym_virtual] = ACTIONS(4018),
    [anon_sym_alignas] = ACTIONS(4018),
    [anon_sym_explicit] = ACTIONS(4018),
    [anon_sym_typename] = ACTIONS(4018),
    [anon_sym_template] = ACTIONS(4018),
    [anon_sym_GT2] = ACTIONS(4020),
    [anon_sym_operator] = ACTIONS(4018),
    [anon_sym_try] = ACTIONS(4018),
    [anon_sym_delete] = ACTIONS(4018),
    [anon_sym_throw] = ACTIONS(4018),
    [anon_sym_co_return] = ACTIONS(4018),
    [anon_sym_co_yield] = ACTIONS(4018),
    [anon_sym_R_DQUOTE] = ACTIONS(4020),
    [anon_sym_LR_DQUOTE] = ACTIONS(4020),
    [anon_sym_uR_DQUOTE] = ACTIONS(4020),
    [anon_sym_UR_DQUOTE] = ACTIONS(4020),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4020),
    [anon_sym_co_await] = ACTIONS(4018),
    [anon_sym_new] = ACTIONS(4018),
    [anon_sym_requires] = ACTIONS(4018),
    [sym_this] = ACTIONS(4018),
  },
  [1066] = {
    [sym_function_definition] = STATE(884),
    [sym_declaration] = STATE(884),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2268),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6801),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4007),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(884),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2047),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(884),
    [sym_operator_cast] = STATE(7219),
    [sym__constructor_specifiers] = STATE(2047),
    [sym_operator_cast_definition] = STATE(884),
    [sym_operator_cast_declaration] = STATE(884),
    [sym_constructor_or_destructor_definition] = STATE(884),
    [sym_constructor_or_destructor_declaration] = STATE(884),
    [sym_friend_declaration] = STATE(884),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(884),
    [sym_concept_definition] = STATE(884),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7219),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2047),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3966),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3968),
    [anon_sym_using] = ACTIONS(3970),
    [anon_sym_concept] = ACTIONS(1122),
  },
  [1067] = {
    [sym_function_definition] = STATE(375),
    [sym_declaration] = STATE(375),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2214),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6792),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4078),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(375),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2049),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(375),
    [sym_operator_cast] = STATE(7214),
    [sym__constructor_specifiers] = STATE(2049),
    [sym_operator_cast_definition] = STATE(375),
    [sym_operator_cast_declaration] = STATE(375),
    [sym_constructor_or_destructor_definition] = STATE(375),
    [sym_constructor_or_destructor_declaration] = STATE(375),
    [sym_friend_declaration] = STATE(375),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(375),
    [sym_concept_definition] = STATE(375),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7214),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2049),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3978),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3980),
    [anon_sym_using] = ACTIONS(3982),
    [anon_sym_concept] = ACTIONS(333),
  },
  [1068] = {
    [sym_function_definition] = STATE(2369),
    [sym_declaration] = STATE(2369),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5547),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2228),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6799),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4054),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2369),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2053),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2369),
    [sym_operator_cast] = STATE(7199),
    [sym__constructor_specifiers] = STATE(2053),
    [sym_operator_cast_definition] = STATE(2369),
    [sym_operator_cast_declaration] = STATE(2369),
    [sym_constructor_or_destructor_definition] = STATE(2369),
    [sym_constructor_or_destructor_declaration] = STATE(2369),
    [sym_friend_declaration] = STATE(2369),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2369),
    [sym_concept_definition] = STATE(2369),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7199),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2053),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3446),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3448),
    [anon_sym_using] = ACTIONS(3974),
    [anon_sym_concept] = ACTIONS(3976),
  },
  [1069] = {
    [sym_function_definition] = STATE(1020),
    [sym_declaration] = STATE(1020),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6829),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4073),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(1020),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2051),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(1020),
    [sym_operator_cast] = STATE(7197),
    [sym__constructor_specifiers] = STATE(2051),
    [sym_operator_cast_definition] = STATE(1020),
    [sym_operator_cast_declaration] = STATE(1020),
    [sym_constructor_or_destructor_definition] = STATE(1020),
    [sym_constructor_or_destructor_declaration] = STATE(1020),
    [sym_friend_declaration] = STATE(1020),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(1020),
    [sym_concept_definition] = STATE(1020),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7197),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2051),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3994),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3996),
    [anon_sym_using] = ACTIONS(3998),
    [anon_sym_concept] = ACTIONS(145),
  },
  [1070] = {
    [sym_function_definition] = STATE(2587),
    [sym_declaration] = STATE(2587),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5568),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2283),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6813),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4130),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2587),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2054),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2587),
    [sym_operator_cast] = STATE(7223),
    [sym__constructor_specifiers] = STATE(2054),
    [sym_operator_cast_definition] = STATE(2587),
    [sym_operator_cast_declaration] = STATE(2587),
    [sym_constructor_or_destructor_definition] = STATE(2587),
    [sym_constructor_or_destructor_declaration] = STATE(2587),
    [sym_friend_declaration] = STATE(2587),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2587),
    [sym_concept_definition] = STATE(2587),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7223),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2054),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3678),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3680),
    [anon_sym_using] = ACTIONS(4010),
    [anon_sym_concept] = ACTIONS(4012),
  },
  [1071] = {
    [sym_function_definition] = STATE(2082),
    [sym_declaration] = STATE(2082),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5517),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2265),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6821),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3999),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2082),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2052),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2082),
    [sym_operator_cast] = STATE(7200),
    [sym__constructor_specifiers] = STATE(2052),
    [sym_operator_cast_definition] = STATE(2082),
    [sym_operator_cast_declaration] = STATE(2082),
    [sym_constructor_or_destructor_definition] = STATE(2082),
    [sym_constructor_or_destructor_declaration] = STATE(2082),
    [sym_friend_declaration] = STATE(2082),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2082),
    [sym_concept_definition] = STATE(2082),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7200),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2052),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3037),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3039),
    [anon_sym_using] = ACTIONS(3990),
    [anon_sym_concept] = ACTIONS(3992),
  },
  [1072] = {
    [sym_function_definition] = STATE(594),
    [sym_declaration] = STATE(594),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2216),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6775),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4089),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(594),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2044),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(594),
    [sym_operator_cast] = STATE(7217),
    [sym__constructor_specifiers] = STATE(2044),
    [sym_operator_cast_definition] = STATE(594),
    [sym_operator_cast_declaration] = STATE(594),
    [sym_constructor_or_destructor_definition] = STATE(594),
    [sym_constructor_or_destructor_declaration] = STATE(594),
    [sym_friend_declaration] = STATE(594),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(594),
    [sym_concept_definition] = STATE(594),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7217),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2044),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3984),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3986),
    [anon_sym_using] = ACTIONS(3988),
    [anon_sym_concept] = ACTIONS(421),
  },
  [1073] = {
    [sym_function_definition] = STATE(902),
    [sym_declaration] = STATE(902),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2203),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6747),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(3977),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(902),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2039),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(902),
    [sym_operator_cast] = STATE(7226),
    [sym__constructor_specifiers] = STATE(2039),
    [sym_operator_cast_definition] = STATE(902),
    [sym_operator_cast_declaration] = STATE(902),
    [sym_constructor_or_destructor_definition] = STATE(902),
    [sym_constructor_or_destructor_declaration] = STATE(902),
    [sym_friend_declaration] = STATE(902),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(902),
    [sym_concept_definition] = STATE(902),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7226),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2039),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(4000),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(4002),
    [anon_sym_using] = ACTIONS(4004),
    [anon_sym_concept] = ACTIONS(231),
  },
  [1074] = {
    [sym_function_definition] = STATE(2586),
    [sym_declaration] = STATE(2586),
    [sym__declaration_modifiers] = STATE(4101),
    [sym__declaration_specifiers] = STATE(5522),
    [sym_attribute_specifier] = STATE(4101),
    [sym_attribute_declaration] = STATE(4101),
    [sym_ms_declspec_modifier] = STATE(4101),
    [sym_ms_based_modifier] = STATE(9242),
    [sym_ms_call_modifier] = STATE(2212),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6757),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4101),
    [sym_type_qualifier] = STATE(4101),
    [sym__type_specifier] = STATE(4087),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym__empty_declaration] = STATE(2586),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4101),
    [sym_alignas_specifier] = STATE(4101),
    [sym_explicit_function_specifier] = STATE(2046),
    [sym_dependent_type] = STATE(3613),
    [sym_template_declaration] = STATE(2586),
    [sym_operator_cast] = STATE(7229),
    [sym__constructor_specifiers] = STATE(2046),
    [sym_operator_cast_definition] = STATE(2586),
    [sym_operator_cast_declaration] = STATE(2586),
    [sym_constructor_or_destructor_definition] = STATE(2586),
    [sym_constructor_or_destructor_declaration] = STATE(2586),
    [sym_friend_declaration] = STATE(2586),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_alias_declaration] = STATE(2586),
    [sym_concept_definition] = STATE(2586),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(5996),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_qualified_operator_cast_identifier] = STATE(7229),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [aux_sym_operator_cast_definition_repeat1] = STATE(2046),
    [sym_identifier] = ACTIONS(3962),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3964),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(3790),
    [anon_sym_operator] = ACTIONS(131),
    [anon_sym_friend] = ACTIONS(3792),
    [anon_sym_using] = ACTIONS(4006),
    [anon_sym_concept] = ACTIONS(4008),
  },
  [1075] = {
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_LPAREN2] = ACTIONS(4025),
    [anon_sym_BANG] = ACTIONS(4028),
    [anon_sym_TILDE] = ACTIONS(4025),
    [anon_sym_DASH] = ACTIONS(4030),
    [anon_sym_PLUS] = ACTIONS(4030),
    [anon_sym_STAR] = ACTIONS(4025),
    [anon_sym_AMP_AMP] = ACTIONS(4032),
    [anon_sym_AMP] = ACTIONS(4022),
    [anon_sym_SEMI] = ACTIONS(4028),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym_COLON_COLON] = ACTIONS(4025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4025),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym___based] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4028),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(4022),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_mutable] = ACTIONS(4034),
    [anon_sym_constinit] = ACTIONS(4034),
    [anon_sym_consteval] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4022),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_class] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_if] = ACTIONS(4030),
    [anon_sym_switch] = ACTIONS(4030),
    [anon_sym_case] = ACTIONS(4030),
    [anon_sym_default] = ACTIONS(4030),
    [anon_sym_while] = ACTIONS(4030),
    [anon_sym_do] = ACTIONS(4030),
    [anon_sym_for] = ACTIONS(4030),
    [anon_sym_return] = ACTIONS(4030),
    [anon_sym_break] = ACTIONS(4030),
    [anon_sym_continue] = ACTIONS(4030),
    [anon_sym_goto] = ACTIONS(4030),
    [anon_sym___try] = ACTIONS(4030),
    [anon_sym___leave] = ACTIONS(4030),
    [anon_sym_not] = ACTIONS(4030),
    [anon_sym_compl] = ACTIONS(4030),
    [anon_sym_DASH_DASH] = ACTIONS(4028),
    [anon_sym_PLUS_PLUS] = ACTIONS(4028),
    [anon_sym_sizeof] = ACTIONS(4030),
    [anon_sym___alignof__] = ACTIONS(4030),
    [anon_sym___alignof] = ACTIONS(4030),
    [anon_sym__alignof] = ACTIONS(4030),
    [anon_sym_alignof] = ACTIONS(4030),
    [anon_sym__Alignof] = ACTIONS(4030),
    [anon_sym_offsetof] = ACTIONS(4030),
    [anon_sym__Generic] = ACTIONS(4030),
    [anon_sym_asm] = ACTIONS(4030),
    [anon_sym___asm__] = ACTIONS(4030),
    [sym_number_literal] = ACTIONS(4028),
    [anon_sym_L_SQUOTE] = ACTIONS(4028),
    [anon_sym_u_SQUOTE] = ACTIONS(4028),
    [anon_sym_U_SQUOTE] = ACTIONS(4028),
    [anon_sym_u8_SQUOTE] = ACTIONS(4028),
    [anon_sym_SQUOTE] = ACTIONS(4028),
    [anon_sym_L_DQUOTE] = ACTIONS(4028),
    [anon_sym_u_DQUOTE] = ACTIONS(4028),
    [anon_sym_U_DQUOTE] = ACTIONS(4028),
    [anon_sym_u8_DQUOTE] = ACTIONS(4028),
    [anon_sym_DQUOTE] = ACTIONS(4028),
    [sym_true] = ACTIONS(4030),
    [sym_false] = ACTIONS(4030),
    [anon_sym_NULL] = ACTIONS(4030),
    [anon_sym_nullptr] = ACTIONS(4030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4034),
    [anon_sym_decltype] = ACTIONS(4022),
    [anon_sym_virtual] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym_explicit] = ACTIONS(4034),
    [anon_sym_typename] = ACTIONS(4034),
    [anon_sym_template] = ACTIONS(4022),
    [anon_sym_operator] = ACTIONS(4034),
    [anon_sym_try] = ACTIONS(4030),
    [anon_sym_delete] = ACTIONS(4030),
    [anon_sym_throw] = ACTIONS(4030),
    [anon_sym_co_return] = ACTIONS(4030),
    [anon_sym_co_yield] = ACTIONS(4030),
    [anon_sym_R_DQUOTE] = ACTIONS(4028),
    [anon_sym_LR_DQUOTE] = ACTIONS(4028),
    [anon_sym_uR_DQUOTE] = ACTIONS(4028),
    [anon_sym_UR_DQUOTE] = ACTIONS(4028),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4028),
    [anon_sym_co_await] = ACTIONS(4030),
    [anon_sym_new] = ACTIONS(4030),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4030),
  },
  [1076] = {
    [sym_catch_clause] = STATE(1077),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1077),
    [sym_identifier] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_BANG] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_DASH] = ACTIONS(2803),
    [anon_sym_PLUS] = ACTIONS(2803),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2805),
    [anon_sym_SEMI] = ACTIONS(2805),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym_LBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [anon_sym_if] = ACTIONS(2803),
    [anon_sym_else] = ACTIONS(2803),
    [anon_sym_switch] = ACTIONS(2803),
    [anon_sym_while] = ACTIONS(2803),
    [anon_sym_do] = ACTIONS(2803),
    [anon_sym_for] = ACTIONS(2803),
    [anon_sym_return] = ACTIONS(2803),
    [anon_sym_break] = ACTIONS(2803),
    [anon_sym_continue] = ACTIONS(2803),
    [anon_sym_goto] = ACTIONS(2803),
    [anon_sym___try] = ACTIONS(2803),
    [anon_sym___leave] = ACTIONS(2803),
    [anon_sym_not] = ACTIONS(2803),
    [anon_sym_compl] = ACTIONS(2803),
    [anon_sym_DASH_DASH] = ACTIONS(2805),
    [anon_sym_PLUS_PLUS] = ACTIONS(2805),
    [anon_sym_sizeof] = ACTIONS(2803),
    [anon_sym___alignof__] = ACTIONS(2803),
    [anon_sym___alignof] = ACTIONS(2803),
    [anon_sym__alignof] = ACTIONS(2803),
    [anon_sym_alignof] = ACTIONS(2803),
    [anon_sym__Alignof] = ACTIONS(2803),
    [anon_sym_offsetof] = ACTIONS(2803),
    [anon_sym__Generic] = ACTIONS(2803),
    [anon_sym_asm] = ACTIONS(2803),
    [anon_sym___asm__] = ACTIONS(2803),
    [sym_number_literal] = ACTIONS(2805),
    [anon_sym_L_SQUOTE] = ACTIONS(2805),
    [anon_sym_u_SQUOTE] = ACTIONS(2805),
    [anon_sym_U_SQUOTE] = ACTIONS(2805),
    [anon_sym_u8_SQUOTE] = ACTIONS(2805),
    [anon_sym_SQUOTE] = ACTIONS(2805),
    [anon_sym_L_DQUOTE] = ACTIONS(2805),
    [anon_sym_u_DQUOTE] = ACTIONS(2805),
    [anon_sym_U_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8_DQUOTE] = ACTIONS(2805),
    [anon_sym_DQUOTE] = ACTIONS(2805),
    [sym_true] = ACTIONS(2803),
    [sym_false] = ACTIONS(2803),
    [anon_sym_NULL] = ACTIONS(2803),
    [anon_sym_nullptr] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_try] = ACTIONS(2803),
    [anon_sym_delete] = ACTIONS(2803),
    [anon_sym_throw] = ACTIONS(2803),
    [anon_sym_co_return] = ACTIONS(2803),
    [anon_sym_co_yield] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(4036),
    [anon_sym_R_DQUOTE] = ACTIONS(2805),
    [anon_sym_LR_DQUOTE] = ACTIONS(2805),
    [anon_sym_uR_DQUOTE] = ACTIONS(2805),
    [anon_sym_UR_DQUOTE] = ACTIONS(2805),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2805),
    [anon_sym_co_await] = ACTIONS(2803),
    [anon_sym_new] = ACTIONS(2803),
    [anon_sym_requires] = ACTIONS(2803),
    [sym_this] = ACTIONS(2803),
  },
  [1077] = {
    [sym_catch_clause] = STATE(1077),
    [aux_sym_constructor_try_statement_repeat1] = STATE(1077),
    [sym_identifier] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_BANG] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_DASH] = ACTIONS(2821),
    [anon_sym_PLUS] = ACTIONS(2821),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2823),
    [anon_sym_SEMI] = ACTIONS(2823),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym_LBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [anon_sym_if] = ACTIONS(2821),
    [anon_sym_else] = ACTIONS(2821),
    [anon_sym_switch] = ACTIONS(2821),
    [anon_sym_while] = ACTIONS(2821),
    [anon_sym_do] = ACTIONS(2821),
    [anon_sym_for] = ACTIONS(2821),
    [anon_sym_return] = ACTIONS(2821),
    [anon_sym_break] = ACTIONS(2821),
    [anon_sym_continue] = ACTIONS(2821),
    [anon_sym_goto] = ACTIONS(2821),
    [anon_sym___try] = ACTIONS(2821),
    [anon_sym___leave] = ACTIONS(2821),
    [anon_sym_not] = ACTIONS(2821),
    [anon_sym_compl] = ACTIONS(2821),
    [anon_sym_DASH_DASH] = ACTIONS(2823),
    [anon_sym_PLUS_PLUS] = ACTIONS(2823),
    [anon_sym_sizeof] = ACTIONS(2821),
    [anon_sym___alignof__] = ACTIONS(2821),
    [anon_sym___alignof] = ACTIONS(2821),
    [anon_sym__alignof] = ACTIONS(2821),
    [anon_sym_alignof] = ACTIONS(2821),
    [anon_sym__Alignof] = ACTIONS(2821),
    [anon_sym_offsetof] = ACTIONS(2821),
    [anon_sym__Generic] = ACTIONS(2821),
    [anon_sym_asm] = ACTIONS(2821),
    [anon_sym___asm__] = ACTIONS(2821),
    [sym_number_literal] = ACTIONS(2823),
    [anon_sym_L_SQUOTE] = ACTIONS(2823),
    [anon_sym_u_SQUOTE] = ACTIONS(2823),
    [anon_sym_U_SQUOTE] = ACTIONS(2823),
    [anon_sym_u8_SQUOTE] = ACTIONS(2823),
    [anon_sym_SQUOTE] = ACTIONS(2823),
    [anon_sym_L_DQUOTE] = ACTIONS(2823),
    [anon_sym_u_DQUOTE] = ACTIONS(2823),
    [anon_sym_U_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8_DQUOTE] = ACTIONS(2823),
    [anon_sym_DQUOTE] = ACTIONS(2823),
    [sym_true] = ACTIONS(2821),
    [sym_false] = ACTIONS(2821),
    [anon_sym_NULL] = ACTIONS(2821),
    [anon_sym_nullptr] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_try] = ACTIONS(2821),
    [anon_sym_delete] = ACTIONS(2821),
    [anon_sym_throw] = ACTIONS(2821),
    [anon_sym_co_return] = ACTIONS(2821),
    [anon_sym_co_yield] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(4038),
    [anon_sym_R_DQUOTE] = ACTIONS(2823),
    [anon_sym_LR_DQUOTE] = ACTIONS(2823),
    [anon_sym_uR_DQUOTE] = ACTIONS(2823),
    [anon_sym_UR_DQUOTE] = ACTIONS(2823),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2823),
    [anon_sym_co_await] = ACTIONS(2821),
    [anon_sym_new] = ACTIONS(2821),
    [anon_sym_requires] = ACTIONS(2821),
    [sym_this] = ACTIONS(2821),
  },
  [1078] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5231),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4041),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1079] = {
    [sym_type_qualifier] = STATE(1094),
    [sym__expression] = STATE(5120),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1094),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4047),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4049),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1080] = {
    [sym_type_qualifier] = STATE(1096),
    [sym__expression] = STATE(5108),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1096),
    [sym_identifier] = ACTIONS(4051),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4053),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4055),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1081] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5146),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4057),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4059),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1082] = {
    [sym_type_qualifier] = STATE(1099),
    [sym__expression] = STATE(5195),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1099),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4061),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4063),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1083] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5233),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4065),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4067),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1084] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5243),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4069),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4071),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1085] = {
    [sym_type_qualifier] = STATE(1084),
    [sym__expression] = STATE(5239),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1084),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4073),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4075),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1086] = {
    [sym_type_qualifier] = STATE(1096),
    [sym__expression] = STATE(5108),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1096),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4053),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4055),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1087] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5182),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4077),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4079),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1088] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5214),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4081),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1089] = {
    [sym_type_qualifier] = STATE(1091),
    [sym__expression] = STATE(5118),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1091),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4085),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4087),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1090] = {
    [sym_type_qualifier] = STATE(1083),
    [sym__expression] = STATE(5196),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1083),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4089),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4091),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1091] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5128),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4093),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4095),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1092] = {
    [sym_type_qualifier] = STATE(1088),
    [sym__expression] = STATE(5234),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1088),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4097),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4099),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1093] = {
    [sym_type_qualifier] = STATE(1087),
    [sym__expression] = STATE(5107),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1087),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4101),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1094] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5185),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4105),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4107),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1095] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5113),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4109),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4111),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1096] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5169),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4113),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1097] = {
    [sym_type_qualifier] = STATE(1081),
    [sym__expression] = STATE(5275),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1081),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4117),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4119),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1098] = {
    [sym_type_qualifier] = STATE(1095),
    [sym__expression] = STATE(5277),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1095),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4121),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4123),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1099] = {
    [sym_type_qualifier] = STATE(2162),
    [sym__expression] = STATE(5148),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4125),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4127),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1100] = {
    [sym_type_qualifier] = STATE(1078),
    [sym__expression] = STATE(5188),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [aux_sym__type_definition_type_repeat1] = STATE(1078),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4129),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4043),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4131),
    [anon_sym_const] = ACTIONS(4043),
    [anon_sym_constexpr] = ACTIONS(4043),
    [anon_sym_volatile] = ACTIONS(4043),
    [anon_sym_restrict] = ACTIONS(4043),
    [anon_sym___restrict__] = ACTIONS(4043),
    [anon_sym__Atomic] = ACTIONS(4043),
    [anon_sym__Noreturn] = ACTIONS(4043),
    [anon_sym_noreturn] = ACTIONS(4043),
    [anon_sym_mutable] = ACTIONS(4043),
    [anon_sym_constinit] = ACTIONS(4043),
    [anon_sym_consteval] = ACTIONS(4043),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1101] = {
    [sym_identifier] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_BANG] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2136),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2134),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym_LBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [anon_sym_if] = ACTIONS(2136),
    [anon_sym_else] = ACTIONS(2136),
    [anon_sym_switch] = ACTIONS(2136),
    [anon_sym_while] = ACTIONS(2136),
    [anon_sym_do] = ACTIONS(2136),
    [anon_sym_for] = ACTIONS(2136),
    [anon_sym_return] = ACTIONS(2136),
    [anon_sym_break] = ACTIONS(2136),
    [anon_sym_continue] = ACTIONS(2136),
    [anon_sym_goto] = ACTIONS(2136),
    [anon_sym___try] = ACTIONS(2136),
    [anon_sym___leave] = ACTIONS(2136),
    [anon_sym_not] = ACTIONS(2136),
    [anon_sym_compl] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2134),
    [anon_sym_PLUS_PLUS] = ACTIONS(2134),
    [anon_sym_sizeof] = ACTIONS(2136),
    [anon_sym___alignof__] = ACTIONS(2136),
    [anon_sym___alignof] = ACTIONS(2136),
    [anon_sym__alignof] = ACTIONS(2136),
    [anon_sym_alignof] = ACTIONS(2136),
    [anon_sym__Alignof] = ACTIONS(2136),
    [anon_sym_offsetof] = ACTIONS(2136),
    [anon_sym__Generic] = ACTIONS(2136),
    [anon_sym_asm] = ACTIONS(2136),
    [anon_sym___asm__] = ACTIONS(2136),
    [sym_number_literal] = ACTIONS(2134),
    [anon_sym_L_SQUOTE] = ACTIONS(2134),
    [anon_sym_u_SQUOTE] = ACTIONS(2134),
    [anon_sym_U_SQUOTE] = ACTIONS(2134),
    [anon_sym_u8_SQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE] = ACTIONS(2134),
    [anon_sym_L_DQUOTE] = ACTIONS(2134),
    [anon_sym_u_DQUOTE] = ACTIONS(2134),
    [anon_sym_U_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8_DQUOTE] = ACTIONS(2134),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [sym_true] = ACTIONS(2136),
    [sym_false] = ACTIONS(2136),
    [anon_sym_NULL] = ACTIONS(2136),
    [anon_sym_nullptr] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_try] = ACTIONS(2136),
    [anon_sym_delete] = ACTIONS(2136),
    [anon_sym_throw] = ACTIONS(2136),
    [anon_sym_co_return] = ACTIONS(2136),
    [anon_sym_co_yield] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
    [anon_sym_R_DQUOTE] = ACTIONS(2134),
    [anon_sym_LR_DQUOTE] = ACTIONS(2134),
    [anon_sym_uR_DQUOTE] = ACTIONS(2134),
    [anon_sym_UR_DQUOTE] = ACTIONS(2134),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2134),
    [anon_sym_co_await] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2136),
    [anon_sym_requires] = ACTIONS(2136),
    [sym_this] = ACTIONS(2136),
  },
  [1102] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(6953),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym__expression] = STATE(3460),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3636),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6177),
    [sym_qualified_identifier] = STATE(3650),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(3470),
    [anon_sym_LPAREN2] = ACTIONS(2066),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2074),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(2076),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1103] = {
    [sym_else_clause] = STATE(1117),
    [sym_identifier] = ACTIONS(2857),
    [anon_sym_LPAREN2] = ACTIONS(2859),
    [anon_sym_BANG] = ACTIONS(2859),
    [anon_sym_TILDE] = ACTIONS(2859),
    [anon_sym_DASH] = ACTIONS(2857),
    [anon_sym_PLUS] = ACTIONS(2857),
    [anon_sym_STAR] = ACTIONS(2859),
    [anon_sym_AMP] = ACTIONS(2859),
    [anon_sym_SEMI] = ACTIONS(2859),
    [anon_sym___extension__] = ACTIONS(2857),
    [anon_sym_typedef] = ACTIONS(2857),
    [anon_sym_extern] = ACTIONS(2857),
    [anon_sym___attribute__] = ACTIONS(2857),
    [anon_sym_COLON_COLON] = ACTIONS(2859),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2859),
    [anon_sym___declspec] = ACTIONS(2857),
    [anon_sym_LBRACE] = ACTIONS(2859),
    [anon_sym_signed] = ACTIONS(2857),
    [anon_sym_unsigned] = ACTIONS(2857),
    [anon_sym_long] = ACTIONS(2857),
    [anon_sym_short] = ACTIONS(2857),
    [anon_sym_LBRACK] = ACTIONS(2857),
    [anon_sym_static] = ACTIONS(2857),
    [anon_sym_register] = ACTIONS(2857),
    [anon_sym_inline] = ACTIONS(2857),
    [anon_sym___inline] = ACTIONS(2857),
    [anon_sym___inline__] = ACTIONS(2857),
    [anon_sym___forceinline] = ACTIONS(2857),
    [anon_sym_thread_local] = ACTIONS(2857),
    [anon_sym___thread] = ACTIONS(2857),
    [anon_sym_const] = ACTIONS(2857),
    [anon_sym_constexpr] = ACTIONS(2857),
    [anon_sym_volatile] = ACTIONS(2857),
    [anon_sym_restrict] = ACTIONS(2857),
    [anon_sym___restrict__] = ACTIONS(2857),
    [anon_sym__Atomic] = ACTIONS(2857),
    [anon_sym__Noreturn] = ACTIONS(2857),
    [anon_sym_noreturn] = ACTIONS(2857),
    [anon_sym_mutable] = ACTIONS(2857),
    [anon_sym_constinit] = ACTIONS(2857),
    [anon_sym_consteval] = ACTIONS(2857),
    [sym_primitive_type] = ACTIONS(2857),
    [anon_sym_enum] = ACTIONS(2857),
    [anon_sym_class] = ACTIONS(2857),
    [anon_sym_struct] = ACTIONS(2857),
    [anon_sym_union] = ACTIONS(2857),
    [anon_sym_if] = ACTIONS(2857),
    [anon_sym_else] = ACTIONS(4133),
    [anon_sym_switch] = ACTIONS(2857),
    [anon_sym_while] = ACTIONS(2857),
    [anon_sym_do] = ACTIONS(2857),
    [anon_sym_for] = ACTIONS(2857),
    [anon_sym_return] = ACTIONS(2857),
    [anon_sym_break] = ACTIONS(2857),
    [anon_sym_continue] = ACTIONS(2857),
    [anon_sym_goto] = ACTIONS(2857),
    [anon_sym___try] = ACTIONS(2857),
    [anon_sym___leave] = ACTIONS(2857),
    [anon_sym_not] = ACTIONS(2857),
    [anon_sym_compl] = ACTIONS(2857),
    [anon_sym_DASH_DASH] = ACTIONS(2859),
    [anon_sym_PLUS_PLUS] = ACTIONS(2859),
    [anon_sym_sizeof] = ACTIONS(2857),
    [anon_sym___alignof__] = ACTIONS(2857),
    [anon_sym___alignof] = ACTIONS(2857),
    [anon_sym__alignof] = ACTIONS(2857),
    [anon_sym_alignof] = ACTIONS(2857),
    [anon_sym__Alignof] = ACTIONS(2857),
    [anon_sym_offsetof] = ACTIONS(2857),
    [anon_sym__Generic] = ACTIONS(2857),
    [anon_sym_asm] = ACTIONS(2857),
    [anon_sym___asm__] = ACTIONS(2857),
    [sym_number_literal] = ACTIONS(2859),
    [anon_sym_L_SQUOTE] = ACTIONS(2859),
    [anon_sym_u_SQUOTE] = ACTIONS(2859),
    [anon_sym_U_SQUOTE] = ACTIONS(2859),
    [anon_sym_u8_SQUOTE] = ACTIONS(2859),
    [anon_sym_SQUOTE] = ACTIONS(2859),
    [anon_sym_L_DQUOTE] = ACTIONS(2859),
    [anon_sym_u_DQUOTE] = ACTIONS(2859),
    [anon_sym_U_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8_DQUOTE] = ACTIONS(2859),
    [anon_sym_DQUOTE] = ACTIONS(2859),
    [sym_true] = ACTIONS(2857),
    [sym_false] = ACTIONS(2857),
    [anon_sym_NULL] = ACTIONS(2857),
    [anon_sym_nullptr] = ACTIONS(2857),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2857),
    [anon_sym_decltype] = ACTIONS(2857),
    [anon_sym_virtual] = ACTIONS(2857),
    [anon_sym_alignas] = ACTIONS(2857),
    [anon_sym_typename] = ACTIONS(2857),
    [anon_sym_template] = ACTIONS(2857),
    [anon_sym_try] = ACTIONS(2857),
    [anon_sym_delete] = ACTIONS(2857),
    [anon_sym_throw] = ACTIONS(2857),
    [anon_sym_co_return] = ACTIONS(2857),
    [anon_sym_co_yield] = ACTIONS(2857),
    [anon_sym_R_DQUOTE] = ACTIONS(2859),
    [anon_sym_LR_DQUOTE] = ACTIONS(2859),
    [anon_sym_uR_DQUOTE] = ACTIONS(2859),
    [anon_sym_UR_DQUOTE] = ACTIONS(2859),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2859),
    [anon_sym_co_await] = ACTIONS(2857),
    [anon_sym_new] = ACTIONS(2857),
    [anon_sym_requires] = ACTIONS(2857),
    [sym_this] = ACTIONS(2857),
  },
  [1104] = {
    [sym_identifier] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_BANG] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_DASH] = ACTIONS(2853),
    [anon_sym_PLUS] = ACTIONS(2853),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2855),
    [anon_sym_SEMI] = ACTIONS(2855),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym_LBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [anon_sym_if] = ACTIONS(2853),
    [anon_sym_else] = ACTIONS(2853),
    [anon_sym_switch] = ACTIONS(2853),
    [anon_sym_while] = ACTIONS(2853),
    [anon_sym_do] = ACTIONS(2853),
    [anon_sym_for] = ACTIONS(2853),
    [anon_sym_return] = ACTIONS(2853),
    [anon_sym_break] = ACTIONS(2853),
    [anon_sym_continue] = ACTIONS(2853),
    [anon_sym_goto] = ACTIONS(2853),
    [anon_sym___try] = ACTIONS(2853),
    [anon_sym___leave] = ACTIONS(2853),
    [anon_sym_not] = ACTIONS(2853),
    [anon_sym_compl] = ACTIONS(2853),
    [anon_sym_DASH_DASH] = ACTIONS(2855),
    [anon_sym_PLUS_PLUS] = ACTIONS(2855),
    [anon_sym_sizeof] = ACTIONS(2853),
    [anon_sym___alignof__] = ACTIONS(2853),
    [anon_sym___alignof] = ACTIONS(2853),
    [anon_sym__alignof] = ACTIONS(2853),
    [anon_sym_alignof] = ACTIONS(2853),
    [anon_sym__Alignof] = ACTIONS(2853),
    [anon_sym_offsetof] = ACTIONS(2853),
    [anon_sym__Generic] = ACTIONS(2853),
    [anon_sym_asm] = ACTIONS(2853),
    [anon_sym___asm__] = ACTIONS(2853),
    [sym_number_literal] = ACTIONS(2855),
    [anon_sym_L_SQUOTE] = ACTIONS(2855),
    [anon_sym_u_SQUOTE] = ACTIONS(2855),
    [anon_sym_U_SQUOTE] = ACTIONS(2855),
    [anon_sym_u8_SQUOTE] = ACTIONS(2855),
    [anon_sym_SQUOTE] = ACTIONS(2855),
    [anon_sym_L_DQUOTE] = ACTIONS(2855),
    [anon_sym_u_DQUOTE] = ACTIONS(2855),
    [anon_sym_U_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8_DQUOTE] = ACTIONS(2855),
    [anon_sym_DQUOTE] = ACTIONS(2855),
    [sym_true] = ACTIONS(2853),
    [sym_false] = ACTIONS(2853),
    [anon_sym_NULL] = ACTIONS(2853),
    [anon_sym_nullptr] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_try] = ACTIONS(2853),
    [anon_sym_delete] = ACTIONS(2853),
    [anon_sym_throw] = ACTIONS(2853),
    [anon_sym_co_return] = ACTIONS(2853),
    [anon_sym_co_yield] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
    [anon_sym_R_DQUOTE] = ACTIONS(2855),
    [anon_sym_LR_DQUOTE] = ACTIONS(2855),
    [anon_sym_uR_DQUOTE] = ACTIONS(2855),
    [anon_sym_UR_DQUOTE] = ACTIONS(2855),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2855),
    [anon_sym_co_await] = ACTIONS(2853),
    [anon_sym_new] = ACTIONS(2853),
    [anon_sym_requires] = ACTIONS(2853),
    [sym_this] = ACTIONS(2853),
  },
  [1105] = {
    [sym_identifier] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2184),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_goto] = ACTIONS(2186),
    [anon_sym___try] = ACTIONS(2186),
    [anon_sym___leave] = ACTIONS(2186),
    [anon_sym_not] = ACTIONS(2186),
    [anon_sym_compl] = ACTIONS(2186),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_sizeof] = ACTIONS(2186),
    [anon_sym___alignof__] = ACTIONS(2186),
    [anon_sym___alignof] = ACTIONS(2186),
    [anon_sym__alignof] = ACTIONS(2186),
    [anon_sym_alignof] = ACTIONS(2186),
    [anon_sym__Alignof] = ACTIONS(2186),
    [anon_sym_offsetof] = ACTIONS(2186),
    [anon_sym__Generic] = ACTIONS(2186),
    [anon_sym_asm] = ACTIONS(2186),
    [anon_sym___asm__] = ACTIONS(2186),
    [sym_number_literal] = ACTIONS(2184),
    [anon_sym_L_SQUOTE] = ACTIONS(2184),
    [anon_sym_u_SQUOTE] = ACTIONS(2184),
    [anon_sym_U_SQUOTE] = ACTIONS(2184),
    [anon_sym_u8_SQUOTE] = ACTIONS(2184),
    [anon_sym_SQUOTE] = ACTIONS(2184),
    [anon_sym_L_DQUOTE] = ACTIONS(2184),
    [anon_sym_u_DQUOTE] = ACTIONS(2184),
    [anon_sym_U_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8_DQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2184),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [anon_sym_NULL] = ACTIONS(2186),
    [anon_sym_nullptr] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_delete] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_co_return] = ACTIONS(2186),
    [anon_sym_co_yield] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
    [anon_sym_R_DQUOTE] = ACTIONS(2184),
    [anon_sym_LR_DQUOTE] = ACTIONS(2184),
    [anon_sym_uR_DQUOTE] = ACTIONS(2184),
    [anon_sym_UR_DQUOTE] = ACTIONS(2184),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2184),
    [anon_sym_co_await] = ACTIONS(2186),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_requires] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
  },
  [1106] = {
    [sym_else_clause] = STATE(1136),
    [sym_identifier] = ACTIONS(2863),
    [anon_sym_LPAREN2] = ACTIONS(2865),
    [anon_sym_BANG] = ACTIONS(2865),
    [anon_sym_TILDE] = ACTIONS(2865),
    [anon_sym_DASH] = ACTIONS(2863),
    [anon_sym_PLUS] = ACTIONS(2863),
    [anon_sym_STAR] = ACTIONS(2865),
    [anon_sym_AMP] = ACTIONS(2865),
    [anon_sym_SEMI] = ACTIONS(2865),
    [anon_sym___extension__] = ACTIONS(2863),
    [anon_sym_typedef] = ACTIONS(2863),
    [anon_sym_extern] = ACTIONS(2863),
    [anon_sym___attribute__] = ACTIONS(2863),
    [anon_sym_COLON_COLON] = ACTIONS(2865),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2865),
    [anon_sym___declspec] = ACTIONS(2863),
    [anon_sym_LBRACE] = ACTIONS(2865),
    [anon_sym_signed] = ACTIONS(2863),
    [anon_sym_unsigned] = ACTIONS(2863),
    [anon_sym_long] = ACTIONS(2863),
    [anon_sym_short] = ACTIONS(2863),
    [anon_sym_LBRACK] = ACTIONS(2863),
    [anon_sym_static] = ACTIONS(2863),
    [anon_sym_register] = ACTIONS(2863),
    [anon_sym_inline] = ACTIONS(2863),
    [anon_sym___inline] = ACTIONS(2863),
    [anon_sym___inline__] = ACTIONS(2863),
    [anon_sym___forceinline] = ACTIONS(2863),
    [anon_sym_thread_local] = ACTIONS(2863),
    [anon_sym___thread] = ACTIONS(2863),
    [anon_sym_const] = ACTIONS(2863),
    [anon_sym_constexpr] = ACTIONS(2863),
    [anon_sym_volatile] = ACTIONS(2863),
    [anon_sym_restrict] = ACTIONS(2863),
    [anon_sym___restrict__] = ACTIONS(2863),
    [anon_sym__Atomic] = ACTIONS(2863),
    [anon_sym__Noreturn] = ACTIONS(2863),
    [anon_sym_noreturn] = ACTIONS(2863),
    [anon_sym_mutable] = ACTIONS(2863),
    [anon_sym_constinit] = ACTIONS(2863),
    [anon_sym_consteval] = ACTIONS(2863),
    [sym_primitive_type] = ACTIONS(2863),
    [anon_sym_enum] = ACTIONS(2863),
    [anon_sym_class] = ACTIONS(2863),
    [anon_sym_struct] = ACTIONS(2863),
    [anon_sym_union] = ACTIONS(2863),
    [anon_sym_if] = ACTIONS(2863),
    [anon_sym_else] = ACTIONS(4133),
    [anon_sym_switch] = ACTIONS(2863),
    [anon_sym_while] = ACTIONS(2863),
    [anon_sym_do] = ACTIONS(2863),
    [anon_sym_for] = ACTIONS(2863),
    [anon_sym_return] = ACTIONS(2863),
    [anon_sym_break] = ACTIONS(2863),
    [anon_sym_continue] = ACTIONS(2863),
    [anon_sym_goto] = ACTIONS(2863),
    [anon_sym___try] = ACTIONS(2863),
    [anon_sym___leave] = ACTIONS(2863),
    [anon_sym_not] = ACTIONS(2863),
    [anon_sym_compl] = ACTIONS(2863),
    [anon_sym_DASH_DASH] = ACTIONS(2865),
    [anon_sym_PLUS_PLUS] = ACTIONS(2865),
    [anon_sym_sizeof] = ACTIONS(2863),
    [anon_sym___alignof__] = ACTIONS(2863),
    [anon_sym___alignof] = ACTIONS(2863),
    [anon_sym__alignof] = ACTIONS(2863),
    [anon_sym_alignof] = ACTIONS(2863),
    [anon_sym__Alignof] = ACTIONS(2863),
    [anon_sym_offsetof] = ACTIONS(2863),
    [anon_sym__Generic] = ACTIONS(2863),
    [anon_sym_asm] = ACTIONS(2863),
    [anon_sym___asm__] = ACTIONS(2863),
    [sym_number_literal] = ACTIONS(2865),
    [anon_sym_L_SQUOTE] = ACTIONS(2865),
    [anon_sym_u_SQUOTE] = ACTIONS(2865),
    [anon_sym_U_SQUOTE] = ACTIONS(2865),
    [anon_sym_u8_SQUOTE] = ACTIONS(2865),
    [anon_sym_SQUOTE] = ACTIONS(2865),
    [anon_sym_L_DQUOTE] = ACTIONS(2865),
    [anon_sym_u_DQUOTE] = ACTIONS(2865),
    [anon_sym_U_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8_DQUOTE] = ACTIONS(2865),
    [anon_sym_DQUOTE] = ACTIONS(2865),
    [sym_true] = ACTIONS(2863),
    [sym_false] = ACTIONS(2863),
    [anon_sym_NULL] = ACTIONS(2863),
    [anon_sym_nullptr] = ACTIONS(2863),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2863),
    [anon_sym_decltype] = ACTIONS(2863),
    [anon_sym_virtual] = ACTIONS(2863),
    [anon_sym_alignas] = ACTIONS(2863),
    [anon_sym_typename] = ACTIONS(2863),
    [anon_sym_template] = ACTIONS(2863),
    [anon_sym_try] = ACTIONS(2863),
    [anon_sym_delete] = ACTIONS(2863),
    [anon_sym_throw] = ACTIONS(2863),
    [anon_sym_co_return] = ACTIONS(2863),
    [anon_sym_co_yield] = ACTIONS(2863),
    [anon_sym_R_DQUOTE] = ACTIONS(2865),
    [anon_sym_LR_DQUOTE] = ACTIONS(2865),
    [anon_sym_uR_DQUOTE] = ACTIONS(2865),
    [anon_sym_UR_DQUOTE] = ACTIONS(2865),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2865),
    [anon_sym_co_await] = ACTIONS(2863),
    [anon_sym_new] = ACTIONS(2863),
    [anon_sym_requires] = ACTIONS(2863),
    [sym_this] = ACTIONS(2863),
  },
  [1107] = {
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(6953),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3706),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6212),
    [sym_qualified_identifier] = STATE(3709),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_operator_name] = STATE(6828),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(3454),
    [anon_sym_LPAREN2] = ACTIONS(3456),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(3458),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(27),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(31),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(2082),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1108] = {
    [sym_identifier] = ACTIONS(2941),
    [anon_sym_LPAREN2] = ACTIONS(2943),
    [anon_sym_BANG] = ACTIONS(2943),
    [anon_sym_TILDE] = ACTIONS(2943),
    [anon_sym_DASH] = ACTIONS(2941),
    [anon_sym_PLUS] = ACTIONS(2941),
    [anon_sym_STAR] = ACTIONS(2943),
    [anon_sym_AMP] = ACTIONS(2943),
    [anon_sym_SEMI] = ACTIONS(2943),
    [anon_sym___extension__] = ACTIONS(2941),
    [anon_sym_typedef] = ACTIONS(2941),
    [anon_sym_extern] = ACTIONS(2941),
    [anon_sym___attribute__] = ACTIONS(2941),
    [anon_sym_COLON_COLON] = ACTIONS(2943),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2943),
    [anon_sym___declspec] = ACTIONS(2941),
    [anon_sym_LBRACE] = ACTIONS(2943),
    [anon_sym_signed] = ACTIONS(2941),
    [anon_sym_unsigned] = ACTIONS(2941),
    [anon_sym_long] = ACTIONS(2941),
    [anon_sym_short] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(2941),
    [anon_sym_static] = ACTIONS(2941),
    [anon_sym_register] = ACTIONS(2941),
    [anon_sym_inline] = ACTIONS(2941),
    [anon_sym___inline] = ACTIONS(2941),
    [anon_sym___inline__] = ACTIONS(2941),
    [anon_sym___forceinline] = ACTIONS(2941),
    [anon_sym_thread_local] = ACTIONS(2941),
    [anon_sym___thread] = ACTIONS(2941),
    [anon_sym_const] = ACTIONS(2941),
    [anon_sym_constexpr] = ACTIONS(2941),
    [anon_sym_volatile] = ACTIONS(2941),
    [anon_sym_restrict] = ACTIONS(2941),
    [anon_sym___restrict__] = ACTIONS(2941),
    [anon_sym__Atomic] = ACTIONS(2941),
    [anon_sym__Noreturn] = ACTIONS(2941),
    [anon_sym_noreturn] = ACTIONS(2941),
    [anon_sym_mutable] = ACTIONS(2941),
    [anon_sym_constinit] = ACTIONS(2941),
    [anon_sym_consteval] = ACTIONS(2941),
    [sym_primitive_type] = ACTIONS(2941),
    [anon_sym_enum] = ACTIONS(2941),
    [anon_sym_class] = ACTIONS(2941),
    [anon_sym_struct] = ACTIONS(2941),
    [anon_sym_union] = ACTIONS(2941),
    [anon_sym_if] = ACTIONS(2941),
    [anon_sym_else] = ACTIONS(2941),
    [anon_sym_switch] = ACTIONS(2941),
    [anon_sym_while] = ACTIONS(2941),
    [anon_sym_do] = ACTIONS(2941),
    [anon_sym_for] = ACTIONS(2941),
    [anon_sym_return] = ACTIONS(2941),
    [anon_sym_break] = ACTIONS(2941),
    [anon_sym_continue] = ACTIONS(2941),
    [anon_sym_goto] = ACTIONS(2941),
    [anon_sym___try] = ACTIONS(2941),
    [anon_sym___leave] = ACTIONS(2941),
    [anon_sym_not] = ACTIONS(2941),
    [anon_sym_compl] = ACTIONS(2941),
    [anon_sym_DASH_DASH] = ACTIONS(2943),
    [anon_sym_PLUS_PLUS] = ACTIONS(2943),
    [anon_sym_sizeof] = ACTIONS(2941),
    [anon_sym___alignof__] = ACTIONS(2941),
    [anon_sym___alignof] = ACTIONS(2941),
    [anon_sym__alignof] = ACTIONS(2941),
    [anon_sym_alignof] = ACTIONS(2941),
    [anon_sym__Alignof] = ACTIONS(2941),
    [anon_sym_offsetof] = ACTIONS(2941),
    [anon_sym__Generic] = ACTIONS(2941),
    [anon_sym_asm] = ACTIONS(2941),
    [anon_sym___asm__] = ACTIONS(2941),
    [sym_number_literal] = ACTIONS(2943),
    [anon_sym_L_SQUOTE] = ACTIONS(2943),
    [anon_sym_u_SQUOTE] = ACTIONS(2943),
    [anon_sym_U_SQUOTE] = ACTIONS(2943),
    [anon_sym_u8_SQUOTE] = ACTIONS(2943),
    [anon_sym_SQUOTE] = ACTIONS(2943),
    [anon_sym_L_DQUOTE] = ACTIONS(2943),
    [anon_sym_u_DQUOTE] = ACTIONS(2943),
    [anon_sym_U_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8_DQUOTE] = ACTIONS(2943),
    [anon_sym_DQUOTE] = ACTIONS(2943),
    [sym_true] = ACTIONS(2941),
    [sym_false] = ACTIONS(2941),
    [anon_sym_NULL] = ACTIONS(2941),
    [anon_sym_nullptr] = ACTIONS(2941),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2941),
    [anon_sym_decltype] = ACTIONS(2941),
    [anon_sym_virtual] = ACTIONS(2941),
    [anon_sym_alignas] = ACTIONS(2941),
    [anon_sym_typename] = ACTIONS(2941),
    [anon_sym_template] = ACTIONS(2941),
    [anon_sym_try] = ACTIONS(2941),
    [anon_sym_delete] = ACTIONS(2941),
    [anon_sym_throw] = ACTIONS(2941),
    [anon_sym_co_return] = ACTIONS(2941),
    [anon_sym_co_yield] = ACTIONS(2941),
    [anon_sym_R_DQUOTE] = ACTIONS(2943),
    [anon_sym_LR_DQUOTE] = ACTIONS(2943),
    [anon_sym_uR_DQUOTE] = ACTIONS(2943),
    [anon_sym_UR_DQUOTE] = ACTIONS(2943),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2943),
    [anon_sym_co_await] = ACTIONS(2941),
    [anon_sym_new] = ACTIONS(2941),
    [anon_sym_requires] = ACTIONS(2941),
    [sym_this] = ACTIONS(2941),
  },
  [1109] = {
    [sym_identifier] = ACTIONS(2933),
    [anon_sym_LPAREN2] = ACTIONS(2935),
    [anon_sym_BANG] = ACTIONS(2935),
    [anon_sym_TILDE] = ACTIONS(2935),
    [anon_sym_DASH] = ACTIONS(2933),
    [anon_sym_PLUS] = ACTIONS(2933),
    [anon_sym_STAR] = ACTIONS(2935),
    [anon_sym_AMP] = ACTIONS(2935),
    [anon_sym_SEMI] = ACTIONS(2935),
    [anon_sym___extension__] = ACTIONS(2933),
    [anon_sym_typedef] = ACTIONS(2933),
    [anon_sym_extern] = ACTIONS(2933),
    [anon_sym___attribute__] = ACTIONS(2933),
    [anon_sym_COLON_COLON] = ACTIONS(2935),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2935),
    [anon_sym___declspec] = ACTIONS(2933),
    [anon_sym_LBRACE] = ACTIONS(2935),
    [anon_sym_signed] = ACTIONS(2933),
    [anon_sym_unsigned] = ACTIONS(2933),
    [anon_sym_long] = ACTIONS(2933),
    [anon_sym_short] = ACTIONS(2933),
    [anon_sym_LBRACK] = ACTIONS(2933),
    [anon_sym_static] = ACTIONS(2933),
    [anon_sym_register] = ACTIONS(2933),
    [anon_sym_inline] = ACTIONS(2933),
    [anon_sym___inline] = ACTIONS(2933),
    [anon_sym___inline__] = ACTIONS(2933),
    [anon_sym___forceinline] = ACTIONS(2933),
    [anon_sym_thread_local] = ACTIONS(2933),
    [anon_sym___thread] = ACTIONS(2933),
    [anon_sym_const] = ACTIONS(2933),
    [anon_sym_constexpr] = ACTIONS(2933),
    [anon_sym_volatile] = ACTIONS(2933),
    [anon_sym_restrict] = ACTIONS(2933),
    [anon_sym___restrict__] = ACTIONS(2933),
    [anon_sym__Atomic] = ACTIONS(2933),
    [anon_sym__Noreturn] = ACTIONS(2933),
    [anon_sym_noreturn] = ACTIONS(2933),
    [anon_sym_mutable] = ACTIONS(2933),
    [anon_sym_constinit] = ACTIONS(2933),
    [anon_sym_consteval] = ACTIONS(2933),
    [sym_primitive_type] = ACTIONS(2933),
    [anon_sym_enum] = ACTIONS(2933),
    [anon_sym_class] = ACTIONS(2933),
    [anon_sym_struct] = ACTIONS(2933),
    [anon_sym_union] = ACTIONS(2933),
    [anon_sym_if] = ACTIONS(2933),
    [anon_sym_else] = ACTIONS(2933),
    [anon_sym_switch] = ACTIONS(2933),
    [anon_sym_while] = ACTIONS(2933),
    [anon_sym_do] = ACTIONS(2933),
    [anon_sym_for] = ACTIONS(2933),
    [anon_sym_return] = ACTIONS(2933),
    [anon_sym_break] = ACTIONS(2933),
    [anon_sym_continue] = ACTIONS(2933),
    [anon_sym_goto] = ACTIONS(2933),
    [anon_sym___try] = ACTIONS(2933),
    [anon_sym___leave] = ACTIONS(2933),
    [anon_sym_not] = ACTIONS(2933),
    [anon_sym_compl] = ACTIONS(2933),
    [anon_sym_DASH_DASH] = ACTIONS(2935),
    [anon_sym_PLUS_PLUS] = ACTIONS(2935),
    [anon_sym_sizeof] = ACTIONS(2933),
    [anon_sym___alignof__] = ACTIONS(2933),
    [anon_sym___alignof] = ACTIONS(2933),
    [anon_sym__alignof] = ACTIONS(2933),
    [anon_sym_alignof] = ACTIONS(2933),
    [anon_sym__Alignof] = ACTIONS(2933),
    [anon_sym_offsetof] = ACTIONS(2933),
    [anon_sym__Generic] = ACTIONS(2933),
    [anon_sym_asm] = ACTIONS(2933),
    [anon_sym___asm__] = ACTIONS(2933),
    [sym_number_literal] = ACTIONS(2935),
    [anon_sym_L_SQUOTE] = ACTIONS(2935),
    [anon_sym_u_SQUOTE] = ACTIONS(2935),
    [anon_sym_U_SQUOTE] = ACTIONS(2935),
    [anon_sym_u8_SQUOTE] = ACTIONS(2935),
    [anon_sym_SQUOTE] = ACTIONS(2935),
    [anon_sym_L_DQUOTE] = ACTIONS(2935),
    [anon_sym_u_DQUOTE] = ACTIONS(2935),
    [anon_sym_U_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8_DQUOTE] = ACTIONS(2935),
    [anon_sym_DQUOTE] = ACTIONS(2935),
    [sym_true] = ACTIONS(2933),
    [sym_false] = ACTIONS(2933),
    [anon_sym_NULL] = ACTIONS(2933),
    [anon_sym_nullptr] = ACTIONS(2933),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2933),
    [anon_sym_decltype] = ACTIONS(2933),
    [anon_sym_virtual] = ACTIONS(2933),
    [anon_sym_alignas] = ACTIONS(2933),
    [anon_sym_typename] = ACTIONS(2933),
    [anon_sym_template] = ACTIONS(2933),
    [anon_sym_try] = ACTIONS(2933),
    [anon_sym_delete] = ACTIONS(2933),
    [anon_sym_throw] = ACTIONS(2933),
    [anon_sym_co_return] = ACTIONS(2933),
    [anon_sym_co_yield] = ACTIONS(2933),
    [anon_sym_R_DQUOTE] = ACTIONS(2935),
    [anon_sym_LR_DQUOTE] = ACTIONS(2935),
    [anon_sym_uR_DQUOTE] = ACTIONS(2935),
    [anon_sym_UR_DQUOTE] = ACTIONS(2935),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2935),
    [anon_sym_co_await] = ACTIONS(2933),
    [anon_sym_new] = ACTIONS(2933),
    [anon_sym_requires] = ACTIONS(2933),
    [sym_this] = ACTIONS(2933),
  },
  [1110] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1111] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1112] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1113] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1114] = {
    [sym_identifier] = ACTIONS(2989),
    [anon_sym_LPAREN2] = ACTIONS(2991),
    [anon_sym_BANG] = ACTIONS(2991),
    [anon_sym_TILDE] = ACTIONS(2991),
    [anon_sym_DASH] = ACTIONS(2989),
    [anon_sym_PLUS] = ACTIONS(2989),
    [anon_sym_STAR] = ACTIONS(2991),
    [anon_sym_AMP] = ACTIONS(2991),
    [anon_sym_SEMI] = ACTIONS(2991),
    [anon_sym___extension__] = ACTIONS(2989),
    [anon_sym_typedef] = ACTIONS(2989),
    [anon_sym_extern] = ACTIONS(2989),
    [anon_sym___attribute__] = ACTIONS(2989),
    [anon_sym_COLON_COLON] = ACTIONS(2991),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2991),
    [anon_sym___declspec] = ACTIONS(2989),
    [anon_sym_LBRACE] = ACTIONS(2991),
    [anon_sym_signed] = ACTIONS(2989),
    [anon_sym_unsigned] = ACTIONS(2989),
    [anon_sym_long] = ACTIONS(2989),
    [anon_sym_short] = ACTIONS(2989),
    [anon_sym_LBRACK] = ACTIONS(2989),
    [anon_sym_static] = ACTIONS(2989),
    [anon_sym_register] = ACTIONS(2989),
    [anon_sym_inline] = ACTIONS(2989),
    [anon_sym___inline] = ACTIONS(2989),
    [anon_sym___inline__] = ACTIONS(2989),
    [anon_sym___forceinline] = ACTIONS(2989),
    [anon_sym_thread_local] = ACTIONS(2989),
    [anon_sym___thread] = ACTIONS(2989),
    [anon_sym_const] = ACTIONS(2989),
    [anon_sym_constexpr] = ACTIONS(2989),
    [anon_sym_volatile] = ACTIONS(2989),
    [anon_sym_restrict] = ACTIONS(2989),
    [anon_sym___restrict__] = ACTIONS(2989),
    [anon_sym__Atomic] = ACTIONS(2989),
    [anon_sym__Noreturn] = ACTIONS(2989),
    [anon_sym_noreturn] = ACTIONS(2989),
    [anon_sym_mutable] = ACTIONS(2989),
    [anon_sym_constinit] = ACTIONS(2989),
    [anon_sym_consteval] = ACTIONS(2989),
    [sym_primitive_type] = ACTIONS(2989),
    [anon_sym_enum] = ACTIONS(2989),
    [anon_sym_class] = ACTIONS(2989),
    [anon_sym_struct] = ACTIONS(2989),
    [anon_sym_union] = ACTIONS(2989),
    [anon_sym_if] = ACTIONS(2989),
    [anon_sym_else] = ACTIONS(2989),
    [anon_sym_switch] = ACTIONS(2989),
    [anon_sym_while] = ACTIONS(2989),
    [anon_sym_do] = ACTIONS(2989),
    [anon_sym_for] = ACTIONS(2989),
    [anon_sym_return] = ACTIONS(2989),
    [anon_sym_break] = ACTIONS(2989),
    [anon_sym_continue] = ACTIONS(2989),
    [anon_sym_goto] = ACTIONS(2989),
    [anon_sym___try] = ACTIONS(2989),
    [anon_sym___leave] = ACTIONS(2989),
    [anon_sym_not] = ACTIONS(2989),
    [anon_sym_compl] = ACTIONS(2989),
    [anon_sym_DASH_DASH] = ACTIONS(2991),
    [anon_sym_PLUS_PLUS] = ACTIONS(2991),
    [anon_sym_sizeof] = ACTIONS(2989),
    [anon_sym___alignof__] = ACTIONS(2989),
    [anon_sym___alignof] = ACTIONS(2989),
    [anon_sym__alignof] = ACTIONS(2989),
    [anon_sym_alignof] = ACTIONS(2989),
    [anon_sym__Alignof] = ACTIONS(2989),
    [anon_sym_offsetof] = ACTIONS(2989),
    [anon_sym__Generic] = ACTIONS(2989),
    [anon_sym_asm] = ACTIONS(2989),
    [anon_sym___asm__] = ACTIONS(2989),
    [sym_number_literal] = ACTIONS(2991),
    [anon_sym_L_SQUOTE] = ACTIONS(2991),
    [anon_sym_u_SQUOTE] = ACTIONS(2991),
    [anon_sym_U_SQUOTE] = ACTIONS(2991),
    [anon_sym_u8_SQUOTE] = ACTIONS(2991),
    [anon_sym_SQUOTE] = ACTIONS(2991),
    [anon_sym_L_DQUOTE] = ACTIONS(2991),
    [anon_sym_u_DQUOTE] = ACTIONS(2991),
    [anon_sym_U_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8_DQUOTE] = ACTIONS(2991),
    [anon_sym_DQUOTE] = ACTIONS(2991),
    [sym_true] = ACTIONS(2989),
    [sym_false] = ACTIONS(2989),
    [anon_sym_NULL] = ACTIONS(2989),
    [anon_sym_nullptr] = ACTIONS(2989),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2989),
    [anon_sym_decltype] = ACTIONS(2989),
    [anon_sym_virtual] = ACTIONS(2989),
    [anon_sym_alignas] = ACTIONS(2989),
    [anon_sym_typename] = ACTIONS(2989),
    [anon_sym_template] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2989),
    [anon_sym_delete] = ACTIONS(2989),
    [anon_sym_throw] = ACTIONS(2989),
    [anon_sym_co_return] = ACTIONS(2989),
    [anon_sym_co_yield] = ACTIONS(2989),
    [anon_sym_R_DQUOTE] = ACTIONS(2991),
    [anon_sym_LR_DQUOTE] = ACTIONS(2991),
    [anon_sym_uR_DQUOTE] = ACTIONS(2991),
    [anon_sym_UR_DQUOTE] = ACTIONS(2991),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2991),
    [anon_sym_co_await] = ACTIONS(2989),
    [anon_sym_new] = ACTIONS(2989),
    [anon_sym_requires] = ACTIONS(2989),
    [sym_this] = ACTIONS(2989),
  },
  [1115] = {
    [sym_identifier] = ACTIONS(2985),
    [anon_sym_LPAREN2] = ACTIONS(2987),
    [anon_sym_BANG] = ACTIONS(2987),
    [anon_sym_TILDE] = ACTIONS(2987),
    [anon_sym_DASH] = ACTIONS(2985),
    [anon_sym_PLUS] = ACTIONS(2985),
    [anon_sym_STAR] = ACTIONS(2987),
    [anon_sym_AMP] = ACTIONS(2987),
    [anon_sym_SEMI] = ACTIONS(2987),
    [anon_sym___extension__] = ACTIONS(2985),
    [anon_sym_typedef] = ACTIONS(2985),
    [anon_sym_extern] = ACTIONS(2985),
    [anon_sym___attribute__] = ACTIONS(2985),
    [anon_sym_COLON_COLON] = ACTIONS(2987),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2987),
    [anon_sym___declspec] = ACTIONS(2985),
    [anon_sym_LBRACE] = ACTIONS(2987),
    [anon_sym_signed] = ACTIONS(2985),
    [anon_sym_unsigned] = ACTIONS(2985),
    [anon_sym_long] = ACTIONS(2985),
    [anon_sym_short] = ACTIONS(2985),
    [anon_sym_LBRACK] = ACTIONS(2985),
    [anon_sym_static] = ACTIONS(2985),
    [anon_sym_register] = ACTIONS(2985),
    [anon_sym_inline] = ACTIONS(2985),
    [anon_sym___inline] = ACTIONS(2985),
    [anon_sym___inline__] = ACTIONS(2985),
    [anon_sym___forceinline] = ACTIONS(2985),
    [anon_sym_thread_local] = ACTIONS(2985),
    [anon_sym___thread] = ACTIONS(2985),
    [anon_sym_const] = ACTIONS(2985),
    [anon_sym_constexpr] = ACTIONS(2985),
    [anon_sym_volatile] = ACTIONS(2985),
    [anon_sym_restrict] = ACTIONS(2985),
    [anon_sym___restrict__] = ACTIONS(2985),
    [anon_sym__Atomic] = ACTIONS(2985),
    [anon_sym__Noreturn] = ACTIONS(2985),
    [anon_sym_noreturn] = ACTIONS(2985),
    [anon_sym_mutable] = ACTIONS(2985),
    [anon_sym_constinit] = ACTIONS(2985),
    [anon_sym_consteval] = ACTIONS(2985),
    [sym_primitive_type] = ACTIONS(2985),
    [anon_sym_enum] = ACTIONS(2985),
    [anon_sym_class] = ACTIONS(2985),
    [anon_sym_struct] = ACTIONS(2985),
    [anon_sym_union] = ACTIONS(2985),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(2985),
    [anon_sym_switch] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(2985),
    [anon_sym_do] = ACTIONS(2985),
    [anon_sym_for] = ACTIONS(2985),
    [anon_sym_return] = ACTIONS(2985),
    [anon_sym_break] = ACTIONS(2985),
    [anon_sym_continue] = ACTIONS(2985),
    [anon_sym_goto] = ACTIONS(2985),
    [anon_sym___try] = ACTIONS(2985),
    [anon_sym___leave] = ACTIONS(2985),
    [anon_sym_not] = ACTIONS(2985),
    [anon_sym_compl] = ACTIONS(2985),
    [anon_sym_DASH_DASH] = ACTIONS(2987),
    [anon_sym_PLUS_PLUS] = ACTIONS(2987),
    [anon_sym_sizeof] = ACTIONS(2985),
    [anon_sym___alignof__] = ACTIONS(2985),
    [anon_sym___alignof] = ACTIONS(2985),
    [anon_sym__alignof] = ACTIONS(2985),
    [anon_sym_alignof] = ACTIONS(2985),
    [anon_sym__Alignof] = ACTIONS(2985),
    [anon_sym_offsetof] = ACTIONS(2985),
    [anon_sym__Generic] = ACTIONS(2985),
    [anon_sym_asm] = ACTIONS(2985),
    [anon_sym___asm__] = ACTIONS(2985),
    [sym_number_literal] = ACTIONS(2987),
    [anon_sym_L_SQUOTE] = ACTIONS(2987),
    [anon_sym_u_SQUOTE] = ACTIONS(2987),
    [anon_sym_U_SQUOTE] = ACTIONS(2987),
    [anon_sym_u8_SQUOTE] = ACTIONS(2987),
    [anon_sym_SQUOTE] = ACTIONS(2987),
    [anon_sym_L_DQUOTE] = ACTIONS(2987),
    [anon_sym_u_DQUOTE] = ACTIONS(2987),
    [anon_sym_U_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8_DQUOTE] = ACTIONS(2987),
    [anon_sym_DQUOTE] = ACTIONS(2987),
    [sym_true] = ACTIONS(2985),
    [sym_false] = ACTIONS(2985),
    [anon_sym_NULL] = ACTIONS(2985),
    [anon_sym_nullptr] = ACTIONS(2985),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2985),
    [anon_sym_decltype] = ACTIONS(2985),
    [anon_sym_virtual] = ACTIONS(2985),
    [anon_sym_alignas] = ACTIONS(2985),
    [anon_sym_typename] = ACTIONS(2985),
    [anon_sym_template] = ACTIONS(2985),
    [anon_sym_try] = ACTIONS(2985),
    [anon_sym_delete] = ACTIONS(2985),
    [anon_sym_throw] = ACTIONS(2985),
    [anon_sym_co_return] = ACTIONS(2985),
    [anon_sym_co_yield] = ACTIONS(2985),
    [anon_sym_R_DQUOTE] = ACTIONS(2987),
    [anon_sym_LR_DQUOTE] = ACTIONS(2987),
    [anon_sym_uR_DQUOTE] = ACTIONS(2987),
    [anon_sym_UR_DQUOTE] = ACTIONS(2987),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2987),
    [anon_sym_co_await] = ACTIONS(2985),
    [anon_sym_new] = ACTIONS(2985),
    [anon_sym_requires] = ACTIONS(2985),
    [sym_this] = ACTIONS(2985),
  },
  [1116] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1117] = {
    [sym_identifier] = ACTIONS(2981),
    [anon_sym_LPAREN2] = ACTIONS(2983),
    [anon_sym_BANG] = ACTIONS(2983),
    [anon_sym_TILDE] = ACTIONS(2983),
    [anon_sym_DASH] = ACTIONS(2981),
    [anon_sym_PLUS] = ACTIONS(2981),
    [anon_sym_STAR] = ACTIONS(2983),
    [anon_sym_AMP] = ACTIONS(2983),
    [anon_sym_SEMI] = ACTIONS(2983),
    [anon_sym___extension__] = ACTIONS(2981),
    [anon_sym_typedef] = ACTIONS(2981),
    [anon_sym_extern] = ACTIONS(2981),
    [anon_sym___attribute__] = ACTIONS(2981),
    [anon_sym_COLON_COLON] = ACTIONS(2983),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2983),
    [anon_sym___declspec] = ACTIONS(2981),
    [anon_sym_LBRACE] = ACTIONS(2983),
    [anon_sym_signed] = ACTIONS(2981),
    [anon_sym_unsigned] = ACTIONS(2981),
    [anon_sym_long] = ACTIONS(2981),
    [anon_sym_short] = ACTIONS(2981),
    [anon_sym_LBRACK] = ACTIONS(2981),
    [anon_sym_static] = ACTIONS(2981),
    [anon_sym_register] = ACTIONS(2981),
    [anon_sym_inline] = ACTIONS(2981),
    [anon_sym___inline] = ACTIONS(2981),
    [anon_sym___inline__] = ACTIONS(2981),
    [anon_sym___forceinline] = ACTIONS(2981),
    [anon_sym_thread_local] = ACTIONS(2981),
    [anon_sym___thread] = ACTIONS(2981),
    [anon_sym_const] = ACTIONS(2981),
    [anon_sym_constexpr] = ACTIONS(2981),
    [anon_sym_volatile] = ACTIONS(2981),
    [anon_sym_restrict] = ACTIONS(2981),
    [anon_sym___restrict__] = ACTIONS(2981),
    [anon_sym__Atomic] = ACTIONS(2981),
    [anon_sym__Noreturn] = ACTIONS(2981),
    [anon_sym_noreturn] = ACTIONS(2981),
    [anon_sym_mutable] = ACTIONS(2981),
    [anon_sym_constinit] = ACTIONS(2981),
    [anon_sym_consteval] = ACTIONS(2981),
    [sym_primitive_type] = ACTIONS(2981),
    [anon_sym_enum] = ACTIONS(2981),
    [anon_sym_class] = ACTIONS(2981),
    [anon_sym_struct] = ACTIONS(2981),
    [anon_sym_union] = ACTIONS(2981),
    [anon_sym_if] = ACTIONS(2981),
    [anon_sym_else] = ACTIONS(2981),
    [anon_sym_switch] = ACTIONS(2981),
    [anon_sym_while] = ACTIONS(2981),
    [anon_sym_do] = ACTIONS(2981),
    [anon_sym_for] = ACTIONS(2981),
    [anon_sym_return] = ACTIONS(2981),
    [anon_sym_break] = ACTIONS(2981),
    [anon_sym_continue] = ACTIONS(2981),
    [anon_sym_goto] = ACTIONS(2981),
    [anon_sym___try] = ACTIONS(2981),
    [anon_sym___leave] = ACTIONS(2981),
    [anon_sym_not] = ACTIONS(2981),
    [anon_sym_compl] = ACTIONS(2981),
    [anon_sym_DASH_DASH] = ACTIONS(2983),
    [anon_sym_PLUS_PLUS] = ACTIONS(2983),
    [anon_sym_sizeof] = ACTIONS(2981),
    [anon_sym___alignof__] = ACTIONS(2981),
    [anon_sym___alignof] = ACTIONS(2981),
    [anon_sym__alignof] = ACTIONS(2981),
    [anon_sym_alignof] = ACTIONS(2981),
    [anon_sym__Alignof] = ACTIONS(2981),
    [anon_sym_offsetof] = ACTIONS(2981),
    [anon_sym__Generic] = ACTIONS(2981),
    [anon_sym_asm] = ACTIONS(2981),
    [anon_sym___asm__] = ACTIONS(2981),
    [sym_number_literal] = ACTIONS(2983),
    [anon_sym_L_SQUOTE] = ACTIONS(2983),
    [anon_sym_u_SQUOTE] = ACTIONS(2983),
    [anon_sym_U_SQUOTE] = ACTIONS(2983),
    [anon_sym_u8_SQUOTE] = ACTIONS(2983),
    [anon_sym_SQUOTE] = ACTIONS(2983),
    [anon_sym_L_DQUOTE] = ACTIONS(2983),
    [anon_sym_u_DQUOTE] = ACTIONS(2983),
    [anon_sym_U_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8_DQUOTE] = ACTIONS(2983),
    [anon_sym_DQUOTE] = ACTIONS(2983),
    [sym_true] = ACTIONS(2981),
    [sym_false] = ACTIONS(2981),
    [anon_sym_NULL] = ACTIONS(2981),
    [anon_sym_nullptr] = ACTIONS(2981),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2981),
    [anon_sym_decltype] = ACTIONS(2981),
    [anon_sym_virtual] = ACTIONS(2981),
    [anon_sym_alignas] = ACTIONS(2981),
    [anon_sym_typename] = ACTIONS(2981),
    [anon_sym_template] = ACTIONS(2981),
    [anon_sym_try] = ACTIONS(2981),
    [anon_sym_delete] = ACTIONS(2981),
    [anon_sym_throw] = ACTIONS(2981),
    [anon_sym_co_return] = ACTIONS(2981),
    [anon_sym_co_yield] = ACTIONS(2981),
    [anon_sym_R_DQUOTE] = ACTIONS(2983),
    [anon_sym_LR_DQUOTE] = ACTIONS(2983),
    [anon_sym_uR_DQUOTE] = ACTIONS(2983),
    [anon_sym_UR_DQUOTE] = ACTIONS(2983),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2983),
    [anon_sym_co_await] = ACTIONS(2981),
    [anon_sym_new] = ACTIONS(2981),
    [anon_sym_requires] = ACTIONS(2981),
    [sym_this] = ACTIONS(2981),
  },
  [1118] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1119] = {
    [sym_identifier] = ACTIONS(4022),
    [anon_sym_LPAREN2] = ACTIONS(4028),
    [anon_sym_BANG] = ACTIONS(4028),
    [anon_sym_TILDE] = ACTIONS(4028),
    [anon_sym_DASH] = ACTIONS(4030),
    [anon_sym_PLUS] = ACTIONS(4030),
    [anon_sym_STAR] = ACTIONS(4028),
    [anon_sym_AMP] = ACTIONS(4028),
    [anon_sym_SEMI] = ACTIONS(4028),
    [anon_sym___extension__] = ACTIONS(4034),
    [anon_sym_extern] = ACTIONS(4034),
    [anon_sym___attribute__] = ACTIONS(4034),
    [anon_sym_COLON_COLON] = ACTIONS(4025),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4025),
    [anon_sym___declspec] = ACTIONS(4034),
    [anon_sym_LBRACE] = ACTIONS(4028),
    [anon_sym_signed] = ACTIONS(4034),
    [anon_sym_unsigned] = ACTIONS(4034),
    [anon_sym_long] = ACTIONS(4034),
    [anon_sym_short] = ACTIONS(4034),
    [anon_sym_LBRACK] = ACTIONS(4030),
    [anon_sym_static] = ACTIONS(4034),
    [anon_sym_register] = ACTIONS(4034),
    [anon_sym_inline] = ACTIONS(4034),
    [anon_sym___inline] = ACTIONS(4034),
    [anon_sym___inline__] = ACTIONS(4034),
    [anon_sym___forceinline] = ACTIONS(4034),
    [anon_sym_thread_local] = ACTIONS(4034),
    [anon_sym___thread] = ACTIONS(4034),
    [anon_sym_const] = ACTIONS(4034),
    [anon_sym_constexpr] = ACTIONS(4034),
    [anon_sym_volatile] = ACTIONS(4034),
    [anon_sym_restrict] = ACTIONS(4034),
    [anon_sym___restrict__] = ACTIONS(4034),
    [anon_sym__Atomic] = ACTIONS(4034),
    [anon_sym__Noreturn] = ACTIONS(4034),
    [anon_sym_noreturn] = ACTIONS(4034),
    [anon_sym_mutable] = ACTIONS(4034),
    [anon_sym_constinit] = ACTIONS(4034),
    [anon_sym_consteval] = ACTIONS(4034),
    [sym_primitive_type] = ACTIONS(4022),
    [anon_sym_enum] = ACTIONS(4034),
    [anon_sym_class] = ACTIONS(4034),
    [anon_sym_struct] = ACTIONS(4034),
    [anon_sym_union] = ACTIONS(4034),
    [anon_sym_if] = ACTIONS(4030),
    [anon_sym_switch] = ACTIONS(4030),
    [anon_sym_case] = ACTIONS(4030),
    [anon_sym_default] = ACTIONS(4030),
    [anon_sym_while] = ACTIONS(4030),
    [anon_sym_do] = ACTIONS(4030),
    [anon_sym_for] = ACTIONS(4030),
    [anon_sym_return] = ACTIONS(4030),
    [anon_sym_break] = ACTIONS(4030),
    [anon_sym_continue] = ACTIONS(4030),
    [anon_sym_goto] = ACTIONS(4030),
    [anon_sym___try] = ACTIONS(4030),
    [anon_sym___leave] = ACTIONS(4030),
    [anon_sym_not] = ACTIONS(4030),
    [anon_sym_compl] = ACTIONS(4030),
    [anon_sym_DASH_DASH] = ACTIONS(4028),
    [anon_sym_PLUS_PLUS] = ACTIONS(4028),
    [anon_sym_sizeof] = ACTIONS(4030),
    [anon_sym___alignof__] = ACTIONS(4030),
    [anon_sym___alignof] = ACTIONS(4030),
    [anon_sym__alignof] = ACTIONS(4030),
    [anon_sym_alignof] = ACTIONS(4030),
    [anon_sym__Alignof] = ACTIONS(4030),
    [anon_sym_offsetof] = ACTIONS(4030),
    [anon_sym__Generic] = ACTIONS(4030),
    [anon_sym_asm] = ACTIONS(4030),
    [anon_sym___asm__] = ACTIONS(4030),
    [sym_number_literal] = ACTIONS(4028),
    [anon_sym_L_SQUOTE] = ACTIONS(4028),
    [anon_sym_u_SQUOTE] = ACTIONS(4028),
    [anon_sym_U_SQUOTE] = ACTIONS(4028),
    [anon_sym_u8_SQUOTE] = ACTIONS(4028),
    [anon_sym_SQUOTE] = ACTIONS(4028),
    [anon_sym_L_DQUOTE] = ACTIONS(4028),
    [anon_sym_u_DQUOTE] = ACTIONS(4028),
    [anon_sym_U_DQUOTE] = ACTIONS(4028),
    [anon_sym_u8_DQUOTE] = ACTIONS(4028),
    [anon_sym_DQUOTE] = ACTIONS(4028),
    [sym_true] = ACTIONS(4030),
    [sym_false] = ACTIONS(4030),
    [anon_sym_NULL] = ACTIONS(4030),
    [anon_sym_nullptr] = ACTIONS(4030),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4034),
    [anon_sym_decltype] = ACTIONS(4022),
    [anon_sym_virtual] = ACTIONS(4034),
    [anon_sym_alignas] = ACTIONS(4034),
    [anon_sym_typename] = ACTIONS(4034),
    [anon_sym_template] = ACTIONS(4022),
    [anon_sym_try] = ACTIONS(4030),
    [anon_sym_delete] = ACTIONS(4030),
    [anon_sym_throw] = ACTIONS(4030),
    [anon_sym_co_return] = ACTIONS(4030),
    [anon_sym_co_yield] = ACTIONS(4030),
    [anon_sym_R_DQUOTE] = ACTIONS(4028),
    [anon_sym_LR_DQUOTE] = ACTIONS(4028),
    [anon_sym_uR_DQUOTE] = ACTIONS(4028),
    [anon_sym_UR_DQUOTE] = ACTIONS(4028),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4028),
    [anon_sym_co_await] = ACTIONS(4030),
    [anon_sym_new] = ACTIONS(4030),
    [anon_sym_requires] = ACTIONS(4030),
    [sym_this] = ACTIONS(4030),
  },
  [1120] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1121] = {
    [sym_identifier] = ACTIONS(2977),
    [anon_sym_LPAREN2] = ACTIONS(2979),
    [anon_sym_BANG] = ACTIONS(2979),
    [anon_sym_TILDE] = ACTIONS(2979),
    [anon_sym_DASH] = ACTIONS(2977),
    [anon_sym_PLUS] = ACTIONS(2977),
    [anon_sym_STAR] = ACTIONS(2979),
    [anon_sym_AMP] = ACTIONS(2979),
    [anon_sym_SEMI] = ACTIONS(2979),
    [anon_sym___extension__] = ACTIONS(2977),
    [anon_sym_typedef] = ACTIONS(2977),
    [anon_sym_extern] = ACTIONS(2977),
    [anon_sym___attribute__] = ACTIONS(2977),
    [anon_sym_COLON_COLON] = ACTIONS(2979),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2979),
    [anon_sym___declspec] = ACTIONS(2977),
    [anon_sym_LBRACE] = ACTIONS(2979),
    [anon_sym_signed] = ACTIONS(2977),
    [anon_sym_unsigned] = ACTIONS(2977),
    [anon_sym_long] = ACTIONS(2977),
    [anon_sym_short] = ACTIONS(2977),
    [anon_sym_LBRACK] = ACTIONS(2977),
    [anon_sym_static] = ACTIONS(2977),
    [anon_sym_register] = ACTIONS(2977),
    [anon_sym_inline] = ACTIONS(2977),
    [anon_sym___inline] = ACTIONS(2977),
    [anon_sym___inline__] = ACTIONS(2977),
    [anon_sym___forceinline] = ACTIONS(2977),
    [anon_sym_thread_local] = ACTIONS(2977),
    [anon_sym___thread] = ACTIONS(2977),
    [anon_sym_const] = ACTIONS(2977),
    [anon_sym_constexpr] = ACTIONS(2977),
    [anon_sym_volatile] = ACTIONS(2977),
    [anon_sym_restrict] = ACTIONS(2977),
    [anon_sym___restrict__] = ACTIONS(2977),
    [anon_sym__Atomic] = ACTIONS(2977),
    [anon_sym__Noreturn] = ACTIONS(2977),
    [anon_sym_noreturn] = ACTIONS(2977),
    [anon_sym_mutable] = ACTIONS(2977),
    [anon_sym_constinit] = ACTIONS(2977),
    [anon_sym_consteval] = ACTIONS(2977),
    [sym_primitive_type] = ACTIONS(2977),
    [anon_sym_enum] = ACTIONS(2977),
    [anon_sym_class] = ACTIONS(2977),
    [anon_sym_struct] = ACTIONS(2977),
    [anon_sym_union] = ACTIONS(2977),
    [anon_sym_if] = ACTIONS(2977),
    [anon_sym_else] = ACTIONS(2977),
    [anon_sym_switch] = ACTIONS(2977),
    [anon_sym_while] = ACTIONS(2977),
    [anon_sym_do] = ACTIONS(2977),
    [anon_sym_for] = ACTIONS(2977),
    [anon_sym_return] = ACTIONS(2977),
    [anon_sym_break] = ACTIONS(2977),
    [anon_sym_continue] = ACTIONS(2977),
    [anon_sym_goto] = ACTIONS(2977),
    [anon_sym___try] = ACTIONS(2977),
    [anon_sym___leave] = ACTIONS(2977),
    [anon_sym_not] = ACTIONS(2977),
    [anon_sym_compl] = ACTIONS(2977),
    [anon_sym_DASH_DASH] = ACTIONS(2979),
    [anon_sym_PLUS_PLUS] = ACTIONS(2979),
    [anon_sym_sizeof] = ACTIONS(2977),
    [anon_sym___alignof__] = ACTIONS(2977),
    [anon_sym___alignof] = ACTIONS(2977),
    [anon_sym__alignof] = ACTIONS(2977),
    [anon_sym_alignof] = ACTIONS(2977),
    [anon_sym__Alignof] = ACTIONS(2977),
    [anon_sym_offsetof] = ACTIONS(2977),
    [anon_sym__Generic] = ACTIONS(2977),
    [anon_sym_asm] = ACTIONS(2977),
    [anon_sym___asm__] = ACTIONS(2977),
    [sym_number_literal] = ACTIONS(2979),
    [anon_sym_L_SQUOTE] = ACTIONS(2979),
    [anon_sym_u_SQUOTE] = ACTIONS(2979),
    [anon_sym_U_SQUOTE] = ACTIONS(2979),
    [anon_sym_u8_SQUOTE] = ACTIONS(2979),
    [anon_sym_SQUOTE] = ACTIONS(2979),
    [anon_sym_L_DQUOTE] = ACTIONS(2979),
    [anon_sym_u_DQUOTE] = ACTIONS(2979),
    [anon_sym_U_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8_DQUOTE] = ACTIONS(2979),
    [anon_sym_DQUOTE] = ACTIONS(2979),
    [sym_true] = ACTIONS(2977),
    [sym_false] = ACTIONS(2977),
    [anon_sym_NULL] = ACTIONS(2977),
    [anon_sym_nullptr] = ACTIONS(2977),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2977),
    [anon_sym_decltype] = ACTIONS(2977),
    [anon_sym_virtual] = ACTIONS(2977),
    [anon_sym_alignas] = ACTIONS(2977),
    [anon_sym_typename] = ACTIONS(2977),
    [anon_sym_template] = ACTIONS(2977),
    [anon_sym_try] = ACTIONS(2977),
    [anon_sym_delete] = ACTIONS(2977),
    [anon_sym_throw] = ACTIONS(2977),
    [anon_sym_co_return] = ACTIONS(2977),
    [anon_sym_co_yield] = ACTIONS(2977),
    [anon_sym_R_DQUOTE] = ACTIONS(2979),
    [anon_sym_LR_DQUOTE] = ACTIONS(2979),
    [anon_sym_uR_DQUOTE] = ACTIONS(2979),
    [anon_sym_UR_DQUOTE] = ACTIONS(2979),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2979),
    [anon_sym_co_await] = ACTIONS(2977),
    [anon_sym_new] = ACTIONS(2977),
    [anon_sym_requires] = ACTIONS(2977),
    [sym_this] = ACTIONS(2977),
  },
  [1122] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1123] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1124] = {
    [sym_identifier] = ACTIONS(2921),
    [anon_sym_LPAREN2] = ACTIONS(2923),
    [anon_sym_BANG] = ACTIONS(2923),
    [anon_sym_TILDE] = ACTIONS(2923),
    [anon_sym_DASH] = ACTIONS(2921),
    [anon_sym_PLUS] = ACTIONS(2921),
    [anon_sym_STAR] = ACTIONS(2923),
    [anon_sym_AMP] = ACTIONS(2923),
    [anon_sym_SEMI] = ACTIONS(2923),
    [anon_sym___extension__] = ACTIONS(2921),
    [anon_sym_typedef] = ACTIONS(2921),
    [anon_sym_extern] = ACTIONS(2921),
    [anon_sym___attribute__] = ACTIONS(2921),
    [anon_sym_COLON_COLON] = ACTIONS(2923),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2923),
    [anon_sym___declspec] = ACTIONS(2921),
    [anon_sym_LBRACE] = ACTIONS(2923),
    [anon_sym_signed] = ACTIONS(2921),
    [anon_sym_unsigned] = ACTIONS(2921),
    [anon_sym_long] = ACTIONS(2921),
    [anon_sym_short] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(2921),
    [anon_sym_static] = ACTIONS(2921),
    [anon_sym_register] = ACTIONS(2921),
    [anon_sym_inline] = ACTIONS(2921),
    [anon_sym___inline] = ACTIONS(2921),
    [anon_sym___inline__] = ACTIONS(2921),
    [anon_sym___forceinline] = ACTIONS(2921),
    [anon_sym_thread_local] = ACTIONS(2921),
    [anon_sym___thread] = ACTIONS(2921),
    [anon_sym_const] = ACTIONS(2921),
    [anon_sym_constexpr] = ACTIONS(2921),
    [anon_sym_volatile] = ACTIONS(2921),
    [anon_sym_restrict] = ACTIONS(2921),
    [anon_sym___restrict__] = ACTIONS(2921),
    [anon_sym__Atomic] = ACTIONS(2921),
    [anon_sym__Noreturn] = ACTIONS(2921),
    [anon_sym_noreturn] = ACTIONS(2921),
    [anon_sym_mutable] = ACTIONS(2921),
    [anon_sym_constinit] = ACTIONS(2921),
    [anon_sym_consteval] = ACTIONS(2921),
    [sym_primitive_type] = ACTIONS(2921),
    [anon_sym_enum] = ACTIONS(2921),
    [anon_sym_class] = ACTIONS(2921),
    [anon_sym_struct] = ACTIONS(2921),
    [anon_sym_union] = ACTIONS(2921),
    [anon_sym_if] = ACTIONS(2921),
    [anon_sym_else] = ACTIONS(2921),
    [anon_sym_switch] = ACTIONS(2921),
    [anon_sym_while] = ACTIONS(2921),
    [anon_sym_do] = ACTIONS(2921),
    [anon_sym_for] = ACTIONS(2921),
    [anon_sym_return] = ACTIONS(2921),
    [anon_sym_break] = ACTIONS(2921),
    [anon_sym_continue] = ACTIONS(2921),
    [anon_sym_goto] = ACTIONS(2921),
    [anon_sym___try] = ACTIONS(2921),
    [anon_sym___leave] = ACTIONS(2921),
    [anon_sym_not] = ACTIONS(2921),
    [anon_sym_compl] = ACTIONS(2921),
    [anon_sym_DASH_DASH] = ACTIONS(2923),
    [anon_sym_PLUS_PLUS] = ACTIONS(2923),
    [anon_sym_sizeof] = ACTIONS(2921),
    [anon_sym___alignof__] = ACTIONS(2921),
    [anon_sym___alignof] = ACTIONS(2921),
    [anon_sym__alignof] = ACTIONS(2921),
    [anon_sym_alignof] = ACTIONS(2921),
    [anon_sym__Alignof] = ACTIONS(2921),
    [anon_sym_offsetof] = ACTIONS(2921),
    [anon_sym__Generic] = ACTIONS(2921),
    [anon_sym_asm] = ACTIONS(2921),
    [anon_sym___asm__] = ACTIONS(2921),
    [sym_number_literal] = ACTIONS(2923),
    [anon_sym_L_SQUOTE] = ACTIONS(2923),
    [anon_sym_u_SQUOTE] = ACTIONS(2923),
    [anon_sym_U_SQUOTE] = ACTIONS(2923),
    [anon_sym_u8_SQUOTE] = ACTIONS(2923),
    [anon_sym_SQUOTE] = ACTIONS(2923),
    [anon_sym_L_DQUOTE] = ACTIONS(2923),
    [anon_sym_u_DQUOTE] = ACTIONS(2923),
    [anon_sym_U_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8_DQUOTE] = ACTIONS(2923),
    [anon_sym_DQUOTE] = ACTIONS(2923),
    [sym_true] = ACTIONS(2921),
    [sym_false] = ACTIONS(2921),
    [anon_sym_NULL] = ACTIONS(2921),
    [anon_sym_nullptr] = ACTIONS(2921),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2921),
    [anon_sym_decltype] = ACTIONS(2921),
    [anon_sym_virtual] = ACTIONS(2921),
    [anon_sym_alignas] = ACTIONS(2921),
    [anon_sym_typename] = ACTIONS(2921),
    [anon_sym_template] = ACTIONS(2921),
    [anon_sym_try] = ACTIONS(2921),
    [anon_sym_delete] = ACTIONS(2921),
    [anon_sym_throw] = ACTIONS(2921),
    [anon_sym_co_return] = ACTIONS(2921),
    [anon_sym_co_yield] = ACTIONS(2921),
    [anon_sym_R_DQUOTE] = ACTIONS(2923),
    [anon_sym_LR_DQUOTE] = ACTIONS(2923),
    [anon_sym_uR_DQUOTE] = ACTIONS(2923),
    [anon_sym_UR_DQUOTE] = ACTIONS(2923),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2923),
    [anon_sym_co_await] = ACTIONS(2921),
    [anon_sym_new] = ACTIONS(2921),
    [anon_sym_requires] = ACTIONS(2921),
    [sym_this] = ACTIONS(2921),
  },
  [1125] = {
    [sym_identifier] = ACTIONS(2957),
    [anon_sym_LPAREN2] = ACTIONS(2959),
    [anon_sym_BANG] = ACTIONS(2959),
    [anon_sym_TILDE] = ACTIONS(2959),
    [anon_sym_DASH] = ACTIONS(2957),
    [anon_sym_PLUS] = ACTIONS(2957),
    [anon_sym_STAR] = ACTIONS(2959),
    [anon_sym_AMP] = ACTIONS(2959),
    [anon_sym_SEMI] = ACTIONS(2959),
    [anon_sym___extension__] = ACTIONS(2957),
    [anon_sym_typedef] = ACTIONS(2957),
    [anon_sym_extern] = ACTIONS(2957),
    [anon_sym___attribute__] = ACTIONS(2957),
    [anon_sym_COLON_COLON] = ACTIONS(2959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2959),
    [anon_sym___declspec] = ACTIONS(2957),
    [anon_sym_LBRACE] = ACTIONS(2959),
    [anon_sym_signed] = ACTIONS(2957),
    [anon_sym_unsigned] = ACTIONS(2957),
    [anon_sym_long] = ACTIONS(2957),
    [anon_sym_short] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(2957),
    [anon_sym_static] = ACTIONS(2957),
    [anon_sym_register] = ACTIONS(2957),
    [anon_sym_inline] = ACTIONS(2957),
    [anon_sym___inline] = ACTIONS(2957),
    [anon_sym___inline__] = ACTIONS(2957),
    [anon_sym___forceinline] = ACTIONS(2957),
    [anon_sym_thread_local] = ACTIONS(2957),
    [anon_sym___thread] = ACTIONS(2957),
    [anon_sym_const] = ACTIONS(2957),
    [anon_sym_constexpr] = ACTIONS(2957),
    [anon_sym_volatile] = ACTIONS(2957),
    [anon_sym_restrict] = ACTIONS(2957),
    [anon_sym___restrict__] = ACTIONS(2957),
    [anon_sym__Atomic] = ACTIONS(2957),
    [anon_sym__Noreturn] = ACTIONS(2957),
    [anon_sym_noreturn] = ACTIONS(2957),
    [anon_sym_mutable] = ACTIONS(2957),
    [anon_sym_constinit] = ACTIONS(2957),
    [anon_sym_consteval] = ACTIONS(2957),
    [sym_primitive_type] = ACTIONS(2957),
    [anon_sym_enum] = ACTIONS(2957),
    [anon_sym_class] = ACTIONS(2957),
    [anon_sym_struct] = ACTIONS(2957),
    [anon_sym_union] = ACTIONS(2957),
    [anon_sym_if] = ACTIONS(2957),
    [anon_sym_else] = ACTIONS(2957),
    [anon_sym_switch] = ACTIONS(2957),
    [anon_sym_while] = ACTIONS(2957),
    [anon_sym_do] = ACTIONS(2957),
    [anon_sym_for] = ACTIONS(2957),
    [anon_sym_return] = ACTIONS(2957),
    [anon_sym_break] = ACTIONS(2957),
    [anon_sym_continue] = ACTIONS(2957),
    [anon_sym_goto] = ACTIONS(2957),
    [anon_sym___try] = ACTIONS(2957),
    [anon_sym___leave] = ACTIONS(2957),
    [anon_sym_not] = ACTIONS(2957),
    [anon_sym_compl] = ACTIONS(2957),
    [anon_sym_DASH_DASH] = ACTIONS(2959),
    [anon_sym_PLUS_PLUS] = ACTIONS(2959),
    [anon_sym_sizeof] = ACTIONS(2957),
    [anon_sym___alignof__] = ACTIONS(2957),
    [anon_sym___alignof] = ACTIONS(2957),
    [anon_sym__alignof] = ACTIONS(2957),
    [anon_sym_alignof] = ACTIONS(2957),
    [anon_sym__Alignof] = ACTIONS(2957),
    [anon_sym_offsetof] = ACTIONS(2957),
    [anon_sym__Generic] = ACTIONS(2957),
    [anon_sym_asm] = ACTIONS(2957),
    [anon_sym___asm__] = ACTIONS(2957),
    [sym_number_literal] = ACTIONS(2959),
    [anon_sym_L_SQUOTE] = ACTIONS(2959),
    [anon_sym_u_SQUOTE] = ACTIONS(2959),
    [anon_sym_U_SQUOTE] = ACTIONS(2959),
    [anon_sym_u8_SQUOTE] = ACTIONS(2959),
    [anon_sym_SQUOTE] = ACTIONS(2959),
    [anon_sym_L_DQUOTE] = ACTIONS(2959),
    [anon_sym_u_DQUOTE] = ACTIONS(2959),
    [anon_sym_U_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8_DQUOTE] = ACTIONS(2959),
    [anon_sym_DQUOTE] = ACTIONS(2959),
    [sym_true] = ACTIONS(2957),
    [sym_false] = ACTIONS(2957),
    [anon_sym_NULL] = ACTIONS(2957),
    [anon_sym_nullptr] = ACTIONS(2957),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2957),
    [anon_sym_decltype] = ACTIONS(2957),
    [anon_sym_virtual] = ACTIONS(2957),
    [anon_sym_alignas] = ACTIONS(2957),
    [anon_sym_typename] = ACTIONS(2957),
    [anon_sym_template] = ACTIONS(2957),
    [anon_sym_try] = ACTIONS(2957),
    [anon_sym_delete] = ACTIONS(2957),
    [anon_sym_throw] = ACTIONS(2957),
    [anon_sym_co_return] = ACTIONS(2957),
    [anon_sym_co_yield] = ACTIONS(2957),
    [anon_sym_R_DQUOTE] = ACTIONS(2959),
    [anon_sym_LR_DQUOTE] = ACTIONS(2959),
    [anon_sym_uR_DQUOTE] = ACTIONS(2959),
    [anon_sym_UR_DQUOTE] = ACTIONS(2959),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2959),
    [anon_sym_co_await] = ACTIONS(2957),
    [anon_sym_new] = ACTIONS(2957),
    [anon_sym_requires] = ACTIONS(2957),
    [sym_this] = ACTIONS(2957),
  },
  [1126] = {
    [sym_identifier] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_BANG] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_DASH] = ACTIONS(2889),
    [anon_sym_PLUS] = ACTIONS(2889),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2891),
    [anon_sym_SEMI] = ACTIONS(2891),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym_LBRACE] = ACTIONS(2891),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [anon_sym_if] = ACTIONS(2889),
    [anon_sym_else] = ACTIONS(2889),
    [anon_sym_switch] = ACTIONS(2889),
    [anon_sym_while] = ACTIONS(2889),
    [anon_sym_do] = ACTIONS(2889),
    [anon_sym_for] = ACTIONS(2889),
    [anon_sym_return] = ACTIONS(2889),
    [anon_sym_break] = ACTIONS(2889),
    [anon_sym_continue] = ACTIONS(2889),
    [anon_sym_goto] = ACTIONS(2889),
    [anon_sym___try] = ACTIONS(2889),
    [anon_sym___leave] = ACTIONS(2889),
    [anon_sym_not] = ACTIONS(2889),
    [anon_sym_compl] = ACTIONS(2889),
    [anon_sym_DASH_DASH] = ACTIONS(2891),
    [anon_sym_PLUS_PLUS] = ACTIONS(2891),
    [anon_sym_sizeof] = ACTIONS(2889),
    [anon_sym___alignof__] = ACTIONS(2889),
    [anon_sym___alignof] = ACTIONS(2889),
    [anon_sym__alignof] = ACTIONS(2889),
    [anon_sym_alignof] = ACTIONS(2889),
    [anon_sym__Alignof] = ACTIONS(2889),
    [anon_sym_offsetof] = ACTIONS(2889),
    [anon_sym__Generic] = ACTIONS(2889),
    [anon_sym_asm] = ACTIONS(2889),
    [anon_sym___asm__] = ACTIONS(2889),
    [sym_number_literal] = ACTIONS(2891),
    [anon_sym_L_SQUOTE] = ACTIONS(2891),
    [anon_sym_u_SQUOTE] = ACTIONS(2891),
    [anon_sym_U_SQUOTE] = ACTIONS(2891),
    [anon_sym_u8_SQUOTE] = ACTIONS(2891),
    [anon_sym_SQUOTE] = ACTIONS(2891),
    [anon_sym_L_DQUOTE] = ACTIONS(2891),
    [anon_sym_u_DQUOTE] = ACTIONS(2891),
    [anon_sym_U_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8_DQUOTE] = ACTIONS(2891),
    [anon_sym_DQUOTE] = ACTIONS(2891),
    [sym_true] = ACTIONS(2889),
    [sym_false] = ACTIONS(2889),
    [anon_sym_NULL] = ACTIONS(2889),
    [anon_sym_nullptr] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_try] = ACTIONS(2889),
    [anon_sym_delete] = ACTIONS(2889),
    [anon_sym_throw] = ACTIONS(2889),
    [anon_sym_co_return] = ACTIONS(2889),
    [anon_sym_co_yield] = ACTIONS(2889),
    [anon_sym_R_DQUOTE] = ACTIONS(2891),
    [anon_sym_LR_DQUOTE] = ACTIONS(2891),
    [anon_sym_uR_DQUOTE] = ACTIONS(2891),
    [anon_sym_UR_DQUOTE] = ACTIONS(2891),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2891),
    [anon_sym_co_await] = ACTIONS(2889),
    [anon_sym_new] = ACTIONS(2889),
    [anon_sym_requires] = ACTIONS(2889),
    [sym_this] = ACTIONS(2889),
  },
  [1127] = {
    [sym_identifier] = ACTIONS(4018),
    [anon_sym_LPAREN2] = ACTIONS(4020),
    [anon_sym_BANG] = ACTIONS(4020),
    [anon_sym_TILDE] = ACTIONS(4020),
    [anon_sym_DASH] = ACTIONS(4018),
    [anon_sym_PLUS] = ACTIONS(4018),
    [anon_sym_STAR] = ACTIONS(4020),
    [anon_sym_AMP] = ACTIONS(4020),
    [anon_sym_SEMI] = ACTIONS(4020),
    [anon_sym___extension__] = ACTIONS(4018),
    [anon_sym_extern] = ACTIONS(4018),
    [anon_sym___attribute__] = ACTIONS(4018),
    [anon_sym_COLON_COLON] = ACTIONS(4020),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4020),
    [anon_sym___declspec] = ACTIONS(4018),
    [anon_sym_LBRACE] = ACTIONS(4020),
    [anon_sym_signed] = ACTIONS(4018),
    [anon_sym_unsigned] = ACTIONS(4018),
    [anon_sym_long] = ACTIONS(4018),
    [anon_sym_short] = ACTIONS(4018),
    [anon_sym_LBRACK] = ACTIONS(4018),
    [anon_sym_static] = ACTIONS(4018),
    [anon_sym_register] = ACTIONS(4018),
    [anon_sym_inline] = ACTIONS(4018),
    [anon_sym___inline] = ACTIONS(4018),
    [anon_sym___inline__] = ACTIONS(4018),
    [anon_sym___forceinline] = ACTIONS(4018),
    [anon_sym_thread_local] = ACTIONS(4018),
    [anon_sym___thread] = ACTIONS(4018),
    [anon_sym_const] = ACTIONS(4018),
    [anon_sym_constexpr] = ACTIONS(4018),
    [anon_sym_volatile] = ACTIONS(4018),
    [anon_sym_restrict] = ACTIONS(4018),
    [anon_sym___restrict__] = ACTIONS(4018),
    [anon_sym__Atomic] = ACTIONS(4018),
    [anon_sym__Noreturn] = ACTIONS(4018),
    [anon_sym_noreturn] = ACTIONS(4018),
    [anon_sym_mutable] = ACTIONS(4018),
    [anon_sym_constinit] = ACTIONS(4018),
    [anon_sym_consteval] = ACTIONS(4018),
    [sym_primitive_type] = ACTIONS(4018),
    [anon_sym_enum] = ACTIONS(4018),
    [anon_sym_class] = ACTIONS(4018),
    [anon_sym_struct] = ACTIONS(4018),
    [anon_sym_union] = ACTIONS(4018),
    [anon_sym_if] = ACTIONS(4018),
    [anon_sym_switch] = ACTIONS(4018),
    [anon_sym_case] = ACTIONS(4018),
    [anon_sym_default] = ACTIONS(4018),
    [anon_sym_while] = ACTIONS(4018),
    [anon_sym_do] = ACTIONS(4018),
    [anon_sym_for] = ACTIONS(4018),
    [anon_sym_return] = ACTIONS(4018),
    [anon_sym_break] = ACTIONS(4018),
    [anon_sym_continue] = ACTIONS(4018),
    [anon_sym_goto] = ACTIONS(4018),
    [anon_sym___try] = ACTIONS(4018),
    [anon_sym___leave] = ACTIONS(4018),
    [anon_sym_not] = ACTIONS(4018),
    [anon_sym_compl] = ACTIONS(4018),
    [anon_sym_DASH_DASH] = ACTIONS(4020),
    [anon_sym_PLUS_PLUS] = ACTIONS(4020),
    [anon_sym_sizeof] = ACTIONS(4018),
    [anon_sym___alignof__] = ACTIONS(4018),
    [anon_sym___alignof] = ACTIONS(4018),
    [anon_sym__alignof] = ACTIONS(4018),
    [anon_sym_alignof] = ACTIONS(4018),
    [anon_sym__Alignof] = ACTIONS(4018),
    [anon_sym_offsetof] = ACTIONS(4018),
    [anon_sym__Generic] = ACTIONS(4018),
    [anon_sym_asm] = ACTIONS(4018),
    [anon_sym___asm__] = ACTIONS(4018),
    [sym_number_literal] = ACTIONS(4020),
    [anon_sym_L_SQUOTE] = ACTIONS(4020),
    [anon_sym_u_SQUOTE] = ACTIONS(4020),
    [anon_sym_U_SQUOTE] = ACTIONS(4020),
    [anon_sym_u8_SQUOTE] = ACTIONS(4020),
    [anon_sym_SQUOTE] = ACTIONS(4020),
    [anon_sym_L_DQUOTE] = ACTIONS(4020),
    [anon_sym_u_DQUOTE] = ACTIONS(4020),
    [anon_sym_U_DQUOTE] = ACTIONS(4020),
    [anon_sym_u8_DQUOTE] = ACTIONS(4020),
    [anon_sym_DQUOTE] = ACTIONS(4020),
    [sym_true] = ACTIONS(4018),
    [sym_false] = ACTIONS(4018),
    [anon_sym_NULL] = ACTIONS(4018),
    [anon_sym_nullptr] = ACTIONS(4018),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4018),
    [anon_sym_decltype] = ACTIONS(4018),
    [anon_sym_virtual] = ACTIONS(4018),
    [anon_sym_alignas] = ACTIONS(4018),
    [anon_sym_typename] = ACTIONS(4018),
    [anon_sym_template] = ACTIONS(4018),
    [anon_sym_try] = ACTIONS(4018),
    [anon_sym_delete] = ACTIONS(4018),
    [anon_sym_throw] = ACTIONS(4018),
    [anon_sym_co_return] = ACTIONS(4018),
    [anon_sym_co_yield] = ACTIONS(4018),
    [anon_sym_R_DQUOTE] = ACTIONS(4020),
    [anon_sym_LR_DQUOTE] = ACTIONS(4020),
    [anon_sym_uR_DQUOTE] = ACTIONS(4020),
    [anon_sym_UR_DQUOTE] = ACTIONS(4020),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4020),
    [anon_sym_co_await] = ACTIONS(4018),
    [anon_sym_new] = ACTIONS(4018),
    [anon_sym_requires] = ACTIONS(4018),
    [sym_this] = ACTIONS(4018),
  },
  [1128] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1129] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1130] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1131] = {
    [sym_identifier] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_BANG] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_DASH] = ACTIONS(2973),
    [anon_sym_PLUS] = ACTIONS(2973),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2975),
    [anon_sym_SEMI] = ACTIONS(2975),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym_LBRACE] = ACTIONS(2975),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [anon_sym_if] = ACTIONS(2973),
    [anon_sym_else] = ACTIONS(2973),
    [anon_sym_switch] = ACTIONS(2973),
    [anon_sym_while] = ACTIONS(2973),
    [anon_sym_do] = ACTIONS(2973),
    [anon_sym_for] = ACTIONS(2973),
    [anon_sym_return] = ACTIONS(2973),
    [anon_sym_break] = ACTIONS(2973),
    [anon_sym_continue] = ACTIONS(2973),
    [anon_sym_goto] = ACTIONS(2973),
    [anon_sym___try] = ACTIONS(2973),
    [anon_sym___leave] = ACTIONS(2973),
    [anon_sym_not] = ACTIONS(2973),
    [anon_sym_compl] = ACTIONS(2973),
    [anon_sym_DASH_DASH] = ACTIONS(2975),
    [anon_sym_PLUS_PLUS] = ACTIONS(2975),
    [anon_sym_sizeof] = ACTIONS(2973),
    [anon_sym___alignof__] = ACTIONS(2973),
    [anon_sym___alignof] = ACTIONS(2973),
    [anon_sym__alignof] = ACTIONS(2973),
    [anon_sym_alignof] = ACTIONS(2973),
    [anon_sym__Alignof] = ACTIONS(2973),
    [anon_sym_offsetof] = ACTIONS(2973),
    [anon_sym__Generic] = ACTIONS(2973),
    [anon_sym_asm] = ACTIONS(2973),
    [anon_sym___asm__] = ACTIONS(2973),
    [sym_number_literal] = ACTIONS(2975),
    [anon_sym_L_SQUOTE] = ACTIONS(2975),
    [anon_sym_u_SQUOTE] = ACTIONS(2975),
    [anon_sym_U_SQUOTE] = ACTIONS(2975),
    [anon_sym_u8_SQUOTE] = ACTIONS(2975),
    [anon_sym_SQUOTE] = ACTIONS(2975),
    [anon_sym_L_DQUOTE] = ACTIONS(2975),
    [anon_sym_u_DQUOTE] = ACTIONS(2975),
    [anon_sym_U_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8_DQUOTE] = ACTIONS(2975),
    [anon_sym_DQUOTE] = ACTIONS(2975),
    [sym_true] = ACTIONS(2973),
    [sym_false] = ACTIONS(2973),
    [anon_sym_NULL] = ACTIONS(2973),
    [anon_sym_nullptr] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_try] = ACTIONS(2973),
    [anon_sym_delete] = ACTIONS(2973),
    [anon_sym_throw] = ACTIONS(2973),
    [anon_sym_co_return] = ACTIONS(2973),
    [anon_sym_co_yield] = ACTIONS(2973),
    [anon_sym_R_DQUOTE] = ACTIONS(2975),
    [anon_sym_LR_DQUOTE] = ACTIONS(2975),
    [anon_sym_uR_DQUOTE] = ACTIONS(2975),
    [anon_sym_UR_DQUOTE] = ACTIONS(2975),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2975),
    [anon_sym_co_await] = ACTIONS(2973),
    [anon_sym_new] = ACTIONS(2973),
    [anon_sym_requires] = ACTIONS(2973),
    [sym_this] = ACTIONS(2973),
  },
  [1132] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1133] = {
    [sym_identifier] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_BANG] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_DASH] = ACTIONS(2969),
    [anon_sym_PLUS] = ACTIONS(2969),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2971),
    [anon_sym_SEMI] = ACTIONS(2971),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym_LBRACE] = ACTIONS(2971),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [anon_sym_if] = ACTIONS(2969),
    [anon_sym_else] = ACTIONS(2969),
    [anon_sym_switch] = ACTIONS(2969),
    [anon_sym_while] = ACTIONS(2969),
    [anon_sym_do] = ACTIONS(2969),
    [anon_sym_for] = ACTIONS(2969),
    [anon_sym_return] = ACTIONS(2969),
    [anon_sym_break] = ACTIONS(2969),
    [anon_sym_continue] = ACTIONS(2969),
    [anon_sym_goto] = ACTIONS(2969),
    [anon_sym___try] = ACTIONS(2969),
    [anon_sym___leave] = ACTIONS(2969),
    [anon_sym_not] = ACTIONS(2969),
    [anon_sym_compl] = ACTIONS(2969),
    [anon_sym_DASH_DASH] = ACTIONS(2971),
    [anon_sym_PLUS_PLUS] = ACTIONS(2971),
    [anon_sym_sizeof] = ACTIONS(2969),
    [anon_sym___alignof__] = ACTIONS(2969),
    [anon_sym___alignof] = ACTIONS(2969),
    [anon_sym__alignof] = ACTIONS(2969),
    [anon_sym_alignof] = ACTIONS(2969),
    [anon_sym__Alignof] = ACTIONS(2969),
    [anon_sym_offsetof] = ACTIONS(2969),
    [anon_sym__Generic] = ACTIONS(2969),
    [anon_sym_asm] = ACTIONS(2969),
    [anon_sym___asm__] = ACTIONS(2969),
    [sym_number_literal] = ACTIONS(2971),
    [anon_sym_L_SQUOTE] = ACTIONS(2971),
    [anon_sym_u_SQUOTE] = ACTIONS(2971),
    [anon_sym_U_SQUOTE] = ACTIONS(2971),
    [anon_sym_u8_SQUOTE] = ACTIONS(2971),
    [anon_sym_SQUOTE] = ACTIONS(2971),
    [anon_sym_L_DQUOTE] = ACTIONS(2971),
    [anon_sym_u_DQUOTE] = ACTIONS(2971),
    [anon_sym_U_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8_DQUOTE] = ACTIONS(2971),
    [anon_sym_DQUOTE] = ACTIONS(2971),
    [sym_true] = ACTIONS(2969),
    [sym_false] = ACTIONS(2969),
    [anon_sym_NULL] = ACTIONS(2969),
    [anon_sym_nullptr] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_try] = ACTIONS(2969),
    [anon_sym_delete] = ACTIONS(2969),
    [anon_sym_throw] = ACTIONS(2969),
    [anon_sym_co_return] = ACTIONS(2969),
    [anon_sym_co_yield] = ACTIONS(2969),
    [anon_sym_R_DQUOTE] = ACTIONS(2971),
    [anon_sym_LR_DQUOTE] = ACTIONS(2971),
    [anon_sym_uR_DQUOTE] = ACTIONS(2971),
    [anon_sym_UR_DQUOTE] = ACTIONS(2971),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2971),
    [anon_sym_co_await] = ACTIONS(2969),
    [anon_sym_new] = ACTIONS(2969),
    [anon_sym_requires] = ACTIONS(2969),
    [sym_this] = ACTIONS(2969),
  },
  [1134] = {
    [sym_identifier] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_BANG] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_DASH] = ACTIONS(2917),
    [anon_sym_PLUS] = ACTIONS(2917),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2919),
    [anon_sym_SEMI] = ACTIONS(2919),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym_LBRACE] = ACTIONS(2919),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [anon_sym_if] = ACTIONS(2917),
    [anon_sym_else] = ACTIONS(2917),
    [anon_sym_switch] = ACTIONS(2917),
    [anon_sym_while] = ACTIONS(2917),
    [anon_sym_do] = ACTIONS(2917),
    [anon_sym_for] = ACTIONS(2917),
    [anon_sym_return] = ACTIONS(2917),
    [anon_sym_break] = ACTIONS(2917),
    [anon_sym_continue] = ACTIONS(2917),
    [anon_sym_goto] = ACTIONS(2917),
    [anon_sym___try] = ACTIONS(2917),
    [anon_sym___leave] = ACTIONS(2917),
    [anon_sym_not] = ACTIONS(2917),
    [anon_sym_compl] = ACTIONS(2917),
    [anon_sym_DASH_DASH] = ACTIONS(2919),
    [anon_sym_PLUS_PLUS] = ACTIONS(2919),
    [anon_sym_sizeof] = ACTIONS(2917),
    [anon_sym___alignof__] = ACTIONS(2917),
    [anon_sym___alignof] = ACTIONS(2917),
    [anon_sym__alignof] = ACTIONS(2917),
    [anon_sym_alignof] = ACTIONS(2917),
    [anon_sym__Alignof] = ACTIONS(2917),
    [anon_sym_offsetof] = ACTIONS(2917),
    [anon_sym__Generic] = ACTIONS(2917),
    [anon_sym_asm] = ACTIONS(2917),
    [anon_sym___asm__] = ACTIONS(2917),
    [sym_number_literal] = ACTIONS(2919),
    [anon_sym_L_SQUOTE] = ACTIONS(2919),
    [anon_sym_u_SQUOTE] = ACTIONS(2919),
    [anon_sym_U_SQUOTE] = ACTIONS(2919),
    [anon_sym_u8_SQUOTE] = ACTIONS(2919),
    [anon_sym_SQUOTE] = ACTIONS(2919),
    [anon_sym_L_DQUOTE] = ACTIONS(2919),
    [anon_sym_u_DQUOTE] = ACTIONS(2919),
    [anon_sym_U_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8_DQUOTE] = ACTIONS(2919),
    [anon_sym_DQUOTE] = ACTIONS(2919),
    [sym_true] = ACTIONS(2917),
    [sym_false] = ACTIONS(2917),
    [anon_sym_NULL] = ACTIONS(2917),
    [anon_sym_nullptr] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_try] = ACTIONS(2917),
    [anon_sym_delete] = ACTIONS(2917),
    [anon_sym_throw] = ACTIONS(2917),
    [anon_sym_co_return] = ACTIONS(2917),
    [anon_sym_co_yield] = ACTIONS(2917),
    [anon_sym_R_DQUOTE] = ACTIONS(2919),
    [anon_sym_LR_DQUOTE] = ACTIONS(2919),
    [anon_sym_uR_DQUOTE] = ACTIONS(2919),
    [anon_sym_UR_DQUOTE] = ACTIONS(2919),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2919),
    [anon_sym_co_await] = ACTIONS(2917),
    [anon_sym_new] = ACTIONS(2917),
    [anon_sym_requires] = ACTIONS(2917),
    [sym_this] = ACTIONS(2917),
  },
  [1135] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1136] = {
    [sym_identifier] = ACTIONS(2885),
    [anon_sym_LPAREN2] = ACTIONS(2887),
    [anon_sym_BANG] = ACTIONS(2887),
    [anon_sym_TILDE] = ACTIONS(2887),
    [anon_sym_DASH] = ACTIONS(2885),
    [anon_sym_PLUS] = ACTIONS(2885),
    [anon_sym_STAR] = ACTIONS(2887),
    [anon_sym_AMP] = ACTIONS(2887),
    [anon_sym_SEMI] = ACTIONS(2887),
    [anon_sym___extension__] = ACTIONS(2885),
    [anon_sym_typedef] = ACTIONS(2885),
    [anon_sym_extern] = ACTIONS(2885),
    [anon_sym___attribute__] = ACTIONS(2885),
    [anon_sym_COLON_COLON] = ACTIONS(2887),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2887),
    [anon_sym___declspec] = ACTIONS(2885),
    [anon_sym_LBRACE] = ACTIONS(2887),
    [anon_sym_signed] = ACTIONS(2885),
    [anon_sym_unsigned] = ACTIONS(2885),
    [anon_sym_long] = ACTIONS(2885),
    [anon_sym_short] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(2885),
    [anon_sym_static] = ACTIONS(2885),
    [anon_sym_register] = ACTIONS(2885),
    [anon_sym_inline] = ACTIONS(2885),
    [anon_sym___inline] = ACTIONS(2885),
    [anon_sym___inline__] = ACTIONS(2885),
    [anon_sym___forceinline] = ACTIONS(2885),
    [anon_sym_thread_local] = ACTIONS(2885),
    [anon_sym___thread] = ACTIONS(2885),
    [anon_sym_const] = ACTIONS(2885),
    [anon_sym_constexpr] = ACTIONS(2885),
    [anon_sym_volatile] = ACTIONS(2885),
    [anon_sym_restrict] = ACTIONS(2885),
    [anon_sym___restrict__] = ACTIONS(2885),
    [anon_sym__Atomic] = ACTIONS(2885),
    [anon_sym__Noreturn] = ACTIONS(2885),
    [anon_sym_noreturn] = ACTIONS(2885),
    [anon_sym_mutable] = ACTIONS(2885),
    [anon_sym_constinit] = ACTIONS(2885),
    [anon_sym_consteval] = ACTIONS(2885),
    [sym_primitive_type] = ACTIONS(2885),
    [anon_sym_enum] = ACTIONS(2885),
    [anon_sym_class] = ACTIONS(2885),
    [anon_sym_struct] = ACTIONS(2885),
    [anon_sym_union] = ACTIONS(2885),
    [anon_sym_if] = ACTIONS(2885),
    [anon_sym_else] = ACTIONS(2885),
    [anon_sym_switch] = ACTIONS(2885),
    [anon_sym_while] = ACTIONS(2885),
    [anon_sym_do] = ACTIONS(2885),
    [anon_sym_for] = ACTIONS(2885),
    [anon_sym_return] = ACTIONS(2885),
    [anon_sym_break] = ACTIONS(2885),
    [anon_sym_continue] = ACTIONS(2885),
    [anon_sym_goto] = ACTIONS(2885),
    [anon_sym___try] = ACTIONS(2885),
    [anon_sym___leave] = ACTIONS(2885),
    [anon_sym_not] = ACTIONS(2885),
    [anon_sym_compl] = ACTIONS(2885),
    [anon_sym_DASH_DASH] = ACTIONS(2887),
    [anon_sym_PLUS_PLUS] = ACTIONS(2887),
    [anon_sym_sizeof] = ACTIONS(2885),
    [anon_sym___alignof__] = ACTIONS(2885),
    [anon_sym___alignof] = ACTIONS(2885),
    [anon_sym__alignof] = ACTIONS(2885),
    [anon_sym_alignof] = ACTIONS(2885),
    [anon_sym__Alignof] = ACTIONS(2885),
    [anon_sym_offsetof] = ACTIONS(2885),
    [anon_sym__Generic] = ACTIONS(2885),
    [anon_sym_asm] = ACTIONS(2885),
    [anon_sym___asm__] = ACTIONS(2885),
    [sym_number_literal] = ACTIONS(2887),
    [anon_sym_L_SQUOTE] = ACTIONS(2887),
    [anon_sym_u_SQUOTE] = ACTIONS(2887),
    [anon_sym_U_SQUOTE] = ACTIONS(2887),
    [anon_sym_u8_SQUOTE] = ACTIONS(2887),
    [anon_sym_SQUOTE] = ACTIONS(2887),
    [anon_sym_L_DQUOTE] = ACTIONS(2887),
    [anon_sym_u_DQUOTE] = ACTIONS(2887),
    [anon_sym_U_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8_DQUOTE] = ACTIONS(2887),
    [anon_sym_DQUOTE] = ACTIONS(2887),
    [sym_true] = ACTIONS(2885),
    [sym_false] = ACTIONS(2885),
    [anon_sym_NULL] = ACTIONS(2885),
    [anon_sym_nullptr] = ACTIONS(2885),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2885),
    [anon_sym_decltype] = ACTIONS(2885),
    [anon_sym_virtual] = ACTIONS(2885),
    [anon_sym_alignas] = ACTIONS(2885),
    [anon_sym_typename] = ACTIONS(2885),
    [anon_sym_template] = ACTIONS(2885),
    [anon_sym_try] = ACTIONS(2885),
    [anon_sym_delete] = ACTIONS(2885),
    [anon_sym_throw] = ACTIONS(2885),
    [anon_sym_co_return] = ACTIONS(2885),
    [anon_sym_co_yield] = ACTIONS(2885),
    [anon_sym_R_DQUOTE] = ACTIONS(2887),
    [anon_sym_LR_DQUOTE] = ACTIONS(2887),
    [anon_sym_uR_DQUOTE] = ACTIONS(2887),
    [anon_sym_UR_DQUOTE] = ACTIONS(2887),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2887),
    [anon_sym_co_await] = ACTIONS(2885),
    [anon_sym_new] = ACTIONS(2885),
    [anon_sym_requires] = ACTIONS(2885),
    [sym_this] = ACTIONS(2885),
  },
  [1137] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1138] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1139] = {
    [sym_identifier] = ACTIONS(2909),
    [anon_sym_LPAREN2] = ACTIONS(2911),
    [anon_sym_BANG] = ACTIONS(2911),
    [anon_sym_TILDE] = ACTIONS(2911),
    [anon_sym_DASH] = ACTIONS(2909),
    [anon_sym_PLUS] = ACTIONS(2909),
    [anon_sym_STAR] = ACTIONS(2911),
    [anon_sym_AMP] = ACTIONS(2911),
    [anon_sym_SEMI] = ACTIONS(2911),
    [anon_sym___extension__] = ACTIONS(2909),
    [anon_sym_typedef] = ACTIONS(2909),
    [anon_sym_extern] = ACTIONS(2909),
    [anon_sym___attribute__] = ACTIONS(2909),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2911),
    [anon_sym___declspec] = ACTIONS(2909),
    [anon_sym_LBRACE] = ACTIONS(2911),
    [anon_sym_signed] = ACTIONS(2909),
    [anon_sym_unsigned] = ACTIONS(2909),
    [anon_sym_long] = ACTIONS(2909),
    [anon_sym_short] = ACTIONS(2909),
    [anon_sym_LBRACK] = ACTIONS(2909),
    [anon_sym_static] = ACTIONS(2909),
    [anon_sym_register] = ACTIONS(2909),
    [anon_sym_inline] = ACTIONS(2909),
    [anon_sym___inline] = ACTIONS(2909),
    [anon_sym___inline__] = ACTIONS(2909),
    [anon_sym___forceinline] = ACTIONS(2909),
    [anon_sym_thread_local] = ACTIONS(2909),
    [anon_sym___thread] = ACTIONS(2909),
    [anon_sym_const] = ACTIONS(2909),
    [anon_sym_constexpr] = ACTIONS(2909),
    [anon_sym_volatile] = ACTIONS(2909),
    [anon_sym_restrict] = ACTIONS(2909),
    [anon_sym___restrict__] = ACTIONS(2909),
    [anon_sym__Atomic] = ACTIONS(2909),
    [anon_sym__Noreturn] = ACTIONS(2909),
    [anon_sym_noreturn] = ACTIONS(2909),
    [anon_sym_mutable] = ACTIONS(2909),
    [anon_sym_constinit] = ACTIONS(2909),
    [anon_sym_consteval] = ACTIONS(2909),
    [sym_primitive_type] = ACTIONS(2909),
    [anon_sym_enum] = ACTIONS(2909),
    [anon_sym_class] = ACTIONS(2909),
    [anon_sym_struct] = ACTIONS(2909),
    [anon_sym_union] = ACTIONS(2909),
    [anon_sym_if] = ACTIONS(2909),
    [anon_sym_else] = ACTIONS(2909),
    [anon_sym_switch] = ACTIONS(2909),
    [anon_sym_while] = ACTIONS(2909),
    [anon_sym_do] = ACTIONS(2909),
    [anon_sym_for] = ACTIONS(2909),
    [anon_sym_return] = ACTIONS(2909),
    [anon_sym_break] = ACTIONS(2909),
    [anon_sym_continue] = ACTIONS(2909),
    [anon_sym_goto] = ACTIONS(2909),
    [anon_sym___try] = ACTIONS(2909),
    [anon_sym___leave] = ACTIONS(2909),
    [anon_sym_not] = ACTIONS(2909),
    [anon_sym_compl] = ACTIONS(2909),
    [anon_sym_DASH_DASH] = ACTIONS(2911),
    [anon_sym_PLUS_PLUS] = ACTIONS(2911),
    [anon_sym_sizeof] = ACTIONS(2909),
    [anon_sym___alignof__] = ACTIONS(2909),
    [anon_sym___alignof] = ACTIONS(2909),
    [anon_sym__alignof] = ACTIONS(2909),
    [anon_sym_alignof] = ACTIONS(2909),
    [anon_sym__Alignof] = ACTIONS(2909),
    [anon_sym_offsetof] = ACTIONS(2909),
    [anon_sym__Generic] = ACTIONS(2909),
    [anon_sym_asm] = ACTIONS(2909),
    [anon_sym___asm__] = ACTIONS(2909),
    [sym_number_literal] = ACTIONS(2911),
    [anon_sym_L_SQUOTE] = ACTIONS(2911),
    [anon_sym_u_SQUOTE] = ACTIONS(2911),
    [anon_sym_U_SQUOTE] = ACTIONS(2911),
    [anon_sym_u8_SQUOTE] = ACTIONS(2911),
    [anon_sym_SQUOTE] = ACTIONS(2911),
    [anon_sym_L_DQUOTE] = ACTIONS(2911),
    [anon_sym_u_DQUOTE] = ACTIONS(2911),
    [anon_sym_U_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8_DQUOTE] = ACTIONS(2911),
    [anon_sym_DQUOTE] = ACTIONS(2911),
    [sym_true] = ACTIONS(2909),
    [sym_false] = ACTIONS(2909),
    [anon_sym_NULL] = ACTIONS(2909),
    [anon_sym_nullptr] = ACTIONS(2909),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2909),
    [anon_sym_decltype] = ACTIONS(2909),
    [anon_sym_virtual] = ACTIONS(2909),
    [anon_sym_alignas] = ACTIONS(2909),
    [anon_sym_typename] = ACTIONS(2909),
    [anon_sym_template] = ACTIONS(2909),
    [anon_sym_try] = ACTIONS(2909),
    [anon_sym_delete] = ACTIONS(2909),
    [anon_sym_throw] = ACTIONS(2909),
    [anon_sym_co_return] = ACTIONS(2909),
    [anon_sym_co_yield] = ACTIONS(2909),
    [anon_sym_R_DQUOTE] = ACTIONS(2911),
    [anon_sym_LR_DQUOTE] = ACTIONS(2911),
    [anon_sym_uR_DQUOTE] = ACTIONS(2911),
    [anon_sym_UR_DQUOTE] = ACTIONS(2911),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2911),
    [anon_sym_co_await] = ACTIONS(2909),
    [anon_sym_new] = ACTIONS(2909),
    [anon_sym_requires] = ACTIONS(2909),
    [sym_this] = ACTIONS(2909),
  },
  [1140] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1141] = {
    [sym_identifier] = ACTIONS(2953),
    [anon_sym_LPAREN2] = ACTIONS(2955),
    [anon_sym_BANG] = ACTIONS(2955),
    [anon_sym_TILDE] = ACTIONS(2955),
    [anon_sym_DASH] = ACTIONS(2953),
    [anon_sym_PLUS] = ACTIONS(2953),
    [anon_sym_STAR] = ACTIONS(2955),
    [anon_sym_AMP] = ACTIONS(2955),
    [anon_sym_SEMI] = ACTIONS(2955),
    [anon_sym___extension__] = ACTIONS(2953),
    [anon_sym_typedef] = ACTIONS(2953),
    [anon_sym_extern] = ACTIONS(2953),
    [anon_sym___attribute__] = ACTIONS(2953),
    [anon_sym_COLON_COLON] = ACTIONS(2955),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2955),
    [anon_sym___declspec] = ACTIONS(2953),
    [anon_sym_LBRACE] = ACTIONS(2955),
    [anon_sym_signed] = ACTIONS(2953),
    [anon_sym_unsigned] = ACTIONS(2953),
    [anon_sym_long] = ACTIONS(2953),
    [anon_sym_short] = ACTIONS(2953),
    [anon_sym_LBRACK] = ACTIONS(2953),
    [anon_sym_static] = ACTIONS(2953),
    [anon_sym_register] = ACTIONS(2953),
    [anon_sym_inline] = ACTIONS(2953),
    [anon_sym___inline] = ACTIONS(2953),
    [anon_sym___inline__] = ACTIONS(2953),
    [anon_sym___forceinline] = ACTIONS(2953),
    [anon_sym_thread_local] = ACTIONS(2953),
    [anon_sym___thread] = ACTIONS(2953),
    [anon_sym_const] = ACTIONS(2953),
    [anon_sym_constexpr] = ACTIONS(2953),
    [anon_sym_volatile] = ACTIONS(2953),
    [anon_sym_restrict] = ACTIONS(2953),
    [anon_sym___restrict__] = ACTIONS(2953),
    [anon_sym__Atomic] = ACTIONS(2953),
    [anon_sym__Noreturn] = ACTIONS(2953),
    [anon_sym_noreturn] = ACTIONS(2953),
    [anon_sym_mutable] = ACTIONS(2953),
    [anon_sym_constinit] = ACTIONS(2953),
    [anon_sym_consteval] = ACTIONS(2953),
    [sym_primitive_type] = ACTIONS(2953),
    [anon_sym_enum] = ACTIONS(2953),
    [anon_sym_class] = ACTIONS(2953),
    [anon_sym_struct] = ACTIONS(2953),
    [anon_sym_union] = ACTIONS(2953),
    [anon_sym_if] = ACTIONS(2953),
    [anon_sym_else] = ACTIONS(2953),
    [anon_sym_switch] = ACTIONS(2953),
    [anon_sym_while] = ACTIONS(2953),
    [anon_sym_do] = ACTIONS(2953),
    [anon_sym_for] = ACTIONS(2953),
    [anon_sym_return] = ACTIONS(2953),
    [anon_sym_break] = ACTIONS(2953),
    [anon_sym_continue] = ACTIONS(2953),
    [anon_sym_goto] = ACTIONS(2953),
    [anon_sym___try] = ACTIONS(2953),
    [anon_sym___leave] = ACTIONS(2953),
    [anon_sym_not] = ACTIONS(2953),
    [anon_sym_compl] = ACTIONS(2953),
    [anon_sym_DASH_DASH] = ACTIONS(2955),
    [anon_sym_PLUS_PLUS] = ACTIONS(2955),
    [anon_sym_sizeof] = ACTIONS(2953),
    [anon_sym___alignof__] = ACTIONS(2953),
    [anon_sym___alignof] = ACTIONS(2953),
    [anon_sym__alignof] = ACTIONS(2953),
    [anon_sym_alignof] = ACTIONS(2953),
    [anon_sym__Alignof] = ACTIONS(2953),
    [anon_sym_offsetof] = ACTIONS(2953),
    [anon_sym__Generic] = ACTIONS(2953),
    [anon_sym_asm] = ACTIONS(2953),
    [anon_sym___asm__] = ACTIONS(2953),
    [sym_number_literal] = ACTIONS(2955),
    [anon_sym_L_SQUOTE] = ACTIONS(2955),
    [anon_sym_u_SQUOTE] = ACTIONS(2955),
    [anon_sym_U_SQUOTE] = ACTIONS(2955),
    [anon_sym_u8_SQUOTE] = ACTIONS(2955),
    [anon_sym_SQUOTE] = ACTIONS(2955),
    [anon_sym_L_DQUOTE] = ACTIONS(2955),
    [anon_sym_u_DQUOTE] = ACTIONS(2955),
    [anon_sym_U_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8_DQUOTE] = ACTIONS(2955),
    [anon_sym_DQUOTE] = ACTIONS(2955),
    [sym_true] = ACTIONS(2953),
    [sym_false] = ACTIONS(2953),
    [anon_sym_NULL] = ACTIONS(2953),
    [anon_sym_nullptr] = ACTIONS(2953),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2953),
    [anon_sym_decltype] = ACTIONS(2953),
    [anon_sym_virtual] = ACTIONS(2953),
    [anon_sym_alignas] = ACTIONS(2953),
    [anon_sym_typename] = ACTIONS(2953),
    [anon_sym_template] = ACTIONS(2953),
    [anon_sym_try] = ACTIONS(2953),
    [anon_sym_delete] = ACTIONS(2953),
    [anon_sym_throw] = ACTIONS(2953),
    [anon_sym_co_return] = ACTIONS(2953),
    [anon_sym_co_yield] = ACTIONS(2953),
    [anon_sym_R_DQUOTE] = ACTIONS(2955),
    [anon_sym_LR_DQUOTE] = ACTIONS(2955),
    [anon_sym_uR_DQUOTE] = ACTIONS(2955),
    [anon_sym_UR_DQUOTE] = ACTIONS(2955),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2955),
    [anon_sym_co_await] = ACTIONS(2953),
    [anon_sym_new] = ACTIONS(2953),
    [anon_sym_requires] = ACTIONS(2953),
    [sym_this] = ACTIONS(2953),
  },
  [1142] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1143] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1144] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1145] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1146] = {
    [sym_identifier] = ACTIONS(2965),
    [anon_sym_LPAREN2] = ACTIONS(2967),
    [anon_sym_BANG] = ACTIONS(2967),
    [anon_sym_TILDE] = ACTIONS(2967),
    [anon_sym_DASH] = ACTIONS(2965),
    [anon_sym_PLUS] = ACTIONS(2965),
    [anon_sym_STAR] = ACTIONS(2967),
    [anon_sym_AMP] = ACTIONS(2967),
    [anon_sym_SEMI] = ACTIONS(2967),
    [anon_sym___extension__] = ACTIONS(2965),
    [anon_sym_typedef] = ACTIONS(2965),
    [anon_sym_extern] = ACTIONS(2965),
    [anon_sym___attribute__] = ACTIONS(2965),
    [anon_sym_COLON_COLON] = ACTIONS(2967),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2967),
    [anon_sym___declspec] = ACTIONS(2965),
    [anon_sym_LBRACE] = ACTIONS(2967),
    [anon_sym_signed] = ACTIONS(2965),
    [anon_sym_unsigned] = ACTIONS(2965),
    [anon_sym_long] = ACTIONS(2965),
    [anon_sym_short] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(2965),
    [anon_sym_static] = ACTIONS(2965),
    [anon_sym_register] = ACTIONS(2965),
    [anon_sym_inline] = ACTIONS(2965),
    [anon_sym___inline] = ACTIONS(2965),
    [anon_sym___inline__] = ACTIONS(2965),
    [anon_sym___forceinline] = ACTIONS(2965),
    [anon_sym_thread_local] = ACTIONS(2965),
    [anon_sym___thread] = ACTIONS(2965),
    [anon_sym_const] = ACTIONS(2965),
    [anon_sym_constexpr] = ACTIONS(2965),
    [anon_sym_volatile] = ACTIONS(2965),
    [anon_sym_restrict] = ACTIONS(2965),
    [anon_sym___restrict__] = ACTIONS(2965),
    [anon_sym__Atomic] = ACTIONS(2965),
    [anon_sym__Noreturn] = ACTIONS(2965),
    [anon_sym_noreturn] = ACTIONS(2965),
    [anon_sym_mutable] = ACTIONS(2965),
    [anon_sym_constinit] = ACTIONS(2965),
    [anon_sym_consteval] = ACTIONS(2965),
    [sym_primitive_type] = ACTIONS(2965),
    [anon_sym_enum] = ACTIONS(2965),
    [anon_sym_class] = ACTIONS(2965),
    [anon_sym_struct] = ACTIONS(2965),
    [anon_sym_union] = ACTIONS(2965),
    [anon_sym_if] = ACTIONS(2965),
    [anon_sym_else] = ACTIONS(2965),
    [anon_sym_switch] = ACTIONS(2965),
    [anon_sym_while] = ACTIONS(2965),
    [anon_sym_do] = ACTIONS(2965),
    [anon_sym_for] = ACTIONS(2965),
    [anon_sym_return] = ACTIONS(2965),
    [anon_sym_break] = ACTIONS(2965),
    [anon_sym_continue] = ACTIONS(2965),
    [anon_sym_goto] = ACTIONS(2965),
    [anon_sym___try] = ACTIONS(2965),
    [anon_sym___leave] = ACTIONS(2965),
    [anon_sym_not] = ACTIONS(2965),
    [anon_sym_compl] = ACTIONS(2965),
    [anon_sym_DASH_DASH] = ACTIONS(2967),
    [anon_sym_PLUS_PLUS] = ACTIONS(2967),
    [anon_sym_sizeof] = ACTIONS(2965),
    [anon_sym___alignof__] = ACTIONS(2965),
    [anon_sym___alignof] = ACTIONS(2965),
    [anon_sym__alignof] = ACTIONS(2965),
    [anon_sym_alignof] = ACTIONS(2965),
    [anon_sym__Alignof] = ACTIONS(2965),
    [anon_sym_offsetof] = ACTIONS(2965),
    [anon_sym__Generic] = ACTIONS(2965),
    [anon_sym_asm] = ACTIONS(2965),
    [anon_sym___asm__] = ACTIONS(2965),
    [sym_number_literal] = ACTIONS(2967),
    [anon_sym_L_SQUOTE] = ACTIONS(2967),
    [anon_sym_u_SQUOTE] = ACTIONS(2967),
    [anon_sym_U_SQUOTE] = ACTIONS(2967),
    [anon_sym_u8_SQUOTE] = ACTIONS(2967),
    [anon_sym_SQUOTE] = ACTIONS(2967),
    [anon_sym_L_DQUOTE] = ACTIONS(2967),
    [anon_sym_u_DQUOTE] = ACTIONS(2967),
    [anon_sym_U_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8_DQUOTE] = ACTIONS(2967),
    [anon_sym_DQUOTE] = ACTIONS(2967),
    [sym_true] = ACTIONS(2965),
    [sym_false] = ACTIONS(2965),
    [anon_sym_NULL] = ACTIONS(2965),
    [anon_sym_nullptr] = ACTIONS(2965),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2965),
    [anon_sym_decltype] = ACTIONS(2965),
    [anon_sym_virtual] = ACTIONS(2965),
    [anon_sym_alignas] = ACTIONS(2965),
    [anon_sym_typename] = ACTIONS(2965),
    [anon_sym_template] = ACTIONS(2965),
    [anon_sym_try] = ACTIONS(2965),
    [anon_sym_delete] = ACTIONS(2965),
    [anon_sym_throw] = ACTIONS(2965),
    [anon_sym_co_return] = ACTIONS(2965),
    [anon_sym_co_yield] = ACTIONS(2965),
    [anon_sym_R_DQUOTE] = ACTIONS(2967),
    [anon_sym_LR_DQUOTE] = ACTIONS(2967),
    [anon_sym_uR_DQUOTE] = ACTIONS(2967),
    [anon_sym_UR_DQUOTE] = ACTIONS(2967),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2967),
    [anon_sym_co_await] = ACTIONS(2965),
    [anon_sym_new] = ACTIONS(2965),
    [anon_sym_requires] = ACTIONS(2965),
    [sym_this] = ACTIONS(2965),
  },
  [1147] = {
    [sym_identifier] = ACTIONS(2949),
    [anon_sym_LPAREN2] = ACTIONS(2951),
    [anon_sym_BANG] = ACTIONS(2951),
    [anon_sym_TILDE] = ACTIONS(2951),
    [anon_sym_DASH] = ACTIONS(2949),
    [anon_sym_PLUS] = ACTIONS(2949),
    [anon_sym_STAR] = ACTIONS(2951),
    [anon_sym_AMP] = ACTIONS(2951),
    [anon_sym_SEMI] = ACTIONS(2951),
    [anon_sym___extension__] = ACTIONS(2949),
    [anon_sym_typedef] = ACTIONS(2949),
    [anon_sym_extern] = ACTIONS(2949),
    [anon_sym___attribute__] = ACTIONS(2949),
    [anon_sym_COLON_COLON] = ACTIONS(2951),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2951),
    [anon_sym___declspec] = ACTIONS(2949),
    [anon_sym_LBRACE] = ACTIONS(2951),
    [anon_sym_signed] = ACTIONS(2949),
    [anon_sym_unsigned] = ACTIONS(2949),
    [anon_sym_long] = ACTIONS(2949),
    [anon_sym_short] = ACTIONS(2949),
    [anon_sym_LBRACK] = ACTIONS(2949),
    [anon_sym_static] = ACTIONS(2949),
    [anon_sym_register] = ACTIONS(2949),
    [anon_sym_inline] = ACTIONS(2949),
    [anon_sym___inline] = ACTIONS(2949),
    [anon_sym___inline__] = ACTIONS(2949),
    [anon_sym___forceinline] = ACTIONS(2949),
    [anon_sym_thread_local] = ACTIONS(2949),
    [anon_sym___thread] = ACTIONS(2949),
    [anon_sym_const] = ACTIONS(2949),
    [anon_sym_constexpr] = ACTIONS(2949),
    [anon_sym_volatile] = ACTIONS(2949),
    [anon_sym_restrict] = ACTIONS(2949),
    [anon_sym___restrict__] = ACTIONS(2949),
    [anon_sym__Atomic] = ACTIONS(2949),
    [anon_sym__Noreturn] = ACTIONS(2949),
    [anon_sym_noreturn] = ACTIONS(2949),
    [anon_sym_mutable] = ACTIONS(2949),
    [anon_sym_constinit] = ACTIONS(2949),
    [anon_sym_consteval] = ACTIONS(2949),
    [sym_primitive_type] = ACTIONS(2949),
    [anon_sym_enum] = ACTIONS(2949),
    [anon_sym_class] = ACTIONS(2949),
    [anon_sym_struct] = ACTIONS(2949),
    [anon_sym_union] = ACTIONS(2949),
    [anon_sym_if] = ACTIONS(2949),
    [anon_sym_else] = ACTIONS(2949),
    [anon_sym_switch] = ACTIONS(2949),
    [anon_sym_while] = ACTIONS(2949),
    [anon_sym_do] = ACTIONS(2949),
    [anon_sym_for] = ACTIONS(2949),
    [anon_sym_return] = ACTIONS(2949),
    [anon_sym_break] = ACTIONS(2949),
    [anon_sym_continue] = ACTIONS(2949),
    [anon_sym_goto] = ACTIONS(2949),
    [anon_sym___try] = ACTIONS(2949),
    [anon_sym___leave] = ACTIONS(2949),
    [anon_sym_not] = ACTIONS(2949),
    [anon_sym_compl] = ACTIONS(2949),
    [anon_sym_DASH_DASH] = ACTIONS(2951),
    [anon_sym_PLUS_PLUS] = ACTIONS(2951),
    [anon_sym_sizeof] = ACTIONS(2949),
    [anon_sym___alignof__] = ACTIONS(2949),
    [anon_sym___alignof] = ACTIONS(2949),
    [anon_sym__alignof] = ACTIONS(2949),
    [anon_sym_alignof] = ACTIONS(2949),
    [anon_sym__Alignof] = ACTIONS(2949),
    [anon_sym_offsetof] = ACTIONS(2949),
    [anon_sym__Generic] = ACTIONS(2949),
    [anon_sym_asm] = ACTIONS(2949),
    [anon_sym___asm__] = ACTIONS(2949),
    [sym_number_literal] = ACTIONS(2951),
    [anon_sym_L_SQUOTE] = ACTIONS(2951),
    [anon_sym_u_SQUOTE] = ACTIONS(2951),
    [anon_sym_U_SQUOTE] = ACTIONS(2951),
    [anon_sym_u8_SQUOTE] = ACTIONS(2951),
    [anon_sym_SQUOTE] = ACTIONS(2951),
    [anon_sym_L_DQUOTE] = ACTIONS(2951),
    [anon_sym_u_DQUOTE] = ACTIONS(2951),
    [anon_sym_U_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8_DQUOTE] = ACTIONS(2951),
    [anon_sym_DQUOTE] = ACTIONS(2951),
    [sym_true] = ACTIONS(2949),
    [sym_false] = ACTIONS(2949),
    [anon_sym_NULL] = ACTIONS(2949),
    [anon_sym_nullptr] = ACTIONS(2949),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2949),
    [anon_sym_decltype] = ACTIONS(2949),
    [anon_sym_virtual] = ACTIONS(2949),
    [anon_sym_alignas] = ACTIONS(2949),
    [anon_sym_typename] = ACTIONS(2949),
    [anon_sym_template] = ACTIONS(2949),
    [anon_sym_try] = ACTIONS(2949),
    [anon_sym_delete] = ACTIONS(2949),
    [anon_sym_throw] = ACTIONS(2949),
    [anon_sym_co_return] = ACTIONS(2949),
    [anon_sym_co_yield] = ACTIONS(2949),
    [anon_sym_R_DQUOTE] = ACTIONS(2951),
    [anon_sym_LR_DQUOTE] = ACTIONS(2951),
    [anon_sym_uR_DQUOTE] = ACTIONS(2951),
    [anon_sym_UR_DQUOTE] = ACTIONS(2951),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2951),
    [anon_sym_co_await] = ACTIONS(2949),
    [anon_sym_new] = ACTIONS(2949),
    [anon_sym_requires] = ACTIONS(2949),
    [sym_this] = ACTIONS(2949),
  },
  [1148] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1149] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1150] = {
    [sym_identifier] = ACTIONS(2945),
    [anon_sym_LPAREN2] = ACTIONS(2947),
    [anon_sym_BANG] = ACTIONS(2947),
    [anon_sym_TILDE] = ACTIONS(2947),
    [anon_sym_DASH] = ACTIONS(2945),
    [anon_sym_PLUS] = ACTIONS(2945),
    [anon_sym_STAR] = ACTIONS(2947),
    [anon_sym_AMP] = ACTIONS(2947),
    [anon_sym_SEMI] = ACTIONS(2947),
    [anon_sym___extension__] = ACTIONS(2945),
    [anon_sym_typedef] = ACTIONS(2945),
    [anon_sym_extern] = ACTIONS(2945),
    [anon_sym___attribute__] = ACTIONS(2945),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2947),
    [anon_sym___declspec] = ACTIONS(2945),
    [anon_sym_LBRACE] = ACTIONS(2947),
    [anon_sym_signed] = ACTIONS(2945),
    [anon_sym_unsigned] = ACTIONS(2945),
    [anon_sym_long] = ACTIONS(2945),
    [anon_sym_short] = ACTIONS(2945),
    [anon_sym_LBRACK] = ACTIONS(2945),
    [anon_sym_static] = ACTIONS(2945),
    [anon_sym_register] = ACTIONS(2945),
    [anon_sym_inline] = ACTIONS(2945),
    [anon_sym___inline] = ACTIONS(2945),
    [anon_sym___inline__] = ACTIONS(2945),
    [anon_sym___forceinline] = ACTIONS(2945),
    [anon_sym_thread_local] = ACTIONS(2945),
    [anon_sym___thread] = ACTIONS(2945),
    [anon_sym_const] = ACTIONS(2945),
    [anon_sym_constexpr] = ACTIONS(2945),
    [anon_sym_volatile] = ACTIONS(2945),
    [anon_sym_restrict] = ACTIONS(2945),
    [anon_sym___restrict__] = ACTIONS(2945),
    [anon_sym__Atomic] = ACTIONS(2945),
    [anon_sym__Noreturn] = ACTIONS(2945),
    [anon_sym_noreturn] = ACTIONS(2945),
    [anon_sym_mutable] = ACTIONS(2945),
    [anon_sym_constinit] = ACTIONS(2945),
    [anon_sym_consteval] = ACTIONS(2945),
    [sym_primitive_type] = ACTIONS(2945),
    [anon_sym_enum] = ACTIONS(2945),
    [anon_sym_class] = ACTIONS(2945),
    [anon_sym_struct] = ACTIONS(2945),
    [anon_sym_union] = ACTIONS(2945),
    [anon_sym_if] = ACTIONS(2945),
    [anon_sym_else] = ACTIONS(2945),
    [anon_sym_switch] = ACTIONS(2945),
    [anon_sym_while] = ACTIONS(2945),
    [anon_sym_do] = ACTIONS(2945),
    [anon_sym_for] = ACTIONS(2945),
    [anon_sym_return] = ACTIONS(2945),
    [anon_sym_break] = ACTIONS(2945),
    [anon_sym_continue] = ACTIONS(2945),
    [anon_sym_goto] = ACTIONS(2945),
    [anon_sym___try] = ACTIONS(2945),
    [anon_sym___leave] = ACTIONS(2945),
    [anon_sym_not] = ACTIONS(2945),
    [anon_sym_compl] = ACTIONS(2945),
    [anon_sym_DASH_DASH] = ACTIONS(2947),
    [anon_sym_PLUS_PLUS] = ACTIONS(2947),
    [anon_sym_sizeof] = ACTIONS(2945),
    [anon_sym___alignof__] = ACTIONS(2945),
    [anon_sym___alignof] = ACTIONS(2945),
    [anon_sym__alignof] = ACTIONS(2945),
    [anon_sym_alignof] = ACTIONS(2945),
    [anon_sym__Alignof] = ACTIONS(2945),
    [anon_sym_offsetof] = ACTIONS(2945),
    [anon_sym__Generic] = ACTIONS(2945),
    [anon_sym_asm] = ACTIONS(2945),
    [anon_sym___asm__] = ACTIONS(2945),
    [sym_number_literal] = ACTIONS(2947),
    [anon_sym_L_SQUOTE] = ACTIONS(2947),
    [anon_sym_u_SQUOTE] = ACTIONS(2947),
    [anon_sym_U_SQUOTE] = ACTIONS(2947),
    [anon_sym_u8_SQUOTE] = ACTIONS(2947),
    [anon_sym_SQUOTE] = ACTIONS(2947),
    [anon_sym_L_DQUOTE] = ACTIONS(2947),
    [anon_sym_u_DQUOTE] = ACTIONS(2947),
    [anon_sym_U_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8_DQUOTE] = ACTIONS(2947),
    [anon_sym_DQUOTE] = ACTIONS(2947),
    [sym_true] = ACTIONS(2945),
    [sym_false] = ACTIONS(2945),
    [anon_sym_NULL] = ACTIONS(2945),
    [anon_sym_nullptr] = ACTIONS(2945),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2945),
    [anon_sym_decltype] = ACTIONS(2945),
    [anon_sym_virtual] = ACTIONS(2945),
    [anon_sym_alignas] = ACTIONS(2945),
    [anon_sym_typename] = ACTIONS(2945),
    [anon_sym_template] = ACTIONS(2945),
    [anon_sym_try] = ACTIONS(2945),
    [anon_sym_delete] = ACTIONS(2945),
    [anon_sym_throw] = ACTIONS(2945),
    [anon_sym_co_return] = ACTIONS(2945),
    [anon_sym_co_yield] = ACTIONS(2945),
    [anon_sym_R_DQUOTE] = ACTIONS(2947),
    [anon_sym_LR_DQUOTE] = ACTIONS(2947),
    [anon_sym_uR_DQUOTE] = ACTIONS(2947),
    [anon_sym_UR_DQUOTE] = ACTIONS(2947),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2947),
    [anon_sym_co_await] = ACTIONS(2945),
    [anon_sym_new] = ACTIONS(2945),
    [anon_sym_requires] = ACTIONS(2945),
    [sym_this] = ACTIONS(2945),
  },
  [1151] = {
    [sym_identifier] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_BANG] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_DASH] = ACTIONS(2961),
    [anon_sym_PLUS] = ACTIONS(2961),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2963),
    [anon_sym_SEMI] = ACTIONS(2963),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym_LBRACE] = ACTIONS(2963),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [anon_sym_if] = ACTIONS(2961),
    [anon_sym_else] = ACTIONS(2961),
    [anon_sym_switch] = ACTIONS(2961),
    [anon_sym_while] = ACTIONS(2961),
    [anon_sym_do] = ACTIONS(2961),
    [anon_sym_for] = ACTIONS(2961),
    [anon_sym_return] = ACTIONS(2961),
    [anon_sym_break] = ACTIONS(2961),
    [anon_sym_continue] = ACTIONS(2961),
    [anon_sym_goto] = ACTIONS(2961),
    [anon_sym___try] = ACTIONS(2961),
    [anon_sym___leave] = ACTIONS(2961),
    [anon_sym_not] = ACTIONS(2961),
    [anon_sym_compl] = ACTIONS(2961),
    [anon_sym_DASH_DASH] = ACTIONS(2963),
    [anon_sym_PLUS_PLUS] = ACTIONS(2963),
    [anon_sym_sizeof] = ACTIONS(2961),
    [anon_sym___alignof__] = ACTIONS(2961),
    [anon_sym___alignof] = ACTIONS(2961),
    [anon_sym__alignof] = ACTIONS(2961),
    [anon_sym_alignof] = ACTIONS(2961),
    [anon_sym__Alignof] = ACTIONS(2961),
    [anon_sym_offsetof] = ACTIONS(2961),
    [anon_sym__Generic] = ACTIONS(2961),
    [anon_sym_asm] = ACTIONS(2961),
    [anon_sym___asm__] = ACTIONS(2961),
    [sym_number_literal] = ACTIONS(2963),
    [anon_sym_L_SQUOTE] = ACTIONS(2963),
    [anon_sym_u_SQUOTE] = ACTIONS(2963),
    [anon_sym_U_SQUOTE] = ACTIONS(2963),
    [anon_sym_u8_SQUOTE] = ACTIONS(2963),
    [anon_sym_SQUOTE] = ACTIONS(2963),
    [anon_sym_L_DQUOTE] = ACTIONS(2963),
    [anon_sym_u_DQUOTE] = ACTIONS(2963),
    [anon_sym_U_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8_DQUOTE] = ACTIONS(2963),
    [anon_sym_DQUOTE] = ACTIONS(2963),
    [sym_true] = ACTIONS(2961),
    [sym_false] = ACTIONS(2961),
    [anon_sym_NULL] = ACTIONS(2961),
    [anon_sym_nullptr] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_try] = ACTIONS(2961),
    [anon_sym_delete] = ACTIONS(2961),
    [anon_sym_throw] = ACTIONS(2961),
    [anon_sym_co_return] = ACTIONS(2961),
    [anon_sym_co_yield] = ACTIONS(2961),
    [anon_sym_R_DQUOTE] = ACTIONS(2963),
    [anon_sym_LR_DQUOTE] = ACTIONS(2963),
    [anon_sym_uR_DQUOTE] = ACTIONS(2963),
    [anon_sym_UR_DQUOTE] = ACTIONS(2963),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2963),
    [anon_sym_co_await] = ACTIONS(2961),
    [anon_sym_new] = ACTIONS(2961),
    [anon_sym_requires] = ACTIONS(2961),
    [sym_this] = ACTIONS(2961),
  },
  [1152] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1153] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1154] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1155] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1156] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1157] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1158] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1159] = {
    [sym_identifier] = ACTIONS(2937),
    [anon_sym_LPAREN2] = ACTIONS(2939),
    [anon_sym_BANG] = ACTIONS(2939),
    [anon_sym_TILDE] = ACTIONS(2939),
    [anon_sym_DASH] = ACTIONS(2937),
    [anon_sym_PLUS] = ACTIONS(2937),
    [anon_sym_STAR] = ACTIONS(2939),
    [anon_sym_AMP] = ACTIONS(2939),
    [anon_sym_SEMI] = ACTIONS(2939),
    [anon_sym___extension__] = ACTIONS(2937),
    [anon_sym_typedef] = ACTIONS(2937),
    [anon_sym_extern] = ACTIONS(2937),
    [anon_sym___attribute__] = ACTIONS(2937),
    [anon_sym_COLON_COLON] = ACTIONS(2939),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2939),
    [anon_sym___declspec] = ACTIONS(2937),
    [anon_sym_LBRACE] = ACTIONS(2939),
    [anon_sym_signed] = ACTIONS(2937),
    [anon_sym_unsigned] = ACTIONS(2937),
    [anon_sym_long] = ACTIONS(2937),
    [anon_sym_short] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(2937),
    [anon_sym_static] = ACTIONS(2937),
    [anon_sym_register] = ACTIONS(2937),
    [anon_sym_inline] = ACTIONS(2937),
    [anon_sym___inline] = ACTIONS(2937),
    [anon_sym___inline__] = ACTIONS(2937),
    [anon_sym___forceinline] = ACTIONS(2937),
    [anon_sym_thread_local] = ACTIONS(2937),
    [anon_sym___thread] = ACTIONS(2937),
    [anon_sym_const] = ACTIONS(2937),
    [anon_sym_constexpr] = ACTIONS(2937),
    [anon_sym_volatile] = ACTIONS(2937),
    [anon_sym_restrict] = ACTIONS(2937),
    [anon_sym___restrict__] = ACTIONS(2937),
    [anon_sym__Atomic] = ACTIONS(2937),
    [anon_sym__Noreturn] = ACTIONS(2937),
    [anon_sym_noreturn] = ACTIONS(2937),
    [anon_sym_mutable] = ACTIONS(2937),
    [anon_sym_constinit] = ACTIONS(2937),
    [anon_sym_consteval] = ACTIONS(2937),
    [sym_primitive_type] = ACTIONS(2937),
    [anon_sym_enum] = ACTIONS(2937),
    [anon_sym_class] = ACTIONS(2937),
    [anon_sym_struct] = ACTIONS(2937),
    [anon_sym_union] = ACTIONS(2937),
    [anon_sym_if] = ACTIONS(2937),
    [anon_sym_else] = ACTIONS(2937),
    [anon_sym_switch] = ACTIONS(2937),
    [anon_sym_while] = ACTIONS(2937),
    [anon_sym_do] = ACTIONS(2937),
    [anon_sym_for] = ACTIONS(2937),
    [anon_sym_return] = ACTIONS(2937),
    [anon_sym_break] = ACTIONS(2937),
    [anon_sym_continue] = ACTIONS(2937),
    [anon_sym_goto] = ACTIONS(2937),
    [anon_sym___try] = ACTIONS(2937),
    [anon_sym___leave] = ACTIONS(2937),
    [anon_sym_not] = ACTIONS(2937),
    [anon_sym_compl] = ACTIONS(2937),
    [anon_sym_DASH_DASH] = ACTIONS(2939),
    [anon_sym_PLUS_PLUS] = ACTIONS(2939),
    [anon_sym_sizeof] = ACTIONS(2937),
    [anon_sym___alignof__] = ACTIONS(2937),
    [anon_sym___alignof] = ACTIONS(2937),
    [anon_sym__alignof] = ACTIONS(2937),
    [anon_sym_alignof] = ACTIONS(2937),
    [anon_sym__Alignof] = ACTIONS(2937),
    [anon_sym_offsetof] = ACTIONS(2937),
    [anon_sym__Generic] = ACTIONS(2937),
    [anon_sym_asm] = ACTIONS(2937),
    [anon_sym___asm__] = ACTIONS(2937),
    [sym_number_literal] = ACTIONS(2939),
    [anon_sym_L_SQUOTE] = ACTIONS(2939),
    [anon_sym_u_SQUOTE] = ACTIONS(2939),
    [anon_sym_U_SQUOTE] = ACTIONS(2939),
    [anon_sym_u8_SQUOTE] = ACTIONS(2939),
    [anon_sym_SQUOTE] = ACTIONS(2939),
    [anon_sym_L_DQUOTE] = ACTIONS(2939),
    [anon_sym_u_DQUOTE] = ACTIONS(2939),
    [anon_sym_U_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8_DQUOTE] = ACTIONS(2939),
    [anon_sym_DQUOTE] = ACTIONS(2939),
    [sym_true] = ACTIONS(2937),
    [sym_false] = ACTIONS(2937),
    [anon_sym_NULL] = ACTIONS(2937),
    [anon_sym_nullptr] = ACTIONS(2937),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2937),
    [anon_sym_decltype] = ACTIONS(2937),
    [anon_sym_virtual] = ACTIONS(2937),
    [anon_sym_alignas] = ACTIONS(2937),
    [anon_sym_typename] = ACTIONS(2937),
    [anon_sym_template] = ACTIONS(2937),
    [anon_sym_try] = ACTIONS(2937),
    [anon_sym_delete] = ACTIONS(2937),
    [anon_sym_throw] = ACTIONS(2937),
    [anon_sym_co_return] = ACTIONS(2937),
    [anon_sym_co_yield] = ACTIONS(2937),
    [anon_sym_R_DQUOTE] = ACTIONS(2939),
    [anon_sym_LR_DQUOTE] = ACTIONS(2939),
    [anon_sym_uR_DQUOTE] = ACTIONS(2939),
    [anon_sym_UR_DQUOTE] = ACTIONS(2939),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2939),
    [anon_sym_co_await] = ACTIONS(2937),
    [anon_sym_new] = ACTIONS(2937),
    [anon_sym_requires] = ACTIONS(2937),
    [sym_this] = ACTIONS(2937),
  },
  [1160] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1161] = {
    [sym_identifier] = ACTIONS(2871),
    [anon_sym_LPAREN2] = ACTIONS(2873),
    [anon_sym_BANG] = ACTIONS(2873),
    [anon_sym_TILDE] = ACTIONS(2873),
    [anon_sym_DASH] = ACTIONS(2871),
    [anon_sym_PLUS] = ACTIONS(2871),
    [anon_sym_STAR] = ACTIONS(2873),
    [anon_sym_AMP] = ACTIONS(2873),
    [anon_sym_SEMI] = ACTIONS(2873),
    [anon_sym___extension__] = ACTIONS(2871),
    [anon_sym_typedef] = ACTIONS(2871),
    [anon_sym_extern] = ACTIONS(2871),
    [anon_sym___attribute__] = ACTIONS(2871),
    [anon_sym_COLON_COLON] = ACTIONS(2873),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2873),
    [anon_sym___declspec] = ACTIONS(2871),
    [anon_sym_LBRACE] = ACTIONS(2873),
    [anon_sym_signed] = ACTIONS(2871),
    [anon_sym_unsigned] = ACTIONS(2871),
    [anon_sym_long] = ACTIONS(2871),
    [anon_sym_short] = ACTIONS(2871),
    [anon_sym_LBRACK] = ACTIONS(2871),
    [anon_sym_static] = ACTIONS(2871),
    [anon_sym_register] = ACTIONS(2871),
    [anon_sym_inline] = ACTIONS(2871),
    [anon_sym___inline] = ACTIONS(2871),
    [anon_sym___inline__] = ACTIONS(2871),
    [anon_sym___forceinline] = ACTIONS(2871),
    [anon_sym_thread_local] = ACTIONS(2871),
    [anon_sym___thread] = ACTIONS(2871),
    [anon_sym_const] = ACTIONS(2871),
    [anon_sym_constexpr] = ACTIONS(2871),
    [anon_sym_volatile] = ACTIONS(2871),
    [anon_sym_restrict] = ACTIONS(2871),
    [anon_sym___restrict__] = ACTIONS(2871),
    [anon_sym__Atomic] = ACTIONS(2871),
    [anon_sym__Noreturn] = ACTIONS(2871),
    [anon_sym_noreturn] = ACTIONS(2871),
    [anon_sym_mutable] = ACTIONS(2871),
    [anon_sym_constinit] = ACTIONS(2871),
    [anon_sym_consteval] = ACTIONS(2871),
    [sym_primitive_type] = ACTIONS(2871),
    [anon_sym_enum] = ACTIONS(2871),
    [anon_sym_class] = ACTIONS(2871),
    [anon_sym_struct] = ACTIONS(2871),
    [anon_sym_union] = ACTIONS(2871),
    [anon_sym_if] = ACTIONS(2871),
    [anon_sym_else] = ACTIONS(2871),
    [anon_sym_switch] = ACTIONS(2871),
    [anon_sym_while] = ACTIONS(2871),
    [anon_sym_do] = ACTIONS(2871),
    [anon_sym_for] = ACTIONS(2871),
    [anon_sym_return] = ACTIONS(2871),
    [anon_sym_break] = ACTIONS(2871),
    [anon_sym_continue] = ACTIONS(2871),
    [anon_sym_goto] = ACTIONS(2871),
    [anon_sym___try] = ACTIONS(2871),
    [anon_sym___leave] = ACTIONS(2871),
    [anon_sym_not] = ACTIONS(2871),
    [anon_sym_compl] = ACTIONS(2871),
    [anon_sym_DASH_DASH] = ACTIONS(2873),
    [anon_sym_PLUS_PLUS] = ACTIONS(2873),
    [anon_sym_sizeof] = ACTIONS(2871),
    [anon_sym___alignof__] = ACTIONS(2871),
    [anon_sym___alignof] = ACTIONS(2871),
    [anon_sym__alignof] = ACTIONS(2871),
    [anon_sym_alignof] = ACTIONS(2871),
    [anon_sym__Alignof] = ACTIONS(2871),
    [anon_sym_offsetof] = ACTIONS(2871),
    [anon_sym__Generic] = ACTIONS(2871),
    [anon_sym_asm] = ACTIONS(2871),
    [anon_sym___asm__] = ACTIONS(2871),
    [sym_number_literal] = ACTIONS(2873),
    [anon_sym_L_SQUOTE] = ACTIONS(2873),
    [anon_sym_u_SQUOTE] = ACTIONS(2873),
    [anon_sym_U_SQUOTE] = ACTIONS(2873),
    [anon_sym_u8_SQUOTE] = ACTIONS(2873),
    [anon_sym_SQUOTE] = ACTIONS(2873),
    [anon_sym_L_DQUOTE] = ACTIONS(2873),
    [anon_sym_u_DQUOTE] = ACTIONS(2873),
    [anon_sym_U_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8_DQUOTE] = ACTIONS(2873),
    [anon_sym_DQUOTE] = ACTIONS(2873),
    [sym_true] = ACTIONS(2871),
    [sym_false] = ACTIONS(2871),
    [anon_sym_NULL] = ACTIONS(2871),
    [anon_sym_nullptr] = ACTIONS(2871),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2871),
    [anon_sym_decltype] = ACTIONS(2871),
    [anon_sym_virtual] = ACTIONS(2871),
    [anon_sym_alignas] = ACTIONS(2871),
    [anon_sym_typename] = ACTIONS(2871),
    [anon_sym_template] = ACTIONS(2871),
    [anon_sym_try] = ACTIONS(2871),
    [anon_sym_delete] = ACTIONS(2871),
    [anon_sym_throw] = ACTIONS(2871),
    [anon_sym_co_return] = ACTIONS(2871),
    [anon_sym_co_yield] = ACTIONS(2871),
    [anon_sym_R_DQUOTE] = ACTIONS(2873),
    [anon_sym_LR_DQUOTE] = ACTIONS(2873),
    [anon_sym_uR_DQUOTE] = ACTIONS(2873),
    [anon_sym_UR_DQUOTE] = ACTIONS(2873),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2873),
    [anon_sym_co_await] = ACTIONS(2871),
    [anon_sym_new] = ACTIONS(2871),
    [anon_sym_requires] = ACTIONS(2871),
    [sym_this] = ACTIONS(2871),
  },
  [1162] = {
    [sym_identifier] = ACTIONS(2881),
    [anon_sym_LPAREN2] = ACTIONS(2883),
    [anon_sym_BANG] = ACTIONS(2883),
    [anon_sym_TILDE] = ACTIONS(2883),
    [anon_sym_DASH] = ACTIONS(2881),
    [anon_sym_PLUS] = ACTIONS(2881),
    [anon_sym_STAR] = ACTIONS(2883),
    [anon_sym_AMP] = ACTIONS(2883),
    [anon_sym_SEMI] = ACTIONS(2883),
    [anon_sym___extension__] = ACTIONS(2881),
    [anon_sym_typedef] = ACTIONS(2881),
    [anon_sym_extern] = ACTIONS(2881),
    [anon_sym___attribute__] = ACTIONS(2881),
    [anon_sym_COLON_COLON] = ACTIONS(2883),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2883),
    [anon_sym___declspec] = ACTIONS(2881),
    [anon_sym_LBRACE] = ACTIONS(2883),
    [anon_sym_signed] = ACTIONS(2881),
    [anon_sym_unsigned] = ACTIONS(2881),
    [anon_sym_long] = ACTIONS(2881),
    [anon_sym_short] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(2881),
    [anon_sym_static] = ACTIONS(2881),
    [anon_sym_register] = ACTIONS(2881),
    [anon_sym_inline] = ACTIONS(2881),
    [anon_sym___inline] = ACTIONS(2881),
    [anon_sym___inline__] = ACTIONS(2881),
    [anon_sym___forceinline] = ACTIONS(2881),
    [anon_sym_thread_local] = ACTIONS(2881),
    [anon_sym___thread] = ACTIONS(2881),
    [anon_sym_const] = ACTIONS(2881),
    [anon_sym_constexpr] = ACTIONS(2881),
    [anon_sym_volatile] = ACTIONS(2881),
    [anon_sym_restrict] = ACTIONS(2881),
    [anon_sym___restrict__] = ACTIONS(2881),
    [anon_sym__Atomic] = ACTIONS(2881),
    [anon_sym__Noreturn] = ACTIONS(2881),
    [anon_sym_noreturn] = ACTIONS(2881),
    [anon_sym_mutable] = ACTIONS(2881),
    [anon_sym_constinit] = ACTIONS(2881),
    [anon_sym_consteval] = ACTIONS(2881),
    [sym_primitive_type] = ACTIONS(2881),
    [anon_sym_enum] = ACTIONS(2881),
    [anon_sym_class] = ACTIONS(2881),
    [anon_sym_struct] = ACTIONS(2881),
    [anon_sym_union] = ACTIONS(2881),
    [anon_sym_if] = ACTIONS(2881),
    [anon_sym_else] = ACTIONS(2881),
    [anon_sym_switch] = ACTIONS(2881),
    [anon_sym_while] = ACTIONS(2881),
    [anon_sym_do] = ACTIONS(2881),
    [anon_sym_for] = ACTIONS(2881),
    [anon_sym_return] = ACTIONS(2881),
    [anon_sym_break] = ACTIONS(2881),
    [anon_sym_continue] = ACTIONS(2881),
    [anon_sym_goto] = ACTIONS(2881),
    [anon_sym___try] = ACTIONS(2881),
    [anon_sym___leave] = ACTIONS(2881),
    [anon_sym_not] = ACTIONS(2881),
    [anon_sym_compl] = ACTIONS(2881),
    [anon_sym_DASH_DASH] = ACTIONS(2883),
    [anon_sym_PLUS_PLUS] = ACTIONS(2883),
    [anon_sym_sizeof] = ACTIONS(2881),
    [anon_sym___alignof__] = ACTIONS(2881),
    [anon_sym___alignof] = ACTIONS(2881),
    [anon_sym__alignof] = ACTIONS(2881),
    [anon_sym_alignof] = ACTIONS(2881),
    [anon_sym__Alignof] = ACTIONS(2881),
    [anon_sym_offsetof] = ACTIONS(2881),
    [anon_sym__Generic] = ACTIONS(2881),
    [anon_sym_asm] = ACTIONS(2881),
    [anon_sym___asm__] = ACTIONS(2881),
    [sym_number_literal] = ACTIONS(2883),
    [anon_sym_L_SQUOTE] = ACTIONS(2883),
    [anon_sym_u_SQUOTE] = ACTIONS(2883),
    [anon_sym_U_SQUOTE] = ACTIONS(2883),
    [anon_sym_u8_SQUOTE] = ACTIONS(2883),
    [anon_sym_SQUOTE] = ACTIONS(2883),
    [anon_sym_L_DQUOTE] = ACTIONS(2883),
    [anon_sym_u_DQUOTE] = ACTIONS(2883),
    [anon_sym_U_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8_DQUOTE] = ACTIONS(2883),
    [anon_sym_DQUOTE] = ACTIONS(2883),
    [sym_true] = ACTIONS(2881),
    [sym_false] = ACTIONS(2881),
    [anon_sym_NULL] = ACTIONS(2881),
    [anon_sym_nullptr] = ACTIONS(2881),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2881),
    [anon_sym_decltype] = ACTIONS(2881),
    [anon_sym_virtual] = ACTIONS(2881),
    [anon_sym_alignas] = ACTIONS(2881),
    [anon_sym_typename] = ACTIONS(2881),
    [anon_sym_template] = ACTIONS(2881),
    [anon_sym_try] = ACTIONS(2881),
    [anon_sym_delete] = ACTIONS(2881),
    [anon_sym_throw] = ACTIONS(2881),
    [anon_sym_co_return] = ACTIONS(2881),
    [anon_sym_co_yield] = ACTIONS(2881),
    [anon_sym_R_DQUOTE] = ACTIONS(2883),
    [anon_sym_LR_DQUOTE] = ACTIONS(2883),
    [anon_sym_uR_DQUOTE] = ACTIONS(2883),
    [anon_sym_UR_DQUOTE] = ACTIONS(2883),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2883),
    [anon_sym_co_await] = ACTIONS(2881),
    [anon_sym_new] = ACTIONS(2881),
    [anon_sym_requires] = ACTIONS(2881),
    [sym_this] = ACTIONS(2881),
  },
  [1163] = {
    [sym_identifier] = ACTIONS(2875),
    [anon_sym_LPAREN2] = ACTIONS(2877),
    [anon_sym_BANG] = ACTIONS(2877),
    [anon_sym_TILDE] = ACTIONS(2877),
    [anon_sym_DASH] = ACTIONS(2875),
    [anon_sym_PLUS] = ACTIONS(2875),
    [anon_sym_STAR] = ACTIONS(2877),
    [anon_sym_AMP] = ACTIONS(2877),
    [anon_sym_SEMI] = ACTIONS(2877),
    [anon_sym___extension__] = ACTIONS(2875),
    [anon_sym_typedef] = ACTIONS(2875),
    [anon_sym_extern] = ACTIONS(2875),
    [anon_sym___attribute__] = ACTIONS(2875),
    [anon_sym_COLON_COLON] = ACTIONS(2877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2877),
    [anon_sym___declspec] = ACTIONS(2875),
    [anon_sym_LBRACE] = ACTIONS(2877),
    [anon_sym_signed] = ACTIONS(2875),
    [anon_sym_unsigned] = ACTIONS(2875),
    [anon_sym_long] = ACTIONS(2875),
    [anon_sym_short] = ACTIONS(2875),
    [anon_sym_LBRACK] = ACTIONS(2875),
    [anon_sym_static] = ACTIONS(2875),
    [anon_sym_register] = ACTIONS(2875),
    [anon_sym_inline] = ACTIONS(2875),
    [anon_sym___inline] = ACTIONS(2875),
    [anon_sym___inline__] = ACTIONS(2875),
    [anon_sym___forceinline] = ACTIONS(2875),
    [anon_sym_thread_local] = ACTIONS(2875),
    [anon_sym___thread] = ACTIONS(2875),
    [anon_sym_const] = ACTIONS(2875),
    [anon_sym_constexpr] = ACTIONS(2875),
    [anon_sym_volatile] = ACTIONS(2875),
    [anon_sym_restrict] = ACTIONS(2875),
    [anon_sym___restrict__] = ACTIONS(2875),
    [anon_sym__Atomic] = ACTIONS(2875),
    [anon_sym__Noreturn] = ACTIONS(2875),
    [anon_sym_noreturn] = ACTIONS(2875),
    [anon_sym_mutable] = ACTIONS(2875),
    [anon_sym_constinit] = ACTIONS(2875),
    [anon_sym_consteval] = ACTIONS(2875),
    [sym_primitive_type] = ACTIONS(2875),
    [anon_sym_enum] = ACTIONS(2875),
    [anon_sym_class] = ACTIONS(2875),
    [anon_sym_struct] = ACTIONS(2875),
    [anon_sym_union] = ACTIONS(2875),
    [anon_sym_if] = ACTIONS(2875),
    [anon_sym_else] = ACTIONS(2875),
    [anon_sym_switch] = ACTIONS(2875),
    [anon_sym_while] = ACTIONS(2875),
    [anon_sym_do] = ACTIONS(2875),
    [anon_sym_for] = ACTIONS(2875),
    [anon_sym_return] = ACTIONS(2875),
    [anon_sym_break] = ACTIONS(2875),
    [anon_sym_continue] = ACTIONS(2875),
    [anon_sym_goto] = ACTIONS(2875),
    [anon_sym___try] = ACTIONS(2875),
    [anon_sym___leave] = ACTIONS(2875),
    [anon_sym_not] = ACTIONS(2875),
    [anon_sym_compl] = ACTIONS(2875),
    [anon_sym_DASH_DASH] = ACTIONS(2877),
    [anon_sym_PLUS_PLUS] = ACTIONS(2877),
    [anon_sym_sizeof] = ACTIONS(2875),
    [anon_sym___alignof__] = ACTIONS(2875),
    [anon_sym___alignof] = ACTIONS(2875),
    [anon_sym__alignof] = ACTIONS(2875),
    [anon_sym_alignof] = ACTIONS(2875),
    [anon_sym__Alignof] = ACTIONS(2875),
    [anon_sym_offsetof] = ACTIONS(2875),
    [anon_sym__Generic] = ACTIONS(2875),
    [anon_sym_asm] = ACTIONS(2875),
    [anon_sym___asm__] = ACTIONS(2875),
    [sym_number_literal] = ACTIONS(2877),
    [anon_sym_L_SQUOTE] = ACTIONS(2877),
    [anon_sym_u_SQUOTE] = ACTIONS(2877),
    [anon_sym_U_SQUOTE] = ACTIONS(2877),
    [anon_sym_u8_SQUOTE] = ACTIONS(2877),
    [anon_sym_SQUOTE] = ACTIONS(2877),
    [anon_sym_L_DQUOTE] = ACTIONS(2877),
    [anon_sym_u_DQUOTE] = ACTIONS(2877),
    [anon_sym_U_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8_DQUOTE] = ACTIONS(2877),
    [anon_sym_DQUOTE] = ACTIONS(2877),
    [sym_true] = ACTIONS(2875),
    [sym_false] = ACTIONS(2875),
    [anon_sym_NULL] = ACTIONS(2875),
    [anon_sym_nullptr] = ACTIONS(2875),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2875),
    [anon_sym_decltype] = ACTIONS(2875),
    [anon_sym_virtual] = ACTIONS(2875),
    [anon_sym_alignas] = ACTIONS(2875),
    [anon_sym_typename] = ACTIONS(2875),
    [anon_sym_template] = ACTIONS(2875),
    [anon_sym_try] = ACTIONS(2875),
    [anon_sym_delete] = ACTIONS(2875),
    [anon_sym_throw] = ACTIONS(2875),
    [anon_sym_co_return] = ACTIONS(2875),
    [anon_sym_co_yield] = ACTIONS(2875),
    [anon_sym_R_DQUOTE] = ACTIONS(2877),
    [anon_sym_LR_DQUOTE] = ACTIONS(2877),
    [anon_sym_uR_DQUOTE] = ACTIONS(2877),
    [anon_sym_UR_DQUOTE] = ACTIONS(2877),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2877),
    [anon_sym_co_await] = ACTIONS(2875),
    [anon_sym_new] = ACTIONS(2875),
    [anon_sym_requires] = ACTIONS(2875),
    [sym_this] = ACTIONS(2875),
  },
  [1164] = {
    [sym_identifier] = ACTIONS(4014),
    [anon_sym_LPAREN2] = ACTIONS(4016),
    [anon_sym_BANG] = ACTIONS(4016),
    [anon_sym_TILDE] = ACTIONS(4016),
    [anon_sym_DASH] = ACTIONS(4014),
    [anon_sym_PLUS] = ACTIONS(4014),
    [anon_sym_STAR] = ACTIONS(4016),
    [anon_sym_AMP] = ACTIONS(4016),
    [anon_sym_SEMI] = ACTIONS(4016),
    [anon_sym___extension__] = ACTIONS(4014),
    [anon_sym_extern] = ACTIONS(4014),
    [anon_sym___attribute__] = ACTIONS(4014),
    [anon_sym_COLON_COLON] = ACTIONS(4016),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4016),
    [anon_sym___declspec] = ACTIONS(4014),
    [anon_sym_LBRACE] = ACTIONS(4016),
    [anon_sym_signed] = ACTIONS(4014),
    [anon_sym_unsigned] = ACTIONS(4014),
    [anon_sym_long] = ACTIONS(4014),
    [anon_sym_short] = ACTIONS(4014),
    [anon_sym_LBRACK] = ACTIONS(4014),
    [anon_sym_static] = ACTIONS(4014),
    [anon_sym_register] = ACTIONS(4014),
    [anon_sym_inline] = ACTIONS(4014),
    [anon_sym___inline] = ACTIONS(4014),
    [anon_sym___inline__] = ACTIONS(4014),
    [anon_sym___forceinline] = ACTIONS(4014),
    [anon_sym_thread_local] = ACTIONS(4014),
    [anon_sym___thread] = ACTIONS(4014),
    [anon_sym_const] = ACTIONS(4014),
    [anon_sym_constexpr] = ACTIONS(4014),
    [anon_sym_volatile] = ACTIONS(4014),
    [anon_sym_restrict] = ACTIONS(4014),
    [anon_sym___restrict__] = ACTIONS(4014),
    [anon_sym__Atomic] = ACTIONS(4014),
    [anon_sym__Noreturn] = ACTIONS(4014),
    [anon_sym_noreturn] = ACTIONS(4014),
    [anon_sym_mutable] = ACTIONS(4014),
    [anon_sym_constinit] = ACTIONS(4014),
    [anon_sym_consteval] = ACTIONS(4014),
    [sym_primitive_type] = ACTIONS(4014),
    [anon_sym_enum] = ACTIONS(4014),
    [anon_sym_class] = ACTIONS(4014),
    [anon_sym_struct] = ACTIONS(4014),
    [anon_sym_union] = ACTIONS(4014),
    [anon_sym_if] = ACTIONS(4014),
    [anon_sym_switch] = ACTIONS(4014),
    [anon_sym_case] = ACTIONS(4014),
    [anon_sym_default] = ACTIONS(4014),
    [anon_sym_while] = ACTIONS(4014),
    [anon_sym_do] = ACTIONS(4014),
    [anon_sym_for] = ACTIONS(4014),
    [anon_sym_return] = ACTIONS(4014),
    [anon_sym_break] = ACTIONS(4014),
    [anon_sym_continue] = ACTIONS(4014),
    [anon_sym_goto] = ACTIONS(4014),
    [anon_sym___try] = ACTIONS(4014),
    [anon_sym___leave] = ACTIONS(4014),
    [anon_sym_not] = ACTIONS(4014),
    [anon_sym_compl] = ACTIONS(4014),
    [anon_sym_DASH_DASH] = ACTIONS(4016),
    [anon_sym_PLUS_PLUS] = ACTIONS(4016),
    [anon_sym_sizeof] = ACTIONS(4014),
    [anon_sym___alignof__] = ACTIONS(4014),
    [anon_sym___alignof] = ACTIONS(4014),
    [anon_sym__alignof] = ACTIONS(4014),
    [anon_sym_alignof] = ACTIONS(4014),
    [anon_sym__Alignof] = ACTIONS(4014),
    [anon_sym_offsetof] = ACTIONS(4014),
    [anon_sym__Generic] = ACTIONS(4014),
    [anon_sym_asm] = ACTIONS(4014),
    [anon_sym___asm__] = ACTIONS(4014),
    [sym_number_literal] = ACTIONS(4016),
    [anon_sym_L_SQUOTE] = ACTIONS(4016),
    [anon_sym_u_SQUOTE] = ACTIONS(4016),
    [anon_sym_U_SQUOTE] = ACTIONS(4016),
    [anon_sym_u8_SQUOTE] = ACTIONS(4016),
    [anon_sym_SQUOTE] = ACTIONS(4016),
    [anon_sym_L_DQUOTE] = ACTIONS(4016),
    [anon_sym_u_DQUOTE] = ACTIONS(4016),
    [anon_sym_U_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8_DQUOTE] = ACTIONS(4016),
    [anon_sym_DQUOTE] = ACTIONS(4016),
    [sym_true] = ACTIONS(4014),
    [sym_false] = ACTIONS(4014),
    [anon_sym_NULL] = ACTIONS(4014),
    [anon_sym_nullptr] = ACTIONS(4014),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4014),
    [anon_sym_decltype] = ACTIONS(4014),
    [anon_sym_virtual] = ACTIONS(4014),
    [anon_sym_alignas] = ACTIONS(4014),
    [anon_sym_typename] = ACTIONS(4014),
    [anon_sym_template] = ACTIONS(4014),
    [anon_sym_try] = ACTIONS(4014),
    [anon_sym_delete] = ACTIONS(4014),
    [anon_sym_throw] = ACTIONS(4014),
    [anon_sym_co_return] = ACTIONS(4014),
    [anon_sym_co_yield] = ACTIONS(4014),
    [anon_sym_R_DQUOTE] = ACTIONS(4016),
    [anon_sym_LR_DQUOTE] = ACTIONS(4016),
    [anon_sym_uR_DQUOTE] = ACTIONS(4016),
    [anon_sym_UR_DQUOTE] = ACTIONS(4016),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4016),
    [anon_sym_co_await] = ACTIONS(4014),
    [anon_sym_new] = ACTIONS(4014),
    [anon_sym_requires] = ACTIONS(4014),
    [sym_this] = ACTIONS(4014),
  },
  [1165] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1166] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1167] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1168] = {
    [sym_identifier] = ACTIONS(2929),
    [anon_sym_LPAREN2] = ACTIONS(2931),
    [anon_sym_BANG] = ACTIONS(2931),
    [anon_sym_TILDE] = ACTIONS(2931),
    [anon_sym_DASH] = ACTIONS(2929),
    [anon_sym_PLUS] = ACTIONS(2929),
    [anon_sym_STAR] = ACTIONS(2931),
    [anon_sym_AMP] = ACTIONS(2931),
    [anon_sym_SEMI] = ACTIONS(2931),
    [anon_sym___extension__] = ACTIONS(2929),
    [anon_sym_typedef] = ACTIONS(2929),
    [anon_sym_extern] = ACTIONS(2929),
    [anon_sym___attribute__] = ACTIONS(2929),
    [anon_sym_COLON_COLON] = ACTIONS(2931),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2931),
    [anon_sym___declspec] = ACTIONS(2929),
    [anon_sym_LBRACE] = ACTIONS(2931),
    [anon_sym_signed] = ACTIONS(2929),
    [anon_sym_unsigned] = ACTIONS(2929),
    [anon_sym_long] = ACTIONS(2929),
    [anon_sym_short] = ACTIONS(2929),
    [anon_sym_LBRACK] = ACTIONS(2929),
    [anon_sym_static] = ACTIONS(2929),
    [anon_sym_register] = ACTIONS(2929),
    [anon_sym_inline] = ACTIONS(2929),
    [anon_sym___inline] = ACTIONS(2929),
    [anon_sym___inline__] = ACTIONS(2929),
    [anon_sym___forceinline] = ACTIONS(2929),
    [anon_sym_thread_local] = ACTIONS(2929),
    [anon_sym___thread] = ACTIONS(2929),
    [anon_sym_const] = ACTIONS(2929),
    [anon_sym_constexpr] = ACTIONS(2929),
    [anon_sym_volatile] = ACTIONS(2929),
    [anon_sym_restrict] = ACTIONS(2929),
    [anon_sym___restrict__] = ACTIONS(2929),
    [anon_sym__Atomic] = ACTIONS(2929),
    [anon_sym__Noreturn] = ACTIONS(2929),
    [anon_sym_noreturn] = ACTIONS(2929),
    [anon_sym_mutable] = ACTIONS(2929),
    [anon_sym_constinit] = ACTIONS(2929),
    [anon_sym_consteval] = ACTIONS(2929),
    [sym_primitive_type] = ACTIONS(2929),
    [anon_sym_enum] = ACTIONS(2929),
    [anon_sym_class] = ACTIONS(2929),
    [anon_sym_struct] = ACTIONS(2929),
    [anon_sym_union] = ACTIONS(2929),
    [anon_sym_if] = ACTIONS(2929),
    [anon_sym_else] = ACTIONS(2929),
    [anon_sym_switch] = ACTIONS(2929),
    [anon_sym_while] = ACTIONS(2929),
    [anon_sym_do] = ACTIONS(2929),
    [anon_sym_for] = ACTIONS(2929),
    [anon_sym_return] = ACTIONS(2929),
    [anon_sym_break] = ACTIONS(2929),
    [anon_sym_continue] = ACTIONS(2929),
    [anon_sym_goto] = ACTIONS(2929),
    [anon_sym___try] = ACTIONS(2929),
    [anon_sym___leave] = ACTIONS(2929),
    [anon_sym_not] = ACTIONS(2929),
    [anon_sym_compl] = ACTIONS(2929),
    [anon_sym_DASH_DASH] = ACTIONS(2931),
    [anon_sym_PLUS_PLUS] = ACTIONS(2931),
    [anon_sym_sizeof] = ACTIONS(2929),
    [anon_sym___alignof__] = ACTIONS(2929),
    [anon_sym___alignof] = ACTIONS(2929),
    [anon_sym__alignof] = ACTIONS(2929),
    [anon_sym_alignof] = ACTIONS(2929),
    [anon_sym__Alignof] = ACTIONS(2929),
    [anon_sym_offsetof] = ACTIONS(2929),
    [anon_sym__Generic] = ACTIONS(2929),
    [anon_sym_asm] = ACTIONS(2929),
    [anon_sym___asm__] = ACTIONS(2929),
    [sym_number_literal] = ACTIONS(2931),
    [anon_sym_L_SQUOTE] = ACTIONS(2931),
    [anon_sym_u_SQUOTE] = ACTIONS(2931),
    [anon_sym_U_SQUOTE] = ACTIONS(2931),
    [anon_sym_u8_SQUOTE] = ACTIONS(2931),
    [anon_sym_SQUOTE] = ACTIONS(2931),
    [anon_sym_L_DQUOTE] = ACTIONS(2931),
    [anon_sym_u_DQUOTE] = ACTIONS(2931),
    [anon_sym_U_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8_DQUOTE] = ACTIONS(2931),
    [anon_sym_DQUOTE] = ACTIONS(2931),
    [sym_true] = ACTIONS(2929),
    [sym_false] = ACTIONS(2929),
    [anon_sym_NULL] = ACTIONS(2929),
    [anon_sym_nullptr] = ACTIONS(2929),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2929),
    [anon_sym_decltype] = ACTIONS(2929),
    [anon_sym_virtual] = ACTIONS(2929),
    [anon_sym_alignas] = ACTIONS(2929),
    [anon_sym_typename] = ACTIONS(2929),
    [anon_sym_template] = ACTIONS(2929),
    [anon_sym_try] = ACTIONS(2929),
    [anon_sym_delete] = ACTIONS(2929),
    [anon_sym_throw] = ACTIONS(2929),
    [anon_sym_co_return] = ACTIONS(2929),
    [anon_sym_co_yield] = ACTIONS(2929),
    [anon_sym_R_DQUOTE] = ACTIONS(2931),
    [anon_sym_LR_DQUOTE] = ACTIONS(2931),
    [anon_sym_uR_DQUOTE] = ACTIONS(2931),
    [anon_sym_UR_DQUOTE] = ACTIONS(2931),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2931),
    [anon_sym_co_await] = ACTIONS(2929),
    [anon_sym_new] = ACTIONS(2929),
    [anon_sym_requires] = ACTIONS(2929),
    [sym_this] = ACTIONS(2929),
  },
  [1169] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1170] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1171] = {
    [sym_identifier] = ACTIONS(2893),
    [anon_sym_LPAREN2] = ACTIONS(2895),
    [anon_sym_BANG] = ACTIONS(2895),
    [anon_sym_TILDE] = ACTIONS(2895),
    [anon_sym_DASH] = ACTIONS(2893),
    [anon_sym_PLUS] = ACTIONS(2893),
    [anon_sym_STAR] = ACTIONS(2895),
    [anon_sym_AMP] = ACTIONS(2895),
    [anon_sym_SEMI] = ACTIONS(2895),
    [anon_sym___extension__] = ACTIONS(2893),
    [anon_sym_typedef] = ACTIONS(2893),
    [anon_sym_extern] = ACTIONS(2893),
    [anon_sym___attribute__] = ACTIONS(2893),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2895),
    [anon_sym___declspec] = ACTIONS(2893),
    [anon_sym_LBRACE] = ACTIONS(2895),
    [anon_sym_signed] = ACTIONS(2893),
    [anon_sym_unsigned] = ACTIONS(2893),
    [anon_sym_long] = ACTIONS(2893),
    [anon_sym_short] = ACTIONS(2893),
    [anon_sym_LBRACK] = ACTIONS(2893),
    [anon_sym_static] = ACTIONS(2893),
    [anon_sym_register] = ACTIONS(2893),
    [anon_sym_inline] = ACTIONS(2893),
    [anon_sym___inline] = ACTIONS(2893),
    [anon_sym___inline__] = ACTIONS(2893),
    [anon_sym___forceinline] = ACTIONS(2893),
    [anon_sym_thread_local] = ACTIONS(2893),
    [anon_sym___thread] = ACTIONS(2893),
    [anon_sym_const] = ACTIONS(2893),
    [anon_sym_constexpr] = ACTIONS(2893),
    [anon_sym_volatile] = ACTIONS(2893),
    [anon_sym_restrict] = ACTIONS(2893),
    [anon_sym___restrict__] = ACTIONS(2893),
    [anon_sym__Atomic] = ACTIONS(2893),
    [anon_sym__Noreturn] = ACTIONS(2893),
    [anon_sym_noreturn] = ACTIONS(2893),
    [anon_sym_mutable] = ACTIONS(2893),
    [anon_sym_constinit] = ACTIONS(2893),
    [anon_sym_consteval] = ACTIONS(2893),
    [sym_primitive_type] = ACTIONS(2893),
    [anon_sym_enum] = ACTIONS(2893),
    [anon_sym_class] = ACTIONS(2893),
    [anon_sym_struct] = ACTIONS(2893),
    [anon_sym_union] = ACTIONS(2893),
    [anon_sym_if] = ACTIONS(2893),
    [anon_sym_else] = ACTIONS(2893),
    [anon_sym_switch] = ACTIONS(2893),
    [anon_sym_while] = ACTIONS(2893),
    [anon_sym_do] = ACTIONS(2893),
    [anon_sym_for] = ACTIONS(2893),
    [anon_sym_return] = ACTIONS(2893),
    [anon_sym_break] = ACTIONS(2893),
    [anon_sym_continue] = ACTIONS(2893),
    [anon_sym_goto] = ACTIONS(2893),
    [anon_sym___try] = ACTIONS(2893),
    [anon_sym___leave] = ACTIONS(2893),
    [anon_sym_not] = ACTIONS(2893),
    [anon_sym_compl] = ACTIONS(2893),
    [anon_sym_DASH_DASH] = ACTIONS(2895),
    [anon_sym_PLUS_PLUS] = ACTIONS(2895),
    [anon_sym_sizeof] = ACTIONS(2893),
    [anon_sym___alignof__] = ACTIONS(2893),
    [anon_sym___alignof] = ACTIONS(2893),
    [anon_sym__alignof] = ACTIONS(2893),
    [anon_sym_alignof] = ACTIONS(2893),
    [anon_sym__Alignof] = ACTIONS(2893),
    [anon_sym_offsetof] = ACTIONS(2893),
    [anon_sym__Generic] = ACTIONS(2893),
    [anon_sym_asm] = ACTIONS(2893),
    [anon_sym___asm__] = ACTIONS(2893),
    [sym_number_literal] = ACTIONS(2895),
    [anon_sym_L_SQUOTE] = ACTIONS(2895),
    [anon_sym_u_SQUOTE] = ACTIONS(2895),
    [anon_sym_U_SQUOTE] = ACTIONS(2895),
    [anon_sym_u8_SQUOTE] = ACTIONS(2895),
    [anon_sym_SQUOTE] = ACTIONS(2895),
    [anon_sym_L_DQUOTE] = ACTIONS(2895),
    [anon_sym_u_DQUOTE] = ACTIONS(2895),
    [anon_sym_U_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8_DQUOTE] = ACTIONS(2895),
    [anon_sym_DQUOTE] = ACTIONS(2895),
    [sym_true] = ACTIONS(2893),
    [sym_false] = ACTIONS(2893),
    [anon_sym_NULL] = ACTIONS(2893),
    [anon_sym_nullptr] = ACTIONS(2893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2893),
    [anon_sym_decltype] = ACTIONS(2893),
    [anon_sym_virtual] = ACTIONS(2893),
    [anon_sym_alignas] = ACTIONS(2893),
    [anon_sym_typename] = ACTIONS(2893),
    [anon_sym_template] = ACTIONS(2893),
    [anon_sym_try] = ACTIONS(2893),
    [anon_sym_delete] = ACTIONS(2893),
    [anon_sym_throw] = ACTIONS(2893),
    [anon_sym_co_return] = ACTIONS(2893),
    [anon_sym_co_yield] = ACTIONS(2893),
    [anon_sym_R_DQUOTE] = ACTIONS(2895),
    [anon_sym_LR_DQUOTE] = ACTIONS(2895),
    [anon_sym_uR_DQUOTE] = ACTIONS(2895),
    [anon_sym_UR_DQUOTE] = ACTIONS(2895),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2895),
    [anon_sym_co_await] = ACTIONS(2893),
    [anon_sym_new] = ACTIONS(2893),
    [anon_sym_requires] = ACTIONS(2893),
    [sym_this] = ACTIONS(2893),
  },
  [1172] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1173] = {
    [sym_identifier] = ACTIONS(2897),
    [anon_sym_LPAREN2] = ACTIONS(2899),
    [anon_sym_BANG] = ACTIONS(2899),
    [anon_sym_TILDE] = ACTIONS(2899),
    [anon_sym_DASH] = ACTIONS(2897),
    [anon_sym_PLUS] = ACTIONS(2897),
    [anon_sym_STAR] = ACTIONS(2899),
    [anon_sym_AMP] = ACTIONS(2899),
    [anon_sym_SEMI] = ACTIONS(2899),
    [anon_sym___extension__] = ACTIONS(2897),
    [anon_sym_typedef] = ACTIONS(2897),
    [anon_sym_extern] = ACTIONS(2897),
    [anon_sym___attribute__] = ACTIONS(2897),
    [anon_sym_COLON_COLON] = ACTIONS(2899),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2899),
    [anon_sym___declspec] = ACTIONS(2897),
    [anon_sym_LBRACE] = ACTIONS(2899),
    [anon_sym_signed] = ACTIONS(2897),
    [anon_sym_unsigned] = ACTIONS(2897),
    [anon_sym_long] = ACTIONS(2897),
    [anon_sym_short] = ACTIONS(2897),
    [anon_sym_LBRACK] = ACTIONS(2897),
    [anon_sym_static] = ACTIONS(2897),
    [anon_sym_register] = ACTIONS(2897),
    [anon_sym_inline] = ACTIONS(2897),
    [anon_sym___inline] = ACTIONS(2897),
    [anon_sym___inline__] = ACTIONS(2897),
    [anon_sym___forceinline] = ACTIONS(2897),
    [anon_sym_thread_local] = ACTIONS(2897),
    [anon_sym___thread] = ACTIONS(2897),
    [anon_sym_const] = ACTIONS(2897),
    [anon_sym_constexpr] = ACTIONS(2897),
    [anon_sym_volatile] = ACTIONS(2897),
    [anon_sym_restrict] = ACTIONS(2897),
    [anon_sym___restrict__] = ACTIONS(2897),
    [anon_sym__Atomic] = ACTIONS(2897),
    [anon_sym__Noreturn] = ACTIONS(2897),
    [anon_sym_noreturn] = ACTIONS(2897),
    [anon_sym_mutable] = ACTIONS(2897),
    [anon_sym_constinit] = ACTIONS(2897),
    [anon_sym_consteval] = ACTIONS(2897),
    [sym_primitive_type] = ACTIONS(2897),
    [anon_sym_enum] = ACTIONS(2897),
    [anon_sym_class] = ACTIONS(2897),
    [anon_sym_struct] = ACTIONS(2897),
    [anon_sym_union] = ACTIONS(2897),
    [anon_sym_if] = ACTIONS(2897),
    [anon_sym_else] = ACTIONS(2897),
    [anon_sym_switch] = ACTIONS(2897),
    [anon_sym_while] = ACTIONS(2897),
    [anon_sym_do] = ACTIONS(2897),
    [anon_sym_for] = ACTIONS(2897),
    [anon_sym_return] = ACTIONS(2897),
    [anon_sym_break] = ACTIONS(2897),
    [anon_sym_continue] = ACTIONS(2897),
    [anon_sym_goto] = ACTIONS(2897),
    [anon_sym___try] = ACTIONS(2897),
    [anon_sym___leave] = ACTIONS(2897),
    [anon_sym_not] = ACTIONS(2897),
    [anon_sym_compl] = ACTIONS(2897),
    [anon_sym_DASH_DASH] = ACTIONS(2899),
    [anon_sym_PLUS_PLUS] = ACTIONS(2899),
    [anon_sym_sizeof] = ACTIONS(2897),
    [anon_sym___alignof__] = ACTIONS(2897),
    [anon_sym___alignof] = ACTIONS(2897),
    [anon_sym__alignof] = ACTIONS(2897),
    [anon_sym_alignof] = ACTIONS(2897),
    [anon_sym__Alignof] = ACTIONS(2897),
    [anon_sym_offsetof] = ACTIONS(2897),
    [anon_sym__Generic] = ACTIONS(2897),
    [anon_sym_asm] = ACTIONS(2897),
    [anon_sym___asm__] = ACTIONS(2897),
    [sym_number_literal] = ACTIONS(2899),
    [anon_sym_L_SQUOTE] = ACTIONS(2899),
    [anon_sym_u_SQUOTE] = ACTIONS(2899),
    [anon_sym_U_SQUOTE] = ACTIONS(2899),
    [anon_sym_u8_SQUOTE] = ACTIONS(2899),
    [anon_sym_SQUOTE] = ACTIONS(2899),
    [anon_sym_L_DQUOTE] = ACTIONS(2899),
    [anon_sym_u_DQUOTE] = ACTIONS(2899),
    [anon_sym_U_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8_DQUOTE] = ACTIONS(2899),
    [anon_sym_DQUOTE] = ACTIONS(2899),
    [sym_true] = ACTIONS(2897),
    [sym_false] = ACTIONS(2897),
    [anon_sym_NULL] = ACTIONS(2897),
    [anon_sym_nullptr] = ACTIONS(2897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2897),
    [anon_sym_decltype] = ACTIONS(2897),
    [anon_sym_virtual] = ACTIONS(2897),
    [anon_sym_alignas] = ACTIONS(2897),
    [anon_sym_typename] = ACTIONS(2897),
    [anon_sym_template] = ACTIONS(2897),
    [anon_sym_try] = ACTIONS(2897),
    [anon_sym_delete] = ACTIONS(2897),
    [anon_sym_throw] = ACTIONS(2897),
    [anon_sym_co_return] = ACTIONS(2897),
    [anon_sym_co_yield] = ACTIONS(2897),
    [anon_sym_R_DQUOTE] = ACTIONS(2899),
    [anon_sym_LR_DQUOTE] = ACTIONS(2899),
    [anon_sym_uR_DQUOTE] = ACTIONS(2899),
    [anon_sym_UR_DQUOTE] = ACTIONS(2899),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2899),
    [anon_sym_co_await] = ACTIONS(2897),
    [anon_sym_new] = ACTIONS(2897),
    [anon_sym_requires] = ACTIONS(2897),
    [sym_this] = ACTIONS(2897),
  },
  [1174] = {
    [sym_identifier] = ACTIONS(2901),
    [anon_sym_LPAREN2] = ACTIONS(2903),
    [anon_sym_BANG] = ACTIONS(2903),
    [anon_sym_TILDE] = ACTIONS(2903),
    [anon_sym_DASH] = ACTIONS(2901),
    [anon_sym_PLUS] = ACTIONS(2901),
    [anon_sym_STAR] = ACTIONS(2903),
    [anon_sym_AMP] = ACTIONS(2903),
    [anon_sym_SEMI] = ACTIONS(2903),
    [anon_sym___extension__] = ACTIONS(2901),
    [anon_sym_typedef] = ACTIONS(2901),
    [anon_sym_extern] = ACTIONS(2901),
    [anon_sym___attribute__] = ACTIONS(2901),
    [anon_sym_COLON_COLON] = ACTIONS(2903),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2903),
    [anon_sym___declspec] = ACTIONS(2901),
    [anon_sym_LBRACE] = ACTIONS(2903),
    [anon_sym_signed] = ACTIONS(2901),
    [anon_sym_unsigned] = ACTIONS(2901),
    [anon_sym_long] = ACTIONS(2901),
    [anon_sym_short] = ACTIONS(2901),
    [anon_sym_LBRACK] = ACTIONS(2901),
    [anon_sym_static] = ACTIONS(2901),
    [anon_sym_register] = ACTIONS(2901),
    [anon_sym_inline] = ACTIONS(2901),
    [anon_sym___inline] = ACTIONS(2901),
    [anon_sym___inline__] = ACTIONS(2901),
    [anon_sym___forceinline] = ACTIONS(2901),
    [anon_sym_thread_local] = ACTIONS(2901),
    [anon_sym___thread] = ACTIONS(2901),
    [anon_sym_const] = ACTIONS(2901),
    [anon_sym_constexpr] = ACTIONS(2901),
    [anon_sym_volatile] = ACTIONS(2901),
    [anon_sym_restrict] = ACTIONS(2901),
    [anon_sym___restrict__] = ACTIONS(2901),
    [anon_sym__Atomic] = ACTIONS(2901),
    [anon_sym__Noreturn] = ACTIONS(2901),
    [anon_sym_noreturn] = ACTIONS(2901),
    [anon_sym_mutable] = ACTIONS(2901),
    [anon_sym_constinit] = ACTIONS(2901),
    [anon_sym_consteval] = ACTIONS(2901),
    [sym_primitive_type] = ACTIONS(2901),
    [anon_sym_enum] = ACTIONS(2901),
    [anon_sym_class] = ACTIONS(2901),
    [anon_sym_struct] = ACTIONS(2901),
    [anon_sym_union] = ACTIONS(2901),
    [anon_sym_if] = ACTIONS(2901),
    [anon_sym_else] = ACTIONS(2901),
    [anon_sym_switch] = ACTIONS(2901),
    [anon_sym_while] = ACTIONS(2901),
    [anon_sym_do] = ACTIONS(2901),
    [anon_sym_for] = ACTIONS(2901),
    [anon_sym_return] = ACTIONS(2901),
    [anon_sym_break] = ACTIONS(2901),
    [anon_sym_continue] = ACTIONS(2901),
    [anon_sym_goto] = ACTIONS(2901),
    [anon_sym___try] = ACTIONS(2901),
    [anon_sym___leave] = ACTIONS(2901),
    [anon_sym_not] = ACTIONS(2901),
    [anon_sym_compl] = ACTIONS(2901),
    [anon_sym_DASH_DASH] = ACTIONS(2903),
    [anon_sym_PLUS_PLUS] = ACTIONS(2903),
    [anon_sym_sizeof] = ACTIONS(2901),
    [anon_sym___alignof__] = ACTIONS(2901),
    [anon_sym___alignof] = ACTIONS(2901),
    [anon_sym__alignof] = ACTIONS(2901),
    [anon_sym_alignof] = ACTIONS(2901),
    [anon_sym__Alignof] = ACTIONS(2901),
    [anon_sym_offsetof] = ACTIONS(2901),
    [anon_sym__Generic] = ACTIONS(2901),
    [anon_sym_asm] = ACTIONS(2901),
    [anon_sym___asm__] = ACTIONS(2901),
    [sym_number_literal] = ACTIONS(2903),
    [anon_sym_L_SQUOTE] = ACTIONS(2903),
    [anon_sym_u_SQUOTE] = ACTIONS(2903),
    [anon_sym_U_SQUOTE] = ACTIONS(2903),
    [anon_sym_u8_SQUOTE] = ACTIONS(2903),
    [anon_sym_SQUOTE] = ACTIONS(2903),
    [anon_sym_L_DQUOTE] = ACTIONS(2903),
    [anon_sym_u_DQUOTE] = ACTIONS(2903),
    [anon_sym_U_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8_DQUOTE] = ACTIONS(2903),
    [anon_sym_DQUOTE] = ACTIONS(2903),
    [sym_true] = ACTIONS(2901),
    [sym_false] = ACTIONS(2901),
    [anon_sym_NULL] = ACTIONS(2901),
    [anon_sym_nullptr] = ACTIONS(2901),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2901),
    [anon_sym_decltype] = ACTIONS(2901),
    [anon_sym_virtual] = ACTIONS(2901),
    [anon_sym_alignas] = ACTIONS(2901),
    [anon_sym_typename] = ACTIONS(2901),
    [anon_sym_template] = ACTIONS(2901),
    [anon_sym_try] = ACTIONS(2901),
    [anon_sym_delete] = ACTIONS(2901),
    [anon_sym_throw] = ACTIONS(2901),
    [anon_sym_co_return] = ACTIONS(2901),
    [anon_sym_co_yield] = ACTIONS(2901),
    [anon_sym_R_DQUOTE] = ACTIONS(2903),
    [anon_sym_LR_DQUOTE] = ACTIONS(2903),
    [anon_sym_uR_DQUOTE] = ACTIONS(2903),
    [anon_sym_UR_DQUOTE] = ACTIONS(2903),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2903),
    [anon_sym_co_await] = ACTIONS(2901),
    [anon_sym_new] = ACTIONS(2901),
    [anon_sym_requires] = ACTIONS(2901),
    [sym_this] = ACTIONS(2901),
  },
  [1175] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1176] = {
    [sym_identifier] = ACTIONS(2905),
    [anon_sym_LPAREN2] = ACTIONS(2907),
    [anon_sym_BANG] = ACTIONS(2907),
    [anon_sym_TILDE] = ACTIONS(2907),
    [anon_sym_DASH] = ACTIONS(2905),
    [anon_sym_PLUS] = ACTIONS(2905),
    [anon_sym_STAR] = ACTIONS(2907),
    [anon_sym_AMP] = ACTIONS(2907),
    [anon_sym_SEMI] = ACTIONS(2907),
    [anon_sym___extension__] = ACTIONS(2905),
    [anon_sym_typedef] = ACTIONS(2905),
    [anon_sym_extern] = ACTIONS(2905),
    [anon_sym___attribute__] = ACTIONS(2905),
    [anon_sym_COLON_COLON] = ACTIONS(2907),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2907),
    [anon_sym___declspec] = ACTIONS(2905),
    [anon_sym_LBRACE] = ACTIONS(2907),
    [anon_sym_signed] = ACTIONS(2905),
    [anon_sym_unsigned] = ACTIONS(2905),
    [anon_sym_long] = ACTIONS(2905),
    [anon_sym_short] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(2905),
    [anon_sym_static] = ACTIONS(2905),
    [anon_sym_register] = ACTIONS(2905),
    [anon_sym_inline] = ACTIONS(2905),
    [anon_sym___inline] = ACTIONS(2905),
    [anon_sym___inline__] = ACTIONS(2905),
    [anon_sym___forceinline] = ACTIONS(2905),
    [anon_sym_thread_local] = ACTIONS(2905),
    [anon_sym___thread] = ACTIONS(2905),
    [anon_sym_const] = ACTIONS(2905),
    [anon_sym_constexpr] = ACTIONS(2905),
    [anon_sym_volatile] = ACTIONS(2905),
    [anon_sym_restrict] = ACTIONS(2905),
    [anon_sym___restrict__] = ACTIONS(2905),
    [anon_sym__Atomic] = ACTIONS(2905),
    [anon_sym__Noreturn] = ACTIONS(2905),
    [anon_sym_noreturn] = ACTIONS(2905),
    [anon_sym_mutable] = ACTIONS(2905),
    [anon_sym_constinit] = ACTIONS(2905),
    [anon_sym_consteval] = ACTIONS(2905),
    [sym_primitive_type] = ACTIONS(2905),
    [anon_sym_enum] = ACTIONS(2905),
    [anon_sym_class] = ACTIONS(2905),
    [anon_sym_struct] = ACTIONS(2905),
    [anon_sym_union] = ACTIONS(2905),
    [anon_sym_if] = ACTIONS(2905),
    [anon_sym_else] = ACTIONS(2905),
    [anon_sym_switch] = ACTIONS(2905),
    [anon_sym_while] = ACTIONS(2905),
    [anon_sym_do] = ACTIONS(2905),
    [anon_sym_for] = ACTIONS(2905),
    [anon_sym_return] = ACTIONS(2905),
    [anon_sym_break] = ACTIONS(2905),
    [anon_sym_continue] = ACTIONS(2905),
    [anon_sym_goto] = ACTIONS(2905),
    [anon_sym___try] = ACTIONS(2905),
    [anon_sym___leave] = ACTIONS(2905),
    [anon_sym_not] = ACTIONS(2905),
    [anon_sym_compl] = ACTIONS(2905),
    [anon_sym_DASH_DASH] = ACTIONS(2907),
    [anon_sym_PLUS_PLUS] = ACTIONS(2907),
    [anon_sym_sizeof] = ACTIONS(2905),
    [anon_sym___alignof__] = ACTIONS(2905),
    [anon_sym___alignof] = ACTIONS(2905),
    [anon_sym__alignof] = ACTIONS(2905),
    [anon_sym_alignof] = ACTIONS(2905),
    [anon_sym__Alignof] = ACTIONS(2905),
    [anon_sym_offsetof] = ACTIONS(2905),
    [anon_sym__Generic] = ACTIONS(2905),
    [anon_sym_asm] = ACTIONS(2905),
    [anon_sym___asm__] = ACTIONS(2905),
    [sym_number_literal] = ACTIONS(2907),
    [anon_sym_L_SQUOTE] = ACTIONS(2907),
    [anon_sym_u_SQUOTE] = ACTIONS(2907),
    [anon_sym_U_SQUOTE] = ACTIONS(2907),
    [anon_sym_u8_SQUOTE] = ACTIONS(2907),
    [anon_sym_SQUOTE] = ACTIONS(2907),
    [anon_sym_L_DQUOTE] = ACTIONS(2907),
    [anon_sym_u_DQUOTE] = ACTIONS(2907),
    [anon_sym_U_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8_DQUOTE] = ACTIONS(2907),
    [anon_sym_DQUOTE] = ACTIONS(2907),
    [sym_true] = ACTIONS(2905),
    [sym_false] = ACTIONS(2905),
    [anon_sym_NULL] = ACTIONS(2905),
    [anon_sym_nullptr] = ACTIONS(2905),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2905),
    [anon_sym_decltype] = ACTIONS(2905),
    [anon_sym_virtual] = ACTIONS(2905),
    [anon_sym_alignas] = ACTIONS(2905),
    [anon_sym_typename] = ACTIONS(2905),
    [anon_sym_template] = ACTIONS(2905),
    [anon_sym_try] = ACTIONS(2905),
    [anon_sym_delete] = ACTIONS(2905),
    [anon_sym_throw] = ACTIONS(2905),
    [anon_sym_co_return] = ACTIONS(2905),
    [anon_sym_co_yield] = ACTIONS(2905),
    [anon_sym_R_DQUOTE] = ACTIONS(2907),
    [anon_sym_LR_DQUOTE] = ACTIONS(2907),
    [anon_sym_uR_DQUOTE] = ACTIONS(2907),
    [anon_sym_UR_DQUOTE] = ACTIONS(2907),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2907),
    [anon_sym_co_await] = ACTIONS(2905),
    [anon_sym_new] = ACTIONS(2905),
    [anon_sym_requires] = ACTIONS(2905),
    [sym_this] = ACTIONS(2905),
  },
  [1177] = {
    [sym_identifier] = ACTIONS(2925),
    [anon_sym_LPAREN2] = ACTIONS(2927),
    [anon_sym_BANG] = ACTIONS(2927),
    [anon_sym_TILDE] = ACTIONS(2927),
    [anon_sym_DASH] = ACTIONS(2925),
    [anon_sym_PLUS] = ACTIONS(2925),
    [anon_sym_STAR] = ACTIONS(2927),
    [anon_sym_AMP] = ACTIONS(2927),
    [anon_sym_SEMI] = ACTIONS(2927),
    [anon_sym___extension__] = ACTIONS(2925),
    [anon_sym_typedef] = ACTIONS(2925),
    [anon_sym_extern] = ACTIONS(2925),
    [anon_sym___attribute__] = ACTIONS(2925),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2927),
    [anon_sym___declspec] = ACTIONS(2925),
    [anon_sym_LBRACE] = ACTIONS(2927),
    [anon_sym_signed] = ACTIONS(2925),
    [anon_sym_unsigned] = ACTIONS(2925),
    [anon_sym_long] = ACTIONS(2925),
    [anon_sym_short] = ACTIONS(2925),
    [anon_sym_LBRACK] = ACTIONS(2925),
    [anon_sym_static] = ACTIONS(2925),
    [anon_sym_register] = ACTIONS(2925),
    [anon_sym_inline] = ACTIONS(2925),
    [anon_sym___inline] = ACTIONS(2925),
    [anon_sym___inline__] = ACTIONS(2925),
    [anon_sym___forceinline] = ACTIONS(2925),
    [anon_sym_thread_local] = ACTIONS(2925),
    [anon_sym___thread] = ACTIONS(2925),
    [anon_sym_const] = ACTIONS(2925),
    [anon_sym_constexpr] = ACTIONS(2925),
    [anon_sym_volatile] = ACTIONS(2925),
    [anon_sym_restrict] = ACTIONS(2925),
    [anon_sym___restrict__] = ACTIONS(2925),
    [anon_sym__Atomic] = ACTIONS(2925),
    [anon_sym__Noreturn] = ACTIONS(2925),
    [anon_sym_noreturn] = ACTIONS(2925),
    [anon_sym_mutable] = ACTIONS(2925),
    [anon_sym_constinit] = ACTIONS(2925),
    [anon_sym_consteval] = ACTIONS(2925),
    [sym_primitive_type] = ACTIONS(2925),
    [anon_sym_enum] = ACTIONS(2925),
    [anon_sym_class] = ACTIONS(2925),
    [anon_sym_struct] = ACTIONS(2925),
    [anon_sym_union] = ACTIONS(2925),
    [anon_sym_if] = ACTIONS(2925),
    [anon_sym_else] = ACTIONS(2925),
    [anon_sym_switch] = ACTIONS(2925),
    [anon_sym_while] = ACTIONS(2925),
    [anon_sym_do] = ACTIONS(2925),
    [anon_sym_for] = ACTIONS(2925),
    [anon_sym_return] = ACTIONS(2925),
    [anon_sym_break] = ACTIONS(2925),
    [anon_sym_continue] = ACTIONS(2925),
    [anon_sym_goto] = ACTIONS(2925),
    [anon_sym___try] = ACTIONS(2925),
    [anon_sym___leave] = ACTIONS(2925),
    [anon_sym_not] = ACTIONS(2925),
    [anon_sym_compl] = ACTIONS(2925),
    [anon_sym_DASH_DASH] = ACTIONS(2927),
    [anon_sym_PLUS_PLUS] = ACTIONS(2927),
    [anon_sym_sizeof] = ACTIONS(2925),
    [anon_sym___alignof__] = ACTIONS(2925),
    [anon_sym___alignof] = ACTIONS(2925),
    [anon_sym__alignof] = ACTIONS(2925),
    [anon_sym_alignof] = ACTIONS(2925),
    [anon_sym__Alignof] = ACTIONS(2925),
    [anon_sym_offsetof] = ACTIONS(2925),
    [anon_sym__Generic] = ACTIONS(2925),
    [anon_sym_asm] = ACTIONS(2925),
    [anon_sym___asm__] = ACTIONS(2925),
    [sym_number_literal] = ACTIONS(2927),
    [anon_sym_L_SQUOTE] = ACTIONS(2927),
    [anon_sym_u_SQUOTE] = ACTIONS(2927),
    [anon_sym_U_SQUOTE] = ACTIONS(2927),
    [anon_sym_u8_SQUOTE] = ACTIONS(2927),
    [anon_sym_SQUOTE] = ACTIONS(2927),
    [anon_sym_L_DQUOTE] = ACTIONS(2927),
    [anon_sym_u_DQUOTE] = ACTIONS(2927),
    [anon_sym_U_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8_DQUOTE] = ACTIONS(2927),
    [anon_sym_DQUOTE] = ACTIONS(2927),
    [sym_true] = ACTIONS(2925),
    [sym_false] = ACTIONS(2925),
    [anon_sym_NULL] = ACTIONS(2925),
    [anon_sym_nullptr] = ACTIONS(2925),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2925),
    [anon_sym_decltype] = ACTIONS(2925),
    [anon_sym_virtual] = ACTIONS(2925),
    [anon_sym_alignas] = ACTIONS(2925),
    [anon_sym_typename] = ACTIONS(2925),
    [anon_sym_template] = ACTIONS(2925),
    [anon_sym_try] = ACTIONS(2925),
    [anon_sym_delete] = ACTIONS(2925),
    [anon_sym_throw] = ACTIONS(2925),
    [anon_sym_co_return] = ACTIONS(2925),
    [anon_sym_co_yield] = ACTIONS(2925),
    [anon_sym_R_DQUOTE] = ACTIONS(2927),
    [anon_sym_LR_DQUOTE] = ACTIONS(2927),
    [anon_sym_uR_DQUOTE] = ACTIONS(2927),
    [anon_sym_UR_DQUOTE] = ACTIONS(2927),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2927),
    [anon_sym_co_await] = ACTIONS(2925),
    [anon_sym_new] = ACTIONS(2925),
    [anon_sym_requires] = ACTIONS(2925),
    [sym_this] = ACTIONS(2925),
  },
  [1178] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1179] = {
    [sym_identifier] = ACTIONS(2913),
    [anon_sym_LPAREN2] = ACTIONS(2915),
    [anon_sym_BANG] = ACTIONS(2915),
    [anon_sym_TILDE] = ACTIONS(2915),
    [anon_sym_DASH] = ACTIONS(2913),
    [anon_sym_PLUS] = ACTIONS(2913),
    [anon_sym_STAR] = ACTIONS(2915),
    [anon_sym_AMP] = ACTIONS(2915),
    [anon_sym_SEMI] = ACTIONS(2915),
    [anon_sym___extension__] = ACTIONS(2913),
    [anon_sym_typedef] = ACTIONS(2913),
    [anon_sym_extern] = ACTIONS(2913),
    [anon_sym___attribute__] = ACTIONS(2913),
    [anon_sym_COLON_COLON] = ACTIONS(2915),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2915),
    [anon_sym___declspec] = ACTIONS(2913),
    [anon_sym_LBRACE] = ACTIONS(2915),
    [anon_sym_signed] = ACTIONS(2913),
    [anon_sym_unsigned] = ACTIONS(2913),
    [anon_sym_long] = ACTIONS(2913),
    [anon_sym_short] = ACTIONS(2913),
    [anon_sym_LBRACK] = ACTIONS(2913),
    [anon_sym_static] = ACTIONS(2913),
    [anon_sym_register] = ACTIONS(2913),
    [anon_sym_inline] = ACTIONS(2913),
    [anon_sym___inline] = ACTIONS(2913),
    [anon_sym___inline__] = ACTIONS(2913),
    [anon_sym___forceinline] = ACTIONS(2913),
    [anon_sym_thread_local] = ACTIONS(2913),
    [anon_sym___thread] = ACTIONS(2913),
    [anon_sym_const] = ACTIONS(2913),
    [anon_sym_constexpr] = ACTIONS(2913),
    [anon_sym_volatile] = ACTIONS(2913),
    [anon_sym_restrict] = ACTIONS(2913),
    [anon_sym___restrict__] = ACTIONS(2913),
    [anon_sym__Atomic] = ACTIONS(2913),
    [anon_sym__Noreturn] = ACTIONS(2913),
    [anon_sym_noreturn] = ACTIONS(2913),
    [anon_sym_mutable] = ACTIONS(2913),
    [anon_sym_constinit] = ACTIONS(2913),
    [anon_sym_consteval] = ACTIONS(2913),
    [sym_primitive_type] = ACTIONS(2913),
    [anon_sym_enum] = ACTIONS(2913),
    [anon_sym_class] = ACTIONS(2913),
    [anon_sym_struct] = ACTIONS(2913),
    [anon_sym_union] = ACTIONS(2913),
    [anon_sym_if] = ACTIONS(2913),
    [anon_sym_else] = ACTIONS(2913),
    [anon_sym_switch] = ACTIONS(2913),
    [anon_sym_while] = ACTIONS(2913),
    [anon_sym_do] = ACTIONS(2913),
    [anon_sym_for] = ACTIONS(2913),
    [anon_sym_return] = ACTIONS(2913),
    [anon_sym_break] = ACTIONS(2913),
    [anon_sym_continue] = ACTIONS(2913),
    [anon_sym_goto] = ACTIONS(2913),
    [anon_sym___try] = ACTIONS(2913),
    [anon_sym___leave] = ACTIONS(2913),
    [anon_sym_not] = ACTIONS(2913),
    [anon_sym_compl] = ACTIONS(2913),
    [anon_sym_DASH_DASH] = ACTIONS(2915),
    [anon_sym_PLUS_PLUS] = ACTIONS(2915),
    [anon_sym_sizeof] = ACTIONS(2913),
    [anon_sym___alignof__] = ACTIONS(2913),
    [anon_sym___alignof] = ACTIONS(2913),
    [anon_sym__alignof] = ACTIONS(2913),
    [anon_sym_alignof] = ACTIONS(2913),
    [anon_sym__Alignof] = ACTIONS(2913),
    [anon_sym_offsetof] = ACTIONS(2913),
    [anon_sym__Generic] = ACTIONS(2913),
    [anon_sym_asm] = ACTIONS(2913),
    [anon_sym___asm__] = ACTIONS(2913),
    [sym_number_literal] = ACTIONS(2915),
    [anon_sym_L_SQUOTE] = ACTIONS(2915),
    [anon_sym_u_SQUOTE] = ACTIONS(2915),
    [anon_sym_U_SQUOTE] = ACTIONS(2915),
    [anon_sym_u8_SQUOTE] = ACTIONS(2915),
    [anon_sym_SQUOTE] = ACTIONS(2915),
    [anon_sym_L_DQUOTE] = ACTIONS(2915),
    [anon_sym_u_DQUOTE] = ACTIONS(2915),
    [anon_sym_U_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8_DQUOTE] = ACTIONS(2915),
    [anon_sym_DQUOTE] = ACTIONS(2915),
    [sym_true] = ACTIONS(2913),
    [sym_false] = ACTIONS(2913),
    [anon_sym_NULL] = ACTIONS(2913),
    [anon_sym_nullptr] = ACTIONS(2913),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2913),
    [anon_sym_decltype] = ACTIONS(2913),
    [anon_sym_virtual] = ACTIONS(2913),
    [anon_sym_alignas] = ACTIONS(2913),
    [anon_sym_typename] = ACTIONS(2913),
    [anon_sym_template] = ACTIONS(2913),
    [anon_sym_try] = ACTIONS(2913),
    [anon_sym_delete] = ACTIONS(2913),
    [anon_sym_throw] = ACTIONS(2913),
    [anon_sym_co_return] = ACTIONS(2913),
    [anon_sym_co_yield] = ACTIONS(2913),
    [anon_sym_R_DQUOTE] = ACTIONS(2915),
    [anon_sym_LR_DQUOTE] = ACTIONS(2915),
    [anon_sym_uR_DQUOTE] = ACTIONS(2915),
    [anon_sym_UR_DQUOTE] = ACTIONS(2915),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2915),
    [anon_sym_co_await] = ACTIONS(2913),
    [anon_sym_new] = ACTIONS(2913),
    [anon_sym_requires] = ACTIONS(2913),
    [sym_this] = ACTIONS(2913),
  },
  [1180] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1181] = {
    [sym_identifier] = ACTIONS(2867),
    [anon_sym_LPAREN2] = ACTIONS(2869),
    [anon_sym_BANG] = ACTIONS(2869),
    [anon_sym_TILDE] = ACTIONS(2869),
    [anon_sym_DASH] = ACTIONS(2867),
    [anon_sym_PLUS] = ACTIONS(2867),
    [anon_sym_STAR] = ACTIONS(2869),
    [anon_sym_AMP] = ACTIONS(2869),
    [anon_sym_SEMI] = ACTIONS(2869),
    [anon_sym___extension__] = ACTIONS(2867),
    [anon_sym_typedef] = ACTIONS(2867),
    [anon_sym_extern] = ACTIONS(2867),
    [anon_sym___attribute__] = ACTIONS(2867),
    [anon_sym_COLON_COLON] = ACTIONS(2869),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2869),
    [anon_sym___declspec] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(2869),
    [anon_sym_signed] = ACTIONS(2867),
    [anon_sym_unsigned] = ACTIONS(2867),
    [anon_sym_long] = ACTIONS(2867),
    [anon_sym_short] = ACTIONS(2867),
    [anon_sym_LBRACK] = ACTIONS(2867),
    [anon_sym_static] = ACTIONS(2867),
    [anon_sym_register] = ACTIONS(2867),
    [anon_sym_inline] = ACTIONS(2867),
    [anon_sym___inline] = ACTIONS(2867),
    [anon_sym___inline__] = ACTIONS(2867),
    [anon_sym___forceinline] = ACTIONS(2867),
    [anon_sym_thread_local] = ACTIONS(2867),
    [anon_sym___thread] = ACTIONS(2867),
    [anon_sym_const] = ACTIONS(2867),
    [anon_sym_constexpr] = ACTIONS(2867),
    [anon_sym_volatile] = ACTIONS(2867),
    [anon_sym_restrict] = ACTIONS(2867),
    [anon_sym___restrict__] = ACTIONS(2867),
    [anon_sym__Atomic] = ACTIONS(2867),
    [anon_sym__Noreturn] = ACTIONS(2867),
    [anon_sym_noreturn] = ACTIONS(2867),
    [anon_sym_mutable] = ACTIONS(2867),
    [anon_sym_constinit] = ACTIONS(2867),
    [anon_sym_consteval] = ACTIONS(2867),
    [sym_primitive_type] = ACTIONS(2867),
    [anon_sym_enum] = ACTIONS(2867),
    [anon_sym_class] = ACTIONS(2867),
    [anon_sym_struct] = ACTIONS(2867),
    [anon_sym_union] = ACTIONS(2867),
    [anon_sym_if] = ACTIONS(2867),
    [anon_sym_else] = ACTIONS(2867),
    [anon_sym_switch] = ACTIONS(2867),
    [anon_sym_while] = ACTIONS(2867),
    [anon_sym_do] = ACTIONS(2867),
    [anon_sym_for] = ACTIONS(2867),
    [anon_sym_return] = ACTIONS(2867),
    [anon_sym_break] = ACTIONS(2867),
    [anon_sym_continue] = ACTIONS(2867),
    [anon_sym_goto] = ACTIONS(2867),
    [anon_sym___try] = ACTIONS(2867),
    [anon_sym___leave] = ACTIONS(2867),
    [anon_sym_not] = ACTIONS(2867),
    [anon_sym_compl] = ACTIONS(2867),
    [anon_sym_DASH_DASH] = ACTIONS(2869),
    [anon_sym_PLUS_PLUS] = ACTIONS(2869),
    [anon_sym_sizeof] = ACTIONS(2867),
    [anon_sym___alignof__] = ACTIONS(2867),
    [anon_sym___alignof] = ACTIONS(2867),
    [anon_sym__alignof] = ACTIONS(2867),
    [anon_sym_alignof] = ACTIONS(2867),
    [anon_sym__Alignof] = ACTIONS(2867),
    [anon_sym_offsetof] = ACTIONS(2867),
    [anon_sym__Generic] = ACTIONS(2867),
    [anon_sym_asm] = ACTIONS(2867),
    [anon_sym___asm__] = ACTIONS(2867),
    [sym_number_literal] = ACTIONS(2869),
    [anon_sym_L_SQUOTE] = ACTIONS(2869),
    [anon_sym_u_SQUOTE] = ACTIONS(2869),
    [anon_sym_U_SQUOTE] = ACTIONS(2869),
    [anon_sym_u8_SQUOTE] = ACTIONS(2869),
    [anon_sym_SQUOTE] = ACTIONS(2869),
    [anon_sym_L_DQUOTE] = ACTIONS(2869),
    [anon_sym_u_DQUOTE] = ACTIONS(2869),
    [anon_sym_U_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8_DQUOTE] = ACTIONS(2869),
    [anon_sym_DQUOTE] = ACTIONS(2869),
    [sym_true] = ACTIONS(2867),
    [sym_false] = ACTIONS(2867),
    [anon_sym_NULL] = ACTIONS(2867),
    [anon_sym_nullptr] = ACTIONS(2867),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2867),
    [anon_sym_decltype] = ACTIONS(2867),
    [anon_sym_virtual] = ACTIONS(2867),
    [anon_sym_alignas] = ACTIONS(2867),
    [anon_sym_typename] = ACTIONS(2867),
    [anon_sym_template] = ACTIONS(2867),
    [anon_sym_try] = ACTIONS(2867),
    [anon_sym_delete] = ACTIONS(2867),
    [anon_sym_throw] = ACTIONS(2867),
    [anon_sym_co_return] = ACTIONS(2867),
    [anon_sym_co_yield] = ACTIONS(2867),
    [anon_sym_R_DQUOTE] = ACTIONS(2869),
    [anon_sym_LR_DQUOTE] = ACTIONS(2869),
    [anon_sym_uR_DQUOTE] = ACTIONS(2869),
    [anon_sym_UR_DQUOTE] = ACTIONS(2869),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2869),
    [anon_sym_co_await] = ACTIONS(2867),
    [anon_sym_new] = ACTIONS(2867),
    [anon_sym_requires] = ACTIONS(2867),
    [sym_this] = ACTIONS(2867),
  },
  [1182] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2003),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4171),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1183] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4179),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1184] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4183),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1185] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4185),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1186] = {
    [sym__expression] = STATE(4893),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7959),
    [sym_initializer_pair] = STATE(7959),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4189),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4191),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1187] = {
    [sym__expression] = STATE(4943),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7735),
    [sym_initializer_pair] = STATE(7735),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4195),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4197),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1188] = {
    [sym__expression] = STATE(4826),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8215),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4199),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1189] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4201),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1190] = {
    [sym__expression] = STATE(4808),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7873),
    [sym_initializer_pair] = STATE(7873),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4203),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4205),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1191] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4207),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1192] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1198),
    [sym_compound_requirement] = STATE(1198),
    [sym__requirement] = STATE(1198),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1198),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4209),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1193] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4211),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1194] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4213),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1195] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1191),
    [sym_compound_requirement] = STATE(1191),
    [sym__requirement] = STATE(1191),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1191),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4215),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1196] = {
    [sym_string_literal] = STATE(2521),
    [sym_template_argument_list] = STATE(1951),
    [sym_raw_string_literal] = STATE(2521),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_COMMA] = ACTIONS(4150),
    [anon_sym_RPAREN] = ACTIONS(4150),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4217),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4147),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4220),
    [anon_sym_or_eq] = ACTIONS(4220),
    [anon_sym_xor_eq] = ACTIONS(4220),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(4222),
    [anon_sym_u_DQUOTE] = ACTIONS(4222),
    [anon_sym_U_DQUOTE] = ACTIONS(4222),
    [anon_sym_u8_DQUOTE] = ACTIONS(4222),
    [anon_sym_DQUOTE] = ACTIONS(4222),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(4224),
    [anon_sym_LR_DQUOTE] = ACTIONS(4224),
    [anon_sym_uR_DQUOTE] = ACTIONS(4224),
    [anon_sym_UR_DQUOTE] = ACTIONS(4224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4224),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [1197] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4226),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1198] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4228),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1199] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4230),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1200] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4232),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1201] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(4234),
    [anon_sym_LPAREN2] = ACTIONS(4237),
    [anon_sym_BANG] = ACTIONS(4240),
    [anon_sym_TILDE] = ACTIONS(4240),
    [anon_sym_DASH] = ACTIONS(4243),
    [anon_sym_PLUS] = ACTIONS(4243),
    [anon_sym_STAR] = ACTIONS(4246),
    [anon_sym_AMP] = ACTIONS(4246),
    [anon_sym_SEMI] = ACTIONS(4249),
    [anon_sym_COLON_COLON] = ACTIONS(4252),
    [anon_sym_LBRACE] = ACTIONS(4255),
    [anon_sym_RBRACE] = ACTIONS(4258),
    [anon_sym_LBRACK] = ACTIONS(4260),
    [sym_primitive_type] = ACTIONS(4263),
    [anon_sym_not] = ACTIONS(4243),
    [anon_sym_compl] = ACTIONS(4243),
    [anon_sym_DASH_DASH] = ACTIONS(4266),
    [anon_sym_PLUS_PLUS] = ACTIONS(4266),
    [anon_sym_sizeof] = ACTIONS(4269),
    [anon_sym___alignof__] = ACTIONS(4272),
    [anon_sym___alignof] = ACTIONS(4272),
    [anon_sym__alignof] = ACTIONS(4272),
    [anon_sym_alignof] = ACTIONS(4272),
    [anon_sym__Alignof] = ACTIONS(4272),
    [anon_sym_offsetof] = ACTIONS(4275),
    [anon_sym__Generic] = ACTIONS(4278),
    [anon_sym_asm] = ACTIONS(4281),
    [anon_sym___asm__] = ACTIONS(4281),
    [sym_number_literal] = ACTIONS(4284),
    [anon_sym_L_SQUOTE] = ACTIONS(4287),
    [anon_sym_u_SQUOTE] = ACTIONS(4287),
    [anon_sym_U_SQUOTE] = ACTIONS(4287),
    [anon_sym_u8_SQUOTE] = ACTIONS(4287),
    [anon_sym_SQUOTE] = ACTIONS(4287),
    [anon_sym_L_DQUOTE] = ACTIONS(4290),
    [anon_sym_u_DQUOTE] = ACTIONS(4290),
    [anon_sym_U_DQUOTE] = ACTIONS(4290),
    [anon_sym_u8_DQUOTE] = ACTIONS(4290),
    [anon_sym_DQUOTE] = ACTIONS(4290),
    [sym_true] = ACTIONS(4293),
    [sym_false] = ACTIONS(4293),
    [anon_sym_NULL] = ACTIONS(4296),
    [anon_sym_nullptr] = ACTIONS(4296),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(4299),
    [anon_sym_typename] = ACTIONS(4302),
    [anon_sym_template] = ACTIONS(4305),
    [anon_sym_delete] = ACTIONS(4308),
    [anon_sym_R_DQUOTE] = ACTIONS(4311),
    [anon_sym_LR_DQUOTE] = ACTIONS(4311),
    [anon_sym_uR_DQUOTE] = ACTIONS(4311),
    [anon_sym_UR_DQUOTE] = ACTIONS(4311),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4311),
    [anon_sym_co_await] = ACTIONS(4314),
    [anon_sym_new] = ACTIONS(4317),
    [anon_sym_requires] = ACTIONS(4320),
    [sym_this] = ACTIONS(4293),
  },
  [1202] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4323),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1203] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1183),
    [sym_compound_requirement] = STATE(1183),
    [sym__requirement] = STATE(1183),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1183),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4325),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1204] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1193),
    [sym_compound_requirement] = STATE(1193),
    [sym__requirement] = STATE(1193),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1193),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4327),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1205] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1185),
    [sym_compound_requirement] = STATE(1185),
    [sym__requirement] = STATE(1185),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1185),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4329),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1206] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1207),
    [sym_compound_requirement] = STATE(1207),
    [sym__requirement] = STATE(1207),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1207),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4331),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1207] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4333),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1208] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2003),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4335),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1209] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1199),
    [sym_compound_requirement] = STATE(1199),
    [sym__requirement] = STATE(1199),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1199),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4337),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1210] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1211] = {
    [sym__expression] = STATE(4839),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7644),
    [sym_initializer_pair] = STATE(7644),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4339),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4341),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1212] = {
    [sym__expression] = STATE(4797),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7731),
    [sym_initializer_pair] = STATE(7731),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4343),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4345),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1213] = {
    [sym__expression] = STATE(4928),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7640),
    [sym_initializer_pair] = STATE(7640),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(165),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4347),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1214] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2003),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1215] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1216] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1197),
    [sym_compound_requirement] = STATE(1197),
    [sym__requirement] = STATE(1197),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1197),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4351),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1217] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2003),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1218] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1219] = {
    [sym__expression] = STATE(4850),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7882),
    [sym_initializer_pair] = STATE(7882),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4355),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4357),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1220] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1222),
    [sym_compound_requirement] = STATE(1222),
    [sym__requirement] = STATE(1222),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1222),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4359),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1221] = {
    [sym__expression] = STATE(4945),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7702),
    [sym_initializer_pair] = STATE(7702),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_COMMA] = ACTIONS(4361),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4363),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1222] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1201),
    [sym_compound_requirement] = STATE(1201),
    [sym__requirement] = STATE(1201),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1201),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4365),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1223] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1200),
    [sym_compound_requirement] = STATE(1200),
    [sym__requirement] = STATE(1200),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1200),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4367),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1224] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2001),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4335),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1225] = {
    [sym_expression_statement] = STATE(3138),
    [sym__expression] = STATE(5040),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8534),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_type_requirement] = STATE(1184),
    [sym_compound_requirement] = STATE(1184),
    [sym__requirement] = STATE(1184),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_requirement_seq_repeat1] = STATE(1184),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4175),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4177),
    [anon_sym_RBRACE] = ACTIONS(4369),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_typename] = ACTIONS(4181),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1226] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2003),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4213),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1227] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4371),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1228] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4373),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1229] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2003),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4150),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4158),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4323),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1230] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4375),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1231] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4377),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1232] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4379),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1233] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4381),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1234] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4383),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1235] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4385),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1236] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4199),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1237] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4387),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1238] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(2005),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3937),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_COMMA] = ACTIONS(4150),
    [anon_sym_RPAREN] = ACTIONS(4150),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_TILDE] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4153),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym___extension__] = ACTIONS(4135),
    [anon_sym_extern] = ACTIONS(4135),
    [anon_sym___attribute__] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4143),
    [anon_sym___declspec] = ACTIONS(4135),
    [anon_sym___based] = ACTIONS(4135),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(4163),
    [anon_sym_unsigned] = ACTIONS(4163),
    [anon_sym_long] = ACTIONS(4163),
    [anon_sym_short] = ACTIONS(4163),
    [anon_sym_LBRACK] = ACTIONS(4147),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_static] = ACTIONS(4135),
    [anon_sym_register] = ACTIONS(4135),
    [anon_sym_inline] = ACTIONS(4135),
    [anon_sym___inline] = ACTIONS(4135),
    [anon_sym___inline__] = ACTIONS(4135),
    [anon_sym___forceinline] = ACTIONS(4135),
    [anon_sym_thread_local] = ACTIONS(4135),
    [anon_sym___thread] = ACTIONS(4135),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4135),
    [anon_sym_volatile] = ACTIONS(4135),
    [anon_sym_restrict] = ACTIONS(4135),
    [anon_sym___restrict__] = ACTIONS(4135),
    [anon_sym__Atomic] = ACTIONS(4135),
    [anon_sym__Noreturn] = ACTIONS(4135),
    [anon_sym_noreturn] = ACTIONS(4135),
    [anon_sym_mutable] = ACTIONS(4135),
    [anon_sym_constinit] = ACTIONS(4135),
    [anon_sym_consteval] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4169),
    [anon_sym_or_eq] = ACTIONS(4169),
    [anon_sym_xor_eq] = ACTIONS(4169),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
    [anon_sym_virtual] = ACTIONS(4135),
    [anon_sym_alignas] = ACTIONS(4135),
    [anon_sym_template] = ACTIONS(4135),
    [anon_sym_operator] = ACTIONS(4135),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [1239] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4389),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1240] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4391),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1241] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4393),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1242] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4395),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1243] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4397),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1244] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_RBRACE] = ACTIONS(4399),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1245] = {
    [sym__expression] = STATE(5075),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8231),
    [sym_initializer_pair] = STATE(8231),
    [sym_subscript_designator] = STATE(7148),
    [sym_subscript_range_designator] = STATE(7148),
    [sym_field_designator] = STATE(7148),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [aux_sym_initializer_pair_repeat1] = STATE(7148),
    [sym_identifier] = ACTIONS(4187),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(4193),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [anon_sym_DOT] = ACTIONS(215),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1246] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7093),
    [sym__abstract_declarator] = STATE(7254),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_abstract_parenthesized_declarator] = STATE(6676),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_abstract_pointer_declarator] = STATE(6676),
    [sym_function_declarator] = STATE(6828),
    [sym_abstract_function_declarator] = STATE(6676),
    [sym_array_declarator] = STATE(6828),
    [sym_abstract_array_declarator] = STATE(6676),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_list] = STATE(4213),
    [sym_parameter_declaration] = STATE(7717),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7717),
    [sym_variadic_parameter_declaration] = STATE(7717),
    [sym_reference_declarator] = STATE(6828),
    [sym_abstract_reference_declarator] = STATE(6676),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym__function_declarator_seq] = STATE(6679),
    [sym_template_type] = STATE(3541),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6235),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(4401),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LPAREN2] = ACTIONS(4405),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(4407),
    [anon_sym_AMP_AMP] = ACTIONS(4409),
    [anon_sym_AMP] = ACTIONS(4411),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4413),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(4415),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1247] = {
    [sym_compound_statement] = STATE(7877),
    [sym__expression] = STATE(4810),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7877),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4417),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4419),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1248] = {
    [sym_compound_statement] = STATE(7719),
    [sym__expression] = STATE(4799),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7719),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4421),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4423),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1249] = {
    [sym_compound_statement] = STATE(7842),
    [sym__expression] = STATE(4841),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7842),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4425),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4427),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1250] = {
    [sym_compound_statement] = STATE(7690),
    [sym__expression] = STATE(4823),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7690),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4429),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4431),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1251] = {
    [sym_compound_statement] = STATE(7789),
    [sym__expression] = STATE(4779),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7789),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4433),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4435),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1252] = {
    [sym_compound_statement] = STATE(7700),
    [sym__expression] = STATE(4833),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7700),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4437),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4439),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1253] = {
    [sym_compound_statement] = STATE(7698),
    [sym__expression] = STATE(4956),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7698),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4441),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4443),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1254] = {
    [sym_compound_statement] = STATE(7726),
    [sym__expression] = STATE(4886),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7726),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4445),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4447),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1255] = {
    [sym_compound_statement] = STATE(7943),
    [sym__expression] = STATE(4880),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(7943),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4449),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4451),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1256] = {
    [sym__expression] = STATE(5044),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8510),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8510),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4453),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1257] = {
    [sym__expression] = STATE(3638),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8533),
    [sym__unary_right_fold] = STATE(8532),
    [sym__binary_fold] = STATE(8531),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1258] = {
    [sym__expression] = STATE(3686),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8999),
    [sym__unary_right_fold] = STATE(9001),
    [sym__binary_fold] = STATE(8906),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1259] = {
    [sym__expression] = STATE(3624),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8560),
    [sym__unary_right_fold] = STATE(8559),
    [sym__binary_fold] = STATE(8556),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1260] = {
    [sym__expression] = STATE(3608),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8667),
    [sym__unary_right_fold] = STATE(8668),
    [sym__binary_fold] = STATE(8673),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1261] = {
    [sym__expression] = STATE(3651),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8967),
    [sym__unary_right_fold] = STATE(8968),
    [sym__binary_fold] = STATE(8969),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1262] = {
    [sym__expression] = STATE(5007),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9017),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(9017),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4455),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1263] = {
    [sym__expression] = STATE(3642),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(9237),
    [sym__unary_right_fold] = STATE(9231),
    [sym__binary_fold] = STATE(9230),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1264] = {
    [sym__expression] = STATE(3656),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8810),
    [sym__unary_right_fold] = STATE(8807),
    [sym__binary_fold] = STATE(8802),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1265] = {
    [sym__expression] = STATE(4979),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8871),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8871),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4457),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1266] = {
    [sym_compound_statement] = STATE(8240),
    [sym__expression] = STATE(5089),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8240),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym___extension__] = ACTIONS(4459),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1267] = {
    [sym__expression] = STATE(5045),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8524),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8524),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4461),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1268] = {
    [sym__expression] = STATE(5096),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9062),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(9062),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4463),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1269] = {
    [sym__expression] = STATE(3660),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8761),
    [sym__unary_right_fold] = STATE(8760),
    [sym__binary_fold] = STATE(8758),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1270] = {
    [sym__expression] = STATE(5053),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9178),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(9178),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4465),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1271] = {
    [sym__expression] = STATE(3617),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8526),
    [sym__unary_right_fold] = STATE(8527),
    [sym__binary_fold] = STATE(8530),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1272] = {
    [sym__expression] = STATE(3641),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8582),
    [sym__unary_right_fold] = STATE(8558),
    [sym__binary_fold] = STATE(8552),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1273] = {
    [sym__expression] = STATE(3703),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym__unary_left_fold] = STATE(8970),
    [sym__unary_right_fold] = STATE(8966),
    [sym__binary_fold] = STATE(8963),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(2016),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1274] = {
    [sym__expression] = STATE(4960),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1275] = {
    [sym__expression] = STATE(2980),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1276] = {
    [sym__expression] = STATE(4925),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(8026),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4473),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1277] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1278] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4481),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1279] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1280] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4485),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1281] = {
    [sym__expression] = STATE(3582),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1282] = {
    [sym__expression] = STATE(4776),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(7689),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4487),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1283] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4489),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1284] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4491),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1285] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4494),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1286] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4497),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1287] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4499),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1288] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4502),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1289] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4505),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1290] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4508),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1291] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4510),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1292] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4513),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1293] = {
    [sym__expression] = STATE(4795),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1294] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4518),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1295] = {
    [sym__expression] = STATE(3201),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1296] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4521),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1297] = {
    [sym__expression] = STATE(4914),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1298] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4524),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1299] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4526),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1300] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4528),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1301] = {
    [sym__expression] = STATE(5062),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1302] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4531),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1303] = {
    [sym__expression] = STATE(3221),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1304] = {
    [sym__expression] = STATE(4968),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1305] = {
    [sym__expression] = STATE(4687),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(7300),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(4537),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4539),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1306] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4541),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1307] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4544),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1308] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4546),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1309] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1310] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4550),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1311] = {
    [sym__expression] = STATE(4717),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(7284),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(4552),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4554),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1312] = {
    [sym__expression] = STATE(4699),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(7270),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(4556),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4558),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1313] = {
    [sym__expression] = STATE(3234),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1314] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4564),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1315] = {
    [sym__expression] = STATE(3238),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1316] = {
    [sym__expression] = STATE(4792),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(7787),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4566),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1317] = {
    [sym__expression] = STATE(4612),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1318] = {
    [sym__expression] = STATE(5063),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1319] = {
    [sym__expression] = STATE(4115),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1320] = {
    [sym__expression] = STATE(4594),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1321] = {
    [sym__expression] = STATE(5238),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1322] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4574),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1323] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4576),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1324] = {
    [sym__expression] = STATE(5250),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1325] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4578),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1326] = {
    [sym__expression] = STATE(4737),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(7313),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_default] = ACTIONS(4580),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(4582),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1327] = {
    [sym__expression] = STATE(4907),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(7779),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4584),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1328] = {
    [sym__expression] = STATE(2974),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1329] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4586),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1330] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4588),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1331] = {
    [sym__expression] = STATE(4742),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1332] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4590),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1333] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4592),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1334] = {
    [sym__expression] = STATE(3513),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1335] = {
    [sym__expression] = STATE(3418),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1336] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4596),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1337] = {
    [sym__expression] = STATE(4771),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1338] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4598),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1339] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4600),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1340] = {
    [sym__expression] = STATE(4870),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(4548),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1341] = {
    [sym__expression] = STATE(3565),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1342] = {
    [sym__expression] = STATE(3637),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1343] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4604),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1344] = {
    [sym__expression] = STATE(4870),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1345] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4606),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1346] = {
    [sym__expression] = STATE(3630),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1347] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4608),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1348] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4610),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1349] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4612),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1350] = {
    [sym__expression] = STATE(4698),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1351] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4618),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1352] = {
    [sym__expression] = STATE(3786),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1353] = {
    [sym__expression] = STATE(4724),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1354] = {
    [sym__expression] = STATE(4083),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1355] = {
    [sym__expression] = STATE(4952),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_lambda_default_capture] = STATE(8378),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(4475),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4622),
    [anon_sym_EQ] = ACTIONS(4479),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1356] = {
    [sym__expression] = STATE(3790),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4467),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4467),
    [anon_sym_AMP_AMP] = ACTIONS(4467),
    [anon_sym_AMP] = ACTIONS(4469),
    [anon_sym_LT] = ACTIONS(4467),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(4467),
    [anon_sym_LBRACK] = ACTIONS(4467),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1357] = {
    [sym__expression] = STATE(4702),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_initializer_list] = STATE(4852),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACE] = ACTIONS(3738),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1358] = {
    [sym__expression] = STATE(4725),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_initializer_list] = STATE(4818),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACE] = ACTIONS(3738),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1359] = {
    [sym__expression] = STATE(5011),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8913),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4628),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1360] = {
    [sym__expression] = STATE(3792),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1361] = {
    [sym__expression] = STATE(5244),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_initializer_list] = STATE(4309),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1362] = {
    [sym__expression] = STATE(4863),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(7783),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1363] = {
    [sym__expression] = STATE(5064),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_initializer_list] = STATE(5338),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1364] = {
    [sym__expression] = STATE(5019),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8912),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4636),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1365] = {
    [sym__expression] = STATE(2698),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1366] = {
    [sym__expression] = STATE(3589),
    [sym__expression_not_binary] = STATE(2764),
    [sym_comma_expression] = STATE(8823),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym__assignment_expression_lhs] = STATE(8794),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1367] = {
    [sym__expression] = STATE(3657),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_initializer_list] = STATE(3996),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACE] = ACTIONS(2709),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1368] = {
    [sym__expression] = STATE(2698),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1369] = {
    [sym__expression] = STATE(5166),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1370] = {
    [sym__expression] = STATE(5077),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8233),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1371] = {
    [sym__expression] = STATE(4991),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9175),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4648),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1372] = {
    [sym__expression] = STATE(4816),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8215),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4650),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1373] = {
    [sym__expression] = STATE(4967),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8230),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1374] = {
    [sym__expression] = STATE(5270),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(9180),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1375] = {
    [sym__expression] = STATE(5024),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8266),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1376] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_COMMA] = ACTIONS(4653),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4653),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1377] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1378] = {
    [sym__expression] = STATE(3254),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_initializer_list] = STATE(3535),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACE] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1379] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1380] = {
    [sym__expression] = STATE(2698),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_initializer_list] = STATE(2790),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1381] = {
    [sym__expression] = STATE(5215),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8809),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1382] = {
    [sym__expression] = STATE(4635),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_initializer_list] = STATE(4309),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1383] = {
    [sym__expression] = STATE(4100),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_initializer_list] = STATE(4275),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1384] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1385] = {
    [sym__expression] = STATE(4757),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(4309),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1386] = {
    [sym__expression] = STATE(4824),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(8266),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1387] = {
    [sym__expression] = STATE(5071),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9034),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4659),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1388] = {
    [sym__expression] = STATE(5018),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(8188),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1389] = {
    [sym__expression] = STATE(5065),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9029),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4661),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1390] = {
    [sym__expression] = STATE(5067),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(9032),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4663),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1391] = {
    [sym__expression] = STATE(4263),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(4305),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1392] = {
    [sym__expression] = STATE(4853),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_initializer_list] = STATE(4309),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1393] = {
    [sym__expression] = STATE(3459),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_initializer_list] = STATE(3812),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1394] = {
    [sym__expression] = STATE(5272),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_initializer_list] = STATE(9033),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1395] = {
    [sym__expression] = STATE(5006),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_initializer_list] = STATE(4309),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACE] = ACTIONS(3614),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1396] = {
    [sym__expression] = STATE(4064),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_initializer_list] = STATE(4208),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACE] = ACTIONS(2838),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1397] = {
    [sym__expression] = STATE(5081),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_initializer_list] = STATE(5301),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACE] = ACTIONS(3886),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1398] = {
    [sym__expression] = STATE(3175),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4665),
    [anon_sym_LPAREN2] = ACTIONS(4667),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1399] = {
    [sym__expression] = STATE(3572),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1400] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4672),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1401] = {
    [sym__expression] = STATE(4728),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4674),
    [anon_sym_LPAREN2] = ACTIONS(4676),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1402] = {
    [sym__expression] = STATE(5219),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4678),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1403] = {
    [sym__expression] = STATE(5132),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4680),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1404] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4682),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1405] = {
    [sym__expression] = STATE(5192),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4684),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1406] = {
    [sym__expression] = STATE(5226),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_RPAREN] = ACTIONS(4686),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1407] = {
    [sym__expression] = STATE(5172),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4688),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1408] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4690),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1409] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4692),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1410] = {
    [sym__expression] = STATE(5187),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4694),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1411] = {
    [sym__expression] = STATE(5173),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4696),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1412] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4698),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1413] = {
    [sym__expression] = STATE(5266),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4700),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1414] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4702),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1415] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4704),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1416] = {
    [sym__expression] = STATE(3400),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4706),
    [anon_sym_LPAREN2] = ACTIONS(4708),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1417] = {
    [sym__expression] = STATE(3694),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4710),
    [anon_sym_LPAREN2] = ACTIONS(4712),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1418] = {
    [sym__expression] = STATE(5279),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4714),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1419] = {
    [sym__expression] = STATE(5242),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4716),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1420] = {
    [sym__expression] = STATE(5157),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4718),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1421] = {
    [sym__expression] = STATE(5143),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4720),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1422] = {
    [sym__expression] = STATE(2724),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4722),
    [anon_sym_LPAREN2] = ACTIONS(4724),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1423] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4726),
    [anon_sym_LPAREN2] = ACTIONS(4728),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1424] = {
    [sym__expression] = STATE(5199),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4730),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1425] = {
    [sym__expression] = STATE(3995),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1426] = {
    [sym__expression] = STATE(3995),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4735),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1427] = {
    [sym__expression] = STATE(4044),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4738),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1428] = {
    [sym__expression] = STATE(5160),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4741),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1429] = {
    [sym__expression] = STATE(5112),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4743),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1430] = {
    [sym__expression] = STATE(4044),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4745),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1431] = {
    [sym__expression] = STATE(4044),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1432] = {
    [sym__expression] = STATE(5105),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4751),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1433] = {
    [sym__expression] = STATE(5131),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4753),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1434] = {
    [sym__expression] = STATE(3851),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4722),
    [anon_sym_LPAREN2] = ACTIONS(4755),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1435] = {
    [sym__expression] = STATE(3483),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4732),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1436] = {
    [sym__expression] = STATE(5134),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4757),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1437] = {
    [sym__expression] = STATE(3483),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4735),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1438] = {
    [sym__expression] = STATE(4058),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4759),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1439] = {
    [sym__expression] = STATE(4046),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4762),
    [anon_sym_LPAREN2] = ACTIONS(4764),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1440] = {
    [sym__expression] = STATE(5156),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4766),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1441] = {
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4768),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1442] = {
    [sym__expression] = STATE(3478),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4738),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1443] = {
    [sym__expression] = STATE(3478),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4745),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1444] = {
    [sym__expression] = STATE(3478),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4748),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1445] = {
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1446] = {
    [sym__expression] = STATE(3477),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4759),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1447] = {
    [sym__expression] = STATE(3476),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4768),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1448] = {
    [sym__expression] = STATE(3475),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4771),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1449] = {
    [sym__expression] = STATE(5135),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4774),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1450] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4776),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1451] = {
    [sym__expression] = STATE(5152),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4778),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1452] = {
    [sym__expression] = STATE(4059),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1453] = {
    [sym__expression] = STATE(3525),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4783),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1454] = {
    [sym__expression] = STATE(3471),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4780),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1455] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4726),
    [anon_sym_LPAREN2] = ACTIONS(4786),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1456] = {
    [sym__expression] = STATE(4066),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4783),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1457] = {
    [sym__expression] = STATE(2724),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4722),
    [anon_sym_LPAREN2] = ACTIONS(4788),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1458] = {
    [sym__expression] = STATE(4068),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4790),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1459] = {
    [sym__expression] = STATE(4068),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4669),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1460] = {
    [sym__expression] = STATE(4074),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1461] = {
    [sym__expression] = STATE(3572),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4790),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1462] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4796),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1463] = {
    [sym__expression] = STATE(4068),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4798),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1464] = {
    [sym__expression] = STATE(4074),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4801),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1465] = {
    [sym__expression] = STATE(5140),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4804),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1466] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_SEMI] = ACTIONS(4806),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(4808),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1467] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4810),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1468] = {
    [sym__expression] = STATE(4816),
    [sym__expression_not_binary] = STATE(4323),
    [sym_comma_expression] = STATE(8215),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1469] = {
    [sym__expression] = STATE(4074),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1470] = {
    [sym__expression] = STATE(5264),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4815),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1471] = {
    [sym__expression] = STATE(4074),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4817),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1472] = {
    [sym__expression] = STATE(4076),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1473] = {
    [sym__expression] = STATE(5198),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4823),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1474] = {
    [sym__expression] = STATE(4076),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1475] = {
    [sym__expression] = STATE(5133),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4828),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1476] = {
    [sym__expression] = STATE(4058),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1477] = {
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1478] = {
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1479] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4726),
    [anon_sym_LPAREN2] = ACTIONS(4839),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1480] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_SEMI] = ACTIONS(4841),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(4808),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1481] = {
    [sym__expression] = STATE(4059),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4843),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1482] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1483] = {
    [sym__expression] = STATE(4066),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1484] = {
    [sym__expression] = STATE(5136),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4851),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1485] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4853),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1486] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4855),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1487] = {
    [sym__expression] = STATE(5151),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4857),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1488] = {
    [sym__expression] = STATE(4193),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4726),
    [anon_sym_LPAREN2] = ACTIONS(4859),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1489] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4861),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1490] = {
    [sym__expression] = STATE(5218),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4863),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1491] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4865),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1492] = {
    [sym__expression] = STATE(5110),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4867),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1493] = {
    [sym__expression] = STATE(5150),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4726),
    [anon_sym_LPAREN2] = ACTIONS(4869),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1494] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4871),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1495] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4873),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1496] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4875),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1497] = {
    [sym__expression] = STATE(5205),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4877),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1498] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_SEMI] = ACTIONS(4879),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(4808),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1499] = {
    [sym__expression] = STATE(5203),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4881),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1500] = {
    [sym__expression] = STATE(3572),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4798),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1501] = {
    [sym__expression] = STATE(3525),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4848),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1502] = {
    [sym__expression] = STATE(5144),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4883),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1503] = {
    [sym__expression] = STATE(3471),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4843),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1504] = {
    [sym__expression] = STATE(3475),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4836),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1505] = {
    [sym__expression] = STATE(3476),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4833),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1506] = {
    [sym__expression] = STATE(3477),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4830),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1507] = {
    [sym__expression] = STATE(5176),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4885),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1508] = {
    [sym__expression] = STATE(5171),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4887),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1509] = {
    [sym__expression] = STATE(4971),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4889),
    [anon_sym_LPAREN2] = ACTIONS(4891),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1510] = {
    [sym__expression] = STATE(5121),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4893),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1511] = {
    [sym__expression] = STATE(3392),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4793),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1512] = {
    [sym__expression] = STATE(5112),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4895),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1513] = {
    [sym__expression] = STATE(2724),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4722),
    [anon_sym_LPAREN2] = ACTIONS(4897),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1514] = {
    [sym__expression] = STATE(5221),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4899),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1515] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_SEMI] = ACTIONS(4901),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(4808),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1516] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4903),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1517] = {
    [sym__expression] = STATE(5217),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_SEMI] = ACTIONS(4905),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1518] = {
    [sym__expression] = STATE(5122),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4907),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1519] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4909),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1520] = {
    [sym__expression] = STATE(3405),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4825),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1521] = {
    [sym__expression] = STATE(3405),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4820),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1522] = {
    [sym__expression] = STATE(3392),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4817),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1523] = {
    [sym__expression] = STATE(5163),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_COLON] = ACTIONS(4911),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1524] = {
    [sym__expression] = STATE(3392),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4812),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1525] = {
    [sym__expression] = STATE(3392),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4801),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1526] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4913),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1527] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [anon_sym_RBRACK] = ACTIONS(4915),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1528] = {
    [sym__expression] = STATE(4688),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1529] = {
    [sym__expression] = STATE(4923),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1530] = {
    [sym__expression] = STATE(5112),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1531] = {
    [sym__expression] = STATE(2988),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1532] = {
    [sym__expression] = STATE(3022),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1533] = {
    [sym__expression] = STATE(5200),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1534] = {
    [sym__expression] = STATE(4277),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1535] = {
    [sym__expression] = STATE(4277),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(4917),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1536] = {
    [sym__expression] = STATE(5229),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1537] = {
    [sym__expression] = STATE(4205),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1538] = {
    [sym__expression] = STATE(5048),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1539] = {
    [sym__expression] = STATE(2697),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1540] = {
    [sym__expression] = STATE(5186),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1541] = {
    [sym__expression] = STATE(2999),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1542] = {
    [sym__expression] = STATE(4774),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1543] = {
    [sym__expression] = STATE(2994),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1544] = {
    [sym__expression] = STATE(3021),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1545] = {
    [sym__expression] = STATE(5256),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1546] = {
    [sym__expression] = STATE(5069),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1547] = {
    [sym__expression] = STATE(2993),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1548] = {
    [sym__expression] = STATE(2992),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1549] = {
    [sym__expression] = STATE(5247),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1550] = {
    [sym__expression] = STATE(4911),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1551] = {
    [sym__expression] = STATE(3566),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1552] = {
    [sym__expression] = STATE(2991),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1553] = {
    [sym__expression] = STATE(4277),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1554] = {
    [sym__expression] = STATE(5038),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1555] = {
    [sym__expression] = STATE(4868),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1556] = {
    [sym__expression] = STATE(4958),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1557] = {
    [sym__expression] = STATE(4788),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1558] = {
    [sym__expression] = STATE(4832),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1559] = {
    [sym__expression] = STATE(3995),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1560] = {
    [sym__expression] = STATE(4834),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1561] = {
    [sym__expression] = STATE(4835),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1562] = {
    [sym__expression] = STATE(4836),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1563] = {
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(4919),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1564] = {
    [sym__expression] = STATE(4837),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1565] = {
    [sym__expression] = STATE(4838),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1566] = {
    [sym__expression] = STATE(4840),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1567] = {
    [sym__expression] = STATE(4189),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1568] = {
    [sym__expression] = STATE(4842),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1569] = {
    [sym__expression] = STATE(4715),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1570] = {
    [sym__expression] = STATE(4711),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1571] = {
    [sym__expression] = STATE(4709),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1572] = {
    [sym__expression] = STATE(4708),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1573] = {
    [sym__expression] = STATE(4704),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1574] = {
    [sym__expression] = STATE(4701),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1575] = {
    [sym__expression] = STATE(4695),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1576] = {
    [sym__expression] = STATE(4719),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1577] = {
    [sym__expression] = STATE(4686),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1578] = {
    [sym__expression] = STATE(4205),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1579] = {
    [sym__expression] = STATE(5142),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1580] = {
    [sym__expression] = STATE(4985),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(4921),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1581] = {
    [sym__expression] = STATE(4962),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1582] = {
    [sym__expression] = STATE(4964),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(4923),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1583] = {
    [sym__expression] = STATE(3212),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1584] = {
    [sym__expression] = STATE(5179),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1585] = {
    [sym__expression] = STATE(3232),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1586] = {
    [sym__expression] = STATE(3167),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1587] = {
    [sym__expression] = STATE(3245),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1588] = {
    [sym__expression] = STATE(3246),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1589] = {
    [sym__expression] = STATE(3257),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1590] = {
    [sym__expression] = STATE(5206),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1591] = {
    [sym__expression] = STATE(5180),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1592] = {
    [sym__expression] = STATE(3240),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1593] = {
    [sym__expression] = STATE(3250),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1594] = {
    [sym__expression] = STATE(3239),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1595] = {
    [sym__expression] = STATE(4050),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(4925),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1596] = {
    [sym__expression] = STATE(3195),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1597] = {
    [sym__expression] = STATE(5254),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1598] = {
    [sym__expression] = STATE(2748),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1599] = {
    [sym__expression] = STATE(2727),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1600] = {
    [sym__expression] = STATE(4052),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1601] = {
    [sym__expression] = STATE(5008),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(4927),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1602] = {
    [sym__expression] = STATE(3973),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(4929),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1603] = {
    [sym__expression] = STATE(3182),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1604] = {
    [sym__expression] = STATE(3693),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1605] = {
    [sym__expression] = STATE(3670),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1606] = {
    [sym__expression] = STATE(3551),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1607] = {
    [sym__expression] = STATE(3443),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1608] = {
    [sym__expression] = STATE(3447),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1609] = {
    [sym__expression] = STATE(3451),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1610] = {
    [sym__expression] = STATE(4011),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1611] = {
    [sym__expression] = STATE(3455),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1612] = {
    [sym__expression] = STATE(5193),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1613] = {
    [sym__expression] = STATE(3456),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1614] = {
    [sym__expression] = STATE(4691),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1615] = {
    [sym__expression] = STATE(4726),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1616] = {
    [sym__expression] = STATE(3461),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1617] = {
    [sym__expression] = STATE(3464),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1618] = {
    [sym__expression] = STATE(2697),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1619] = {
    [sym__expression] = STATE(3550),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1620] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1621] = {
    [sym__expression] = STATE(4031),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1622] = {
    [sym__expression] = STATE(4094),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1623] = {
    [sym__expression] = STATE(4027),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1624] = {
    [sym__expression] = STATE(2748),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1625] = {
    [sym__expression] = STATE(2727),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1626] = {
    [sym__expression] = STATE(4076),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1627] = {
    [sym__expression] = STATE(4074),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1628] = {
    [sym__expression] = STATE(3230),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1629] = {
    [sym__expression] = STATE(4068),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1630] = {
    [sym__expression] = STATE(4066),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1631] = {
    [sym__expression] = STATE(4059),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1632] = {
    [sym__expression] = STATE(4051),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1633] = {
    [sym__expression] = STATE(4021),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1634] = {
    [sym__expression] = STATE(4058),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1635] = {
    [sym__expression] = STATE(4044),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1636] = {
    [sym__expression] = STATE(3172),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1637] = {
    [sym__expression] = STATE(4613),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1638] = {
    [sym__expression] = STATE(5202),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1639] = {
    [sym__expression] = STATE(5124),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1640] = {
    [sym__expression] = STATE(2748),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(4931),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1641] = {
    [sym__expression] = STATE(5083),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1642] = {
    [sym__expression] = STATE(3174),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1643] = {
    [sym__expression] = STATE(5078),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1644] = {
    [sym__expression] = STATE(4743),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1645] = {
    [sym__expression] = STATE(5245),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1646] = {
    [sym__expression] = STATE(5139),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1647] = {
    [sym__expression] = STATE(4746),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1648] = {
    [sym__expression] = STATE(4740),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1649] = {
    [sym__expression] = STATE(4747),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1650] = {
    [sym__expression] = STATE(4748),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1651] = {
    [sym__expression] = STATE(4749),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1652] = {
    [sym__expression] = STATE(4750),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1653] = {
    [sym__expression] = STATE(4752),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1654] = {
    [sym__expression] = STATE(4741),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1655] = {
    [sym__expression] = STATE(4189),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1656] = {
    [sym__expression] = STATE(3243),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1657] = {
    [sym__expression] = STATE(4753),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1658] = {
    [sym__expression] = STATE(4110),
    [sym__expression_not_binary] = STATE(4282),
    [sym_conditional_expression] = STATE(4282),
    [sym_assignment_expression] = STATE(4282),
    [sym_pointer_expression] = STATE(3841),
    [sym_unary_expression] = STATE(4282),
    [sym_binary_expression] = STATE(4282),
    [sym_update_expression] = STATE(4282),
    [sym_cast_expression] = STATE(4282),
    [sym_sizeof_expression] = STATE(4282),
    [sym_alignof_expression] = STATE(4282),
    [sym_offsetof_expression] = STATE(4282),
    [sym_generic_expression] = STATE(4282),
    [sym_subscript_expression] = STATE(3841),
    [sym_call_expression] = STATE(3841),
    [sym_gnu_asm_expression] = STATE(4282),
    [sym_field_expression] = STATE(3841),
    [sym_compound_literal_expression] = STATE(4282),
    [sym_parenthesized_expression] = STATE(3841),
    [sym_char_literal] = STATE(4172),
    [sym_concatenated_string] = STATE(4172),
    [sym_string_literal] = STATE(2811),
    [sym_null] = STATE(4282),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8181),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4282),
    [sym_raw_string_literal] = STATE(2811),
    [sym_co_await_expression] = STATE(4282),
    [sym_new_expression] = STATE(4282),
    [sym_delete_expression] = STATE(4282),
    [sym_requires_clause] = STATE(4282),
    [sym_requires_expression] = STATE(4282),
    [sym_lambda_expression] = STATE(4282),
    [sym_lambda_capture_specifier] = STATE(6455),
    [sym_fold_expression] = STATE(4282),
    [sym_parameter_pack_expansion] = STATE(4282),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3841),
    [sym_qualified_type_identifier] = STATE(8181),
    [sym_user_defined_literal] = STATE(3841),
    [sym_identifier] = ACTIONS(2836),
    [anon_sym_LPAREN2] = ACTIONS(2020),
    [anon_sym_BANG] = ACTIONS(2022),
    [anon_sym_TILDE] = ACTIONS(2022),
    [anon_sym_DASH] = ACTIONS(2024),
    [anon_sym_PLUS] = ACTIONS(2024),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2028),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2840),
    [anon_sym_not] = ACTIONS(2024),
    [anon_sym_compl] = ACTIONS(2024),
    [anon_sym_DASH_DASH] = ACTIONS(2032),
    [anon_sym_PLUS_PLUS] = ACTIONS(2032),
    [anon_sym_sizeof] = ACTIONS(2034),
    [anon_sym___alignof__] = ACTIONS(2036),
    [anon_sym___alignof] = ACTIONS(2036),
    [anon_sym__alignof] = ACTIONS(2036),
    [anon_sym_alignof] = ACTIONS(2036),
    [anon_sym__Alignof] = ACTIONS(2036),
    [anon_sym_offsetof] = ACTIONS(2038),
    [anon_sym__Generic] = ACTIONS(2040),
    [anon_sym_asm] = ACTIONS(2042),
    [anon_sym___asm__] = ACTIONS(2042),
    [sym_number_literal] = ACTIONS(2044),
    [anon_sym_L_SQUOTE] = ACTIONS(2046),
    [anon_sym_u_SQUOTE] = ACTIONS(2046),
    [anon_sym_U_SQUOTE] = ACTIONS(2046),
    [anon_sym_u8_SQUOTE] = ACTIONS(2046),
    [anon_sym_SQUOTE] = ACTIONS(2046),
    [anon_sym_L_DQUOTE] = ACTIONS(2048),
    [anon_sym_u_DQUOTE] = ACTIONS(2048),
    [anon_sym_U_DQUOTE] = ACTIONS(2048),
    [anon_sym_u8_DQUOTE] = ACTIONS(2048),
    [anon_sym_DQUOTE] = ACTIONS(2048),
    [sym_true] = ACTIONS(2050),
    [sym_false] = ACTIONS(2050),
    [anon_sym_NULL] = ACTIONS(2052),
    [anon_sym_nullptr] = ACTIONS(2052),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2054),
    [anon_sym_R_DQUOTE] = ACTIONS(2056),
    [anon_sym_LR_DQUOTE] = ACTIONS(2056),
    [anon_sym_uR_DQUOTE] = ACTIONS(2056),
    [anon_sym_UR_DQUOTE] = ACTIONS(2056),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2056),
    [anon_sym_co_await] = ACTIONS(2058),
    [anon_sym_new] = ACTIONS(2060),
    [anon_sym_requires] = ACTIONS(2062),
    [sym_this] = ACTIONS(2050),
  },
  [1659] = {
    [sym__expression] = STATE(4972),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1660] = {
    [sym__expression] = STATE(4995),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1661] = {
    [sym__expression] = STATE(3663),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1662] = {
    [sym__expression] = STATE(3664),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1663] = {
    [sym__expression] = STATE(3676),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1664] = {
    [sym__expression] = STATE(3678),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1665] = {
    [sym__expression] = STATE(3680),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1666] = {
    [sym__expression] = STATE(3681),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1667] = {
    [sym__expression] = STATE(3682),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1668] = {
    [sym__expression] = STATE(5072),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1669] = {
    [sym__expression] = STATE(3683),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1670] = {
    [sym__expression] = STATE(5183),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1671] = {
    [sym__expression] = STATE(3684),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1672] = {
    [sym__expression] = STATE(5158),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1673] = {
    [sym__expression] = STATE(5103),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1674] = {
    [sym__expression] = STATE(5087),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1675] = {
    [sym__expression] = STATE(3685),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1676] = {
    [sym__expression] = STATE(5161),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1677] = {
    [sym__expression] = STATE(4710),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1678] = {
    [sym__expression] = STATE(5165),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1679] = {
    [sym__expression] = STATE(4767),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1680] = {
    [sym__expression] = STATE(5197),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1681] = {
    [sym__expression] = STATE(5119),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(4933),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1682] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1683] = {
    [sym__expression] = STATE(3710),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1684] = {
    [sym__expression] = STATE(2727),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1685] = {
    [sym__expression] = STATE(5003),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1686] = {
    [sym__expression] = STATE(4189),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1687] = {
    [sym__expression] = STATE(5002),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1688] = {
    [sym__expression] = STATE(5000),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1689] = {
    [sym__expression] = STATE(4999),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1690] = {
    [sym__expression] = STATE(4998),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1691] = {
    [sym__expression] = STATE(3406),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(4935),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1692] = {
    [sym__expression] = STATE(3407),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1693] = {
    [sym__expression] = STATE(3235),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1694] = {
    [sym__expression] = STATE(5213),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1695] = {
    [sym__expression] = STATE(5147),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(4937),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1696] = {
    [sym__expression] = STATE(2748),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1697] = {
    [sym__expression] = STATE(3211),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1698] = {
    [sym__expression] = STATE(4997),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1699] = {
    [sym__expression] = STATE(4996),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1700] = {
    [sym__expression] = STATE(4993),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1701] = {
    [sym__expression] = STATE(4623),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1702] = {
    [sym__expression] = STATE(4989),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1703] = {
    [sym__expression] = STATE(4987),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1704] = {
    [sym__expression] = STATE(5102),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1705] = {
    [sym__expression] = STATE(3190),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1706] = {
    [sym__expression] = STATE(4607),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1707] = {
    [sym__expression] = STATE(4887),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1708] = {
    [sym__expression] = STATE(4609),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1709] = {
    [sym__expression] = STATE(5162),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1710] = {
    [sym__expression] = STATE(4610),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1711] = {
    [sym__expression] = STATE(5149),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1712] = {
    [sym__expression] = STATE(5167),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1713] = {
    [sym__expression] = STATE(4963),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1714] = {
    [sym__expression] = STATE(5194),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1715] = {
    [sym__expression] = STATE(4614),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1716] = {
    [sym__expression] = STATE(4615),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1717] = {
    [sym__expression] = STATE(4616),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1718] = {
    [sym__expression] = STATE(3561),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(4939),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1719] = {
    [sym__expression] = STATE(4969),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1720] = {
    [sym__expression] = STATE(4618),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1721] = {
    [sym__expression] = STATE(4782),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1722] = {
    [sym__expression] = STATE(4189),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1723] = {
    [sym__expression] = STATE(5230),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1724] = {
    [sym__expression] = STATE(4621),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1725] = {
    [sym__expression] = STATE(5164),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(4941),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1726] = {
    [sym__expression] = STATE(5211),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1727] = {
    [sym__expression] = STATE(5101),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1728] = {
    [sym__expression] = STATE(5127),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1729] = {
    [sym__expression] = STATE(5100),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1730] = {
    [sym__expression] = STATE(4941),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1731] = {
    [sym__expression] = STATE(3258),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(4943),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1732] = {
    [sym__expression] = STATE(5099),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1733] = {
    [sym__expression] = STATE(5114),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1734] = {
    [sym__expression] = STATE(5115),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1735] = {
    [sym__expression] = STATE(5116),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1736] = {
    [sym__expression] = STATE(5098),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1737] = {
    [sym__expression] = STATE(5097),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1738] = {
    [sym__expression] = STATE(5095),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1739] = {
    [sym__expression] = STATE(2990),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1740] = {
    [sym__expression] = STATE(5093),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1741] = {
    [sym__expression] = STATE(5168),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1742] = {
    [sym__expression] = STATE(5092),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1743] = {
    [sym__expression] = STATE(5145),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1744] = {
    [sym__expression] = STATE(5091),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1745] = {
    [sym__expression] = STATE(5177),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1746] = {
    [sym__expression] = STATE(3231),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1747] = {
    [sym__expression] = STATE(3405),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1748] = {
    [sym__expression] = STATE(4851),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1749] = {
    [sym__expression] = STATE(3392),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1750] = {
    [sym__expression] = STATE(3572),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1751] = {
    [sym__expression] = STATE(3525),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1752] = {
    [sym__expression] = STATE(3471),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1753] = {
    [sym__expression] = STATE(3475),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1754] = {
    [sym__expression] = STATE(3476),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1755] = {
    [sym__expression] = STATE(3477),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1756] = {
    [sym__expression] = STATE(3478),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1757] = {
    [sym__expression] = STATE(3483),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1758] = {
    [sym__expression] = STATE(5209),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1759] = {
    [sym__expression] = STATE(4807),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1760] = {
    [sym__expression] = STATE(5223),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1761] = {
    [sym__expression] = STATE(5224),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1762] = {
    [sym__expression] = STATE(5034),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1763] = {
    [sym__expression] = STATE(5232),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1764] = {
    [sym__expression] = STATE(3602),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1765] = {
    [sym__expression] = STATE(5126),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1766] = {
    [sym__expression] = STATE(4942),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1767] = {
    [sym__expression] = STATE(5141),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1768] = {
    [sym__expression] = STATE(3702),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(4945),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1769] = {
    [sym__expression] = STATE(5235),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1770] = {
    [sym__expression] = STATE(5130),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1771] = {
    [sym__expression] = STATE(3705),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1772] = {
    [sym__expression] = STATE(3213),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1773] = {
    [sym__expression] = STATE(2697),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1774] = {
    [sym__expression] = STATE(3214),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1775] = {
    [sym__expression] = STATE(3216),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1776] = {
    [sym__expression] = STATE(3218),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1777] = {
    [sym__expression] = STATE(3219),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1778] = {
    [sym__expression] = STATE(3225),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1779] = {
    [sym__expression] = STATE(3227),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1780] = {
    [sym__expression] = STATE(3228),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1781] = {
    [sym__expression] = STATE(3229),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1782] = {
    [sym__expression] = STATE(3414),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1783] = {
    [sym__expression] = STATE(5104),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1784] = {
    [sym__expression] = STATE(4738),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4947),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1785] = {
    [sym__expression] = STATE(4812),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1786] = {
    [sym__expression] = STATE(5154),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1787] = {
    [sym__expression] = STATE(5138),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1788] = {
    [sym__expression] = STATE(3181),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(4949),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1789] = {
    [sym__expression] = STATE(5106),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1790] = {
    [sym__expression] = STATE(2704),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1791] = {
    [sym__expression] = STATE(3177),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(4951),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1792] = {
    [sym__expression] = STATE(3725),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(4953),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1793] = {
    [sym__expression] = STATE(4888),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1794] = {
    [sym__expression] = STATE(3661),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1795] = {
    [sym__expression] = STATE(5190),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1796] = {
    [sym__expression] = STATE(5258),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1797] = {
    [sym__expression] = STATE(5029),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1798] = {
    [sym__expression] = STATE(5109),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1799] = {
    [sym__expression] = STATE(4879),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1800] = {
    [sym__expression] = STATE(5170),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1801] = {
    [sym__expression] = STATE(5174),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1802] = {
    [sym__expression] = STATE(5201),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1803] = {
    [sym__expression] = STATE(3632),
    [sym__expression_not_binary] = STATE(3975),
    [sym_conditional_expression] = STATE(3975),
    [sym_assignment_expression] = STATE(3975),
    [sym_pointer_expression] = STATE(3975),
    [sym_unary_expression] = STATE(3975),
    [sym_binary_expression] = STATE(3975),
    [sym_update_expression] = STATE(3975),
    [sym_cast_expression] = STATE(3975),
    [sym_sizeof_expression] = STATE(3975),
    [sym_alignof_expression] = STATE(3975),
    [sym_offsetof_expression] = STATE(3975),
    [sym_generic_expression] = STATE(3975),
    [sym_subscript_expression] = STATE(3975),
    [sym_call_expression] = STATE(3975),
    [sym_gnu_asm_expression] = STATE(3975),
    [sym_field_expression] = STATE(3975),
    [sym_compound_literal_expression] = STATE(3975),
    [sym_parenthesized_expression] = STATE(3975),
    [sym_char_literal] = STATE(3834),
    [sym_concatenated_string] = STATE(3834),
    [sym_string_literal] = STATE(2529),
    [sym_null] = STATE(3975),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8105),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3975),
    [sym_raw_string_literal] = STATE(2529),
    [sym_co_await_expression] = STATE(3975),
    [sym_new_expression] = STATE(3975),
    [sym_delete_expression] = STATE(3975),
    [sym_requires_clause] = STATE(3975),
    [sym_requires_expression] = STATE(3975),
    [sym_lambda_expression] = STATE(3975),
    [sym_lambda_capture_specifier] = STATE(6469),
    [sym_fold_expression] = STATE(3975),
    [sym_parameter_pack_expansion] = STATE(3975),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3975),
    [sym_qualified_type_identifier] = STATE(8105),
    [sym_user_defined_literal] = STATE(3975),
    [sym_identifier] = ACTIONS(2701),
    [anon_sym_LPAREN2] = ACTIONS(4644),
    [anon_sym_BANG] = ACTIONS(2705),
    [anon_sym_TILDE] = ACTIONS(2705),
    [anon_sym_DASH] = ACTIONS(2703),
    [anon_sym_PLUS] = ACTIONS(2703),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(2707),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2711),
    [anon_sym_not] = ACTIONS(2703),
    [anon_sym_compl] = ACTIONS(2703),
    [anon_sym_DASH_DASH] = ACTIONS(4602),
    [anon_sym_PLUS_PLUS] = ACTIONS(4602),
    [anon_sym_sizeof] = ACTIONS(2713),
    [anon_sym___alignof__] = ACTIONS(2715),
    [anon_sym___alignof] = ACTIONS(2715),
    [anon_sym__alignof] = ACTIONS(2715),
    [anon_sym_alignof] = ACTIONS(2715),
    [anon_sym__Alignof] = ACTIONS(2715),
    [anon_sym_offsetof] = ACTIONS(2717),
    [anon_sym__Generic] = ACTIONS(2719),
    [anon_sym_asm] = ACTIONS(2721),
    [anon_sym___asm__] = ACTIONS(2721),
    [sym_number_literal] = ACTIONS(2723),
    [anon_sym_L_SQUOTE] = ACTIONS(2725),
    [anon_sym_u_SQUOTE] = ACTIONS(2725),
    [anon_sym_U_SQUOTE] = ACTIONS(2725),
    [anon_sym_u8_SQUOTE] = ACTIONS(2725),
    [anon_sym_SQUOTE] = ACTIONS(2725),
    [anon_sym_L_DQUOTE] = ACTIONS(2727),
    [anon_sym_u_DQUOTE] = ACTIONS(2727),
    [anon_sym_U_DQUOTE] = ACTIONS(2727),
    [anon_sym_u8_DQUOTE] = ACTIONS(2727),
    [anon_sym_DQUOTE] = ACTIONS(2727),
    [sym_true] = ACTIONS(2729),
    [sym_false] = ACTIONS(2729),
    [anon_sym_NULL] = ACTIONS(2731),
    [anon_sym_nullptr] = ACTIONS(2731),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2733),
    [anon_sym_R_DQUOTE] = ACTIONS(2735),
    [anon_sym_LR_DQUOTE] = ACTIONS(2735),
    [anon_sym_uR_DQUOTE] = ACTIONS(2735),
    [anon_sym_UR_DQUOTE] = ACTIONS(2735),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2735),
    [anon_sym_co_await] = ACTIONS(2737),
    [anon_sym_new] = ACTIONS(2739),
    [anon_sym_requires] = ACTIONS(2741),
    [sym_this] = ACTIONS(2729),
  },
  [1804] = {
    [sym__expression] = STATE(4899),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1805] = {
    [sym__expression] = STATE(5246),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1806] = {
    [sym__expression] = STATE(5262),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1807] = {
    [sym__expression] = STATE(4921),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1808] = {
    [sym__expression] = STATE(5054),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1809] = {
    [sym__expression] = STATE(5052),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1810] = {
    [sym__expression] = STATE(5259),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1811] = {
    [sym__expression] = STATE(3185),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1812] = {
    [sym__expression] = STATE(5251),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1813] = {
    [sym__expression] = STATE(5207),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1814] = {
    [sym__expression] = STATE(3184),
    [sym__expression_not_binary] = STATE(3401),
    [sym_conditional_expression] = STATE(3401),
    [sym_assignment_expression] = STATE(3401),
    [sym_pointer_expression] = STATE(3401),
    [sym_unary_expression] = STATE(3401),
    [sym_binary_expression] = STATE(3401),
    [sym_update_expression] = STATE(3401),
    [sym_cast_expression] = STATE(3401),
    [sym_sizeof_expression] = STATE(3401),
    [sym_alignof_expression] = STATE(3401),
    [sym_offsetof_expression] = STATE(3401),
    [sym_generic_expression] = STATE(3401),
    [sym_subscript_expression] = STATE(3401),
    [sym_call_expression] = STATE(3401),
    [sym_gnu_asm_expression] = STATE(3401),
    [sym_field_expression] = STATE(3401),
    [sym_compound_literal_expression] = STATE(3401),
    [sym_parenthesized_expression] = STATE(3401),
    [sym_char_literal] = STATE(3293),
    [sym_concatenated_string] = STATE(3293),
    [sym_string_literal] = STATE(2222),
    [sym_null] = STATE(3401),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8258),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3401),
    [sym_raw_string_literal] = STATE(2222),
    [sym_co_await_expression] = STATE(3401),
    [sym_new_expression] = STATE(3401),
    [sym_delete_expression] = STATE(3401),
    [sym_requires_clause] = STATE(3401),
    [sym_requires_expression] = STATE(3401),
    [sym_lambda_expression] = STATE(3401),
    [sym_lambda_capture_specifier] = STATE(6451),
    [sym_fold_expression] = STATE(3401),
    [sym_parameter_pack_expansion] = STATE(3401),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3401),
    [sym_qualified_type_identifier] = STATE(8258),
    [sym_user_defined_literal] = STATE(3401),
    [sym_identifier] = ACTIONS(4560),
    [anon_sym_LPAREN2] = ACTIONS(4655),
    [anon_sym_BANG] = ACTIONS(2214),
    [anon_sym_TILDE] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2212),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(2216),
    [anon_sym_LBRACK] = ACTIONS(4955),
    [sym_primitive_type] = ACTIONS(2220),
    [anon_sym_not] = ACTIONS(2212),
    [anon_sym_compl] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(4562),
    [anon_sym_PLUS_PLUS] = ACTIONS(4562),
    [anon_sym_sizeof] = ACTIONS(2222),
    [anon_sym___alignof__] = ACTIONS(2224),
    [anon_sym___alignof] = ACTIONS(2224),
    [anon_sym__alignof] = ACTIONS(2224),
    [anon_sym_alignof] = ACTIONS(2224),
    [anon_sym__Alignof] = ACTIONS(2224),
    [anon_sym_offsetof] = ACTIONS(2226),
    [anon_sym__Generic] = ACTIONS(2228),
    [anon_sym_asm] = ACTIONS(2230),
    [anon_sym___asm__] = ACTIONS(2230),
    [sym_number_literal] = ACTIONS(2232),
    [anon_sym_L_SQUOTE] = ACTIONS(2234),
    [anon_sym_u_SQUOTE] = ACTIONS(2234),
    [anon_sym_U_SQUOTE] = ACTIONS(2234),
    [anon_sym_u8_SQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE] = ACTIONS(2234),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [anon_sym_NULL] = ACTIONS(2240),
    [anon_sym_nullptr] = ACTIONS(2240),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2242),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [anon_sym_co_await] = ACTIONS(2246),
    [anon_sym_new] = ACTIONS(2248),
    [anon_sym_requires] = ACTIONS(2250),
    [sym_this] = ACTIONS(2238),
  },
  [1815] = {
    [sym__expression] = STATE(5249),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1816] = {
    [sym__expression] = STATE(4751),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1817] = {
    [sym__expression] = STATE(4872),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1818] = {
    [sym__expression] = STATE(5090),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1819] = {
    [sym__expression] = STATE(5216),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1820] = {
    [sym__expression] = STATE(4796),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1821] = {
    [sym__expression] = STATE(3467),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1822] = {
    [sym__expression] = STATE(5210),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1823] = {
    [sym__expression] = STATE(5208),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1824] = {
    [sym__expression] = STATE(4916),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(4808),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1825] = {
    [sym__expression] = STATE(2723),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4642),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2190),
    [anon_sym_compl] = ACTIONS(2190),
    [anon_sym_DASH_DASH] = ACTIONS(3466),
    [anon_sym_PLUS_PLUS] = ACTIONS(3466),
    [anon_sym_sizeof] = ACTIONS(2196),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2204),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1826] = {
    [sym__expression] = STATE(4277),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1827] = {
    [sym__expression] = STATE(4791),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1828] = {
    [sym__expression] = STATE(4220),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1829] = {
    [sym__expression] = STATE(5184),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1830] = {
    [sym__expression] = STATE(4843),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1831] = {
    [sym__expression] = STATE(4876),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(4957),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1832] = {
    [sym__expression] = STATE(5178),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1833] = {
    [sym__expression] = STATE(5175),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1834] = {
    [sym__expression] = STATE(3460),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1835] = {
    [sym__expression] = STATE(5261),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1836] = {
    [sym__expression] = STATE(4828),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1837] = {
    [sym__expression] = STATE(4790),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1838] = {
    [sym__expression] = STATE(3452),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1839] = {
    [sym__expression] = STATE(4881),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3818),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3818),
    [sym_call_expression] = STATE(3818),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3818),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3818),
    [sym_char_literal] = STATE(5023),
    [sym_concatenated_string] = STATE(5023),
    [sym_string_literal] = STATE(4023),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(4023),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3818),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3818),
    [sym_identifier] = ACTIONS(3862),
    [anon_sym_LPAREN2] = ACTIONS(4533),
    [anon_sym_BANG] = ACTIONS(3866),
    [anon_sym_TILDE] = ACTIONS(3866),
    [anon_sym_DASH] = ACTIONS(3864),
    [anon_sym_PLUS] = ACTIONS(3864),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(3868),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3864),
    [anon_sym_compl] = ACTIONS(3864),
    [anon_sym_DASH_DASH] = ACTIONS(4516),
    [anon_sym_PLUS_PLUS] = ACTIONS(4516),
    [anon_sym_sizeof] = ACTIONS(3870),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3872),
    [anon_sym_L_SQUOTE] = ACTIONS(3874),
    [anon_sym_u_SQUOTE] = ACTIONS(3874),
    [anon_sym_U_SQUOTE] = ACTIONS(3874),
    [anon_sym_u8_SQUOTE] = ACTIONS(3874),
    [anon_sym_SQUOTE] = ACTIONS(3874),
    [anon_sym_L_DQUOTE] = ACTIONS(3876),
    [anon_sym_u_DQUOTE] = ACTIONS(3876),
    [anon_sym_U_DQUOTE] = ACTIONS(3876),
    [anon_sym_u8_DQUOTE] = ACTIONS(3876),
    [anon_sym_DQUOTE] = ACTIONS(3876),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3878),
    [anon_sym_R_DQUOTE] = ACTIONS(3880),
    [anon_sym_LR_DQUOTE] = ACTIONS(3880),
    [anon_sym_uR_DQUOTE] = ACTIONS(3880),
    [anon_sym_UR_DQUOTE] = ACTIONS(3880),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3880),
    [anon_sym_co_await] = ACTIONS(3882),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1840] = {
    [sym__expression] = STATE(4277),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1841] = {
    [sym__expression] = STATE(5111),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1842] = {
    [sym__expression] = STATE(4205),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1843] = {
    [sym__expression] = STATE(4602),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(4959),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1844] = {
    [sym__expression] = STATE(4220),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1845] = {
    [sym__expression] = STATE(5022),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(4961),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1846] = {
    [sym__expression] = STATE(4220),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4020),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4020),
    [sym_call_expression] = STATE(4020),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4020),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4020),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4020),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4020),
    [sym_identifier] = ACTIONS(3890),
    [anon_sym_LPAREN2] = ACTIONS(3922),
    [anon_sym_BANG] = ACTIONS(3894),
    [anon_sym_TILDE] = ACTIONS(3894),
    [anon_sym_DASH] = ACTIONS(3892),
    [anon_sym_PLUS] = ACTIONS(3892),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(3896),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3892),
    [anon_sym_compl] = ACTIONS(3892),
    [anon_sym_DASH_DASH] = ACTIONS(3926),
    [anon_sym_PLUS_PLUS] = ACTIONS(3926),
    [anon_sym_sizeof] = ACTIONS(3898),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3900),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3902),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1847] = {
    [sym__expression] = STATE(4631),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(4963),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1848] = {
    [sym__expression] = STATE(5005),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1849] = {
    [sym__expression] = STATE(4628),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1850] = {
    [sym__expression] = STATE(4599),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1851] = {
    [sym__expression] = STATE(3869),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1852] = {
    [sym__expression] = STATE(3853),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1853] = {
    [sym__expression] = STATE(5009),
    [sym__expression_not_binary] = STATE(5332),
    [sym_conditional_expression] = STATE(5332),
    [sym_assignment_expression] = STATE(5332),
    [sym_pointer_expression] = STATE(3994),
    [sym_unary_expression] = STATE(5332),
    [sym_binary_expression] = STATE(5332),
    [sym_update_expression] = STATE(5332),
    [sym_cast_expression] = STATE(5332),
    [sym_sizeof_expression] = STATE(5332),
    [sym_alignof_expression] = STATE(5332),
    [sym_offsetof_expression] = STATE(5332),
    [sym_generic_expression] = STATE(5332),
    [sym_subscript_expression] = STATE(3994),
    [sym_call_expression] = STATE(3994),
    [sym_gnu_asm_expression] = STATE(5332),
    [sym_field_expression] = STATE(3994),
    [sym_compound_literal_expression] = STATE(5332),
    [sym_parenthesized_expression] = STATE(3994),
    [sym_char_literal] = STATE(5181),
    [sym_concatenated_string] = STATE(5181),
    [sym_string_literal] = STATE(4173),
    [sym_null] = STATE(5332),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8330),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(5332),
    [sym_raw_string_literal] = STATE(4173),
    [sym_co_await_expression] = STATE(5332),
    [sym_new_expression] = STATE(5332),
    [sym_delete_expression] = STATE(5332),
    [sym_requires_clause] = STATE(5332),
    [sym_requires_expression] = STATE(5332),
    [sym_lambda_expression] = STATE(5332),
    [sym_lambda_capture_specifier] = STATE(6444),
    [sym_fold_expression] = STATE(5332),
    [sym_parameter_pack_expansion] = STATE(5332),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6197),
    [sym_qualified_identifier] = STATE(3994),
    [sym_qualified_type_identifier] = STATE(8330),
    [sym_user_defined_literal] = STATE(3994),
    [sym_identifier] = ACTIONS(3884),
    [anon_sym_LPAREN2] = ACTIONS(3328),
    [anon_sym_BANG] = ACTIONS(3330),
    [anon_sym_TILDE] = ACTIONS(3330),
    [anon_sym_DASH] = ACTIONS(3332),
    [anon_sym_PLUS] = ACTIONS(3332),
    [anon_sym_STAR] = ACTIONS(3334),
    [anon_sym_AMP] = ACTIONS(3334),
    [anon_sym_COLON_COLON] = ACTIONS(3336),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3888),
    [anon_sym_not] = ACTIONS(3332),
    [anon_sym_compl] = ACTIONS(3332),
    [anon_sym_DASH_DASH] = ACTIONS(3350),
    [anon_sym_PLUS_PLUS] = ACTIONS(3350),
    [anon_sym_sizeof] = ACTIONS(3352),
    [anon_sym___alignof__] = ACTIONS(3354),
    [anon_sym___alignof] = ACTIONS(3354),
    [anon_sym__alignof] = ACTIONS(3354),
    [anon_sym_alignof] = ACTIONS(3354),
    [anon_sym__Alignof] = ACTIONS(3354),
    [anon_sym_offsetof] = ACTIONS(3356),
    [anon_sym__Generic] = ACTIONS(3358),
    [anon_sym_asm] = ACTIONS(3360),
    [anon_sym___asm__] = ACTIONS(3360),
    [sym_number_literal] = ACTIONS(3362),
    [anon_sym_L_SQUOTE] = ACTIONS(3364),
    [anon_sym_u_SQUOTE] = ACTIONS(3364),
    [anon_sym_U_SQUOTE] = ACTIONS(3364),
    [anon_sym_u8_SQUOTE] = ACTIONS(3364),
    [anon_sym_SQUOTE] = ACTIONS(3364),
    [anon_sym_L_DQUOTE] = ACTIONS(3366),
    [anon_sym_u_DQUOTE] = ACTIONS(3366),
    [anon_sym_U_DQUOTE] = ACTIONS(3366),
    [anon_sym_u8_DQUOTE] = ACTIONS(3366),
    [anon_sym_DQUOTE] = ACTIONS(3366),
    [sym_true] = ACTIONS(3368),
    [sym_false] = ACTIONS(3368),
    [anon_sym_NULL] = ACTIONS(3370),
    [anon_sym_nullptr] = ACTIONS(3370),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3380),
    [anon_sym_R_DQUOTE] = ACTIONS(3382),
    [anon_sym_LR_DQUOTE] = ACTIONS(3382),
    [anon_sym_uR_DQUOTE] = ACTIONS(3382),
    [anon_sym_UR_DQUOTE] = ACTIONS(3382),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3382),
    [anon_sym_co_await] = ACTIONS(3384),
    [anon_sym_new] = ACTIONS(3386),
    [anon_sym_requires] = ACTIONS(3388),
    [sym_this] = ACTIONS(3368),
  },
  [1854] = {
    [sym__expression] = STATE(5159),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1855] = {
    [sym__expression] = STATE(4603),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3256),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3256),
    [sym_call_expression] = STATE(3256),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3256),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3256),
    [sym_char_literal] = STATE(4662),
    [sym_concatenated_string] = STATE(4662),
    [sym_string_literal] = STATE(3380),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3380),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3256),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3256),
    [sym_identifier] = ACTIONS(4568),
    [anon_sym_LPAREN2] = ACTIONS(4657),
    [anon_sym_BANG] = ACTIONS(3610),
    [anon_sym_TILDE] = ACTIONS(3610),
    [anon_sym_DASH] = ACTIONS(3608),
    [anon_sym_PLUS] = ACTIONS(3608),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(3612),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3608),
    [anon_sym_compl] = ACTIONS(3608),
    [anon_sym_DASH_DASH] = ACTIONS(4570),
    [anon_sym_PLUS_PLUS] = ACTIONS(4570),
    [anon_sym_sizeof] = ACTIONS(3616),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(3618),
    [anon_sym_L_SQUOTE] = ACTIONS(3620),
    [anon_sym_u_SQUOTE] = ACTIONS(3620),
    [anon_sym_U_SQUOTE] = ACTIONS(3620),
    [anon_sym_u8_SQUOTE] = ACTIONS(3620),
    [anon_sym_SQUOTE] = ACTIONS(3620),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3624),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
    [anon_sym_co_await] = ACTIONS(3628),
    [anon_sym_new] = ACTIONS(3630),
    [anon_sym_requires] = ACTIONS(3632),
    [sym_this] = ACTIONS(217),
  },
  [1856] = {
    [sym__expression] = STATE(3536),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(4965),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1857] = {
    [sym__expression] = STATE(5028),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1858] = {
    [sym__expression] = STATE(5051),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1859] = {
    [sym__expression] = STATE(4959),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1860] = {
    [sym__expression] = STATE(5021),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1861] = {
    [sym__expression] = STATE(5020),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1862] = {
    [sym__expression] = STATE(5039),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1863] = {
    [sym__expression] = STATE(5068),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1864] = {
    [sym__expression] = STATE(3737),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1865] = {
    [sym__expression] = STATE(3810),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1866] = {
    [sym__expression] = STATE(3809),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1867] = {
    [sym__expression] = STATE(3808),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1868] = {
    [sym__expression] = STATE(3807),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1869] = {
    [sym__expression] = STATE(2704),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1870] = {
    [sym__expression] = STATE(3545),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(4967),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1871] = {
    [sym__expression] = STATE(3552),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1872] = {
    [sym__expression] = STATE(3806),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1873] = {
    [sym__expression] = STATE(3803),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1874] = {
    [sym__expression] = STATE(3802),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1875] = {
    [sym__expression] = STATE(3801),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1876] = {
    [sym__expression] = STATE(3799),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1877] = {
    [sym__expression] = STATE(4220),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1878] = {
    [sym__expression] = STATE(3796),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1879] = {
    [sym__expression] = STATE(5129),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1880] = {
    [sym__expression] = STATE(3429),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1881] = {
    [sym__expression] = STATE(3850),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(4969),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1882] = {
    [sym__expression] = STATE(3844),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1883] = {
    [sym__expression] = STATE(3824),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(4971),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1884] = {
    [sym__expression] = STATE(3794),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1885] = {
    [sym__expression] = STATE(3521),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3715),
    [sym_concatenated_string] = STATE(3715),
    [sym_string_literal] = STATE(2436),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2436),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2252),
    [anon_sym_LPAREN2] = ACTIONS(4646),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_STAR] = ACTIONS(4535),
    [anon_sym_AMP] = ACTIONS(4535),
    [anon_sym_COLON_COLON] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2254),
    [anon_sym_compl] = ACTIONS(2254),
    [anon_sym_DASH_DASH] = ACTIONS(4594),
    [anon_sym_PLUS_PLUS] = ACTIONS(4594),
    [anon_sym_sizeof] = ACTIONS(2260),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2262),
    [anon_sym_L_SQUOTE] = ACTIONS(2264),
    [anon_sym_u_SQUOTE] = ACTIONS(2264),
    [anon_sym_U_SQUOTE] = ACTIONS(2264),
    [anon_sym_u8_SQUOTE] = ACTIONS(2264),
    [anon_sym_SQUOTE] = ACTIONS(2264),
    [anon_sym_L_DQUOTE] = ACTIONS(2266),
    [anon_sym_u_DQUOTE] = ACTIONS(2266),
    [anon_sym_U_DQUOTE] = ACTIONS(2266),
    [anon_sym_u8_DQUOTE] = ACTIONS(2266),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2268),
    [anon_sym_R_DQUOTE] = ACTIONS(2270),
    [anon_sym_LR_DQUOTE] = ACTIONS(2270),
    [anon_sym_uR_DQUOTE] = ACTIONS(2270),
    [anon_sym_UR_DQUOTE] = ACTIONS(2270),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2270),
    [anon_sym_co_await] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1886] = {
    [sym__expression] = STATE(4729),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(4973),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1887] = {
    [sym__expression] = STATE(4754),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(4975),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1888] = {
    [sym__expression] = STATE(4730),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1889] = {
    [sym__expression] = STATE(4731),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(4977),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1890] = {
    [sym__expression] = STATE(3482),
    [sym__expression_not_binary] = STATE(3756),
    [sym_conditional_expression] = STATE(3756),
    [sym_assignment_expression] = STATE(3756),
    [sym_pointer_expression] = STATE(3756),
    [sym_unary_expression] = STATE(3756),
    [sym_binary_expression] = STATE(3756),
    [sym_update_expression] = STATE(3756),
    [sym_cast_expression] = STATE(3756),
    [sym_sizeof_expression] = STATE(3756),
    [sym_alignof_expression] = STATE(3756),
    [sym_offsetof_expression] = STATE(3756),
    [sym_generic_expression] = STATE(3756),
    [sym_subscript_expression] = STATE(3756),
    [sym_call_expression] = STATE(3756),
    [sym_gnu_asm_expression] = STATE(3756),
    [sym_field_expression] = STATE(3756),
    [sym_compound_literal_expression] = STATE(3756),
    [sym_parenthesized_expression] = STATE(3756),
    [sym_char_literal] = STATE(3615),
    [sym_concatenated_string] = STATE(3615),
    [sym_string_literal] = STATE(2494),
    [sym_null] = STATE(3756),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8364),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(3756),
    [sym_raw_string_literal] = STATE(2494),
    [sym_co_await_expression] = STATE(3756),
    [sym_new_expression] = STATE(3756),
    [sym_delete_expression] = STATE(3756),
    [sym_requires_clause] = STATE(3756),
    [sym_requires_expression] = STATE(3756),
    [sym_lambda_expression] = STATE(3756),
    [sym_lambda_capture_specifier] = STATE(6422),
    [sym_fold_expression] = STATE(3756),
    [sym_parameter_pack_expansion] = STATE(3756),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6157),
    [sym_qualified_identifier] = STATE(3756),
    [sym_qualified_type_identifier] = STATE(8364),
    [sym_user_defined_literal] = STATE(3756),
    [sym_identifier] = ACTIONS(2278),
    [anon_sym_LPAREN2] = ACTIONS(2844),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_DASH] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2072),
    [anon_sym_STAR] = ACTIONS(2026),
    [anon_sym_AMP] = ACTIONS(2026),
    [anon_sym_COLON_COLON] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2282),
    [anon_sym_not] = ACTIONS(2072),
    [anon_sym_compl] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2094),
    [anon_sym_PLUS_PLUS] = ACTIONS(2094),
    [anon_sym_sizeof] = ACTIONS(2096),
    [anon_sym___alignof__] = ACTIONS(2098),
    [anon_sym___alignof] = ACTIONS(2098),
    [anon_sym__alignof] = ACTIONS(2098),
    [anon_sym_alignof] = ACTIONS(2098),
    [anon_sym__Alignof] = ACTIONS(2098),
    [anon_sym_offsetof] = ACTIONS(2100),
    [anon_sym__Generic] = ACTIONS(2102),
    [anon_sym_asm] = ACTIONS(2104),
    [anon_sym___asm__] = ACTIONS(2104),
    [sym_number_literal] = ACTIONS(2106),
    [anon_sym_L_SQUOTE] = ACTIONS(2108),
    [anon_sym_u_SQUOTE] = ACTIONS(2108),
    [anon_sym_U_SQUOTE] = ACTIONS(2108),
    [anon_sym_u8_SQUOTE] = ACTIONS(2108),
    [anon_sym_SQUOTE] = ACTIONS(2108),
    [anon_sym_L_DQUOTE] = ACTIONS(2110),
    [anon_sym_u_DQUOTE] = ACTIONS(2110),
    [anon_sym_U_DQUOTE] = ACTIONS(2110),
    [anon_sym_u8_DQUOTE] = ACTIONS(2110),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [sym_true] = ACTIONS(2112),
    [sym_false] = ACTIONS(2112),
    [anon_sym_NULL] = ACTIONS(2114),
    [anon_sym_nullptr] = ACTIONS(2114),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2124),
    [anon_sym_R_DQUOTE] = ACTIONS(2126),
    [anon_sym_LR_DQUOTE] = ACTIONS(2126),
    [anon_sym_uR_DQUOTE] = ACTIONS(2126),
    [anon_sym_UR_DQUOTE] = ACTIONS(2126),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2126),
    [anon_sym_co_await] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_requires] = ACTIONS(2132),
    [sym_this] = ACTIONS(2112),
  },
  [1891] = {
    [sym__expression] = STATE(5267),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1892] = {
    [sym__expression] = STATE(5268),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1893] = {
    [sym__expression] = STATE(4692),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1894] = {
    [sym__expression] = STATE(3833),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1895] = {
    [sym__expression] = STATE(5025),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1896] = {
    [sym__expression] = STATE(3784),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3192),
    [sym_concatenated_string] = STATE(3192),
    [sym_string_literal] = STATE(2084),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2084),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4630),
    [anon_sym_BANG] = ACTIONS(2811),
    [anon_sym_TILDE] = ACTIONS(2811),
    [anon_sym_DASH] = ACTIONS(2809),
    [anon_sym_PLUS] = ACTIONS(2809),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(2813),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2809),
    [anon_sym_compl] = ACTIONS(2809),
    [anon_sym_DASH_DASH] = ACTIONS(4620),
    [anon_sym_PLUS_PLUS] = ACTIONS(4620),
    [anon_sym_sizeof] = ACTIONS(2815),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2198),
    [anon_sym_L_SQUOTE] = ACTIONS(2200),
    [anon_sym_u_SQUOTE] = ACTIONS(2200),
    [anon_sym_U_SQUOTE] = ACTIONS(2200),
    [anon_sym_u8_SQUOTE] = ACTIONS(2200),
    [anon_sym_SQUOTE] = ACTIONS(2200),
    [anon_sym_L_DQUOTE] = ACTIONS(2202),
    [anon_sym_u_DQUOTE] = ACTIONS(2202),
    [anon_sym_U_DQUOTE] = ACTIONS(2202),
    [anon_sym_u8_DQUOTE] = ACTIONS(2202),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2817),
    [anon_sym_R_DQUOTE] = ACTIONS(2206),
    [anon_sym_LR_DQUOTE] = ACTIONS(2206),
    [anon_sym_uR_DQUOTE] = ACTIONS(2206),
    [anon_sym_UR_DQUOTE] = ACTIONS(2206),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2206),
    [anon_sym_co_await] = ACTIONS(2819),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1897] = {
    [sym__expression] = STATE(4705),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1898] = {
    [sym__expression] = STATE(4706),
    [sym__expression_not_binary] = STATE(4931),
    [sym_conditional_expression] = STATE(4931),
    [sym_assignment_expression] = STATE(4931),
    [sym_pointer_expression] = STATE(3576),
    [sym_unary_expression] = STATE(4931),
    [sym_binary_expression] = STATE(4931),
    [sym_update_expression] = STATE(4931),
    [sym_cast_expression] = STATE(4931),
    [sym_sizeof_expression] = STATE(4931),
    [sym_alignof_expression] = STATE(4931),
    [sym_offsetof_expression] = STATE(4931),
    [sym_generic_expression] = STATE(4931),
    [sym_subscript_expression] = STATE(3576),
    [sym_call_expression] = STATE(3576),
    [sym_gnu_asm_expression] = STATE(4931),
    [sym_field_expression] = STATE(3576),
    [sym_compound_literal_expression] = STATE(4931),
    [sym_parenthesized_expression] = STATE(3576),
    [sym_char_literal] = STATE(4766),
    [sym_concatenated_string] = STATE(4766),
    [sym_string_literal] = STATE(3604),
    [sym_null] = STATE(4931),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8185),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4931),
    [sym_raw_string_literal] = STATE(3604),
    [sym_co_await_expression] = STATE(4931),
    [sym_new_expression] = STATE(4931),
    [sym_delete_expression] = STATE(4931),
    [sym_requires_clause] = STATE(4931),
    [sym_requires_expression] = STATE(4931),
    [sym_lambda_expression] = STATE(4931),
    [sym_lambda_capture_specifier] = STATE(6408),
    [sym_fold_expression] = STATE(4931),
    [sym_parameter_pack_expansion] = STATE(4931),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6224),
    [sym_qualified_identifier] = STATE(3576),
    [sym_qualified_type_identifier] = STATE(8185),
    [sym_user_defined_literal] = STATE(3576),
    [sym_identifier] = ACTIONS(4614),
    [anon_sym_LPAREN2] = ACTIONS(4624),
    [anon_sym_BANG] = ACTIONS(3734),
    [anon_sym_TILDE] = ACTIONS(3734),
    [anon_sym_DASH] = ACTIONS(3732),
    [anon_sym_PLUS] = ACTIONS(3732),
    [anon_sym_STAR] = ACTIONS(4626),
    [anon_sym_AMP] = ACTIONS(4626),
    [anon_sym_COLON_COLON] = ACTIONS(3736),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(3740),
    [anon_sym_not] = ACTIONS(3732),
    [anon_sym_compl] = ACTIONS(3732),
    [anon_sym_DASH_DASH] = ACTIONS(4616),
    [anon_sym_PLUS_PLUS] = ACTIONS(4616),
    [anon_sym_sizeof] = ACTIONS(3742),
    [anon_sym___alignof__] = ACTIONS(3744),
    [anon_sym___alignof] = ACTIONS(3744),
    [anon_sym__alignof] = ACTIONS(3744),
    [anon_sym_alignof] = ACTIONS(3744),
    [anon_sym__Alignof] = ACTIONS(3744),
    [anon_sym_offsetof] = ACTIONS(3746),
    [anon_sym__Generic] = ACTIONS(3748),
    [anon_sym_asm] = ACTIONS(3750),
    [anon_sym___asm__] = ACTIONS(3750),
    [sym_number_literal] = ACTIONS(3752),
    [anon_sym_L_SQUOTE] = ACTIONS(3754),
    [anon_sym_u_SQUOTE] = ACTIONS(3754),
    [anon_sym_U_SQUOTE] = ACTIONS(3754),
    [anon_sym_u8_SQUOTE] = ACTIONS(3754),
    [anon_sym_SQUOTE] = ACTIONS(3754),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_true] = ACTIONS(3758),
    [sym_false] = ACTIONS(3758),
    [anon_sym_NULL] = ACTIONS(3760),
    [anon_sym_nullptr] = ACTIONS(3760),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3762),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
    [anon_sym_co_await] = ACTIONS(3766),
    [anon_sym_new] = ACTIONS(3768),
    [anon_sym_requires] = ACTIONS(3770),
    [sym_this] = ACTIONS(3758),
  },
  [1899] = {
    [sym__expression] = STATE(3006),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(4979),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1900] = {
    [sym__expression] = STATE(2704),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1901] = {
    [sym__expression] = STATE(5241),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(4981),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1902] = {
    [sym__expression] = STATE(3008),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(4983),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1903] = {
    [sym__expression] = STATE(3023),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1904] = {
    [sym__expression] = STATE(5248),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1905] = {
    [sym__expression] = STATE(5227),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1906] = {
    [sym__expression] = STATE(5253),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1907] = {
    [sym__expression] = STATE(2985),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1908] = {
    [sym__expression] = STATE(4205),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(3586),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(3586),
    [sym_call_expression] = STATE(3586),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(3586),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(3586),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(3586),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(3586),
    [sym_identifier] = ACTIONS(3314),
    [anon_sym_LPAREN2] = ACTIONS(1416),
    [anon_sym_BANG] = ACTIONS(21),
    [anon_sym_TILDE] = ACTIONS(21),
    [anon_sym_DASH] = ACTIONS(25),
    [anon_sym_PLUS] = ACTIONS(25),
    [anon_sym_STAR] = ACTIONS(1418),
    [anon_sym_AMP] = ACTIONS(1418),
    [anon_sym_COLON_COLON] = ACTIONS(41),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(25),
    [anon_sym_compl] = ACTIONS(25),
    [anon_sym_DASH_DASH] = ACTIONS(95),
    [anon_sym_PLUS_PLUS] = ACTIONS(95),
    [anon_sym_sizeof] = ACTIONS(97),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(135),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(153),
    [anon_sym_new] = ACTIONS(155),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1909] = {
    [sym__expression] = STATE(5257),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1910] = {
    [sym__expression] = STATE(5271),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1911] = {
    [sym__expression] = STATE(5278),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1912] = {
    [sym__expression] = STATE(3000),
    [sym__expression_not_binary] = STATE(2764),
    [sym_conditional_expression] = STATE(2764),
    [sym_assignment_expression] = STATE(2764),
    [sym_pointer_expression] = STATE(2764),
    [sym_unary_expression] = STATE(2764),
    [sym_binary_expression] = STATE(2764),
    [sym_update_expression] = STATE(2764),
    [sym_cast_expression] = STATE(2764),
    [sym_sizeof_expression] = STATE(2764),
    [sym_alignof_expression] = STATE(2764),
    [sym_offsetof_expression] = STATE(2764),
    [sym_generic_expression] = STATE(2764),
    [sym_subscript_expression] = STATE(2764),
    [sym_call_expression] = STATE(2764),
    [sym_gnu_asm_expression] = STATE(2764),
    [sym_field_expression] = STATE(2764),
    [sym_compound_literal_expression] = STATE(2764),
    [sym_parenthesized_expression] = STATE(2764),
    [sym_char_literal] = STATE(3065),
    [sym_concatenated_string] = STATE(3065),
    [sym_string_literal] = STATE(2069),
    [sym_null] = STATE(2764),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8199),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(2764),
    [sym_raw_string_literal] = STATE(2069),
    [sym_co_await_expression] = STATE(2764),
    [sym_new_expression] = STATE(2764),
    [sym_delete_expression] = STATE(2764),
    [sym_requires_clause] = STATE(2764),
    [sym_requires_expression] = STATE(2764),
    [sym_lambda_expression] = STATE(2764),
    [sym_lambda_capture_specifier] = STATE(6416),
    [sym_fold_expression] = STATE(2764),
    [sym_parameter_pack_expansion] = STATE(2764),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(2764),
    [sym_qualified_type_identifier] = STATE(8199),
    [sym_user_defined_literal] = STATE(2764),
    [sym_identifier] = ACTIONS(2188),
    [anon_sym_LPAREN2] = ACTIONS(4638),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_STAR] = ACTIONS(4640),
    [anon_sym_AMP] = ACTIONS(4640),
    [anon_sym_COLON_COLON] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2150),
    [anon_sym_not] = ACTIONS(2142),
    [anon_sym_compl] = ACTIONS(2142),
    [anon_sym_DASH_DASH] = ACTIONS(4471),
    [anon_sym_PLUS_PLUS] = ACTIONS(4471),
    [anon_sym_sizeof] = ACTIONS(2152),
    [anon_sym___alignof__] = ACTIONS(2154),
    [anon_sym___alignof] = ACTIONS(2154),
    [anon_sym__alignof] = ACTIONS(2154),
    [anon_sym_alignof] = ACTIONS(2154),
    [anon_sym__Alignof] = ACTIONS(2154),
    [anon_sym_offsetof] = ACTIONS(2156),
    [anon_sym__Generic] = ACTIONS(2158),
    [anon_sym_asm] = ACTIONS(2160),
    [anon_sym___asm__] = ACTIONS(2160),
    [sym_number_literal] = ACTIONS(2162),
    [anon_sym_L_SQUOTE] = ACTIONS(2164),
    [anon_sym_u_SQUOTE] = ACTIONS(2164),
    [anon_sym_U_SQUOTE] = ACTIONS(2164),
    [anon_sym_u8_SQUOTE] = ACTIONS(2164),
    [anon_sym_SQUOTE] = ACTIONS(2164),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_true] = ACTIONS(2168),
    [sym_false] = ACTIONS(2168),
    [anon_sym_NULL] = ACTIONS(2170),
    [anon_sym_nullptr] = ACTIONS(2170),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(2174),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [anon_sym_co_await] = ACTIONS(2178),
    [anon_sym_new] = ACTIONS(2180),
    [anon_sym_requires] = ACTIONS(2182),
    [sym_this] = ACTIONS(2168),
  },
  [1913] = {
    [sym__expression] = STATE(5280),
    [sym__expression_not_binary] = STATE(4323),
    [sym_conditional_expression] = STATE(4323),
    [sym_assignment_expression] = STATE(4323),
    [sym_pointer_expression] = STATE(4135),
    [sym_unary_expression] = STATE(4323),
    [sym_binary_expression] = STATE(4323),
    [sym_update_expression] = STATE(4323),
    [sym_cast_expression] = STATE(4323),
    [sym_sizeof_expression] = STATE(4323),
    [sym_alignof_expression] = STATE(4323),
    [sym_offsetof_expression] = STATE(4323),
    [sym_generic_expression] = STATE(4323),
    [sym_subscript_expression] = STATE(4135),
    [sym_call_expression] = STATE(4135),
    [sym_gnu_asm_expression] = STATE(4323),
    [sym_field_expression] = STATE(4135),
    [sym_compound_literal_expression] = STATE(4323),
    [sym_parenthesized_expression] = STATE(4135),
    [sym_char_literal] = STATE(4693),
    [sym_concatenated_string] = STATE(4693),
    [sym_string_literal] = STATE(3487),
    [sym_null] = STATE(4323),
    [sym_decltype] = STATE(9051),
    [sym__class_name] = STATE(8152),
    [sym_template_type] = STATE(3130),
    [sym_template_function] = STATE(4323),
    [sym_raw_string_literal] = STATE(3487),
    [sym_co_await_expression] = STATE(4323),
    [sym_new_expression] = STATE(4323),
    [sym_delete_expression] = STATE(4323),
    [sym_requires_clause] = STATE(4323),
    [sym_requires_expression] = STATE(4323),
    [sym_lambda_expression] = STATE(4323),
    [sym_lambda_capture_specifier] = STATE(6438),
    [sym_fold_expression] = STATE(4323),
    [sym_parameter_pack_expansion] = STATE(4323),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6181),
    [sym_qualified_identifier] = STATE(4135),
    [sym_qualified_type_identifier] = STATE(8152),
    [sym_user_defined_literal] = STATE(4135),
    [sym_identifier] = ACTIONS(3906),
    [anon_sym_LPAREN2] = ACTIONS(4634),
    [anon_sym_BANG] = ACTIONS(3910),
    [anon_sym_TILDE] = ACTIONS(3910),
    [anon_sym_DASH] = ACTIONS(3908),
    [anon_sym_PLUS] = ACTIONS(3908),
    [anon_sym_STAR] = ACTIONS(4632),
    [anon_sym_AMP] = ACTIONS(4632),
    [anon_sym_COLON_COLON] = ACTIONS(3912),
    [anon_sym_LBRACK] = ACTIONS(2846),
    [sym_primitive_type] = ACTIONS(2276),
    [anon_sym_not] = ACTIONS(3908),
    [anon_sym_compl] = ACTIONS(3908),
    [anon_sym_DASH_DASH] = ACTIONS(4572),
    [anon_sym_PLUS_PLUS] = ACTIONS(4572),
    [anon_sym_sizeof] = ACTIONS(3914),
    [anon_sym___alignof__] = ACTIONS(99),
    [anon_sym___alignof] = ACTIONS(99),
    [anon_sym__alignof] = ACTIONS(99),
    [anon_sym_alignof] = ACTIONS(99),
    [anon_sym__Alignof] = ACTIONS(99),
    [anon_sym_offsetof] = ACTIONS(101),
    [anon_sym__Generic] = ACTIONS(103),
    [anon_sym_asm] = ACTIONS(105),
    [anon_sym___asm__] = ACTIONS(105),
    [sym_number_literal] = ACTIONS(107),
    [anon_sym_L_SQUOTE] = ACTIONS(109),
    [anon_sym_u_SQUOTE] = ACTIONS(109),
    [anon_sym_U_SQUOTE] = ACTIONS(109),
    [anon_sym_u8_SQUOTE] = ACTIONS(109),
    [anon_sym_SQUOTE] = ACTIONS(109),
    [anon_sym_L_DQUOTE] = ACTIONS(111),
    [anon_sym_u_DQUOTE] = ACTIONS(111),
    [anon_sym_U_DQUOTE] = ACTIONS(111),
    [anon_sym_u8_DQUOTE] = ACTIONS(111),
    [anon_sym_DQUOTE] = ACTIONS(111),
    [sym_true] = ACTIONS(217),
    [sym_false] = ACTIONS(217),
    [anon_sym_NULL] = ACTIONS(115),
    [anon_sym_nullptr] = ACTIONS(115),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_delete] = ACTIONS(3916),
    [anon_sym_R_DQUOTE] = ACTIONS(151),
    [anon_sym_LR_DQUOTE] = ACTIONS(151),
    [anon_sym_uR_DQUOTE] = ACTIONS(151),
    [anon_sym_UR_DQUOTE] = ACTIONS(151),
    [anon_sym_u8R_DQUOTE] = ACTIONS(151),
    [anon_sym_co_await] = ACTIONS(3918),
    [anon_sym_new] = ACTIONS(3904),
    [anon_sym_requires] = ACTIONS(157),
    [sym_this] = ACTIONS(217),
  },
  [1914] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5777),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7117),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1061),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4873),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6220),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1915] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5791),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7095),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1060),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4873),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6220),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1916] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5794),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7103),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1055),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4873),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6220),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1917] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5773),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7131),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1058),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4873),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6220),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1918] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5711),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7092),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6828),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_parameter_list] = STATE(1057),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(4873),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6220),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_type_identifier] = STATE(4442),
    [sym_operator_name] = STATE(6828),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(4985),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym_LT] = ACTIONS(4987),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(4989),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(2122),
  },
  [1919] = {
    [sym_identifier] = ACTIONS(3318),
    [anon_sym_LPAREN2] = ACTIONS(3320),
    [anon_sym_BANG] = ACTIONS(3320),
    [anon_sym_TILDE] = ACTIONS(3320),
    [anon_sym_DASH] = ACTIONS(3318),
    [anon_sym_PLUS] = ACTIONS(3318),
    [anon_sym_STAR] = ACTIONS(3320),
    [anon_sym_AMP] = ACTIONS(3320),
    [anon_sym___extension__] = ACTIONS(3318),
    [anon_sym_extern] = ACTIONS(3318),
    [anon_sym___attribute__] = ACTIONS(3318),
    [anon_sym_COLON_COLON] = ACTIONS(3320),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3320),
    [anon_sym___declspec] = ACTIONS(3318),
    [anon_sym_signed] = ACTIONS(3318),
    [anon_sym_unsigned] = ACTIONS(3318),
    [anon_sym_long] = ACTIONS(3318),
    [anon_sym_short] = ACTIONS(3318),
    [anon_sym_LBRACK] = ACTIONS(3318),
    [anon_sym_static] = ACTIONS(3318),
    [anon_sym_register] = ACTIONS(3318),
    [anon_sym_inline] = ACTIONS(3318),
    [anon_sym___inline] = ACTIONS(3318),
    [anon_sym___inline__] = ACTIONS(3318),
    [anon_sym___forceinline] = ACTIONS(3318),
    [anon_sym_thread_local] = ACTIONS(3318),
    [anon_sym___thread] = ACTIONS(3318),
    [anon_sym_const] = ACTIONS(3318),
    [anon_sym_constexpr] = ACTIONS(3318),
    [anon_sym_volatile] = ACTIONS(3318),
    [anon_sym_restrict] = ACTIONS(3318),
    [anon_sym___restrict__] = ACTIONS(3318),
    [anon_sym__Atomic] = ACTIONS(3318),
    [anon_sym__Noreturn] = ACTIONS(3318),
    [anon_sym_noreturn] = ACTIONS(3318),
    [anon_sym_mutable] = ACTIONS(3318),
    [anon_sym_constinit] = ACTIONS(3318),
    [anon_sym_consteval] = ACTIONS(3318),
    [sym_primitive_type] = ACTIONS(3318),
    [anon_sym_enum] = ACTIONS(3318),
    [anon_sym_class] = ACTIONS(3318),
    [anon_sym_struct] = ACTIONS(3318),
    [anon_sym_union] = ACTIONS(3318),
    [anon_sym_not] = ACTIONS(3318),
    [anon_sym_compl] = ACTIONS(3318),
    [anon_sym_DASH_DASH] = ACTIONS(3320),
    [anon_sym_PLUS_PLUS] = ACTIONS(3320),
    [anon_sym_sizeof] = ACTIONS(3318),
    [anon_sym___alignof__] = ACTIONS(3318),
    [anon_sym___alignof] = ACTIONS(3318),
    [anon_sym__alignof] = ACTIONS(3318),
    [anon_sym_alignof] = ACTIONS(3318),
    [anon_sym__Alignof] = ACTIONS(3318),
    [anon_sym_offsetof] = ACTIONS(3318),
    [anon_sym__Generic] = ACTIONS(3318),
    [anon_sym_asm] = ACTIONS(3318),
    [anon_sym___asm__] = ACTIONS(3318),
    [sym_number_literal] = ACTIONS(3320),
    [anon_sym_L_SQUOTE] = ACTIONS(3320),
    [anon_sym_u_SQUOTE] = ACTIONS(3320),
    [anon_sym_U_SQUOTE] = ACTIONS(3320),
    [anon_sym_u8_SQUOTE] = ACTIONS(3320),
    [anon_sym_SQUOTE] = ACTIONS(3320),
    [anon_sym_L_DQUOTE] = ACTIONS(3320),
    [anon_sym_u_DQUOTE] = ACTIONS(3320),
    [anon_sym_U_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8_DQUOTE] = ACTIONS(3320),
    [anon_sym_DQUOTE] = ACTIONS(3320),
    [sym_true] = ACTIONS(3318),
    [sym_false] = ACTIONS(3318),
    [anon_sym_NULL] = ACTIONS(3318),
    [anon_sym_nullptr] = ACTIONS(3318),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3318),
    [anon_sym_decltype] = ACTIONS(3318),
    [anon_sym_virtual] = ACTIONS(3318),
    [anon_sym_alignas] = ACTIONS(3318),
    [anon_sym_typename] = ACTIONS(3318),
    [anon_sym_template] = ACTIONS(3318),
    [anon_sym_delete] = ACTIONS(3318),
    [anon_sym_R_DQUOTE] = ACTIONS(3320),
    [anon_sym_LR_DQUOTE] = ACTIONS(3320),
    [anon_sym_uR_DQUOTE] = ACTIONS(3320),
    [anon_sym_UR_DQUOTE] = ACTIONS(3320),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3320),
    [anon_sym_co_await] = ACTIONS(3318),
    [anon_sym_new] = ACTIONS(3318),
    [anon_sym_requires] = ACTIONS(3318),
    [sym_this] = ACTIONS(3318),
  },
  [1920] = {
    [sym_identifier] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_BANG] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_DASH] = ACTIONS(3257),
    [anon_sym_PLUS] = ACTIONS(3257),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3259),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [anon_sym_not] = ACTIONS(3257),
    [anon_sym_compl] = ACTIONS(3257),
    [anon_sym_DASH_DASH] = ACTIONS(3259),
    [anon_sym_PLUS_PLUS] = ACTIONS(3259),
    [anon_sym_sizeof] = ACTIONS(3257),
    [anon_sym___alignof__] = ACTIONS(3257),
    [anon_sym___alignof] = ACTIONS(3257),
    [anon_sym__alignof] = ACTIONS(3257),
    [anon_sym_alignof] = ACTIONS(3257),
    [anon_sym__Alignof] = ACTIONS(3257),
    [anon_sym_offsetof] = ACTIONS(3257),
    [anon_sym__Generic] = ACTIONS(3257),
    [anon_sym_asm] = ACTIONS(3257),
    [anon_sym___asm__] = ACTIONS(3257),
    [sym_number_literal] = ACTIONS(3259),
    [anon_sym_L_SQUOTE] = ACTIONS(3259),
    [anon_sym_u_SQUOTE] = ACTIONS(3259),
    [anon_sym_U_SQUOTE] = ACTIONS(3259),
    [anon_sym_u8_SQUOTE] = ACTIONS(3259),
    [anon_sym_SQUOTE] = ACTIONS(3259),
    [anon_sym_L_DQUOTE] = ACTIONS(3259),
    [anon_sym_u_DQUOTE] = ACTIONS(3259),
    [anon_sym_U_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8_DQUOTE] = ACTIONS(3259),
    [anon_sym_DQUOTE] = ACTIONS(3259),
    [sym_true] = ACTIONS(3257),
    [sym_false] = ACTIONS(3257),
    [anon_sym_NULL] = ACTIONS(3257),
    [anon_sym_nullptr] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_delete] = ACTIONS(3257),
    [anon_sym_R_DQUOTE] = ACTIONS(3259),
    [anon_sym_LR_DQUOTE] = ACTIONS(3259),
    [anon_sym_uR_DQUOTE] = ACTIONS(3259),
    [anon_sym_UR_DQUOTE] = ACTIONS(3259),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3259),
    [anon_sym_co_await] = ACTIONS(3257),
    [anon_sym_new] = ACTIONS(3257),
    [anon_sym_requires] = ACTIONS(3257),
    [sym_this] = ACTIONS(3257),
  },
  [1921] = {
    [sym_identifier] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_BANG] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_DASH] = ACTIONS(3223),
    [anon_sym_PLUS] = ACTIONS(3223),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3225),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [anon_sym_not] = ACTIONS(3223),
    [anon_sym_compl] = ACTIONS(3223),
    [anon_sym_DASH_DASH] = ACTIONS(3225),
    [anon_sym_PLUS_PLUS] = ACTIONS(3225),
    [anon_sym_sizeof] = ACTIONS(3223),
    [anon_sym___alignof__] = ACTIONS(3223),
    [anon_sym___alignof] = ACTIONS(3223),
    [anon_sym__alignof] = ACTIONS(3223),
    [anon_sym_alignof] = ACTIONS(3223),
    [anon_sym__Alignof] = ACTIONS(3223),
    [anon_sym_offsetof] = ACTIONS(3223),
    [anon_sym__Generic] = ACTIONS(3223),
    [anon_sym_asm] = ACTIONS(3223),
    [anon_sym___asm__] = ACTIONS(3223),
    [sym_number_literal] = ACTIONS(3225),
    [anon_sym_L_SQUOTE] = ACTIONS(3225),
    [anon_sym_u_SQUOTE] = ACTIONS(3225),
    [anon_sym_U_SQUOTE] = ACTIONS(3225),
    [anon_sym_u8_SQUOTE] = ACTIONS(3225),
    [anon_sym_SQUOTE] = ACTIONS(3225),
    [anon_sym_L_DQUOTE] = ACTIONS(3225),
    [anon_sym_u_DQUOTE] = ACTIONS(3225),
    [anon_sym_U_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8_DQUOTE] = ACTIONS(3225),
    [anon_sym_DQUOTE] = ACTIONS(3225),
    [sym_true] = ACTIONS(3223),
    [sym_false] = ACTIONS(3223),
    [anon_sym_NULL] = ACTIONS(3223),
    [anon_sym_nullptr] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_delete] = ACTIONS(3223),
    [anon_sym_R_DQUOTE] = ACTIONS(3225),
    [anon_sym_LR_DQUOTE] = ACTIONS(3225),
    [anon_sym_uR_DQUOTE] = ACTIONS(3225),
    [anon_sym_UR_DQUOTE] = ACTIONS(3225),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3225),
    [anon_sym_co_await] = ACTIONS(3223),
    [anon_sym_new] = ACTIONS(3223),
    [anon_sym_requires] = ACTIONS(3223),
    [sym_this] = ACTIONS(3223),
  },
  [1922] = {
    [sym_identifier] = ACTIONS(4991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_TILDE] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4991),
    [anon_sym_GT_GT] = ACTIONS(4991),
    [anon_sym_SEMI] = ACTIONS(4993),
    [anon_sym___extension__] = ACTIONS(4991),
    [anon_sym_extern] = ACTIONS(4991),
    [anon_sym___attribute__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4993),
    [anon_sym___declspec] = ACTIONS(4991),
    [anon_sym___based] = ACTIONS(4991),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4991),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_static] = ACTIONS(4991),
    [anon_sym_register] = ACTIONS(4991),
    [anon_sym_inline] = ACTIONS(4991),
    [anon_sym___inline] = ACTIONS(4991),
    [anon_sym___inline__] = ACTIONS(4991),
    [anon_sym___forceinline] = ACTIONS(4991),
    [anon_sym_thread_local] = ACTIONS(4991),
    [anon_sym___thread] = ACTIONS(4991),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4991),
    [anon_sym_volatile] = ACTIONS(4991),
    [anon_sym_restrict] = ACTIONS(4991),
    [anon_sym___restrict__] = ACTIONS(4991),
    [anon_sym__Atomic] = ACTIONS(4991),
    [anon_sym__Noreturn] = ACTIONS(4991),
    [anon_sym_noreturn] = ACTIONS(4991),
    [anon_sym_mutable] = ACTIONS(4991),
    [anon_sym_constinit] = ACTIONS(4991),
    [anon_sym_consteval] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_STAR_EQ] = ACTIONS(4993),
    [anon_sym_SLASH_EQ] = ACTIONS(4993),
    [anon_sym_PERCENT_EQ] = ACTIONS(4993),
    [anon_sym_PLUS_EQ] = ACTIONS(4993),
    [anon_sym_DASH_EQ] = ACTIONS(4993),
    [anon_sym_LT_LT_EQ] = ACTIONS(4993),
    [anon_sym_GT_GT_EQ] = ACTIONS(4993),
    [anon_sym_AMP_EQ] = ACTIONS(4993),
    [anon_sym_CARET_EQ] = ACTIONS(4993),
    [anon_sym_PIPE_EQ] = ACTIONS(4993),
    [anon_sym_and_eq] = ACTIONS(4991),
    [anon_sym_or_eq] = ACTIONS(4991),
    [anon_sym_xor_eq] = ACTIONS(4991),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4991),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4991),
    [anon_sym_not_eq] = ACTIONS(4991),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4991),
    [anon_sym_decltype] = ACTIONS(4991),
    [anon_sym_virtual] = ACTIONS(4991),
    [anon_sym_alignas] = ACTIONS(4991),
    [anon_sym_template] = ACTIONS(4991),
    [anon_sym_operator] = ACTIONS(4991),
  },
  [1923] = {
    [sym_identifier] = ACTIONS(4995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_TILDE] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4995),
    [anon_sym_GT_GT] = ACTIONS(4995),
    [anon_sym_SEMI] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym_extern] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4997),
    [anon_sym___declspec] = ACTIONS(4995),
    [anon_sym___based] = ACTIONS(4995),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_RBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4995),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_static] = ACTIONS(4995),
    [anon_sym_register] = ACTIONS(4995),
    [anon_sym_inline] = ACTIONS(4995),
    [anon_sym___inline] = ACTIONS(4995),
    [anon_sym___inline__] = ACTIONS(4995),
    [anon_sym___forceinline] = ACTIONS(4995),
    [anon_sym_thread_local] = ACTIONS(4995),
    [anon_sym___thread] = ACTIONS(4995),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_STAR_EQ] = ACTIONS(4997),
    [anon_sym_SLASH_EQ] = ACTIONS(4997),
    [anon_sym_PERCENT_EQ] = ACTIONS(4997),
    [anon_sym_PLUS_EQ] = ACTIONS(4997),
    [anon_sym_DASH_EQ] = ACTIONS(4997),
    [anon_sym_LT_LT_EQ] = ACTIONS(4997),
    [anon_sym_GT_GT_EQ] = ACTIONS(4997),
    [anon_sym_AMP_EQ] = ACTIONS(4997),
    [anon_sym_CARET_EQ] = ACTIONS(4997),
    [anon_sym_PIPE_EQ] = ACTIONS(4997),
    [anon_sym_and_eq] = ACTIONS(4995),
    [anon_sym_or_eq] = ACTIONS(4995),
    [anon_sym_xor_eq] = ACTIONS(4995),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4995),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4995),
    [anon_sym_not_eq] = ACTIONS(4995),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4995),
    [anon_sym_decltype] = ACTIONS(4995),
    [anon_sym_virtual] = ACTIONS(4995),
    [anon_sym_alignas] = ACTIONS(4995),
    [anon_sym_template] = ACTIONS(4995),
    [anon_sym_operator] = ACTIONS(4995),
  },
  [1924] = {
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_TILDE] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym_SEMI] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(4999),
    [anon_sym_extern] = ACTIONS(4999),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5001),
    [anon_sym___declspec] = ACTIONS(4999),
    [anon_sym___based] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_static] = ACTIONS(4999),
    [anon_sym_register] = ACTIONS(4999),
    [anon_sym_inline] = ACTIONS(4999),
    [anon_sym___inline] = ACTIONS(4999),
    [anon_sym___inline__] = ACTIONS(4999),
    [anon_sym___forceinline] = ACTIONS(4999),
    [anon_sym_thread_local] = ACTIONS(4999),
    [anon_sym___thread] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_restrict] = ACTIONS(4999),
    [anon_sym___restrict__] = ACTIONS(4999),
    [anon_sym__Atomic] = ACTIONS(4999),
    [anon_sym__Noreturn] = ACTIONS(4999),
    [anon_sym_noreturn] = ACTIONS(4999),
    [anon_sym_mutable] = ACTIONS(4999),
    [anon_sym_constinit] = ACTIONS(4999),
    [anon_sym_consteval] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_STAR_EQ] = ACTIONS(5001),
    [anon_sym_SLASH_EQ] = ACTIONS(5001),
    [anon_sym_PERCENT_EQ] = ACTIONS(5001),
    [anon_sym_PLUS_EQ] = ACTIONS(5001),
    [anon_sym_DASH_EQ] = ACTIONS(5001),
    [anon_sym_LT_LT_EQ] = ACTIONS(5001),
    [anon_sym_GT_GT_EQ] = ACTIONS(5001),
    [anon_sym_AMP_EQ] = ACTIONS(5001),
    [anon_sym_CARET_EQ] = ACTIONS(5001),
    [anon_sym_PIPE_EQ] = ACTIONS(5001),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_virtual] = ACTIONS(4999),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym_template] = ACTIONS(4999),
    [anon_sym_operator] = ACTIONS(4999),
  },
  [1925] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5003),
    [anon_sym_GT_GT] = ACTIONS(5003),
    [anon_sym_SEMI] = ACTIONS(5005),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5005),
    [anon_sym___declspec] = ACTIONS(5003),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_RBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5003),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_register] = ACTIONS(5003),
    [anon_sym_inline] = ACTIONS(5003),
    [anon_sym___inline] = ACTIONS(5003),
    [anon_sym___inline__] = ACTIONS(5003),
    [anon_sym___forceinline] = ACTIONS(5003),
    [anon_sym_thread_local] = ACTIONS(5003),
    [anon_sym___thread] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_STAR_EQ] = ACTIONS(5005),
    [anon_sym_SLASH_EQ] = ACTIONS(5005),
    [anon_sym_PERCENT_EQ] = ACTIONS(5005),
    [anon_sym_PLUS_EQ] = ACTIONS(5005),
    [anon_sym_DASH_EQ] = ACTIONS(5005),
    [anon_sym_LT_LT_EQ] = ACTIONS(5005),
    [anon_sym_GT_GT_EQ] = ACTIONS(5005),
    [anon_sym_AMP_EQ] = ACTIONS(5005),
    [anon_sym_CARET_EQ] = ACTIONS(5005),
    [anon_sym_PIPE_EQ] = ACTIONS(5005),
    [anon_sym_and_eq] = ACTIONS(5003),
    [anon_sym_or_eq] = ACTIONS(5003),
    [anon_sym_xor_eq] = ACTIONS(5003),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5003),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5003),
    [anon_sym_not_eq] = ACTIONS(5003),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_alignas] = ACTIONS(5003),
    [anon_sym_template] = ACTIONS(5003),
    [anon_sym_operator] = ACTIONS(5003),
  },
  [1926] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_TILDE] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym_SEMI] = ACTIONS(5009),
    [anon_sym___extension__] = ACTIONS(5007),
    [anon_sym_extern] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5009),
    [anon_sym___declspec] = ACTIONS(5007),
    [anon_sym___based] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_RBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_static] = ACTIONS(5007),
    [anon_sym_register] = ACTIONS(5007),
    [anon_sym_inline] = ACTIONS(5007),
    [anon_sym___inline] = ACTIONS(5007),
    [anon_sym___inline__] = ACTIONS(5007),
    [anon_sym___forceinline] = ACTIONS(5007),
    [anon_sym_thread_local] = ACTIONS(5007),
    [anon_sym___thread] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_restrict] = ACTIONS(5007),
    [anon_sym___restrict__] = ACTIONS(5007),
    [anon_sym__Atomic] = ACTIONS(5007),
    [anon_sym__Noreturn] = ACTIONS(5007),
    [anon_sym_noreturn] = ACTIONS(5007),
    [anon_sym_mutable] = ACTIONS(5007),
    [anon_sym_constinit] = ACTIONS(5007),
    [anon_sym_consteval] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_STAR_EQ] = ACTIONS(5009),
    [anon_sym_SLASH_EQ] = ACTIONS(5009),
    [anon_sym_PERCENT_EQ] = ACTIONS(5009),
    [anon_sym_PLUS_EQ] = ACTIONS(5009),
    [anon_sym_DASH_EQ] = ACTIONS(5009),
    [anon_sym_LT_LT_EQ] = ACTIONS(5009),
    [anon_sym_GT_GT_EQ] = ACTIONS(5009),
    [anon_sym_AMP_EQ] = ACTIONS(5009),
    [anon_sym_CARET_EQ] = ACTIONS(5009),
    [anon_sym_PIPE_EQ] = ACTIONS(5009),
    [anon_sym_and_eq] = ACTIONS(5007),
    [anon_sym_or_eq] = ACTIONS(5007),
    [anon_sym_xor_eq] = ACTIONS(5007),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5007),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5007),
    [anon_sym_not_eq] = ACTIONS(5007),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_virtual] = ACTIONS(5007),
    [anon_sym_alignas] = ACTIONS(5007),
    [anon_sym_template] = ACTIONS(5007),
    [anon_sym_operator] = ACTIONS(5007),
  },
  [1927] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_TILDE] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym_SEMI] = ACTIONS(5013),
    [anon_sym___extension__] = ACTIONS(5011),
    [anon_sym_extern] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5013),
    [anon_sym___declspec] = ACTIONS(5011),
    [anon_sym___based] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_RBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_static] = ACTIONS(5011),
    [anon_sym_register] = ACTIONS(5011),
    [anon_sym_inline] = ACTIONS(5011),
    [anon_sym___inline] = ACTIONS(5011),
    [anon_sym___inline__] = ACTIONS(5011),
    [anon_sym___forceinline] = ACTIONS(5011),
    [anon_sym_thread_local] = ACTIONS(5011),
    [anon_sym___thread] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_restrict] = ACTIONS(5011),
    [anon_sym___restrict__] = ACTIONS(5011),
    [anon_sym__Atomic] = ACTIONS(5011),
    [anon_sym__Noreturn] = ACTIONS(5011),
    [anon_sym_noreturn] = ACTIONS(5011),
    [anon_sym_mutable] = ACTIONS(5011),
    [anon_sym_constinit] = ACTIONS(5011),
    [anon_sym_consteval] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_STAR_EQ] = ACTIONS(5013),
    [anon_sym_SLASH_EQ] = ACTIONS(5013),
    [anon_sym_PERCENT_EQ] = ACTIONS(5013),
    [anon_sym_PLUS_EQ] = ACTIONS(5013),
    [anon_sym_DASH_EQ] = ACTIONS(5013),
    [anon_sym_LT_LT_EQ] = ACTIONS(5013),
    [anon_sym_GT_GT_EQ] = ACTIONS(5013),
    [anon_sym_AMP_EQ] = ACTIONS(5013),
    [anon_sym_CARET_EQ] = ACTIONS(5013),
    [anon_sym_PIPE_EQ] = ACTIONS(5013),
    [anon_sym_and_eq] = ACTIONS(5011),
    [anon_sym_or_eq] = ACTIONS(5011),
    [anon_sym_xor_eq] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5011),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5011),
    [anon_sym_not_eq] = ACTIONS(5011),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_virtual] = ACTIONS(5011),
    [anon_sym_alignas] = ACTIONS(5011),
    [anon_sym_template] = ACTIONS(5011),
    [anon_sym_operator] = ACTIONS(5011),
  },
  [1928] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_TILDE] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym_SEMI] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym_extern] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5017),
    [anon_sym___declspec] = ACTIONS(5015),
    [anon_sym___based] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_RBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_static] = ACTIONS(5015),
    [anon_sym_register] = ACTIONS(5015),
    [anon_sym_inline] = ACTIONS(5015),
    [anon_sym___inline] = ACTIONS(5015),
    [anon_sym___inline__] = ACTIONS(5015),
    [anon_sym___forceinline] = ACTIONS(5015),
    [anon_sym_thread_local] = ACTIONS(5015),
    [anon_sym___thread] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_STAR_EQ] = ACTIONS(5017),
    [anon_sym_SLASH_EQ] = ACTIONS(5017),
    [anon_sym_PERCENT_EQ] = ACTIONS(5017),
    [anon_sym_PLUS_EQ] = ACTIONS(5017),
    [anon_sym_DASH_EQ] = ACTIONS(5017),
    [anon_sym_LT_LT_EQ] = ACTIONS(5017),
    [anon_sym_GT_GT_EQ] = ACTIONS(5017),
    [anon_sym_AMP_EQ] = ACTIONS(5017),
    [anon_sym_CARET_EQ] = ACTIONS(5017),
    [anon_sym_PIPE_EQ] = ACTIONS(5017),
    [anon_sym_and_eq] = ACTIONS(5015),
    [anon_sym_or_eq] = ACTIONS(5015),
    [anon_sym_xor_eq] = ACTIONS(5015),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_virtual] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym_template] = ACTIONS(5015),
    [anon_sym_operator] = ACTIONS(5015),
  },
  [1929] = {
    [sym_template_argument_list] = STATE(1935),
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5021),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(5021),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_TILDE] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5033),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5021),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5026),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_EQ] = ACTIONS(5028),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5028),
    [anon_sym_or_eq] = ACTIONS(5028),
    [anon_sym_xor_eq] = ACTIONS(5028),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5028),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5028),
    [anon_sym_not_eq] = ACTIONS(5028),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_operator] = ACTIONS(5019),
  },
  [1930] = {
    [sym_template_argument_list] = STATE(1932),
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5023),
    [anon_sym_COMMA] = ACTIONS(5023),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_TILDE] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5036),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5026),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_EQ] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5028),
    [anon_sym_or_eq] = ACTIONS(5028),
    [anon_sym_xor_eq] = ACTIONS(5028),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5028),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5028),
    [anon_sym_not_eq] = ACTIONS(5028),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_operator] = ACTIONS(5019),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5021),
  },
  [1931] = {
    [sym_template_argument_list] = STATE(1939),
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5021),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_TILDE] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5033),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5023),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5023),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_RBRACE] = ACTIONS(5021),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_EQ] = ACTIONS(5028),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5028),
    [anon_sym_or_eq] = ACTIONS(5028),
    [anon_sym_xor_eq] = ACTIONS(5028),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5028),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5028),
    [anon_sym_not_eq] = ACTIONS(5028),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_operator] = ACTIONS(5019),
  },
  [1932] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5041),
    [anon_sym_COMMA] = ACTIONS(5041),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5048),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5046),
    [anon_sym_or_eq] = ACTIONS(5046),
    [anon_sym_xor_eq] = ACTIONS(5046),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5051),
  },
  [1933] = {
    [sym_identifier] = ACTIONS(4995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_TILDE] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4995),
    [anon_sym_GT_GT] = ACTIONS(4995),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym_extern] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4997),
    [anon_sym___declspec] = ACTIONS(4995),
    [anon_sym___based] = ACTIONS(4995),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4995),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_static] = ACTIONS(4995),
    [anon_sym_register] = ACTIONS(4995),
    [anon_sym_inline] = ACTIONS(4995),
    [anon_sym___inline] = ACTIONS(4995),
    [anon_sym___inline__] = ACTIONS(4995),
    [anon_sym___forceinline] = ACTIONS(4995),
    [anon_sym_thread_local] = ACTIONS(4995),
    [anon_sym___thread] = ACTIONS(4995),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_STAR_EQ] = ACTIONS(4997),
    [anon_sym_SLASH_EQ] = ACTIONS(4997),
    [anon_sym_PERCENT_EQ] = ACTIONS(4997),
    [anon_sym_PLUS_EQ] = ACTIONS(4997),
    [anon_sym_DASH_EQ] = ACTIONS(4997),
    [anon_sym_LT_LT_EQ] = ACTIONS(4997),
    [anon_sym_GT_GT_EQ] = ACTIONS(4997),
    [anon_sym_AMP_EQ] = ACTIONS(4997),
    [anon_sym_CARET_EQ] = ACTIONS(4997),
    [anon_sym_PIPE_EQ] = ACTIONS(4997),
    [anon_sym_and_eq] = ACTIONS(4995),
    [anon_sym_or_eq] = ACTIONS(4995),
    [anon_sym_xor_eq] = ACTIONS(4995),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4995),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4995),
    [anon_sym_not_eq] = ACTIONS(4995),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4995),
    [anon_sym_decltype] = ACTIONS(4995),
    [anon_sym_virtual] = ACTIONS(4995),
    [anon_sym_alignas] = ACTIONS(4995),
    [anon_sym_template] = ACTIONS(4995),
    [anon_sym_operator] = ACTIONS(4995),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4997),
  },
  [1934] = {
    [sym_template_argument_list] = STATE(1944),
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5023),
    [anon_sym_COMMA] = ACTIONS(5023),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_TILDE] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5033),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5026),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_EQ] = ACTIONS(5030),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5028),
    [anon_sym_or_eq] = ACTIONS(5028),
    [anon_sym_xor_eq] = ACTIONS(5028),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5028),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5028),
    [anon_sym_not_eq] = ACTIONS(5028),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_operator] = ACTIONS(5019),
  },
  [1935] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_RPAREN] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5051),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5046),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5046),
    [anon_sym_or_eq] = ACTIONS(5046),
    [anon_sym_xor_eq] = ACTIONS(5046),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
  },
  [1936] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_TILDE] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym_extern] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5017),
    [anon_sym___declspec] = ACTIONS(5015),
    [anon_sym___based] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_static] = ACTIONS(5015),
    [anon_sym_register] = ACTIONS(5015),
    [anon_sym_inline] = ACTIONS(5015),
    [anon_sym___inline] = ACTIONS(5015),
    [anon_sym___inline__] = ACTIONS(5015),
    [anon_sym___forceinline] = ACTIONS(5015),
    [anon_sym_thread_local] = ACTIONS(5015),
    [anon_sym___thread] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_STAR_EQ] = ACTIONS(5017),
    [anon_sym_SLASH_EQ] = ACTIONS(5017),
    [anon_sym_PERCENT_EQ] = ACTIONS(5017),
    [anon_sym_PLUS_EQ] = ACTIONS(5017),
    [anon_sym_DASH_EQ] = ACTIONS(5017),
    [anon_sym_LT_LT_EQ] = ACTIONS(5017),
    [anon_sym_GT_GT_EQ] = ACTIONS(5017),
    [anon_sym_AMP_EQ] = ACTIONS(5017),
    [anon_sym_CARET_EQ] = ACTIONS(5017),
    [anon_sym_PIPE_EQ] = ACTIONS(5017),
    [anon_sym_and_eq] = ACTIONS(5015),
    [anon_sym_or_eq] = ACTIONS(5015),
    [anon_sym_xor_eq] = ACTIONS(5015),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_virtual] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym_template] = ACTIONS(5015),
    [anon_sym_operator] = ACTIONS(5015),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5017),
  },
  [1937] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_TILDE] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(5011),
    [anon_sym_extern] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5013),
    [anon_sym___declspec] = ACTIONS(5011),
    [anon_sym___based] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_static] = ACTIONS(5011),
    [anon_sym_register] = ACTIONS(5011),
    [anon_sym_inline] = ACTIONS(5011),
    [anon_sym___inline] = ACTIONS(5011),
    [anon_sym___inline__] = ACTIONS(5011),
    [anon_sym___forceinline] = ACTIONS(5011),
    [anon_sym_thread_local] = ACTIONS(5011),
    [anon_sym___thread] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_restrict] = ACTIONS(5011),
    [anon_sym___restrict__] = ACTIONS(5011),
    [anon_sym__Atomic] = ACTIONS(5011),
    [anon_sym__Noreturn] = ACTIONS(5011),
    [anon_sym_noreturn] = ACTIONS(5011),
    [anon_sym_mutable] = ACTIONS(5011),
    [anon_sym_constinit] = ACTIONS(5011),
    [anon_sym_consteval] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_STAR_EQ] = ACTIONS(5013),
    [anon_sym_SLASH_EQ] = ACTIONS(5013),
    [anon_sym_PERCENT_EQ] = ACTIONS(5013),
    [anon_sym_PLUS_EQ] = ACTIONS(5013),
    [anon_sym_DASH_EQ] = ACTIONS(5013),
    [anon_sym_LT_LT_EQ] = ACTIONS(5013),
    [anon_sym_GT_GT_EQ] = ACTIONS(5013),
    [anon_sym_AMP_EQ] = ACTIONS(5013),
    [anon_sym_CARET_EQ] = ACTIONS(5013),
    [anon_sym_PIPE_EQ] = ACTIONS(5013),
    [anon_sym_and_eq] = ACTIONS(5011),
    [anon_sym_or_eq] = ACTIONS(5011),
    [anon_sym_xor_eq] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5011),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5011),
    [anon_sym_not_eq] = ACTIONS(5011),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_virtual] = ACTIONS(5011),
    [anon_sym_alignas] = ACTIONS(5011),
    [anon_sym_template] = ACTIONS(5011),
    [anon_sym_operator] = ACTIONS(5011),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5013),
  },
  [1938] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_TILDE] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym___extension__] = ACTIONS(5007),
    [anon_sym_extern] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5009),
    [anon_sym___declspec] = ACTIONS(5007),
    [anon_sym___based] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_static] = ACTIONS(5007),
    [anon_sym_register] = ACTIONS(5007),
    [anon_sym_inline] = ACTIONS(5007),
    [anon_sym___inline] = ACTIONS(5007),
    [anon_sym___inline__] = ACTIONS(5007),
    [anon_sym___forceinline] = ACTIONS(5007),
    [anon_sym_thread_local] = ACTIONS(5007),
    [anon_sym___thread] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_restrict] = ACTIONS(5007),
    [anon_sym___restrict__] = ACTIONS(5007),
    [anon_sym__Atomic] = ACTIONS(5007),
    [anon_sym__Noreturn] = ACTIONS(5007),
    [anon_sym_noreturn] = ACTIONS(5007),
    [anon_sym_mutable] = ACTIONS(5007),
    [anon_sym_constinit] = ACTIONS(5007),
    [anon_sym_consteval] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_STAR_EQ] = ACTIONS(5009),
    [anon_sym_SLASH_EQ] = ACTIONS(5009),
    [anon_sym_PERCENT_EQ] = ACTIONS(5009),
    [anon_sym_PLUS_EQ] = ACTIONS(5009),
    [anon_sym_DASH_EQ] = ACTIONS(5009),
    [anon_sym_LT_LT_EQ] = ACTIONS(5009),
    [anon_sym_GT_GT_EQ] = ACTIONS(5009),
    [anon_sym_AMP_EQ] = ACTIONS(5009),
    [anon_sym_CARET_EQ] = ACTIONS(5009),
    [anon_sym_PIPE_EQ] = ACTIONS(5009),
    [anon_sym_and_eq] = ACTIONS(5007),
    [anon_sym_or_eq] = ACTIONS(5007),
    [anon_sym_xor_eq] = ACTIONS(5007),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5007),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5007),
    [anon_sym_not_eq] = ACTIONS(5007),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_virtual] = ACTIONS(5007),
    [anon_sym_alignas] = ACTIONS(5007),
    [anon_sym_template] = ACTIONS(5007),
    [anon_sym_operator] = ACTIONS(5007),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5009),
  },
  [1939] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5041),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5041),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_RBRACE] = ACTIONS(5051),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5046),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5046),
    [anon_sym_or_eq] = ACTIONS(5046),
    [anon_sym_xor_eq] = ACTIONS(5046),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
  },
  [1940] = {
    [sym_string_literal] = STATE(2197),
    [sym_template_argument_list] = STATE(2056),
    [sym_raw_string_literal] = STATE(2197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4139),
    [anon_sym_LPAREN2] = ACTIONS(4139),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5053),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym___extension__] = ACTIONS(4143),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5056),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(5058),
    [anon_sym_unsigned] = ACTIONS(5058),
    [anon_sym_long] = ACTIONS(5058),
    [anon_sym_short] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(4165),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4143),
    [anon_sym_volatile] = ACTIONS(4143),
    [anon_sym_restrict] = ACTIONS(4143),
    [anon_sym___restrict__] = ACTIONS(4143),
    [anon_sym__Atomic] = ACTIONS(4143),
    [anon_sym__Noreturn] = ACTIONS(4143),
    [anon_sym_noreturn] = ACTIONS(4143),
    [anon_sym_mutable] = ACTIONS(4143),
    [anon_sym_constinit] = ACTIONS(4143),
    [anon_sym_consteval] = ACTIONS(4143),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4143),
    [anon_sym_decltype] = ACTIONS(4143),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [1941] = {
    [sym_identifier] = ACTIONS(4991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_TILDE] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4991),
    [anon_sym_GT_GT] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4991),
    [anon_sym_extern] = ACTIONS(4991),
    [anon_sym___attribute__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4993),
    [anon_sym___declspec] = ACTIONS(4991),
    [anon_sym___based] = ACTIONS(4991),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4991),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_static] = ACTIONS(4991),
    [anon_sym_register] = ACTIONS(4991),
    [anon_sym_inline] = ACTIONS(4991),
    [anon_sym___inline] = ACTIONS(4991),
    [anon_sym___inline__] = ACTIONS(4991),
    [anon_sym___forceinline] = ACTIONS(4991),
    [anon_sym_thread_local] = ACTIONS(4991),
    [anon_sym___thread] = ACTIONS(4991),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4991),
    [anon_sym_volatile] = ACTIONS(4991),
    [anon_sym_restrict] = ACTIONS(4991),
    [anon_sym___restrict__] = ACTIONS(4991),
    [anon_sym__Atomic] = ACTIONS(4991),
    [anon_sym__Noreturn] = ACTIONS(4991),
    [anon_sym_noreturn] = ACTIONS(4991),
    [anon_sym_mutable] = ACTIONS(4991),
    [anon_sym_constinit] = ACTIONS(4991),
    [anon_sym_consteval] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_STAR_EQ] = ACTIONS(4993),
    [anon_sym_SLASH_EQ] = ACTIONS(4993),
    [anon_sym_PERCENT_EQ] = ACTIONS(4993),
    [anon_sym_PLUS_EQ] = ACTIONS(4993),
    [anon_sym_DASH_EQ] = ACTIONS(4993),
    [anon_sym_LT_LT_EQ] = ACTIONS(4993),
    [anon_sym_GT_GT_EQ] = ACTIONS(4993),
    [anon_sym_AMP_EQ] = ACTIONS(4993),
    [anon_sym_CARET_EQ] = ACTIONS(4993),
    [anon_sym_PIPE_EQ] = ACTIONS(4993),
    [anon_sym_and_eq] = ACTIONS(4991),
    [anon_sym_or_eq] = ACTIONS(4991),
    [anon_sym_xor_eq] = ACTIONS(4991),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4991),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4991),
    [anon_sym_not_eq] = ACTIONS(4991),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4991),
    [anon_sym_decltype] = ACTIONS(4991),
    [anon_sym_virtual] = ACTIONS(4991),
    [anon_sym_alignas] = ACTIONS(4991),
    [anon_sym_template] = ACTIONS(4991),
    [anon_sym_operator] = ACTIONS(4991),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4993),
  },
  [1942] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5003),
    [anon_sym_GT_GT] = ACTIONS(5003),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5005),
    [anon_sym___declspec] = ACTIONS(5003),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5003),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_register] = ACTIONS(5003),
    [anon_sym_inline] = ACTIONS(5003),
    [anon_sym___inline] = ACTIONS(5003),
    [anon_sym___inline__] = ACTIONS(5003),
    [anon_sym___forceinline] = ACTIONS(5003),
    [anon_sym_thread_local] = ACTIONS(5003),
    [anon_sym___thread] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_STAR_EQ] = ACTIONS(5005),
    [anon_sym_SLASH_EQ] = ACTIONS(5005),
    [anon_sym_PERCENT_EQ] = ACTIONS(5005),
    [anon_sym_PLUS_EQ] = ACTIONS(5005),
    [anon_sym_DASH_EQ] = ACTIONS(5005),
    [anon_sym_LT_LT_EQ] = ACTIONS(5005),
    [anon_sym_GT_GT_EQ] = ACTIONS(5005),
    [anon_sym_AMP_EQ] = ACTIONS(5005),
    [anon_sym_CARET_EQ] = ACTIONS(5005),
    [anon_sym_PIPE_EQ] = ACTIONS(5005),
    [anon_sym_and_eq] = ACTIONS(5003),
    [anon_sym_or_eq] = ACTIONS(5003),
    [anon_sym_xor_eq] = ACTIONS(5003),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5003),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5003),
    [anon_sym_not_eq] = ACTIONS(5003),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_alignas] = ACTIONS(5003),
    [anon_sym_template] = ACTIONS(5003),
    [anon_sym_operator] = ACTIONS(5003),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5005),
  },
  [1943] = {
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_TILDE] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4999),
    [anon_sym_extern] = ACTIONS(4999),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5001),
    [anon_sym___declspec] = ACTIONS(4999),
    [anon_sym___based] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_static] = ACTIONS(4999),
    [anon_sym_register] = ACTIONS(4999),
    [anon_sym_inline] = ACTIONS(4999),
    [anon_sym___inline] = ACTIONS(4999),
    [anon_sym___inline__] = ACTIONS(4999),
    [anon_sym___forceinline] = ACTIONS(4999),
    [anon_sym_thread_local] = ACTIONS(4999),
    [anon_sym___thread] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_restrict] = ACTIONS(4999),
    [anon_sym___restrict__] = ACTIONS(4999),
    [anon_sym__Atomic] = ACTIONS(4999),
    [anon_sym__Noreturn] = ACTIONS(4999),
    [anon_sym_noreturn] = ACTIONS(4999),
    [anon_sym_mutable] = ACTIONS(4999),
    [anon_sym_constinit] = ACTIONS(4999),
    [anon_sym_consteval] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_STAR_EQ] = ACTIONS(5001),
    [anon_sym_SLASH_EQ] = ACTIONS(5001),
    [anon_sym_PERCENT_EQ] = ACTIONS(5001),
    [anon_sym_PLUS_EQ] = ACTIONS(5001),
    [anon_sym_DASH_EQ] = ACTIONS(5001),
    [anon_sym_LT_LT_EQ] = ACTIONS(5001),
    [anon_sym_GT_GT_EQ] = ACTIONS(5001),
    [anon_sym_AMP_EQ] = ACTIONS(5001),
    [anon_sym_CARET_EQ] = ACTIONS(5001),
    [anon_sym_PIPE_EQ] = ACTIONS(5001),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_virtual] = ACTIONS(4999),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym_template] = ACTIONS(4999),
    [anon_sym_operator] = ACTIONS(4999),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5001),
  },
  [1944] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5041),
    [anon_sym_COMMA] = ACTIONS(5041),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5048),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5046),
    [anon_sym_or_eq] = ACTIONS(5046),
    [anon_sym_xor_eq] = ACTIONS(5046),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
  },
  [1945] = {
    [sym_string_literal] = STATE(2197),
    [sym_template_argument_list] = STATE(2196),
    [sym_raw_string_literal] = STATE(2197),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2440),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4150),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5064),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym___extension__] = ACTIONS(4143),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(5058),
    [anon_sym_unsigned] = ACTIONS(5058),
    [anon_sym_long] = ACTIONS(5058),
    [anon_sym_short] = ACTIONS(5058),
    [anon_sym_LBRACK] = ACTIONS(4150),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4143),
    [anon_sym_volatile] = ACTIONS(4143),
    [anon_sym_restrict] = ACTIONS(4143),
    [anon_sym___restrict__] = ACTIONS(4143),
    [anon_sym__Atomic] = ACTIONS(4143),
    [anon_sym__Noreturn] = ACTIONS(4143),
    [anon_sym_noreturn] = ACTIONS(4143),
    [anon_sym_mutable] = ACTIONS(4143),
    [anon_sym_constinit] = ACTIONS(4143),
    [anon_sym_consteval] = ACTIONS(4143),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4143),
    [anon_sym_decltype] = ACTIONS(4143),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [1946] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym__abstract_declarator] = STATE(7254),
    [sym_abstract_parenthesized_declarator] = STATE(6676),
    [sym_abstract_pointer_declarator] = STATE(6676),
    [sym_abstract_function_declarator] = STATE(6676),
    [sym_abstract_array_declarator] = STATE(6676),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_list] = STATE(4213),
    [sym_parameter_declaration] = STATE(7717),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7717),
    [sym_variadic_parameter_declaration] = STATE(7717),
    [sym_abstract_reference_declarator] = STATE(6676),
    [sym__function_declarator_seq] = STATE(6679),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LPAREN2] = ACTIONS(5069),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1947] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym__abstract_declarator] = STATE(7256),
    [sym_abstract_parenthesized_declarator] = STATE(6676),
    [sym_abstract_pointer_declarator] = STATE(6676),
    [sym_abstract_function_declarator] = STATE(6676),
    [sym_abstract_array_declarator] = STATE(6676),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_list] = STATE(4213),
    [sym_parameter_declaration] = STATE(7717),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7717),
    [sym_variadic_parameter_declaration] = STATE(7717),
    [sym_abstract_reference_declarator] = STATE(6676),
    [sym__function_declarator_seq] = STATE(6679),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym_LPAREN2] = ACTIONS(5069),
    [anon_sym_STAR] = ACTIONS(5071),
    [anon_sym_AMP_AMP] = ACTIONS(5073),
    [anon_sym_AMP] = ACTIONS(5075),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_LBRACK] = ACTIONS(5079),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1948] = {
    [sym_string_literal] = STATE(3852),
    [sym_template_argument_list] = STATE(3726),
    [sym_raw_string_literal] = STATE(3852),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2892),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4150),
    [anon_sym_COMMA] = ACTIONS(4150),
    [anon_sym_LPAREN2] = ACTIONS(4150),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4147),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4150),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4147),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4145),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5081),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym___extension__] = ACTIONS(4143),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_signed] = ACTIONS(5084),
    [anon_sym_unsigned] = ACTIONS(5084),
    [anon_sym_long] = ACTIONS(5084),
    [anon_sym_short] = ACTIONS(5084),
    [anon_sym_LBRACK] = ACTIONS(4150),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_const] = ACTIONS(4135),
    [anon_sym_constexpr] = ACTIONS(4143),
    [anon_sym_volatile] = ACTIONS(4143),
    [anon_sym_restrict] = ACTIONS(4143),
    [anon_sym___restrict__] = ACTIONS(4143),
    [anon_sym__Atomic] = ACTIONS(4143),
    [anon_sym__Noreturn] = ACTIONS(4143),
    [anon_sym_noreturn] = ACTIONS(4143),
    [anon_sym_mutable] = ACTIONS(4143),
    [anon_sym_constinit] = ACTIONS(4143),
    [anon_sym_consteval] = ACTIONS(4143),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5088),
    [anon_sym_or_eq] = ACTIONS(5088),
    [anon_sym_xor_eq] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(5090),
    [anon_sym_u_DQUOTE] = ACTIONS(5090),
    [anon_sym_U_DQUOTE] = ACTIONS(5090),
    [anon_sym_u8_DQUOTE] = ACTIONS(5090),
    [anon_sym_DQUOTE] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4143),
    [anon_sym_decltype] = ACTIONS(4143),
    [anon_sym_GT2] = ACTIONS(4150),
    [anon_sym_R_DQUOTE] = ACTIONS(5092),
    [anon_sym_LR_DQUOTE] = ACTIONS(5092),
    [anon_sym_uR_DQUOTE] = ACTIONS(5092),
    [anon_sym_UR_DQUOTE] = ACTIONS(5092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5092),
  },
  [1949] = {
    [sym_identifier] = ACTIONS(4995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_TILDE] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4995),
    [anon_sym_GT_GT] = ACTIONS(4995),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym_extern] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4997),
    [anon_sym___declspec] = ACTIONS(4995),
    [anon_sym___based] = ACTIONS(4995),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4995),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_static] = ACTIONS(4995),
    [anon_sym_register] = ACTIONS(4995),
    [anon_sym_inline] = ACTIONS(4995),
    [anon_sym___inline] = ACTIONS(4995),
    [anon_sym___inline__] = ACTIONS(4995),
    [anon_sym___forceinline] = ACTIONS(4995),
    [anon_sym_thread_local] = ACTIONS(4995),
    [anon_sym___thread] = ACTIONS(4995),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_STAR_EQ] = ACTIONS(4997),
    [anon_sym_SLASH_EQ] = ACTIONS(4997),
    [anon_sym_PERCENT_EQ] = ACTIONS(4997),
    [anon_sym_PLUS_EQ] = ACTIONS(4997),
    [anon_sym_DASH_EQ] = ACTIONS(4997),
    [anon_sym_LT_LT_EQ] = ACTIONS(4997),
    [anon_sym_GT_GT_EQ] = ACTIONS(4997),
    [anon_sym_AMP_EQ] = ACTIONS(4997),
    [anon_sym_CARET_EQ] = ACTIONS(4997),
    [anon_sym_PIPE_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4995),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4995),
    [anon_sym_not_eq] = ACTIONS(4995),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4995),
    [anon_sym_decltype] = ACTIONS(4995),
    [anon_sym_virtual] = ACTIONS(4995),
    [anon_sym_alignas] = ACTIONS(4995),
    [anon_sym_template] = ACTIONS(4995),
    [anon_sym_operator] = ACTIONS(4995),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4997),
  },
  [1950] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_TILDE] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym_extern] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5017),
    [anon_sym___declspec] = ACTIONS(5015),
    [anon_sym___based] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_static] = ACTIONS(5015),
    [anon_sym_register] = ACTIONS(5015),
    [anon_sym_inline] = ACTIONS(5015),
    [anon_sym___inline] = ACTIONS(5015),
    [anon_sym___inline__] = ACTIONS(5015),
    [anon_sym___forceinline] = ACTIONS(5015),
    [anon_sym_thread_local] = ACTIONS(5015),
    [anon_sym___thread] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_STAR_EQ] = ACTIONS(5017),
    [anon_sym_SLASH_EQ] = ACTIONS(5017),
    [anon_sym_PERCENT_EQ] = ACTIONS(5017),
    [anon_sym_PLUS_EQ] = ACTIONS(5017),
    [anon_sym_DASH_EQ] = ACTIONS(5017),
    [anon_sym_LT_LT_EQ] = ACTIONS(5017),
    [anon_sym_GT_GT_EQ] = ACTIONS(5017),
    [anon_sym_AMP_EQ] = ACTIONS(5017),
    [anon_sym_CARET_EQ] = ACTIONS(5017),
    [anon_sym_PIPE_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_virtual] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym_template] = ACTIONS(5015),
    [anon_sym_operator] = ACTIONS(5015),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5017),
  },
  [1951] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5041),
    [anon_sym_COMMA] = ACTIONS(5041),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5048),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5051),
  },
  [1952] = {
    [sym_identifier] = ACTIONS(4991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_TILDE] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4991),
    [anon_sym_GT_GT] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4991),
    [anon_sym_extern] = ACTIONS(4991),
    [anon_sym___attribute__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4993),
    [anon_sym___declspec] = ACTIONS(4991),
    [anon_sym___based] = ACTIONS(4991),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4991),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_static] = ACTIONS(4991),
    [anon_sym_register] = ACTIONS(4991),
    [anon_sym_inline] = ACTIONS(4991),
    [anon_sym___inline] = ACTIONS(4991),
    [anon_sym___inline__] = ACTIONS(4991),
    [anon_sym___forceinline] = ACTIONS(4991),
    [anon_sym_thread_local] = ACTIONS(4991),
    [anon_sym___thread] = ACTIONS(4991),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4991),
    [anon_sym_volatile] = ACTIONS(4991),
    [anon_sym_restrict] = ACTIONS(4991),
    [anon_sym___restrict__] = ACTIONS(4991),
    [anon_sym__Atomic] = ACTIONS(4991),
    [anon_sym__Noreturn] = ACTIONS(4991),
    [anon_sym_noreturn] = ACTIONS(4991),
    [anon_sym_mutable] = ACTIONS(4991),
    [anon_sym_constinit] = ACTIONS(4991),
    [anon_sym_consteval] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_STAR_EQ] = ACTIONS(4993),
    [anon_sym_SLASH_EQ] = ACTIONS(4993),
    [anon_sym_PERCENT_EQ] = ACTIONS(4993),
    [anon_sym_PLUS_EQ] = ACTIONS(4993),
    [anon_sym_DASH_EQ] = ACTIONS(4993),
    [anon_sym_LT_LT_EQ] = ACTIONS(4993),
    [anon_sym_GT_GT_EQ] = ACTIONS(4993),
    [anon_sym_AMP_EQ] = ACTIONS(4993),
    [anon_sym_CARET_EQ] = ACTIONS(4993),
    [anon_sym_PIPE_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4991),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4991),
    [anon_sym_not_eq] = ACTIONS(4991),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4991),
    [anon_sym_decltype] = ACTIONS(4991),
    [anon_sym_virtual] = ACTIONS(4991),
    [anon_sym_alignas] = ACTIONS(4991),
    [anon_sym_template] = ACTIONS(4991),
    [anon_sym_operator] = ACTIONS(4991),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4993),
  },
  [1953] = {
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_TILDE] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(4999),
    [anon_sym_extern] = ACTIONS(4999),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5001),
    [anon_sym___declspec] = ACTIONS(4999),
    [anon_sym___based] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_static] = ACTIONS(4999),
    [anon_sym_register] = ACTIONS(4999),
    [anon_sym_inline] = ACTIONS(4999),
    [anon_sym___inline] = ACTIONS(4999),
    [anon_sym___inline__] = ACTIONS(4999),
    [anon_sym___forceinline] = ACTIONS(4999),
    [anon_sym_thread_local] = ACTIONS(4999),
    [anon_sym___thread] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_restrict] = ACTIONS(4999),
    [anon_sym___restrict__] = ACTIONS(4999),
    [anon_sym__Atomic] = ACTIONS(4999),
    [anon_sym__Noreturn] = ACTIONS(4999),
    [anon_sym_noreturn] = ACTIONS(4999),
    [anon_sym_mutable] = ACTIONS(4999),
    [anon_sym_constinit] = ACTIONS(4999),
    [anon_sym_consteval] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_STAR_EQ] = ACTIONS(5001),
    [anon_sym_SLASH_EQ] = ACTIONS(5001),
    [anon_sym_PERCENT_EQ] = ACTIONS(5001),
    [anon_sym_PLUS_EQ] = ACTIONS(5001),
    [anon_sym_DASH_EQ] = ACTIONS(5001),
    [anon_sym_LT_LT_EQ] = ACTIONS(5001),
    [anon_sym_GT_GT_EQ] = ACTIONS(5001),
    [anon_sym_AMP_EQ] = ACTIONS(5001),
    [anon_sym_CARET_EQ] = ACTIONS(5001),
    [anon_sym_PIPE_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_virtual] = ACTIONS(4999),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym_template] = ACTIONS(4999),
    [anon_sym_operator] = ACTIONS(4999),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5001),
  },
  [1954] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5003),
    [anon_sym_GT_GT] = ACTIONS(5003),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5005),
    [anon_sym___declspec] = ACTIONS(5003),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5003),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_register] = ACTIONS(5003),
    [anon_sym_inline] = ACTIONS(5003),
    [anon_sym___inline] = ACTIONS(5003),
    [anon_sym___inline__] = ACTIONS(5003),
    [anon_sym___forceinline] = ACTIONS(5003),
    [anon_sym_thread_local] = ACTIONS(5003),
    [anon_sym___thread] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_STAR_EQ] = ACTIONS(5005),
    [anon_sym_SLASH_EQ] = ACTIONS(5005),
    [anon_sym_PERCENT_EQ] = ACTIONS(5005),
    [anon_sym_PLUS_EQ] = ACTIONS(5005),
    [anon_sym_DASH_EQ] = ACTIONS(5005),
    [anon_sym_LT_LT_EQ] = ACTIONS(5005),
    [anon_sym_GT_GT_EQ] = ACTIONS(5005),
    [anon_sym_AMP_EQ] = ACTIONS(5005),
    [anon_sym_CARET_EQ] = ACTIONS(5005),
    [anon_sym_PIPE_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5003),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5003),
    [anon_sym_not_eq] = ACTIONS(5003),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_alignas] = ACTIONS(5003),
    [anon_sym_template] = ACTIONS(5003),
    [anon_sym_operator] = ACTIONS(5003),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5005),
  },
  [1955] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_TILDE] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym___extension__] = ACTIONS(5007),
    [anon_sym_extern] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5009),
    [anon_sym___declspec] = ACTIONS(5007),
    [anon_sym___based] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_static] = ACTIONS(5007),
    [anon_sym_register] = ACTIONS(5007),
    [anon_sym_inline] = ACTIONS(5007),
    [anon_sym___inline] = ACTIONS(5007),
    [anon_sym___inline__] = ACTIONS(5007),
    [anon_sym___forceinline] = ACTIONS(5007),
    [anon_sym_thread_local] = ACTIONS(5007),
    [anon_sym___thread] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_restrict] = ACTIONS(5007),
    [anon_sym___restrict__] = ACTIONS(5007),
    [anon_sym__Atomic] = ACTIONS(5007),
    [anon_sym__Noreturn] = ACTIONS(5007),
    [anon_sym_noreturn] = ACTIONS(5007),
    [anon_sym_mutable] = ACTIONS(5007),
    [anon_sym_constinit] = ACTIONS(5007),
    [anon_sym_consteval] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_STAR_EQ] = ACTIONS(5009),
    [anon_sym_SLASH_EQ] = ACTIONS(5009),
    [anon_sym_PERCENT_EQ] = ACTIONS(5009),
    [anon_sym_PLUS_EQ] = ACTIONS(5009),
    [anon_sym_DASH_EQ] = ACTIONS(5009),
    [anon_sym_LT_LT_EQ] = ACTIONS(5009),
    [anon_sym_GT_GT_EQ] = ACTIONS(5009),
    [anon_sym_AMP_EQ] = ACTIONS(5009),
    [anon_sym_CARET_EQ] = ACTIONS(5009),
    [anon_sym_PIPE_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5007),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5007),
    [anon_sym_not_eq] = ACTIONS(5007),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_virtual] = ACTIONS(5007),
    [anon_sym_alignas] = ACTIONS(5007),
    [anon_sym_template] = ACTIONS(5007),
    [anon_sym_operator] = ACTIONS(5007),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5009),
  },
  [1956] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_TILDE] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(5011),
    [anon_sym_extern] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5013),
    [anon_sym___declspec] = ACTIONS(5011),
    [anon_sym___based] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_static] = ACTIONS(5011),
    [anon_sym_register] = ACTIONS(5011),
    [anon_sym_inline] = ACTIONS(5011),
    [anon_sym___inline] = ACTIONS(5011),
    [anon_sym___inline__] = ACTIONS(5011),
    [anon_sym___forceinline] = ACTIONS(5011),
    [anon_sym_thread_local] = ACTIONS(5011),
    [anon_sym___thread] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_restrict] = ACTIONS(5011),
    [anon_sym___restrict__] = ACTIONS(5011),
    [anon_sym__Atomic] = ACTIONS(5011),
    [anon_sym__Noreturn] = ACTIONS(5011),
    [anon_sym_noreturn] = ACTIONS(5011),
    [anon_sym_mutable] = ACTIONS(5011),
    [anon_sym_constinit] = ACTIONS(5011),
    [anon_sym_consteval] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_STAR_EQ] = ACTIONS(5013),
    [anon_sym_SLASH_EQ] = ACTIONS(5013),
    [anon_sym_PERCENT_EQ] = ACTIONS(5013),
    [anon_sym_PLUS_EQ] = ACTIONS(5013),
    [anon_sym_DASH_EQ] = ACTIONS(5013),
    [anon_sym_LT_LT_EQ] = ACTIONS(5013),
    [anon_sym_GT_GT_EQ] = ACTIONS(5013),
    [anon_sym_AMP_EQ] = ACTIONS(5013),
    [anon_sym_CARET_EQ] = ACTIONS(5013),
    [anon_sym_PIPE_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5011),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5011),
    [anon_sym_not_eq] = ACTIONS(5011),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_virtual] = ACTIONS(5011),
    [anon_sym_alignas] = ACTIONS(5011),
    [anon_sym_template] = ACTIONS(5011),
    [anon_sym_operator] = ACTIONS(5011),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5013),
  },
  [1957] = {
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_TILDE] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(5001),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(5001),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(5001),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(5001),
    [anon_sym_GT_GT] = ACTIONS(5001),
    [anon_sym_SEMI] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(4999),
    [anon_sym_extern] = ACTIONS(4999),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5001),
    [anon_sym___declspec] = ACTIONS(4999),
    [anon_sym___based] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(4999),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_static] = ACTIONS(4999),
    [anon_sym_register] = ACTIONS(4999),
    [anon_sym_inline] = ACTIONS(4999),
    [anon_sym___inline] = ACTIONS(4999),
    [anon_sym___inline__] = ACTIONS(4999),
    [anon_sym___forceinline] = ACTIONS(4999),
    [anon_sym_thread_local] = ACTIONS(4999),
    [anon_sym___thread] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_restrict] = ACTIONS(4999),
    [anon_sym___restrict__] = ACTIONS(4999),
    [anon_sym__Atomic] = ACTIONS(4999),
    [anon_sym__Noreturn] = ACTIONS(4999),
    [anon_sym_noreturn] = ACTIONS(4999),
    [anon_sym_mutable] = ACTIONS(4999),
    [anon_sym_constinit] = ACTIONS(4999),
    [anon_sym_consteval] = ACTIONS(4999),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_final] = ACTIONS(4999),
    [anon_sym_override] = ACTIONS(4999),
    [anon_sym_virtual] = ACTIONS(4999),
    [anon_sym_alignas] = ACTIONS(4999),
    [anon_sym_template] = ACTIONS(4999),
    [anon_sym_operator] = ACTIONS(4999),
    [anon_sym_try] = ACTIONS(4999),
    [anon_sym_requires] = ACTIONS(4999),
  },
  [1958] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_TILDE] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5005),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5005),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5005),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5005),
    [anon_sym_GT_GT] = ACTIONS(5005),
    [anon_sym_SEMI] = ACTIONS(5005),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym_extern] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5005),
    [anon_sym___declspec] = ACTIONS(5003),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_RBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5003),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_static] = ACTIONS(5003),
    [anon_sym_register] = ACTIONS(5003),
    [anon_sym_inline] = ACTIONS(5003),
    [anon_sym___inline] = ACTIONS(5003),
    [anon_sym___inline__] = ACTIONS(5003),
    [anon_sym___forceinline] = ACTIONS(5003),
    [anon_sym_thread_local] = ACTIONS(5003),
    [anon_sym___thread] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [anon_sym_COLON] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5003),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5003),
    [anon_sym_not_eq] = ACTIONS(5003),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_final] = ACTIONS(5003),
    [anon_sym_override] = ACTIONS(5003),
    [anon_sym_virtual] = ACTIONS(5003),
    [anon_sym_alignas] = ACTIONS(5003),
    [anon_sym_template] = ACTIONS(5003),
    [anon_sym_operator] = ACTIONS(5003),
    [anon_sym_try] = ACTIONS(5003),
    [anon_sym_requires] = ACTIONS(5003),
  },
  [1959] = {
    [sym_identifier] = ACTIONS(4995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_TILDE] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4997),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4997),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4997),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4997),
    [anon_sym_GT_GT] = ACTIONS(4997),
    [anon_sym_SEMI] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym_extern] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4997),
    [anon_sym___declspec] = ACTIONS(4995),
    [anon_sym___based] = ACTIONS(4995),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_RBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4995),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_static] = ACTIONS(4995),
    [anon_sym_register] = ACTIONS(4995),
    [anon_sym_inline] = ACTIONS(4995),
    [anon_sym___inline] = ACTIONS(4995),
    [anon_sym___inline__] = ACTIONS(4995),
    [anon_sym___forceinline] = ACTIONS(4995),
    [anon_sym_thread_local] = ACTIONS(4995),
    [anon_sym___thread] = ACTIONS(4995),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [anon_sym_COLON] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4995),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4995),
    [anon_sym_not_eq] = ACTIONS(4995),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4995),
    [anon_sym_decltype] = ACTIONS(4995),
    [anon_sym_final] = ACTIONS(4995),
    [anon_sym_override] = ACTIONS(4995),
    [anon_sym_virtual] = ACTIONS(4995),
    [anon_sym_alignas] = ACTIONS(4995),
    [anon_sym_template] = ACTIONS(4995),
    [anon_sym_operator] = ACTIONS(4995),
    [anon_sym_try] = ACTIONS(4995),
    [anon_sym_requires] = ACTIONS(4995),
  },
  [1960] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_TILDE] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5013),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5013),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5013),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5013),
    [anon_sym_GT_GT] = ACTIONS(5013),
    [anon_sym_SEMI] = ACTIONS(5013),
    [anon_sym___extension__] = ACTIONS(5011),
    [anon_sym_extern] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5013),
    [anon_sym___declspec] = ACTIONS(5011),
    [anon_sym___based] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_RBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5011),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_static] = ACTIONS(5011),
    [anon_sym_register] = ACTIONS(5011),
    [anon_sym_inline] = ACTIONS(5011),
    [anon_sym___inline] = ACTIONS(5011),
    [anon_sym___inline__] = ACTIONS(5011),
    [anon_sym___forceinline] = ACTIONS(5011),
    [anon_sym_thread_local] = ACTIONS(5011),
    [anon_sym___thread] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_restrict] = ACTIONS(5011),
    [anon_sym___restrict__] = ACTIONS(5011),
    [anon_sym__Atomic] = ACTIONS(5011),
    [anon_sym__Noreturn] = ACTIONS(5011),
    [anon_sym_noreturn] = ACTIONS(5011),
    [anon_sym_mutable] = ACTIONS(5011),
    [anon_sym_constinit] = ACTIONS(5011),
    [anon_sym_consteval] = ACTIONS(5011),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5011),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5011),
    [anon_sym_not_eq] = ACTIONS(5011),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_final] = ACTIONS(5011),
    [anon_sym_override] = ACTIONS(5011),
    [anon_sym_virtual] = ACTIONS(5011),
    [anon_sym_alignas] = ACTIONS(5011),
    [anon_sym_template] = ACTIONS(5011),
    [anon_sym_operator] = ACTIONS(5011),
    [anon_sym_try] = ACTIONS(5011),
    [anon_sym_requires] = ACTIONS(5011),
  },
  [1961] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_TILDE] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5009),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5009),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5009),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5009),
    [anon_sym_GT_GT] = ACTIONS(5009),
    [anon_sym_SEMI] = ACTIONS(5009),
    [anon_sym___extension__] = ACTIONS(5007),
    [anon_sym_extern] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5009),
    [anon_sym___declspec] = ACTIONS(5007),
    [anon_sym___based] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_RBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5007),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_static] = ACTIONS(5007),
    [anon_sym_register] = ACTIONS(5007),
    [anon_sym_inline] = ACTIONS(5007),
    [anon_sym___inline] = ACTIONS(5007),
    [anon_sym___inline__] = ACTIONS(5007),
    [anon_sym___forceinline] = ACTIONS(5007),
    [anon_sym_thread_local] = ACTIONS(5007),
    [anon_sym___thread] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_restrict] = ACTIONS(5007),
    [anon_sym___restrict__] = ACTIONS(5007),
    [anon_sym__Atomic] = ACTIONS(5007),
    [anon_sym__Noreturn] = ACTIONS(5007),
    [anon_sym_noreturn] = ACTIONS(5007),
    [anon_sym_mutable] = ACTIONS(5007),
    [anon_sym_constinit] = ACTIONS(5007),
    [anon_sym_consteval] = ACTIONS(5007),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5007),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5007),
    [anon_sym_not_eq] = ACTIONS(5007),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_final] = ACTIONS(5007),
    [anon_sym_override] = ACTIONS(5007),
    [anon_sym_virtual] = ACTIONS(5007),
    [anon_sym_alignas] = ACTIONS(5007),
    [anon_sym_template] = ACTIONS(5007),
    [anon_sym_operator] = ACTIONS(5007),
    [anon_sym_try] = ACTIONS(5007),
    [anon_sym_requires] = ACTIONS(5007),
  },
  [1962] = {
    [sym_identifier] = ACTIONS(4991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_TILDE] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4993),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4993),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4993),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4993),
    [anon_sym_GT_GT] = ACTIONS(4993),
    [anon_sym_SEMI] = ACTIONS(4993),
    [anon_sym___extension__] = ACTIONS(4991),
    [anon_sym_extern] = ACTIONS(4991),
    [anon_sym___attribute__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4993),
    [anon_sym___declspec] = ACTIONS(4991),
    [anon_sym___based] = ACTIONS(4991),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4991),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_static] = ACTIONS(4991),
    [anon_sym_register] = ACTIONS(4991),
    [anon_sym_inline] = ACTIONS(4991),
    [anon_sym___inline] = ACTIONS(4991),
    [anon_sym___inline__] = ACTIONS(4991),
    [anon_sym___forceinline] = ACTIONS(4991),
    [anon_sym_thread_local] = ACTIONS(4991),
    [anon_sym___thread] = ACTIONS(4991),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4991),
    [anon_sym_volatile] = ACTIONS(4991),
    [anon_sym_restrict] = ACTIONS(4991),
    [anon_sym___restrict__] = ACTIONS(4991),
    [anon_sym__Atomic] = ACTIONS(4991),
    [anon_sym__Noreturn] = ACTIONS(4991),
    [anon_sym_noreturn] = ACTIONS(4991),
    [anon_sym_mutable] = ACTIONS(4991),
    [anon_sym_constinit] = ACTIONS(4991),
    [anon_sym_consteval] = ACTIONS(4991),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4991),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4991),
    [anon_sym_not_eq] = ACTIONS(4991),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4991),
    [anon_sym_decltype] = ACTIONS(4991),
    [anon_sym_final] = ACTIONS(4991),
    [anon_sym_override] = ACTIONS(4991),
    [anon_sym_virtual] = ACTIONS(4991),
    [anon_sym_alignas] = ACTIONS(4991),
    [anon_sym_template] = ACTIONS(4991),
    [anon_sym_operator] = ACTIONS(4991),
    [anon_sym_try] = ACTIONS(4991),
    [anon_sym_requires] = ACTIONS(4991),
  },
  [1963] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_TILDE] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5017),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5017),
    [anon_sym_GT_GT] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym_extern] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5017),
    [anon_sym___declspec] = ACTIONS(5015),
    [anon_sym___based] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_RBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5015),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_static] = ACTIONS(5015),
    [anon_sym_register] = ACTIONS(5015),
    [anon_sym_inline] = ACTIONS(5015),
    [anon_sym___inline] = ACTIONS(5015),
    [anon_sym___inline__] = ACTIONS(5015),
    [anon_sym___forceinline] = ACTIONS(5015),
    [anon_sym_thread_local] = ACTIONS(5015),
    [anon_sym___thread] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_final] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
    [anon_sym_virtual] = ACTIONS(5015),
    [anon_sym_alignas] = ACTIONS(5015),
    [anon_sym_template] = ACTIONS(5015),
    [anon_sym_operator] = ACTIONS(5015),
    [anon_sym_try] = ACTIONS(5015),
    [anon_sym_requires] = ACTIONS(5015),
  },
  [1964] = {
    [sym_function_definition] = STATE(571),
    [sym_declaration] = STATE(571),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2216),
    [sym_declaration_list] = STATE(571),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5098),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1965] = {
    [sym_function_definition] = STATE(978),
    [sym_declaration] = STATE(978),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2242),
    [sym_declaration_list] = STATE(978),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5100),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1966] = {
    [sym_function_definition] = STATE(391),
    [sym_declaration] = STATE(391),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2214),
    [sym_declaration_list] = STATE(391),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5102),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1967] = {
    [sym_function_definition] = STATE(846),
    [sym_declaration] = STATE(846),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_declaration_list] = STATE(846),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5104),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1968] = {
    [sym_function_definition] = STATE(926),
    [sym_declaration] = STATE(926),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2268),
    [sym_declaration_list] = STATE(926),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_LBRACE] = ACTIONS(5106),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1969] = {
    [sym_function_definition] = STATE(2360),
    [sym_declaration] = STATE(2360),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5547),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2228),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8636),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5110),
    [anon_sym_struct] = ACTIONS(5112),
    [anon_sym_union] = ACTIONS(5114),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1970] = {
    [sym_function_definition] = STATE(922),
    [sym_declaration] = STATE(922),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5539),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2268),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8868),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5116),
    [anon_sym_struct] = ACTIONS(5118),
    [anon_sym_union] = ACTIONS(5120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1971] = {
    [sym_function_definition] = STATE(2603),
    [sym_declaration] = STATE(2603),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5522),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2212),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8455),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5122),
    [anon_sym_struct] = ACTIONS(5124),
    [anon_sym_union] = ACTIONS(5126),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1972] = {
    [sym_function_definition] = STATE(2182),
    [sym_declaration] = STATE(2182),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5517),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2265),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9287),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5128),
    [anon_sym_struct] = ACTIONS(5130),
    [anon_sym_union] = ACTIONS(5132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1973] = {
    [sym_function_definition] = STATE(949),
    [sym_declaration] = STATE(949),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5571),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2203),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9298),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5134),
    [anon_sym_struct] = ACTIONS(5136),
    [anon_sym_union] = ACTIONS(5138),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1974] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5044),
    [anon_sym_COMMA] = ACTIONS(5044),
    [anon_sym_RPAREN] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_STAR] = ACTIONS(5044),
    [anon_sym_PIPE_PIPE] = ACTIONS(5044),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(5039),
    [anon_sym_SEMI] = ACTIONS(5044),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym___cdecl] = ACTIONS(5039),
    [anon_sym___clrcall] = ACTIONS(5039),
    [anon_sym___stdcall] = ACTIONS(5039),
    [anon_sym___fastcall] = ACTIONS(5039),
    [anon_sym___thiscall] = ACTIONS(5039),
    [anon_sym___vectorcall] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_signed] = ACTIONS(5039),
    [anon_sym_unsigned] = ACTIONS(5039),
    [anon_sym_long] = ACTIONS(5039),
    [anon_sym_short] = ACTIONS(5039),
    [anon_sym_LBRACK] = ACTIONS(5039),
    [anon_sym_EQ] = ACTIONS(5044),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [sym_primitive_type] = ACTIONS(5039),
    [anon_sym_enum] = ACTIONS(5039),
    [anon_sym_class] = ACTIONS(5039),
    [anon_sym_struct] = ACTIONS(5039),
    [anon_sym_union] = ACTIONS(5039),
    [anon_sym_COLON] = ACTIONS(5039),
    [anon_sym_or] = ACTIONS(5039),
    [anon_sym_and] = ACTIONS(5039),
    [anon_sym_asm] = ACTIONS(5039),
    [anon_sym___asm__] = ACTIONS(5039),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_final] = ACTIONS(5039),
    [anon_sym_override] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_explicit] = ACTIONS(5039),
    [anon_sym_typename] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_GT2] = ACTIONS(5044),
    [anon_sym_operator] = ACTIONS(5039),
    [anon_sym_try] = ACTIONS(5039),
    [anon_sym_friend] = ACTIONS(5039),
    [anon_sym_using] = ACTIONS(5039),
    [anon_sym_concept] = ACTIONS(5039),
    [anon_sym_requires] = ACTIONS(5039),
  },
  [1975] = {
    [sym_function_definition] = STATE(964),
    [sym_declaration] = STATE(964),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5550),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2242),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8597),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5140),
    [anon_sym_struct] = ACTIONS(5142),
    [anon_sym_union] = ACTIONS(5144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1976] = {
    [sym_function_definition] = STATE(419),
    [sym_declaration] = STATE(419),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5528),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2214),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8676),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5146),
    [anon_sym_struct] = ACTIONS(5148),
    [anon_sym_union] = ACTIONS(5150),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1977] = {
    [sym_function_definition] = STATE(2646),
    [sym_declaration] = STATE(2646),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5568),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2283),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(8536),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5152),
    [anon_sym_struct] = ACTIONS(5154),
    [anon_sym_union] = ACTIONS(5156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1978] = {
    [sym_function_definition] = STATE(551),
    [sym_declaration] = STATE(551),
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5531),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_ms_call_modifier] = STATE(2216),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym__class_name] = STATE(9049),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(4755),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4756),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5108),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym___cdecl] = ACTIONS(49),
    [anon_sym___clrcall] = ACTIONS(49),
    [anon_sym___stdcall] = ACTIONS(49),
    [anon_sym___fastcall] = ACTIONS(49),
    [anon_sym___thiscall] = ACTIONS(49),
    [anon_sym___vectorcall] = ACTIONS(49),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(5158),
    [anon_sym_struct] = ACTIONS(5160),
    [anon_sym_union] = ACTIONS(5162),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [1979] = {
    [sym_string_literal] = STATE(1985),
    [sym_template_argument_list] = STATE(2641),
    [sym_raw_string_literal] = STATE(1985),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [aux_sym_preproc_if_token2] = ACTIONS(4137),
    [aux_sym_preproc_else_token1] = ACTIONS(4137),
    [aux_sym_preproc_elif_token1] = ACTIONS(4145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5164),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_RBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_COLON] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
  },
  [1980] = {
    [sym_identifier] = ACTIONS(5167),
    [anon_sym_COMMA] = ACTIONS(5169),
    [anon_sym_RPAREN] = ACTIONS(5169),
    [anon_sym_LPAREN2] = ACTIONS(5169),
    [anon_sym_TILDE] = ACTIONS(5169),
    [anon_sym_STAR] = ACTIONS(5169),
    [anon_sym_PIPE_PIPE] = ACTIONS(5169),
    [anon_sym_AMP_AMP] = ACTIONS(5169),
    [anon_sym_AMP] = ACTIONS(5167),
    [anon_sym_SEMI] = ACTIONS(5169),
    [anon_sym___extension__] = ACTIONS(5167),
    [anon_sym_extern] = ACTIONS(5167),
    [anon_sym___attribute__] = ACTIONS(5167),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym___declspec] = ACTIONS(5167),
    [anon_sym___based] = ACTIONS(5167),
    [anon_sym___cdecl] = ACTIONS(5167),
    [anon_sym___clrcall] = ACTIONS(5167),
    [anon_sym___stdcall] = ACTIONS(5167),
    [anon_sym___fastcall] = ACTIONS(5167),
    [anon_sym___thiscall] = ACTIONS(5167),
    [anon_sym___vectorcall] = ACTIONS(5167),
    [anon_sym_LBRACE] = ACTIONS(5169),
    [anon_sym_signed] = ACTIONS(5167),
    [anon_sym_unsigned] = ACTIONS(5167),
    [anon_sym_long] = ACTIONS(5167),
    [anon_sym_short] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5167),
    [anon_sym_EQ] = ACTIONS(5169),
    [anon_sym_static] = ACTIONS(5167),
    [anon_sym_register] = ACTIONS(5167),
    [anon_sym_inline] = ACTIONS(5167),
    [anon_sym___inline] = ACTIONS(5167),
    [anon_sym___inline__] = ACTIONS(5167),
    [anon_sym___forceinline] = ACTIONS(5167),
    [anon_sym_thread_local] = ACTIONS(5167),
    [anon_sym___thread] = ACTIONS(5167),
    [anon_sym_const] = ACTIONS(5167),
    [anon_sym_constexpr] = ACTIONS(5167),
    [anon_sym_volatile] = ACTIONS(5167),
    [anon_sym_restrict] = ACTIONS(5167),
    [anon_sym___restrict__] = ACTIONS(5167),
    [anon_sym__Atomic] = ACTIONS(5167),
    [anon_sym__Noreturn] = ACTIONS(5167),
    [anon_sym_noreturn] = ACTIONS(5167),
    [anon_sym_mutable] = ACTIONS(5167),
    [anon_sym_constinit] = ACTIONS(5167),
    [anon_sym_consteval] = ACTIONS(5167),
    [sym_primitive_type] = ACTIONS(5167),
    [anon_sym_enum] = ACTIONS(5167),
    [anon_sym_class] = ACTIONS(5167),
    [anon_sym_struct] = ACTIONS(5167),
    [anon_sym_union] = ACTIONS(5167),
    [anon_sym_or] = ACTIONS(5167),
    [anon_sym_and] = ACTIONS(5167),
    [anon_sym_asm] = ACTIONS(5167),
    [anon_sym___asm__] = ACTIONS(5167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5167),
    [anon_sym_decltype] = ACTIONS(5167),
    [anon_sym_final] = ACTIONS(5167),
    [anon_sym_override] = ACTIONS(5167),
    [anon_sym_virtual] = ACTIONS(5167),
    [anon_sym_alignas] = ACTIONS(5167),
    [anon_sym_explicit] = ACTIONS(5167),
    [anon_sym_typename] = ACTIONS(5167),
    [anon_sym_template] = ACTIONS(5167),
    [anon_sym_GT2] = ACTIONS(5169),
    [anon_sym_operator] = ACTIONS(5167),
    [anon_sym_try] = ACTIONS(5167),
    [anon_sym_friend] = ACTIONS(5167),
    [anon_sym_using] = ACTIONS(5167),
    [anon_sym_concept] = ACTIONS(5167),
    [anon_sym_requires] = ACTIONS(5167),
  },
  [1981] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7876),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_type_parameter_declaration] = STATE(7876),
    [sym_variadic_type_parameter_declaration] = STATE(7876),
    [sym_optional_type_parameter_declaration] = STATE(7876),
    [sym_template_template_parameter_declaration] = STATE(7876),
    [sym_optional_parameter_declaration] = STATE(7876),
    [sym_variadic_parameter_declaration] = STATE(7876),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(5171),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5173),
    [anon_sym_template] = ACTIONS(5175),
    [anon_sym_GT2] = ACTIONS(5177),
  },
  [1982] = {
    [sym_identifier] = ACTIONS(5179),
    [anon_sym_COMMA] = ACTIONS(5181),
    [anon_sym_RPAREN] = ACTIONS(5181),
    [anon_sym_LPAREN2] = ACTIONS(5181),
    [anon_sym_TILDE] = ACTIONS(5181),
    [anon_sym_STAR] = ACTIONS(5181),
    [anon_sym_PIPE_PIPE] = ACTIONS(5181),
    [anon_sym_AMP_AMP] = ACTIONS(5181),
    [anon_sym_AMP] = ACTIONS(5179),
    [anon_sym_SEMI] = ACTIONS(5181),
    [anon_sym___extension__] = ACTIONS(5179),
    [anon_sym_extern] = ACTIONS(5179),
    [anon_sym___attribute__] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(5181),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5181),
    [anon_sym___declspec] = ACTIONS(5179),
    [anon_sym___based] = ACTIONS(5179),
    [anon_sym___cdecl] = ACTIONS(5179),
    [anon_sym___clrcall] = ACTIONS(5179),
    [anon_sym___stdcall] = ACTIONS(5179),
    [anon_sym___fastcall] = ACTIONS(5179),
    [anon_sym___thiscall] = ACTIONS(5179),
    [anon_sym___vectorcall] = ACTIONS(5179),
    [anon_sym_LBRACE] = ACTIONS(5181),
    [anon_sym_signed] = ACTIONS(5179),
    [anon_sym_unsigned] = ACTIONS(5179),
    [anon_sym_long] = ACTIONS(5179),
    [anon_sym_short] = ACTIONS(5179),
    [anon_sym_LBRACK] = ACTIONS(5179),
    [anon_sym_EQ] = ACTIONS(5181),
    [anon_sym_static] = ACTIONS(5179),
    [anon_sym_register] = ACTIONS(5179),
    [anon_sym_inline] = ACTIONS(5179),
    [anon_sym___inline] = ACTIONS(5179),
    [anon_sym___inline__] = ACTIONS(5179),
    [anon_sym___forceinline] = ACTIONS(5179),
    [anon_sym_thread_local] = ACTIONS(5179),
    [anon_sym___thread] = ACTIONS(5179),
    [anon_sym_const] = ACTIONS(5179),
    [anon_sym_constexpr] = ACTIONS(5179),
    [anon_sym_volatile] = ACTIONS(5179),
    [anon_sym_restrict] = ACTIONS(5179),
    [anon_sym___restrict__] = ACTIONS(5179),
    [anon_sym__Atomic] = ACTIONS(5179),
    [anon_sym__Noreturn] = ACTIONS(5179),
    [anon_sym_noreturn] = ACTIONS(5179),
    [anon_sym_mutable] = ACTIONS(5179),
    [anon_sym_constinit] = ACTIONS(5179),
    [anon_sym_consteval] = ACTIONS(5179),
    [sym_primitive_type] = ACTIONS(5179),
    [anon_sym_enum] = ACTIONS(5179),
    [anon_sym_class] = ACTIONS(5179),
    [anon_sym_struct] = ACTIONS(5179),
    [anon_sym_union] = ACTIONS(5179),
    [anon_sym_or] = ACTIONS(5179),
    [anon_sym_and] = ACTIONS(5179),
    [anon_sym_asm] = ACTIONS(5179),
    [anon_sym___asm__] = ACTIONS(5179),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5179),
    [anon_sym_decltype] = ACTIONS(5179),
    [anon_sym_final] = ACTIONS(5179),
    [anon_sym_override] = ACTIONS(5179),
    [anon_sym_virtual] = ACTIONS(5179),
    [anon_sym_alignas] = ACTIONS(5179),
    [anon_sym_explicit] = ACTIONS(5179),
    [anon_sym_typename] = ACTIONS(5179),
    [anon_sym_template] = ACTIONS(5179),
    [anon_sym_GT2] = ACTIONS(5181),
    [anon_sym_operator] = ACTIONS(5179),
    [anon_sym_try] = ACTIONS(5179),
    [anon_sym_friend] = ACTIONS(5179),
    [anon_sym_using] = ACTIONS(5179),
    [anon_sym_concept] = ACTIONS(5179),
    [anon_sym_requires] = ACTIONS(5179),
  },
  [1983] = {
    [sym_identifier] = ACTIONS(5183),
    [anon_sym_COMMA] = ACTIONS(5185),
    [anon_sym_RPAREN] = ACTIONS(5185),
    [anon_sym_LPAREN2] = ACTIONS(5185),
    [anon_sym_TILDE] = ACTIONS(5185),
    [anon_sym_STAR] = ACTIONS(5185),
    [anon_sym_PIPE_PIPE] = ACTIONS(5185),
    [anon_sym_AMP_AMP] = ACTIONS(5185),
    [anon_sym_AMP] = ACTIONS(5183),
    [anon_sym_SEMI] = ACTIONS(5185),
    [anon_sym___extension__] = ACTIONS(5183),
    [anon_sym_extern] = ACTIONS(5183),
    [anon_sym___attribute__] = ACTIONS(5183),
    [anon_sym_COLON_COLON] = ACTIONS(5185),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5185),
    [anon_sym___declspec] = ACTIONS(5183),
    [anon_sym___based] = ACTIONS(5183),
    [anon_sym___cdecl] = ACTIONS(5183),
    [anon_sym___clrcall] = ACTIONS(5183),
    [anon_sym___stdcall] = ACTIONS(5183),
    [anon_sym___fastcall] = ACTIONS(5183),
    [anon_sym___thiscall] = ACTIONS(5183),
    [anon_sym___vectorcall] = ACTIONS(5183),
    [anon_sym_LBRACE] = ACTIONS(5185),
    [anon_sym_signed] = ACTIONS(5183),
    [anon_sym_unsigned] = ACTIONS(5183),
    [anon_sym_long] = ACTIONS(5183),
    [anon_sym_short] = ACTIONS(5183),
    [anon_sym_LBRACK] = ACTIONS(5183),
    [anon_sym_EQ] = ACTIONS(5185),
    [anon_sym_static] = ACTIONS(5183),
    [anon_sym_register] = ACTIONS(5183),
    [anon_sym_inline] = ACTIONS(5183),
    [anon_sym___inline] = ACTIONS(5183),
    [anon_sym___inline__] = ACTIONS(5183),
    [anon_sym___forceinline] = ACTIONS(5183),
    [anon_sym_thread_local] = ACTIONS(5183),
    [anon_sym___thread] = ACTIONS(5183),
    [anon_sym_const] = ACTIONS(5183),
    [anon_sym_constexpr] = ACTIONS(5183),
    [anon_sym_volatile] = ACTIONS(5183),
    [anon_sym_restrict] = ACTIONS(5183),
    [anon_sym___restrict__] = ACTIONS(5183),
    [anon_sym__Atomic] = ACTIONS(5183),
    [anon_sym__Noreturn] = ACTIONS(5183),
    [anon_sym_noreturn] = ACTIONS(5183),
    [anon_sym_mutable] = ACTIONS(5183),
    [anon_sym_constinit] = ACTIONS(5183),
    [anon_sym_consteval] = ACTIONS(5183),
    [sym_primitive_type] = ACTIONS(5183),
    [anon_sym_enum] = ACTIONS(5183),
    [anon_sym_class] = ACTIONS(5183),
    [anon_sym_struct] = ACTIONS(5183),
    [anon_sym_union] = ACTIONS(5183),
    [anon_sym_or] = ACTIONS(5183),
    [anon_sym_and] = ACTIONS(5183),
    [anon_sym_asm] = ACTIONS(5183),
    [anon_sym___asm__] = ACTIONS(5183),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5183),
    [anon_sym_decltype] = ACTIONS(5183),
    [anon_sym_final] = ACTIONS(5183),
    [anon_sym_override] = ACTIONS(5183),
    [anon_sym_virtual] = ACTIONS(5183),
    [anon_sym_alignas] = ACTIONS(5183),
    [anon_sym_explicit] = ACTIONS(5183),
    [anon_sym_typename] = ACTIONS(5183),
    [anon_sym_template] = ACTIONS(5183),
    [anon_sym_GT2] = ACTIONS(5185),
    [anon_sym_operator] = ACTIONS(5183),
    [anon_sym_try] = ACTIONS(5183),
    [anon_sym_friend] = ACTIONS(5183),
    [anon_sym_using] = ACTIONS(5183),
    [anon_sym_concept] = ACTIONS(5183),
    [anon_sym_requires] = ACTIONS(5183),
  },
  [1984] = {
    [sym_identifier] = ACTIONS(5187),
    [anon_sym_COMMA] = ACTIONS(5189),
    [anon_sym_RPAREN] = ACTIONS(5189),
    [anon_sym_LPAREN2] = ACTIONS(5189),
    [anon_sym_TILDE] = ACTIONS(5189),
    [anon_sym_STAR] = ACTIONS(5189),
    [anon_sym_PIPE_PIPE] = ACTIONS(5189),
    [anon_sym_AMP_AMP] = ACTIONS(5189),
    [anon_sym_AMP] = ACTIONS(5187),
    [anon_sym_SEMI] = ACTIONS(5189),
    [anon_sym___extension__] = ACTIONS(5187),
    [anon_sym_extern] = ACTIONS(5187),
    [anon_sym___attribute__] = ACTIONS(5187),
    [anon_sym_COLON_COLON] = ACTIONS(5189),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5189),
    [anon_sym___declspec] = ACTIONS(5187),
    [anon_sym___based] = ACTIONS(5187),
    [anon_sym___cdecl] = ACTIONS(5187),
    [anon_sym___clrcall] = ACTIONS(5187),
    [anon_sym___stdcall] = ACTIONS(5187),
    [anon_sym___fastcall] = ACTIONS(5187),
    [anon_sym___thiscall] = ACTIONS(5187),
    [anon_sym___vectorcall] = ACTIONS(5187),
    [anon_sym_LBRACE] = ACTIONS(5189),
    [anon_sym_signed] = ACTIONS(5187),
    [anon_sym_unsigned] = ACTIONS(5187),
    [anon_sym_long] = ACTIONS(5187),
    [anon_sym_short] = ACTIONS(5187),
    [anon_sym_LBRACK] = ACTIONS(5187),
    [anon_sym_EQ] = ACTIONS(5189),
    [anon_sym_static] = ACTIONS(5187),
    [anon_sym_register] = ACTIONS(5187),
    [anon_sym_inline] = ACTIONS(5187),
    [anon_sym___inline] = ACTIONS(5187),
    [anon_sym___inline__] = ACTIONS(5187),
    [anon_sym___forceinline] = ACTIONS(5187),
    [anon_sym_thread_local] = ACTIONS(5187),
    [anon_sym___thread] = ACTIONS(5187),
    [anon_sym_const] = ACTIONS(5187),
    [anon_sym_constexpr] = ACTIONS(5187),
    [anon_sym_volatile] = ACTIONS(5187),
    [anon_sym_restrict] = ACTIONS(5187),
    [anon_sym___restrict__] = ACTIONS(5187),
    [anon_sym__Atomic] = ACTIONS(5187),
    [anon_sym__Noreturn] = ACTIONS(5187),
    [anon_sym_noreturn] = ACTIONS(5187),
    [anon_sym_mutable] = ACTIONS(5187),
    [anon_sym_constinit] = ACTIONS(5187),
    [anon_sym_consteval] = ACTIONS(5187),
    [sym_primitive_type] = ACTIONS(5187),
    [anon_sym_enum] = ACTIONS(5187),
    [anon_sym_class] = ACTIONS(5187),
    [anon_sym_struct] = ACTIONS(5187),
    [anon_sym_union] = ACTIONS(5187),
    [anon_sym_or] = ACTIONS(5187),
    [anon_sym_and] = ACTIONS(5187),
    [anon_sym_asm] = ACTIONS(5187),
    [anon_sym___asm__] = ACTIONS(5187),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5187),
    [anon_sym_decltype] = ACTIONS(5187),
    [anon_sym_final] = ACTIONS(5187),
    [anon_sym_override] = ACTIONS(5187),
    [anon_sym_virtual] = ACTIONS(5187),
    [anon_sym_alignas] = ACTIONS(5187),
    [anon_sym_explicit] = ACTIONS(5187),
    [anon_sym_typename] = ACTIONS(5187),
    [anon_sym_template] = ACTIONS(5187),
    [anon_sym_GT2] = ACTIONS(5189),
    [anon_sym_operator] = ACTIONS(5187),
    [anon_sym_try] = ACTIONS(5187),
    [anon_sym_friend] = ACTIONS(5187),
    [anon_sym_using] = ACTIONS(5187),
    [anon_sym_concept] = ACTIONS(5187),
    [anon_sym_requires] = ACTIONS(5187),
  },
  [1985] = {
    [sym_string_literal] = STATE(1986),
    [sym_raw_string_literal] = STATE(1986),
    [aux_sym_concatenated_string_repeat1] = STATE(1986),
    [sym_identifier] = ACTIONS(5191),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5193),
    [anon_sym_COMMA] = ACTIONS(5193),
    [anon_sym_RPAREN] = ACTIONS(5193),
    [aux_sym_preproc_if_token2] = ACTIONS(5193),
    [aux_sym_preproc_else_token1] = ACTIONS(5193),
    [aux_sym_preproc_elif_token1] = ACTIONS(5195),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5193),
    [anon_sym_LPAREN2] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5193),
    [anon_sym_AMP_AMP] = ACTIONS(5193),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5193),
    [anon_sym_BANG_EQ] = ACTIONS(5193),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5193),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_SEMI] = ACTIONS(5193),
    [anon_sym_RBRACE] = ACTIONS(5193),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_RBRACK] = ACTIONS(5193),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_COLON] = ACTIONS(5193),
    [anon_sym_QMARK] = ACTIONS(5193),
    [anon_sym_STAR_EQ] = ACTIONS(5193),
    [anon_sym_SLASH_EQ] = ACTIONS(5193),
    [anon_sym_PERCENT_EQ] = ACTIONS(5193),
    [anon_sym_PLUS_EQ] = ACTIONS(5193),
    [anon_sym_DASH_EQ] = ACTIONS(5193),
    [anon_sym_LT_LT_EQ] = ACTIONS(5193),
    [anon_sym_GT_GT_EQ] = ACTIONS(5193),
    [anon_sym_AMP_EQ] = ACTIONS(5193),
    [anon_sym_CARET_EQ] = ACTIONS(5193),
    [anon_sym_PIPE_EQ] = ACTIONS(5193),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5193),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5193),
    [anon_sym_PLUS_PLUS] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5193),
    [anon_sym_DASH_GT] = ACTIONS(5193),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [1986] = {
    [sym_string_literal] = STATE(1998),
    [sym_raw_string_literal] = STATE(1998),
    [aux_sym_concatenated_string_repeat1] = STATE(1998),
    [sym_identifier] = ACTIONS(5197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5199),
    [anon_sym_COMMA] = ACTIONS(5199),
    [anon_sym_RPAREN] = ACTIONS(5199),
    [aux_sym_preproc_if_token2] = ACTIONS(5199),
    [aux_sym_preproc_else_token1] = ACTIONS(5199),
    [aux_sym_preproc_elif_token1] = ACTIONS(5201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5199),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5199),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5199),
    [anon_sym_AMP_AMP] = ACTIONS(5199),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5199),
    [anon_sym_BANG_EQ] = ACTIONS(5199),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5199),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_SEMI] = ACTIONS(5199),
    [anon_sym_RBRACE] = ACTIONS(5199),
    [anon_sym_LBRACK] = ACTIONS(5199),
    [anon_sym_RBRACK] = ACTIONS(5199),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_COLON] = ACTIONS(5199),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_STAR_EQ] = ACTIONS(5199),
    [anon_sym_SLASH_EQ] = ACTIONS(5199),
    [anon_sym_PERCENT_EQ] = ACTIONS(5199),
    [anon_sym_PLUS_EQ] = ACTIONS(5199),
    [anon_sym_DASH_EQ] = ACTIONS(5199),
    [anon_sym_LT_LT_EQ] = ACTIONS(5199),
    [anon_sym_GT_GT_EQ] = ACTIONS(5199),
    [anon_sym_AMP_EQ] = ACTIONS(5199),
    [anon_sym_CARET_EQ] = ACTIONS(5199),
    [anon_sym_PIPE_EQ] = ACTIONS(5199),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5199),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5199),
    [anon_sym_PLUS_PLUS] = ACTIONS(5199),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5199),
    [anon_sym_DASH_GT] = ACTIONS(5199),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [1987] = {
    [sym_identifier] = ACTIONS(5167),
    [anon_sym_COMMA] = ACTIONS(5169),
    [anon_sym_RPAREN] = ACTIONS(5169),
    [anon_sym_LPAREN2] = ACTIONS(5169),
    [anon_sym_TILDE] = ACTIONS(5169),
    [anon_sym_STAR] = ACTIONS(5169),
    [anon_sym_PIPE_PIPE] = ACTIONS(5169),
    [anon_sym_AMP_AMP] = ACTIONS(5169),
    [anon_sym_AMP] = ACTIONS(5167),
    [anon_sym_SEMI] = ACTIONS(5169),
    [anon_sym___extension__] = ACTIONS(5167),
    [anon_sym_extern] = ACTIONS(5167),
    [anon_sym___attribute__] = ACTIONS(5167),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym___declspec] = ACTIONS(5167),
    [anon_sym___based] = ACTIONS(5167),
    [anon_sym___cdecl] = ACTIONS(5167),
    [anon_sym___clrcall] = ACTIONS(5167),
    [anon_sym___stdcall] = ACTIONS(5167),
    [anon_sym___fastcall] = ACTIONS(5167),
    [anon_sym___thiscall] = ACTIONS(5167),
    [anon_sym___vectorcall] = ACTIONS(5167),
    [anon_sym_LBRACE] = ACTIONS(5169),
    [anon_sym_signed] = ACTIONS(5167),
    [anon_sym_unsigned] = ACTIONS(5167),
    [anon_sym_long] = ACTIONS(5167),
    [anon_sym_short] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5167),
    [anon_sym_EQ] = ACTIONS(5169),
    [anon_sym_static] = ACTIONS(5167),
    [anon_sym_register] = ACTIONS(5167),
    [anon_sym_inline] = ACTIONS(5167),
    [anon_sym___inline] = ACTIONS(5167),
    [anon_sym___inline__] = ACTIONS(5167),
    [anon_sym___forceinline] = ACTIONS(5167),
    [anon_sym_thread_local] = ACTIONS(5167),
    [anon_sym___thread] = ACTIONS(5167),
    [anon_sym_const] = ACTIONS(5167),
    [anon_sym_constexpr] = ACTIONS(5167),
    [anon_sym_volatile] = ACTIONS(5167),
    [anon_sym_restrict] = ACTIONS(5167),
    [anon_sym___restrict__] = ACTIONS(5167),
    [anon_sym__Atomic] = ACTIONS(5167),
    [anon_sym__Noreturn] = ACTIONS(5167),
    [anon_sym_noreturn] = ACTIONS(5167),
    [anon_sym_mutable] = ACTIONS(5167),
    [anon_sym_constinit] = ACTIONS(5167),
    [anon_sym_consteval] = ACTIONS(5167),
    [sym_primitive_type] = ACTIONS(5167),
    [anon_sym_enum] = ACTIONS(5167),
    [anon_sym_class] = ACTIONS(5167),
    [anon_sym_struct] = ACTIONS(5167),
    [anon_sym_union] = ACTIONS(5167),
    [anon_sym_or] = ACTIONS(5167),
    [anon_sym_and] = ACTIONS(5167),
    [anon_sym_asm] = ACTIONS(5167),
    [anon_sym___asm__] = ACTIONS(5167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5167),
    [anon_sym_decltype] = ACTIONS(5167),
    [anon_sym_final] = ACTIONS(5167),
    [anon_sym_override] = ACTIONS(5167),
    [anon_sym_virtual] = ACTIONS(5167),
    [anon_sym_alignas] = ACTIONS(5167),
    [anon_sym_explicit] = ACTIONS(5167),
    [anon_sym_typename] = ACTIONS(5167),
    [anon_sym_template] = ACTIONS(5167),
    [anon_sym_GT2] = ACTIONS(5169),
    [anon_sym_operator] = ACTIONS(5167),
    [anon_sym_try] = ACTIONS(5167),
    [anon_sym_friend] = ACTIONS(5167),
    [anon_sym_using] = ACTIONS(5167),
    [anon_sym_concept] = ACTIONS(5167),
    [anon_sym_requires] = ACTIONS(5167),
  },
  [1988] = {
    [sym_identifier] = ACTIONS(5203),
    [anon_sym_COMMA] = ACTIONS(5205),
    [anon_sym_RPAREN] = ACTIONS(5205),
    [anon_sym_LPAREN2] = ACTIONS(5205),
    [anon_sym_TILDE] = ACTIONS(5205),
    [anon_sym_STAR] = ACTIONS(5205),
    [anon_sym_PIPE_PIPE] = ACTIONS(5205),
    [anon_sym_AMP_AMP] = ACTIONS(5205),
    [anon_sym_AMP] = ACTIONS(5203),
    [anon_sym_SEMI] = ACTIONS(5205),
    [anon_sym___extension__] = ACTIONS(5203),
    [anon_sym_extern] = ACTIONS(5203),
    [anon_sym___attribute__] = ACTIONS(5203),
    [anon_sym_COLON_COLON] = ACTIONS(5205),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5205),
    [anon_sym___declspec] = ACTIONS(5203),
    [anon_sym___based] = ACTIONS(5203),
    [anon_sym___cdecl] = ACTIONS(5203),
    [anon_sym___clrcall] = ACTIONS(5203),
    [anon_sym___stdcall] = ACTIONS(5203),
    [anon_sym___fastcall] = ACTIONS(5203),
    [anon_sym___thiscall] = ACTIONS(5203),
    [anon_sym___vectorcall] = ACTIONS(5203),
    [anon_sym_LBRACE] = ACTIONS(5205),
    [anon_sym_signed] = ACTIONS(5203),
    [anon_sym_unsigned] = ACTIONS(5203),
    [anon_sym_long] = ACTIONS(5203),
    [anon_sym_short] = ACTIONS(5203),
    [anon_sym_LBRACK] = ACTIONS(5203),
    [anon_sym_EQ] = ACTIONS(5205),
    [anon_sym_static] = ACTIONS(5203),
    [anon_sym_register] = ACTIONS(5203),
    [anon_sym_inline] = ACTIONS(5203),
    [anon_sym___inline] = ACTIONS(5203),
    [anon_sym___inline__] = ACTIONS(5203),
    [anon_sym___forceinline] = ACTIONS(5203),
    [anon_sym_thread_local] = ACTIONS(5203),
    [anon_sym___thread] = ACTIONS(5203),
    [anon_sym_const] = ACTIONS(5203),
    [anon_sym_constexpr] = ACTIONS(5203),
    [anon_sym_volatile] = ACTIONS(5203),
    [anon_sym_restrict] = ACTIONS(5203),
    [anon_sym___restrict__] = ACTIONS(5203),
    [anon_sym__Atomic] = ACTIONS(5203),
    [anon_sym__Noreturn] = ACTIONS(5203),
    [anon_sym_noreturn] = ACTIONS(5203),
    [anon_sym_mutable] = ACTIONS(5203),
    [anon_sym_constinit] = ACTIONS(5203),
    [anon_sym_consteval] = ACTIONS(5203),
    [sym_primitive_type] = ACTIONS(5203),
    [anon_sym_enum] = ACTIONS(5203),
    [anon_sym_class] = ACTIONS(5203),
    [anon_sym_struct] = ACTIONS(5203),
    [anon_sym_union] = ACTIONS(5203),
    [anon_sym_or] = ACTIONS(5203),
    [anon_sym_and] = ACTIONS(5203),
    [anon_sym_asm] = ACTIONS(5203),
    [anon_sym___asm__] = ACTIONS(5203),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5203),
    [anon_sym_decltype] = ACTIONS(5203),
    [anon_sym_final] = ACTIONS(5203),
    [anon_sym_override] = ACTIONS(5203),
    [anon_sym_virtual] = ACTIONS(5203),
    [anon_sym_alignas] = ACTIONS(5203),
    [anon_sym_explicit] = ACTIONS(5203),
    [anon_sym_typename] = ACTIONS(5203),
    [anon_sym_template] = ACTIONS(5203),
    [anon_sym_GT2] = ACTIONS(5205),
    [anon_sym_operator] = ACTIONS(5203),
    [anon_sym_try] = ACTIONS(5203),
    [anon_sym_friend] = ACTIONS(5203),
    [anon_sym_using] = ACTIONS(5203),
    [anon_sym_concept] = ACTIONS(5203),
    [anon_sym_requires] = ACTIONS(5203),
  },
  [1989] = {
    [sym_identifier] = ACTIONS(5167),
    [anon_sym_COMMA] = ACTIONS(5169),
    [anon_sym_RPAREN] = ACTIONS(5169),
    [anon_sym_LPAREN2] = ACTIONS(5169),
    [anon_sym_TILDE] = ACTIONS(5169),
    [anon_sym_STAR] = ACTIONS(5169),
    [anon_sym_PIPE_PIPE] = ACTIONS(5169),
    [anon_sym_AMP_AMP] = ACTIONS(5169),
    [anon_sym_AMP] = ACTIONS(5167),
    [anon_sym_SEMI] = ACTIONS(5169),
    [anon_sym___extension__] = ACTIONS(5167),
    [anon_sym_extern] = ACTIONS(5167),
    [anon_sym___attribute__] = ACTIONS(5167),
    [anon_sym_COLON_COLON] = ACTIONS(5169),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5169),
    [anon_sym___declspec] = ACTIONS(5167),
    [anon_sym___based] = ACTIONS(5167),
    [anon_sym___cdecl] = ACTIONS(5167),
    [anon_sym___clrcall] = ACTIONS(5167),
    [anon_sym___stdcall] = ACTIONS(5167),
    [anon_sym___fastcall] = ACTIONS(5167),
    [anon_sym___thiscall] = ACTIONS(5167),
    [anon_sym___vectorcall] = ACTIONS(5167),
    [anon_sym_LBRACE] = ACTIONS(5169),
    [anon_sym_signed] = ACTIONS(5167),
    [anon_sym_unsigned] = ACTIONS(5167),
    [anon_sym_long] = ACTIONS(5167),
    [anon_sym_short] = ACTIONS(5167),
    [anon_sym_LBRACK] = ACTIONS(5167),
    [anon_sym_EQ] = ACTIONS(5169),
    [anon_sym_static] = ACTIONS(5167),
    [anon_sym_register] = ACTIONS(5167),
    [anon_sym_inline] = ACTIONS(5167),
    [anon_sym___inline] = ACTIONS(5167),
    [anon_sym___inline__] = ACTIONS(5167),
    [anon_sym___forceinline] = ACTIONS(5167),
    [anon_sym_thread_local] = ACTIONS(5167),
    [anon_sym___thread] = ACTIONS(5167),
    [anon_sym_const] = ACTIONS(5167),
    [anon_sym_constexpr] = ACTIONS(5167),
    [anon_sym_volatile] = ACTIONS(5167),
    [anon_sym_restrict] = ACTIONS(5167),
    [anon_sym___restrict__] = ACTIONS(5167),
    [anon_sym__Atomic] = ACTIONS(5167),
    [anon_sym__Noreturn] = ACTIONS(5167),
    [anon_sym_noreturn] = ACTIONS(5167),
    [anon_sym_mutable] = ACTIONS(5167),
    [anon_sym_constinit] = ACTIONS(5167),
    [anon_sym_consteval] = ACTIONS(5167),
    [sym_primitive_type] = ACTIONS(5167),
    [anon_sym_enum] = ACTIONS(5167),
    [anon_sym_class] = ACTIONS(5167),
    [anon_sym_struct] = ACTIONS(5167),
    [anon_sym_union] = ACTIONS(5167),
    [anon_sym_or] = ACTIONS(5167),
    [anon_sym_and] = ACTIONS(5167),
    [anon_sym_asm] = ACTIONS(5167),
    [anon_sym___asm__] = ACTIONS(5167),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5167),
    [anon_sym_decltype] = ACTIONS(5167),
    [anon_sym_final] = ACTIONS(5167),
    [anon_sym_override] = ACTIONS(5167),
    [anon_sym_virtual] = ACTIONS(5167),
    [anon_sym_alignas] = ACTIONS(5167),
    [anon_sym_explicit] = ACTIONS(5167),
    [anon_sym_typename] = ACTIONS(5167),
    [anon_sym_template] = ACTIONS(5167),
    [anon_sym_GT2] = ACTIONS(5169),
    [anon_sym_operator] = ACTIONS(5167),
    [anon_sym_try] = ACTIONS(5167),
    [anon_sym_friend] = ACTIONS(5167),
    [anon_sym_using] = ACTIONS(5167),
    [anon_sym_concept] = ACTIONS(5167),
    [anon_sym_requires] = ACTIONS(5167),
  },
  [1990] = {
    [sym_identifier] = ACTIONS(5207),
    [anon_sym_COMMA] = ACTIONS(5209),
    [anon_sym_RPAREN] = ACTIONS(5209),
    [anon_sym_LPAREN2] = ACTIONS(5209),
    [anon_sym_TILDE] = ACTIONS(5209),
    [anon_sym_STAR] = ACTIONS(5209),
    [anon_sym_PIPE_PIPE] = ACTIONS(5209),
    [anon_sym_AMP_AMP] = ACTIONS(5209),
    [anon_sym_AMP] = ACTIONS(5207),
    [anon_sym_SEMI] = ACTIONS(5209),
    [anon_sym___extension__] = ACTIONS(5207),
    [anon_sym_extern] = ACTIONS(5207),
    [anon_sym___attribute__] = ACTIONS(5207),
    [anon_sym_COLON_COLON] = ACTIONS(5209),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5209),
    [anon_sym___declspec] = ACTIONS(5207),
    [anon_sym___based] = ACTIONS(5207),
    [anon_sym___cdecl] = ACTIONS(5207),
    [anon_sym___clrcall] = ACTIONS(5207),
    [anon_sym___stdcall] = ACTIONS(5207),
    [anon_sym___fastcall] = ACTIONS(5207),
    [anon_sym___thiscall] = ACTIONS(5207),
    [anon_sym___vectorcall] = ACTIONS(5207),
    [anon_sym_LBRACE] = ACTIONS(5209),
    [anon_sym_signed] = ACTIONS(5207),
    [anon_sym_unsigned] = ACTIONS(5207),
    [anon_sym_long] = ACTIONS(5207),
    [anon_sym_short] = ACTIONS(5207),
    [anon_sym_LBRACK] = ACTIONS(5207),
    [anon_sym_EQ] = ACTIONS(5209),
    [anon_sym_static] = ACTIONS(5207),
    [anon_sym_register] = ACTIONS(5207),
    [anon_sym_inline] = ACTIONS(5207),
    [anon_sym___inline] = ACTIONS(5207),
    [anon_sym___inline__] = ACTIONS(5207),
    [anon_sym___forceinline] = ACTIONS(5207),
    [anon_sym_thread_local] = ACTIONS(5207),
    [anon_sym___thread] = ACTIONS(5207),
    [anon_sym_const] = ACTIONS(5207),
    [anon_sym_constexpr] = ACTIONS(5207),
    [anon_sym_volatile] = ACTIONS(5207),
    [anon_sym_restrict] = ACTIONS(5207),
    [anon_sym___restrict__] = ACTIONS(5207),
    [anon_sym__Atomic] = ACTIONS(5207),
    [anon_sym__Noreturn] = ACTIONS(5207),
    [anon_sym_noreturn] = ACTIONS(5207),
    [anon_sym_mutable] = ACTIONS(5207),
    [anon_sym_constinit] = ACTIONS(5207),
    [anon_sym_consteval] = ACTIONS(5207),
    [sym_primitive_type] = ACTIONS(5207),
    [anon_sym_enum] = ACTIONS(5207),
    [anon_sym_class] = ACTIONS(5207),
    [anon_sym_struct] = ACTIONS(5207),
    [anon_sym_union] = ACTIONS(5207),
    [anon_sym_or] = ACTIONS(5207),
    [anon_sym_and] = ACTIONS(5207),
    [anon_sym_asm] = ACTIONS(5207),
    [anon_sym___asm__] = ACTIONS(5207),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5207),
    [anon_sym_decltype] = ACTIONS(5207),
    [anon_sym_final] = ACTIONS(5207),
    [anon_sym_override] = ACTIONS(5207),
    [anon_sym_virtual] = ACTIONS(5207),
    [anon_sym_alignas] = ACTIONS(5207),
    [anon_sym_explicit] = ACTIONS(5207),
    [anon_sym_typename] = ACTIONS(5207),
    [anon_sym_template] = ACTIONS(5207),
    [anon_sym_GT2] = ACTIONS(5209),
    [anon_sym_operator] = ACTIONS(5207),
    [anon_sym_try] = ACTIONS(5207),
    [anon_sym_friend] = ACTIONS(5207),
    [anon_sym_using] = ACTIONS(5207),
    [anon_sym_concept] = ACTIONS(5207),
    [anon_sym_requires] = ACTIONS(5207),
  },
  [1991] = {
    [sym_identifier] = ACTIONS(5211),
    [anon_sym_COMMA] = ACTIONS(5213),
    [anon_sym_RPAREN] = ACTIONS(5213),
    [anon_sym_LPAREN2] = ACTIONS(5213),
    [anon_sym_TILDE] = ACTIONS(5213),
    [anon_sym_STAR] = ACTIONS(5213),
    [anon_sym_PIPE_PIPE] = ACTIONS(5213),
    [anon_sym_AMP_AMP] = ACTIONS(5213),
    [anon_sym_AMP] = ACTIONS(5211),
    [anon_sym_SEMI] = ACTIONS(5213),
    [anon_sym___extension__] = ACTIONS(5211),
    [anon_sym_extern] = ACTIONS(5211),
    [anon_sym___attribute__] = ACTIONS(5211),
    [anon_sym_COLON_COLON] = ACTIONS(5213),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5213),
    [anon_sym___declspec] = ACTIONS(5211),
    [anon_sym___based] = ACTIONS(5211),
    [anon_sym___cdecl] = ACTIONS(5211),
    [anon_sym___clrcall] = ACTIONS(5211),
    [anon_sym___stdcall] = ACTIONS(5211),
    [anon_sym___fastcall] = ACTIONS(5211),
    [anon_sym___thiscall] = ACTIONS(5211),
    [anon_sym___vectorcall] = ACTIONS(5211),
    [anon_sym_LBRACE] = ACTIONS(5213),
    [anon_sym_signed] = ACTIONS(5211),
    [anon_sym_unsigned] = ACTIONS(5211),
    [anon_sym_long] = ACTIONS(5211),
    [anon_sym_short] = ACTIONS(5211),
    [anon_sym_LBRACK] = ACTIONS(5211),
    [anon_sym_EQ] = ACTIONS(5213),
    [anon_sym_static] = ACTIONS(5211),
    [anon_sym_register] = ACTIONS(5211),
    [anon_sym_inline] = ACTIONS(5211),
    [anon_sym___inline] = ACTIONS(5211),
    [anon_sym___inline__] = ACTIONS(5211),
    [anon_sym___forceinline] = ACTIONS(5211),
    [anon_sym_thread_local] = ACTIONS(5211),
    [anon_sym___thread] = ACTIONS(5211),
    [anon_sym_const] = ACTIONS(5211),
    [anon_sym_constexpr] = ACTIONS(5211),
    [anon_sym_volatile] = ACTIONS(5211),
    [anon_sym_restrict] = ACTIONS(5211),
    [anon_sym___restrict__] = ACTIONS(5211),
    [anon_sym__Atomic] = ACTIONS(5211),
    [anon_sym__Noreturn] = ACTIONS(5211),
    [anon_sym_noreturn] = ACTIONS(5211),
    [anon_sym_mutable] = ACTIONS(5211),
    [anon_sym_constinit] = ACTIONS(5211),
    [anon_sym_consteval] = ACTIONS(5211),
    [sym_primitive_type] = ACTIONS(5211),
    [anon_sym_enum] = ACTIONS(5211),
    [anon_sym_class] = ACTIONS(5211),
    [anon_sym_struct] = ACTIONS(5211),
    [anon_sym_union] = ACTIONS(5211),
    [anon_sym_or] = ACTIONS(5211),
    [anon_sym_and] = ACTIONS(5211),
    [anon_sym_asm] = ACTIONS(5211),
    [anon_sym___asm__] = ACTIONS(5211),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5211),
    [anon_sym_decltype] = ACTIONS(5211),
    [anon_sym_final] = ACTIONS(5211),
    [anon_sym_override] = ACTIONS(5211),
    [anon_sym_virtual] = ACTIONS(5211),
    [anon_sym_alignas] = ACTIONS(5211),
    [anon_sym_explicit] = ACTIONS(5211),
    [anon_sym_typename] = ACTIONS(5211),
    [anon_sym_template] = ACTIONS(5211),
    [anon_sym_GT2] = ACTIONS(5213),
    [anon_sym_operator] = ACTIONS(5211),
    [anon_sym_try] = ACTIONS(5211),
    [anon_sym_friend] = ACTIONS(5211),
    [anon_sym_using] = ACTIONS(5211),
    [anon_sym_concept] = ACTIONS(5211),
    [anon_sym_requires] = ACTIONS(5211),
  },
  [1992] = {
    [sym_identifier] = ACTIONS(5215),
    [anon_sym_COMMA] = ACTIONS(5217),
    [anon_sym_RPAREN] = ACTIONS(5217),
    [anon_sym_LPAREN2] = ACTIONS(5217),
    [anon_sym_TILDE] = ACTIONS(5217),
    [anon_sym_STAR] = ACTIONS(5217),
    [anon_sym_PIPE_PIPE] = ACTIONS(5217),
    [anon_sym_AMP_AMP] = ACTIONS(5217),
    [anon_sym_AMP] = ACTIONS(5215),
    [anon_sym_SEMI] = ACTIONS(5217),
    [anon_sym___extension__] = ACTIONS(5215),
    [anon_sym_extern] = ACTIONS(5215),
    [anon_sym___attribute__] = ACTIONS(5215),
    [anon_sym_COLON_COLON] = ACTIONS(5217),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5217),
    [anon_sym___declspec] = ACTIONS(5215),
    [anon_sym___based] = ACTIONS(5215),
    [anon_sym___cdecl] = ACTIONS(5215),
    [anon_sym___clrcall] = ACTIONS(5215),
    [anon_sym___stdcall] = ACTIONS(5215),
    [anon_sym___fastcall] = ACTIONS(5215),
    [anon_sym___thiscall] = ACTIONS(5215),
    [anon_sym___vectorcall] = ACTIONS(5215),
    [anon_sym_LBRACE] = ACTIONS(5217),
    [anon_sym_signed] = ACTIONS(5215),
    [anon_sym_unsigned] = ACTIONS(5215),
    [anon_sym_long] = ACTIONS(5215),
    [anon_sym_short] = ACTIONS(5215),
    [anon_sym_LBRACK] = ACTIONS(5215),
    [anon_sym_EQ] = ACTIONS(5217),
    [anon_sym_static] = ACTIONS(5215),
    [anon_sym_register] = ACTIONS(5215),
    [anon_sym_inline] = ACTIONS(5215),
    [anon_sym___inline] = ACTIONS(5215),
    [anon_sym___inline__] = ACTIONS(5215),
    [anon_sym___forceinline] = ACTIONS(5215),
    [anon_sym_thread_local] = ACTIONS(5215),
    [anon_sym___thread] = ACTIONS(5215),
    [anon_sym_const] = ACTIONS(5215),
    [anon_sym_constexpr] = ACTIONS(5215),
    [anon_sym_volatile] = ACTIONS(5215),
    [anon_sym_restrict] = ACTIONS(5215),
    [anon_sym___restrict__] = ACTIONS(5215),
    [anon_sym__Atomic] = ACTIONS(5215),
    [anon_sym__Noreturn] = ACTIONS(5215),
    [anon_sym_noreturn] = ACTIONS(5215),
    [anon_sym_mutable] = ACTIONS(5215),
    [anon_sym_constinit] = ACTIONS(5215),
    [anon_sym_consteval] = ACTIONS(5215),
    [sym_primitive_type] = ACTIONS(5215),
    [anon_sym_enum] = ACTIONS(5215),
    [anon_sym_class] = ACTIONS(5215),
    [anon_sym_struct] = ACTIONS(5215),
    [anon_sym_union] = ACTIONS(5215),
    [anon_sym_or] = ACTIONS(5215),
    [anon_sym_and] = ACTIONS(5215),
    [anon_sym_asm] = ACTIONS(5215),
    [anon_sym___asm__] = ACTIONS(5215),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5215),
    [anon_sym_decltype] = ACTIONS(5215),
    [anon_sym_final] = ACTIONS(5215),
    [anon_sym_override] = ACTIONS(5215),
    [anon_sym_virtual] = ACTIONS(5215),
    [anon_sym_alignas] = ACTIONS(5215),
    [anon_sym_explicit] = ACTIONS(5215),
    [anon_sym_typename] = ACTIONS(5215),
    [anon_sym_template] = ACTIONS(5215),
    [anon_sym_GT2] = ACTIONS(5217),
    [anon_sym_operator] = ACTIONS(5215),
    [anon_sym_try] = ACTIONS(5215),
    [anon_sym_friend] = ACTIONS(5215),
    [anon_sym_using] = ACTIONS(5215),
    [anon_sym_concept] = ACTIONS(5215),
    [anon_sym_requires] = ACTIONS(5215),
  },
  [1993] = {
    [sym_identifier] = ACTIONS(5219),
    [anon_sym_COMMA] = ACTIONS(5221),
    [anon_sym_RPAREN] = ACTIONS(5221),
    [anon_sym_LPAREN2] = ACTIONS(5221),
    [anon_sym_TILDE] = ACTIONS(5221),
    [anon_sym_STAR] = ACTIONS(5221),
    [anon_sym_PIPE_PIPE] = ACTIONS(5221),
    [anon_sym_AMP_AMP] = ACTIONS(5221),
    [anon_sym_AMP] = ACTIONS(5219),
    [anon_sym_SEMI] = ACTIONS(5221),
    [anon_sym___extension__] = ACTIONS(5219),
    [anon_sym_extern] = ACTIONS(5219),
    [anon_sym___attribute__] = ACTIONS(5219),
    [anon_sym_COLON_COLON] = ACTIONS(5221),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5221),
    [anon_sym___declspec] = ACTIONS(5219),
    [anon_sym___based] = ACTIONS(5219),
    [anon_sym___cdecl] = ACTIONS(5219),
    [anon_sym___clrcall] = ACTIONS(5219),
    [anon_sym___stdcall] = ACTIONS(5219),
    [anon_sym___fastcall] = ACTIONS(5219),
    [anon_sym___thiscall] = ACTIONS(5219),
    [anon_sym___vectorcall] = ACTIONS(5219),
    [anon_sym_LBRACE] = ACTIONS(5221),
    [anon_sym_signed] = ACTIONS(5219),
    [anon_sym_unsigned] = ACTIONS(5219),
    [anon_sym_long] = ACTIONS(5219),
    [anon_sym_short] = ACTIONS(5219),
    [anon_sym_LBRACK] = ACTIONS(5219),
    [anon_sym_EQ] = ACTIONS(5221),
    [anon_sym_static] = ACTIONS(5219),
    [anon_sym_register] = ACTIONS(5219),
    [anon_sym_inline] = ACTIONS(5219),
    [anon_sym___inline] = ACTIONS(5219),
    [anon_sym___inline__] = ACTIONS(5219),
    [anon_sym___forceinline] = ACTIONS(5219),
    [anon_sym_thread_local] = ACTIONS(5219),
    [anon_sym___thread] = ACTIONS(5219),
    [anon_sym_const] = ACTIONS(5219),
    [anon_sym_constexpr] = ACTIONS(5219),
    [anon_sym_volatile] = ACTIONS(5219),
    [anon_sym_restrict] = ACTIONS(5219),
    [anon_sym___restrict__] = ACTIONS(5219),
    [anon_sym__Atomic] = ACTIONS(5219),
    [anon_sym__Noreturn] = ACTIONS(5219),
    [anon_sym_noreturn] = ACTIONS(5219),
    [anon_sym_mutable] = ACTIONS(5219),
    [anon_sym_constinit] = ACTIONS(5219),
    [anon_sym_consteval] = ACTIONS(5219),
    [sym_primitive_type] = ACTIONS(5219),
    [anon_sym_enum] = ACTIONS(5219),
    [anon_sym_class] = ACTIONS(5219),
    [anon_sym_struct] = ACTIONS(5219),
    [anon_sym_union] = ACTIONS(5219),
    [anon_sym_or] = ACTIONS(5219),
    [anon_sym_and] = ACTIONS(5219),
    [anon_sym_asm] = ACTIONS(5219),
    [anon_sym___asm__] = ACTIONS(5219),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5219),
    [anon_sym_decltype] = ACTIONS(5219),
    [anon_sym_final] = ACTIONS(5219),
    [anon_sym_override] = ACTIONS(5219),
    [anon_sym_virtual] = ACTIONS(5219),
    [anon_sym_alignas] = ACTIONS(5219),
    [anon_sym_explicit] = ACTIONS(5219),
    [anon_sym_typename] = ACTIONS(5219),
    [anon_sym_template] = ACTIONS(5219),
    [anon_sym_GT2] = ACTIONS(5221),
    [anon_sym_operator] = ACTIONS(5219),
    [anon_sym_try] = ACTIONS(5219),
    [anon_sym_friend] = ACTIONS(5219),
    [anon_sym_using] = ACTIONS(5219),
    [anon_sym_concept] = ACTIONS(5219),
    [anon_sym_requires] = ACTIONS(5219),
  },
  [1994] = {
    [sym_identifier] = ACTIONS(5223),
    [anon_sym_COMMA] = ACTIONS(5225),
    [anon_sym_RPAREN] = ACTIONS(5225),
    [anon_sym_LPAREN2] = ACTIONS(5225),
    [anon_sym_TILDE] = ACTIONS(5225),
    [anon_sym_STAR] = ACTIONS(5225),
    [anon_sym_PIPE_PIPE] = ACTIONS(5225),
    [anon_sym_AMP_AMP] = ACTIONS(5225),
    [anon_sym_AMP] = ACTIONS(5223),
    [anon_sym_SEMI] = ACTIONS(5225),
    [anon_sym___extension__] = ACTIONS(5223),
    [anon_sym_extern] = ACTIONS(5223),
    [anon_sym___attribute__] = ACTIONS(5223),
    [anon_sym_COLON_COLON] = ACTIONS(5225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5225),
    [anon_sym___declspec] = ACTIONS(5223),
    [anon_sym___based] = ACTIONS(5223),
    [anon_sym___cdecl] = ACTIONS(5223),
    [anon_sym___clrcall] = ACTIONS(5223),
    [anon_sym___stdcall] = ACTIONS(5223),
    [anon_sym___fastcall] = ACTIONS(5223),
    [anon_sym___thiscall] = ACTIONS(5223),
    [anon_sym___vectorcall] = ACTIONS(5223),
    [anon_sym_LBRACE] = ACTIONS(5225),
    [anon_sym_signed] = ACTIONS(5223),
    [anon_sym_unsigned] = ACTIONS(5223),
    [anon_sym_long] = ACTIONS(5223),
    [anon_sym_short] = ACTIONS(5223),
    [anon_sym_LBRACK] = ACTIONS(5223),
    [anon_sym_EQ] = ACTIONS(5225),
    [anon_sym_static] = ACTIONS(5223),
    [anon_sym_register] = ACTIONS(5223),
    [anon_sym_inline] = ACTIONS(5223),
    [anon_sym___inline] = ACTIONS(5223),
    [anon_sym___inline__] = ACTIONS(5223),
    [anon_sym___forceinline] = ACTIONS(5223),
    [anon_sym_thread_local] = ACTIONS(5223),
    [anon_sym___thread] = ACTIONS(5223),
    [anon_sym_const] = ACTIONS(5223),
    [anon_sym_constexpr] = ACTIONS(5223),
    [anon_sym_volatile] = ACTIONS(5223),
    [anon_sym_restrict] = ACTIONS(5223),
    [anon_sym___restrict__] = ACTIONS(5223),
    [anon_sym__Atomic] = ACTIONS(5223),
    [anon_sym__Noreturn] = ACTIONS(5223),
    [anon_sym_noreturn] = ACTIONS(5223),
    [anon_sym_mutable] = ACTIONS(5223),
    [anon_sym_constinit] = ACTIONS(5223),
    [anon_sym_consteval] = ACTIONS(5223),
    [sym_primitive_type] = ACTIONS(5223),
    [anon_sym_enum] = ACTIONS(5223),
    [anon_sym_class] = ACTIONS(5223),
    [anon_sym_struct] = ACTIONS(5223),
    [anon_sym_union] = ACTIONS(5223),
    [anon_sym_or] = ACTIONS(5223),
    [anon_sym_and] = ACTIONS(5223),
    [anon_sym_asm] = ACTIONS(5223),
    [anon_sym___asm__] = ACTIONS(5223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5223),
    [anon_sym_decltype] = ACTIONS(5223),
    [anon_sym_final] = ACTIONS(5223),
    [anon_sym_override] = ACTIONS(5223),
    [anon_sym_virtual] = ACTIONS(5223),
    [anon_sym_alignas] = ACTIONS(5223),
    [anon_sym_explicit] = ACTIONS(5223),
    [anon_sym_typename] = ACTIONS(5223),
    [anon_sym_template] = ACTIONS(5223),
    [anon_sym_GT2] = ACTIONS(5225),
    [anon_sym_operator] = ACTIONS(5223),
    [anon_sym_try] = ACTIONS(5223),
    [anon_sym_friend] = ACTIONS(5223),
    [anon_sym_using] = ACTIONS(5223),
    [anon_sym_concept] = ACTIONS(5223),
    [anon_sym_requires] = ACTIONS(5223),
  },
  [1995] = {
    [sym_identifier] = ACTIONS(5227),
    [anon_sym_COMMA] = ACTIONS(5229),
    [anon_sym_RPAREN] = ACTIONS(5229),
    [anon_sym_LPAREN2] = ACTIONS(5229),
    [anon_sym_TILDE] = ACTIONS(5229),
    [anon_sym_STAR] = ACTIONS(5229),
    [anon_sym_PIPE_PIPE] = ACTIONS(5229),
    [anon_sym_AMP_AMP] = ACTIONS(5229),
    [anon_sym_AMP] = ACTIONS(5227),
    [anon_sym_SEMI] = ACTIONS(5229),
    [anon_sym___extension__] = ACTIONS(5227),
    [anon_sym_extern] = ACTIONS(5227),
    [anon_sym___attribute__] = ACTIONS(5227),
    [anon_sym_COLON_COLON] = ACTIONS(5229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5229),
    [anon_sym___declspec] = ACTIONS(5227),
    [anon_sym___based] = ACTIONS(5227),
    [anon_sym___cdecl] = ACTIONS(5227),
    [anon_sym___clrcall] = ACTIONS(5227),
    [anon_sym___stdcall] = ACTIONS(5227),
    [anon_sym___fastcall] = ACTIONS(5227),
    [anon_sym___thiscall] = ACTIONS(5227),
    [anon_sym___vectorcall] = ACTIONS(5227),
    [anon_sym_LBRACE] = ACTIONS(5229),
    [anon_sym_signed] = ACTIONS(5227),
    [anon_sym_unsigned] = ACTIONS(5227),
    [anon_sym_long] = ACTIONS(5227),
    [anon_sym_short] = ACTIONS(5227),
    [anon_sym_LBRACK] = ACTIONS(5227),
    [anon_sym_EQ] = ACTIONS(5229),
    [anon_sym_static] = ACTIONS(5227),
    [anon_sym_register] = ACTIONS(5227),
    [anon_sym_inline] = ACTIONS(5227),
    [anon_sym___inline] = ACTIONS(5227),
    [anon_sym___inline__] = ACTIONS(5227),
    [anon_sym___forceinline] = ACTIONS(5227),
    [anon_sym_thread_local] = ACTIONS(5227),
    [anon_sym___thread] = ACTIONS(5227),
    [anon_sym_const] = ACTIONS(5227),
    [anon_sym_constexpr] = ACTIONS(5227),
    [anon_sym_volatile] = ACTIONS(5227),
    [anon_sym_restrict] = ACTIONS(5227),
    [anon_sym___restrict__] = ACTIONS(5227),
    [anon_sym__Atomic] = ACTIONS(5227),
    [anon_sym__Noreturn] = ACTIONS(5227),
    [anon_sym_noreturn] = ACTIONS(5227),
    [anon_sym_mutable] = ACTIONS(5227),
    [anon_sym_constinit] = ACTIONS(5227),
    [anon_sym_consteval] = ACTIONS(5227),
    [sym_primitive_type] = ACTIONS(5227),
    [anon_sym_enum] = ACTIONS(5227),
    [anon_sym_class] = ACTIONS(5227),
    [anon_sym_struct] = ACTIONS(5227),
    [anon_sym_union] = ACTIONS(5227),
    [anon_sym_or] = ACTIONS(5227),
    [anon_sym_and] = ACTIONS(5227),
    [anon_sym_asm] = ACTIONS(5227),
    [anon_sym___asm__] = ACTIONS(5227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5227),
    [anon_sym_decltype] = ACTIONS(5227),
    [anon_sym_final] = ACTIONS(5227),
    [anon_sym_override] = ACTIONS(5227),
    [anon_sym_virtual] = ACTIONS(5227),
    [anon_sym_alignas] = ACTIONS(5227),
    [anon_sym_explicit] = ACTIONS(5227),
    [anon_sym_typename] = ACTIONS(5227),
    [anon_sym_template] = ACTIONS(5227),
    [anon_sym_GT2] = ACTIONS(5229),
    [anon_sym_operator] = ACTIONS(5227),
    [anon_sym_try] = ACTIONS(5227),
    [anon_sym_friend] = ACTIONS(5227),
    [anon_sym_using] = ACTIONS(5227),
    [anon_sym_concept] = ACTIONS(5227),
    [anon_sym_requires] = ACTIONS(5227),
  },
  [1996] = {
    [sym_identifier] = ACTIONS(5231),
    [anon_sym_COMMA] = ACTIONS(5233),
    [anon_sym_RPAREN] = ACTIONS(5233),
    [anon_sym_LPAREN2] = ACTIONS(5233),
    [anon_sym_TILDE] = ACTIONS(5233),
    [anon_sym_STAR] = ACTIONS(5233),
    [anon_sym_PIPE_PIPE] = ACTIONS(5233),
    [anon_sym_AMP_AMP] = ACTIONS(5233),
    [anon_sym_AMP] = ACTIONS(5231),
    [anon_sym_SEMI] = ACTIONS(5233),
    [anon_sym___extension__] = ACTIONS(5231),
    [anon_sym_extern] = ACTIONS(5231),
    [anon_sym___attribute__] = ACTIONS(5231),
    [anon_sym_COLON_COLON] = ACTIONS(5233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5233),
    [anon_sym___declspec] = ACTIONS(5231),
    [anon_sym___based] = ACTIONS(5231),
    [anon_sym___cdecl] = ACTIONS(5231),
    [anon_sym___clrcall] = ACTIONS(5231),
    [anon_sym___stdcall] = ACTIONS(5231),
    [anon_sym___fastcall] = ACTIONS(5231),
    [anon_sym___thiscall] = ACTIONS(5231),
    [anon_sym___vectorcall] = ACTIONS(5231),
    [anon_sym_LBRACE] = ACTIONS(5233),
    [anon_sym_signed] = ACTIONS(5231),
    [anon_sym_unsigned] = ACTIONS(5231),
    [anon_sym_long] = ACTIONS(5231),
    [anon_sym_short] = ACTIONS(5231),
    [anon_sym_LBRACK] = ACTIONS(5231),
    [anon_sym_EQ] = ACTIONS(5233),
    [anon_sym_static] = ACTIONS(5231),
    [anon_sym_register] = ACTIONS(5231),
    [anon_sym_inline] = ACTIONS(5231),
    [anon_sym___inline] = ACTIONS(5231),
    [anon_sym___inline__] = ACTIONS(5231),
    [anon_sym___forceinline] = ACTIONS(5231),
    [anon_sym_thread_local] = ACTIONS(5231),
    [anon_sym___thread] = ACTIONS(5231),
    [anon_sym_const] = ACTIONS(5231),
    [anon_sym_constexpr] = ACTIONS(5231),
    [anon_sym_volatile] = ACTIONS(5231),
    [anon_sym_restrict] = ACTIONS(5231),
    [anon_sym___restrict__] = ACTIONS(5231),
    [anon_sym__Atomic] = ACTIONS(5231),
    [anon_sym__Noreturn] = ACTIONS(5231),
    [anon_sym_noreturn] = ACTIONS(5231),
    [anon_sym_mutable] = ACTIONS(5231),
    [anon_sym_constinit] = ACTIONS(5231),
    [anon_sym_consteval] = ACTIONS(5231),
    [sym_primitive_type] = ACTIONS(5231),
    [anon_sym_enum] = ACTIONS(5231),
    [anon_sym_class] = ACTIONS(5231),
    [anon_sym_struct] = ACTIONS(5231),
    [anon_sym_union] = ACTIONS(5231),
    [anon_sym_or] = ACTIONS(5231),
    [anon_sym_and] = ACTIONS(5231),
    [anon_sym_asm] = ACTIONS(5231),
    [anon_sym___asm__] = ACTIONS(5231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5231),
    [anon_sym_decltype] = ACTIONS(5231),
    [anon_sym_final] = ACTIONS(5231),
    [anon_sym_override] = ACTIONS(5231),
    [anon_sym_virtual] = ACTIONS(5231),
    [anon_sym_alignas] = ACTIONS(5231),
    [anon_sym_explicit] = ACTIONS(5231),
    [anon_sym_typename] = ACTIONS(5231),
    [anon_sym_template] = ACTIONS(5231),
    [anon_sym_GT2] = ACTIONS(5233),
    [anon_sym_operator] = ACTIONS(5231),
    [anon_sym_try] = ACTIONS(5231),
    [anon_sym_friend] = ACTIONS(5231),
    [anon_sym_using] = ACTIONS(5231),
    [anon_sym_concept] = ACTIONS(5231),
    [anon_sym_requires] = ACTIONS(5231),
  },
  [1997] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7665),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_type_parameter_declaration] = STATE(7665),
    [sym_variadic_type_parameter_declaration] = STATE(7665),
    [sym_optional_type_parameter_declaration] = STATE(7665),
    [sym_template_template_parameter_declaration] = STATE(7665),
    [sym_optional_parameter_declaration] = STATE(7665),
    [sym_variadic_parameter_declaration] = STATE(7665),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(5171),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5173),
    [anon_sym_template] = ACTIONS(5175),
    [anon_sym_GT2] = ACTIONS(5235),
  },
  [1998] = {
    [sym_string_literal] = STATE(1998),
    [sym_raw_string_literal] = STATE(1998),
    [aux_sym_concatenated_string_repeat1] = STATE(1998),
    [sym_identifier] = ACTIONS(5237),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [anon_sym_RPAREN] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5242),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5240),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5240),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5242),
    [anon_sym_GT_GT] = ACTIONS(5242),
    [anon_sym_SEMI] = ACTIONS(5240),
    [anon_sym_RBRACE] = ACTIONS(5240),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_RBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_COLON] = ACTIONS(5240),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_STAR_EQ] = ACTIONS(5240),
    [anon_sym_SLASH_EQ] = ACTIONS(5240),
    [anon_sym_PERCENT_EQ] = ACTIONS(5240),
    [anon_sym_PLUS_EQ] = ACTIONS(5240),
    [anon_sym_DASH_EQ] = ACTIONS(5240),
    [anon_sym_LT_LT_EQ] = ACTIONS(5240),
    [anon_sym_GT_GT_EQ] = ACTIONS(5240),
    [anon_sym_AMP_EQ] = ACTIONS(5240),
    [anon_sym_CARET_EQ] = ACTIONS(5240),
    [anon_sym_PIPE_EQ] = ACTIONS(5240),
    [anon_sym_and_eq] = ACTIONS(5242),
    [anon_sym_or_eq] = ACTIONS(5242),
    [anon_sym_xor_eq] = ACTIONS(5242),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5240),
    [anon_sym_L_DQUOTE] = ACTIONS(5244),
    [anon_sym_u_DQUOTE] = ACTIONS(5244),
    [anon_sym_U_DQUOTE] = ACTIONS(5244),
    [anon_sym_u8_DQUOTE] = ACTIONS(5244),
    [anon_sym_DQUOTE] = ACTIONS(5244),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5247),
    [anon_sym_LR_DQUOTE] = ACTIONS(5247),
    [anon_sym_uR_DQUOTE] = ACTIONS(5247),
    [anon_sym_UR_DQUOTE] = ACTIONS(5247),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5247),
    [sym_literal_suffix] = ACTIONS(5242),
  },
  [1999] = {
    [sym_identifier] = ACTIONS(5250),
    [anon_sym_COMMA] = ACTIONS(5252),
    [anon_sym_RPAREN] = ACTIONS(5252),
    [anon_sym_LPAREN2] = ACTIONS(5252),
    [anon_sym_TILDE] = ACTIONS(5252),
    [anon_sym_STAR] = ACTIONS(5252),
    [anon_sym_PIPE_PIPE] = ACTIONS(5252),
    [anon_sym_AMP_AMP] = ACTIONS(5252),
    [anon_sym_AMP] = ACTIONS(5250),
    [anon_sym_SEMI] = ACTIONS(5252),
    [anon_sym___extension__] = ACTIONS(5250),
    [anon_sym_extern] = ACTIONS(5250),
    [anon_sym___attribute__] = ACTIONS(5250),
    [anon_sym_COLON_COLON] = ACTIONS(5252),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5252),
    [anon_sym___declspec] = ACTIONS(5250),
    [anon_sym___based] = ACTIONS(5250),
    [anon_sym___cdecl] = ACTIONS(5250),
    [anon_sym___clrcall] = ACTIONS(5250),
    [anon_sym___stdcall] = ACTIONS(5250),
    [anon_sym___fastcall] = ACTIONS(5250),
    [anon_sym___thiscall] = ACTIONS(5250),
    [anon_sym___vectorcall] = ACTIONS(5250),
    [anon_sym_LBRACE] = ACTIONS(5252),
    [anon_sym_signed] = ACTIONS(5250),
    [anon_sym_unsigned] = ACTIONS(5250),
    [anon_sym_long] = ACTIONS(5250),
    [anon_sym_short] = ACTIONS(5250),
    [anon_sym_LBRACK] = ACTIONS(5250),
    [anon_sym_EQ] = ACTIONS(5252),
    [anon_sym_static] = ACTIONS(5250),
    [anon_sym_register] = ACTIONS(5250),
    [anon_sym_inline] = ACTIONS(5250),
    [anon_sym___inline] = ACTIONS(5250),
    [anon_sym___inline__] = ACTIONS(5250),
    [anon_sym___forceinline] = ACTIONS(5250),
    [anon_sym_thread_local] = ACTIONS(5250),
    [anon_sym___thread] = ACTIONS(5250),
    [anon_sym_const] = ACTIONS(5250),
    [anon_sym_constexpr] = ACTIONS(5250),
    [anon_sym_volatile] = ACTIONS(5250),
    [anon_sym_restrict] = ACTIONS(5250),
    [anon_sym___restrict__] = ACTIONS(5250),
    [anon_sym__Atomic] = ACTIONS(5250),
    [anon_sym__Noreturn] = ACTIONS(5250),
    [anon_sym_noreturn] = ACTIONS(5250),
    [anon_sym_mutable] = ACTIONS(5250),
    [anon_sym_constinit] = ACTIONS(5250),
    [anon_sym_consteval] = ACTIONS(5250),
    [sym_primitive_type] = ACTIONS(5250),
    [anon_sym_enum] = ACTIONS(5250),
    [anon_sym_class] = ACTIONS(5250),
    [anon_sym_struct] = ACTIONS(5250),
    [anon_sym_union] = ACTIONS(5250),
    [anon_sym_or] = ACTIONS(5250),
    [anon_sym_and] = ACTIONS(5250),
    [anon_sym_asm] = ACTIONS(5250),
    [anon_sym___asm__] = ACTIONS(5250),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5250),
    [anon_sym_decltype] = ACTIONS(5250),
    [anon_sym_final] = ACTIONS(5250),
    [anon_sym_override] = ACTIONS(5250),
    [anon_sym_virtual] = ACTIONS(5250),
    [anon_sym_alignas] = ACTIONS(5250),
    [anon_sym_explicit] = ACTIONS(5250),
    [anon_sym_typename] = ACTIONS(5250),
    [anon_sym_template] = ACTIONS(5250),
    [anon_sym_GT2] = ACTIONS(5252),
    [anon_sym_operator] = ACTIONS(5250),
    [anon_sym_try] = ACTIONS(5250),
    [anon_sym_friend] = ACTIONS(5250),
    [anon_sym_using] = ACTIONS(5250),
    [anon_sym_concept] = ACTIONS(5250),
    [anon_sym_requires] = ACTIONS(5250),
  },
  [2000] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4637),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8205),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_type_parameter_declaration] = STATE(8205),
    [sym_variadic_type_parameter_declaration] = STATE(8205),
    [sym_optional_type_parameter_declaration] = STATE(8205),
    [sym_template_template_parameter_declaration] = STATE(8205),
    [sym_optional_parameter_declaration] = STATE(8205),
    [sym_variadic_parameter_declaration] = STATE(8205),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(5171),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(5173),
    [anon_sym_template] = ACTIONS(5175),
  },
  [2001] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_RPAREN] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5041),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5051),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5051),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5051),
    [anon_sym_GT_GT] = ACTIONS(5051),
    [anon_sym_SEMI] = ACTIONS(5051),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
  },
  [2002] = {
    [sym_identifier] = ACTIONS(5254),
    [anon_sym_LPAREN2] = ACTIONS(5256),
    [anon_sym_BANG] = ACTIONS(5256),
    [anon_sym_TILDE] = ACTIONS(5256),
    [anon_sym_DASH] = ACTIONS(5254),
    [anon_sym_PLUS] = ACTIONS(5254),
    [anon_sym_STAR] = ACTIONS(5256),
    [anon_sym_AMP] = ACTIONS(5256),
    [anon_sym_SEMI] = ACTIONS(5256),
    [anon_sym_COLON_COLON] = ACTIONS(5256),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5256),
    [anon_sym_LBRACE] = ACTIONS(5256),
    [anon_sym_LBRACK] = ACTIONS(5254),
    [sym_primitive_type] = ACTIONS(5254),
    [anon_sym_if] = ACTIONS(5254),
    [anon_sym_switch] = ACTIONS(5254),
    [anon_sym_case] = ACTIONS(5254),
    [anon_sym_default] = ACTIONS(5254),
    [anon_sym_while] = ACTIONS(5254),
    [anon_sym_do] = ACTIONS(5254),
    [anon_sym_for] = ACTIONS(5254),
    [anon_sym_return] = ACTIONS(5254),
    [anon_sym_break] = ACTIONS(5254),
    [anon_sym_continue] = ACTIONS(5254),
    [anon_sym_goto] = ACTIONS(5254),
    [anon_sym___try] = ACTIONS(5254),
    [anon_sym___leave] = ACTIONS(5254),
    [anon_sym_not] = ACTIONS(5254),
    [anon_sym_compl] = ACTIONS(5254),
    [anon_sym_DASH_DASH] = ACTIONS(5256),
    [anon_sym_PLUS_PLUS] = ACTIONS(5256),
    [anon_sym_sizeof] = ACTIONS(5254),
    [anon_sym___alignof__] = ACTIONS(5254),
    [anon_sym___alignof] = ACTIONS(5254),
    [anon_sym__alignof] = ACTIONS(5254),
    [anon_sym_alignof] = ACTIONS(5254),
    [anon_sym__Alignof] = ACTIONS(5254),
    [anon_sym_offsetof] = ACTIONS(5254),
    [anon_sym__Generic] = ACTIONS(5254),
    [anon_sym_asm] = ACTIONS(5254),
    [anon_sym___asm__] = ACTIONS(5254),
    [sym_number_literal] = ACTIONS(5256),
    [anon_sym_L_SQUOTE] = ACTIONS(5256),
    [anon_sym_u_SQUOTE] = ACTIONS(5256),
    [anon_sym_U_SQUOTE] = ACTIONS(5256),
    [anon_sym_u8_SQUOTE] = ACTIONS(5256),
    [anon_sym_SQUOTE] = ACTIONS(5256),
    [anon_sym_L_DQUOTE] = ACTIONS(5256),
    [anon_sym_u_DQUOTE] = ACTIONS(5256),
    [anon_sym_U_DQUOTE] = ACTIONS(5256),
    [anon_sym_u8_DQUOTE] = ACTIONS(5256),
    [anon_sym_DQUOTE] = ACTIONS(5256),
    [sym_true] = ACTIONS(5254),
    [sym_false] = ACTIONS(5254),
    [anon_sym_NULL] = ACTIONS(5254),
    [anon_sym_nullptr] = ACTIONS(5254),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5254),
    [anon_sym_template] = ACTIONS(5254),
    [anon_sym_try] = ACTIONS(5254),
    [anon_sym_delete] = ACTIONS(5254),
    [anon_sym_throw] = ACTIONS(5254),
    [anon_sym_co_return] = ACTIONS(5254),
    [anon_sym_co_yield] = ACTIONS(5254),
    [anon_sym_R_DQUOTE] = ACTIONS(5256),
    [anon_sym_LR_DQUOTE] = ACTIONS(5256),
    [anon_sym_uR_DQUOTE] = ACTIONS(5256),
    [anon_sym_UR_DQUOTE] = ACTIONS(5256),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5256),
    [anon_sym_co_await] = ACTIONS(5254),
    [anon_sym_new] = ACTIONS(5254),
    [anon_sym_requires] = ACTIONS(5254),
    [sym_this] = ACTIONS(5254),
  },
  [2003] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5041),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5051),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5051),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5051),
    [anon_sym_GT_GT] = ACTIONS(5051),
    [anon_sym_SEMI] = ACTIONS(5041),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5041),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_RBRACE] = ACTIONS(5051),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
  },
  [2004] = {
    [sym_identifier] = ACTIONS(5258),
    [anon_sym_LPAREN2] = ACTIONS(5260),
    [anon_sym_BANG] = ACTIONS(5260),
    [anon_sym_TILDE] = ACTIONS(5260),
    [anon_sym_DASH] = ACTIONS(5258),
    [anon_sym_PLUS] = ACTIONS(5258),
    [anon_sym_STAR] = ACTIONS(5260),
    [anon_sym_AMP] = ACTIONS(5260),
    [anon_sym_SEMI] = ACTIONS(5260),
    [anon_sym_COLON_COLON] = ACTIONS(5260),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5260),
    [anon_sym_LBRACE] = ACTIONS(5260),
    [anon_sym_LBRACK] = ACTIONS(5258),
    [sym_primitive_type] = ACTIONS(5258),
    [anon_sym_if] = ACTIONS(5258),
    [anon_sym_switch] = ACTIONS(5258),
    [anon_sym_case] = ACTIONS(5258),
    [anon_sym_default] = ACTIONS(5258),
    [anon_sym_while] = ACTIONS(5258),
    [anon_sym_do] = ACTIONS(5258),
    [anon_sym_for] = ACTIONS(5258),
    [anon_sym_return] = ACTIONS(5258),
    [anon_sym_break] = ACTIONS(5258),
    [anon_sym_continue] = ACTIONS(5258),
    [anon_sym_goto] = ACTIONS(5258),
    [anon_sym___try] = ACTIONS(5258),
    [anon_sym___leave] = ACTIONS(5258),
    [anon_sym_not] = ACTIONS(5258),
    [anon_sym_compl] = ACTIONS(5258),
    [anon_sym_DASH_DASH] = ACTIONS(5260),
    [anon_sym_PLUS_PLUS] = ACTIONS(5260),
    [anon_sym_sizeof] = ACTIONS(5258),
    [anon_sym___alignof__] = ACTIONS(5258),
    [anon_sym___alignof] = ACTIONS(5258),
    [anon_sym__alignof] = ACTIONS(5258),
    [anon_sym_alignof] = ACTIONS(5258),
    [anon_sym__Alignof] = ACTIONS(5258),
    [anon_sym_offsetof] = ACTIONS(5258),
    [anon_sym__Generic] = ACTIONS(5258),
    [anon_sym_asm] = ACTIONS(5258),
    [anon_sym___asm__] = ACTIONS(5258),
    [sym_number_literal] = ACTIONS(5260),
    [anon_sym_L_SQUOTE] = ACTIONS(5260),
    [anon_sym_u_SQUOTE] = ACTIONS(5260),
    [anon_sym_U_SQUOTE] = ACTIONS(5260),
    [anon_sym_u8_SQUOTE] = ACTIONS(5260),
    [anon_sym_SQUOTE] = ACTIONS(5260),
    [anon_sym_L_DQUOTE] = ACTIONS(5260),
    [anon_sym_u_DQUOTE] = ACTIONS(5260),
    [anon_sym_U_DQUOTE] = ACTIONS(5260),
    [anon_sym_u8_DQUOTE] = ACTIONS(5260),
    [anon_sym_DQUOTE] = ACTIONS(5260),
    [sym_true] = ACTIONS(5258),
    [sym_false] = ACTIONS(5258),
    [anon_sym_NULL] = ACTIONS(5258),
    [anon_sym_nullptr] = ACTIONS(5258),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5258),
    [anon_sym_template] = ACTIONS(5258),
    [anon_sym_try] = ACTIONS(5258),
    [anon_sym_delete] = ACTIONS(5258),
    [anon_sym_throw] = ACTIONS(5258),
    [anon_sym_co_return] = ACTIONS(5258),
    [anon_sym_co_yield] = ACTIONS(5258),
    [anon_sym_R_DQUOTE] = ACTIONS(5260),
    [anon_sym_LR_DQUOTE] = ACTIONS(5260),
    [anon_sym_uR_DQUOTE] = ACTIONS(5260),
    [anon_sym_UR_DQUOTE] = ACTIONS(5260),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5260),
    [anon_sym_co_await] = ACTIONS(5258),
    [anon_sym_new] = ACTIONS(5258),
    [anon_sym_requires] = ACTIONS(5258),
    [sym_this] = ACTIONS(5258),
  },
  [2005] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5041),
    [anon_sym_COMMA] = ACTIONS(5041),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5041),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5051),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5051),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5051),
    [anon_sym_GT_GT] = ACTIONS(5051),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym_extern] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5044),
    [anon_sym___declspec] = ACTIONS(5039),
    [anon_sym___based] = ACTIONS(5039),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5039),
    [anon_sym_static] = ACTIONS(5039),
    [anon_sym_register] = ACTIONS(5039),
    [anon_sym_inline] = ACTIONS(5039),
    [anon_sym___inline] = ACTIONS(5039),
    [anon_sym___inline__] = ACTIONS(5039),
    [anon_sym___forceinline] = ACTIONS(5039),
    [anon_sym_thread_local] = ACTIONS(5039),
    [anon_sym___thread] = ACTIONS(5039),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5046),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5046),
    [anon_sym_not_eq] = ACTIONS(5046),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_virtual] = ACTIONS(5039),
    [anon_sym_alignas] = ACTIONS(5039),
    [anon_sym_template] = ACTIONS(5039),
    [anon_sym_operator] = ACTIONS(5039),
  },
  [2006] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7718),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7718),
    [sym_variadic_parameter_declaration] = STATE(7718),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5262),
    [anon_sym_RPAREN] = ACTIONS(5264),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2007] = {
    [sym_identifier] = ACTIONS(5266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [anon_sym_RPAREN] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5266),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5268),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_SLASH] = ACTIONS(5266),
    [anon_sym_PERCENT] = ACTIONS(5266),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5266),
    [anon_sym_CARET] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5266),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5266),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5266),
    [anon_sym_LT] = ACTIONS(5266),
    [anon_sym_LT_LT] = ACTIONS(5266),
    [anon_sym_GT_GT] = ACTIONS(5266),
    [anon_sym_SEMI] = ACTIONS(5268),
    [anon_sym_RBRACE] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_RBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5266),
    [anon_sym_COLON] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5266),
    [anon_sym_or_eq] = ACTIONS(5266),
    [anon_sym_xor_eq] = ACTIONS(5266),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5266),
    [anon_sym_and] = ACTIONS(5266),
    [anon_sym_bitor] = ACTIONS(5266),
    [anon_sym_xor] = ACTIONS(5266),
    [anon_sym_bitand] = ACTIONS(5266),
    [anon_sym_not_eq] = ACTIONS(5266),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5266),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5268),
    [anon_sym_u_DQUOTE] = ACTIONS(5268),
    [anon_sym_U_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8_DQUOTE] = ACTIONS(5268),
    [anon_sym_DQUOTE] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5268),
    [anon_sym_LR_DQUOTE] = ACTIONS(5268),
    [anon_sym_uR_DQUOTE] = ACTIONS(5268),
    [anon_sym_UR_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5268),
    [sym_literal_suffix] = ACTIONS(5266),
  },
  [2008] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(5013),
    [anon_sym___attribute__] = ACTIONS(5013),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5013),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5013),
    [anon_sym_volatile] = ACTIONS(5013),
    [anon_sym_restrict] = ACTIONS(5013),
    [anon_sym___restrict__] = ACTIONS(5013),
    [anon_sym__Atomic] = ACTIONS(5013),
    [anon_sym__Noreturn] = ACTIONS(5013),
    [anon_sym_noreturn] = ACTIONS(5013),
    [anon_sym_mutable] = ACTIONS(5013),
    [anon_sym_constinit] = ACTIONS(5013),
    [anon_sym_consteval] = ACTIONS(5013),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_STAR_EQ] = ACTIONS(5013),
    [anon_sym_SLASH_EQ] = ACTIONS(5013),
    [anon_sym_PERCENT_EQ] = ACTIONS(5013),
    [anon_sym_PLUS_EQ] = ACTIONS(5013),
    [anon_sym_DASH_EQ] = ACTIONS(5013),
    [anon_sym_LT_LT_EQ] = ACTIONS(5013),
    [anon_sym_GT_GT_EQ] = ACTIONS(5013),
    [anon_sym_AMP_EQ] = ACTIONS(5013),
    [anon_sym_CARET_EQ] = ACTIONS(5013),
    [anon_sym_PIPE_EQ] = ACTIONS(5013),
    [anon_sym_and_eq] = ACTIONS(5013),
    [anon_sym_or_eq] = ACTIONS(5013),
    [anon_sym_xor_eq] = ACTIONS(5013),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5013),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5013),
    [anon_sym_not_eq] = ACTIONS(5013),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5011),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5013),
    [anon_sym_decltype] = ACTIONS(5013),
    [anon_sym_final] = ACTIONS(5013),
    [anon_sym_override] = ACTIONS(5013),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5013),
  },
  [2009] = {
    [sym_identifier] = ACTIONS(5270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5272),
    [anon_sym_COMMA] = ACTIONS(5272),
    [anon_sym_RPAREN] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5270),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5272),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5272),
    [anon_sym_AMP_AMP] = ACTIONS(5272),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5272),
    [anon_sym_BANG_EQ] = ACTIONS(5272),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5272),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_SEMI] = ACTIONS(5272),
    [anon_sym_RBRACE] = ACTIONS(5272),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_RBRACK] = ACTIONS(5272),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_COLON] = ACTIONS(5272),
    [anon_sym_QMARK] = ACTIONS(5272),
    [anon_sym_STAR_EQ] = ACTIONS(5272),
    [anon_sym_SLASH_EQ] = ACTIONS(5272),
    [anon_sym_PERCENT_EQ] = ACTIONS(5272),
    [anon_sym_PLUS_EQ] = ACTIONS(5272),
    [anon_sym_DASH_EQ] = ACTIONS(5272),
    [anon_sym_LT_LT_EQ] = ACTIONS(5272),
    [anon_sym_GT_GT_EQ] = ACTIONS(5272),
    [anon_sym_AMP_EQ] = ACTIONS(5272),
    [anon_sym_CARET_EQ] = ACTIONS(5272),
    [anon_sym_PIPE_EQ] = ACTIONS(5272),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5272),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5272),
    [anon_sym_PLUS_PLUS] = ACTIONS(5272),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5272),
    [anon_sym_DASH_GT] = ACTIONS(5272),
    [anon_sym_L_DQUOTE] = ACTIONS(5272),
    [anon_sym_u_DQUOTE] = ACTIONS(5272),
    [anon_sym_U_DQUOTE] = ACTIONS(5272),
    [anon_sym_u8_DQUOTE] = ACTIONS(5272),
    [anon_sym_DQUOTE] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5272),
    [anon_sym_LR_DQUOTE] = ACTIONS(5272),
    [anon_sym_uR_DQUOTE] = ACTIONS(5272),
    [anon_sym_UR_DQUOTE] = ACTIONS(5272),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5272),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2010] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7677),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7677),
    [sym_variadic_parameter_declaration] = STATE(7677),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5274),
    [anon_sym_RPAREN] = ACTIONS(5276),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2011] = {
    [sym_identifier] = ACTIONS(5278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5278),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5280),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_SLASH] = ACTIONS(5278),
    [anon_sym_PERCENT] = ACTIONS(5278),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5278),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5278),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5278),
    [anon_sym_LT] = ACTIONS(5278),
    [anon_sym_LT_LT] = ACTIONS(5278),
    [anon_sym_GT_GT] = ACTIONS(5278),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym_RBRACE] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_RBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5278),
    [anon_sym_COLON] = ACTIONS(5280),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5278),
    [anon_sym_or_eq] = ACTIONS(5278),
    [anon_sym_xor_eq] = ACTIONS(5278),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5278),
    [anon_sym_and] = ACTIONS(5278),
    [anon_sym_bitor] = ACTIONS(5278),
    [anon_sym_xor] = ACTIONS(5278),
    [anon_sym_bitand] = ACTIONS(5278),
    [anon_sym_not_eq] = ACTIONS(5278),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5278),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(5280),
    [anon_sym_u_DQUOTE] = ACTIONS(5280),
    [anon_sym_U_DQUOTE] = ACTIONS(5280),
    [anon_sym_u8_DQUOTE] = ACTIONS(5280),
    [anon_sym_DQUOTE] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5280),
    [anon_sym_LR_DQUOTE] = ACTIONS(5280),
    [anon_sym_uR_DQUOTE] = ACTIONS(5280),
    [anon_sym_UR_DQUOTE] = ACTIONS(5280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5280),
    [sym_literal_suffix] = ACTIONS(5278),
  },
  [2012] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2012),
    [sym_identifier] = ACTIONS(5282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5284),
    [anon_sym_COMMA] = ACTIONS(5284),
    [anon_sym_RPAREN] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5284),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5284),
    [anon_sym_PIPE_PIPE] = ACTIONS(5284),
    [anon_sym_AMP_AMP] = ACTIONS(5284),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5284),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5284),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5284),
    [anon_sym_GT_GT] = ACTIONS(5284),
    [anon_sym_SEMI] = ACTIONS(5284),
    [anon_sym___extension__] = ACTIONS(5282),
    [anon_sym___attribute__] = ACTIONS(5282),
    [anon_sym_LBRACE] = ACTIONS(5284),
    [anon_sym_RBRACE] = ACTIONS(5284),
    [anon_sym_signed] = ACTIONS(5286),
    [anon_sym_unsigned] = ACTIONS(5286),
    [anon_sym_long] = ACTIONS(5286),
    [anon_sym_short] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_RBRACK] = ACTIONS(5284),
    [anon_sym_const] = ACTIONS(5282),
    [anon_sym_constexpr] = ACTIONS(5282),
    [anon_sym_volatile] = ACTIONS(5282),
    [anon_sym_restrict] = ACTIONS(5282),
    [anon_sym___restrict__] = ACTIONS(5282),
    [anon_sym__Atomic] = ACTIONS(5282),
    [anon_sym__Noreturn] = ACTIONS(5282),
    [anon_sym_noreturn] = ACTIONS(5282),
    [anon_sym_mutable] = ACTIONS(5282),
    [anon_sym_constinit] = ACTIONS(5282),
    [anon_sym_consteval] = ACTIONS(5282),
    [sym_primitive_type] = ACTIONS(5282),
    [anon_sym_COLON] = ACTIONS(5284),
    [anon_sym_QMARK] = ACTIONS(5284),
    [anon_sym_LT_EQ_GT] = ACTIONS(5284),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5284),
    [anon_sym_PLUS_PLUS] = ACTIONS(5284),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5284),
    [anon_sym_DASH_GT] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5282),
    [anon_sym_decltype] = ACTIONS(5282),
    [anon_sym_final] = ACTIONS(5282),
    [anon_sym_override] = ACTIONS(5282),
    [anon_sym_requires] = ACTIONS(5282),
  },
  [2013] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7991),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7991),
    [sym_variadic_parameter_declaration] = STATE(7991),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5289),
    [anon_sym_RPAREN] = ACTIONS(5291),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2014] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_STAR_EQ] = ACTIONS(5001),
    [anon_sym_SLASH_EQ] = ACTIONS(5001),
    [anon_sym_PERCENT_EQ] = ACTIONS(5001),
    [anon_sym_PLUS_EQ] = ACTIONS(5001),
    [anon_sym_DASH_EQ] = ACTIONS(5001),
    [anon_sym_LT_LT_EQ] = ACTIONS(5001),
    [anon_sym_GT_GT_EQ] = ACTIONS(5001),
    [anon_sym_AMP_EQ] = ACTIONS(5001),
    [anon_sym_CARET_EQ] = ACTIONS(5001),
    [anon_sym_PIPE_EQ] = ACTIONS(5001),
    [anon_sym_and_eq] = ACTIONS(5001),
    [anon_sym_or_eq] = ACTIONS(5001),
    [anon_sym_xor_eq] = ACTIONS(5001),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(5001),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(5001),
    [anon_sym_not_eq] = ACTIONS(5001),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(4999),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [anon_sym_final] = ACTIONS(5001),
    [anon_sym_override] = ACTIONS(5001),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5001),
  },
  [2015] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym___extension__] = ACTIONS(5017),
    [anon_sym___attribute__] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5017),
    [anon_sym_volatile] = ACTIONS(5017),
    [anon_sym_restrict] = ACTIONS(5017),
    [anon_sym___restrict__] = ACTIONS(5017),
    [anon_sym__Atomic] = ACTIONS(5017),
    [anon_sym__Noreturn] = ACTIONS(5017),
    [anon_sym_noreturn] = ACTIONS(5017),
    [anon_sym_mutable] = ACTIONS(5017),
    [anon_sym_constinit] = ACTIONS(5017),
    [anon_sym_consteval] = ACTIONS(5017),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_STAR_EQ] = ACTIONS(5017),
    [anon_sym_SLASH_EQ] = ACTIONS(5017),
    [anon_sym_PERCENT_EQ] = ACTIONS(5017),
    [anon_sym_PLUS_EQ] = ACTIONS(5017),
    [anon_sym_DASH_EQ] = ACTIONS(5017),
    [anon_sym_LT_LT_EQ] = ACTIONS(5017),
    [anon_sym_GT_GT_EQ] = ACTIONS(5017),
    [anon_sym_AMP_EQ] = ACTIONS(5017),
    [anon_sym_CARET_EQ] = ACTIONS(5017),
    [anon_sym_PIPE_EQ] = ACTIONS(5017),
    [anon_sym_and_eq] = ACTIONS(5017),
    [anon_sym_or_eq] = ACTIONS(5017),
    [anon_sym_xor_eq] = ACTIONS(5017),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5017),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5017),
    [anon_sym_not_eq] = ACTIONS(5017),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5017),
    [anon_sym_decltype] = ACTIONS(5017),
    [anon_sym_final] = ACTIONS(5017),
    [anon_sym_override] = ACTIONS(5017),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5017),
  },
  [2016] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym___extension__] = ACTIONS(5009),
    [anon_sym___attribute__] = ACTIONS(5009),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5009),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5009),
    [anon_sym_volatile] = ACTIONS(5009),
    [anon_sym_restrict] = ACTIONS(5009),
    [anon_sym___restrict__] = ACTIONS(5009),
    [anon_sym__Atomic] = ACTIONS(5009),
    [anon_sym__Noreturn] = ACTIONS(5009),
    [anon_sym_noreturn] = ACTIONS(5009),
    [anon_sym_mutable] = ACTIONS(5009),
    [anon_sym_constinit] = ACTIONS(5009),
    [anon_sym_consteval] = ACTIONS(5009),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_STAR_EQ] = ACTIONS(5009),
    [anon_sym_SLASH_EQ] = ACTIONS(5009),
    [anon_sym_PERCENT_EQ] = ACTIONS(5009),
    [anon_sym_PLUS_EQ] = ACTIONS(5009),
    [anon_sym_DASH_EQ] = ACTIONS(5009),
    [anon_sym_LT_LT_EQ] = ACTIONS(5009),
    [anon_sym_GT_GT_EQ] = ACTIONS(5009),
    [anon_sym_AMP_EQ] = ACTIONS(5009),
    [anon_sym_CARET_EQ] = ACTIONS(5009),
    [anon_sym_PIPE_EQ] = ACTIONS(5009),
    [anon_sym_and_eq] = ACTIONS(5009),
    [anon_sym_or_eq] = ACTIONS(5009),
    [anon_sym_xor_eq] = ACTIONS(5009),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5009),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5009),
    [anon_sym_not_eq] = ACTIONS(5009),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5007),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5009),
    [anon_sym_decltype] = ACTIONS(5009),
    [anon_sym_final] = ACTIONS(5009),
    [anon_sym_override] = ACTIONS(5009),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5009),
  },
  [2017] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4995),
    [anon_sym_GT_GT] = ACTIONS(4995),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_COLON] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_STAR_EQ] = ACTIONS(4997),
    [anon_sym_SLASH_EQ] = ACTIONS(4997),
    [anon_sym_PERCENT_EQ] = ACTIONS(4997),
    [anon_sym_PLUS_EQ] = ACTIONS(4997),
    [anon_sym_DASH_EQ] = ACTIONS(4997),
    [anon_sym_LT_LT_EQ] = ACTIONS(4997),
    [anon_sym_GT_GT_EQ] = ACTIONS(4997),
    [anon_sym_AMP_EQ] = ACTIONS(4997),
    [anon_sym_CARET_EQ] = ACTIONS(4997),
    [anon_sym_PIPE_EQ] = ACTIONS(4997),
    [anon_sym_and_eq] = ACTIONS(4997),
    [anon_sym_or_eq] = ACTIONS(4997),
    [anon_sym_xor_eq] = ACTIONS(4997),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4997),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4997),
    [anon_sym_not_eq] = ACTIONS(4997),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4995),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [anon_sym_final] = ACTIONS(4997),
    [anon_sym_override] = ACTIONS(4997),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4997),
  },
  [2018] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4991),
    [anon_sym_GT_GT] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_restrict] = ACTIONS(4993),
    [anon_sym___restrict__] = ACTIONS(4993),
    [anon_sym__Atomic] = ACTIONS(4993),
    [anon_sym__Noreturn] = ACTIONS(4993),
    [anon_sym_noreturn] = ACTIONS(4993),
    [anon_sym_mutable] = ACTIONS(4993),
    [anon_sym_constinit] = ACTIONS(4993),
    [anon_sym_consteval] = ACTIONS(4993),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_STAR_EQ] = ACTIONS(4993),
    [anon_sym_SLASH_EQ] = ACTIONS(4993),
    [anon_sym_PERCENT_EQ] = ACTIONS(4993),
    [anon_sym_PLUS_EQ] = ACTIONS(4993),
    [anon_sym_DASH_EQ] = ACTIONS(4993),
    [anon_sym_LT_LT_EQ] = ACTIONS(4993),
    [anon_sym_GT_GT_EQ] = ACTIONS(4993),
    [anon_sym_AMP_EQ] = ACTIONS(4993),
    [anon_sym_CARET_EQ] = ACTIONS(4993),
    [anon_sym_PIPE_EQ] = ACTIONS(4993),
    [anon_sym_and_eq] = ACTIONS(4993),
    [anon_sym_or_eq] = ACTIONS(4993),
    [anon_sym_xor_eq] = ACTIONS(4993),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4993),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4993),
    [anon_sym_not_eq] = ACTIONS(4993),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4991),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4993),
    [anon_sym_decltype] = ACTIONS(4993),
    [anon_sym_final] = ACTIONS(4993),
    [anon_sym_override] = ACTIONS(4993),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4993),
  },
  [2019] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7791),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7791),
    [sym_variadic_parameter_declaration] = STATE(7791),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5293),
    [anon_sym_RPAREN] = ACTIONS(5295),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2020] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5003),
    [anon_sym_GT_GT] = ACTIONS(5003),
    [anon_sym___extension__] = ACTIONS(5005),
    [anon_sym___attribute__] = ACTIONS(5005),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5005),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5005),
    [anon_sym_volatile] = ACTIONS(5005),
    [anon_sym_restrict] = ACTIONS(5005),
    [anon_sym___restrict__] = ACTIONS(5005),
    [anon_sym__Atomic] = ACTIONS(5005),
    [anon_sym__Noreturn] = ACTIONS(5005),
    [anon_sym_noreturn] = ACTIONS(5005),
    [anon_sym_mutable] = ACTIONS(5005),
    [anon_sym_constinit] = ACTIONS(5005),
    [anon_sym_consteval] = ACTIONS(5005),
    [anon_sym_COLON] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_STAR_EQ] = ACTIONS(5005),
    [anon_sym_SLASH_EQ] = ACTIONS(5005),
    [anon_sym_PERCENT_EQ] = ACTIONS(5005),
    [anon_sym_PLUS_EQ] = ACTIONS(5005),
    [anon_sym_DASH_EQ] = ACTIONS(5005),
    [anon_sym_LT_LT_EQ] = ACTIONS(5005),
    [anon_sym_GT_GT_EQ] = ACTIONS(5005),
    [anon_sym_AMP_EQ] = ACTIONS(5005),
    [anon_sym_CARET_EQ] = ACTIONS(5005),
    [anon_sym_PIPE_EQ] = ACTIONS(5005),
    [anon_sym_and_eq] = ACTIONS(5005),
    [anon_sym_or_eq] = ACTIONS(5005),
    [anon_sym_xor_eq] = ACTIONS(5005),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5005),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5005),
    [anon_sym_not_eq] = ACTIONS(5005),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5003),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5005),
    [anon_sym_decltype] = ACTIONS(5005),
    [anon_sym_final] = ACTIONS(5005),
    [anon_sym_override] = ACTIONS(5005),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5005),
  },
  [2021] = {
    [sym_identifier] = ACTIONS(5297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_RPAREN] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5297),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5299),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5297),
    [anon_sym_PLUS] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_SLASH] = ACTIONS(5297),
    [anon_sym_PERCENT] = ACTIONS(5297),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5297),
    [anon_sym_CARET] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5297),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5297),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5297),
    [anon_sym_LT] = ACTIONS(5297),
    [anon_sym_LT_LT] = ACTIONS(5297),
    [anon_sym_GT_GT] = ACTIONS(5297),
    [anon_sym_SEMI] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_RBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5297),
    [anon_sym_COLON] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5297),
    [anon_sym_or_eq] = ACTIONS(5297),
    [anon_sym_xor_eq] = ACTIONS(5297),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5297),
    [anon_sym_and] = ACTIONS(5297),
    [anon_sym_bitor] = ACTIONS(5297),
    [anon_sym_xor] = ACTIONS(5297),
    [anon_sym_bitand] = ACTIONS(5297),
    [anon_sym_not_eq] = ACTIONS(5297),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5297),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5299),
    [anon_sym_u_DQUOTE] = ACTIONS(5299),
    [anon_sym_U_DQUOTE] = ACTIONS(5299),
    [anon_sym_u8_DQUOTE] = ACTIONS(5299),
    [anon_sym_DQUOTE] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5299),
    [anon_sym_LR_DQUOTE] = ACTIONS(5299),
    [anon_sym_uR_DQUOTE] = ACTIONS(5299),
    [anon_sym_UR_DQUOTE] = ACTIONS(5299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5299),
    [sym_literal_suffix] = ACTIONS(5297),
  },
  [2022] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7717),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7717),
    [sym_variadic_parameter_declaration] = STATE(7717),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1996),
    [anon_sym_RPAREN] = ACTIONS(4403),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2023] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4991),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4991),
    [anon_sym_GT_GT] = ACTIONS(4991),
    [anon_sym___extension__] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4993),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4993),
    [anon_sym_volatile] = ACTIONS(4993),
    [anon_sym_restrict] = ACTIONS(4993),
    [anon_sym___restrict__] = ACTIONS(4993),
    [anon_sym__Atomic] = ACTIONS(4993),
    [anon_sym__Noreturn] = ACTIONS(4993),
    [anon_sym_noreturn] = ACTIONS(4993),
    [anon_sym_mutable] = ACTIONS(4993),
    [anon_sym_constinit] = ACTIONS(4993),
    [anon_sym_consteval] = ACTIONS(4993),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_STAR_EQ] = ACTIONS(4993),
    [anon_sym_SLASH_EQ] = ACTIONS(4993),
    [anon_sym_PERCENT_EQ] = ACTIONS(4993),
    [anon_sym_PLUS_EQ] = ACTIONS(4993),
    [anon_sym_DASH_EQ] = ACTIONS(4993),
    [anon_sym_LT_LT_EQ] = ACTIONS(4993),
    [anon_sym_GT_GT_EQ] = ACTIONS(4991),
    [anon_sym_AMP_EQ] = ACTIONS(4993),
    [anon_sym_CARET_EQ] = ACTIONS(4993),
    [anon_sym_PIPE_EQ] = ACTIONS(4993),
    [anon_sym_and_eq] = ACTIONS(4993),
    [anon_sym_or_eq] = ACTIONS(4993),
    [anon_sym_xor_eq] = ACTIONS(4993),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4993),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4993),
    [anon_sym_not_eq] = ACTIONS(4993),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4993),
    [anon_sym_decltype] = ACTIONS(4993),
    [anon_sym_final] = ACTIONS(4993),
    [anon_sym_override] = ACTIONS(4993),
    [anon_sym_GT2] = ACTIONS(4993),
  },
  [2024] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(5282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5284),
    [anon_sym_COMMA] = ACTIONS(5284),
    [anon_sym_RPAREN] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5284),
    [anon_sym_AMP_AMP] = ACTIONS(5284),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5284),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym_SEMI] = ACTIONS(5284),
    [anon_sym___attribute__] = ACTIONS(5282),
    [anon_sym_LBRACE] = ACTIONS(5284),
    [anon_sym_RBRACE] = ACTIONS(5284),
    [anon_sym_signed] = ACTIONS(5301),
    [anon_sym_unsigned] = ACTIONS(5301),
    [anon_sym_long] = ACTIONS(5301),
    [anon_sym_short] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_RBRACK] = ACTIONS(5284),
    [anon_sym_EQ] = ACTIONS(5282),
    [sym_primitive_type] = ACTIONS(5282),
    [anon_sym_COLON] = ACTIONS(5284),
    [anon_sym_QMARK] = ACTIONS(5284),
    [anon_sym_STAR_EQ] = ACTIONS(5284),
    [anon_sym_SLASH_EQ] = ACTIONS(5284),
    [anon_sym_PERCENT_EQ] = ACTIONS(5284),
    [anon_sym_PLUS_EQ] = ACTIONS(5284),
    [anon_sym_DASH_EQ] = ACTIONS(5284),
    [anon_sym_LT_LT_EQ] = ACTIONS(5284),
    [anon_sym_GT_GT_EQ] = ACTIONS(5284),
    [anon_sym_AMP_EQ] = ACTIONS(5284),
    [anon_sym_CARET_EQ] = ACTIONS(5284),
    [anon_sym_PIPE_EQ] = ACTIONS(5284),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5284),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5284),
    [anon_sym_PLUS_PLUS] = ACTIONS(5284),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5284),
    [anon_sym_DASH_GT] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5282),
    [anon_sym_decltype] = ACTIONS(5282),
  },
  [2025] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5011),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym___extension__] = ACTIONS(5013),
    [anon_sym___attribute__] = ACTIONS(5013),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5013),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5013),
    [anon_sym_volatile] = ACTIONS(5013),
    [anon_sym_restrict] = ACTIONS(5013),
    [anon_sym___restrict__] = ACTIONS(5013),
    [anon_sym__Atomic] = ACTIONS(5013),
    [anon_sym__Noreturn] = ACTIONS(5013),
    [anon_sym_noreturn] = ACTIONS(5013),
    [anon_sym_mutable] = ACTIONS(5013),
    [anon_sym_constinit] = ACTIONS(5013),
    [anon_sym_consteval] = ACTIONS(5013),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_STAR_EQ] = ACTIONS(5013),
    [anon_sym_SLASH_EQ] = ACTIONS(5013),
    [anon_sym_PERCENT_EQ] = ACTIONS(5013),
    [anon_sym_PLUS_EQ] = ACTIONS(5013),
    [anon_sym_DASH_EQ] = ACTIONS(5013),
    [anon_sym_LT_LT_EQ] = ACTIONS(5013),
    [anon_sym_GT_GT_EQ] = ACTIONS(5011),
    [anon_sym_AMP_EQ] = ACTIONS(5013),
    [anon_sym_CARET_EQ] = ACTIONS(5013),
    [anon_sym_PIPE_EQ] = ACTIONS(5013),
    [anon_sym_and_eq] = ACTIONS(5013),
    [anon_sym_or_eq] = ACTIONS(5013),
    [anon_sym_xor_eq] = ACTIONS(5013),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5013),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5013),
    [anon_sym_not_eq] = ACTIONS(5013),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5013),
    [anon_sym_decltype] = ACTIONS(5013),
    [anon_sym_final] = ACTIONS(5013),
    [anon_sym_override] = ACTIONS(5013),
    [anon_sym_GT2] = ACTIONS(5013),
  },
  [2026] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [aux_sym_preproc_if_token2] = ACTIONS(4137),
    [aux_sym_preproc_else_token1] = ACTIONS(4137),
    [aux_sym_preproc_elif_token1] = ACTIONS(4145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5304),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(5307),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5309),
    [anon_sym_SLASH_EQ] = ACTIONS(5309),
    [anon_sym_PERCENT_EQ] = ACTIONS(5309),
    [anon_sym_PLUS_EQ] = ACTIONS(5309),
    [anon_sym_DASH_EQ] = ACTIONS(5309),
    [anon_sym_LT_LT_EQ] = ACTIONS(5309),
    [anon_sym_GT_GT_EQ] = ACTIONS(5309),
    [anon_sym_AMP_EQ] = ACTIONS(5309),
    [anon_sym_CARET_EQ] = ACTIONS(5309),
    [anon_sym_PIPE_EQ] = ACTIONS(5309),
    [anon_sym_and_eq] = ACTIONS(5307),
    [anon_sym_or_eq] = ACTIONS(5307),
    [anon_sym_xor_eq] = ACTIONS(5307),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2027] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5003),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5003),
    [anon_sym_GT_GT] = ACTIONS(5003),
    [anon_sym___extension__] = ACTIONS(5005),
    [anon_sym___attribute__] = ACTIONS(5005),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5005),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5005),
    [anon_sym_volatile] = ACTIONS(5005),
    [anon_sym_restrict] = ACTIONS(5005),
    [anon_sym___restrict__] = ACTIONS(5005),
    [anon_sym__Atomic] = ACTIONS(5005),
    [anon_sym__Noreturn] = ACTIONS(5005),
    [anon_sym_noreturn] = ACTIONS(5005),
    [anon_sym_mutable] = ACTIONS(5005),
    [anon_sym_constinit] = ACTIONS(5005),
    [anon_sym_consteval] = ACTIONS(5005),
    [anon_sym_COLON] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_STAR_EQ] = ACTIONS(5005),
    [anon_sym_SLASH_EQ] = ACTIONS(5005),
    [anon_sym_PERCENT_EQ] = ACTIONS(5005),
    [anon_sym_PLUS_EQ] = ACTIONS(5005),
    [anon_sym_DASH_EQ] = ACTIONS(5005),
    [anon_sym_LT_LT_EQ] = ACTIONS(5005),
    [anon_sym_GT_GT_EQ] = ACTIONS(5003),
    [anon_sym_AMP_EQ] = ACTIONS(5005),
    [anon_sym_CARET_EQ] = ACTIONS(5005),
    [anon_sym_PIPE_EQ] = ACTIONS(5005),
    [anon_sym_and_eq] = ACTIONS(5005),
    [anon_sym_or_eq] = ACTIONS(5005),
    [anon_sym_xor_eq] = ACTIONS(5005),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5005),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5005),
    [anon_sym_not_eq] = ACTIONS(5005),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5005),
    [anon_sym_decltype] = ACTIONS(5005),
    [anon_sym_final] = ACTIONS(5005),
    [anon_sym_override] = ACTIONS(5005),
    [anon_sym_GT2] = ACTIONS(5005),
  },
  [2028] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5015),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym___extension__] = ACTIONS(5017),
    [anon_sym___attribute__] = ACTIONS(5017),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5017),
    [anon_sym_volatile] = ACTIONS(5017),
    [anon_sym_restrict] = ACTIONS(5017),
    [anon_sym___restrict__] = ACTIONS(5017),
    [anon_sym__Atomic] = ACTIONS(5017),
    [anon_sym__Noreturn] = ACTIONS(5017),
    [anon_sym_noreturn] = ACTIONS(5017),
    [anon_sym_mutable] = ACTIONS(5017),
    [anon_sym_constinit] = ACTIONS(5017),
    [anon_sym_consteval] = ACTIONS(5017),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_STAR_EQ] = ACTIONS(5017),
    [anon_sym_SLASH_EQ] = ACTIONS(5017),
    [anon_sym_PERCENT_EQ] = ACTIONS(5017),
    [anon_sym_PLUS_EQ] = ACTIONS(5017),
    [anon_sym_DASH_EQ] = ACTIONS(5017),
    [anon_sym_LT_LT_EQ] = ACTIONS(5017),
    [anon_sym_GT_GT_EQ] = ACTIONS(5015),
    [anon_sym_AMP_EQ] = ACTIONS(5017),
    [anon_sym_CARET_EQ] = ACTIONS(5017),
    [anon_sym_PIPE_EQ] = ACTIONS(5017),
    [anon_sym_and_eq] = ACTIONS(5017),
    [anon_sym_or_eq] = ACTIONS(5017),
    [anon_sym_xor_eq] = ACTIONS(5017),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5017),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5017),
    [anon_sym_not_eq] = ACTIONS(5017),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5017),
    [anon_sym_decltype] = ACTIONS(5017),
    [anon_sym_final] = ACTIONS(5017),
    [anon_sym_override] = ACTIONS(5017),
    [anon_sym_GT2] = ACTIONS(5017),
  },
  [2029] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4995),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4995),
    [anon_sym_GT_GT] = ACTIONS(4995),
    [anon_sym___extension__] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4997),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4997),
    [anon_sym_volatile] = ACTIONS(4997),
    [anon_sym_restrict] = ACTIONS(4997),
    [anon_sym___restrict__] = ACTIONS(4997),
    [anon_sym__Atomic] = ACTIONS(4997),
    [anon_sym__Noreturn] = ACTIONS(4997),
    [anon_sym_noreturn] = ACTIONS(4997),
    [anon_sym_mutable] = ACTIONS(4997),
    [anon_sym_constinit] = ACTIONS(4997),
    [anon_sym_consteval] = ACTIONS(4997),
    [anon_sym_COLON] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_STAR_EQ] = ACTIONS(4997),
    [anon_sym_SLASH_EQ] = ACTIONS(4997),
    [anon_sym_PERCENT_EQ] = ACTIONS(4997),
    [anon_sym_PLUS_EQ] = ACTIONS(4997),
    [anon_sym_DASH_EQ] = ACTIONS(4997),
    [anon_sym_LT_LT_EQ] = ACTIONS(4997),
    [anon_sym_GT_GT_EQ] = ACTIONS(4995),
    [anon_sym_AMP_EQ] = ACTIONS(4997),
    [anon_sym_CARET_EQ] = ACTIONS(4997),
    [anon_sym_PIPE_EQ] = ACTIONS(4997),
    [anon_sym_and_eq] = ACTIONS(4997),
    [anon_sym_or_eq] = ACTIONS(4997),
    [anon_sym_xor_eq] = ACTIONS(4997),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4997),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4997),
    [anon_sym_not_eq] = ACTIONS(4997),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4997),
    [anon_sym_decltype] = ACTIONS(4997),
    [anon_sym_final] = ACTIONS(4997),
    [anon_sym_override] = ACTIONS(4997),
    [anon_sym_GT2] = ACTIONS(4997),
  },
  [2030] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(7944),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(7944),
    [sym_variadic_parameter_declaration] = STATE(7944),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_RPAREN] = ACTIONS(2018),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2031] = {
    [sym_attribute_specifier] = STATE(2415),
    [sym_field_declaration_list] = STATE(2406),
    [sym_virtual_specifier] = STATE(7544),
    [sym_base_class_clause] = STATE(8376),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [anon_sym_RPAREN] = ACTIONS(5313),
    [aux_sym_preproc_if_token2] = ACTIONS(5313),
    [aux_sym_preproc_else_token1] = ACTIONS(5313),
    [aux_sym_preproc_elif_token1] = ACTIONS(5311),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5313),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5313),
    [anon_sym_BANG_EQ] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym_SEMI] = ACTIONS(5313),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5317),
    [anon_sym_RBRACE] = ACTIONS(5313),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_RBRACK] = ACTIONS(5313),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_STAR_EQ] = ACTIONS(5313),
    [anon_sym_SLASH_EQ] = ACTIONS(5313),
    [anon_sym_PERCENT_EQ] = ACTIONS(5313),
    [anon_sym_PLUS_EQ] = ACTIONS(5313),
    [anon_sym_DASH_EQ] = ACTIONS(5313),
    [anon_sym_LT_LT_EQ] = ACTIONS(5313),
    [anon_sym_GT_GT_EQ] = ACTIONS(5313),
    [anon_sym_AMP_EQ] = ACTIONS(5313),
    [anon_sym_CARET_EQ] = ACTIONS(5313),
    [anon_sym_PIPE_EQ] = ACTIONS(5313),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5313),
    [anon_sym_PLUS_PLUS] = ACTIONS(5313),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5313),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5311),
    [anon_sym_decltype] = ACTIONS(5311),
    [anon_sym_final] = ACTIONS(5321),
    [anon_sym_override] = ACTIONS(5321),
  },
  [2032] = {
    [sym_catch_clause] = STATE(2038),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2038),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(5323),
  },
  [2033] = {
    [sym_catch_clause] = STATE(2038),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2038),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_friend] = ACTIONS(2832),
    [anon_sym_public] = ACTIONS(2832),
    [anon_sym_private] = ACTIONS(2832),
    [anon_sym_protected] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(5323),
  },
  [2034] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(4999),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym___extension__] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(5001),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(5001),
    [anon_sym_volatile] = ACTIONS(5001),
    [anon_sym_restrict] = ACTIONS(5001),
    [anon_sym___restrict__] = ACTIONS(5001),
    [anon_sym__Atomic] = ACTIONS(5001),
    [anon_sym__Noreturn] = ACTIONS(5001),
    [anon_sym_noreturn] = ACTIONS(5001),
    [anon_sym_mutable] = ACTIONS(5001),
    [anon_sym_constinit] = ACTIONS(5001),
    [anon_sym_consteval] = ACTIONS(5001),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_STAR_EQ] = ACTIONS(5001),
    [anon_sym_SLASH_EQ] = ACTIONS(5001),
    [anon_sym_PERCENT_EQ] = ACTIONS(5001),
    [anon_sym_PLUS_EQ] = ACTIONS(5001),
    [anon_sym_DASH_EQ] = ACTIONS(5001),
    [anon_sym_LT_LT_EQ] = ACTIONS(5001),
    [anon_sym_GT_GT_EQ] = ACTIONS(4999),
    [anon_sym_AMP_EQ] = ACTIONS(5001),
    [anon_sym_CARET_EQ] = ACTIONS(5001),
    [anon_sym_PIPE_EQ] = ACTIONS(5001),
    [anon_sym_and_eq] = ACTIONS(5001),
    [anon_sym_or_eq] = ACTIONS(5001),
    [anon_sym_xor_eq] = ACTIONS(5001),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(5001),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(5001),
    [anon_sym_not_eq] = ACTIONS(5001),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5001),
    [anon_sym_decltype] = ACTIONS(5001),
    [anon_sym_final] = ACTIONS(5001),
    [anon_sym_override] = ACTIONS(5001),
    [anon_sym_GT2] = ACTIONS(5001),
  },
  [2035] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5007),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym___extension__] = ACTIONS(5009),
    [anon_sym___attribute__] = ACTIONS(5009),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5009),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5009),
    [anon_sym_volatile] = ACTIONS(5009),
    [anon_sym_restrict] = ACTIONS(5009),
    [anon_sym___restrict__] = ACTIONS(5009),
    [anon_sym__Atomic] = ACTIONS(5009),
    [anon_sym__Noreturn] = ACTIONS(5009),
    [anon_sym_noreturn] = ACTIONS(5009),
    [anon_sym_mutable] = ACTIONS(5009),
    [anon_sym_constinit] = ACTIONS(5009),
    [anon_sym_consteval] = ACTIONS(5009),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_STAR_EQ] = ACTIONS(5009),
    [anon_sym_SLASH_EQ] = ACTIONS(5009),
    [anon_sym_PERCENT_EQ] = ACTIONS(5009),
    [anon_sym_PLUS_EQ] = ACTIONS(5009),
    [anon_sym_DASH_EQ] = ACTIONS(5009),
    [anon_sym_LT_LT_EQ] = ACTIONS(5009),
    [anon_sym_GT_GT_EQ] = ACTIONS(5007),
    [anon_sym_AMP_EQ] = ACTIONS(5009),
    [anon_sym_CARET_EQ] = ACTIONS(5009),
    [anon_sym_PIPE_EQ] = ACTIONS(5009),
    [anon_sym_and_eq] = ACTIONS(5009),
    [anon_sym_or_eq] = ACTIONS(5009),
    [anon_sym_xor_eq] = ACTIONS(5009),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5009),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5009),
    [anon_sym_not_eq] = ACTIONS(5009),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5009),
    [anon_sym_decltype] = ACTIONS(5009),
    [anon_sym_final] = ACTIONS(5009),
    [anon_sym_override] = ACTIONS(5009),
    [anon_sym_GT2] = ACTIONS(5009),
  },
  [2036] = {
    [sym_catch_clause] = STATE(2038),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2038),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token2] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [aux_sym_preproc_else_token1] = ACTIONS(2803),
    [aux_sym_preproc_elif_token1] = ACTIONS(2803),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_friend] = ACTIONS(2803),
    [anon_sym_public] = ACTIONS(2803),
    [anon_sym_private] = ACTIONS(2803),
    [anon_sym_protected] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(5323),
  },
  [2037] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8196),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8196),
    [sym_variadic_parameter_declaration] = STATE(8196),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5325),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2038] = {
    [sym_catch_clause] = STATE(2038),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2038),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5327),
  },
  [2039] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6823),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7238),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7238),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2040] = {
    [sym__declaration_modifiers] = STATE(2291),
    [sym__declaration_specifiers] = STATE(4611),
    [sym_attribute_specifier] = STATE(2291),
    [sym_attribute_declaration] = STATE(2291),
    [sym_ms_declspec_modifier] = STATE(2291),
    [sym_storage_class_specifier] = STATE(2291),
    [sym_type_qualifier] = STATE(2291),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_parameter_declaration] = STATE(8203),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2291),
    [sym_alignas_specifier] = STATE(2291),
    [sym_dependent_type] = STATE(3613),
    [sym_optional_parameter_declaration] = STATE(8203),
    [sym_variadic_parameter_declaration] = STATE(8203),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2291),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2041] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6860),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7238),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7238),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2042] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6859),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7244),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7244),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2043] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6898),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7213),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7213),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2044] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6825),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7213),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7213),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2045] = {
    [sym_template_argument_list] = STATE(2056),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5021),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5036),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5026),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5021),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5030),
    [anon_sym_EQ] = ACTIONS(5028),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5026),
    [anon_sym_volatile] = ACTIONS(5026),
    [anon_sym_restrict] = ACTIONS(5026),
    [anon_sym___restrict__] = ACTIONS(5026),
    [anon_sym__Atomic] = ACTIONS(5026),
    [anon_sym__Noreturn] = ACTIONS(5026),
    [anon_sym_noreturn] = ACTIONS(5026),
    [anon_sym_mutable] = ACTIONS(5026),
    [anon_sym_constinit] = ACTIONS(5026),
    [anon_sym_consteval] = ACTIONS(5026),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5021),
    [anon_sym_or_eq] = ACTIONS(5021),
    [anon_sym_xor_eq] = ACTIONS(5021),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5021),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5021),
    [anon_sym_not_eq] = ACTIONS(5021),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5026),
    [anon_sym_decltype] = ACTIONS(5026),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5021),
  },
  [2046] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6790),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7227),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7227),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2047] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6784),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7220),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7220),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2048] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2049] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6817),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7237),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7237),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2050] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6894),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7237),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7237),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2051] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6766),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7244),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7244),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2052] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6768),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7247),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7247),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2053] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6781),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7208),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7208),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2054] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6826),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7242),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7242),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2055] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2056] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym_SEMI] = ACTIONS(5051),
    [anon_sym___extension__] = ACTIONS(5044),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5051),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5048),
    [anon_sym_EQ] = ACTIONS(5046),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5044),
    [anon_sym_volatile] = ACTIONS(5044),
    [anon_sym_restrict] = ACTIONS(5044),
    [anon_sym___restrict__] = ACTIONS(5044),
    [anon_sym__Atomic] = ACTIONS(5044),
    [anon_sym__Noreturn] = ACTIONS(5044),
    [anon_sym_noreturn] = ACTIONS(5044),
    [anon_sym_mutable] = ACTIONS(5044),
    [anon_sym_constinit] = ACTIONS(5044),
    [anon_sym_consteval] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5051),
    [anon_sym_or_eq] = ACTIONS(5051),
    [anon_sym_xor_eq] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5051),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5051),
    [anon_sym_not_eq] = ACTIONS(5051),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5044),
    [anon_sym_decltype] = ACTIONS(5044),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5051),
  },
  [2057] = {
    [sym__declaration_modifiers] = STATE(4114),
    [sym_attribute_specifier] = STATE(4114),
    [sym_attribute_declaration] = STATE(4114),
    [sym_ms_declspec_modifier] = STATE(4114),
    [sym_ms_based_modifier] = STATE(9242),
    [sym__declarator] = STATE(7174),
    [sym_parenthesized_declarator] = STATE(6828),
    [sym_attributed_declarator] = STATE(6828),
    [sym_pointer_declarator] = STATE(6828),
    [sym_function_declarator] = STATE(6879),
    [sym_array_declarator] = STATE(6828),
    [sym_storage_class_specifier] = STATE(4114),
    [sym_type_qualifier] = STATE(4114),
    [sym_decltype] = STATE(9051),
    [sym_virtual] = STATE(4114),
    [sym_alignas_specifier] = STATE(4114),
    [sym_explicit_function_specifier] = STATE(4114),
    [sym_operator_cast] = STATE(7220),
    [sym__constructor_specifiers] = STATE(4114),
    [sym_reference_declarator] = STATE(6828),
    [sym_structured_binding_declarator] = STATE(6828),
    [sym_template_type] = STATE(9051),
    [sym_template_function] = STATE(6828),
    [sym_destructor_name] = STATE(6828),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(6055),
    [sym_qualified_identifier] = STATE(6828),
    [sym_qualified_operator_cast_identifier] = STATE(7220),
    [sym_operator_name] = STATE(6828),
    [aux_sym_operator_cast_definition_repeat1] = STATE(4114),
    [sym_identifier] = ACTIONS(5330),
    [anon_sym_LPAREN2] = ACTIONS(3009),
    [anon_sym_TILDE] = ACTIONS(3011),
    [anon_sym_STAR] = ACTIONS(3013),
    [anon_sym_AMP_AMP] = ACTIONS(29),
    [anon_sym_AMP] = ACTIONS(3015),
    [anon_sym___extension__] = ACTIONS(5332),
    [anon_sym_extern] = ACTIONS(5334),
    [anon_sym___attribute__] = ACTIONS(5336),
    [anon_sym_COLON_COLON] = ACTIONS(5338),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5340),
    [anon_sym___declspec] = ACTIONS(5342),
    [anon_sym___based] = ACTIONS(47),
    [anon_sym_LBRACK] = ACTIONS(3023),
    [anon_sym_static] = ACTIONS(5334),
    [anon_sym_register] = ACTIONS(5334),
    [anon_sym_inline] = ACTIONS(5334),
    [anon_sym___inline] = ACTIONS(5334),
    [anon_sym___inline__] = ACTIONS(5334),
    [anon_sym___forceinline] = ACTIONS(5334),
    [anon_sym_thread_local] = ACTIONS(5334),
    [anon_sym___thread] = ACTIONS(5334),
    [anon_sym_const] = ACTIONS(5332),
    [anon_sym_constexpr] = ACTIONS(5332),
    [anon_sym_volatile] = ACTIONS(5332),
    [anon_sym_restrict] = ACTIONS(5332),
    [anon_sym___restrict__] = ACTIONS(5332),
    [anon_sym__Atomic] = ACTIONS(5332),
    [anon_sym__Noreturn] = ACTIONS(5332),
    [anon_sym_noreturn] = ACTIONS(5332),
    [anon_sym_mutable] = ACTIONS(5332),
    [anon_sym_constinit] = ACTIONS(5332),
    [anon_sym_consteval] = ACTIONS(5332),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(2172),
    [anon_sym_virtual] = ACTIONS(5344),
    [anon_sym_alignas] = ACTIONS(5346),
    [anon_sym_explicit] = ACTIONS(125),
    [anon_sym_template] = ACTIONS(1428),
    [anon_sym_operator] = ACTIONS(131),
  },
  [2058] = {
    [sym_string_literal] = STATE(2187),
    [sym_template_argument_list] = STATE(3196),
    [sym_raw_string_literal] = STATE(2187),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [aux_sym_preproc_if_token2] = ACTIONS(4137),
    [aux_sym_preproc_else_token1] = ACTIONS(4137),
    [aux_sym_preproc_elif_token1] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5350),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
  },
  [2059] = {
    [sym_catch_clause] = STATE(2059),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2059),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [aux_sym_preproc_else_token1] = ACTIONS(2821),
    [aux_sym_preproc_elif_token1] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5353),
  },
  [2060] = {
    [sym_argument_list] = STATE(2855),
    [sym_initializer_list] = STATE(2855),
    [sym_decltype_auto] = STATE(2443),
    [sym_new_declarator] = STATE(2414),
    [sym_identifier] = ACTIONS(5356),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5358),
    [anon_sym_COMMA] = ACTIONS(5358),
    [anon_sym_RPAREN] = ACTIONS(5358),
    [aux_sym_preproc_if_token2] = ACTIONS(5358),
    [aux_sym_preproc_else_token1] = ACTIONS(5358),
    [aux_sym_preproc_elif_token1] = ACTIONS(5356),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5358),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5358),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5356),
    [anon_sym_PLUS] = ACTIONS(5356),
    [anon_sym_STAR] = ACTIONS(5356),
    [anon_sym_SLASH] = ACTIONS(5356),
    [anon_sym_PERCENT] = ACTIONS(5356),
    [anon_sym_PIPE_PIPE] = ACTIONS(5358),
    [anon_sym_AMP_AMP] = ACTIONS(5358),
    [anon_sym_PIPE] = ACTIONS(5356),
    [anon_sym_CARET] = ACTIONS(5356),
    [anon_sym_AMP] = ACTIONS(5356),
    [anon_sym_EQ_EQ] = ACTIONS(5358),
    [anon_sym_BANG_EQ] = ACTIONS(5358),
    [anon_sym_GT] = ACTIONS(5356),
    [anon_sym_GT_EQ] = ACTIONS(5358),
    [anon_sym_LT_EQ] = ACTIONS(5356),
    [anon_sym_LT] = ACTIONS(5356),
    [anon_sym_LT_LT] = ACTIONS(5356),
    [anon_sym_GT_GT] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(5358),
    [anon_sym___attribute__] = ACTIONS(5356),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5358),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5358),
    [anon_sym_EQ] = ACTIONS(5356),
    [anon_sym_COLON] = ACTIONS(5358),
    [anon_sym_QMARK] = ACTIONS(5358),
    [anon_sym_STAR_EQ] = ACTIONS(5358),
    [anon_sym_SLASH_EQ] = ACTIONS(5358),
    [anon_sym_PERCENT_EQ] = ACTIONS(5358),
    [anon_sym_PLUS_EQ] = ACTIONS(5358),
    [anon_sym_DASH_EQ] = ACTIONS(5358),
    [anon_sym_LT_LT_EQ] = ACTIONS(5358),
    [anon_sym_GT_GT_EQ] = ACTIONS(5358),
    [anon_sym_AMP_EQ] = ACTIONS(5358),
    [anon_sym_CARET_EQ] = ACTIONS(5358),
    [anon_sym_PIPE_EQ] = ACTIONS(5358),
    [anon_sym_and_eq] = ACTIONS(5356),
    [anon_sym_or_eq] = ACTIONS(5356),
    [anon_sym_xor_eq] = ACTIONS(5356),
    [anon_sym_LT_EQ_GT] = ACTIONS(5358),
    [anon_sym_or] = ACTIONS(5356),
    [anon_sym_and] = ACTIONS(5356),
    [anon_sym_bitor] = ACTIONS(5356),
    [anon_sym_xor] = ACTIONS(5356),
    [anon_sym_bitand] = ACTIONS(5356),
    [anon_sym_not_eq] = ACTIONS(5356),
    [anon_sym_DASH_DASH] = ACTIONS(5358),
    [anon_sym_PLUS_PLUS] = ACTIONS(5358),
    [anon_sym_DOT] = ACTIONS(5356),
    [anon_sym_DOT_STAR] = ACTIONS(5358),
    [anon_sym_DASH_GT] = ACTIONS(5358),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5366),
  },
  [2061] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_friend] = ACTIONS(2136),
    [anon_sym_public] = ACTIONS(2136),
    [anon_sym_private] = ACTIONS(2136),
    [anon_sym_protected] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
  },
  [2062] = {
    [sym_template_argument_list] = STATE(2171),
    [sym_identifier] = ACTIONS(5368),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4161),
    [anon_sym_COMMA] = ACTIONS(4161),
    [anon_sym_RPAREN] = ACTIONS(4161),
    [aux_sym_preproc_if_token2] = ACTIONS(4161),
    [aux_sym_preproc_else_token1] = ACTIONS(4161),
    [aux_sym_preproc_elif_token1] = ACTIONS(5368),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4161),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4161),
    [anon_sym_LPAREN2] = ACTIONS(4161),
    [anon_sym_DASH] = ACTIONS(5368),
    [anon_sym_PLUS] = ACTIONS(5368),
    [anon_sym_STAR] = ACTIONS(5368),
    [anon_sym_SLASH] = ACTIONS(5368),
    [anon_sym_PERCENT] = ACTIONS(5368),
    [anon_sym_PIPE_PIPE] = ACTIONS(4161),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_PIPE] = ACTIONS(5368),
    [anon_sym_CARET] = ACTIONS(5368),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_EQ_EQ] = ACTIONS(4161),
    [anon_sym_BANG_EQ] = ACTIONS(4161),
    [anon_sym_GT] = ACTIONS(5368),
    [anon_sym_GT_EQ] = ACTIONS(4161),
    [anon_sym_LT_EQ] = ACTIONS(5368),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(5368),
    [anon_sym_GT_GT] = ACTIONS(5368),
    [anon_sym_SEMI] = ACTIONS(4161),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4161),
    [anon_sym_RBRACK] = ACTIONS(4161),
    [anon_sym_EQ] = ACTIONS(5368),
    [anon_sym_COLON] = ACTIONS(5368),
    [anon_sym_QMARK] = ACTIONS(4161),
    [anon_sym_STAR_EQ] = ACTIONS(4161),
    [anon_sym_SLASH_EQ] = ACTIONS(4161),
    [anon_sym_PERCENT_EQ] = ACTIONS(4161),
    [anon_sym_PLUS_EQ] = ACTIONS(4161),
    [anon_sym_DASH_EQ] = ACTIONS(4161),
    [anon_sym_LT_LT_EQ] = ACTIONS(4161),
    [anon_sym_GT_GT_EQ] = ACTIONS(4161),
    [anon_sym_AMP_EQ] = ACTIONS(4161),
    [anon_sym_CARET_EQ] = ACTIONS(4161),
    [anon_sym_PIPE_EQ] = ACTIONS(4161),
    [anon_sym_and_eq] = ACTIONS(5368),
    [anon_sym_or_eq] = ACTIONS(5368),
    [anon_sym_xor_eq] = ACTIONS(5368),
    [anon_sym_LT_EQ_GT] = ACTIONS(4161),
    [anon_sym_or] = ACTIONS(5368),
    [anon_sym_and] = ACTIONS(5368),
    [anon_sym_bitor] = ACTIONS(5368),
    [anon_sym_xor] = ACTIONS(5368),
    [anon_sym_bitand] = ACTIONS(5368),
    [anon_sym_not_eq] = ACTIONS(5368),
    [anon_sym_DASH_DASH] = ACTIONS(4161),
    [anon_sym_PLUS_PLUS] = ACTIONS(4161),
    [anon_sym_DOT] = ACTIONS(5368),
    [anon_sym_DOT_STAR] = ACTIONS(4161),
    [anon_sym_DASH_GT] = ACTIONS(4161),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_final] = ACTIONS(5368),
    [anon_sym_override] = ACTIONS(5368),
  },
  [2063] = {
    [sym_argument_list] = STATE(2812),
    [sym_initializer_list] = STATE(2812),
    [sym_decltype_auto] = STATE(2443),
    [sym_new_declarator] = STATE(2412),
    [sym_identifier] = ACTIONS(5372),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5374),
    [anon_sym_COMMA] = ACTIONS(5374),
    [anon_sym_RPAREN] = ACTIONS(5374),
    [aux_sym_preproc_if_token2] = ACTIONS(5374),
    [aux_sym_preproc_else_token1] = ACTIONS(5374),
    [aux_sym_preproc_elif_token1] = ACTIONS(5372),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5374),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5374),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5372),
    [anon_sym_PLUS] = ACTIONS(5372),
    [anon_sym_STAR] = ACTIONS(5372),
    [anon_sym_SLASH] = ACTIONS(5372),
    [anon_sym_PERCENT] = ACTIONS(5372),
    [anon_sym_PIPE_PIPE] = ACTIONS(5374),
    [anon_sym_AMP_AMP] = ACTIONS(5374),
    [anon_sym_PIPE] = ACTIONS(5372),
    [anon_sym_CARET] = ACTIONS(5372),
    [anon_sym_AMP] = ACTIONS(5372),
    [anon_sym_EQ_EQ] = ACTIONS(5374),
    [anon_sym_BANG_EQ] = ACTIONS(5374),
    [anon_sym_GT] = ACTIONS(5372),
    [anon_sym_GT_EQ] = ACTIONS(5374),
    [anon_sym_LT_EQ] = ACTIONS(5372),
    [anon_sym_LT] = ACTIONS(5372),
    [anon_sym_LT_LT] = ACTIONS(5372),
    [anon_sym_GT_GT] = ACTIONS(5372),
    [anon_sym_SEMI] = ACTIONS(5374),
    [anon_sym___attribute__] = ACTIONS(5372),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5374),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5374),
    [anon_sym_EQ] = ACTIONS(5372),
    [anon_sym_COLON] = ACTIONS(5374),
    [anon_sym_QMARK] = ACTIONS(5374),
    [anon_sym_STAR_EQ] = ACTIONS(5374),
    [anon_sym_SLASH_EQ] = ACTIONS(5374),
    [anon_sym_PERCENT_EQ] = ACTIONS(5374),
    [anon_sym_PLUS_EQ] = ACTIONS(5374),
    [anon_sym_DASH_EQ] = ACTIONS(5374),
    [anon_sym_LT_LT_EQ] = ACTIONS(5374),
    [anon_sym_GT_GT_EQ] = ACTIONS(5374),
    [anon_sym_AMP_EQ] = ACTIONS(5374),
    [anon_sym_CARET_EQ] = ACTIONS(5374),
    [anon_sym_PIPE_EQ] = ACTIONS(5374),
    [anon_sym_and_eq] = ACTIONS(5372),
    [anon_sym_or_eq] = ACTIONS(5372),
    [anon_sym_xor_eq] = ACTIONS(5372),
    [anon_sym_LT_EQ_GT] = ACTIONS(5374),
    [anon_sym_or] = ACTIONS(5372),
    [anon_sym_and] = ACTIONS(5372),
    [anon_sym_bitor] = ACTIONS(5372),
    [anon_sym_xor] = ACTIONS(5372),
    [anon_sym_bitand] = ACTIONS(5372),
    [anon_sym_not_eq] = ACTIONS(5372),
    [anon_sym_DASH_DASH] = ACTIONS(5374),
    [anon_sym_PLUS_PLUS] = ACTIONS(5374),
    [anon_sym_DOT] = ACTIONS(5372),
    [anon_sym_DOT_STAR] = ACTIONS(5374),
    [anon_sym_DASH_GT] = ACTIONS(5374),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5366),
  },
  [2064] = {
    [sym_template_argument_list] = STATE(2196),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5021),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5376),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5026),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_EQ] = ACTIONS(5028),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5026),
    [anon_sym_volatile] = ACTIONS(5026),
    [anon_sym_restrict] = ACTIONS(5026),
    [anon_sym___restrict__] = ACTIONS(5026),
    [anon_sym__Atomic] = ACTIONS(5026),
    [anon_sym__Noreturn] = ACTIONS(5026),
    [anon_sym_noreturn] = ACTIONS(5026),
    [anon_sym_mutable] = ACTIONS(5026),
    [anon_sym_constinit] = ACTIONS(5026),
    [anon_sym_consteval] = ACTIONS(5026),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5021),
    [anon_sym_or_eq] = ACTIONS(5021),
    [anon_sym_xor_eq] = ACTIONS(5021),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5021),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5021),
    [anon_sym_not_eq] = ACTIONS(5021),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5028),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5026),
    [anon_sym_decltype] = ACTIONS(5026),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5021),
  },
  [2065] = {
    [sym_template_argument_list] = STATE(2171),
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5026),
    [anon_sym_COMMA] = ACTIONS(5026),
    [anon_sym_RPAREN] = ACTIONS(5026),
    [aux_sym_preproc_if_token2] = ACTIONS(5026),
    [aux_sym_preproc_else_token1] = ACTIONS(5026),
    [aux_sym_preproc_elif_token1] = ACTIONS(5019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5026),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5026),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_DASH] = ACTIONS(5019),
    [anon_sym_PLUS] = ACTIONS(5019),
    [anon_sym_STAR] = ACTIONS(5019),
    [anon_sym_SLASH] = ACTIONS(5019),
    [anon_sym_PERCENT] = ACTIONS(5019),
    [anon_sym_PIPE_PIPE] = ACTIONS(5026),
    [anon_sym_AMP_AMP] = ACTIONS(5026),
    [anon_sym_PIPE] = ACTIONS(5019),
    [anon_sym_CARET] = ACTIONS(5019),
    [anon_sym_AMP] = ACTIONS(5019),
    [anon_sym_EQ_EQ] = ACTIONS(5026),
    [anon_sym_BANG_EQ] = ACTIONS(5026),
    [anon_sym_GT] = ACTIONS(5019),
    [anon_sym_GT_EQ] = ACTIONS(5026),
    [anon_sym_LT_EQ] = ACTIONS(5019),
    [anon_sym_LT] = ACTIONS(5379),
    [anon_sym_LT_LT] = ACTIONS(5019),
    [anon_sym_GT_GT] = ACTIONS(5019),
    [anon_sym_SEMI] = ACTIONS(5026),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_RBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5026),
    [anon_sym_RBRACK] = ACTIONS(5026),
    [anon_sym_EQ] = ACTIONS(5019),
    [anon_sym_COLON] = ACTIONS(5019),
    [anon_sym_QMARK] = ACTIONS(5026),
    [anon_sym_STAR_EQ] = ACTIONS(5026),
    [anon_sym_SLASH_EQ] = ACTIONS(5026),
    [anon_sym_PERCENT_EQ] = ACTIONS(5026),
    [anon_sym_PLUS_EQ] = ACTIONS(5026),
    [anon_sym_DASH_EQ] = ACTIONS(5026),
    [anon_sym_LT_LT_EQ] = ACTIONS(5026),
    [anon_sym_GT_GT_EQ] = ACTIONS(5026),
    [anon_sym_AMP_EQ] = ACTIONS(5026),
    [anon_sym_CARET_EQ] = ACTIONS(5026),
    [anon_sym_PIPE_EQ] = ACTIONS(5026),
    [anon_sym_and_eq] = ACTIONS(5019),
    [anon_sym_or_eq] = ACTIONS(5019),
    [anon_sym_xor_eq] = ACTIONS(5019),
    [anon_sym_LT_EQ_GT] = ACTIONS(5026),
    [anon_sym_or] = ACTIONS(5019),
    [anon_sym_and] = ACTIONS(5019),
    [anon_sym_bitor] = ACTIONS(5019),
    [anon_sym_xor] = ACTIONS(5019),
    [anon_sym_bitand] = ACTIONS(5019),
    [anon_sym_not_eq] = ACTIONS(5019),
    [anon_sym_DASH_DASH] = ACTIONS(5026),
    [anon_sym_PLUS_PLUS] = ACTIONS(5026),
    [anon_sym_DOT] = ACTIONS(5019),
    [anon_sym_DOT_STAR] = ACTIONS(5026),
    [anon_sym_DASH_GT] = ACTIONS(5026),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_final] = ACTIONS(5019),
    [anon_sym_override] = ACTIONS(5019),
  },
  [2066] = {
    [sym_argument_list] = STATE(2796),
    [sym_initializer_list] = STATE(2796),
    [sym_decltype_auto] = STATE(2443),
    [sym_new_declarator] = STATE(2450),
    [sym_identifier] = ACTIONS(5382),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5384),
    [anon_sym_COMMA] = ACTIONS(5384),
    [anon_sym_RPAREN] = ACTIONS(5384),
    [aux_sym_preproc_if_token2] = ACTIONS(5384),
    [aux_sym_preproc_else_token1] = ACTIONS(5384),
    [aux_sym_preproc_elif_token1] = ACTIONS(5382),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5384),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5384),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5382),
    [anon_sym_PLUS] = ACTIONS(5382),
    [anon_sym_STAR] = ACTIONS(5382),
    [anon_sym_SLASH] = ACTIONS(5382),
    [anon_sym_PERCENT] = ACTIONS(5382),
    [anon_sym_PIPE_PIPE] = ACTIONS(5384),
    [anon_sym_AMP_AMP] = ACTIONS(5384),
    [anon_sym_PIPE] = ACTIONS(5382),
    [anon_sym_CARET] = ACTIONS(5382),
    [anon_sym_AMP] = ACTIONS(5382),
    [anon_sym_EQ_EQ] = ACTIONS(5384),
    [anon_sym_BANG_EQ] = ACTIONS(5384),
    [anon_sym_GT] = ACTIONS(5382),
    [anon_sym_GT_EQ] = ACTIONS(5384),
    [anon_sym_LT_EQ] = ACTIONS(5382),
    [anon_sym_LT] = ACTIONS(5382),
    [anon_sym_LT_LT] = ACTIONS(5382),
    [anon_sym_GT_GT] = ACTIONS(5382),
    [anon_sym_SEMI] = ACTIONS(5384),
    [anon_sym___attribute__] = ACTIONS(5382),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5384),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5384),
    [anon_sym_EQ] = ACTIONS(5382),
    [anon_sym_COLON] = ACTIONS(5384),
    [anon_sym_QMARK] = ACTIONS(5384),
    [anon_sym_STAR_EQ] = ACTIONS(5384),
    [anon_sym_SLASH_EQ] = ACTIONS(5384),
    [anon_sym_PERCENT_EQ] = ACTIONS(5384),
    [anon_sym_PLUS_EQ] = ACTIONS(5384),
    [anon_sym_DASH_EQ] = ACTIONS(5384),
    [anon_sym_LT_LT_EQ] = ACTIONS(5384),
    [anon_sym_GT_GT_EQ] = ACTIONS(5384),
    [anon_sym_AMP_EQ] = ACTIONS(5384),
    [anon_sym_CARET_EQ] = ACTIONS(5384),
    [anon_sym_PIPE_EQ] = ACTIONS(5384),
    [anon_sym_and_eq] = ACTIONS(5382),
    [anon_sym_or_eq] = ACTIONS(5382),
    [anon_sym_xor_eq] = ACTIONS(5382),
    [anon_sym_LT_EQ_GT] = ACTIONS(5384),
    [anon_sym_or] = ACTIONS(5382),
    [anon_sym_and] = ACTIONS(5382),
    [anon_sym_bitor] = ACTIONS(5382),
    [anon_sym_xor] = ACTIONS(5382),
    [anon_sym_bitand] = ACTIONS(5382),
    [anon_sym_not_eq] = ACTIONS(5382),
    [anon_sym_DASH_DASH] = ACTIONS(5384),
    [anon_sym_PLUS_PLUS] = ACTIONS(5384),
    [anon_sym_DOT] = ACTIONS(5382),
    [anon_sym_DOT_STAR] = ACTIONS(5384),
    [anon_sym_DASH_GT] = ACTIONS(5384),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5366),
  },
  [2067] = {
    [sym_catch_clause] = STATE(2059),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2059),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [aux_sym_preproc_else_token1] = ACTIONS(2832),
    [aux_sym_preproc_elif_token1] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_friend] = ACTIONS(2832),
    [anon_sym_public] = ACTIONS(2832),
    [anon_sym_private] = ACTIONS(2832),
    [anon_sym_protected] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(5386),
  },
  [2068] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_friend] = ACTIONS(2853),
    [anon_sym_public] = ACTIONS(2853),
    [anon_sym_private] = ACTIONS(2853),
    [anon_sym_protected] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
  },
  [2069] = {
    [sym_string_literal] = STATE(1985),
    [sym_raw_string_literal] = STATE(1985),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [aux_sym_preproc_if_token2] = ACTIONS(4137),
    [aux_sym_preproc_else_token1] = ACTIONS(4137),
    [aux_sym_preproc_elif_token1] = ACTIONS(4145),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4137),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4145),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [sym_literal_suffix] = ACTIONS(5388),
  },
  [2070] = {
    [sym_catch_clause] = STATE(2059),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2059),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [aux_sym_preproc_else_token1] = ACTIONS(2828),
    [aux_sym_preproc_elif_token1] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(5386),
  },
  [2071] = {
    [sym_catch_clause] = STATE(2059),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2059),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token2] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [aux_sym_preproc_else_token1] = ACTIONS(2803),
    [aux_sym_preproc_elif_token1] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_friend] = ACTIONS(2803),
    [anon_sym_public] = ACTIONS(2803),
    [anon_sym_private] = ACTIONS(2803),
    [anon_sym_protected] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(5386),
  },
  [2072] = {
    [sym_argument_list] = STATE(2840),
    [sym_initializer_list] = STATE(2840),
    [sym_decltype_auto] = STATE(2443),
    [sym_new_declarator] = STATE(2467),
    [sym_identifier] = ACTIONS(5390),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5392),
    [anon_sym_COMMA] = ACTIONS(5392),
    [anon_sym_RPAREN] = ACTIONS(5392),
    [aux_sym_preproc_if_token2] = ACTIONS(5392),
    [aux_sym_preproc_else_token1] = ACTIONS(5392),
    [aux_sym_preproc_elif_token1] = ACTIONS(5390),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5392),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5392),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5390),
    [anon_sym_PLUS] = ACTIONS(5390),
    [anon_sym_STAR] = ACTIONS(5390),
    [anon_sym_SLASH] = ACTIONS(5390),
    [anon_sym_PERCENT] = ACTIONS(5390),
    [anon_sym_PIPE_PIPE] = ACTIONS(5392),
    [anon_sym_AMP_AMP] = ACTIONS(5392),
    [anon_sym_PIPE] = ACTIONS(5390),
    [anon_sym_CARET] = ACTIONS(5390),
    [anon_sym_AMP] = ACTIONS(5390),
    [anon_sym_EQ_EQ] = ACTIONS(5392),
    [anon_sym_BANG_EQ] = ACTIONS(5392),
    [anon_sym_GT] = ACTIONS(5390),
    [anon_sym_GT_EQ] = ACTIONS(5392),
    [anon_sym_LT_EQ] = ACTIONS(5390),
    [anon_sym_LT] = ACTIONS(5390),
    [anon_sym_LT_LT] = ACTIONS(5390),
    [anon_sym_GT_GT] = ACTIONS(5390),
    [anon_sym_SEMI] = ACTIONS(5392),
    [anon_sym___attribute__] = ACTIONS(5390),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5392),
    [anon_sym_LBRACK] = ACTIONS(5362),
    [anon_sym_RBRACK] = ACTIONS(5392),
    [anon_sym_EQ] = ACTIONS(5390),
    [anon_sym_COLON] = ACTIONS(5392),
    [anon_sym_QMARK] = ACTIONS(5392),
    [anon_sym_STAR_EQ] = ACTIONS(5392),
    [anon_sym_SLASH_EQ] = ACTIONS(5392),
    [anon_sym_PERCENT_EQ] = ACTIONS(5392),
    [anon_sym_PLUS_EQ] = ACTIONS(5392),
    [anon_sym_DASH_EQ] = ACTIONS(5392),
    [anon_sym_LT_LT_EQ] = ACTIONS(5392),
    [anon_sym_GT_GT_EQ] = ACTIONS(5392),
    [anon_sym_AMP_EQ] = ACTIONS(5392),
    [anon_sym_CARET_EQ] = ACTIONS(5392),
    [anon_sym_PIPE_EQ] = ACTIONS(5392),
    [anon_sym_and_eq] = ACTIONS(5390),
    [anon_sym_or_eq] = ACTIONS(5390),
    [anon_sym_xor_eq] = ACTIONS(5390),
    [anon_sym_LT_EQ_GT] = ACTIONS(5392),
    [anon_sym_or] = ACTIONS(5390),
    [anon_sym_and] = ACTIONS(5390),
    [anon_sym_bitor] = ACTIONS(5390),
    [anon_sym_xor] = ACTIONS(5390),
    [anon_sym_bitand] = ACTIONS(5390),
    [anon_sym_not_eq] = ACTIONS(5390),
    [anon_sym_DASH_DASH] = ACTIONS(5392),
    [anon_sym_PLUS_PLUS] = ACTIONS(5392),
    [anon_sym_DOT] = ACTIONS(5390),
    [anon_sym_DOT_STAR] = ACTIONS(5392),
    [anon_sym_DASH_GT] = ACTIONS(5392),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5366),
  },
  [2073] = {
    [sym_string_literal] = STATE(3496),
    [sym_template_argument_list] = STATE(4727),
    [sym_raw_string_literal] = STATE(3496),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [aux_sym_preproc_if_token2] = ACTIONS(4137),
    [aux_sym_preproc_else_token1] = ACTIONS(4137),
    [aux_sym_preproc_elif_token1] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5394),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(5397),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5399),
    [anon_sym_SLASH_EQ] = ACTIONS(5399),
    [anon_sym_PERCENT_EQ] = ACTIONS(5399),
    [anon_sym_PLUS_EQ] = ACTIONS(5399),
    [anon_sym_DASH_EQ] = ACTIONS(5399),
    [anon_sym_LT_LT_EQ] = ACTIONS(5399),
    [anon_sym_GT_GT_EQ] = ACTIONS(5399),
    [anon_sym_AMP_EQ] = ACTIONS(5399),
    [anon_sym_CARET_EQ] = ACTIONS(5399),
    [anon_sym_PIPE_EQ] = ACTIONS(5399),
    [anon_sym_and_eq] = ACTIONS(5397),
    [anon_sym_or_eq] = ACTIONS(5397),
    [anon_sym_xor_eq] = ACTIONS(5397),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3756),
    [anon_sym_u_DQUOTE] = ACTIONS(3756),
    [anon_sym_U_DQUOTE] = ACTIONS(3756),
    [anon_sym_u8_DQUOTE] = ACTIONS(3756),
    [anon_sym_DQUOTE] = ACTIONS(3756),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3764),
    [anon_sym_LR_DQUOTE] = ACTIONS(3764),
    [anon_sym_uR_DQUOTE] = ACTIONS(3764),
    [anon_sym_UR_DQUOTE] = ACTIONS(3764),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3764),
  },
  [2074] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
  },
  [2075] = {
    [sym_identifier] = ACTIONS(5401),
    [aux_sym_preproc_def_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token2] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5401),
    [aux_sym_preproc_else_token1] = ACTIONS(5401),
    [aux_sym_preproc_elif_token1] = ACTIONS(5401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5401),
    [sym_preproc_directive] = ACTIONS(5401),
    [anon_sym_LPAREN2] = ACTIONS(5403),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5401),
    [anon_sym_typedef] = ACTIONS(5401),
    [anon_sym_extern] = ACTIONS(5401),
    [anon_sym___attribute__] = ACTIONS(5401),
    [anon_sym_COLON_COLON] = ACTIONS(5403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5401),
    [anon_sym___based] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5401),
    [anon_sym_unsigned] = ACTIONS(5401),
    [anon_sym_long] = ACTIONS(5401),
    [anon_sym_short] = ACTIONS(5401),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym_static] = ACTIONS(5401),
    [anon_sym_register] = ACTIONS(5401),
    [anon_sym_inline] = ACTIONS(5401),
    [anon_sym___inline] = ACTIONS(5401),
    [anon_sym___inline__] = ACTIONS(5401),
    [anon_sym___forceinline] = ACTIONS(5401),
    [anon_sym_thread_local] = ACTIONS(5401),
    [anon_sym___thread] = ACTIONS(5401),
    [anon_sym_const] = ACTIONS(5401),
    [anon_sym_constexpr] = ACTIONS(5401),
    [anon_sym_volatile] = ACTIONS(5401),
    [anon_sym_restrict] = ACTIONS(5401),
    [anon_sym___restrict__] = ACTIONS(5401),
    [anon_sym__Atomic] = ACTIONS(5401),
    [anon_sym__Noreturn] = ACTIONS(5401),
    [anon_sym_noreturn] = ACTIONS(5401),
    [anon_sym_mutable] = ACTIONS(5401),
    [anon_sym_constinit] = ACTIONS(5401),
    [anon_sym_consteval] = ACTIONS(5401),
    [sym_primitive_type] = ACTIONS(5401),
    [anon_sym_enum] = ACTIONS(5401),
    [anon_sym_class] = ACTIONS(5401),
    [anon_sym_struct] = ACTIONS(5401),
    [anon_sym_union] = ACTIONS(5401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5401),
    [anon_sym_decltype] = ACTIONS(5401),
    [anon_sym_virtual] = ACTIONS(5401),
    [anon_sym_alignas] = ACTIONS(5401),
    [anon_sym_explicit] = ACTIONS(5401),
    [anon_sym_typename] = ACTIONS(5401),
    [anon_sym_template] = ACTIONS(5401),
    [anon_sym_operator] = ACTIONS(5401),
    [anon_sym_friend] = ACTIONS(5401),
    [anon_sym_public] = ACTIONS(5401),
    [anon_sym_private] = ACTIONS(5401),
    [anon_sym_protected] = ACTIONS(5401),
    [anon_sym_using] = ACTIONS(5401),
    [anon_sym_static_assert] = ACTIONS(5401),
  },
  [2076] = {
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [aux_sym_preproc_else_token1] = ACTIONS(3257),
    [aux_sym_preproc_elif_token1] = ACTIONS(3257),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_friend] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
  },
  [2077] = {
    [sym_identifier] = ACTIONS(5405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5407),
    [anon_sym_COMMA] = ACTIONS(5407),
    [anon_sym_RPAREN] = ACTIONS(5407),
    [aux_sym_preproc_if_token2] = ACTIONS(5407),
    [aux_sym_preproc_else_token1] = ACTIONS(5407),
    [aux_sym_preproc_elif_token1] = ACTIONS(5405),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5407),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5407),
    [anon_sym_LPAREN2] = ACTIONS(5407),
    [anon_sym_DASH] = ACTIONS(5405),
    [anon_sym_PLUS] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5405),
    [anon_sym_SLASH] = ACTIONS(5405),
    [anon_sym_PERCENT] = ACTIONS(5405),
    [anon_sym_PIPE_PIPE] = ACTIONS(5407),
    [anon_sym_AMP_AMP] = ACTIONS(5407),
    [anon_sym_PIPE] = ACTIONS(5405),
    [anon_sym_CARET] = ACTIONS(5405),
    [anon_sym_AMP] = ACTIONS(5405),
    [anon_sym_EQ_EQ] = ACTIONS(5407),
    [anon_sym_BANG_EQ] = ACTIONS(5407),
    [anon_sym_GT] = ACTIONS(5405),
    [anon_sym_GT_EQ] = ACTIONS(5407),
    [anon_sym_LT_EQ] = ACTIONS(5405),
    [anon_sym_LT] = ACTIONS(5405),
    [anon_sym_LT_LT] = ACTIONS(5405),
    [anon_sym_GT_GT] = ACTIONS(5405),
    [anon_sym_SEMI] = ACTIONS(5407),
    [anon_sym___attribute__] = ACTIONS(5405),
    [anon_sym_COLON_COLON] = ACTIONS(5407),
    [anon_sym_LBRACE] = ACTIONS(5407),
    [anon_sym_RBRACE] = ACTIONS(5407),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym_RBRACK] = ACTIONS(5407),
    [anon_sym_EQ] = ACTIONS(5405),
    [anon_sym_COLON] = ACTIONS(5405),
    [anon_sym_QMARK] = ACTIONS(5407),
    [anon_sym_STAR_EQ] = ACTIONS(5407),
    [anon_sym_SLASH_EQ] = ACTIONS(5407),
    [anon_sym_PERCENT_EQ] = ACTIONS(5407),
    [anon_sym_PLUS_EQ] = ACTIONS(5407),
    [anon_sym_DASH_EQ] = ACTIONS(5407),
    [anon_sym_LT_LT_EQ] = ACTIONS(5407),
    [anon_sym_GT_GT_EQ] = ACTIONS(5407),
    [anon_sym_AMP_EQ] = ACTIONS(5407),
    [anon_sym_CARET_EQ] = ACTIONS(5407),
    [anon_sym_PIPE_EQ] = ACTIONS(5407),
    [anon_sym_and_eq] = ACTIONS(5405),
    [anon_sym_or_eq] = ACTIONS(5405),
    [anon_sym_xor_eq] = ACTIONS(5405),
    [anon_sym_LT_EQ_GT] = ACTIONS(5407),
    [anon_sym_or] = ACTIONS(5405),
    [anon_sym_and] = ACTIONS(5405),
    [anon_sym_bitor] = ACTIONS(5405),
    [anon_sym_xor] = ACTIONS(5405),
    [anon_sym_bitand] = ACTIONS(5405),
    [anon_sym_not_eq] = ACTIONS(5405),
    [anon_sym_DASH_DASH] = ACTIONS(5407),
    [anon_sym_PLUS_PLUS] = ACTIONS(5407),
    [anon_sym_DOT] = ACTIONS(5405),
    [anon_sym_DOT_STAR] = ACTIONS(5407),
    [anon_sym_DASH_GT] = ACTIONS(5407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5405),
    [anon_sym_decltype] = ACTIONS(5405),
    [anon_sym_final] = ACTIONS(5405),
    [anon_sym_override] = ACTIONS(5405),
  },
  [2078] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3136),
    [aux_sym_preproc_elif_token1] = ACTIONS(3136),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_friend] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
  },
  [2079] = {
    [sym_string_literal] = STATE(1985),
    [sym_template_argument_list] = STATE(3066),
    [sym_raw_string_literal] = STATE(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5412),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5056),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(5415),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
  },
  [2080] = {
    [sym_string_literal] = STATE(1985),
    [sym_template_argument_list] = STATE(2641),
    [sym_raw_string_literal] = STATE(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5164),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
  },
  [2081] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2082] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [aux_sym_preproc_else_token1] = ACTIONS(3144),
    [aux_sym_preproc_elif_token1] = ACTIONS(3144),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_friend] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
  },
  [2083] = {
    [sym_identifier] = ACTIONS(4995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [aux_sym_preproc_if_token2] = ACTIONS(4997),
    [aux_sym_preproc_else_token1] = ACTIONS(4997),
    [aux_sym_preproc_elif_token1] = ACTIONS(4995),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4997),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4995),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4995),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4995),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4995),
    [anon_sym_GT_GT] = ACTIONS(4995),
    [anon_sym_SEMI] = ACTIONS(4997),
    [anon_sym___attribute__] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_RBRACE] = ACTIONS(4997),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_RBRACK] = ACTIONS(4997),
    [anon_sym_EQ] = ACTIONS(4995),
    [anon_sym_COLON] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_STAR_EQ] = ACTIONS(4997),
    [anon_sym_SLASH_EQ] = ACTIONS(4997),
    [anon_sym_PERCENT_EQ] = ACTIONS(4997),
    [anon_sym_PLUS_EQ] = ACTIONS(4997),
    [anon_sym_DASH_EQ] = ACTIONS(4997),
    [anon_sym_LT_LT_EQ] = ACTIONS(4997),
    [anon_sym_GT_GT_EQ] = ACTIONS(4997),
    [anon_sym_AMP_EQ] = ACTIONS(4997),
    [anon_sym_CARET_EQ] = ACTIONS(4997),
    [anon_sym_PIPE_EQ] = ACTIONS(4997),
    [anon_sym_and_eq] = ACTIONS(4995),
    [anon_sym_or_eq] = ACTIONS(4995),
    [anon_sym_xor_eq] = ACTIONS(4995),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4995),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4995),
    [anon_sym_not_eq] = ACTIONS(4995),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4995),
    [anon_sym_decltype] = ACTIONS(4995),
    [anon_sym_final] = ACTIONS(4995),
    [anon_sym_override] = ACTIONS(4995),
  },
  [2084] = {
    [sym_string_literal] = STATE(1985),
    [sym_raw_string_literal] = STATE(1985),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4145),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_RBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_COLON] = ACTIONS(4137),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2166),
    [anon_sym_u_DQUOTE] = ACTIONS(2166),
    [anon_sym_U_DQUOTE] = ACTIONS(2166),
    [anon_sym_u8_DQUOTE] = ACTIONS(2166),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2176),
    [anon_sym_LR_DQUOTE] = ACTIONS(2176),
    [anon_sym_uR_DQUOTE] = ACTIONS(2176),
    [anon_sym_UR_DQUOTE] = ACTIONS(2176),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2176),
    [sym_literal_suffix] = ACTIONS(5388),
  },
  [2085] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [2086] = {
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5422),
    [anon_sym_GT_GT] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACE] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_EQ] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_STAR_EQ] = ACTIONS(5424),
    [anon_sym_SLASH_EQ] = ACTIONS(5424),
    [anon_sym_PERCENT_EQ] = ACTIONS(5424),
    [anon_sym_PLUS_EQ] = ACTIONS(5424),
    [anon_sym_DASH_EQ] = ACTIONS(5424),
    [anon_sym_LT_LT_EQ] = ACTIONS(5424),
    [anon_sym_GT_GT_EQ] = ACTIONS(5424),
    [anon_sym_AMP_EQ] = ACTIONS(5424),
    [anon_sym_CARET_EQ] = ACTIONS(5424),
    [anon_sym_PIPE_EQ] = ACTIONS(5424),
    [anon_sym_and_eq] = ACTIONS(5422),
    [anon_sym_or_eq] = ACTIONS(5422),
    [anon_sym_xor_eq] = ACTIONS(5422),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5422),
    [anon_sym_decltype] = ACTIONS(5422),
    [anon_sym_final] = ACTIONS(5422),
    [anon_sym_override] = ACTIONS(5422),
  },
  [2087] = {
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5422),
    [anon_sym_GT_GT] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACE] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_EQ] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_STAR_EQ] = ACTIONS(5424),
    [anon_sym_SLASH_EQ] = ACTIONS(5424),
    [anon_sym_PERCENT_EQ] = ACTIONS(5424),
    [anon_sym_PLUS_EQ] = ACTIONS(5424),
    [anon_sym_DASH_EQ] = ACTIONS(5424),
    [anon_sym_LT_LT_EQ] = ACTIONS(5424),
    [anon_sym_GT_GT_EQ] = ACTIONS(5424),
    [anon_sym_AMP_EQ] = ACTIONS(5424),
    [anon_sym_CARET_EQ] = ACTIONS(5424),
    [anon_sym_PIPE_EQ] = ACTIONS(5424),
    [anon_sym_and_eq] = ACTIONS(5422),
    [anon_sym_or_eq] = ACTIONS(5422),
    [anon_sym_xor_eq] = ACTIONS(5422),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5422),
    [anon_sym_decltype] = ACTIONS(5422),
    [anon_sym_final] = ACTIONS(5422),
    [anon_sym_override] = ACTIONS(5422),
  },
  [2088] = {
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [aux_sym_preproc_if_token2] = ACTIONS(5001),
    [aux_sym_preproc_else_token1] = ACTIONS(5001),
    [aux_sym_preproc_elif_token1] = ACTIONS(4999),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5001),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(4999),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(4999),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(4999),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(4999),
    [anon_sym_GT_GT] = ACTIONS(4999),
    [anon_sym_SEMI] = ACTIONS(5001),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5001),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_RBRACK] = ACTIONS(5001),
    [anon_sym_EQ] = ACTIONS(4999),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_STAR_EQ] = ACTIONS(5001),
    [anon_sym_SLASH_EQ] = ACTIONS(5001),
    [anon_sym_PERCENT_EQ] = ACTIONS(5001),
    [anon_sym_PLUS_EQ] = ACTIONS(5001),
    [anon_sym_DASH_EQ] = ACTIONS(5001),
    [anon_sym_LT_LT_EQ] = ACTIONS(5001),
    [anon_sym_GT_GT_EQ] = ACTIONS(5001),
    [anon_sym_AMP_EQ] = ACTIONS(5001),
    [anon_sym_CARET_EQ] = ACTIONS(5001),
    [anon_sym_PIPE_EQ] = ACTIONS(5001),
    [anon_sym_and_eq] = ACTIONS(4999),
    [anon_sym_or_eq] = ACTIONS(4999),
    [anon_sym_xor_eq] = ACTIONS(4999),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_final] = ACTIONS(4999),
    [anon_sym_override] = ACTIONS(4999),
  },
  [2089] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [aux_sym_preproc_if_token2] = ACTIONS(5005),
    [aux_sym_preproc_else_token1] = ACTIONS(5005),
    [aux_sym_preproc_elif_token1] = ACTIONS(5003),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5005),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5003),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5003),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5003),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5003),
    [anon_sym_GT_GT] = ACTIONS(5003),
    [anon_sym_SEMI] = ACTIONS(5005),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_RBRACE] = ACTIONS(5005),
    [anon_sym_LBRACK] = ACTIONS(5005),
    [anon_sym_RBRACK] = ACTIONS(5005),
    [anon_sym_EQ] = ACTIONS(5003),
    [anon_sym_COLON] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_STAR_EQ] = ACTIONS(5005),
    [anon_sym_SLASH_EQ] = ACTIONS(5005),
    [anon_sym_PERCENT_EQ] = ACTIONS(5005),
    [anon_sym_PLUS_EQ] = ACTIONS(5005),
    [anon_sym_DASH_EQ] = ACTIONS(5005),
    [anon_sym_LT_LT_EQ] = ACTIONS(5005),
    [anon_sym_GT_GT_EQ] = ACTIONS(5005),
    [anon_sym_AMP_EQ] = ACTIONS(5005),
    [anon_sym_CARET_EQ] = ACTIONS(5005),
    [anon_sym_PIPE_EQ] = ACTIONS(5005),
    [anon_sym_and_eq] = ACTIONS(5003),
    [anon_sym_or_eq] = ACTIONS(5003),
    [anon_sym_xor_eq] = ACTIONS(5003),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5003),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5003),
    [anon_sym_not_eq] = ACTIONS(5003),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_final] = ACTIONS(5003),
    [anon_sym_override] = ACTIONS(5003),
  },
  [2090] = {
    [sym_template_argument_list] = STATE(2277),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5023),
    [anon_sym_COMMA] = ACTIONS(5023),
    [anon_sym_LPAREN2] = ACTIONS(5023),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5030),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5023),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5030),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5028),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5428),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym___extension__] = ACTIONS(5026),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_LBRACK] = ACTIONS(5023),
    [anon_sym_EQ] = ACTIONS(5028),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5026),
    [anon_sym_volatile] = ACTIONS(5026),
    [anon_sym_restrict] = ACTIONS(5026),
    [anon_sym___restrict__] = ACTIONS(5026),
    [anon_sym__Atomic] = ACTIONS(5026),
    [anon_sym__Noreturn] = ACTIONS(5026),
    [anon_sym_noreturn] = ACTIONS(5026),
    [anon_sym_mutable] = ACTIONS(5026),
    [anon_sym_constinit] = ACTIONS(5026),
    [anon_sym_consteval] = ACTIONS(5026),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5028),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5021),
    [anon_sym_or_eq] = ACTIONS(5021),
    [anon_sym_xor_eq] = ACTIONS(5021),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5021),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5021),
    [anon_sym_not_eq] = ACTIONS(5021),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5026),
    [anon_sym_decltype] = ACTIONS(5026),
    [anon_sym_GT2] = ACTIONS(5023),
  },
  [2091] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [2092] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [aux_sym_preproc_if_token2] = ACTIONS(5009),
    [aux_sym_preproc_else_token1] = ACTIONS(5009),
    [aux_sym_preproc_elif_token1] = ACTIONS(5007),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5009),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5007),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5007),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5007),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5007),
    [anon_sym_GT_GT] = ACTIONS(5007),
    [anon_sym_SEMI] = ACTIONS(5009),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_RBRACE] = ACTIONS(5009),
    [anon_sym_LBRACK] = ACTIONS(5009),
    [anon_sym_RBRACK] = ACTIONS(5009),
    [anon_sym_EQ] = ACTIONS(5007),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_STAR_EQ] = ACTIONS(5009),
    [anon_sym_SLASH_EQ] = ACTIONS(5009),
    [anon_sym_PERCENT_EQ] = ACTIONS(5009),
    [anon_sym_PLUS_EQ] = ACTIONS(5009),
    [anon_sym_DASH_EQ] = ACTIONS(5009),
    [anon_sym_LT_LT_EQ] = ACTIONS(5009),
    [anon_sym_GT_GT_EQ] = ACTIONS(5009),
    [anon_sym_AMP_EQ] = ACTIONS(5009),
    [anon_sym_CARET_EQ] = ACTIONS(5009),
    [anon_sym_PIPE_EQ] = ACTIONS(5009),
    [anon_sym_and_eq] = ACTIONS(5007),
    [anon_sym_or_eq] = ACTIONS(5007),
    [anon_sym_xor_eq] = ACTIONS(5007),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5007),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5007),
    [anon_sym_not_eq] = ACTIONS(5007),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_final] = ACTIONS(5007),
    [anon_sym_override] = ACTIONS(5007),
  },
  [2093] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [2094] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_friend] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_protected] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
  },
  [2095] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4335),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2096] = {
    [sym_identifier] = ACTIONS(5434),
    [aux_sym_preproc_def_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5434),
    [sym_preproc_directive] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5434),
    [anon_sym_typedef] = ACTIONS(5434),
    [anon_sym_extern] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym_COLON_COLON] = ACTIONS(5436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5436),
    [anon_sym___declspec] = ACTIONS(5434),
    [anon_sym___based] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5434),
    [anon_sym_unsigned] = ACTIONS(5434),
    [anon_sym_long] = ACTIONS(5434),
    [anon_sym_short] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_static] = ACTIONS(5434),
    [anon_sym_register] = ACTIONS(5434),
    [anon_sym_inline] = ACTIONS(5434),
    [anon_sym___inline] = ACTIONS(5434),
    [anon_sym___inline__] = ACTIONS(5434),
    [anon_sym___forceinline] = ACTIONS(5434),
    [anon_sym_thread_local] = ACTIONS(5434),
    [anon_sym___thread] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5434),
    [anon_sym_constexpr] = ACTIONS(5434),
    [anon_sym_volatile] = ACTIONS(5434),
    [anon_sym_restrict] = ACTIONS(5434),
    [anon_sym___restrict__] = ACTIONS(5434),
    [anon_sym__Atomic] = ACTIONS(5434),
    [anon_sym__Noreturn] = ACTIONS(5434),
    [anon_sym_noreturn] = ACTIONS(5434),
    [anon_sym_mutable] = ACTIONS(5434),
    [anon_sym_constinit] = ACTIONS(5434),
    [anon_sym_consteval] = ACTIONS(5434),
    [sym_primitive_type] = ACTIONS(5434),
    [anon_sym_enum] = ACTIONS(5434),
    [anon_sym_class] = ACTIONS(5434),
    [anon_sym_struct] = ACTIONS(5434),
    [anon_sym_union] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5434),
    [anon_sym_decltype] = ACTIONS(5434),
    [anon_sym_virtual] = ACTIONS(5434),
    [anon_sym_alignas] = ACTIONS(5434),
    [anon_sym_explicit] = ACTIONS(5434),
    [anon_sym_typename] = ACTIONS(5434),
    [anon_sym_template] = ACTIONS(5434),
    [anon_sym_operator] = ACTIONS(5434),
    [anon_sym_friend] = ACTIONS(5434),
    [anon_sym_public] = ACTIONS(5434),
    [anon_sym_private] = ACTIONS(5434),
    [anon_sym_protected] = ACTIONS(5434),
    [anon_sym_using] = ACTIONS(5434),
    [anon_sym_static_assert] = ACTIONS(5434),
  },
  [2097] = {
    [sym_identifier] = ACTIONS(5434),
    [aux_sym_preproc_def_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5434),
    [sym_preproc_directive] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5434),
    [anon_sym_typedef] = ACTIONS(5434),
    [anon_sym_extern] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym_COLON_COLON] = ACTIONS(5436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5436),
    [anon_sym___declspec] = ACTIONS(5434),
    [anon_sym___based] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5434),
    [anon_sym_unsigned] = ACTIONS(5434),
    [anon_sym_long] = ACTIONS(5434),
    [anon_sym_short] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_static] = ACTIONS(5434),
    [anon_sym_register] = ACTIONS(5434),
    [anon_sym_inline] = ACTIONS(5434),
    [anon_sym___inline] = ACTIONS(5434),
    [anon_sym___inline__] = ACTIONS(5434),
    [anon_sym___forceinline] = ACTIONS(5434),
    [anon_sym_thread_local] = ACTIONS(5434),
    [anon_sym___thread] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5434),
    [anon_sym_constexpr] = ACTIONS(5434),
    [anon_sym_volatile] = ACTIONS(5434),
    [anon_sym_restrict] = ACTIONS(5434),
    [anon_sym___restrict__] = ACTIONS(5434),
    [anon_sym__Atomic] = ACTIONS(5434),
    [anon_sym__Noreturn] = ACTIONS(5434),
    [anon_sym_noreturn] = ACTIONS(5434),
    [anon_sym_mutable] = ACTIONS(5434),
    [anon_sym_constinit] = ACTIONS(5434),
    [anon_sym_consteval] = ACTIONS(5434),
    [sym_primitive_type] = ACTIONS(5434),
    [anon_sym_enum] = ACTIONS(5434),
    [anon_sym_class] = ACTIONS(5434),
    [anon_sym_struct] = ACTIONS(5434),
    [anon_sym_union] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5434),
    [anon_sym_decltype] = ACTIONS(5434),
    [anon_sym_virtual] = ACTIONS(5434),
    [anon_sym_alignas] = ACTIONS(5434),
    [anon_sym_explicit] = ACTIONS(5434),
    [anon_sym_typename] = ACTIONS(5434),
    [anon_sym_template] = ACTIONS(5434),
    [anon_sym_operator] = ACTIONS(5434),
    [anon_sym_friend] = ACTIONS(5434),
    [anon_sym_public] = ACTIONS(5434),
    [anon_sym_private] = ACTIONS(5434),
    [anon_sym_protected] = ACTIONS(5434),
    [anon_sym_using] = ACTIONS(5434),
    [anon_sym_static_assert] = ACTIONS(5434),
  },
  [2098] = {
    [sym_identifier] = ACTIONS(5438),
    [aux_sym_preproc_def_token1] = ACTIONS(5438),
    [aux_sym_preproc_if_token1] = ACTIONS(5438),
    [aux_sym_preproc_if_token2] = ACTIONS(5438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5438),
    [aux_sym_preproc_else_token1] = ACTIONS(5438),
    [aux_sym_preproc_elif_token1] = ACTIONS(5438),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5438),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5438),
    [sym_preproc_directive] = ACTIONS(5438),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_TILDE] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5438),
    [anon_sym_typedef] = ACTIONS(5438),
    [anon_sym_extern] = ACTIONS(5438),
    [anon_sym___attribute__] = ACTIONS(5438),
    [anon_sym_COLON_COLON] = ACTIONS(5440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5440),
    [anon_sym___declspec] = ACTIONS(5438),
    [anon_sym___based] = ACTIONS(5438),
    [anon_sym_signed] = ACTIONS(5438),
    [anon_sym_unsigned] = ACTIONS(5438),
    [anon_sym_long] = ACTIONS(5438),
    [anon_sym_short] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [anon_sym_static] = ACTIONS(5438),
    [anon_sym_register] = ACTIONS(5438),
    [anon_sym_inline] = ACTIONS(5438),
    [anon_sym___inline] = ACTIONS(5438),
    [anon_sym___inline__] = ACTIONS(5438),
    [anon_sym___forceinline] = ACTIONS(5438),
    [anon_sym_thread_local] = ACTIONS(5438),
    [anon_sym___thread] = ACTIONS(5438),
    [anon_sym_const] = ACTIONS(5438),
    [anon_sym_constexpr] = ACTIONS(5438),
    [anon_sym_volatile] = ACTIONS(5438),
    [anon_sym_restrict] = ACTIONS(5438),
    [anon_sym___restrict__] = ACTIONS(5438),
    [anon_sym__Atomic] = ACTIONS(5438),
    [anon_sym__Noreturn] = ACTIONS(5438),
    [anon_sym_noreturn] = ACTIONS(5438),
    [anon_sym_mutable] = ACTIONS(5438),
    [anon_sym_constinit] = ACTIONS(5438),
    [anon_sym_consteval] = ACTIONS(5438),
    [sym_primitive_type] = ACTIONS(5438),
    [anon_sym_enum] = ACTIONS(5438),
    [anon_sym_class] = ACTIONS(5438),
    [anon_sym_struct] = ACTIONS(5438),
    [anon_sym_union] = ACTIONS(5438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5438),
    [anon_sym_decltype] = ACTIONS(5438),
    [anon_sym_virtual] = ACTIONS(5438),
    [anon_sym_alignas] = ACTIONS(5438),
    [anon_sym_explicit] = ACTIONS(5438),
    [anon_sym_typename] = ACTIONS(5438),
    [anon_sym_template] = ACTIONS(5438),
    [anon_sym_operator] = ACTIONS(5438),
    [anon_sym_friend] = ACTIONS(5438),
    [anon_sym_public] = ACTIONS(5438),
    [anon_sym_private] = ACTIONS(5438),
    [anon_sym_protected] = ACTIONS(5438),
    [anon_sym_using] = ACTIONS(5438),
    [anon_sym_static_assert] = ACTIONS(5438),
  },
  [2099] = {
    [sym_string_literal] = STATE(2161),
    [sym_raw_string_literal] = STATE(2161),
    [aux_sym_concatenated_string_repeat1] = STATE(2161),
    [sym_identifier] = ACTIONS(5442),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5199),
    [anon_sym_COMMA] = ACTIONS(5199),
    [aux_sym_preproc_if_token2] = ACTIONS(5199),
    [aux_sym_preproc_else_token1] = ACTIONS(5199),
    [aux_sym_preproc_elif_token1] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5199),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5199),
    [anon_sym_AMP_AMP] = ACTIONS(5199),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5199),
    [anon_sym_BANG_EQ] = ACTIONS(5199),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5199),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5199),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_STAR_EQ] = ACTIONS(5199),
    [anon_sym_SLASH_EQ] = ACTIONS(5199),
    [anon_sym_PERCENT_EQ] = ACTIONS(5199),
    [anon_sym_PLUS_EQ] = ACTIONS(5199),
    [anon_sym_DASH_EQ] = ACTIONS(5199),
    [anon_sym_LT_LT_EQ] = ACTIONS(5199),
    [anon_sym_GT_GT_EQ] = ACTIONS(5199),
    [anon_sym_AMP_EQ] = ACTIONS(5199),
    [anon_sym_CARET_EQ] = ACTIONS(5199),
    [anon_sym_PIPE_EQ] = ACTIONS(5199),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5199),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5199),
    [anon_sym_PLUS_PLUS] = ACTIONS(5199),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5199),
    [anon_sym_DASH_GT] = ACTIONS(5199),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [2100] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [aux_sym_preproc_else_token1] = ACTIONS(5444),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
  },
  [2101] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5017),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5017),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5017),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5017),
    [anon_sym_GT_GT] = ACTIONS(5017),
    [anon_sym_SEMI] = ACTIONS(5017),
    [anon_sym___extension__] = ACTIONS(5015),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym___based] = ACTIONS(5015),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_RBRACE] = ACTIONS(5017),
    [anon_sym_signed] = ACTIONS(5015),
    [anon_sym_unsigned] = ACTIONS(5015),
    [anon_sym_long] = ACTIONS(5015),
    [anon_sym_short] = ACTIONS(5015),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_RBRACK] = ACTIONS(5017),
    [anon_sym_const] = ACTIONS(5015),
    [anon_sym_constexpr] = ACTIONS(5015),
    [anon_sym_volatile] = ACTIONS(5015),
    [anon_sym_restrict] = ACTIONS(5015),
    [anon_sym___restrict__] = ACTIONS(5015),
    [anon_sym__Atomic] = ACTIONS(5015),
    [anon_sym__Noreturn] = ACTIONS(5015),
    [anon_sym_noreturn] = ACTIONS(5015),
    [anon_sym_mutable] = ACTIONS(5015),
    [anon_sym_constinit] = ACTIONS(5015),
    [anon_sym_consteval] = ACTIONS(5015),
    [sym_primitive_type] = ACTIONS(5015),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_final] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
    [anon_sym_requires] = ACTIONS(5015),
  },
  [2102] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [2103] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [2104] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [2105] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5013),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5013),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5013),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5013),
    [anon_sym_GT_GT] = ACTIONS(5013),
    [anon_sym_SEMI] = ACTIONS(5013),
    [anon_sym___extension__] = ACTIONS(5011),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym___based] = ACTIONS(5011),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_RBRACE] = ACTIONS(5013),
    [anon_sym_signed] = ACTIONS(5011),
    [anon_sym_unsigned] = ACTIONS(5011),
    [anon_sym_long] = ACTIONS(5011),
    [anon_sym_short] = ACTIONS(5011),
    [anon_sym_LBRACK] = ACTIONS(5013),
    [anon_sym_RBRACK] = ACTIONS(5013),
    [anon_sym_const] = ACTIONS(5011),
    [anon_sym_constexpr] = ACTIONS(5011),
    [anon_sym_volatile] = ACTIONS(5011),
    [anon_sym_restrict] = ACTIONS(5011),
    [anon_sym___restrict__] = ACTIONS(5011),
    [anon_sym__Atomic] = ACTIONS(5011),
    [anon_sym__Noreturn] = ACTIONS(5011),
    [anon_sym_noreturn] = ACTIONS(5011),
    [anon_sym_mutable] = ACTIONS(5011),
    [anon_sym_constinit] = ACTIONS(5011),
    [anon_sym_consteval] = ACTIONS(5011),
    [sym_primitive_type] = ACTIONS(5011),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5011),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5011),
    [anon_sym_not_eq] = ACTIONS(5011),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_final] = ACTIONS(5011),
    [anon_sym_override] = ACTIONS(5011),
    [anon_sym_requires] = ACTIONS(5011),
  },
  [2106] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [2107] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [sym_primitive_type] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [2108] = {
    [sym_identifier] = ACTIONS(5011),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5013),
    [anon_sym_COMMA] = ACTIONS(5013),
    [anon_sym_RPAREN] = ACTIONS(5013),
    [aux_sym_preproc_if_token2] = ACTIONS(5013),
    [aux_sym_preproc_else_token1] = ACTIONS(5013),
    [aux_sym_preproc_elif_token1] = ACTIONS(5011),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5013),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5013),
    [anon_sym_LPAREN2] = ACTIONS(5013),
    [anon_sym_DASH] = ACTIONS(5011),
    [anon_sym_PLUS] = ACTIONS(5011),
    [anon_sym_STAR] = ACTIONS(5011),
    [anon_sym_SLASH] = ACTIONS(5011),
    [anon_sym_PERCENT] = ACTIONS(5011),
    [anon_sym_PIPE_PIPE] = ACTIONS(5013),
    [anon_sym_AMP_AMP] = ACTIONS(5013),
    [anon_sym_PIPE] = ACTIONS(5011),
    [anon_sym_CARET] = ACTIONS(5011),
    [anon_sym_AMP] = ACTIONS(5011),
    [anon_sym_EQ_EQ] = ACTIONS(5013),
    [anon_sym_BANG_EQ] = ACTIONS(5013),
    [anon_sym_GT] = ACTIONS(5011),
    [anon_sym_GT_EQ] = ACTIONS(5013),
    [anon_sym_LT_EQ] = ACTIONS(5011),
    [anon_sym_LT] = ACTIONS(5011),
    [anon_sym_LT_LT] = ACTIONS(5011),
    [anon_sym_GT_GT] = ACTIONS(5011),
    [anon_sym_SEMI] = ACTIONS(5013),
    [anon_sym___attribute__] = ACTIONS(5011),
    [anon_sym_COLON_COLON] = ACTIONS(5013),
    [anon_sym_LBRACE] = ACTIONS(5013),
    [anon_sym_RBRACE] = ACTIONS(5013),
    [anon_sym_LBRACK] = ACTIONS(5013),
    [anon_sym_RBRACK] = ACTIONS(5013),
    [anon_sym_EQ] = ACTIONS(5011),
    [anon_sym_COLON] = ACTIONS(5011),
    [anon_sym_QMARK] = ACTIONS(5013),
    [anon_sym_STAR_EQ] = ACTIONS(5013),
    [anon_sym_SLASH_EQ] = ACTIONS(5013),
    [anon_sym_PERCENT_EQ] = ACTIONS(5013),
    [anon_sym_PLUS_EQ] = ACTIONS(5013),
    [anon_sym_DASH_EQ] = ACTIONS(5013),
    [anon_sym_LT_LT_EQ] = ACTIONS(5013),
    [anon_sym_GT_GT_EQ] = ACTIONS(5013),
    [anon_sym_AMP_EQ] = ACTIONS(5013),
    [anon_sym_CARET_EQ] = ACTIONS(5013),
    [anon_sym_PIPE_EQ] = ACTIONS(5013),
    [anon_sym_and_eq] = ACTIONS(5011),
    [anon_sym_or_eq] = ACTIONS(5011),
    [anon_sym_xor_eq] = ACTIONS(5011),
    [anon_sym_LT_EQ_GT] = ACTIONS(5013),
    [anon_sym_or] = ACTIONS(5011),
    [anon_sym_and] = ACTIONS(5011),
    [anon_sym_bitor] = ACTIONS(5011),
    [anon_sym_xor] = ACTIONS(5011),
    [anon_sym_bitand] = ACTIONS(5011),
    [anon_sym_not_eq] = ACTIONS(5011),
    [anon_sym_DASH_DASH] = ACTIONS(5013),
    [anon_sym_PLUS_PLUS] = ACTIONS(5013),
    [anon_sym_DOT] = ACTIONS(5011),
    [anon_sym_DOT_STAR] = ACTIONS(5013),
    [anon_sym_DASH_GT] = ACTIONS(5013),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5011),
    [anon_sym_decltype] = ACTIONS(5011),
    [anon_sym_final] = ACTIONS(5011),
    [anon_sym_override] = ACTIONS(5011),
  },
  [2109] = {
    [sym_identifier] = ACTIONS(5007),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5009),
    [anon_sym_COMMA] = ACTIONS(5009),
    [anon_sym_RPAREN] = ACTIONS(5009),
    [anon_sym_LPAREN2] = ACTIONS(5009),
    [anon_sym_DASH] = ACTIONS(5007),
    [anon_sym_PLUS] = ACTIONS(5007),
    [anon_sym_STAR] = ACTIONS(5009),
    [anon_sym_SLASH] = ACTIONS(5007),
    [anon_sym_PERCENT] = ACTIONS(5009),
    [anon_sym_PIPE_PIPE] = ACTIONS(5009),
    [anon_sym_AMP_AMP] = ACTIONS(5009),
    [anon_sym_PIPE] = ACTIONS(5007),
    [anon_sym_CARET] = ACTIONS(5009),
    [anon_sym_AMP] = ACTIONS(5007),
    [anon_sym_EQ_EQ] = ACTIONS(5009),
    [anon_sym_BANG_EQ] = ACTIONS(5009),
    [anon_sym_GT] = ACTIONS(5007),
    [anon_sym_GT_EQ] = ACTIONS(5009),
    [anon_sym_LT_EQ] = ACTIONS(5007),
    [anon_sym_LT] = ACTIONS(5007),
    [anon_sym_LT_LT] = ACTIONS(5009),
    [anon_sym_GT_GT] = ACTIONS(5009),
    [anon_sym_SEMI] = ACTIONS(5009),
    [anon_sym___extension__] = ACTIONS(5007),
    [anon_sym___attribute__] = ACTIONS(5007),
    [anon_sym_COLON_COLON] = ACTIONS(5009),
    [anon_sym___based] = ACTIONS(5007),
    [anon_sym_LBRACE] = ACTIONS(5009),
    [anon_sym_RBRACE] = ACTIONS(5009),
    [anon_sym_signed] = ACTIONS(5007),
    [anon_sym_unsigned] = ACTIONS(5007),
    [anon_sym_long] = ACTIONS(5007),
    [anon_sym_short] = ACTIONS(5007),
    [anon_sym_LBRACK] = ACTIONS(5009),
    [anon_sym_RBRACK] = ACTIONS(5009),
    [anon_sym_const] = ACTIONS(5007),
    [anon_sym_constexpr] = ACTIONS(5007),
    [anon_sym_volatile] = ACTIONS(5007),
    [anon_sym_restrict] = ACTIONS(5007),
    [anon_sym___restrict__] = ACTIONS(5007),
    [anon_sym__Atomic] = ACTIONS(5007),
    [anon_sym__Noreturn] = ACTIONS(5007),
    [anon_sym_noreturn] = ACTIONS(5007),
    [anon_sym_mutable] = ACTIONS(5007),
    [anon_sym_constinit] = ACTIONS(5007),
    [anon_sym_consteval] = ACTIONS(5007),
    [sym_primitive_type] = ACTIONS(5007),
    [anon_sym_COLON] = ACTIONS(5007),
    [anon_sym_QMARK] = ACTIONS(5009),
    [anon_sym_LT_EQ_GT] = ACTIONS(5009),
    [anon_sym_or] = ACTIONS(5007),
    [anon_sym_and] = ACTIONS(5007),
    [anon_sym_bitor] = ACTIONS(5007),
    [anon_sym_xor] = ACTIONS(5007),
    [anon_sym_bitand] = ACTIONS(5007),
    [anon_sym_not_eq] = ACTIONS(5007),
    [anon_sym_DASH_DASH] = ACTIONS(5009),
    [anon_sym_PLUS_PLUS] = ACTIONS(5009),
    [anon_sym_DOT] = ACTIONS(5007),
    [anon_sym_DOT_STAR] = ACTIONS(5009),
    [anon_sym_DASH_GT] = ACTIONS(5009),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5007),
    [anon_sym_decltype] = ACTIONS(5007),
    [anon_sym_final] = ACTIONS(5007),
    [anon_sym_override] = ACTIONS(5007),
    [anon_sym_requires] = ACTIONS(5007),
  },
  [2110] = {
    [sym_identifier] = ACTIONS(5015),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5017),
    [anon_sym_COMMA] = ACTIONS(5017),
    [anon_sym_RPAREN] = ACTIONS(5017),
    [aux_sym_preproc_if_token2] = ACTIONS(5017),
    [aux_sym_preproc_else_token1] = ACTIONS(5017),
    [aux_sym_preproc_elif_token1] = ACTIONS(5015),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5017),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5017),
    [anon_sym_LPAREN2] = ACTIONS(5017),
    [anon_sym_DASH] = ACTIONS(5015),
    [anon_sym_PLUS] = ACTIONS(5015),
    [anon_sym_STAR] = ACTIONS(5015),
    [anon_sym_SLASH] = ACTIONS(5015),
    [anon_sym_PERCENT] = ACTIONS(5015),
    [anon_sym_PIPE_PIPE] = ACTIONS(5017),
    [anon_sym_AMP_AMP] = ACTIONS(5017),
    [anon_sym_PIPE] = ACTIONS(5015),
    [anon_sym_CARET] = ACTIONS(5015),
    [anon_sym_AMP] = ACTIONS(5015),
    [anon_sym_EQ_EQ] = ACTIONS(5017),
    [anon_sym_BANG_EQ] = ACTIONS(5017),
    [anon_sym_GT] = ACTIONS(5015),
    [anon_sym_GT_EQ] = ACTIONS(5017),
    [anon_sym_LT_EQ] = ACTIONS(5015),
    [anon_sym_LT] = ACTIONS(5015),
    [anon_sym_LT_LT] = ACTIONS(5015),
    [anon_sym_GT_GT] = ACTIONS(5015),
    [anon_sym_SEMI] = ACTIONS(5017),
    [anon_sym___attribute__] = ACTIONS(5015),
    [anon_sym_COLON_COLON] = ACTIONS(5017),
    [anon_sym_LBRACE] = ACTIONS(5017),
    [anon_sym_RBRACE] = ACTIONS(5017),
    [anon_sym_LBRACK] = ACTIONS(5017),
    [anon_sym_RBRACK] = ACTIONS(5017),
    [anon_sym_EQ] = ACTIONS(5015),
    [anon_sym_COLON] = ACTIONS(5015),
    [anon_sym_QMARK] = ACTIONS(5017),
    [anon_sym_STAR_EQ] = ACTIONS(5017),
    [anon_sym_SLASH_EQ] = ACTIONS(5017),
    [anon_sym_PERCENT_EQ] = ACTIONS(5017),
    [anon_sym_PLUS_EQ] = ACTIONS(5017),
    [anon_sym_DASH_EQ] = ACTIONS(5017),
    [anon_sym_LT_LT_EQ] = ACTIONS(5017),
    [anon_sym_GT_GT_EQ] = ACTIONS(5017),
    [anon_sym_AMP_EQ] = ACTIONS(5017),
    [anon_sym_CARET_EQ] = ACTIONS(5017),
    [anon_sym_PIPE_EQ] = ACTIONS(5017),
    [anon_sym_and_eq] = ACTIONS(5015),
    [anon_sym_or_eq] = ACTIONS(5015),
    [anon_sym_xor_eq] = ACTIONS(5015),
    [anon_sym_LT_EQ_GT] = ACTIONS(5017),
    [anon_sym_or] = ACTIONS(5015),
    [anon_sym_and] = ACTIONS(5015),
    [anon_sym_bitor] = ACTIONS(5015),
    [anon_sym_xor] = ACTIONS(5015),
    [anon_sym_bitand] = ACTIONS(5015),
    [anon_sym_not_eq] = ACTIONS(5015),
    [anon_sym_DASH_DASH] = ACTIONS(5017),
    [anon_sym_PLUS_PLUS] = ACTIONS(5017),
    [anon_sym_DOT] = ACTIONS(5015),
    [anon_sym_DOT_STAR] = ACTIONS(5017),
    [anon_sym_DASH_GT] = ACTIONS(5017),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5015),
    [anon_sym_decltype] = ACTIONS(5015),
    [anon_sym_final] = ACTIONS(5015),
    [anon_sym_override] = ACTIONS(5015),
  },
  [2111] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [aux_sym_preproc_else_token1] = ACTIONS(3128),
    [aux_sym_preproc_elif_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_friend] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
  },
  [2112] = {
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token2] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [aux_sym_preproc_else_token1] = ACTIONS(3227),
    [aux_sym_preproc_elif_token1] = ACTIONS(3227),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_friend] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
  },
  [2113] = {
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [aux_sym_preproc_else_token1] = ACTIONS(3231),
    [aux_sym_preproc_elif_token1] = ACTIONS(3231),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_friend] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
  },
  [2114] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [aux_sym_preproc_else_token1] = ACTIONS(5460),
    [aux_sym_preproc_elif_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [sym_primitive_type] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [2115] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [sym_primitive_type] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [2116] = {
    [sym_identifier] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym_typedef] = ACTIONS(5468),
    [anon_sym_extern] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5470),
    [anon_sym___declspec] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_static] = ACTIONS(5468),
    [anon_sym_register] = ACTIONS(5468),
    [anon_sym_inline] = ACTIONS(5468),
    [anon_sym___inline] = ACTIONS(5468),
    [anon_sym___inline__] = ACTIONS(5468),
    [anon_sym___forceinline] = ACTIONS(5468),
    [anon_sym_thread_local] = ACTIONS(5468),
    [anon_sym___thread] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_enum] = ACTIONS(5468),
    [anon_sym_class] = ACTIONS(5468),
    [anon_sym_struct] = ACTIONS(5468),
    [anon_sym_union] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_virtual] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym_explicit] = ACTIONS(5468),
    [anon_sym_typename] = ACTIONS(5468),
    [anon_sym_template] = ACTIONS(5468),
    [anon_sym_operator] = ACTIONS(5468),
    [anon_sym_friend] = ACTIONS(5468),
    [anon_sym_public] = ACTIONS(5468),
    [anon_sym_private] = ACTIONS(5468),
    [anon_sym_protected] = ACTIONS(5468),
    [anon_sym_using] = ACTIONS(5468),
    [anon_sym_static_assert] = ACTIONS(5468),
  },
  [2117] = {
    [sym_identifier] = ACTIONS(5472),
    [aux_sym_preproc_def_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token2] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5472),
    [aux_sym_preproc_else_token1] = ACTIONS(5472),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5472),
    [sym_preproc_directive] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym_typedef] = ACTIONS(5472),
    [anon_sym_extern] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5474),
    [anon_sym___declspec] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_static] = ACTIONS(5472),
    [anon_sym_register] = ACTIONS(5472),
    [anon_sym_inline] = ACTIONS(5472),
    [anon_sym___inline] = ACTIONS(5472),
    [anon_sym___inline__] = ACTIONS(5472),
    [anon_sym___forceinline] = ACTIONS(5472),
    [anon_sym_thread_local] = ACTIONS(5472),
    [anon_sym___thread] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [sym_primitive_type] = ACTIONS(5472),
    [anon_sym_enum] = ACTIONS(5472),
    [anon_sym_class] = ACTIONS(5472),
    [anon_sym_struct] = ACTIONS(5472),
    [anon_sym_union] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_virtual] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym_explicit] = ACTIONS(5472),
    [anon_sym_typename] = ACTIONS(5472),
    [anon_sym_template] = ACTIONS(5472),
    [anon_sym_operator] = ACTIONS(5472),
    [anon_sym_friend] = ACTIONS(5472),
    [anon_sym_public] = ACTIONS(5472),
    [anon_sym_private] = ACTIONS(5472),
    [anon_sym_protected] = ACTIONS(5472),
    [anon_sym_using] = ACTIONS(5472),
    [anon_sym_static_assert] = ACTIONS(5472),
  },
  [2118] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [aux_sym_preproc_else_token1] = ACTIONS(5476),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [2119] = {
    [sym_identifier] = ACTIONS(5480),
    [aux_sym_preproc_def_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token2] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5480),
    [aux_sym_preproc_else_token1] = ACTIONS(5480),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5480),
    [sym_preproc_directive] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_TILDE] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym_typedef] = ACTIONS(5480),
    [anon_sym_extern] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5482),
    [anon_sym___declspec] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_static] = ACTIONS(5480),
    [anon_sym_register] = ACTIONS(5480),
    [anon_sym_inline] = ACTIONS(5480),
    [anon_sym___inline] = ACTIONS(5480),
    [anon_sym___inline__] = ACTIONS(5480),
    [anon_sym___forceinline] = ACTIONS(5480),
    [anon_sym_thread_local] = ACTIONS(5480),
    [anon_sym___thread] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [sym_primitive_type] = ACTIONS(5480),
    [anon_sym_enum] = ACTIONS(5480),
    [anon_sym_class] = ACTIONS(5480),
    [anon_sym_struct] = ACTIONS(5480),
    [anon_sym_union] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_virtual] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym_explicit] = ACTIONS(5480),
    [anon_sym_typename] = ACTIONS(5480),
    [anon_sym_template] = ACTIONS(5480),
    [anon_sym_operator] = ACTIONS(5480),
    [anon_sym_friend] = ACTIONS(5480),
    [anon_sym_public] = ACTIONS(5480),
    [anon_sym_private] = ACTIONS(5480),
    [anon_sym_protected] = ACTIONS(5480),
    [anon_sym_using] = ACTIONS(5480),
    [anon_sym_static_assert] = ACTIONS(5480),
  },
  [2120] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [aux_sym_preproc_else_token1] = ACTIONS(5484),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [2121] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [aux_sym_preproc_else_token1] = ACTIONS(5488),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [2122] = {
    [sym_identifier] = ACTIONS(5492),
    [aux_sym_preproc_def_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5492),
    [aux_sym_preproc_else_token1] = ACTIONS(5492),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5492),
    [sym_preproc_directive] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_TILDE] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym_typedef] = ACTIONS(5492),
    [anon_sym_extern] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5494),
    [anon_sym___declspec] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_static] = ACTIONS(5492),
    [anon_sym_register] = ACTIONS(5492),
    [anon_sym_inline] = ACTIONS(5492),
    [anon_sym___inline] = ACTIONS(5492),
    [anon_sym___inline__] = ACTIONS(5492),
    [anon_sym___forceinline] = ACTIONS(5492),
    [anon_sym_thread_local] = ACTIONS(5492),
    [anon_sym___thread] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [sym_primitive_type] = ACTIONS(5492),
    [anon_sym_enum] = ACTIONS(5492),
    [anon_sym_class] = ACTIONS(5492),
    [anon_sym_struct] = ACTIONS(5492),
    [anon_sym_union] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_virtual] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym_explicit] = ACTIONS(5492),
    [anon_sym_typename] = ACTIONS(5492),
    [anon_sym_template] = ACTIONS(5492),
    [anon_sym_operator] = ACTIONS(5492),
    [anon_sym_friend] = ACTIONS(5492),
    [anon_sym_public] = ACTIONS(5492),
    [anon_sym_private] = ACTIONS(5492),
    [anon_sym_protected] = ACTIONS(5492),
    [anon_sym_using] = ACTIONS(5492),
    [anon_sym_static_assert] = ACTIONS(5492),
  },
  [2123] = {
    [sym_identifier] = ACTIONS(5496),
    [aux_sym_preproc_def_token1] = ACTIONS(5496),
    [aux_sym_preproc_if_token1] = ACTIONS(5496),
    [aux_sym_preproc_if_token2] = ACTIONS(5496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5496),
    [aux_sym_preproc_else_token1] = ACTIONS(5496),
    [aux_sym_preproc_elif_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5496),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5496),
    [sym_preproc_directive] = ACTIONS(5496),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_TILDE] = ACTIONS(5498),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym___extension__] = ACTIONS(5496),
    [anon_sym_typedef] = ACTIONS(5496),
    [anon_sym_extern] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym_COLON_COLON] = ACTIONS(5498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5498),
    [anon_sym___declspec] = ACTIONS(5496),
    [anon_sym___based] = ACTIONS(5496),
    [anon_sym_signed] = ACTIONS(5496),
    [anon_sym_unsigned] = ACTIONS(5496),
    [anon_sym_long] = ACTIONS(5496),
    [anon_sym_short] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5496),
    [anon_sym_static] = ACTIONS(5496),
    [anon_sym_register] = ACTIONS(5496),
    [anon_sym_inline] = ACTIONS(5496),
    [anon_sym___inline] = ACTIONS(5496),
    [anon_sym___inline__] = ACTIONS(5496),
    [anon_sym___forceinline] = ACTIONS(5496),
    [anon_sym_thread_local] = ACTIONS(5496),
    [anon_sym___thread] = ACTIONS(5496),
    [anon_sym_const] = ACTIONS(5496),
    [anon_sym_constexpr] = ACTIONS(5496),
    [anon_sym_volatile] = ACTIONS(5496),
    [anon_sym_restrict] = ACTIONS(5496),
    [anon_sym___restrict__] = ACTIONS(5496),
    [anon_sym__Atomic] = ACTIONS(5496),
    [anon_sym__Noreturn] = ACTIONS(5496),
    [anon_sym_noreturn] = ACTIONS(5496),
    [anon_sym_mutable] = ACTIONS(5496),
    [anon_sym_constinit] = ACTIONS(5496),
    [anon_sym_consteval] = ACTIONS(5496),
    [sym_primitive_type] = ACTIONS(5496),
    [anon_sym_enum] = ACTIONS(5496),
    [anon_sym_class] = ACTIONS(5496),
    [anon_sym_struct] = ACTIONS(5496),
    [anon_sym_union] = ACTIONS(5496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_virtual] = ACTIONS(5496),
    [anon_sym_alignas] = ACTIONS(5496),
    [anon_sym_explicit] = ACTIONS(5496),
    [anon_sym_typename] = ACTIONS(5496),
    [anon_sym_template] = ACTIONS(5496),
    [anon_sym_operator] = ACTIONS(5496),
    [anon_sym_friend] = ACTIONS(5496),
    [anon_sym_public] = ACTIONS(5496),
    [anon_sym_private] = ACTIONS(5496),
    [anon_sym_protected] = ACTIONS(5496),
    [anon_sym_using] = ACTIONS(5496),
    [anon_sym_static_assert] = ACTIONS(5496),
  },
  [2124] = {
    [sym_identifier] = ACTIONS(5401),
    [aux_sym_preproc_def_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token2] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5401),
    [aux_sym_preproc_else_token1] = ACTIONS(5401),
    [aux_sym_preproc_elif_token1] = ACTIONS(5401),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5401),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5401),
    [sym_preproc_directive] = ACTIONS(5401),
    [anon_sym_LPAREN2] = ACTIONS(5403),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5401),
    [anon_sym_typedef] = ACTIONS(5401),
    [anon_sym_extern] = ACTIONS(5401),
    [anon_sym___attribute__] = ACTIONS(5401),
    [anon_sym_COLON_COLON] = ACTIONS(5403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5401),
    [anon_sym___based] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5401),
    [anon_sym_unsigned] = ACTIONS(5401),
    [anon_sym_long] = ACTIONS(5401),
    [anon_sym_short] = ACTIONS(5401),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym_static] = ACTIONS(5401),
    [anon_sym_register] = ACTIONS(5401),
    [anon_sym_inline] = ACTIONS(5401),
    [anon_sym___inline] = ACTIONS(5401),
    [anon_sym___inline__] = ACTIONS(5401),
    [anon_sym___forceinline] = ACTIONS(5401),
    [anon_sym_thread_local] = ACTIONS(5401),
    [anon_sym___thread] = ACTIONS(5401),
    [anon_sym_const] = ACTIONS(5401),
    [anon_sym_constexpr] = ACTIONS(5401),
    [anon_sym_volatile] = ACTIONS(5401),
    [anon_sym_restrict] = ACTIONS(5401),
    [anon_sym___restrict__] = ACTIONS(5401),
    [anon_sym__Atomic] = ACTIONS(5401),
    [anon_sym__Noreturn] = ACTIONS(5401),
    [anon_sym_noreturn] = ACTIONS(5401),
    [anon_sym_mutable] = ACTIONS(5401),
    [anon_sym_constinit] = ACTIONS(5401),
    [anon_sym_consteval] = ACTIONS(5401),
    [sym_primitive_type] = ACTIONS(5401),
    [anon_sym_enum] = ACTIONS(5401),
    [anon_sym_class] = ACTIONS(5401),
    [anon_sym_struct] = ACTIONS(5401),
    [anon_sym_union] = ACTIONS(5401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5401),
    [anon_sym_decltype] = ACTIONS(5401),
    [anon_sym_virtual] = ACTIONS(5401),
    [anon_sym_alignas] = ACTIONS(5401),
    [anon_sym_explicit] = ACTIONS(5401),
    [anon_sym_typename] = ACTIONS(5401),
    [anon_sym_template] = ACTIONS(5401),
    [anon_sym_operator] = ACTIONS(5401),
    [anon_sym_friend] = ACTIONS(5401),
    [anon_sym_public] = ACTIONS(5401),
    [anon_sym_private] = ACTIONS(5401),
    [anon_sym_protected] = ACTIONS(5401),
    [anon_sym_using] = ACTIONS(5401),
    [anon_sym_static_assert] = ACTIONS(5401),
  },
  [2125] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2126] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2127] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5506),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5506),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5506),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5506),
    [anon_sym_GT_GT] = ACTIONS(5506),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___extension__] = ACTIONS(5504),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym_COLON_COLON] = ACTIONS(5506),
    [anon_sym___based] = ACTIONS(5504),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_signed] = ACTIONS(5504),
    [anon_sym_unsigned] = ACTIONS(5504),
    [anon_sym_long] = ACTIONS(5504),
    [anon_sym_short] = ACTIONS(5504),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_const] = ACTIONS(5504),
    [anon_sym_constexpr] = ACTIONS(5504),
    [anon_sym_volatile] = ACTIONS(5504),
    [anon_sym_restrict] = ACTIONS(5504),
    [anon_sym___restrict__] = ACTIONS(5504),
    [anon_sym__Atomic] = ACTIONS(5504),
    [anon_sym__Noreturn] = ACTIONS(5504),
    [anon_sym_noreturn] = ACTIONS(5504),
    [anon_sym_mutable] = ACTIONS(5504),
    [anon_sym_constinit] = ACTIONS(5504),
    [anon_sym_consteval] = ACTIONS(5504),
    [sym_primitive_type] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
    [anon_sym_final] = ACTIONS(5504),
    [anon_sym_override] = ACTIONS(5504),
    [anon_sym_requires] = ACTIONS(5504),
  },
  [2128] = {
    [sym_decltype_auto] = STATE(2269),
    [sym_identifier] = ACTIONS(5508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5510),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5510),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5510),
    [anon_sym_PIPE_PIPE] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_CARET] = ACTIONS(5510),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5508),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5510),
    [anon_sym_GT_GT] = ACTIONS(5510),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym___extension__] = ACTIONS(5508),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym___based] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_signed] = ACTIONS(5508),
    [anon_sym_unsigned] = ACTIONS(5508),
    [anon_sym_long] = ACTIONS(5508),
    [anon_sym_short] = ACTIONS(5508),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5510),
    [anon_sym_const] = ACTIONS(5508),
    [anon_sym_constexpr] = ACTIONS(5508),
    [anon_sym_volatile] = ACTIONS(5508),
    [anon_sym_restrict] = ACTIONS(5508),
    [anon_sym___restrict__] = ACTIONS(5508),
    [anon_sym__Atomic] = ACTIONS(5508),
    [anon_sym__Noreturn] = ACTIONS(5508),
    [anon_sym_noreturn] = ACTIONS(5508),
    [anon_sym_mutable] = ACTIONS(5508),
    [anon_sym_constinit] = ACTIONS(5508),
    [anon_sym_consteval] = ACTIONS(5508),
    [sym_primitive_type] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_LT_EQ_GT] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5508),
    [anon_sym_and] = ACTIONS(5508),
    [anon_sym_bitor] = ACTIONS(5508),
    [anon_sym_xor] = ACTIONS(5508),
    [anon_sym_bitand] = ACTIONS(5508),
    [anon_sym_not_eq] = ACTIONS(5508),
    [anon_sym_DASH_DASH] = ACTIONS(5510),
    [anon_sym_PLUS_PLUS] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_DOT_STAR] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5512),
    [anon_sym_decltype] = ACTIONS(5514),
    [anon_sym_final] = ACTIONS(5508),
    [anon_sym_override] = ACTIONS(5508),
    [anon_sym_requires] = ACTIONS(5508),
  },
  [2129] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2130] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2131] = {
    [sym_identifier] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym_typedef] = ACTIONS(5520),
    [anon_sym_extern] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5522),
    [anon_sym___declspec] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_static] = ACTIONS(5520),
    [anon_sym_register] = ACTIONS(5520),
    [anon_sym_inline] = ACTIONS(5520),
    [anon_sym___inline] = ACTIONS(5520),
    [anon_sym___inline__] = ACTIONS(5520),
    [anon_sym___forceinline] = ACTIONS(5520),
    [anon_sym_thread_local] = ACTIONS(5520),
    [anon_sym___thread] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [sym_primitive_type] = ACTIONS(5520),
    [anon_sym_enum] = ACTIONS(5520),
    [anon_sym_class] = ACTIONS(5520),
    [anon_sym_struct] = ACTIONS(5520),
    [anon_sym_union] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_virtual] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym_explicit] = ACTIONS(5520),
    [anon_sym_typename] = ACTIONS(5520),
    [anon_sym_template] = ACTIONS(5520),
    [anon_sym_operator] = ACTIONS(5520),
    [anon_sym_friend] = ACTIONS(5520),
    [anon_sym_public] = ACTIONS(5520),
    [anon_sym_private] = ACTIONS(5520),
    [anon_sym_protected] = ACTIONS(5520),
    [anon_sym_using] = ACTIONS(5520),
    [anon_sym_static_assert] = ACTIONS(5520),
  },
  [2132] = {
    [sym_identifier] = ACTIONS(5524),
    [aux_sym_preproc_def_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token2] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5524),
    [aux_sym_preproc_else_token1] = ACTIONS(5524),
    [aux_sym_preproc_elif_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5524),
    [sym_preproc_directive] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [anon_sym_TILDE] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(5524),
    [anon_sym_typedef] = ACTIONS(5524),
    [anon_sym_extern] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5524),
    [anon_sym_COLON_COLON] = ACTIONS(5526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5526),
    [anon_sym___declspec] = ACTIONS(5524),
    [anon_sym___based] = ACTIONS(5524),
    [anon_sym_signed] = ACTIONS(5524),
    [anon_sym_unsigned] = ACTIONS(5524),
    [anon_sym_long] = ACTIONS(5524),
    [anon_sym_short] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_static] = ACTIONS(5524),
    [anon_sym_register] = ACTIONS(5524),
    [anon_sym_inline] = ACTIONS(5524),
    [anon_sym___inline] = ACTIONS(5524),
    [anon_sym___inline__] = ACTIONS(5524),
    [anon_sym___forceinline] = ACTIONS(5524),
    [anon_sym_thread_local] = ACTIONS(5524),
    [anon_sym___thread] = ACTIONS(5524),
    [anon_sym_const] = ACTIONS(5524),
    [anon_sym_constexpr] = ACTIONS(5524),
    [anon_sym_volatile] = ACTIONS(5524),
    [anon_sym_restrict] = ACTIONS(5524),
    [anon_sym___restrict__] = ACTIONS(5524),
    [anon_sym__Atomic] = ACTIONS(5524),
    [anon_sym__Noreturn] = ACTIONS(5524),
    [anon_sym_noreturn] = ACTIONS(5524),
    [anon_sym_mutable] = ACTIONS(5524),
    [anon_sym_constinit] = ACTIONS(5524),
    [anon_sym_consteval] = ACTIONS(5524),
    [sym_primitive_type] = ACTIONS(5524),
    [anon_sym_enum] = ACTIONS(5524),
    [anon_sym_class] = ACTIONS(5524),
    [anon_sym_struct] = ACTIONS(5524),
    [anon_sym_union] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5524),
    [anon_sym_decltype] = ACTIONS(5524),
    [anon_sym_virtual] = ACTIONS(5524),
    [anon_sym_alignas] = ACTIONS(5524),
    [anon_sym_explicit] = ACTIONS(5524),
    [anon_sym_typename] = ACTIONS(5524),
    [anon_sym_template] = ACTIONS(5524),
    [anon_sym_operator] = ACTIONS(5524),
    [anon_sym_friend] = ACTIONS(5524),
    [anon_sym_public] = ACTIONS(5524),
    [anon_sym_private] = ACTIONS(5524),
    [anon_sym_protected] = ACTIONS(5524),
    [anon_sym_using] = ACTIONS(5524),
    [anon_sym_static_assert] = ACTIONS(5524),
  },
  [2133] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_friend] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
  },
  [2134] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_friend] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
  },
  [2135] = {
    [sym_identifier] = ACTIONS(5528),
    [aux_sym_preproc_def_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token2] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5528),
    [aux_sym_preproc_else_token1] = ACTIONS(5528),
    [aux_sym_preproc_elif_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5528),
    [sym_preproc_directive] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5530),
    [anon_sym_TILDE] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym___extension__] = ACTIONS(5528),
    [anon_sym_typedef] = ACTIONS(5528),
    [anon_sym_extern] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5528),
    [anon_sym_COLON_COLON] = ACTIONS(5530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5530),
    [anon_sym___declspec] = ACTIONS(5528),
    [anon_sym___based] = ACTIONS(5528),
    [anon_sym_signed] = ACTIONS(5528),
    [anon_sym_unsigned] = ACTIONS(5528),
    [anon_sym_long] = ACTIONS(5528),
    [anon_sym_short] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_static] = ACTIONS(5528),
    [anon_sym_register] = ACTIONS(5528),
    [anon_sym_inline] = ACTIONS(5528),
    [anon_sym___inline] = ACTIONS(5528),
    [anon_sym___inline__] = ACTIONS(5528),
    [anon_sym___forceinline] = ACTIONS(5528),
    [anon_sym_thread_local] = ACTIONS(5528),
    [anon_sym___thread] = ACTIONS(5528),
    [anon_sym_const] = ACTIONS(5528),
    [anon_sym_constexpr] = ACTIONS(5528),
    [anon_sym_volatile] = ACTIONS(5528),
    [anon_sym_restrict] = ACTIONS(5528),
    [anon_sym___restrict__] = ACTIONS(5528),
    [anon_sym__Atomic] = ACTIONS(5528),
    [anon_sym__Noreturn] = ACTIONS(5528),
    [anon_sym_noreturn] = ACTIONS(5528),
    [anon_sym_mutable] = ACTIONS(5528),
    [anon_sym_constinit] = ACTIONS(5528),
    [anon_sym_consteval] = ACTIONS(5528),
    [sym_primitive_type] = ACTIONS(5528),
    [anon_sym_enum] = ACTIONS(5528),
    [anon_sym_class] = ACTIONS(5528),
    [anon_sym_struct] = ACTIONS(5528),
    [anon_sym_union] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5528),
    [anon_sym_decltype] = ACTIONS(5528),
    [anon_sym_virtual] = ACTIONS(5528),
    [anon_sym_alignas] = ACTIONS(5528),
    [anon_sym_explicit] = ACTIONS(5528),
    [anon_sym_typename] = ACTIONS(5528),
    [anon_sym_template] = ACTIONS(5528),
    [anon_sym_operator] = ACTIONS(5528),
    [anon_sym_friend] = ACTIONS(5528),
    [anon_sym_public] = ACTIONS(5528),
    [anon_sym_private] = ACTIONS(5528),
    [anon_sym_protected] = ACTIONS(5528),
    [anon_sym_using] = ACTIONS(5528),
    [anon_sym_static_assert] = ACTIONS(5528),
  },
  [2136] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [2137] = {
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token2] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [aux_sym_preproc_else_token1] = ACTIONS(3294),
    [aux_sym_preproc_elif_token1] = ACTIONS(3294),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_friend] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
  },
  [2138] = {
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token2] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [aux_sym_preproc_else_token1] = ACTIONS(3209),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_friend] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
  },
  [2139] = {
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token2] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [aux_sym_preproc_else_token1] = ACTIONS(3261),
    [aux_sym_preproc_elif_token1] = ACTIONS(3261),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_friend] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
  },
  [2140] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3237),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_friend] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
  },
  [2141] = {
    [sym_identifier] = ACTIONS(5532),
    [aux_sym_preproc_def_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5532),
    [sym_preproc_directive] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5532),
    [anon_sym_typedef] = ACTIONS(5532),
    [anon_sym_extern] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym___declspec] = ACTIONS(5532),
    [anon_sym___based] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5532),
    [anon_sym_unsigned] = ACTIONS(5532),
    [anon_sym_long] = ACTIONS(5532),
    [anon_sym_short] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_static] = ACTIONS(5532),
    [anon_sym_register] = ACTIONS(5532),
    [anon_sym_inline] = ACTIONS(5532),
    [anon_sym___inline] = ACTIONS(5532),
    [anon_sym___inline__] = ACTIONS(5532),
    [anon_sym___forceinline] = ACTIONS(5532),
    [anon_sym_thread_local] = ACTIONS(5532),
    [anon_sym___thread] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5532),
    [anon_sym_constexpr] = ACTIONS(5532),
    [anon_sym_volatile] = ACTIONS(5532),
    [anon_sym_restrict] = ACTIONS(5532),
    [anon_sym___restrict__] = ACTIONS(5532),
    [anon_sym__Atomic] = ACTIONS(5532),
    [anon_sym__Noreturn] = ACTIONS(5532),
    [anon_sym_noreturn] = ACTIONS(5532),
    [anon_sym_mutable] = ACTIONS(5532),
    [anon_sym_constinit] = ACTIONS(5532),
    [anon_sym_consteval] = ACTIONS(5532),
    [sym_primitive_type] = ACTIONS(5532),
    [anon_sym_enum] = ACTIONS(5532),
    [anon_sym_class] = ACTIONS(5532),
    [anon_sym_struct] = ACTIONS(5532),
    [anon_sym_union] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5532),
    [anon_sym_decltype] = ACTIONS(5532),
    [anon_sym_virtual] = ACTIONS(5532),
    [anon_sym_alignas] = ACTIONS(5532),
    [anon_sym_explicit] = ACTIONS(5532),
    [anon_sym_typename] = ACTIONS(5532),
    [anon_sym_template] = ACTIONS(5532),
    [anon_sym_operator] = ACTIONS(5532),
    [anon_sym_friend] = ACTIONS(5532),
    [anon_sym_public] = ACTIONS(5532),
    [anon_sym_private] = ACTIONS(5532),
    [anon_sym_protected] = ACTIONS(5532),
    [anon_sym_using] = ACTIONS(5532),
    [anon_sym_static_assert] = ACTIONS(5532),
  },
  [2142] = {
    [sym_identifier] = ACTIONS(5536),
    [aux_sym_preproc_def_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5536),
    [sym_preproc_directive] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5536),
    [anon_sym_typedef] = ACTIONS(5536),
    [anon_sym_extern] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym___declspec] = ACTIONS(5536),
    [anon_sym___based] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5536),
    [anon_sym_unsigned] = ACTIONS(5536),
    [anon_sym_long] = ACTIONS(5536),
    [anon_sym_short] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_static] = ACTIONS(5536),
    [anon_sym_register] = ACTIONS(5536),
    [anon_sym_inline] = ACTIONS(5536),
    [anon_sym___inline] = ACTIONS(5536),
    [anon_sym___inline__] = ACTIONS(5536),
    [anon_sym___forceinline] = ACTIONS(5536),
    [anon_sym_thread_local] = ACTIONS(5536),
    [anon_sym___thread] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5536),
    [anon_sym_constexpr] = ACTIONS(5536),
    [anon_sym_volatile] = ACTIONS(5536),
    [anon_sym_restrict] = ACTIONS(5536),
    [anon_sym___restrict__] = ACTIONS(5536),
    [anon_sym__Atomic] = ACTIONS(5536),
    [anon_sym__Noreturn] = ACTIONS(5536),
    [anon_sym_noreturn] = ACTIONS(5536),
    [anon_sym_mutable] = ACTIONS(5536),
    [anon_sym_constinit] = ACTIONS(5536),
    [anon_sym_consteval] = ACTIONS(5536),
    [sym_primitive_type] = ACTIONS(5536),
    [anon_sym_enum] = ACTIONS(5536),
    [anon_sym_class] = ACTIONS(5536),
    [anon_sym_struct] = ACTIONS(5536),
    [anon_sym_union] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5536),
    [anon_sym_decltype] = ACTIONS(5536),
    [anon_sym_virtual] = ACTIONS(5536),
    [anon_sym_alignas] = ACTIONS(5536),
    [anon_sym_explicit] = ACTIONS(5536),
    [anon_sym_typename] = ACTIONS(5536),
    [anon_sym_template] = ACTIONS(5536),
    [anon_sym_operator] = ACTIONS(5536),
    [anon_sym_friend] = ACTIONS(5536),
    [anon_sym_public] = ACTIONS(5536),
    [anon_sym_private] = ACTIONS(5536),
    [anon_sym_protected] = ACTIONS(5536),
    [anon_sym_using] = ACTIONS(5536),
    [anon_sym_static_assert] = ACTIONS(5536),
  },
  [2143] = {
    [sym_identifier] = ACTIONS(5540),
    [aux_sym_preproc_def_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5540),
    [sym_preproc_directive] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_TILDE] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5540),
    [anon_sym_typedef] = ACTIONS(5540),
    [anon_sym_extern] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym___declspec] = ACTIONS(5540),
    [anon_sym___based] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5540),
    [anon_sym_unsigned] = ACTIONS(5540),
    [anon_sym_long] = ACTIONS(5540),
    [anon_sym_short] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_static] = ACTIONS(5540),
    [anon_sym_register] = ACTIONS(5540),
    [anon_sym_inline] = ACTIONS(5540),
    [anon_sym___inline] = ACTIONS(5540),
    [anon_sym___inline__] = ACTIONS(5540),
    [anon_sym___forceinline] = ACTIONS(5540),
    [anon_sym_thread_local] = ACTIONS(5540),
    [anon_sym___thread] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5540),
    [anon_sym_constexpr] = ACTIONS(5540),
    [anon_sym_volatile] = ACTIONS(5540),
    [anon_sym_restrict] = ACTIONS(5540),
    [anon_sym___restrict__] = ACTIONS(5540),
    [anon_sym__Atomic] = ACTIONS(5540),
    [anon_sym__Noreturn] = ACTIONS(5540),
    [anon_sym_noreturn] = ACTIONS(5540),
    [anon_sym_mutable] = ACTIONS(5540),
    [anon_sym_constinit] = ACTIONS(5540),
    [anon_sym_consteval] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(5540),
    [anon_sym_enum] = ACTIONS(5540),
    [anon_sym_class] = ACTIONS(5540),
    [anon_sym_struct] = ACTIONS(5540),
    [anon_sym_union] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5540),
    [anon_sym_decltype] = ACTIONS(5540),
    [anon_sym_virtual] = ACTIONS(5540),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym_explicit] = ACTIONS(5540),
    [anon_sym_typename] = ACTIONS(5540),
    [anon_sym_template] = ACTIONS(5540),
    [anon_sym_operator] = ACTIONS(5540),
    [anon_sym_friend] = ACTIONS(5540),
    [anon_sym_public] = ACTIONS(5540),
    [anon_sym_private] = ACTIONS(5540),
    [anon_sym_protected] = ACTIONS(5540),
    [anon_sym_using] = ACTIONS(5540),
    [anon_sym_static_assert] = ACTIONS(5540),
  },
  [2144] = {
    [sym_identifier] = ACTIONS(5540),
    [aux_sym_preproc_def_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5540),
    [sym_preproc_directive] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_TILDE] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5540),
    [anon_sym_typedef] = ACTIONS(5540),
    [anon_sym_extern] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym___declspec] = ACTIONS(5540),
    [anon_sym___based] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5540),
    [anon_sym_unsigned] = ACTIONS(5540),
    [anon_sym_long] = ACTIONS(5540),
    [anon_sym_short] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_static] = ACTIONS(5540),
    [anon_sym_register] = ACTIONS(5540),
    [anon_sym_inline] = ACTIONS(5540),
    [anon_sym___inline] = ACTIONS(5540),
    [anon_sym___inline__] = ACTIONS(5540),
    [anon_sym___forceinline] = ACTIONS(5540),
    [anon_sym_thread_local] = ACTIONS(5540),
    [anon_sym___thread] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5540),
    [anon_sym_constexpr] = ACTIONS(5540),
    [anon_sym_volatile] = ACTIONS(5540),
    [anon_sym_restrict] = ACTIONS(5540),
    [anon_sym___restrict__] = ACTIONS(5540),
    [anon_sym__Atomic] = ACTIONS(5540),
    [anon_sym__Noreturn] = ACTIONS(5540),
    [anon_sym_noreturn] = ACTIONS(5540),
    [anon_sym_mutable] = ACTIONS(5540),
    [anon_sym_constinit] = ACTIONS(5540),
    [anon_sym_consteval] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(5540),
    [anon_sym_enum] = ACTIONS(5540),
    [anon_sym_class] = ACTIONS(5540),
    [anon_sym_struct] = ACTIONS(5540),
    [anon_sym_union] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5540),
    [anon_sym_decltype] = ACTIONS(5540),
    [anon_sym_virtual] = ACTIONS(5540),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym_explicit] = ACTIONS(5540),
    [anon_sym_typename] = ACTIONS(5540),
    [anon_sym_template] = ACTIONS(5540),
    [anon_sym_operator] = ACTIONS(5540),
    [anon_sym_friend] = ACTIONS(5540),
    [anon_sym_public] = ACTIONS(5540),
    [anon_sym_private] = ACTIONS(5540),
    [anon_sym_protected] = ACTIONS(5540),
    [anon_sym_using] = ACTIONS(5540),
    [anon_sym_static_assert] = ACTIONS(5540),
  },
  [2145] = {
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___extension__] = ACTIONS(5422),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym___based] = ACTIONS(5422),
    [anon_sym_LBRACE] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5422),
    [anon_sym_unsigned] = ACTIONS(5422),
    [anon_sym_long] = ACTIONS(5422),
    [anon_sym_short] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5422),
    [anon_sym_constexpr] = ACTIONS(5422),
    [anon_sym_volatile] = ACTIONS(5422),
    [anon_sym_restrict] = ACTIONS(5422),
    [anon_sym___restrict__] = ACTIONS(5422),
    [anon_sym__Atomic] = ACTIONS(5422),
    [anon_sym__Noreturn] = ACTIONS(5422),
    [anon_sym_noreturn] = ACTIONS(5422),
    [anon_sym_mutable] = ACTIONS(5422),
    [anon_sym_constinit] = ACTIONS(5422),
    [anon_sym_consteval] = ACTIONS(5422),
    [sym_primitive_type] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5422),
    [anon_sym_decltype] = ACTIONS(5422),
    [anon_sym_final] = ACTIONS(5422),
    [anon_sym_override] = ACTIONS(5422),
    [anon_sym_requires] = ACTIONS(5422),
  },
  [2146] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [2147] = {
    [sym_identifier] = ACTIONS(5544),
    [aux_sym_preproc_def_token1] = ACTIONS(5544),
    [aux_sym_preproc_if_token1] = ACTIONS(5544),
    [aux_sym_preproc_if_token2] = ACTIONS(5544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5544),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5544),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5544),
    [sym_preproc_directive] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5546),
    [anon_sym_TILDE] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5546),
    [anon_sym_AMP_AMP] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5544),
    [anon_sym___extension__] = ACTIONS(5544),
    [anon_sym_typedef] = ACTIONS(5544),
    [anon_sym_extern] = ACTIONS(5544),
    [anon_sym___attribute__] = ACTIONS(5544),
    [anon_sym_COLON_COLON] = ACTIONS(5546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5546),
    [anon_sym___declspec] = ACTIONS(5544),
    [anon_sym___based] = ACTIONS(5544),
    [anon_sym_signed] = ACTIONS(5544),
    [anon_sym_unsigned] = ACTIONS(5544),
    [anon_sym_long] = ACTIONS(5544),
    [anon_sym_short] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_static] = ACTIONS(5544),
    [anon_sym_register] = ACTIONS(5544),
    [anon_sym_inline] = ACTIONS(5544),
    [anon_sym___inline] = ACTIONS(5544),
    [anon_sym___inline__] = ACTIONS(5544),
    [anon_sym___forceinline] = ACTIONS(5544),
    [anon_sym_thread_local] = ACTIONS(5544),
    [anon_sym___thread] = ACTIONS(5544),
    [anon_sym_const] = ACTIONS(5544),
    [anon_sym_constexpr] = ACTIONS(5544),
    [anon_sym_volatile] = ACTIONS(5544),
    [anon_sym_restrict] = ACTIONS(5544),
    [anon_sym___restrict__] = ACTIONS(5544),
    [anon_sym__Atomic] = ACTIONS(5544),
    [anon_sym__Noreturn] = ACTIONS(5544),
    [anon_sym_noreturn] = ACTIONS(5544),
    [anon_sym_mutable] = ACTIONS(5544),
    [anon_sym_constinit] = ACTIONS(5544),
    [anon_sym_consteval] = ACTIONS(5544),
    [sym_primitive_type] = ACTIONS(5544),
    [anon_sym_enum] = ACTIONS(5544),
    [anon_sym_class] = ACTIONS(5544),
    [anon_sym_struct] = ACTIONS(5544),
    [anon_sym_union] = ACTIONS(5544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5544),
    [anon_sym_decltype] = ACTIONS(5544),
    [anon_sym_virtual] = ACTIONS(5544),
    [anon_sym_alignas] = ACTIONS(5544),
    [anon_sym_explicit] = ACTIONS(5544),
    [anon_sym_typename] = ACTIONS(5544),
    [anon_sym_template] = ACTIONS(5544),
    [anon_sym_operator] = ACTIONS(5544),
    [anon_sym_friend] = ACTIONS(5544),
    [anon_sym_public] = ACTIONS(5544),
    [anon_sym_private] = ACTIONS(5544),
    [anon_sym_protected] = ACTIONS(5544),
    [anon_sym_using] = ACTIONS(5544),
    [anon_sym_static_assert] = ACTIONS(5544),
  },
  [2148] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2149] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [2150] = {
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [aux_sym_preproc_else_token1] = ACTIONS(3148),
    [aux_sym_preproc_elif_token1] = ACTIONS(3148),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_friend] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
  },
  [2151] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_friend] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
  },
  [2152] = {
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token2] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [aux_sym_preproc_else_token1] = ACTIONS(3160),
    [aux_sym_preproc_elif_token1] = ACTIONS(3160),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_friend] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
  },
  [2153] = {
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___extension__] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym___based] = ACTIONS(5548),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_const] = ACTIONS(5548),
    [anon_sym_constexpr] = ACTIONS(5548),
    [anon_sym_volatile] = ACTIONS(5548),
    [anon_sym_restrict] = ACTIONS(5548),
    [anon_sym___restrict__] = ACTIONS(5548),
    [anon_sym__Atomic] = ACTIONS(5548),
    [anon_sym__Noreturn] = ACTIONS(5548),
    [anon_sym_noreturn] = ACTIONS(5548),
    [anon_sym_mutable] = ACTIONS(5548),
    [anon_sym_constinit] = ACTIONS(5548),
    [anon_sym_consteval] = ACTIONS(5548),
    [sym_primitive_type] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
    [anon_sym_final] = ACTIONS(5548),
    [anon_sym_override] = ACTIONS(5548),
    [anon_sym_requires] = ACTIONS(5548),
  },
  [2154] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_friend] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
  },
  [2155] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2156] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
  },
  [2157] = {
    [sym_identifier] = ACTIONS(5552),
    [aux_sym_preproc_def_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5552),
    [sym_preproc_directive] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5554),
    [anon_sym_TILDE] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5552),
    [anon_sym_typedef] = ACTIONS(5552),
    [anon_sym_extern] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5552),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5554),
    [anon_sym___declspec] = ACTIONS(5552),
    [anon_sym___based] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_static] = ACTIONS(5552),
    [anon_sym_register] = ACTIONS(5552),
    [anon_sym_inline] = ACTIONS(5552),
    [anon_sym___inline] = ACTIONS(5552),
    [anon_sym___inline__] = ACTIONS(5552),
    [anon_sym___forceinline] = ACTIONS(5552),
    [anon_sym_thread_local] = ACTIONS(5552),
    [anon_sym___thread] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5552),
    [anon_sym_constexpr] = ACTIONS(5552),
    [anon_sym_volatile] = ACTIONS(5552),
    [anon_sym_restrict] = ACTIONS(5552),
    [anon_sym___restrict__] = ACTIONS(5552),
    [anon_sym__Atomic] = ACTIONS(5552),
    [anon_sym__Noreturn] = ACTIONS(5552),
    [anon_sym_noreturn] = ACTIONS(5552),
    [anon_sym_mutable] = ACTIONS(5552),
    [anon_sym_constinit] = ACTIONS(5552),
    [anon_sym_consteval] = ACTIONS(5552),
    [sym_primitive_type] = ACTIONS(5552),
    [anon_sym_enum] = ACTIONS(5552),
    [anon_sym_class] = ACTIONS(5552),
    [anon_sym_struct] = ACTIONS(5552),
    [anon_sym_union] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5552),
    [anon_sym_decltype] = ACTIONS(5552),
    [anon_sym_virtual] = ACTIONS(5552),
    [anon_sym_alignas] = ACTIONS(5552),
    [anon_sym_explicit] = ACTIONS(5552),
    [anon_sym_typename] = ACTIONS(5552),
    [anon_sym_template] = ACTIONS(5552),
    [anon_sym_operator] = ACTIONS(5552),
    [anon_sym_friend] = ACTIONS(5552),
    [anon_sym_public] = ACTIONS(5552),
    [anon_sym_private] = ACTIONS(5552),
    [anon_sym_protected] = ACTIONS(5552),
    [anon_sym_using] = ACTIONS(5552),
    [anon_sym_static_assert] = ACTIONS(5552),
  },
  [2158] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2159] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_friend] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
  },
  [2160] = {
    [sym_identifier] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5558),
    [anon_sym_TILDE] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym___extension__] = ACTIONS(5556),
    [anon_sym_typedef] = ACTIONS(5556),
    [anon_sym_extern] = ACTIONS(5556),
    [anon_sym___attribute__] = ACTIONS(5556),
    [anon_sym_COLON_COLON] = ACTIONS(5558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5558),
    [anon_sym___declspec] = ACTIONS(5556),
    [anon_sym___based] = ACTIONS(5556),
    [anon_sym_signed] = ACTIONS(5556),
    [anon_sym_unsigned] = ACTIONS(5556),
    [anon_sym_long] = ACTIONS(5556),
    [anon_sym_short] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_static] = ACTIONS(5556),
    [anon_sym_register] = ACTIONS(5556),
    [anon_sym_inline] = ACTIONS(5556),
    [anon_sym___inline] = ACTIONS(5556),
    [anon_sym___inline__] = ACTIONS(5556),
    [anon_sym___forceinline] = ACTIONS(5556),
    [anon_sym_thread_local] = ACTIONS(5556),
    [anon_sym___thread] = ACTIONS(5556),
    [anon_sym_const] = ACTIONS(5556),
    [anon_sym_constexpr] = ACTIONS(5556),
    [anon_sym_volatile] = ACTIONS(5556),
    [anon_sym_restrict] = ACTIONS(5556),
    [anon_sym___restrict__] = ACTIONS(5556),
    [anon_sym__Atomic] = ACTIONS(5556),
    [anon_sym__Noreturn] = ACTIONS(5556),
    [anon_sym_noreturn] = ACTIONS(5556),
    [anon_sym_mutable] = ACTIONS(5556),
    [anon_sym_constinit] = ACTIONS(5556),
    [anon_sym_consteval] = ACTIONS(5556),
    [sym_primitive_type] = ACTIONS(5556),
    [anon_sym_enum] = ACTIONS(5556),
    [anon_sym_class] = ACTIONS(5556),
    [anon_sym_struct] = ACTIONS(5556),
    [anon_sym_union] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5556),
    [anon_sym_decltype] = ACTIONS(5556),
    [anon_sym_virtual] = ACTIONS(5556),
    [anon_sym_alignas] = ACTIONS(5556),
    [anon_sym_explicit] = ACTIONS(5556),
    [anon_sym_typename] = ACTIONS(5556),
    [anon_sym_template] = ACTIONS(5556),
    [anon_sym_operator] = ACTIONS(5556),
    [anon_sym_friend] = ACTIONS(5556),
    [anon_sym_public] = ACTIONS(5556),
    [anon_sym_private] = ACTIONS(5556),
    [anon_sym_protected] = ACTIONS(5556),
    [anon_sym_using] = ACTIONS(5556),
    [anon_sym_static_assert] = ACTIONS(5556),
  },
  [2161] = {
    [sym_string_literal] = STATE(2161),
    [sym_raw_string_literal] = STATE(2161),
    [aux_sym_concatenated_string_repeat1] = STATE(2161),
    [sym_identifier] = ACTIONS(5560),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [aux_sym_preproc_if_token2] = ACTIONS(5240),
    [aux_sym_preproc_else_token1] = ACTIONS(5240),
    [aux_sym_preproc_elif_token1] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5240),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5242),
    [anon_sym_GT_GT] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_STAR_EQ] = ACTIONS(5240),
    [anon_sym_SLASH_EQ] = ACTIONS(5240),
    [anon_sym_PERCENT_EQ] = ACTIONS(5240),
    [anon_sym_PLUS_EQ] = ACTIONS(5240),
    [anon_sym_DASH_EQ] = ACTIONS(5240),
    [anon_sym_LT_LT_EQ] = ACTIONS(5240),
    [anon_sym_GT_GT_EQ] = ACTIONS(5240),
    [anon_sym_AMP_EQ] = ACTIONS(5240),
    [anon_sym_CARET_EQ] = ACTIONS(5240),
    [anon_sym_PIPE_EQ] = ACTIONS(5240),
    [anon_sym_and_eq] = ACTIONS(5242),
    [anon_sym_or_eq] = ACTIONS(5242),
    [anon_sym_xor_eq] = ACTIONS(5242),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5240),
    [anon_sym_L_DQUOTE] = ACTIONS(5563),
    [anon_sym_u_DQUOTE] = ACTIONS(5563),
    [anon_sym_U_DQUOTE] = ACTIONS(5563),
    [anon_sym_u8_DQUOTE] = ACTIONS(5563),
    [anon_sym_DQUOTE] = ACTIONS(5563),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5566),
    [anon_sym_LR_DQUOTE] = ACTIONS(5566),
    [anon_sym_uR_DQUOTE] = ACTIONS(5566),
    [anon_sym_UR_DQUOTE] = ACTIONS(5566),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5566),
    [sym_literal_suffix] = ACTIONS(5242),
  },
  [2162] = {
    [sym_type_qualifier] = STATE(2162),
    [aux_sym__type_definition_type_repeat1] = STATE(2162),
    [sym_identifier] = ACTIONS(5569),
    [anon_sym_LPAREN2] = ACTIONS(5571),
    [anon_sym_BANG] = ACTIONS(5571),
    [anon_sym_TILDE] = ACTIONS(5571),
    [anon_sym_DASH] = ACTIONS(5569),
    [anon_sym_PLUS] = ACTIONS(5569),
    [anon_sym_STAR] = ACTIONS(5571),
    [anon_sym_AMP] = ACTIONS(5571),
    [anon_sym___extension__] = ACTIONS(5573),
    [anon_sym_COLON_COLON] = ACTIONS(5571),
    [anon_sym_LBRACK] = ACTIONS(5571),
    [anon_sym_RBRACK] = ACTIONS(5571),
    [anon_sym_const] = ACTIONS(5573),
    [anon_sym_constexpr] = ACTIONS(5573),
    [anon_sym_volatile] = ACTIONS(5573),
    [anon_sym_restrict] = ACTIONS(5573),
    [anon_sym___restrict__] = ACTIONS(5573),
    [anon_sym__Atomic] = ACTIONS(5573),
    [anon_sym__Noreturn] = ACTIONS(5573),
    [anon_sym_noreturn] = ACTIONS(5573),
    [anon_sym_mutable] = ACTIONS(5573),
    [anon_sym_constinit] = ACTIONS(5573),
    [anon_sym_consteval] = ACTIONS(5573),
    [sym_primitive_type] = ACTIONS(5569),
    [anon_sym_not] = ACTIONS(5569),
    [anon_sym_compl] = ACTIONS(5569),
    [anon_sym_DASH_DASH] = ACTIONS(5571),
    [anon_sym_PLUS_PLUS] = ACTIONS(5571),
    [anon_sym_sizeof] = ACTIONS(5569),
    [anon_sym___alignof__] = ACTIONS(5569),
    [anon_sym___alignof] = ACTIONS(5569),
    [anon_sym__alignof] = ACTIONS(5569),
    [anon_sym_alignof] = ACTIONS(5569),
    [anon_sym__Alignof] = ACTIONS(5569),
    [anon_sym_offsetof] = ACTIONS(5569),
    [anon_sym__Generic] = ACTIONS(5569),
    [anon_sym_asm] = ACTIONS(5569),
    [anon_sym___asm__] = ACTIONS(5569),
    [sym_number_literal] = ACTIONS(5571),
    [anon_sym_L_SQUOTE] = ACTIONS(5571),
    [anon_sym_u_SQUOTE] = ACTIONS(5571),
    [anon_sym_U_SQUOTE] = ACTIONS(5571),
    [anon_sym_u8_SQUOTE] = ACTIONS(5571),
    [anon_sym_SQUOTE] = ACTIONS(5571),
    [anon_sym_L_DQUOTE] = ACTIONS(5571),
    [anon_sym_u_DQUOTE] = ACTIONS(5571),
    [anon_sym_U_DQUOTE] = ACTIONS(5571),
    [anon_sym_u8_DQUOTE] = ACTIONS(5571),
    [anon_sym_DQUOTE] = ACTIONS(5571),
    [sym_true] = ACTIONS(5569),
    [sym_false] = ACTIONS(5569),
    [anon_sym_NULL] = ACTIONS(5569),
    [anon_sym_nullptr] = ACTIONS(5569),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(5569),
    [anon_sym_template] = ACTIONS(5569),
    [anon_sym_delete] = ACTIONS(5569),
    [anon_sym_R_DQUOTE] = ACTIONS(5571),
    [anon_sym_LR_DQUOTE] = ACTIONS(5571),
    [anon_sym_uR_DQUOTE] = ACTIONS(5571),
    [anon_sym_UR_DQUOTE] = ACTIONS(5571),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5571),
    [anon_sym_co_await] = ACTIONS(5569),
    [anon_sym_new] = ACTIONS(5569),
    [anon_sym_requires] = ACTIONS(5569),
    [sym_this] = ACTIONS(5569),
  },
  [2163] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [aux_sym_preproc_else_token1] = ACTIONS(3120),
    [aux_sym_preproc_elif_token1] = ACTIONS(3120),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_friend] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_protected] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
  },
  [2164] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_friend] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
  },
  [2165] = {
    [sym_identifier] = ACTIONS(4995),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4997),
    [anon_sym_COMMA] = ACTIONS(4997),
    [anon_sym_RPAREN] = ACTIONS(4997),
    [anon_sym_LPAREN2] = ACTIONS(4997),
    [anon_sym_DASH] = ACTIONS(4995),
    [anon_sym_PLUS] = ACTIONS(4995),
    [anon_sym_STAR] = ACTIONS(4997),
    [anon_sym_SLASH] = ACTIONS(4995),
    [anon_sym_PERCENT] = ACTIONS(4997),
    [anon_sym_PIPE_PIPE] = ACTIONS(4997),
    [anon_sym_AMP_AMP] = ACTIONS(4997),
    [anon_sym_PIPE] = ACTIONS(4995),
    [anon_sym_CARET] = ACTIONS(4997),
    [anon_sym_AMP] = ACTIONS(4995),
    [anon_sym_EQ_EQ] = ACTIONS(4997),
    [anon_sym_BANG_EQ] = ACTIONS(4997),
    [anon_sym_GT] = ACTIONS(4995),
    [anon_sym_GT_EQ] = ACTIONS(4997),
    [anon_sym_LT_EQ] = ACTIONS(4995),
    [anon_sym_LT] = ACTIONS(4995),
    [anon_sym_LT_LT] = ACTIONS(4997),
    [anon_sym_GT_GT] = ACTIONS(4997),
    [anon_sym_SEMI] = ACTIONS(4997),
    [anon_sym___extension__] = ACTIONS(4995),
    [anon_sym___attribute__] = ACTIONS(4995),
    [anon_sym_COLON_COLON] = ACTIONS(4997),
    [anon_sym___based] = ACTIONS(4995),
    [anon_sym_LBRACE] = ACTIONS(4997),
    [anon_sym_RBRACE] = ACTIONS(4997),
    [anon_sym_signed] = ACTIONS(4995),
    [anon_sym_unsigned] = ACTIONS(4995),
    [anon_sym_long] = ACTIONS(4995),
    [anon_sym_short] = ACTIONS(4995),
    [anon_sym_LBRACK] = ACTIONS(4997),
    [anon_sym_RBRACK] = ACTIONS(4997),
    [anon_sym_const] = ACTIONS(4995),
    [anon_sym_constexpr] = ACTIONS(4995),
    [anon_sym_volatile] = ACTIONS(4995),
    [anon_sym_restrict] = ACTIONS(4995),
    [anon_sym___restrict__] = ACTIONS(4995),
    [anon_sym__Atomic] = ACTIONS(4995),
    [anon_sym__Noreturn] = ACTIONS(4995),
    [anon_sym_noreturn] = ACTIONS(4995),
    [anon_sym_mutable] = ACTIONS(4995),
    [anon_sym_constinit] = ACTIONS(4995),
    [anon_sym_consteval] = ACTIONS(4995),
    [sym_primitive_type] = ACTIONS(4995),
    [anon_sym_COLON] = ACTIONS(4995),
    [anon_sym_QMARK] = ACTIONS(4997),
    [anon_sym_LT_EQ_GT] = ACTIONS(4997),
    [anon_sym_or] = ACTIONS(4995),
    [anon_sym_and] = ACTIONS(4995),
    [anon_sym_bitor] = ACTIONS(4995),
    [anon_sym_xor] = ACTIONS(4995),
    [anon_sym_bitand] = ACTIONS(4995),
    [anon_sym_not_eq] = ACTIONS(4995),
    [anon_sym_DASH_DASH] = ACTIONS(4997),
    [anon_sym_PLUS_PLUS] = ACTIONS(4997),
    [anon_sym_DOT] = ACTIONS(4995),
    [anon_sym_DOT_STAR] = ACTIONS(4997),
    [anon_sym_DASH_GT] = ACTIONS(4997),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4995),
    [anon_sym_decltype] = ACTIONS(4995),
    [anon_sym_final] = ACTIONS(4995),
    [anon_sym_override] = ACTIONS(4995),
    [anon_sym_requires] = ACTIONS(4995),
  },
  [2166] = {
    [sym_identifier] = ACTIONS(4999),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5001),
    [anon_sym_COMMA] = ACTIONS(5001),
    [anon_sym_RPAREN] = ACTIONS(5001),
    [anon_sym_LPAREN2] = ACTIONS(5001),
    [anon_sym_DASH] = ACTIONS(4999),
    [anon_sym_PLUS] = ACTIONS(4999),
    [anon_sym_STAR] = ACTIONS(5001),
    [anon_sym_SLASH] = ACTIONS(4999),
    [anon_sym_PERCENT] = ACTIONS(5001),
    [anon_sym_PIPE_PIPE] = ACTIONS(5001),
    [anon_sym_AMP_AMP] = ACTIONS(5001),
    [anon_sym_PIPE] = ACTIONS(4999),
    [anon_sym_CARET] = ACTIONS(5001),
    [anon_sym_AMP] = ACTIONS(4999),
    [anon_sym_EQ_EQ] = ACTIONS(5001),
    [anon_sym_BANG_EQ] = ACTIONS(5001),
    [anon_sym_GT] = ACTIONS(4999),
    [anon_sym_GT_EQ] = ACTIONS(5001),
    [anon_sym_LT_EQ] = ACTIONS(4999),
    [anon_sym_LT] = ACTIONS(4999),
    [anon_sym_LT_LT] = ACTIONS(5001),
    [anon_sym_GT_GT] = ACTIONS(5001),
    [anon_sym_SEMI] = ACTIONS(5001),
    [anon_sym___extension__] = ACTIONS(4999),
    [anon_sym___attribute__] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(5001),
    [anon_sym___based] = ACTIONS(4999),
    [anon_sym_LBRACE] = ACTIONS(5001),
    [anon_sym_RBRACE] = ACTIONS(5001),
    [anon_sym_signed] = ACTIONS(4999),
    [anon_sym_unsigned] = ACTIONS(4999),
    [anon_sym_long] = ACTIONS(4999),
    [anon_sym_short] = ACTIONS(4999),
    [anon_sym_LBRACK] = ACTIONS(5001),
    [anon_sym_RBRACK] = ACTIONS(5001),
    [anon_sym_const] = ACTIONS(4999),
    [anon_sym_constexpr] = ACTIONS(4999),
    [anon_sym_volatile] = ACTIONS(4999),
    [anon_sym_restrict] = ACTIONS(4999),
    [anon_sym___restrict__] = ACTIONS(4999),
    [anon_sym__Atomic] = ACTIONS(4999),
    [anon_sym__Noreturn] = ACTIONS(4999),
    [anon_sym_noreturn] = ACTIONS(4999),
    [anon_sym_mutable] = ACTIONS(4999),
    [anon_sym_constinit] = ACTIONS(4999),
    [anon_sym_consteval] = ACTIONS(4999),
    [sym_primitive_type] = ACTIONS(4999),
    [anon_sym_COLON] = ACTIONS(4999),
    [anon_sym_QMARK] = ACTIONS(5001),
    [anon_sym_LT_EQ_GT] = ACTIONS(5001),
    [anon_sym_or] = ACTIONS(4999),
    [anon_sym_and] = ACTIONS(4999),
    [anon_sym_bitor] = ACTIONS(4999),
    [anon_sym_xor] = ACTIONS(4999),
    [anon_sym_bitand] = ACTIONS(4999),
    [anon_sym_not_eq] = ACTIONS(4999),
    [anon_sym_DASH_DASH] = ACTIONS(5001),
    [anon_sym_PLUS_PLUS] = ACTIONS(5001),
    [anon_sym_DOT] = ACTIONS(4999),
    [anon_sym_DOT_STAR] = ACTIONS(5001),
    [anon_sym_DASH_GT] = ACTIONS(5001),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4999),
    [anon_sym_decltype] = ACTIONS(4999),
    [anon_sym_final] = ACTIONS(4999),
    [anon_sym_override] = ACTIONS(4999),
    [anon_sym_requires] = ACTIONS(4999),
  },
  [2167] = {
    [sym_identifier] = ACTIONS(5003),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5005),
    [anon_sym_COMMA] = ACTIONS(5005),
    [anon_sym_RPAREN] = ACTIONS(5005),
    [anon_sym_LPAREN2] = ACTIONS(5005),
    [anon_sym_DASH] = ACTIONS(5003),
    [anon_sym_PLUS] = ACTIONS(5003),
    [anon_sym_STAR] = ACTIONS(5005),
    [anon_sym_SLASH] = ACTIONS(5003),
    [anon_sym_PERCENT] = ACTIONS(5005),
    [anon_sym_PIPE_PIPE] = ACTIONS(5005),
    [anon_sym_AMP_AMP] = ACTIONS(5005),
    [anon_sym_PIPE] = ACTIONS(5003),
    [anon_sym_CARET] = ACTIONS(5005),
    [anon_sym_AMP] = ACTIONS(5003),
    [anon_sym_EQ_EQ] = ACTIONS(5005),
    [anon_sym_BANG_EQ] = ACTIONS(5005),
    [anon_sym_GT] = ACTIONS(5003),
    [anon_sym_GT_EQ] = ACTIONS(5005),
    [anon_sym_LT_EQ] = ACTIONS(5003),
    [anon_sym_LT] = ACTIONS(5003),
    [anon_sym_LT_LT] = ACTIONS(5005),
    [anon_sym_GT_GT] = ACTIONS(5005),
    [anon_sym_SEMI] = ACTIONS(5005),
    [anon_sym___extension__] = ACTIONS(5003),
    [anon_sym___attribute__] = ACTIONS(5003),
    [anon_sym_COLON_COLON] = ACTIONS(5005),
    [anon_sym___based] = ACTIONS(5003),
    [anon_sym_LBRACE] = ACTIONS(5005),
    [anon_sym_RBRACE] = ACTIONS(5005),
    [anon_sym_signed] = ACTIONS(5003),
    [anon_sym_unsigned] = ACTIONS(5003),
    [anon_sym_long] = ACTIONS(5003),
    [anon_sym_short] = ACTIONS(5003),
    [anon_sym_LBRACK] = ACTIONS(5005),
    [anon_sym_RBRACK] = ACTIONS(5005),
    [anon_sym_const] = ACTIONS(5003),
    [anon_sym_constexpr] = ACTIONS(5003),
    [anon_sym_volatile] = ACTIONS(5003),
    [anon_sym_restrict] = ACTIONS(5003),
    [anon_sym___restrict__] = ACTIONS(5003),
    [anon_sym__Atomic] = ACTIONS(5003),
    [anon_sym__Noreturn] = ACTIONS(5003),
    [anon_sym_noreturn] = ACTIONS(5003),
    [anon_sym_mutable] = ACTIONS(5003),
    [anon_sym_constinit] = ACTIONS(5003),
    [anon_sym_consteval] = ACTIONS(5003),
    [sym_primitive_type] = ACTIONS(5003),
    [anon_sym_COLON] = ACTIONS(5003),
    [anon_sym_QMARK] = ACTIONS(5005),
    [anon_sym_LT_EQ_GT] = ACTIONS(5005),
    [anon_sym_or] = ACTIONS(5003),
    [anon_sym_and] = ACTIONS(5003),
    [anon_sym_bitor] = ACTIONS(5003),
    [anon_sym_xor] = ACTIONS(5003),
    [anon_sym_bitand] = ACTIONS(5003),
    [anon_sym_not_eq] = ACTIONS(5003),
    [anon_sym_DASH_DASH] = ACTIONS(5005),
    [anon_sym_PLUS_PLUS] = ACTIONS(5005),
    [anon_sym_DOT] = ACTIONS(5003),
    [anon_sym_DOT_STAR] = ACTIONS(5005),
    [anon_sym_DASH_GT] = ACTIONS(5005),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5003),
    [anon_sym_decltype] = ACTIONS(5003),
    [anon_sym_final] = ACTIONS(5003),
    [anon_sym_override] = ACTIONS(5003),
    [anon_sym_requires] = ACTIONS(5003),
  },
  [2168] = {
    [sym_identifier] = ACTIONS(5405),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5407),
    [anon_sym_COMMA] = ACTIONS(5407),
    [anon_sym_RPAREN] = ACTIONS(5407),
    [anon_sym_LPAREN2] = ACTIONS(5407),
    [anon_sym_DASH] = ACTIONS(5405),
    [anon_sym_PLUS] = ACTIONS(5405),
    [anon_sym_STAR] = ACTIONS(5407),
    [anon_sym_SLASH] = ACTIONS(5405),
    [anon_sym_PERCENT] = ACTIONS(5407),
    [anon_sym_PIPE_PIPE] = ACTIONS(5407),
    [anon_sym_AMP_AMP] = ACTIONS(5407),
    [anon_sym_PIPE] = ACTIONS(5405),
    [anon_sym_CARET] = ACTIONS(5407),
    [anon_sym_AMP] = ACTIONS(5405),
    [anon_sym_EQ_EQ] = ACTIONS(5407),
    [anon_sym_BANG_EQ] = ACTIONS(5407),
    [anon_sym_GT] = ACTIONS(5405),
    [anon_sym_GT_EQ] = ACTIONS(5407),
    [anon_sym_LT_EQ] = ACTIONS(5405),
    [anon_sym_LT] = ACTIONS(5405),
    [anon_sym_LT_LT] = ACTIONS(5407),
    [anon_sym_GT_GT] = ACTIONS(5407),
    [anon_sym_SEMI] = ACTIONS(5407),
    [anon_sym___extension__] = ACTIONS(5405),
    [anon_sym___attribute__] = ACTIONS(5405),
    [anon_sym_COLON_COLON] = ACTIONS(5407),
    [anon_sym___based] = ACTIONS(5405),
    [anon_sym_LBRACE] = ACTIONS(5407),
    [anon_sym_RBRACE] = ACTIONS(5407),
    [anon_sym_signed] = ACTIONS(5405),
    [anon_sym_unsigned] = ACTIONS(5405),
    [anon_sym_long] = ACTIONS(5405),
    [anon_sym_short] = ACTIONS(5405),
    [anon_sym_LBRACK] = ACTIONS(5407),
    [anon_sym_RBRACK] = ACTIONS(5407),
    [anon_sym_const] = ACTIONS(5405),
    [anon_sym_constexpr] = ACTIONS(5405),
    [anon_sym_volatile] = ACTIONS(5405),
    [anon_sym_restrict] = ACTIONS(5405),
    [anon_sym___restrict__] = ACTIONS(5405),
    [anon_sym__Atomic] = ACTIONS(5405),
    [anon_sym__Noreturn] = ACTIONS(5405),
    [anon_sym_noreturn] = ACTIONS(5405),
    [anon_sym_mutable] = ACTIONS(5405),
    [anon_sym_constinit] = ACTIONS(5405),
    [anon_sym_consteval] = ACTIONS(5405),
    [sym_primitive_type] = ACTIONS(5405),
    [anon_sym_COLON] = ACTIONS(5405),
    [anon_sym_QMARK] = ACTIONS(5407),
    [anon_sym_LT_EQ_GT] = ACTIONS(5407),
    [anon_sym_or] = ACTIONS(5405),
    [anon_sym_and] = ACTIONS(5405),
    [anon_sym_bitor] = ACTIONS(5405),
    [anon_sym_xor] = ACTIONS(5405),
    [anon_sym_bitand] = ACTIONS(5405),
    [anon_sym_not_eq] = ACTIONS(5405),
    [anon_sym_DASH_DASH] = ACTIONS(5407),
    [anon_sym_PLUS_PLUS] = ACTIONS(5407),
    [anon_sym_DOT] = ACTIONS(5405),
    [anon_sym_DOT_STAR] = ACTIONS(5407),
    [anon_sym_DASH_GT] = ACTIONS(5407),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5405),
    [anon_sym_decltype] = ACTIONS(5405),
    [anon_sym_final] = ACTIONS(5405),
    [anon_sym_override] = ACTIONS(5405),
    [anon_sym_requires] = ACTIONS(5405),
  },
  [2169] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [aux_sym_preproc_else_token1] = ACTIONS(3189),
    [aux_sym_preproc_elif_token1] = ACTIONS(3189),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_friend] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
  },
  [2170] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2171] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5044),
    [anon_sym_COMMA] = ACTIONS(5044),
    [anon_sym_RPAREN] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_else_token1] = ACTIONS(5044),
    [aux_sym_preproc_elif_token1] = ACTIONS(5039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5039),
    [anon_sym_PLUS] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5039),
    [anon_sym_SLASH] = ACTIONS(5039),
    [anon_sym_PERCENT] = ACTIONS(5039),
    [anon_sym_PIPE_PIPE] = ACTIONS(5044),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5039),
    [anon_sym_CARET] = ACTIONS(5039),
    [anon_sym_AMP] = ACTIONS(5039),
    [anon_sym_EQ_EQ] = ACTIONS(5044),
    [anon_sym_BANG_EQ] = ACTIONS(5044),
    [anon_sym_GT] = ACTIONS(5039),
    [anon_sym_GT_EQ] = ACTIONS(5044),
    [anon_sym_LT_EQ] = ACTIONS(5039),
    [anon_sym_LT] = ACTIONS(5039),
    [anon_sym_LT_LT] = ACTIONS(5039),
    [anon_sym_GT_GT] = ACTIONS(5039),
    [anon_sym_SEMI] = ACTIONS(5044),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_RBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [anon_sym_RBRACK] = ACTIONS(5044),
    [anon_sym_EQ] = ACTIONS(5039),
    [anon_sym_COLON] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_STAR_EQ] = ACTIONS(5044),
    [anon_sym_SLASH_EQ] = ACTIONS(5044),
    [anon_sym_PERCENT_EQ] = ACTIONS(5044),
    [anon_sym_PLUS_EQ] = ACTIONS(5044),
    [anon_sym_DASH_EQ] = ACTIONS(5044),
    [anon_sym_LT_LT_EQ] = ACTIONS(5044),
    [anon_sym_GT_GT_EQ] = ACTIONS(5044),
    [anon_sym_AMP_EQ] = ACTIONS(5044),
    [anon_sym_CARET_EQ] = ACTIONS(5044),
    [anon_sym_PIPE_EQ] = ACTIONS(5044),
    [anon_sym_and_eq] = ACTIONS(5039),
    [anon_sym_or_eq] = ACTIONS(5039),
    [anon_sym_xor_eq] = ACTIONS(5039),
    [anon_sym_LT_EQ_GT] = ACTIONS(5044),
    [anon_sym_or] = ACTIONS(5039),
    [anon_sym_and] = ACTIONS(5039),
    [anon_sym_bitor] = ACTIONS(5039),
    [anon_sym_xor] = ACTIONS(5039),
    [anon_sym_bitand] = ACTIONS(5039),
    [anon_sym_not_eq] = ACTIONS(5039),
    [anon_sym_DASH_DASH] = ACTIONS(5044),
    [anon_sym_PLUS_PLUS] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5039),
    [anon_sym_DOT_STAR] = ACTIONS(5044),
    [anon_sym_DASH_GT] = ACTIONS(5044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_final] = ACTIONS(5039),
    [anon_sym_override] = ACTIONS(5039),
  },
  [2172] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3201),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_friend] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
  },
  [2173] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2174] = {
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___extension__] = ACTIONS(5422),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym___based] = ACTIONS(5422),
    [anon_sym_LBRACE] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5422),
    [anon_sym_unsigned] = ACTIONS(5422),
    [anon_sym_long] = ACTIONS(5422),
    [anon_sym_short] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5422),
    [anon_sym_constexpr] = ACTIONS(5422),
    [anon_sym_volatile] = ACTIONS(5422),
    [anon_sym_restrict] = ACTIONS(5422),
    [anon_sym___restrict__] = ACTIONS(5422),
    [anon_sym__Atomic] = ACTIONS(5422),
    [anon_sym__Noreturn] = ACTIONS(5422),
    [anon_sym_noreturn] = ACTIONS(5422),
    [anon_sym_mutable] = ACTIONS(5422),
    [anon_sym_constinit] = ACTIONS(5422),
    [anon_sym_consteval] = ACTIONS(5422),
    [sym_primitive_type] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5422),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5422),
    [anon_sym_decltype] = ACTIONS(5422),
    [anon_sym_final] = ACTIONS(5422),
    [anon_sym_override] = ACTIONS(5422),
    [anon_sym_requires] = ACTIONS(5422),
  },
  [2175] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2176] = {
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [aux_sym_preproc_else_token1] = ACTIONS(3265),
    [aux_sym_preproc_elif_token1] = ACTIONS(3265),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_friend] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
  },
  [2177] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_RBRACE] = ACTIONS(4137),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(5576),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2178] = {
    [sym_identifier] = ACTIONS(4991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4993),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4993),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4993),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4993),
    [anon_sym_GT_GT] = ACTIONS(4993),
    [anon_sym_SEMI] = ACTIONS(4993),
    [anon_sym___extension__] = ACTIONS(4991),
    [anon_sym___attribute__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym___based] = ACTIONS(4991),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(4993),
    [anon_sym_signed] = ACTIONS(4991),
    [anon_sym_unsigned] = ACTIONS(4991),
    [anon_sym_long] = ACTIONS(4991),
    [anon_sym_short] = ACTIONS(4991),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_RBRACK] = ACTIONS(4993),
    [anon_sym_const] = ACTIONS(4991),
    [anon_sym_constexpr] = ACTIONS(4991),
    [anon_sym_volatile] = ACTIONS(4991),
    [anon_sym_restrict] = ACTIONS(4991),
    [anon_sym___restrict__] = ACTIONS(4991),
    [anon_sym__Atomic] = ACTIONS(4991),
    [anon_sym__Noreturn] = ACTIONS(4991),
    [anon_sym_noreturn] = ACTIONS(4991),
    [anon_sym_mutable] = ACTIONS(4991),
    [anon_sym_constinit] = ACTIONS(4991),
    [anon_sym_consteval] = ACTIONS(4991),
    [sym_primitive_type] = ACTIONS(4991),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4991),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4991),
    [anon_sym_not_eq] = ACTIONS(4991),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4991),
    [anon_sym_decltype] = ACTIONS(4991),
    [anon_sym_final] = ACTIONS(4991),
    [anon_sym_override] = ACTIONS(4991),
    [anon_sym_requires] = ACTIONS(4991),
  },
  [2179] = {
    [sym_string_literal] = STATE(2197),
    [sym_template_argument_list] = STATE(3378),
    [sym_raw_string_literal] = STATE(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(5409),
    [anon_sym_LPAREN2] = ACTIONS(5409),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5053),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5056),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(5415),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [2180] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_friend] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
  },
  [2181] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_friend] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
  },
  [2182] = {
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token2] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [aux_sym_preproc_else_token1] = ACTIONS(3290),
    [aux_sym_preproc_elif_token1] = ACTIONS(3290),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_friend] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
  },
  [2183] = {
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token2] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [aux_sym_preproc_else_token1] = ACTIONS(3286),
    [aux_sym_preproc_elif_token1] = ACTIONS(3286),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_friend] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
  },
  [2184] = {
    [sym_string_literal] = STATE(2197),
    [sym_template_argument_list] = STATE(3555),
    [sym_raw_string_literal] = STATE(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(5418),
    [anon_sym_LPAREN2] = ACTIONS(5418),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5064),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5418),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(5420),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [2185] = {
    [sym_identifier] = ACTIONS(5578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [anon_sym_LPAREN2] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5580),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5580),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_CARET] = ACTIONS(5580),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5578),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5580),
    [anon_sym_GT_GT] = ACTIONS(5580),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym___extension__] = ACTIONS(5578),
    [anon_sym___attribute__] = ACTIONS(5578),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym___based] = ACTIONS(5578),
    [anon_sym_LBRACE] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_signed] = ACTIONS(5578),
    [anon_sym_unsigned] = ACTIONS(5578),
    [anon_sym_long] = ACTIONS(5578),
    [anon_sym_short] = ACTIONS(5578),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_const] = ACTIONS(5578),
    [anon_sym_constexpr] = ACTIONS(5578),
    [anon_sym_volatile] = ACTIONS(5578),
    [anon_sym_restrict] = ACTIONS(5578),
    [anon_sym___restrict__] = ACTIONS(5578),
    [anon_sym__Atomic] = ACTIONS(5578),
    [anon_sym__Noreturn] = ACTIONS(5578),
    [anon_sym_noreturn] = ACTIONS(5578),
    [anon_sym_mutable] = ACTIONS(5578),
    [anon_sym_constinit] = ACTIONS(5578),
    [anon_sym_consteval] = ACTIONS(5578),
    [sym_primitive_type] = ACTIONS(5578),
    [anon_sym_COLON] = ACTIONS(5578),
    [anon_sym_QMARK] = ACTIONS(5580),
    [anon_sym_LT_EQ_GT] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5578),
    [anon_sym_and] = ACTIONS(5578),
    [anon_sym_bitor] = ACTIONS(5578),
    [anon_sym_xor] = ACTIONS(5578),
    [anon_sym_bitand] = ACTIONS(5578),
    [anon_sym_not_eq] = ACTIONS(5578),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_DOT_STAR] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5578),
    [anon_sym_decltype] = ACTIONS(5578),
    [anon_sym_final] = ACTIONS(5578),
    [anon_sym_override] = ACTIONS(5578),
    [anon_sym_requires] = ACTIONS(5578),
  },
  [2186] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_friend] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
  },
  [2187] = {
    [sym_string_literal] = STATE(2099),
    [sym_raw_string_literal] = STATE(2099),
    [aux_sym_concatenated_string_repeat1] = STATE(2099),
    [sym_identifier] = ACTIONS(5582),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5193),
    [anon_sym_COMMA] = ACTIONS(5193),
    [aux_sym_preproc_if_token2] = ACTIONS(5193),
    [aux_sym_preproc_else_token1] = ACTIONS(5193),
    [aux_sym_preproc_elif_token1] = ACTIONS(5193),
    [anon_sym_LPAREN2] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5193),
    [anon_sym_AMP_AMP] = ACTIONS(5193),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5193),
    [anon_sym_BANG_EQ] = ACTIONS(5193),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5193),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_QMARK] = ACTIONS(5193),
    [anon_sym_STAR_EQ] = ACTIONS(5193),
    [anon_sym_SLASH_EQ] = ACTIONS(5193),
    [anon_sym_PERCENT_EQ] = ACTIONS(5193),
    [anon_sym_PLUS_EQ] = ACTIONS(5193),
    [anon_sym_DASH_EQ] = ACTIONS(5193),
    [anon_sym_LT_LT_EQ] = ACTIONS(5193),
    [anon_sym_GT_GT_EQ] = ACTIONS(5193),
    [anon_sym_AMP_EQ] = ACTIONS(5193),
    [anon_sym_CARET_EQ] = ACTIONS(5193),
    [anon_sym_PIPE_EQ] = ACTIONS(5193),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5193),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5193),
    [anon_sym_PLUS_PLUS] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5193),
    [anon_sym_DASH_GT] = ACTIONS(5193),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [2188] = {
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [aux_sym_preproc_else_token1] = ACTIONS(3298),
    [aux_sym_preproc_elif_token1] = ACTIONS(3298),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_friend] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
  },
  [2189] = {
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [aux_sym_preproc_else_token1] = ACTIONS(3302),
    [aux_sym_preproc_elif_token1] = ACTIONS(3302),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_friend] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
  },
  [2190] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [aux_sym_preproc_else_token1] = ACTIONS(3096),
    [aux_sym_preproc_elif_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_friend] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_protected] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
  },
  [2191] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_friend] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
  },
  [2192] = {
    [sym_identifier] = ACTIONS(5578),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5580),
    [anon_sym_COMMA] = ACTIONS(5580),
    [anon_sym_RPAREN] = ACTIONS(5580),
    [aux_sym_preproc_if_token2] = ACTIONS(5580),
    [aux_sym_preproc_else_token1] = ACTIONS(5580),
    [aux_sym_preproc_elif_token1] = ACTIONS(5578),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5580),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5580),
    [anon_sym_LPAREN2] = ACTIONS(5580),
    [anon_sym_DASH] = ACTIONS(5578),
    [anon_sym_PLUS] = ACTIONS(5578),
    [anon_sym_STAR] = ACTIONS(5578),
    [anon_sym_SLASH] = ACTIONS(5578),
    [anon_sym_PERCENT] = ACTIONS(5578),
    [anon_sym_PIPE_PIPE] = ACTIONS(5580),
    [anon_sym_AMP_AMP] = ACTIONS(5580),
    [anon_sym_PIPE] = ACTIONS(5578),
    [anon_sym_CARET] = ACTIONS(5578),
    [anon_sym_AMP] = ACTIONS(5578),
    [anon_sym_EQ_EQ] = ACTIONS(5580),
    [anon_sym_BANG_EQ] = ACTIONS(5580),
    [anon_sym_GT] = ACTIONS(5578),
    [anon_sym_GT_EQ] = ACTIONS(5580),
    [anon_sym_LT_EQ] = ACTIONS(5578),
    [anon_sym_LT] = ACTIONS(5578),
    [anon_sym_LT_LT] = ACTIONS(5578),
    [anon_sym_GT_GT] = ACTIONS(5578),
    [anon_sym_SEMI] = ACTIONS(5580),
    [anon_sym___attribute__] = ACTIONS(5578),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACE] = ACTIONS(5580),
    [anon_sym_RBRACE] = ACTIONS(5580),
    [anon_sym_LBRACK] = ACTIONS(5580),
    [anon_sym_RBRACK] = ACTIONS(5580),
    [anon_sym_EQ] = ACTIONS(5578),
    [anon_sym_COLON] = ACTIONS(5578),
    [anon_sym_QMARK] = ACTIONS(5580),
    [anon_sym_STAR_EQ] = ACTIONS(5580),
    [anon_sym_SLASH_EQ] = ACTIONS(5580),
    [anon_sym_PERCENT_EQ] = ACTIONS(5580),
    [anon_sym_PLUS_EQ] = ACTIONS(5580),
    [anon_sym_DASH_EQ] = ACTIONS(5580),
    [anon_sym_LT_LT_EQ] = ACTIONS(5580),
    [anon_sym_GT_GT_EQ] = ACTIONS(5580),
    [anon_sym_AMP_EQ] = ACTIONS(5580),
    [anon_sym_CARET_EQ] = ACTIONS(5580),
    [anon_sym_PIPE_EQ] = ACTIONS(5580),
    [anon_sym_and_eq] = ACTIONS(5578),
    [anon_sym_or_eq] = ACTIONS(5578),
    [anon_sym_xor_eq] = ACTIONS(5578),
    [anon_sym_LT_EQ_GT] = ACTIONS(5580),
    [anon_sym_or] = ACTIONS(5578),
    [anon_sym_and] = ACTIONS(5578),
    [anon_sym_bitor] = ACTIONS(5578),
    [anon_sym_xor] = ACTIONS(5578),
    [anon_sym_bitand] = ACTIONS(5578),
    [anon_sym_not_eq] = ACTIONS(5578),
    [anon_sym_DASH_DASH] = ACTIONS(5580),
    [anon_sym_PLUS_PLUS] = ACTIONS(5580),
    [anon_sym_DOT] = ACTIONS(5578),
    [anon_sym_DOT_STAR] = ACTIONS(5580),
    [anon_sym_DASH_GT] = ACTIONS(5580),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5578),
    [anon_sym_decltype] = ACTIONS(5578),
    [anon_sym_final] = ACTIONS(5578),
    [anon_sym_override] = ACTIONS(5578),
  },
  [2193] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_friend] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
  },
  [2194] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
  },
  [2195] = {
    [sym_identifier] = ACTIONS(4991),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4993),
    [anon_sym_COMMA] = ACTIONS(4993),
    [anon_sym_RPAREN] = ACTIONS(4993),
    [aux_sym_preproc_if_token2] = ACTIONS(4993),
    [aux_sym_preproc_else_token1] = ACTIONS(4993),
    [aux_sym_preproc_elif_token1] = ACTIONS(4991),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4993),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4993),
    [anon_sym_LPAREN2] = ACTIONS(4993),
    [anon_sym_DASH] = ACTIONS(4991),
    [anon_sym_PLUS] = ACTIONS(4991),
    [anon_sym_STAR] = ACTIONS(4991),
    [anon_sym_SLASH] = ACTIONS(4991),
    [anon_sym_PERCENT] = ACTIONS(4991),
    [anon_sym_PIPE_PIPE] = ACTIONS(4993),
    [anon_sym_AMP_AMP] = ACTIONS(4993),
    [anon_sym_PIPE] = ACTIONS(4991),
    [anon_sym_CARET] = ACTIONS(4991),
    [anon_sym_AMP] = ACTIONS(4991),
    [anon_sym_EQ_EQ] = ACTIONS(4993),
    [anon_sym_BANG_EQ] = ACTIONS(4993),
    [anon_sym_GT] = ACTIONS(4991),
    [anon_sym_GT_EQ] = ACTIONS(4993),
    [anon_sym_LT_EQ] = ACTIONS(4991),
    [anon_sym_LT] = ACTIONS(4991),
    [anon_sym_LT_LT] = ACTIONS(4991),
    [anon_sym_GT_GT] = ACTIONS(4991),
    [anon_sym_SEMI] = ACTIONS(4993),
    [anon_sym___attribute__] = ACTIONS(4991),
    [anon_sym_COLON_COLON] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4993),
    [anon_sym_RBRACE] = ACTIONS(4993),
    [anon_sym_LBRACK] = ACTIONS(4993),
    [anon_sym_RBRACK] = ACTIONS(4993),
    [anon_sym_EQ] = ACTIONS(4991),
    [anon_sym_COLON] = ACTIONS(4991),
    [anon_sym_QMARK] = ACTIONS(4993),
    [anon_sym_STAR_EQ] = ACTIONS(4993),
    [anon_sym_SLASH_EQ] = ACTIONS(4993),
    [anon_sym_PERCENT_EQ] = ACTIONS(4993),
    [anon_sym_PLUS_EQ] = ACTIONS(4993),
    [anon_sym_DASH_EQ] = ACTIONS(4993),
    [anon_sym_LT_LT_EQ] = ACTIONS(4993),
    [anon_sym_GT_GT_EQ] = ACTIONS(4993),
    [anon_sym_AMP_EQ] = ACTIONS(4993),
    [anon_sym_CARET_EQ] = ACTIONS(4993),
    [anon_sym_PIPE_EQ] = ACTIONS(4993),
    [anon_sym_and_eq] = ACTIONS(4991),
    [anon_sym_or_eq] = ACTIONS(4991),
    [anon_sym_xor_eq] = ACTIONS(4991),
    [anon_sym_LT_EQ_GT] = ACTIONS(4993),
    [anon_sym_or] = ACTIONS(4991),
    [anon_sym_and] = ACTIONS(4991),
    [anon_sym_bitor] = ACTIONS(4991),
    [anon_sym_xor] = ACTIONS(4991),
    [anon_sym_bitand] = ACTIONS(4991),
    [anon_sym_not_eq] = ACTIONS(4991),
    [anon_sym_DASH_DASH] = ACTIONS(4993),
    [anon_sym_PLUS_PLUS] = ACTIONS(4993),
    [anon_sym_DOT] = ACTIONS(4991),
    [anon_sym_DOT_STAR] = ACTIONS(4993),
    [anon_sym_DASH_GT] = ACTIONS(4993),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4991),
    [anon_sym_decltype] = ACTIONS(4991),
    [anon_sym_final] = ACTIONS(4991),
    [anon_sym_override] = ACTIONS(4991),
  },
  [2196] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5051),
    [anon_sym_COMMA] = ACTIONS(5051),
    [anon_sym_RPAREN] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5051),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym___extension__] = ACTIONS(5044),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5041),
    [anon_sym_EQ] = ACTIONS(5046),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5044),
    [anon_sym_volatile] = ACTIONS(5044),
    [anon_sym_restrict] = ACTIONS(5044),
    [anon_sym___restrict__] = ACTIONS(5044),
    [anon_sym__Atomic] = ACTIONS(5044),
    [anon_sym__Noreturn] = ACTIONS(5044),
    [anon_sym_noreturn] = ACTIONS(5044),
    [anon_sym_mutable] = ACTIONS(5044),
    [anon_sym_constinit] = ACTIONS(5044),
    [anon_sym_consteval] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5051),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5051),
    [anon_sym_or_eq] = ACTIONS(5051),
    [anon_sym_xor_eq] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5051),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5051),
    [anon_sym_not_eq] = ACTIONS(5051),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5046),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5044),
    [anon_sym_decltype] = ACTIONS(5044),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5051),
  },
  [2197] = {
    [sym_string_literal] = STATE(2278),
    [sym_raw_string_literal] = STATE(2278),
    [aux_sym_concatenated_string_repeat1] = STATE(2278),
    [sym_identifier] = ACTIONS(5584),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5193),
    [anon_sym_COMMA] = ACTIONS(5193),
    [anon_sym_RPAREN] = ACTIONS(5193),
    [anon_sym_LPAREN2] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5193),
    [anon_sym_AMP_AMP] = ACTIONS(5193),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5193),
    [anon_sym_BANG_EQ] = ACTIONS(5193),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5193),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_QMARK] = ACTIONS(5193),
    [anon_sym_STAR_EQ] = ACTIONS(5193),
    [anon_sym_SLASH_EQ] = ACTIONS(5193),
    [anon_sym_PERCENT_EQ] = ACTIONS(5193),
    [anon_sym_PLUS_EQ] = ACTIONS(5193),
    [anon_sym_DASH_EQ] = ACTIONS(5193),
    [anon_sym_LT_LT_EQ] = ACTIONS(5193),
    [anon_sym_GT_GT_EQ] = ACTIONS(5193),
    [anon_sym_AMP_EQ] = ACTIONS(5193),
    [anon_sym_CARET_EQ] = ACTIONS(5193),
    [anon_sym_PIPE_EQ] = ACTIONS(5193),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5193),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5193),
    [anon_sym_PLUS_PLUS] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5193),
    [anon_sym_DASH_GT] = ACTIONS(5195),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5193),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [2198] = {
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [aux_sym_preproc_if_token2] = ACTIONS(5424),
    [aux_sym_preproc_else_token1] = ACTIONS(5424),
    [aux_sym_preproc_elif_token1] = ACTIONS(5422),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5424),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5422),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5422),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5422),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5422),
    [anon_sym_GT_GT] = ACTIONS(5422),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym_LBRACE] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_EQ] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5424),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_STAR_EQ] = ACTIONS(5424),
    [anon_sym_SLASH_EQ] = ACTIONS(5424),
    [anon_sym_PERCENT_EQ] = ACTIONS(5424),
    [anon_sym_PLUS_EQ] = ACTIONS(5424),
    [anon_sym_DASH_EQ] = ACTIONS(5424),
    [anon_sym_LT_LT_EQ] = ACTIONS(5424),
    [anon_sym_GT_GT_EQ] = ACTIONS(5424),
    [anon_sym_AMP_EQ] = ACTIONS(5424),
    [anon_sym_CARET_EQ] = ACTIONS(5424),
    [anon_sym_PIPE_EQ] = ACTIONS(5424),
    [anon_sym_and_eq] = ACTIONS(5422),
    [anon_sym_or_eq] = ACTIONS(5422),
    [anon_sym_xor_eq] = ACTIONS(5422),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5422),
    [anon_sym_decltype] = ACTIONS(5422),
    [anon_sym_final] = ACTIONS(5422),
    [anon_sym_override] = ACTIONS(5422),
  },
  [2199] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5831),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2200] = {
    [sym_catch_clause] = STATE(2281),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2281),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token2] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(5586),
  },
  [2201] = {
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___extension__] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym___based] = ACTIONS(5548),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_signed] = ACTIONS(5548),
    [anon_sym_unsigned] = ACTIONS(5548),
    [anon_sym_long] = ACTIONS(5548),
    [anon_sym_short] = ACTIONS(5548),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_const] = ACTIONS(5548),
    [anon_sym_constexpr] = ACTIONS(5548),
    [anon_sym_volatile] = ACTIONS(5548),
    [anon_sym_restrict] = ACTIONS(5548),
    [anon_sym___restrict__] = ACTIONS(5548),
    [anon_sym__Atomic] = ACTIONS(5548),
    [anon_sym__Noreturn] = ACTIONS(5548),
    [anon_sym_noreturn] = ACTIONS(5548),
    [anon_sym_mutable] = ACTIONS(5548),
    [anon_sym_constinit] = ACTIONS(5548),
    [anon_sym_consteval] = ACTIONS(5548),
    [sym_primitive_type] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
    [anon_sym_final] = ACTIONS(5548),
    [anon_sym_override] = ACTIONS(5548),
    [anon_sym_requires] = ACTIONS(5548),
  },
  [2202] = {
    [sym_identifier] = ACTIONS(5422),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5424),
    [anon_sym_COMMA] = ACTIONS(5424),
    [anon_sym_RPAREN] = ACTIONS(5424),
    [anon_sym_LPAREN2] = ACTIONS(5424),
    [anon_sym_DASH] = ACTIONS(5422),
    [anon_sym_PLUS] = ACTIONS(5422),
    [anon_sym_STAR] = ACTIONS(5424),
    [anon_sym_SLASH] = ACTIONS(5422),
    [anon_sym_PERCENT] = ACTIONS(5424),
    [anon_sym_PIPE_PIPE] = ACTIONS(5424),
    [anon_sym_AMP_AMP] = ACTIONS(5424),
    [anon_sym_PIPE] = ACTIONS(5422),
    [anon_sym_CARET] = ACTIONS(5424),
    [anon_sym_AMP] = ACTIONS(5422),
    [anon_sym_EQ_EQ] = ACTIONS(5424),
    [anon_sym_BANG_EQ] = ACTIONS(5424),
    [anon_sym_GT] = ACTIONS(5422),
    [anon_sym_GT_EQ] = ACTIONS(5424),
    [anon_sym_LT_EQ] = ACTIONS(5422),
    [anon_sym_LT] = ACTIONS(5422),
    [anon_sym_LT_LT] = ACTIONS(5424),
    [anon_sym_GT_GT] = ACTIONS(5424),
    [anon_sym_SEMI] = ACTIONS(5424),
    [anon_sym___extension__] = ACTIONS(5422),
    [anon_sym___attribute__] = ACTIONS(5422),
    [anon_sym___based] = ACTIONS(5422),
    [anon_sym_LBRACE] = ACTIONS(5424),
    [anon_sym_RBRACE] = ACTIONS(5424),
    [anon_sym_signed] = ACTIONS(5422),
    [anon_sym_unsigned] = ACTIONS(5422),
    [anon_sym_long] = ACTIONS(5422),
    [anon_sym_short] = ACTIONS(5422),
    [anon_sym_LBRACK] = ACTIONS(5424),
    [anon_sym_RBRACK] = ACTIONS(5424),
    [anon_sym_const] = ACTIONS(5422),
    [anon_sym_constexpr] = ACTIONS(5422),
    [anon_sym_volatile] = ACTIONS(5422),
    [anon_sym_restrict] = ACTIONS(5422),
    [anon_sym___restrict__] = ACTIONS(5422),
    [anon_sym__Atomic] = ACTIONS(5422),
    [anon_sym__Noreturn] = ACTIONS(5422),
    [anon_sym_noreturn] = ACTIONS(5422),
    [anon_sym_mutable] = ACTIONS(5422),
    [anon_sym_constinit] = ACTIONS(5422),
    [anon_sym_consteval] = ACTIONS(5422),
    [sym_primitive_type] = ACTIONS(5422),
    [anon_sym_COLON] = ACTIONS(5424),
    [anon_sym_QMARK] = ACTIONS(5424),
    [anon_sym_LT_EQ_GT] = ACTIONS(5424),
    [anon_sym_or] = ACTIONS(5422),
    [anon_sym_and] = ACTIONS(5422),
    [anon_sym_bitor] = ACTIONS(5422),
    [anon_sym_xor] = ACTIONS(5422),
    [anon_sym_bitand] = ACTIONS(5422),
    [anon_sym_not_eq] = ACTIONS(5422),
    [anon_sym_DASH_DASH] = ACTIONS(5424),
    [anon_sym_PLUS_PLUS] = ACTIONS(5424),
    [anon_sym_DOT] = ACTIONS(5422),
    [anon_sym_DOT_STAR] = ACTIONS(5424),
    [anon_sym_DASH_GT] = ACTIONS(5424),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5422),
    [anon_sym_decltype] = ACTIONS(5422),
    [anon_sym_final] = ACTIONS(5422),
    [anon_sym_override] = ACTIONS(5422),
    [anon_sym_requires] = ACTIONS(5422),
  },
  [2203] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5787),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2204] = {
    [sym_catch_clause] = STATE(2266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym_RBRACE] = ACTIONS(2805),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_friend] = ACTIONS(2803),
    [anon_sym_public] = ACTIONS(2803),
    [anon_sym_private] = ACTIONS(2803),
    [anon_sym_protected] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(5588),
  },
  [2205] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4201),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2206] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [aux_sym_preproc_else_token1] = ACTIONS(2853),
    [aux_sym_preproc_elif_token1] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_friend] = ACTIONS(2853),
    [anon_sym_public] = ACTIONS(2853),
    [anon_sym_private] = ACTIONS(2853),
    [anon_sym_protected] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
  },
  [2207] = {
    [sym_identifier] = ACTIONS(5590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5592),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5592),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_CARET] = ACTIONS(5592),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5590),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5592),
    [anon_sym_GT_GT] = ACTIONS(5592),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym___extension__] = ACTIONS(5590),
    [anon_sym___attribute__] = ACTIONS(5590),
    [anon_sym___based] = ACTIONS(5590),
    [anon_sym_LBRACE] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_signed] = ACTIONS(5590),
    [anon_sym_unsigned] = ACTIONS(5590),
    [anon_sym_long] = ACTIONS(5590),
    [anon_sym_short] = ACTIONS(5590),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_const] = ACTIONS(5590),
    [anon_sym_constexpr] = ACTIONS(5590),
    [anon_sym_volatile] = ACTIONS(5590),
    [anon_sym_restrict] = ACTIONS(5590),
    [anon_sym___restrict__] = ACTIONS(5590),
    [anon_sym__Atomic] = ACTIONS(5590),
    [anon_sym__Noreturn] = ACTIONS(5590),
    [anon_sym_noreturn] = ACTIONS(5590),
    [anon_sym_mutable] = ACTIONS(5590),
    [anon_sym_constinit] = ACTIONS(5590),
    [anon_sym_consteval] = ACTIONS(5590),
    [sym_primitive_type] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5592),
    [anon_sym_LT_EQ_GT] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5590),
    [anon_sym_and] = ACTIONS(5590),
    [anon_sym_bitor] = ACTIONS(5590),
    [anon_sym_xor] = ACTIONS(5590),
    [anon_sym_bitand] = ACTIONS(5590),
    [anon_sym_not_eq] = ACTIONS(5590),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_DOT_STAR] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5590),
    [anon_sym_decltype] = ACTIONS(5590),
    [anon_sym_final] = ACTIONS(5590),
    [anon_sym_override] = ACTIONS(5590),
    [anon_sym_requires] = ACTIONS(5590),
  },
  [2208] = {
    [sym_catch_clause] = STATE(2266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym_RBRACE] = ACTIONS(2834),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_friend] = ACTIONS(2832),
    [anon_sym_public] = ACTIONS(2832),
    [anon_sym_private] = ACTIONS(2832),
    [anon_sym_protected] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(5588),
  },
  [2209] = {
    [sym_identifier] = ACTIONS(5594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_TILDE] = ACTIONS(5596),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym_extern] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_COLON_COLON] = ACTIONS(5596),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5596),
    [anon_sym___declspec] = ACTIONS(5594),
    [anon_sym___based] = ACTIONS(5594),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_signed] = ACTIONS(5594),
    [anon_sym_unsigned] = ACTIONS(5594),
    [anon_sym_long] = ACTIONS(5594),
    [anon_sym_short] = ACTIONS(5594),
    [anon_sym_LBRACK] = ACTIONS(5594),
    [anon_sym_EQ] = ACTIONS(5596),
    [anon_sym_static] = ACTIONS(5594),
    [anon_sym_register] = ACTIONS(5594),
    [anon_sym_inline] = ACTIONS(5594),
    [anon_sym___inline] = ACTIONS(5594),
    [anon_sym___inline__] = ACTIONS(5594),
    [anon_sym___forceinline] = ACTIONS(5594),
    [anon_sym_thread_local] = ACTIONS(5594),
    [anon_sym___thread] = ACTIONS(5594),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [sym_primitive_type] = ACTIONS(5594),
    [anon_sym_enum] = ACTIONS(5594),
    [anon_sym_class] = ACTIONS(5594),
    [anon_sym_struct] = ACTIONS(5594),
    [anon_sym_union] = ACTIONS(5594),
    [anon_sym_asm] = ACTIONS(5594),
    [anon_sym___asm__] = ACTIONS(5594),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_final] = ACTIONS(5594),
    [anon_sym_override] = ACTIONS(5594),
    [anon_sym_virtual] = ACTIONS(5594),
    [anon_sym_alignas] = ACTIONS(5594),
    [anon_sym_explicit] = ACTIONS(5594),
    [anon_sym_typename] = ACTIONS(5594),
    [anon_sym_template] = ACTIONS(5594),
    [anon_sym_GT2] = ACTIONS(5596),
    [anon_sym_operator] = ACTIONS(5594),
    [anon_sym_try] = ACTIONS(5594),
    [anon_sym_noexcept] = ACTIONS(5594),
    [anon_sym_throw] = ACTIONS(5594),
    [anon_sym_requires] = ACTIONS(5594),
  },
  [2210] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4349),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2211] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2262),
    [sym_identifier] = ACTIONS(5598),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5600),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5600),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5600),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5600),
    [anon_sym_GT_GT] = ACTIONS(5600),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym___extension__] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_signed] = ACTIONS(5604),
    [anon_sym_unsigned] = ACTIONS(5604),
    [anon_sym_long] = ACTIONS(5604),
    [anon_sym_short] = ACTIONS(5604),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_const] = ACTIONS(5602),
    [anon_sym_constexpr] = ACTIONS(5602),
    [anon_sym_volatile] = ACTIONS(5602),
    [anon_sym_restrict] = ACTIONS(5602),
    [anon_sym___restrict__] = ACTIONS(5602),
    [anon_sym__Atomic] = ACTIONS(5602),
    [anon_sym__Noreturn] = ACTIONS(5602),
    [anon_sym_noreturn] = ACTIONS(5602),
    [anon_sym_mutable] = ACTIONS(5602),
    [anon_sym_constinit] = ACTIONS(5602),
    [anon_sym_consteval] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5606),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_LT_EQ_GT] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
    [anon_sym_final] = ACTIONS(5602),
    [anon_sym_override] = ACTIONS(5602),
    [anon_sym_requires] = ACTIONS(5602),
  },
  [2212] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5804),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2213] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(5608),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2214] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5712),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2215] = {
    [sym_string_literal] = STATE(2197),
    [sym_template_argument_list] = STATE(3555),
    [sym_raw_string_literal] = STATE(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5064),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [2216] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5728),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2217] = {
    [sym_identifier] = ACTIONS(5039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5044),
    [anon_sym_COMMA] = ACTIONS(5044),
    [anon_sym_RPAREN] = ACTIONS(5044),
    [aux_sym_preproc_if_token2] = ACTIONS(5044),
    [aux_sym_preproc_else_token1] = ACTIONS(5044),
    [aux_sym_preproc_elif_token1] = ACTIONS(5039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5044),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5044),
    [anon_sym_LPAREN2] = ACTIONS(5044),
    [anon_sym_DASH] = ACTIONS(5039),
    [anon_sym_PLUS] = ACTIONS(5039),
    [anon_sym_STAR] = ACTIONS(5044),
    [anon_sym_SLASH] = ACTIONS(5039),
    [anon_sym_PERCENT] = ACTIONS(5044),
    [anon_sym_PIPE_PIPE] = ACTIONS(5044),
    [anon_sym_AMP_AMP] = ACTIONS(5044),
    [anon_sym_PIPE] = ACTIONS(5039),
    [anon_sym_CARET] = ACTIONS(5044),
    [anon_sym_AMP] = ACTIONS(5039),
    [anon_sym_EQ_EQ] = ACTIONS(5044),
    [anon_sym_BANG_EQ] = ACTIONS(5044),
    [anon_sym_GT] = ACTIONS(5039),
    [anon_sym_GT_EQ] = ACTIONS(5044),
    [anon_sym_LT_EQ] = ACTIONS(5039),
    [anon_sym_LT] = ACTIONS(5039),
    [anon_sym_LT_LT] = ACTIONS(5044),
    [anon_sym_GT_GT] = ACTIONS(5044),
    [anon_sym_SEMI] = ACTIONS(5044),
    [anon_sym___extension__] = ACTIONS(5039),
    [anon_sym___attribute__] = ACTIONS(5039),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_RBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5044),
    [anon_sym_RBRACK] = ACTIONS(5044),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5039),
    [anon_sym_volatile] = ACTIONS(5039),
    [anon_sym_restrict] = ACTIONS(5039),
    [anon_sym___restrict__] = ACTIONS(5039),
    [anon_sym__Atomic] = ACTIONS(5039),
    [anon_sym__Noreturn] = ACTIONS(5039),
    [anon_sym_noreturn] = ACTIONS(5039),
    [anon_sym_mutable] = ACTIONS(5039),
    [anon_sym_constinit] = ACTIONS(5039),
    [anon_sym_consteval] = ACTIONS(5039),
    [anon_sym_COLON] = ACTIONS(5039),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_LT_EQ_GT] = ACTIONS(5044),
    [anon_sym_or] = ACTIONS(5039),
    [anon_sym_and] = ACTIONS(5039),
    [anon_sym_bitor] = ACTIONS(5039),
    [anon_sym_xor] = ACTIONS(5039),
    [anon_sym_bitand] = ACTIONS(5039),
    [anon_sym_not_eq] = ACTIONS(5039),
    [anon_sym_DASH_DASH] = ACTIONS(5044),
    [anon_sym_PLUS_PLUS] = ACTIONS(5044),
    [anon_sym_DOT] = ACTIONS(5039),
    [anon_sym_DOT_STAR] = ACTIONS(5044),
    [anon_sym_DASH_GT] = ACTIONS(5044),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5039),
    [anon_sym_decltype] = ACTIONS(5039),
    [anon_sym_final] = ACTIONS(5039),
    [anon_sym_override] = ACTIONS(5039),
    [anon_sym_requires] = ACTIONS(5039),
  },
  [2218] = {
    [sym_string_literal] = STATE(2521),
    [sym_template_argument_list] = STATE(4016),
    [sym_raw_string_literal] = STATE(2521),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5610),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(5613),
    [anon_sym_or_eq] = ACTIONS(5613),
    [anon_sym_xor_eq] = ACTIONS(5613),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(4222),
    [anon_sym_u_DQUOTE] = ACTIONS(4222),
    [anon_sym_U_DQUOTE] = ACTIONS(4222),
    [anon_sym_u8_DQUOTE] = ACTIONS(4222),
    [anon_sym_DQUOTE] = ACTIONS(4222),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(4224),
    [anon_sym_LR_DQUOTE] = ACTIONS(4224),
    [anon_sym_uR_DQUOTE] = ACTIONS(4224),
    [anon_sym_UR_DQUOTE] = ACTIONS(4224),
    [anon_sym_u8R_DQUOTE] = ACTIONS(4224),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
  },
  [2219] = {
    [sym_catch_clause] = STATE(2281),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2281),
    [sym_identifier] = ACTIONS(2803),
    [aux_sym_preproc_def_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token1] = ACTIONS(2803),
    [aux_sym_preproc_if_token2] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2803),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2803),
    [sym_preproc_directive] = ACTIONS(2803),
    [anon_sym_LPAREN2] = ACTIONS(2805),
    [anon_sym_TILDE] = ACTIONS(2805),
    [anon_sym_STAR] = ACTIONS(2805),
    [anon_sym_AMP_AMP] = ACTIONS(2805),
    [anon_sym_AMP] = ACTIONS(2803),
    [anon_sym___extension__] = ACTIONS(2803),
    [anon_sym_typedef] = ACTIONS(2803),
    [anon_sym_extern] = ACTIONS(2803),
    [anon_sym___attribute__] = ACTIONS(2803),
    [anon_sym_COLON_COLON] = ACTIONS(2805),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2805),
    [anon_sym___declspec] = ACTIONS(2803),
    [anon_sym___based] = ACTIONS(2803),
    [anon_sym_signed] = ACTIONS(2803),
    [anon_sym_unsigned] = ACTIONS(2803),
    [anon_sym_long] = ACTIONS(2803),
    [anon_sym_short] = ACTIONS(2803),
    [anon_sym_LBRACK] = ACTIONS(2803),
    [anon_sym_static] = ACTIONS(2803),
    [anon_sym_register] = ACTIONS(2803),
    [anon_sym_inline] = ACTIONS(2803),
    [anon_sym___inline] = ACTIONS(2803),
    [anon_sym___inline__] = ACTIONS(2803),
    [anon_sym___forceinline] = ACTIONS(2803),
    [anon_sym_thread_local] = ACTIONS(2803),
    [anon_sym___thread] = ACTIONS(2803),
    [anon_sym_const] = ACTIONS(2803),
    [anon_sym_constexpr] = ACTIONS(2803),
    [anon_sym_volatile] = ACTIONS(2803),
    [anon_sym_restrict] = ACTIONS(2803),
    [anon_sym___restrict__] = ACTIONS(2803),
    [anon_sym__Atomic] = ACTIONS(2803),
    [anon_sym__Noreturn] = ACTIONS(2803),
    [anon_sym_noreturn] = ACTIONS(2803),
    [anon_sym_mutable] = ACTIONS(2803),
    [anon_sym_constinit] = ACTIONS(2803),
    [anon_sym_consteval] = ACTIONS(2803),
    [sym_primitive_type] = ACTIONS(2803),
    [anon_sym_enum] = ACTIONS(2803),
    [anon_sym_class] = ACTIONS(2803),
    [anon_sym_struct] = ACTIONS(2803),
    [anon_sym_union] = ACTIONS(2803),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2803),
    [anon_sym_decltype] = ACTIONS(2803),
    [anon_sym_virtual] = ACTIONS(2803),
    [anon_sym_alignas] = ACTIONS(2803),
    [anon_sym_explicit] = ACTIONS(2803),
    [anon_sym_typename] = ACTIONS(2803),
    [anon_sym_template] = ACTIONS(2803),
    [anon_sym_operator] = ACTIONS(2803),
    [anon_sym_friend] = ACTIONS(2803),
    [anon_sym_public] = ACTIONS(2803),
    [anon_sym_private] = ACTIONS(2803),
    [anon_sym_protected] = ACTIONS(2803),
    [anon_sym_using] = ACTIONS(2803),
    [anon_sym_static_assert] = ACTIONS(2803),
    [anon_sym_catch] = ACTIONS(5586),
  },
  [2220] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(5615),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_RBRACK] = ACTIONS(5617),
    [anon_sym_EQ] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5622),
    [anon_sym_SLASH_EQ] = ACTIONS(5622),
    [anon_sym_PERCENT_EQ] = ACTIONS(5622),
    [anon_sym_PLUS_EQ] = ACTIONS(5622),
    [anon_sym_DASH_EQ] = ACTIONS(5622),
    [anon_sym_LT_LT_EQ] = ACTIONS(5622),
    [anon_sym_GT_GT_EQ] = ACTIONS(5622),
    [anon_sym_AMP_EQ] = ACTIONS(5622),
    [anon_sym_CARET_EQ] = ACTIONS(5622),
    [anon_sym_PIPE_EQ] = ACTIONS(5622),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2221] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4323),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2222] = {
    [sym_string_literal] = STATE(2187),
    [sym_raw_string_literal] = STATE(2187),
    [sym_identifier] = ACTIONS(4145),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [aux_sym_preproc_if_token2] = ACTIONS(4137),
    [aux_sym_preproc_else_token1] = ACTIONS(4137),
    [aux_sym_preproc_elif_token1] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4145),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(2236),
    [anon_sym_u_DQUOTE] = ACTIONS(2236),
    [anon_sym_U_DQUOTE] = ACTIONS(2236),
    [anon_sym_u8_DQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2236),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(2244),
    [anon_sym_LR_DQUOTE] = ACTIONS(2244),
    [anon_sym_uR_DQUOTE] = ACTIONS(2244),
    [anon_sym_UR_DQUOTE] = ACTIONS(2244),
    [anon_sym_u8R_DQUOTE] = ACTIONS(2244),
    [sym_literal_suffix] = ACTIONS(5624),
  },
  [2223] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5628),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5628),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5628),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5628),
    [anon_sym_GT_GT] = ACTIONS(5628),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___extension__] = ACTIONS(5626),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym___based] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_signed] = ACTIONS(5626),
    [anon_sym_unsigned] = ACTIONS(5626),
    [anon_sym_long] = ACTIONS(5626),
    [anon_sym_short] = ACTIONS(5626),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_const] = ACTIONS(5626),
    [anon_sym_constexpr] = ACTIONS(5626),
    [anon_sym_volatile] = ACTIONS(5626),
    [anon_sym_restrict] = ACTIONS(5626),
    [anon_sym___restrict__] = ACTIONS(5626),
    [anon_sym__Atomic] = ACTIONS(5626),
    [anon_sym__Noreturn] = ACTIONS(5626),
    [anon_sym_noreturn] = ACTIONS(5626),
    [anon_sym_mutable] = ACTIONS(5626),
    [anon_sym_constinit] = ACTIONS(5626),
    [anon_sym_consteval] = ACTIONS(5626),
    [sym_primitive_type] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
    [anon_sym_final] = ACTIONS(5626),
    [anon_sym_override] = ACTIONS(5626),
    [anon_sym_requires] = ACTIONS(5626),
  },
  [2224] = {
    [sym_string_literal] = STATE(2239),
    [sym_template_argument_list] = STATE(2641),
    [sym_raw_string_literal] = STATE(2239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5164),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___attribute__] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(5630),
    [anon_sym_u_DQUOTE] = ACTIONS(5630),
    [anon_sym_U_DQUOTE] = ACTIONS(5630),
    [anon_sym_u8_DQUOTE] = ACTIONS(5630),
    [anon_sym_DQUOTE] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5632),
    [anon_sym_LR_DQUOTE] = ACTIONS(5632),
    [anon_sym_uR_DQUOTE] = ACTIONS(5632),
    [anon_sym_UR_DQUOTE] = ACTIONS(5632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5632),
  },
  [2225] = {
    [sym_identifier] = ACTIONS(5634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5636),
    [anon_sym_COMMA] = ACTIONS(5636),
    [anon_sym_RPAREN] = ACTIONS(5636),
    [anon_sym_LPAREN2] = ACTIONS(5636),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5636),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5636),
    [anon_sym_PIPE_PIPE] = ACTIONS(5636),
    [anon_sym_AMP_AMP] = ACTIONS(5636),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_CARET] = ACTIONS(5636),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_EQ_EQ] = ACTIONS(5636),
    [anon_sym_BANG_EQ] = ACTIONS(5636),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_GT_EQ] = ACTIONS(5636),
    [anon_sym_LT_EQ] = ACTIONS(5634),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5636),
    [anon_sym_GT_GT] = ACTIONS(5636),
    [anon_sym_SEMI] = ACTIONS(5636),
    [anon_sym___extension__] = ACTIONS(5634),
    [anon_sym___attribute__] = ACTIONS(5634),
    [anon_sym___based] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5636),
    [anon_sym_RBRACE] = ACTIONS(5636),
    [anon_sym_signed] = ACTIONS(5634),
    [anon_sym_unsigned] = ACTIONS(5634),
    [anon_sym_long] = ACTIONS(5634),
    [anon_sym_short] = ACTIONS(5634),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [anon_sym_RBRACK] = ACTIONS(5636),
    [anon_sym_const] = ACTIONS(5634),
    [anon_sym_constexpr] = ACTIONS(5634),
    [anon_sym_volatile] = ACTIONS(5634),
    [anon_sym_restrict] = ACTIONS(5634),
    [anon_sym___restrict__] = ACTIONS(5634),
    [anon_sym__Atomic] = ACTIONS(5634),
    [anon_sym__Noreturn] = ACTIONS(5634),
    [anon_sym_noreturn] = ACTIONS(5634),
    [anon_sym_mutable] = ACTIONS(5634),
    [anon_sym_constinit] = ACTIONS(5634),
    [anon_sym_consteval] = ACTIONS(5634),
    [sym_primitive_type] = ACTIONS(5634),
    [anon_sym_COLON] = ACTIONS(5636),
    [anon_sym_QMARK] = ACTIONS(5636),
    [anon_sym_LT_EQ_GT] = ACTIONS(5636),
    [anon_sym_or] = ACTIONS(5634),
    [anon_sym_and] = ACTIONS(5634),
    [anon_sym_bitor] = ACTIONS(5634),
    [anon_sym_xor] = ACTIONS(5634),
    [anon_sym_bitand] = ACTIONS(5634),
    [anon_sym_not_eq] = ACTIONS(5634),
    [anon_sym_DASH_DASH] = ACTIONS(5636),
    [anon_sym_PLUS_PLUS] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_DOT_STAR] = ACTIONS(5636),
    [anon_sym_DASH_GT] = ACTIONS(5636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5634),
    [anon_sym_decltype] = ACTIONS(5634),
    [anon_sym_final] = ACTIONS(5634),
    [anon_sym_override] = ACTIONS(5634),
    [anon_sym_requires] = ACTIONS(5634),
  },
  [2226] = {
    [sym_identifier] = ACTIONS(5638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5640),
    [anon_sym_COMMA] = ACTIONS(5640),
    [anon_sym_RPAREN] = ACTIONS(5640),
    [anon_sym_LPAREN2] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_STAR] = ACTIONS(5640),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5640),
    [anon_sym_PIPE_PIPE] = ACTIONS(5640),
    [anon_sym_AMP_AMP] = ACTIONS(5640),
    [anon_sym_PIPE] = ACTIONS(5638),
    [anon_sym_CARET] = ACTIONS(5640),
    [anon_sym_AMP] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5640),
    [anon_sym_BANG_EQ] = ACTIONS(5640),
    [anon_sym_GT] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5640),
    [anon_sym_LT_EQ] = ACTIONS(5638),
    [anon_sym_LT] = ACTIONS(5638),
    [anon_sym_LT_LT] = ACTIONS(5640),
    [anon_sym_GT_GT] = ACTIONS(5640),
    [anon_sym_SEMI] = ACTIONS(5640),
    [anon_sym___extension__] = ACTIONS(5638),
    [anon_sym___attribute__] = ACTIONS(5638),
    [anon_sym___based] = ACTIONS(5638),
    [anon_sym_LBRACE] = ACTIONS(5640),
    [anon_sym_RBRACE] = ACTIONS(5640),
    [anon_sym_signed] = ACTIONS(5638),
    [anon_sym_unsigned] = ACTIONS(5638),
    [anon_sym_long] = ACTIONS(5638),
    [anon_sym_short] = ACTIONS(5638),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym_RBRACK] = ACTIONS(5640),
    [anon_sym_const] = ACTIONS(5638),
    [anon_sym_constexpr] = ACTIONS(5638),
    [anon_sym_volatile] = ACTIONS(5638),
    [anon_sym_restrict] = ACTIONS(5638),
    [anon_sym___restrict__] = ACTIONS(5638),
    [anon_sym__Atomic] = ACTIONS(5638),
    [anon_sym__Noreturn] = ACTIONS(5638),
    [anon_sym_noreturn] = ACTIONS(5638),
    [anon_sym_mutable] = ACTIONS(5638),
    [anon_sym_constinit] = ACTIONS(5638),
    [anon_sym_consteval] = ACTIONS(5638),
    [sym_primitive_type] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5640),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_LT_EQ_GT] = ACTIONS(5640),
    [anon_sym_or] = ACTIONS(5638),
    [anon_sym_and] = ACTIONS(5638),
    [anon_sym_bitor] = ACTIONS(5638),
    [anon_sym_xor] = ACTIONS(5638),
    [anon_sym_bitand] = ACTIONS(5638),
    [anon_sym_not_eq] = ACTIONS(5638),
    [anon_sym_DASH_DASH] = ACTIONS(5640),
    [anon_sym_PLUS_PLUS] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_DOT_STAR] = ACTIONS(5640),
    [anon_sym_DASH_GT] = ACTIONS(5640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5638),
    [anon_sym_decltype] = ACTIONS(5638),
    [anon_sym_final] = ACTIONS(5638),
    [anon_sym_override] = ACTIONS(5638),
    [anon_sym_requires] = ACTIONS(5638),
  },
  [2227] = {
    [sym_identifier] = ACTIONS(5642),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5644),
    [anon_sym_COMMA] = ACTIONS(5644),
    [anon_sym_RPAREN] = ACTIONS(5644),
    [anon_sym_LPAREN2] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5642),
    [anon_sym_STAR] = ACTIONS(5644),
    [anon_sym_SLASH] = ACTIONS(5642),
    [anon_sym_PERCENT] = ACTIONS(5644),
    [anon_sym_PIPE_PIPE] = ACTIONS(5644),
    [anon_sym_AMP_AMP] = ACTIONS(5644),
    [anon_sym_PIPE] = ACTIONS(5642),
    [anon_sym_CARET] = ACTIONS(5644),
    [anon_sym_AMP] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5644),
    [anon_sym_BANG_EQ] = ACTIONS(5644),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5644),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_LT_LT] = ACTIONS(5644),
    [anon_sym_GT_GT] = ACTIONS(5644),
    [anon_sym_SEMI] = ACTIONS(5644),
    [anon_sym___extension__] = ACTIONS(5642),
    [anon_sym___attribute__] = ACTIONS(5642),
    [anon_sym___based] = ACTIONS(5642),
    [anon_sym_LBRACE] = ACTIONS(5644),
    [anon_sym_RBRACE] = ACTIONS(5644),
    [anon_sym_signed] = ACTIONS(5642),
    [anon_sym_unsigned] = ACTIONS(5642),
    [anon_sym_long] = ACTIONS(5642),
    [anon_sym_short] = ACTIONS(5642),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [anon_sym_RBRACK] = ACTIONS(5644),
    [anon_sym_const] = ACTIONS(5642),
    [anon_sym_constexpr] = ACTIONS(5642),
    [anon_sym_volatile] = ACTIONS(5642),
    [anon_sym_restrict] = ACTIONS(5642),
    [anon_sym___restrict__] = ACTIONS(5642),
    [anon_sym__Atomic] = ACTIONS(5642),
    [anon_sym__Noreturn] = ACTIONS(5642),
    [anon_sym_noreturn] = ACTIONS(5642),
    [anon_sym_mutable] = ACTIONS(5642),
    [anon_sym_constinit] = ACTIONS(5642),
    [anon_sym_consteval] = ACTIONS(5642),
    [sym_primitive_type] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5644),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_LT_EQ_GT] = ACTIONS(5644),
    [anon_sym_or] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_bitor] = ACTIONS(5642),
    [anon_sym_xor] = ACTIONS(5642),
    [anon_sym_bitand] = ACTIONS(5642),
    [anon_sym_not_eq] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5644),
    [anon_sym_PLUS_PLUS] = ACTIONS(5644),
    [anon_sym_DOT] = ACTIONS(5642),
    [anon_sym_DOT_STAR] = ACTIONS(5644),
    [anon_sym_DASH_GT] = ACTIONS(5644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5642),
    [anon_sym_decltype] = ACTIONS(5642),
    [anon_sym_final] = ACTIONS(5642),
    [anon_sym_override] = ACTIONS(5642),
    [anon_sym_requires] = ACTIONS(5642),
  },
  [2228] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5743),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2229] = {
    [sym_identifier] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_RPAREN] = ACTIONS(5648),
    [anon_sym_LPAREN2] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5646),
    [anon_sym_STAR] = ACTIONS(5648),
    [anon_sym_SLASH] = ACTIONS(5646),
    [anon_sym_PERCENT] = ACTIONS(5648),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5646),
    [anon_sym_CARET] = ACTIONS(5648),
    [anon_sym_AMP] = ACTIONS(5646),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_GT] = ACTIONS(5646),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5646),
    [anon_sym_LT] = ACTIONS(5646),
    [anon_sym_LT_LT] = ACTIONS(5648),
    [anon_sym_GT_GT] = ACTIONS(5648),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym___extension__] = ACTIONS(5646),
    [anon_sym___attribute__] = ACTIONS(5646),
    [anon_sym___based] = ACTIONS(5646),
    [anon_sym_LBRACE] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_signed] = ACTIONS(5646),
    [anon_sym_unsigned] = ACTIONS(5646),
    [anon_sym_long] = ACTIONS(5646),
    [anon_sym_short] = ACTIONS(5646),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_RBRACK] = ACTIONS(5648),
    [anon_sym_const] = ACTIONS(5646),
    [anon_sym_constexpr] = ACTIONS(5646),
    [anon_sym_volatile] = ACTIONS(5646),
    [anon_sym_restrict] = ACTIONS(5646),
    [anon_sym___restrict__] = ACTIONS(5646),
    [anon_sym__Atomic] = ACTIONS(5646),
    [anon_sym__Noreturn] = ACTIONS(5646),
    [anon_sym_noreturn] = ACTIONS(5646),
    [anon_sym_mutable] = ACTIONS(5646),
    [anon_sym_constinit] = ACTIONS(5646),
    [anon_sym_consteval] = ACTIONS(5646),
    [sym_primitive_type] = ACTIONS(5646),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5648),
    [anon_sym_LT_EQ_GT] = ACTIONS(5648),
    [anon_sym_or] = ACTIONS(5646),
    [anon_sym_and] = ACTIONS(5646),
    [anon_sym_bitor] = ACTIONS(5646),
    [anon_sym_xor] = ACTIONS(5646),
    [anon_sym_bitand] = ACTIONS(5646),
    [anon_sym_not_eq] = ACTIONS(5646),
    [anon_sym_DASH_DASH] = ACTIONS(5648),
    [anon_sym_PLUS_PLUS] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5646),
    [anon_sym_DOT_STAR] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5646),
    [anon_sym_decltype] = ACTIONS(5646),
    [anon_sym_final] = ACTIONS(5646),
    [anon_sym_override] = ACTIONS(5646),
    [anon_sym_requires] = ACTIONS(5646),
  },
  [2230] = {
    [sym_identifier] = ACTIONS(5650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5652),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5652),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_CARET] = ACTIONS(5652),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5650),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5652),
    [anon_sym_GT_GT] = ACTIONS(5652),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym___extension__] = ACTIONS(5650),
    [anon_sym___attribute__] = ACTIONS(5650),
    [anon_sym___based] = ACTIONS(5650),
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_signed] = ACTIONS(5650),
    [anon_sym_unsigned] = ACTIONS(5650),
    [anon_sym_long] = ACTIONS(5650),
    [anon_sym_short] = ACTIONS(5650),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_const] = ACTIONS(5650),
    [anon_sym_constexpr] = ACTIONS(5650),
    [anon_sym_volatile] = ACTIONS(5650),
    [anon_sym_restrict] = ACTIONS(5650),
    [anon_sym___restrict__] = ACTIONS(5650),
    [anon_sym__Atomic] = ACTIONS(5650),
    [anon_sym__Noreturn] = ACTIONS(5650),
    [anon_sym_noreturn] = ACTIONS(5650),
    [anon_sym_mutable] = ACTIONS(5650),
    [anon_sym_constinit] = ACTIONS(5650),
    [anon_sym_consteval] = ACTIONS(5650),
    [sym_primitive_type] = ACTIONS(5650),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5650),
    [anon_sym_and] = ACTIONS(5650),
    [anon_sym_bitor] = ACTIONS(5650),
    [anon_sym_xor] = ACTIONS(5650),
    [anon_sym_bitand] = ACTIONS(5650),
    [anon_sym_not_eq] = ACTIONS(5650),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5650),
    [anon_sym_decltype] = ACTIONS(5650),
    [anon_sym_final] = ACTIONS(5650),
    [anon_sym_override] = ACTIONS(5650),
    [anon_sym_requires] = ACTIONS(5650),
  },
  [2231] = {
    [sym_identifier] = ACTIONS(5654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [anon_sym_LPAREN2] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5656),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5656),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_CARET] = ACTIONS(5656),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5654),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5656),
    [anon_sym_GT_GT] = ACTIONS(5656),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym___extension__] = ACTIONS(5654),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym___based] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_signed] = ACTIONS(5654),
    [anon_sym_unsigned] = ACTIONS(5654),
    [anon_sym_long] = ACTIONS(5654),
    [anon_sym_short] = ACTIONS(5654),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_const] = ACTIONS(5654),
    [anon_sym_constexpr] = ACTIONS(5654),
    [anon_sym_volatile] = ACTIONS(5654),
    [anon_sym_restrict] = ACTIONS(5654),
    [anon_sym___restrict__] = ACTIONS(5654),
    [anon_sym__Atomic] = ACTIONS(5654),
    [anon_sym__Noreturn] = ACTIONS(5654),
    [anon_sym_noreturn] = ACTIONS(5654),
    [anon_sym_mutable] = ACTIONS(5654),
    [anon_sym_constinit] = ACTIONS(5654),
    [anon_sym_consteval] = ACTIONS(5654),
    [sym_primitive_type] = ACTIONS(5654),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5656),
    [anon_sym_LT_EQ_GT] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5654),
    [anon_sym_and] = ACTIONS(5654),
    [anon_sym_bitor] = ACTIONS(5654),
    [anon_sym_xor] = ACTIONS(5654),
    [anon_sym_bitand] = ACTIONS(5654),
    [anon_sym_not_eq] = ACTIONS(5654),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_DOT_STAR] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5654),
    [anon_sym_decltype] = ACTIONS(5654),
    [anon_sym_final] = ACTIONS(5654),
    [anon_sym_override] = ACTIONS(5654),
    [anon_sym_requires] = ACTIONS(5654),
  },
  [2232] = {
    [sym_catch_clause] = STATE(2266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(2828),
    [aux_sym_preproc_def_token1] = ACTIONS(2828),
    [aux_sym_preproc_if_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2828),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2828),
    [sym_preproc_directive] = ACTIONS(2828),
    [anon_sym_LPAREN2] = ACTIONS(2830),
    [anon_sym_TILDE] = ACTIONS(2830),
    [anon_sym_STAR] = ACTIONS(2830),
    [anon_sym_AMP_AMP] = ACTIONS(2830),
    [anon_sym_AMP] = ACTIONS(2828),
    [anon_sym___extension__] = ACTIONS(2828),
    [anon_sym_typedef] = ACTIONS(2828),
    [anon_sym_extern] = ACTIONS(2828),
    [anon_sym___attribute__] = ACTIONS(2828),
    [anon_sym_COLON_COLON] = ACTIONS(2830),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2830),
    [anon_sym___declspec] = ACTIONS(2828),
    [anon_sym___based] = ACTIONS(2828),
    [anon_sym_RBRACE] = ACTIONS(2830),
    [anon_sym_signed] = ACTIONS(2828),
    [anon_sym_unsigned] = ACTIONS(2828),
    [anon_sym_long] = ACTIONS(2828),
    [anon_sym_short] = ACTIONS(2828),
    [anon_sym_LBRACK] = ACTIONS(2828),
    [anon_sym_static] = ACTIONS(2828),
    [anon_sym_register] = ACTIONS(2828),
    [anon_sym_inline] = ACTIONS(2828),
    [anon_sym___inline] = ACTIONS(2828),
    [anon_sym___inline__] = ACTIONS(2828),
    [anon_sym___forceinline] = ACTIONS(2828),
    [anon_sym_thread_local] = ACTIONS(2828),
    [anon_sym___thread] = ACTIONS(2828),
    [anon_sym_const] = ACTIONS(2828),
    [anon_sym_constexpr] = ACTIONS(2828),
    [anon_sym_volatile] = ACTIONS(2828),
    [anon_sym_restrict] = ACTIONS(2828),
    [anon_sym___restrict__] = ACTIONS(2828),
    [anon_sym__Atomic] = ACTIONS(2828),
    [anon_sym__Noreturn] = ACTIONS(2828),
    [anon_sym_noreturn] = ACTIONS(2828),
    [anon_sym_mutable] = ACTIONS(2828),
    [anon_sym_constinit] = ACTIONS(2828),
    [anon_sym_consteval] = ACTIONS(2828),
    [sym_primitive_type] = ACTIONS(2828),
    [anon_sym_enum] = ACTIONS(2828),
    [anon_sym_class] = ACTIONS(2828),
    [anon_sym_struct] = ACTIONS(2828),
    [anon_sym_union] = ACTIONS(2828),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2828),
    [anon_sym_decltype] = ACTIONS(2828),
    [anon_sym_virtual] = ACTIONS(2828),
    [anon_sym_alignas] = ACTIONS(2828),
    [anon_sym_explicit] = ACTIONS(2828),
    [anon_sym_typename] = ACTIONS(2828),
    [anon_sym_template] = ACTIONS(2828),
    [anon_sym_operator] = ACTIONS(2828),
    [anon_sym_friend] = ACTIONS(2828),
    [anon_sym_public] = ACTIONS(2828),
    [anon_sym_private] = ACTIONS(2828),
    [anon_sym_protected] = ACTIONS(2828),
    [anon_sym_using] = ACTIONS(2828),
    [anon_sym_static_assert] = ACTIONS(2828),
    [anon_sym_catch] = ACTIONS(5588),
  },
  [2233] = {
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [anon_sym_LPAREN2] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5660),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5660),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5660),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5660),
    [anon_sym_GT_GT] = ACTIONS(5660),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___extension__] = ACTIONS(5658),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym___based] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_signed] = ACTIONS(5658),
    [anon_sym_unsigned] = ACTIONS(5658),
    [anon_sym_long] = ACTIONS(5658),
    [anon_sym_short] = ACTIONS(5658),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_const] = ACTIONS(5658),
    [anon_sym_constexpr] = ACTIONS(5658),
    [anon_sym_volatile] = ACTIONS(5658),
    [anon_sym_restrict] = ACTIONS(5658),
    [anon_sym___restrict__] = ACTIONS(5658),
    [anon_sym__Atomic] = ACTIONS(5658),
    [anon_sym__Noreturn] = ACTIONS(5658),
    [anon_sym_noreturn] = ACTIONS(5658),
    [anon_sym_mutable] = ACTIONS(5658),
    [anon_sym_constinit] = ACTIONS(5658),
    [anon_sym_consteval] = ACTIONS(5658),
    [sym_primitive_type] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_LT_EQ_GT] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
    [anon_sym_final] = ACTIONS(5658),
    [anon_sym_override] = ACTIONS(5658),
    [anon_sym_requires] = ACTIONS(5658),
  },
  [2234] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5664),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5664),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5664),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5664),
    [anon_sym_GT_GT] = ACTIONS(5664),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___extension__] = ACTIONS(5662),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym___based] = ACTIONS(5662),
    [anon_sym_LBRACE] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_signed] = ACTIONS(5662),
    [anon_sym_unsigned] = ACTIONS(5662),
    [anon_sym_long] = ACTIONS(5662),
    [anon_sym_short] = ACTIONS(5662),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_const] = ACTIONS(5662),
    [anon_sym_constexpr] = ACTIONS(5662),
    [anon_sym_volatile] = ACTIONS(5662),
    [anon_sym_restrict] = ACTIONS(5662),
    [anon_sym___restrict__] = ACTIONS(5662),
    [anon_sym__Atomic] = ACTIONS(5662),
    [anon_sym__Noreturn] = ACTIONS(5662),
    [anon_sym_noreturn] = ACTIONS(5662),
    [anon_sym_mutable] = ACTIONS(5662),
    [anon_sym_constinit] = ACTIONS(5662),
    [anon_sym_consteval] = ACTIONS(5662),
    [sym_primitive_type] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5662),
    [anon_sym_decltype] = ACTIONS(5662),
    [anon_sym_final] = ACTIONS(5662),
    [anon_sym_override] = ACTIONS(5662),
    [anon_sym_requires] = ACTIONS(5662),
  },
  [2235] = {
    [sym_string_literal] = STATE(3727),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(3727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___attribute__] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(5666),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5668),
    [anon_sym_SLASH_EQ] = ACTIONS(5668),
    [anon_sym_PERCENT_EQ] = ACTIONS(5668),
    [anon_sym_PLUS_EQ] = ACTIONS(5668),
    [anon_sym_DASH_EQ] = ACTIONS(5668),
    [anon_sym_LT_LT_EQ] = ACTIONS(5668),
    [anon_sym_GT_GT_EQ] = ACTIONS(5668),
    [anon_sym_AMP_EQ] = ACTIONS(5668),
    [anon_sym_CARET_EQ] = ACTIONS(5668),
    [anon_sym_PIPE_EQ] = ACTIONS(5668),
    [anon_sym_and_eq] = ACTIONS(5668),
    [anon_sym_or_eq] = ACTIONS(5668),
    [anon_sym_xor_eq] = ACTIONS(5668),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(5670),
    [anon_sym_u_DQUOTE] = ACTIONS(5670),
    [anon_sym_U_DQUOTE] = ACTIONS(5670),
    [anon_sym_u8_DQUOTE] = ACTIONS(5670),
    [anon_sym_DQUOTE] = ACTIONS(5670),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5672),
    [anon_sym_LR_DQUOTE] = ACTIONS(5672),
    [anon_sym_uR_DQUOTE] = ACTIONS(5672),
    [anon_sym_UR_DQUOTE] = ACTIONS(5672),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5672),
  },
  [2236] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [aux_sym_structured_binding_declarator_repeat1] = STATE(7722),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(5674),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_RBRACK] = ACTIONS(5617),
    [anon_sym_EQ] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5622),
    [anon_sym_SLASH_EQ] = ACTIONS(5622),
    [anon_sym_PERCENT_EQ] = ACTIONS(5622),
    [anon_sym_PLUS_EQ] = ACTIONS(5622),
    [anon_sym_DASH_EQ] = ACTIONS(5622),
    [anon_sym_LT_LT_EQ] = ACTIONS(5622),
    [anon_sym_GT_GT_EQ] = ACTIONS(5622),
    [anon_sym_AMP_EQ] = ACTIONS(5622),
    [anon_sym_CARET_EQ] = ACTIONS(5622),
    [anon_sym_PIPE_EQ] = ACTIONS(5622),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2237] = {
    [sym_identifier] = ACTIONS(5677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5679),
    [anon_sym_COMMA] = ACTIONS(5679),
    [anon_sym_RPAREN] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5679),
    [anon_sym_DASH] = ACTIONS(5677),
    [anon_sym_PLUS] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5679),
    [anon_sym_SLASH] = ACTIONS(5677),
    [anon_sym_PERCENT] = ACTIONS(5679),
    [anon_sym_PIPE_PIPE] = ACTIONS(5679),
    [anon_sym_AMP_AMP] = ACTIONS(5679),
    [anon_sym_PIPE] = ACTIONS(5677),
    [anon_sym_CARET] = ACTIONS(5679),
    [anon_sym_AMP] = ACTIONS(5677),
    [anon_sym_EQ_EQ] = ACTIONS(5679),
    [anon_sym_BANG_EQ] = ACTIONS(5679),
    [anon_sym_GT] = ACTIONS(5677),
    [anon_sym_GT_EQ] = ACTIONS(5679),
    [anon_sym_LT_EQ] = ACTIONS(5677),
    [anon_sym_LT] = ACTIONS(5677),
    [anon_sym_LT_LT] = ACTIONS(5679),
    [anon_sym_GT_GT] = ACTIONS(5679),
    [anon_sym_SEMI] = ACTIONS(5679),
    [anon_sym___extension__] = ACTIONS(5677),
    [anon_sym___attribute__] = ACTIONS(5677),
    [anon_sym___based] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(5679),
    [anon_sym_RBRACE] = ACTIONS(5679),
    [anon_sym_signed] = ACTIONS(5677),
    [anon_sym_unsigned] = ACTIONS(5677),
    [anon_sym_long] = ACTIONS(5677),
    [anon_sym_short] = ACTIONS(5677),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_const] = ACTIONS(5677),
    [anon_sym_constexpr] = ACTIONS(5677),
    [anon_sym_volatile] = ACTIONS(5677),
    [anon_sym_restrict] = ACTIONS(5677),
    [anon_sym___restrict__] = ACTIONS(5677),
    [anon_sym__Atomic] = ACTIONS(5677),
    [anon_sym__Noreturn] = ACTIONS(5677),
    [anon_sym_noreturn] = ACTIONS(5677),
    [anon_sym_mutable] = ACTIONS(5677),
    [anon_sym_constinit] = ACTIONS(5677),
    [anon_sym_consteval] = ACTIONS(5677),
    [sym_primitive_type] = ACTIONS(5677),
    [anon_sym_COLON] = ACTIONS(5679),
    [anon_sym_QMARK] = ACTIONS(5679),
    [anon_sym_LT_EQ_GT] = ACTIONS(5679),
    [anon_sym_or] = ACTIONS(5677),
    [anon_sym_and] = ACTIONS(5677),
    [anon_sym_bitor] = ACTIONS(5677),
    [anon_sym_xor] = ACTIONS(5677),
    [anon_sym_bitand] = ACTIONS(5677),
    [anon_sym_not_eq] = ACTIONS(5677),
    [anon_sym_DASH_DASH] = ACTIONS(5679),
    [anon_sym_PLUS_PLUS] = ACTIONS(5679),
    [anon_sym_DOT] = ACTIONS(5677),
    [anon_sym_DOT_STAR] = ACTIONS(5679),
    [anon_sym_DASH_GT] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5677),
    [anon_sym_decltype] = ACTIONS(5677),
    [anon_sym_final] = ACTIONS(5677),
    [anon_sym_override] = ACTIONS(5677),
    [anon_sym_requires] = ACTIONS(5677),
  },
  [2238] = {
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(3592),
    [anon_sym_COMMA] = ACTIONS(3592),
    [anon_sym_RPAREN] = ACTIONS(3592),
    [anon_sym_LPAREN2] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3592),
    [anon_sym_STAR] = ACTIONS(3592),
    [anon_sym_AMP_AMP] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3590),
    [anon_sym_SEMI] = ACTIONS(3592),
    [anon_sym___extension__] = ACTIONS(3590),
    [anon_sym_extern] = ACTIONS(3590),
    [anon_sym___attribute__] = ACTIONS(3590),
    [anon_sym_COLON_COLON] = ACTIONS(3592),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3592),
    [anon_sym___declspec] = ACTIONS(3590),
    [anon_sym___based] = ACTIONS(3590),
    [anon_sym_LBRACE] = ACTIONS(3592),
    [anon_sym_signed] = ACTIONS(3590),
    [anon_sym_unsigned] = ACTIONS(3590),
    [anon_sym_long] = ACTIONS(3590),
    [anon_sym_short] = ACTIONS(3590),
    [anon_sym_LBRACK] = ACTIONS(3590),
    [anon_sym_EQ] = ACTIONS(3592),
    [anon_sym_static] = ACTIONS(3590),
    [anon_sym_register] = ACTIONS(3590),
    [anon_sym_inline] = ACTIONS(3590),
    [anon_sym___inline] = ACTIONS(3590),
    [anon_sym___inline__] = ACTIONS(3590),
    [anon_sym___forceinline] = ACTIONS(3590),
    [anon_sym_thread_local] = ACTIONS(3590),
    [anon_sym___thread] = ACTIONS(3590),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_constexpr] = ACTIONS(3590),
    [anon_sym_volatile] = ACTIONS(3590),
    [anon_sym_restrict] = ACTIONS(3590),
    [anon_sym___restrict__] = ACTIONS(3590),
    [anon_sym__Atomic] = ACTIONS(3590),
    [anon_sym__Noreturn] = ACTIONS(3590),
    [anon_sym_noreturn] = ACTIONS(3590),
    [anon_sym_mutable] = ACTIONS(3590),
    [anon_sym_constinit] = ACTIONS(3590),
    [anon_sym_consteval] = ACTIONS(3590),
    [sym_primitive_type] = ACTIONS(3590),
    [anon_sym_enum] = ACTIONS(3590),
    [anon_sym_class] = ACTIONS(3590),
    [anon_sym_struct] = ACTIONS(3590),
    [anon_sym_union] = ACTIONS(3590),
    [anon_sym_asm] = ACTIONS(3590),
    [anon_sym___asm__] = ACTIONS(3590),
    [anon_sym_DASH_GT] = ACTIONS(3592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3590),
    [anon_sym_decltype] = ACTIONS(3590),
    [anon_sym_final] = ACTIONS(3590),
    [anon_sym_override] = ACTIONS(3590),
    [anon_sym_virtual] = ACTIONS(3590),
    [anon_sym_alignas] = ACTIONS(3590),
    [anon_sym_explicit] = ACTIONS(3590),
    [anon_sym_typename] = ACTIONS(3590),
    [anon_sym_template] = ACTIONS(3590),
    [anon_sym_GT2] = ACTIONS(3592),
    [anon_sym_operator] = ACTIONS(3590),
    [anon_sym_try] = ACTIONS(3590),
    [anon_sym_noexcept] = ACTIONS(3590),
    [anon_sym_throw] = ACTIONS(3590),
    [anon_sym_requires] = ACTIONS(3590),
  },
  [2239] = {
    [sym_string_literal] = STATE(2275),
    [sym_raw_string_literal] = STATE(2275),
    [aux_sym_concatenated_string_repeat1] = STATE(2275),
    [sym_identifier] = ACTIONS(5681),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5193),
    [anon_sym_COMMA] = ACTIONS(5193),
    [anon_sym_LPAREN2] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5193),
    [anon_sym_AMP_AMP] = ACTIONS(5193),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5193),
    [anon_sym_BANG_EQ] = ACTIONS(5193),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5193),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_SEMI] = ACTIONS(5193),
    [anon_sym___attribute__] = ACTIONS(5195),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_QMARK] = ACTIONS(5193),
    [anon_sym_STAR_EQ] = ACTIONS(5193),
    [anon_sym_SLASH_EQ] = ACTIONS(5193),
    [anon_sym_PERCENT_EQ] = ACTIONS(5193),
    [anon_sym_PLUS_EQ] = ACTIONS(5193),
    [anon_sym_DASH_EQ] = ACTIONS(5193),
    [anon_sym_LT_LT_EQ] = ACTIONS(5193),
    [anon_sym_GT_GT_EQ] = ACTIONS(5193),
    [anon_sym_AMP_EQ] = ACTIONS(5193),
    [anon_sym_CARET_EQ] = ACTIONS(5193),
    [anon_sym_PIPE_EQ] = ACTIONS(5193),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5193),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5193),
    [anon_sym_PLUS_PLUS] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5193),
    [anon_sym_DASH_GT] = ACTIONS(5193),
    [anon_sym_L_DQUOTE] = ACTIONS(5630),
    [anon_sym_u_DQUOTE] = ACTIONS(5630),
    [anon_sym_U_DQUOTE] = ACTIONS(5630),
    [anon_sym_u8_DQUOTE] = ACTIONS(5630),
    [anon_sym_DQUOTE] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5632),
    [anon_sym_LR_DQUOTE] = ACTIONS(5632),
    [anon_sym_uR_DQUOTE] = ACTIONS(5632),
    [anon_sym_UR_DQUOTE] = ACTIONS(5632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5632),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [2240] = {
    [sym_identifier] = ACTIONS(5683),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5685),
    [anon_sym_COMMA] = ACTIONS(5685),
    [anon_sym_RPAREN] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_DASH] = ACTIONS(5683),
    [anon_sym_PLUS] = ACTIONS(5683),
    [anon_sym_STAR] = ACTIONS(5685),
    [anon_sym_SLASH] = ACTIONS(5683),
    [anon_sym_PERCENT] = ACTIONS(5685),
    [anon_sym_PIPE_PIPE] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_PIPE] = ACTIONS(5683),
    [anon_sym_CARET] = ACTIONS(5685),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym_EQ_EQ] = ACTIONS(5685),
    [anon_sym_BANG_EQ] = ACTIONS(5685),
    [anon_sym_GT] = ACTIONS(5683),
    [anon_sym_GT_EQ] = ACTIONS(5685),
    [anon_sym_LT_EQ] = ACTIONS(5683),
    [anon_sym_LT] = ACTIONS(5683),
    [anon_sym_LT_LT] = ACTIONS(5685),
    [anon_sym_GT_GT] = ACTIONS(5685),
    [anon_sym_SEMI] = ACTIONS(5685),
    [anon_sym___extension__] = ACTIONS(5683),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym___based] = ACTIONS(5683),
    [anon_sym_LBRACE] = ACTIONS(5685),
    [anon_sym_RBRACE] = ACTIONS(5685),
    [anon_sym_signed] = ACTIONS(5683),
    [anon_sym_unsigned] = ACTIONS(5683),
    [anon_sym_long] = ACTIONS(5683),
    [anon_sym_short] = ACTIONS(5683),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_RBRACK] = ACTIONS(5685),
    [anon_sym_const] = ACTIONS(5683),
    [anon_sym_constexpr] = ACTIONS(5683),
    [anon_sym_volatile] = ACTIONS(5683),
    [anon_sym_restrict] = ACTIONS(5683),
    [anon_sym___restrict__] = ACTIONS(5683),
    [anon_sym__Atomic] = ACTIONS(5683),
    [anon_sym__Noreturn] = ACTIONS(5683),
    [anon_sym_noreturn] = ACTIONS(5683),
    [anon_sym_mutable] = ACTIONS(5683),
    [anon_sym_constinit] = ACTIONS(5683),
    [anon_sym_consteval] = ACTIONS(5683),
    [sym_primitive_type] = ACTIONS(5683),
    [anon_sym_COLON] = ACTIONS(5685),
    [anon_sym_QMARK] = ACTIONS(5685),
    [anon_sym_LT_EQ_GT] = ACTIONS(5685),
    [anon_sym_or] = ACTIONS(5683),
    [anon_sym_and] = ACTIONS(5683),
    [anon_sym_bitor] = ACTIONS(5683),
    [anon_sym_xor] = ACTIONS(5683),
    [anon_sym_bitand] = ACTIONS(5683),
    [anon_sym_not_eq] = ACTIONS(5683),
    [anon_sym_DASH_DASH] = ACTIONS(5685),
    [anon_sym_PLUS_PLUS] = ACTIONS(5685),
    [anon_sym_DOT] = ACTIONS(5683),
    [anon_sym_DOT_STAR] = ACTIONS(5685),
    [anon_sym_DASH_GT] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
    [anon_sym_final] = ACTIONS(5683),
    [anon_sym_override] = ACTIONS(5683),
    [anon_sym_requires] = ACTIONS(5683),
  },
  [2241] = {
    [sym_template_argument_list] = STATE(1974),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(5687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5689),
    [anon_sym_COMMA] = ACTIONS(5689),
    [aux_sym_preproc_if_token2] = ACTIONS(5689),
    [aux_sym_preproc_else_token1] = ACTIONS(5689),
    [aux_sym_preproc_elif_token1] = ACTIONS(5687),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5689),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_DASH] = ACTIONS(5687),
    [anon_sym_PLUS] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_SLASH] = ACTIONS(5687),
    [anon_sym_PERCENT] = ACTIONS(5687),
    [anon_sym_PIPE_PIPE] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_PIPE] = ACTIONS(5687),
    [anon_sym_CARET] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym_EQ_EQ] = ACTIONS(5689),
    [anon_sym_BANG_EQ] = ACTIONS(5689),
    [anon_sym_GT] = ACTIONS(5687),
    [anon_sym_GT_EQ] = ACTIONS(5689),
    [anon_sym_LT_EQ] = ACTIONS(5687),
    [anon_sym_LT] = ACTIONS(5687),
    [anon_sym_LT_LT] = ACTIONS(5687),
    [anon_sym_GT_GT] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_EQ] = ACTIONS(5687),
    [anon_sym_QMARK] = ACTIONS(5689),
    [anon_sym_STAR_EQ] = ACTIONS(5689),
    [anon_sym_SLASH_EQ] = ACTIONS(5689),
    [anon_sym_PERCENT_EQ] = ACTIONS(5689),
    [anon_sym_PLUS_EQ] = ACTIONS(5689),
    [anon_sym_DASH_EQ] = ACTIONS(5689),
    [anon_sym_LT_LT_EQ] = ACTIONS(5689),
    [anon_sym_GT_GT_EQ] = ACTIONS(5689),
    [anon_sym_AMP_EQ] = ACTIONS(5689),
    [anon_sym_CARET_EQ] = ACTIONS(5689),
    [anon_sym_PIPE_EQ] = ACTIONS(5689),
    [anon_sym_and_eq] = ACTIONS(5687),
    [anon_sym_or_eq] = ACTIONS(5687),
    [anon_sym_xor_eq] = ACTIONS(5687),
    [anon_sym_LT_EQ_GT] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5687),
    [anon_sym_and] = ACTIONS(5687),
    [anon_sym_bitor] = ACTIONS(5687),
    [anon_sym_xor] = ACTIONS(5687),
    [anon_sym_bitand] = ACTIONS(5687),
    [anon_sym_not_eq] = ACTIONS(5687),
    [anon_sym_DASH_DASH] = ACTIONS(5689),
    [anon_sym_PLUS_PLUS] = ACTIONS(5689),
    [anon_sym_DOT] = ACTIONS(5687),
    [anon_sym_DOT_STAR] = ACTIONS(5689),
    [anon_sym_DASH_GT] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
  },
  [2242] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5686),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2243] = {
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5695),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5695),
    [anon_sym_DASH] = ACTIONS(5693),
    [anon_sym_PLUS] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5695),
    [anon_sym_SLASH] = ACTIONS(5693),
    [anon_sym_PERCENT] = ACTIONS(5695),
    [anon_sym_PIPE_PIPE] = ACTIONS(5695),
    [anon_sym_AMP_AMP] = ACTIONS(5695),
    [anon_sym_PIPE] = ACTIONS(5693),
    [anon_sym_CARET] = ACTIONS(5695),
    [anon_sym_AMP] = ACTIONS(5693),
    [anon_sym_EQ_EQ] = ACTIONS(5695),
    [anon_sym_BANG_EQ] = ACTIONS(5695),
    [anon_sym_GT] = ACTIONS(5693),
    [anon_sym_GT_EQ] = ACTIONS(5695),
    [anon_sym_LT_EQ] = ACTIONS(5693),
    [anon_sym_LT] = ACTIONS(5693),
    [anon_sym_LT_LT] = ACTIONS(5695),
    [anon_sym_GT_GT] = ACTIONS(5695),
    [anon_sym_SEMI] = ACTIONS(5695),
    [anon_sym___extension__] = ACTIONS(5693),
    [anon_sym___attribute__] = ACTIONS(5693),
    [anon_sym___based] = ACTIONS(5693),
    [anon_sym_LBRACE] = ACTIONS(5695),
    [anon_sym_RBRACE] = ACTIONS(5695),
    [anon_sym_signed] = ACTIONS(5693),
    [anon_sym_unsigned] = ACTIONS(5693),
    [anon_sym_long] = ACTIONS(5693),
    [anon_sym_short] = ACTIONS(5693),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5695),
    [anon_sym_const] = ACTIONS(5693),
    [anon_sym_constexpr] = ACTIONS(5693),
    [anon_sym_volatile] = ACTIONS(5693),
    [anon_sym_restrict] = ACTIONS(5693),
    [anon_sym___restrict__] = ACTIONS(5693),
    [anon_sym__Atomic] = ACTIONS(5693),
    [anon_sym__Noreturn] = ACTIONS(5693),
    [anon_sym_noreturn] = ACTIONS(5693),
    [anon_sym_mutable] = ACTIONS(5693),
    [anon_sym_constinit] = ACTIONS(5693),
    [anon_sym_consteval] = ACTIONS(5693),
    [sym_primitive_type] = ACTIONS(5693),
    [anon_sym_COLON] = ACTIONS(5695),
    [anon_sym_QMARK] = ACTIONS(5695),
    [anon_sym_LT_EQ_GT] = ACTIONS(5695),
    [anon_sym_or] = ACTIONS(5693),
    [anon_sym_and] = ACTIONS(5693),
    [anon_sym_bitor] = ACTIONS(5693),
    [anon_sym_xor] = ACTIONS(5693),
    [anon_sym_bitand] = ACTIONS(5693),
    [anon_sym_not_eq] = ACTIONS(5693),
    [anon_sym_DASH_DASH] = ACTIONS(5695),
    [anon_sym_PLUS_PLUS] = ACTIONS(5695),
    [anon_sym_DOT] = ACTIONS(5693),
    [anon_sym_DOT_STAR] = ACTIONS(5695),
    [anon_sym_DASH_GT] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5693),
    [anon_sym_decltype] = ACTIONS(5693),
    [anon_sym_final] = ACTIONS(5693),
    [anon_sym_override] = ACTIONS(5693),
    [anon_sym_requires] = ACTIONS(5693),
  },
  [2244] = {
    [sym_identifier] = ACTIONS(5697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5699),
    [anon_sym_COMMA] = ACTIONS(5699),
    [anon_sym_RPAREN] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5699),
    [anon_sym_DASH] = ACTIONS(5697),
    [anon_sym_PLUS] = ACTIONS(5697),
    [anon_sym_STAR] = ACTIONS(5699),
    [anon_sym_SLASH] = ACTIONS(5697),
    [anon_sym_PERCENT] = ACTIONS(5699),
    [anon_sym_PIPE_PIPE] = ACTIONS(5699),
    [anon_sym_AMP_AMP] = ACTIONS(5699),
    [anon_sym_PIPE] = ACTIONS(5697),
    [anon_sym_CARET] = ACTIONS(5699),
    [anon_sym_AMP] = ACTIONS(5697),
    [anon_sym_EQ_EQ] = ACTIONS(5699),
    [anon_sym_BANG_EQ] = ACTIONS(5699),
    [anon_sym_GT] = ACTIONS(5697),
    [anon_sym_GT_EQ] = ACTIONS(5699),
    [anon_sym_LT_EQ] = ACTIONS(5697),
    [anon_sym_LT] = ACTIONS(5697),
    [anon_sym_LT_LT] = ACTIONS(5699),
    [anon_sym_GT_GT] = ACTIONS(5699),
    [anon_sym_SEMI] = ACTIONS(5699),
    [anon_sym___extension__] = ACTIONS(5697),
    [anon_sym___attribute__] = ACTIONS(5697),
    [anon_sym___based] = ACTIONS(5697),
    [anon_sym_LBRACE] = ACTIONS(5699),
    [anon_sym_RBRACE] = ACTIONS(5699),
    [anon_sym_signed] = ACTIONS(5697),
    [anon_sym_unsigned] = ACTIONS(5697),
    [anon_sym_long] = ACTIONS(5697),
    [anon_sym_short] = ACTIONS(5697),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_RBRACK] = ACTIONS(5699),
    [anon_sym_const] = ACTIONS(5697),
    [anon_sym_constexpr] = ACTIONS(5697),
    [anon_sym_volatile] = ACTIONS(5697),
    [anon_sym_restrict] = ACTIONS(5697),
    [anon_sym___restrict__] = ACTIONS(5697),
    [anon_sym__Atomic] = ACTIONS(5697),
    [anon_sym__Noreturn] = ACTIONS(5697),
    [anon_sym_noreturn] = ACTIONS(5697),
    [anon_sym_mutable] = ACTIONS(5697),
    [anon_sym_constinit] = ACTIONS(5697),
    [anon_sym_consteval] = ACTIONS(5697),
    [sym_primitive_type] = ACTIONS(5697),
    [anon_sym_COLON] = ACTIONS(5699),
    [anon_sym_QMARK] = ACTIONS(5699),
    [anon_sym_LT_EQ_GT] = ACTIONS(5699),
    [anon_sym_or] = ACTIONS(5697),
    [anon_sym_and] = ACTIONS(5697),
    [anon_sym_bitor] = ACTIONS(5697),
    [anon_sym_xor] = ACTIONS(5697),
    [anon_sym_bitand] = ACTIONS(5697),
    [anon_sym_not_eq] = ACTIONS(5697),
    [anon_sym_DASH_DASH] = ACTIONS(5699),
    [anon_sym_PLUS_PLUS] = ACTIONS(5699),
    [anon_sym_DOT] = ACTIONS(5697),
    [anon_sym_DOT_STAR] = ACTIONS(5699),
    [anon_sym_DASH_GT] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5697),
    [anon_sym_final] = ACTIONS(5697),
    [anon_sym_override] = ACTIONS(5697),
    [anon_sym_requires] = ACTIONS(5697),
  },
  [2245] = {
    [sym_identifier] = ACTIONS(5701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5703),
    [anon_sym_COMMA] = ACTIONS(5703),
    [anon_sym_RPAREN] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5703),
    [anon_sym_DASH] = ACTIONS(5701),
    [anon_sym_PLUS] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5703),
    [anon_sym_SLASH] = ACTIONS(5701),
    [anon_sym_PERCENT] = ACTIONS(5703),
    [anon_sym_PIPE_PIPE] = ACTIONS(5703),
    [anon_sym_AMP_AMP] = ACTIONS(5703),
    [anon_sym_PIPE] = ACTIONS(5701),
    [anon_sym_CARET] = ACTIONS(5703),
    [anon_sym_AMP] = ACTIONS(5701),
    [anon_sym_EQ_EQ] = ACTIONS(5703),
    [anon_sym_BANG_EQ] = ACTIONS(5703),
    [anon_sym_GT] = ACTIONS(5701),
    [anon_sym_GT_EQ] = ACTIONS(5703),
    [anon_sym_LT_EQ] = ACTIONS(5701),
    [anon_sym_LT] = ACTIONS(5701),
    [anon_sym_LT_LT] = ACTIONS(5703),
    [anon_sym_GT_GT] = ACTIONS(5703),
    [anon_sym_SEMI] = ACTIONS(5703),
    [anon_sym___extension__] = ACTIONS(5701),
    [anon_sym___attribute__] = ACTIONS(5701),
    [anon_sym___based] = ACTIONS(5701),
    [anon_sym_LBRACE] = ACTIONS(5703),
    [anon_sym_RBRACE] = ACTIONS(5703),
    [anon_sym_signed] = ACTIONS(5701),
    [anon_sym_unsigned] = ACTIONS(5701),
    [anon_sym_long] = ACTIONS(5701),
    [anon_sym_short] = ACTIONS(5701),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_RBRACK] = ACTIONS(5703),
    [anon_sym_const] = ACTIONS(5701),
    [anon_sym_constexpr] = ACTIONS(5701),
    [anon_sym_volatile] = ACTIONS(5701),
    [anon_sym_restrict] = ACTIONS(5701),
    [anon_sym___restrict__] = ACTIONS(5701),
    [anon_sym__Atomic] = ACTIONS(5701),
    [anon_sym__Noreturn] = ACTIONS(5701),
    [anon_sym_noreturn] = ACTIONS(5701),
    [anon_sym_mutable] = ACTIONS(5701),
    [anon_sym_constinit] = ACTIONS(5701),
    [anon_sym_consteval] = ACTIONS(5701),
    [sym_primitive_type] = ACTIONS(5701),
    [anon_sym_COLON] = ACTIONS(5703),
    [anon_sym_QMARK] = ACTIONS(5703),
    [anon_sym_LT_EQ_GT] = ACTIONS(5703),
    [anon_sym_or] = ACTIONS(5701),
    [anon_sym_and] = ACTIONS(5701),
    [anon_sym_bitor] = ACTIONS(5701),
    [anon_sym_xor] = ACTIONS(5701),
    [anon_sym_bitand] = ACTIONS(5701),
    [anon_sym_not_eq] = ACTIONS(5701),
    [anon_sym_DASH_DASH] = ACTIONS(5703),
    [anon_sym_PLUS_PLUS] = ACTIONS(5703),
    [anon_sym_DOT] = ACTIONS(5701),
    [anon_sym_DOT_STAR] = ACTIONS(5703),
    [anon_sym_DASH_GT] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5701),
    [anon_sym_decltype] = ACTIONS(5701),
    [anon_sym_final] = ACTIONS(5701),
    [anon_sym_override] = ACTIONS(5701),
    [anon_sym_requires] = ACTIONS(5701),
  },
  [2246] = {
    [sym_attribute_specifier] = STATE(2484),
    [sym_enumerator_list] = STATE(2322),
    [sym_identifier] = ACTIONS(5705),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5707),
    [anon_sym_COMMA] = ACTIONS(5707),
    [anon_sym_RPAREN] = ACTIONS(5707),
    [aux_sym_preproc_if_token2] = ACTIONS(5707),
    [aux_sym_preproc_else_token1] = ACTIONS(5707),
    [aux_sym_preproc_elif_token1] = ACTIONS(5705),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5707),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5707),
    [anon_sym_LPAREN2] = ACTIONS(5707),
    [anon_sym_DASH] = ACTIONS(5705),
    [anon_sym_PLUS] = ACTIONS(5705),
    [anon_sym_STAR] = ACTIONS(5705),
    [anon_sym_SLASH] = ACTIONS(5705),
    [anon_sym_PERCENT] = ACTIONS(5705),
    [anon_sym_PIPE_PIPE] = ACTIONS(5707),
    [anon_sym_AMP_AMP] = ACTIONS(5707),
    [anon_sym_PIPE] = ACTIONS(5705),
    [anon_sym_CARET] = ACTIONS(5705),
    [anon_sym_AMP] = ACTIONS(5705),
    [anon_sym_EQ_EQ] = ACTIONS(5707),
    [anon_sym_BANG_EQ] = ACTIONS(5707),
    [anon_sym_GT] = ACTIONS(5705),
    [anon_sym_GT_EQ] = ACTIONS(5707),
    [anon_sym_LT_EQ] = ACTIONS(5705),
    [anon_sym_LT] = ACTIONS(5705),
    [anon_sym_LT_LT] = ACTIONS(5705),
    [anon_sym_GT_GT] = ACTIONS(5705),
    [anon_sym_SEMI] = ACTIONS(5707),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5709),
    [anon_sym_RBRACE] = ACTIONS(5707),
    [anon_sym_LBRACK] = ACTIONS(5707),
    [anon_sym_RBRACK] = ACTIONS(5707),
    [anon_sym_EQ] = ACTIONS(5705),
    [anon_sym_COLON] = ACTIONS(5707),
    [anon_sym_QMARK] = ACTIONS(5707),
    [anon_sym_STAR_EQ] = ACTIONS(5707),
    [anon_sym_SLASH_EQ] = ACTIONS(5707),
    [anon_sym_PERCENT_EQ] = ACTIONS(5707),
    [anon_sym_PLUS_EQ] = ACTIONS(5707),
    [anon_sym_DASH_EQ] = ACTIONS(5707),
    [anon_sym_LT_LT_EQ] = ACTIONS(5707),
    [anon_sym_GT_GT_EQ] = ACTIONS(5707),
    [anon_sym_AMP_EQ] = ACTIONS(5707),
    [anon_sym_CARET_EQ] = ACTIONS(5707),
    [anon_sym_PIPE_EQ] = ACTIONS(5707),
    [anon_sym_and_eq] = ACTIONS(5705),
    [anon_sym_or_eq] = ACTIONS(5705),
    [anon_sym_xor_eq] = ACTIONS(5705),
    [anon_sym_LT_EQ_GT] = ACTIONS(5707),
    [anon_sym_or] = ACTIONS(5705),
    [anon_sym_and] = ACTIONS(5705),
    [anon_sym_bitor] = ACTIONS(5705),
    [anon_sym_xor] = ACTIONS(5705),
    [anon_sym_bitand] = ACTIONS(5705),
    [anon_sym_not_eq] = ACTIONS(5705),
    [anon_sym_DASH_DASH] = ACTIONS(5707),
    [anon_sym_PLUS_PLUS] = ACTIONS(5707),
    [anon_sym_DOT] = ACTIONS(5705),
    [anon_sym_DOT_STAR] = ACTIONS(5707),
    [anon_sym_DASH_GT] = ACTIONS(5707),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5705),
    [anon_sym_decltype] = ACTIONS(5705),
  },
  [2247] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5713),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5713),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5713),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5713),
    [anon_sym_GT_GT] = ACTIONS(5713),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___extension__] = ACTIONS(5711),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym___based] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_signed] = ACTIONS(5711),
    [anon_sym_unsigned] = ACTIONS(5711),
    [anon_sym_long] = ACTIONS(5711),
    [anon_sym_short] = ACTIONS(5711),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_const] = ACTIONS(5711),
    [anon_sym_constexpr] = ACTIONS(5711),
    [anon_sym_volatile] = ACTIONS(5711),
    [anon_sym_restrict] = ACTIONS(5711),
    [anon_sym___restrict__] = ACTIONS(5711),
    [anon_sym__Atomic] = ACTIONS(5711),
    [anon_sym__Noreturn] = ACTIONS(5711),
    [anon_sym_noreturn] = ACTIONS(5711),
    [anon_sym_mutable] = ACTIONS(5711),
    [anon_sym_constinit] = ACTIONS(5711),
    [anon_sym_consteval] = ACTIONS(5711),
    [sym_primitive_type] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
    [anon_sym_final] = ACTIONS(5711),
    [anon_sym_override] = ACTIONS(5711),
    [anon_sym_requires] = ACTIONS(5711),
  },
  [2248] = {
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5717),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5717),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5717),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5717),
    [anon_sym_GT_GT] = ACTIONS(5717),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___extension__] = ACTIONS(5715),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym___based] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_signed] = ACTIONS(5715),
    [anon_sym_unsigned] = ACTIONS(5715),
    [anon_sym_long] = ACTIONS(5715),
    [anon_sym_short] = ACTIONS(5715),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_const] = ACTIONS(5715),
    [anon_sym_constexpr] = ACTIONS(5715),
    [anon_sym_volatile] = ACTIONS(5715),
    [anon_sym_restrict] = ACTIONS(5715),
    [anon_sym___restrict__] = ACTIONS(5715),
    [anon_sym__Atomic] = ACTIONS(5715),
    [anon_sym__Noreturn] = ACTIONS(5715),
    [anon_sym_noreturn] = ACTIONS(5715),
    [anon_sym_mutable] = ACTIONS(5715),
    [anon_sym_constinit] = ACTIONS(5715),
    [anon_sym_consteval] = ACTIONS(5715),
    [sym_primitive_type] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5717),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
    [anon_sym_final] = ACTIONS(5715),
    [anon_sym_override] = ACTIONS(5715),
    [anon_sym_requires] = ACTIONS(5715),
  },
  [2249] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5721),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5721),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5721),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5721),
    [anon_sym_GT_GT] = ACTIONS(5721),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___extension__] = ACTIONS(5719),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(5719),
    [anon_sym_constexpr] = ACTIONS(5719),
    [anon_sym_volatile] = ACTIONS(5719),
    [anon_sym_restrict] = ACTIONS(5719),
    [anon_sym___restrict__] = ACTIONS(5719),
    [anon_sym__Atomic] = ACTIONS(5719),
    [anon_sym__Noreturn] = ACTIONS(5719),
    [anon_sym_noreturn] = ACTIONS(5719),
    [anon_sym_mutable] = ACTIONS(5719),
    [anon_sym_constinit] = ACTIONS(5719),
    [anon_sym_consteval] = ACTIONS(5719),
    [sym_primitive_type] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
    [anon_sym_final] = ACTIONS(5719),
    [anon_sym_override] = ACTIONS(5719),
    [anon_sym_requires] = ACTIONS(5719),
  },
  [2250] = {
    [sym_identifier] = ACTIONS(5723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_DASH] = ACTIONS(5723),
    [anon_sym_PLUS] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5725),
    [anon_sym_SLASH] = ACTIONS(5723),
    [anon_sym_PERCENT] = ACTIONS(5725),
    [anon_sym_PIPE_PIPE] = ACTIONS(5725),
    [anon_sym_AMP_AMP] = ACTIONS(5725),
    [anon_sym_PIPE] = ACTIONS(5723),
    [anon_sym_CARET] = ACTIONS(5725),
    [anon_sym_AMP] = ACTIONS(5723),
    [anon_sym_EQ_EQ] = ACTIONS(5725),
    [anon_sym_BANG_EQ] = ACTIONS(5725),
    [anon_sym_GT] = ACTIONS(5723),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5723),
    [anon_sym_LT] = ACTIONS(5723),
    [anon_sym_LT_LT] = ACTIONS(5725),
    [anon_sym_GT_GT] = ACTIONS(5725),
    [anon_sym_SEMI] = ACTIONS(5725),
    [anon_sym___extension__] = ACTIONS(5723),
    [anon_sym___attribute__] = ACTIONS(5723),
    [anon_sym___based] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(5725),
    [anon_sym_RBRACE] = ACTIONS(5725),
    [anon_sym_signed] = ACTIONS(5723),
    [anon_sym_unsigned] = ACTIONS(5723),
    [anon_sym_long] = ACTIONS(5723),
    [anon_sym_short] = ACTIONS(5723),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_const] = ACTIONS(5723),
    [anon_sym_constexpr] = ACTIONS(5723),
    [anon_sym_volatile] = ACTIONS(5723),
    [anon_sym_restrict] = ACTIONS(5723),
    [anon_sym___restrict__] = ACTIONS(5723),
    [anon_sym__Atomic] = ACTIONS(5723),
    [anon_sym__Noreturn] = ACTIONS(5723),
    [anon_sym_noreturn] = ACTIONS(5723),
    [anon_sym_mutable] = ACTIONS(5723),
    [anon_sym_constinit] = ACTIONS(5723),
    [anon_sym_consteval] = ACTIONS(5723),
    [sym_primitive_type] = ACTIONS(5723),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_QMARK] = ACTIONS(5725),
    [anon_sym_LT_EQ_GT] = ACTIONS(5725),
    [anon_sym_or] = ACTIONS(5723),
    [anon_sym_and] = ACTIONS(5723),
    [anon_sym_bitor] = ACTIONS(5723),
    [anon_sym_xor] = ACTIONS(5723),
    [anon_sym_bitand] = ACTIONS(5723),
    [anon_sym_not_eq] = ACTIONS(5723),
    [anon_sym_DASH_DASH] = ACTIONS(5725),
    [anon_sym_PLUS_PLUS] = ACTIONS(5725),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_DOT_STAR] = ACTIONS(5725),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5723),
    [anon_sym_decltype] = ACTIONS(5723),
    [anon_sym_final] = ACTIONS(5723),
    [anon_sym_override] = ACTIONS(5723),
    [anon_sym_requires] = ACTIONS(5723),
  },
  [2251] = {
    [sym_identifier] = ACTIONS(5727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5729),
    [anon_sym_COMMA] = ACTIONS(5729),
    [anon_sym_RPAREN] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(5729),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_STAR] = ACTIONS(5729),
    [anon_sym_SLASH] = ACTIONS(5727),
    [anon_sym_PERCENT] = ACTIONS(5729),
    [anon_sym_PIPE_PIPE] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5729),
    [anon_sym_PIPE] = ACTIONS(5727),
    [anon_sym_CARET] = ACTIONS(5729),
    [anon_sym_AMP] = ACTIONS(5727),
    [anon_sym_EQ_EQ] = ACTIONS(5729),
    [anon_sym_BANG_EQ] = ACTIONS(5729),
    [anon_sym_GT] = ACTIONS(5727),
    [anon_sym_GT_EQ] = ACTIONS(5729),
    [anon_sym_LT_EQ] = ACTIONS(5727),
    [anon_sym_LT] = ACTIONS(5727),
    [anon_sym_LT_LT] = ACTIONS(5729),
    [anon_sym_GT_GT] = ACTIONS(5729),
    [anon_sym_SEMI] = ACTIONS(5729),
    [anon_sym___extension__] = ACTIONS(5727),
    [anon_sym___attribute__] = ACTIONS(5727),
    [anon_sym___based] = ACTIONS(5727),
    [anon_sym_LBRACE] = ACTIONS(5729),
    [anon_sym_RBRACE] = ACTIONS(5729),
    [anon_sym_signed] = ACTIONS(5727),
    [anon_sym_unsigned] = ACTIONS(5727),
    [anon_sym_long] = ACTIONS(5727),
    [anon_sym_short] = ACTIONS(5727),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_const] = ACTIONS(5727),
    [anon_sym_constexpr] = ACTIONS(5727),
    [anon_sym_volatile] = ACTIONS(5727),
    [anon_sym_restrict] = ACTIONS(5727),
    [anon_sym___restrict__] = ACTIONS(5727),
    [anon_sym__Atomic] = ACTIONS(5727),
    [anon_sym__Noreturn] = ACTIONS(5727),
    [anon_sym_noreturn] = ACTIONS(5727),
    [anon_sym_mutable] = ACTIONS(5727),
    [anon_sym_constinit] = ACTIONS(5727),
    [anon_sym_consteval] = ACTIONS(5727),
    [sym_primitive_type] = ACTIONS(5727),
    [anon_sym_COLON] = ACTIONS(5729),
    [anon_sym_QMARK] = ACTIONS(5729),
    [anon_sym_LT_EQ_GT] = ACTIONS(5729),
    [anon_sym_or] = ACTIONS(5727),
    [anon_sym_and] = ACTIONS(5727),
    [anon_sym_bitor] = ACTIONS(5727),
    [anon_sym_xor] = ACTIONS(5727),
    [anon_sym_bitand] = ACTIONS(5727),
    [anon_sym_not_eq] = ACTIONS(5727),
    [anon_sym_DASH_DASH] = ACTIONS(5729),
    [anon_sym_PLUS_PLUS] = ACTIONS(5729),
    [anon_sym_DOT] = ACTIONS(5727),
    [anon_sym_DOT_STAR] = ACTIONS(5729),
    [anon_sym_DASH_GT] = ACTIONS(5729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5727),
    [anon_sym_decltype] = ACTIONS(5727),
    [anon_sym_final] = ACTIONS(5727),
    [anon_sym_override] = ACTIONS(5727),
    [anon_sym_requires] = ACTIONS(5727),
  },
  [2252] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5733),
    [anon_sym_COMMA] = ACTIONS(5733),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5731),
    [anon_sym_PLUS] = ACTIONS(5731),
    [anon_sym_STAR] = ACTIONS(5733),
    [anon_sym_SLASH] = ACTIONS(5731),
    [anon_sym_PERCENT] = ACTIONS(5733),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_PIPE] = ACTIONS(5731),
    [anon_sym_CARET] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym_EQ_EQ] = ACTIONS(5733),
    [anon_sym_BANG_EQ] = ACTIONS(5733),
    [anon_sym_GT] = ACTIONS(5731),
    [anon_sym_GT_EQ] = ACTIONS(5733),
    [anon_sym_LT_EQ] = ACTIONS(5731),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_LT_LT] = ACTIONS(5733),
    [anon_sym_GT_GT] = ACTIONS(5733),
    [anon_sym_SEMI] = ACTIONS(5733),
    [anon_sym___extension__] = ACTIONS(5731),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym___based] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5733),
    [anon_sym_signed] = ACTIONS(5731),
    [anon_sym_unsigned] = ACTIONS(5731),
    [anon_sym_long] = ACTIONS(5731),
    [anon_sym_short] = ACTIONS(5731),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_const] = ACTIONS(5731),
    [anon_sym_constexpr] = ACTIONS(5731),
    [anon_sym_volatile] = ACTIONS(5731),
    [anon_sym_restrict] = ACTIONS(5731),
    [anon_sym___restrict__] = ACTIONS(5731),
    [anon_sym__Atomic] = ACTIONS(5731),
    [anon_sym__Noreturn] = ACTIONS(5731),
    [anon_sym_noreturn] = ACTIONS(5731),
    [anon_sym_mutable] = ACTIONS(5731),
    [anon_sym_constinit] = ACTIONS(5731),
    [anon_sym_consteval] = ACTIONS(5731),
    [sym_primitive_type] = ACTIONS(5731),
    [anon_sym_COLON] = ACTIONS(5733),
    [anon_sym_QMARK] = ACTIONS(5733),
    [anon_sym_LT_EQ_GT] = ACTIONS(5733),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [anon_sym_bitor] = ACTIONS(5731),
    [anon_sym_xor] = ACTIONS(5731),
    [anon_sym_bitand] = ACTIONS(5731),
    [anon_sym_not_eq] = ACTIONS(5731),
    [anon_sym_DASH_DASH] = ACTIONS(5733),
    [anon_sym_PLUS_PLUS] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_DOT_STAR] = ACTIONS(5733),
    [anon_sym_DASH_GT] = ACTIONS(5733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
    [anon_sym_final] = ACTIONS(5731),
    [anon_sym_override] = ACTIONS(5731),
    [anon_sym_requires] = ACTIONS(5731),
  },
  [2253] = {
    [sym_identifier] = ACTIONS(5735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5737),
    [anon_sym_COMMA] = ACTIONS(5737),
    [anon_sym_RPAREN] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [anon_sym_DASH] = ACTIONS(5735),
    [anon_sym_PLUS] = ACTIONS(5735),
    [anon_sym_STAR] = ACTIONS(5737),
    [anon_sym_SLASH] = ACTIONS(5735),
    [anon_sym_PERCENT] = ACTIONS(5737),
    [anon_sym_PIPE_PIPE] = ACTIONS(5737),
    [anon_sym_AMP_AMP] = ACTIONS(5737),
    [anon_sym_PIPE] = ACTIONS(5735),
    [anon_sym_CARET] = ACTIONS(5737),
    [anon_sym_AMP] = ACTIONS(5735),
    [anon_sym_EQ_EQ] = ACTIONS(5737),
    [anon_sym_BANG_EQ] = ACTIONS(5737),
    [anon_sym_GT] = ACTIONS(5735),
    [anon_sym_GT_EQ] = ACTIONS(5737),
    [anon_sym_LT_EQ] = ACTIONS(5735),
    [anon_sym_LT] = ACTIONS(5735),
    [anon_sym_LT_LT] = ACTIONS(5737),
    [anon_sym_GT_GT] = ACTIONS(5737),
    [anon_sym_SEMI] = ACTIONS(5737),
    [anon_sym___extension__] = ACTIONS(5735),
    [anon_sym___attribute__] = ACTIONS(5735),
    [anon_sym___based] = ACTIONS(5735),
    [anon_sym_LBRACE] = ACTIONS(5737),
    [anon_sym_RBRACE] = ACTIONS(5737),
    [anon_sym_signed] = ACTIONS(5735),
    [anon_sym_unsigned] = ACTIONS(5735),
    [anon_sym_long] = ACTIONS(5735),
    [anon_sym_short] = ACTIONS(5735),
    [anon_sym_LBRACK] = ACTIONS(5737),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_const] = ACTIONS(5735),
    [anon_sym_constexpr] = ACTIONS(5735),
    [anon_sym_volatile] = ACTIONS(5735),
    [anon_sym_restrict] = ACTIONS(5735),
    [anon_sym___restrict__] = ACTIONS(5735),
    [anon_sym__Atomic] = ACTIONS(5735),
    [anon_sym__Noreturn] = ACTIONS(5735),
    [anon_sym_noreturn] = ACTIONS(5735),
    [anon_sym_mutable] = ACTIONS(5735),
    [anon_sym_constinit] = ACTIONS(5735),
    [anon_sym_consteval] = ACTIONS(5735),
    [sym_primitive_type] = ACTIONS(5735),
    [anon_sym_COLON] = ACTIONS(5737),
    [anon_sym_QMARK] = ACTIONS(5737),
    [anon_sym_LT_EQ_GT] = ACTIONS(5737),
    [anon_sym_or] = ACTIONS(5735),
    [anon_sym_and] = ACTIONS(5735),
    [anon_sym_bitor] = ACTIONS(5735),
    [anon_sym_xor] = ACTIONS(5735),
    [anon_sym_bitand] = ACTIONS(5735),
    [anon_sym_not_eq] = ACTIONS(5735),
    [anon_sym_DASH_DASH] = ACTIONS(5737),
    [anon_sym_PLUS_PLUS] = ACTIONS(5737),
    [anon_sym_DOT] = ACTIONS(5735),
    [anon_sym_DOT_STAR] = ACTIONS(5737),
    [anon_sym_DASH_GT] = ACTIONS(5737),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5735),
    [anon_sym_final] = ACTIONS(5735),
    [anon_sym_override] = ACTIONS(5735),
    [anon_sym_requires] = ACTIONS(5735),
  },
  [2254] = {
    [sym_identifier] = ACTIONS(5739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5741),
    [anon_sym_COMMA] = ACTIONS(5741),
    [anon_sym_RPAREN] = ACTIONS(5741),
    [anon_sym_LPAREN2] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5739),
    [anon_sym_PLUS] = ACTIONS(5739),
    [anon_sym_STAR] = ACTIONS(5741),
    [anon_sym_SLASH] = ACTIONS(5739),
    [anon_sym_PERCENT] = ACTIONS(5741),
    [anon_sym_PIPE_PIPE] = ACTIONS(5741),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_PIPE] = ACTIONS(5739),
    [anon_sym_CARET] = ACTIONS(5741),
    [anon_sym_AMP] = ACTIONS(5739),
    [anon_sym_EQ_EQ] = ACTIONS(5741),
    [anon_sym_BANG_EQ] = ACTIONS(5741),
    [anon_sym_GT] = ACTIONS(5739),
    [anon_sym_GT_EQ] = ACTIONS(5741),
    [anon_sym_LT_EQ] = ACTIONS(5739),
    [anon_sym_LT] = ACTIONS(5739),
    [anon_sym_LT_LT] = ACTIONS(5741),
    [anon_sym_GT_GT] = ACTIONS(5741),
    [anon_sym_SEMI] = ACTIONS(5741),
    [anon_sym___extension__] = ACTIONS(5739),
    [anon_sym___attribute__] = ACTIONS(5739),
    [anon_sym___based] = ACTIONS(5739),
    [anon_sym_LBRACE] = ACTIONS(5741),
    [anon_sym_RBRACE] = ACTIONS(5741),
    [anon_sym_signed] = ACTIONS(5739),
    [anon_sym_unsigned] = ACTIONS(5739),
    [anon_sym_long] = ACTIONS(5739),
    [anon_sym_short] = ACTIONS(5739),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_const] = ACTIONS(5739),
    [anon_sym_constexpr] = ACTIONS(5739),
    [anon_sym_volatile] = ACTIONS(5739),
    [anon_sym_restrict] = ACTIONS(5739),
    [anon_sym___restrict__] = ACTIONS(5739),
    [anon_sym__Atomic] = ACTIONS(5739),
    [anon_sym__Noreturn] = ACTIONS(5739),
    [anon_sym_noreturn] = ACTIONS(5739),
    [anon_sym_mutable] = ACTIONS(5739),
    [anon_sym_constinit] = ACTIONS(5739),
    [anon_sym_consteval] = ACTIONS(5739),
    [sym_primitive_type] = ACTIONS(5739),
    [anon_sym_COLON] = ACTIONS(5741),
    [anon_sym_QMARK] = ACTIONS(5741),
    [anon_sym_LT_EQ_GT] = ACTIONS(5741),
    [anon_sym_or] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_bitor] = ACTIONS(5739),
    [anon_sym_xor] = ACTIONS(5739),
    [anon_sym_bitand] = ACTIONS(5739),
    [anon_sym_not_eq] = ACTIONS(5739),
    [anon_sym_DASH_DASH] = ACTIONS(5741),
    [anon_sym_PLUS_PLUS] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5739),
    [anon_sym_DOT_STAR] = ACTIONS(5741),
    [anon_sym_DASH_GT] = ACTIONS(5741),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5739),
    [anon_sym_decltype] = ACTIONS(5739),
    [anon_sym_final] = ACTIONS(5739),
    [anon_sym_override] = ACTIONS(5739),
    [anon_sym_requires] = ACTIONS(5739),
  },
  [2255] = {
    [sym_identifier] = ACTIONS(5743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5745),
    [anon_sym_COMMA] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5745),
    [anon_sym_LPAREN2] = ACTIONS(5745),
    [anon_sym_DASH] = ACTIONS(5743),
    [anon_sym_PLUS] = ACTIONS(5743),
    [anon_sym_STAR] = ACTIONS(5745),
    [anon_sym_SLASH] = ACTIONS(5743),
    [anon_sym_PERCENT] = ACTIONS(5745),
    [anon_sym_PIPE_PIPE] = ACTIONS(5745),
    [anon_sym_AMP_AMP] = ACTIONS(5745),
    [anon_sym_PIPE] = ACTIONS(5743),
    [anon_sym_CARET] = ACTIONS(5745),
    [anon_sym_AMP] = ACTIONS(5743),
    [anon_sym_EQ_EQ] = ACTIONS(5745),
    [anon_sym_BANG_EQ] = ACTIONS(5745),
    [anon_sym_GT] = ACTIONS(5743),
    [anon_sym_GT_EQ] = ACTIONS(5745),
    [anon_sym_LT_EQ] = ACTIONS(5743),
    [anon_sym_LT] = ACTIONS(5743),
    [anon_sym_LT_LT] = ACTIONS(5745),
    [anon_sym_GT_GT] = ACTIONS(5745),
    [anon_sym_SEMI] = ACTIONS(5745),
    [anon_sym___extension__] = ACTIONS(5743),
    [anon_sym___attribute__] = ACTIONS(5743),
    [anon_sym___based] = ACTIONS(5743),
    [anon_sym_LBRACE] = ACTIONS(5745),
    [anon_sym_RBRACE] = ACTIONS(5745),
    [anon_sym_signed] = ACTIONS(5743),
    [anon_sym_unsigned] = ACTIONS(5743),
    [anon_sym_long] = ACTIONS(5743),
    [anon_sym_short] = ACTIONS(5743),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_RBRACK] = ACTIONS(5745),
    [anon_sym_const] = ACTIONS(5743),
    [anon_sym_constexpr] = ACTIONS(5743),
    [anon_sym_volatile] = ACTIONS(5743),
    [anon_sym_restrict] = ACTIONS(5743),
    [anon_sym___restrict__] = ACTIONS(5743),
    [anon_sym__Atomic] = ACTIONS(5743),
    [anon_sym__Noreturn] = ACTIONS(5743),
    [anon_sym_noreturn] = ACTIONS(5743),
    [anon_sym_mutable] = ACTIONS(5743),
    [anon_sym_constinit] = ACTIONS(5743),
    [anon_sym_consteval] = ACTIONS(5743),
    [sym_primitive_type] = ACTIONS(5743),
    [anon_sym_COLON] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5745),
    [anon_sym_LT_EQ_GT] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5743),
    [anon_sym_and] = ACTIONS(5743),
    [anon_sym_bitor] = ACTIONS(5743),
    [anon_sym_xor] = ACTIONS(5743),
    [anon_sym_bitand] = ACTIONS(5743),
    [anon_sym_not_eq] = ACTIONS(5743),
    [anon_sym_DASH_DASH] = ACTIONS(5745),
    [anon_sym_PLUS_PLUS] = ACTIONS(5745),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_DOT_STAR] = ACTIONS(5745),
    [anon_sym_DASH_GT] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5743),
    [anon_sym_decltype] = ACTIONS(5743),
    [anon_sym_final] = ACTIONS(5743),
    [anon_sym_override] = ACTIONS(5743),
    [anon_sym_requires] = ACTIONS(5743),
  },
  [2256] = {
    [sym_identifier] = ACTIONS(5747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5749),
    [anon_sym_COMMA] = ACTIONS(5749),
    [anon_sym_RPAREN] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [anon_sym_DASH] = ACTIONS(5747),
    [anon_sym_PLUS] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5749),
    [anon_sym_SLASH] = ACTIONS(5747),
    [anon_sym_PERCENT] = ACTIONS(5749),
    [anon_sym_PIPE_PIPE] = ACTIONS(5749),
    [anon_sym_AMP_AMP] = ACTIONS(5749),
    [anon_sym_PIPE] = ACTIONS(5747),
    [anon_sym_CARET] = ACTIONS(5749),
    [anon_sym_AMP] = ACTIONS(5747),
    [anon_sym_EQ_EQ] = ACTIONS(5749),
    [anon_sym_BANG_EQ] = ACTIONS(5749),
    [anon_sym_GT] = ACTIONS(5747),
    [anon_sym_GT_EQ] = ACTIONS(5749),
    [anon_sym_LT_EQ] = ACTIONS(5747),
    [anon_sym_LT] = ACTIONS(5747),
    [anon_sym_LT_LT] = ACTIONS(5749),
    [anon_sym_GT_GT] = ACTIONS(5749),
    [anon_sym_SEMI] = ACTIONS(5749),
    [anon_sym___extension__] = ACTIONS(5747),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym___based] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(5749),
    [anon_sym_RBRACE] = ACTIONS(5749),
    [anon_sym_signed] = ACTIONS(5747),
    [anon_sym_unsigned] = ACTIONS(5747),
    [anon_sym_long] = ACTIONS(5747),
    [anon_sym_short] = ACTIONS(5747),
    [anon_sym_LBRACK] = ACTIONS(5749),
    [anon_sym_RBRACK] = ACTIONS(5749),
    [anon_sym_const] = ACTIONS(5747),
    [anon_sym_constexpr] = ACTIONS(5747),
    [anon_sym_volatile] = ACTIONS(5747),
    [anon_sym_restrict] = ACTIONS(5747),
    [anon_sym___restrict__] = ACTIONS(5747),
    [anon_sym__Atomic] = ACTIONS(5747),
    [anon_sym__Noreturn] = ACTIONS(5747),
    [anon_sym_noreturn] = ACTIONS(5747),
    [anon_sym_mutable] = ACTIONS(5747),
    [anon_sym_constinit] = ACTIONS(5747),
    [anon_sym_consteval] = ACTIONS(5747),
    [sym_primitive_type] = ACTIONS(5747),
    [anon_sym_COLON] = ACTIONS(5749),
    [anon_sym_QMARK] = ACTIONS(5749),
    [anon_sym_LT_EQ_GT] = ACTIONS(5749),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5749),
    [anon_sym_PLUS_PLUS] = ACTIONS(5749),
    [anon_sym_DOT] = ACTIONS(5747),
    [anon_sym_DOT_STAR] = ACTIONS(5749),
    [anon_sym_DASH_GT] = ACTIONS(5749),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
    [anon_sym_final] = ACTIONS(5747),
    [anon_sym_override] = ACTIONS(5747),
    [anon_sym_requires] = ACTIONS(5747),
  },
  [2257] = {
    [sym_identifier] = ACTIONS(5751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5753),
    [anon_sym_COMMA] = ACTIONS(5753),
    [anon_sym_RPAREN] = ACTIONS(5753),
    [anon_sym_LPAREN2] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5751),
    [anon_sym_PLUS] = ACTIONS(5751),
    [anon_sym_STAR] = ACTIONS(5753),
    [anon_sym_SLASH] = ACTIONS(5751),
    [anon_sym_PERCENT] = ACTIONS(5753),
    [anon_sym_PIPE_PIPE] = ACTIONS(5753),
    [anon_sym_AMP_AMP] = ACTIONS(5753),
    [anon_sym_PIPE] = ACTIONS(5751),
    [anon_sym_CARET] = ACTIONS(5753),
    [anon_sym_AMP] = ACTIONS(5751),
    [anon_sym_EQ_EQ] = ACTIONS(5753),
    [anon_sym_BANG_EQ] = ACTIONS(5753),
    [anon_sym_GT] = ACTIONS(5751),
    [anon_sym_GT_EQ] = ACTIONS(5753),
    [anon_sym_LT_EQ] = ACTIONS(5751),
    [anon_sym_LT] = ACTIONS(5751),
    [anon_sym_LT_LT] = ACTIONS(5753),
    [anon_sym_GT_GT] = ACTIONS(5753),
    [anon_sym_SEMI] = ACTIONS(5753),
    [anon_sym___extension__] = ACTIONS(5751),
    [anon_sym___attribute__] = ACTIONS(5751),
    [anon_sym___based] = ACTIONS(5751),
    [anon_sym_LBRACE] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5753),
    [anon_sym_signed] = ACTIONS(5751),
    [anon_sym_unsigned] = ACTIONS(5751),
    [anon_sym_long] = ACTIONS(5751),
    [anon_sym_short] = ACTIONS(5751),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACK] = ACTIONS(5753),
    [anon_sym_const] = ACTIONS(5751),
    [anon_sym_constexpr] = ACTIONS(5751),
    [anon_sym_volatile] = ACTIONS(5751),
    [anon_sym_restrict] = ACTIONS(5751),
    [anon_sym___restrict__] = ACTIONS(5751),
    [anon_sym__Atomic] = ACTIONS(5751),
    [anon_sym__Noreturn] = ACTIONS(5751),
    [anon_sym_noreturn] = ACTIONS(5751),
    [anon_sym_mutable] = ACTIONS(5751),
    [anon_sym_constinit] = ACTIONS(5751),
    [anon_sym_consteval] = ACTIONS(5751),
    [sym_primitive_type] = ACTIONS(5751),
    [anon_sym_COLON] = ACTIONS(5753),
    [anon_sym_QMARK] = ACTIONS(5753),
    [anon_sym_LT_EQ_GT] = ACTIONS(5753),
    [anon_sym_or] = ACTIONS(5751),
    [anon_sym_and] = ACTIONS(5751),
    [anon_sym_bitor] = ACTIONS(5751),
    [anon_sym_xor] = ACTIONS(5751),
    [anon_sym_bitand] = ACTIONS(5751),
    [anon_sym_not_eq] = ACTIONS(5751),
    [anon_sym_DASH_DASH] = ACTIONS(5753),
    [anon_sym_PLUS_PLUS] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5751),
    [anon_sym_DOT_STAR] = ACTIONS(5753),
    [anon_sym_DASH_GT] = ACTIONS(5753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5751),
    [anon_sym_decltype] = ACTIONS(5751),
    [anon_sym_final] = ACTIONS(5751),
    [anon_sym_override] = ACTIONS(5751),
    [anon_sym_requires] = ACTIONS(5751),
  },
  [2258] = {
    [sym_identifier] = ACTIONS(5755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5757),
    [anon_sym_COMMA] = ACTIONS(5757),
    [anon_sym_RPAREN] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5757),
    [anon_sym_DASH] = ACTIONS(5755),
    [anon_sym_PLUS] = ACTIONS(5755),
    [anon_sym_STAR] = ACTIONS(5757),
    [anon_sym_SLASH] = ACTIONS(5755),
    [anon_sym_PERCENT] = ACTIONS(5757),
    [anon_sym_PIPE_PIPE] = ACTIONS(5757),
    [anon_sym_AMP_AMP] = ACTIONS(5757),
    [anon_sym_PIPE] = ACTIONS(5755),
    [anon_sym_CARET] = ACTIONS(5757),
    [anon_sym_AMP] = ACTIONS(5755),
    [anon_sym_EQ_EQ] = ACTIONS(5757),
    [anon_sym_BANG_EQ] = ACTIONS(5757),
    [anon_sym_GT] = ACTIONS(5755),
    [anon_sym_GT_EQ] = ACTIONS(5757),
    [anon_sym_LT_EQ] = ACTIONS(5755),
    [anon_sym_LT] = ACTIONS(5755),
    [anon_sym_LT_LT] = ACTIONS(5757),
    [anon_sym_GT_GT] = ACTIONS(5757),
    [anon_sym_SEMI] = ACTIONS(5757),
    [anon_sym___extension__] = ACTIONS(5755),
    [anon_sym___attribute__] = ACTIONS(5755),
    [anon_sym___based] = ACTIONS(5755),
    [anon_sym_LBRACE] = ACTIONS(5757),
    [anon_sym_RBRACE] = ACTIONS(5757),
    [anon_sym_signed] = ACTIONS(5755),
    [anon_sym_unsigned] = ACTIONS(5755),
    [anon_sym_long] = ACTIONS(5755),
    [anon_sym_short] = ACTIONS(5755),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_RBRACK] = ACTIONS(5757),
    [anon_sym_const] = ACTIONS(5755),
    [anon_sym_constexpr] = ACTIONS(5755),
    [anon_sym_volatile] = ACTIONS(5755),
    [anon_sym_restrict] = ACTIONS(5755),
    [anon_sym___restrict__] = ACTIONS(5755),
    [anon_sym__Atomic] = ACTIONS(5755),
    [anon_sym__Noreturn] = ACTIONS(5755),
    [anon_sym_noreturn] = ACTIONS(5755),
    [anon_sym_mutable] = ACTIONS(5755),
    [anon_sym_constinit] = ACTIONS(5755),
    [anon_sym_consteval] = ACTIONS(5755),
    [sym_primitive_type] = ACTIONS(5755),
    [anon_sym_COLON] = ACTIONS(5757),
    [anon_sym_QMARK] = ACTIONS(5757),
    [anon_sym_LT_EQ_GT] = ACTIONS(5757),
    [anon_sym_or] = ACTIONS(5755),
    [anon_sym_and] = ACTIONS(5755),
    [anon_sym_bitor] = ACTIONS(5755),
    [anon_sym_xor] = ACTIONS(5755),
    [anon_sym_bitand] = ACTIONS(5755),
    [anon_sym_not_eq] = ACTIONS(5755),
    [anon_sym_DASH_DASH] = ACTIONS(5757),
    [anon_sym_PLUS_PLUS] = ACTIONS(5757),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_DOT_STAR] = ACTIONS(5757),
    [anon_sym_DASH_GT] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5755),
    [anon_sym_decltype] = ACTIONS(5755),
    [anon_sym_final] = ACTIONS(5755),
    [anon_sym_override] = ACTIONS(5755),
    [anon_sym_requires] = ACTIONS(5755),
  },
  [2259] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4213),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2260] = {
    [sym_identifier] = ACTIONS(5759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5761),
    [anon_sym_COMMA] = ACTIONS(5761),
    [anon_sym_RPAREN] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5761),
    [anon_sym_SLASH] = ACTIONS(5759),
    [anon_sym_PERCENT] = ACTIONS(5761),
    [anon_sym_PIPE_PIPE] = ACTIONS(5761),
    [anon_sym_AMP_AMP] = ACTIONS(5761),
    [anon_sym_PIPE] = ACTIONS(5759),
    [anon_sym_CARET] = ACTIONS(5761),
    [anon_sym_AMP] = ACTIONS(5759),
    [anon_sym_EQ_EQ] = ACTIONS(5761),
    [anon_sym_BANG_EQ] = ACTIONS(5761),
    [anon_sym_GT] = ACTIONS(5759),
    [anon_sym_GT_EQ] = ACTIONS(5761),
    [anon_sym_LT_EQ] = ACTIONS(5759),
    [anon_sym_LT] = ACTIONS(5759),
    [anon_sym_LT_LT] = ACTIONS(5761),
    [anon_sym_GT_GT] = ACTIONS(5761),
    [anon_sym_SEMI] = ACTIONS(5761),
    [anon_sym___extension__] = ACTIONS(5759),
    [anon_sym___attribute__] = ACTIONS(5759),
    [anon_sym___based] = ACTIONS(5759),
    [anon_sym_LBRACE] = ACTIONS(5761),
    [anon_sym_RBRACE] = ACTIONS(5761),
    [anon_sym_signed] = ACTIONS(5759),
    [anon_sym_unsigned] = ACTIONS(5759),
    [anon_sym_long] = ACTIONS(5759),
    [anon_sym_short] = ACTIONS(5759),
    [anon_sym_LBRACK] = ACTIONS(5761),
    [anon_sym_RBRACK] = ACTIONS(5761),
    [anon_sym_const] = ACTIONS(5759),
    [anon_sym_constexpr] = ACTIONS(5759),
    [anon_sym_volatile] = ACTIONS(5759),
    [anon_sym_restrict] = ACTIONS(5759),
    [anon_sym___restrict__] = ACTIONS(5759),
    [anon_sym__Atomic] = ACTIONS(5759),
    [anon_sym__Noreturn] = ACTIONS(5759),
    [anon_sym_noreturn] = ACTIONS(5759),
    [anon_sym_mutable] = ACTIONS(5759),
    [anon_sym_constinit] = ACTIONS(5759),
    [anon_sym_consteval] = ACTIONS(5759),
    [sym_primitive_type] = ACTIONS(5759),
    [anon_sym_COLON] = ACTIONS(5761),
    [anon_sym_QMARK] = ACTIONS(5761),
    [anon_sym_LT_EQ_GT] = ACTIONS(5761),
    [anon_sym_or] = ACTIONS(5759),
    [anon_sym_and] = ACTIONS(5759),
    [anon_sym_bitor] = ACTIONS(5759),
    [anon_sym_xor] = ACTIONS(5759),
    [anon_sym_bitand] = ACTIONS(5759),
    [anon_sym_not_eq] = ACTIONS(5759),
    [anon_sym_DASH_DASH] = ACTIONS(5761),
    [anon_sym_PLUS_PLUS] = ACTIONS(5761),
    [anon_sym_DOT] = ACTIONS(5759),
    [anon_sym_DOT_STAR] = ACTIONS(5761),
    [anon_sym_DASH_GT] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5759),
    [anon_sym_decltype] = ACTIONS(5759),
    [anon_sym_final] = ACTIONS(5759),
    [anon_sym_override] = ACTIONS(5759),
    [anon_sym_requires] = ACTIONS(5759),
  },
  [2261] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5733),
    [anon_sym_COMMA] = ACTIONS(5733),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5731),
    [anon_sym_PLUS] = ACTIONS(5731),
    [anon_sym_STAR] = ACTIONS(5733),
    [anon_sym_SLASH] = ACTIONS(5731),
    [anon_sym_PERCENT] = ACTIONS(5733),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_PIPE] = ACTIONS(5731),
    [anon_sym_CARET] = ACTIONS(5733),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym_EQ_EQ] = ACTIONS(5733),
    [anon_sym_BANG_EQ] = ACTIONS(5733),
    [anon_sym_GT] = ACTIONS(5731),
    [anon_sym_GT_EQ] = ACTIONS(5733),
    [anon_sym_LT_EQ] = ACTIONS(5731),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_LT_LT] = ACTIONS(5733),
    [anon_sym_GT_GT] = ACTIONS(5733),
    [anon_sym_SEMI] = ACTIONS(5733),
    [anon_sym___extension__] = ACTIONS(5731),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym___based] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5733),
    [anon_sym_signed] = ACTIONS(5731),
    [anon_sym_unsigned] = ACTIONS(5731),
    [anon_sym_long] = ACTIONS(5731),
    [anon_sym_short] = ACTIONS(5731),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_const] = ACTIONS(5731),
    [anon_sym_constexpr] = ACTIONS(5731),
    [anon_sym_volatile] = ACTIONS(5731),
    [anon_sym_restrict] = ACTIONS(5731),
    [anon_sym___restrict__] = ACTIONS(5731),
    [anon_sym__Atomic] = ACTIONS(5731),
    [anon_sym__Noreturn] = ACTIONS(5731),
    [anon_sym_noreturn] = ACTIONS(5731),
    [anon_sym_mutable] = ACTIONS(5731),
    [anon_sym_constinit] = ACTIONS(5731),
    [anon_sym_consteval] = ACTIONS(5731),
    [sym_primitive_type] = ACTIONS(5731),
    [anon_sym_COLON] = ACTIONS(5733),
    [anon_sym_QMARK] = ACTIONS(5733),
    [anon_sym_LT_EQ_GT] = ACTIONS(5733),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [anon_sym_bitor] = ACTIONS(5731),
    [anon_sym_xor] = ACTIONS(5731),
    [anon_sym_bitand] = ACTIONS(5731),
    [anon_sym_not_eq] = ACTIONS(5731),
    [anon_sym_DASH_DASH] = ACTIONS(5733),
    [anon_sym_PLUS_PLUS] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_DOT_STAR] = ACTIONS(5733),
    [anon_sym_DASH_GT] = ACTIONS(5733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
    [anon_sym_final] = ACTIONS(5731),
    [anon_sym_override] = ACTIONS(5731),
    [anon_sym_requires] = ACTIONS(5731),
  },
  [2262] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2012),
    [sym_identifier] = ACTIONS(5282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5763),
    [anon_sym_COMMA] = ACTIONS(5763),
    [anon_sym_RPAREN] = ACTIONS(5763),
    [anon_sym_LPAREN2] = ACTIONS(5763),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5763),
    [anon_sym_SLASH] = ACTIONS(5766),
    [anon_sym_PERCENT] = ACTIONS(5763),
    [anon_sym_PIPE_PIPE] = ACTIONS(5763),
    [anon_sym_AMP_AMP] = ACTIONS(5763),
    [anon_sym_PIPE] = ACTIONS(5766),
    [anon_sym_CARET] = ACTIONS(5763),
    [anon_sym_AMP] = ACTIONS(5766),
    [anon_sym_EQ_EQ] = ACTIONS(5763),
    [anon_sym_BANG_EQ] = ACTIONS(5763),
    [anon_sym_GT] = ACTIONS(5766),
    [anon_sym_GT_EQ] = ACTIONS(5763),
    [anon_sym_LT_EQ] = ACTIONS(5766),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_LT_LT] = ACTIONS(5763),
    [anon_sym_GT_GT] = ACTIONS(5763),
    [anon_sym_SEMI] = ACTIONS(5763),
    [anon_sym___extension__] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym_LBRACE] = ACTIONS(5763),
    [anon_sym_RBRACE] = ACTIONS(5763),
    [anon_sym_signed] = ACTIONS(5286),
    [anon_sym_unsigned] = ACTIONS(5286),
    [anon_sym_long] = ACTIONS(5286),
    [anon_sym_short] = ACTIONS(5286),
    [anon_sym_LBRACK] = ACTIONS(5763),
    [anon_sym_RBRACK] = ACTIONS(5763),
    [anon_sym_const] = ACTIONS(5766),
    [anon_sym_constexpr] = ACTIONS(5766),
    [anon_sym_volatile] = ACTIONS(5766),
    [anon_sym_restrict] = ACTIONS(5766),
    [anon_sym___restrict__] = ACTIONS(5766),
    [anon_sym__Atomic] = ACTIONS(5766),
    [anon_sym__Noreturn] = ACTIONS(5766),
    [anon_sym_noreturn] = ACTIONS(5766),
    [anon_sym_mutable] = ACTIONS(5766),
    [anon_sym_constinit] = ACTIONS(5766),
    [anon_sym_consteval] = ACTIONS(5766),
    [sym_primitive_type] = ACTIONS(5282),
    [anon_sym_COLON] = ACTIONS(5763),
    [anon_sym_QMARK] = ACTIONS(5763),
    [anon_sym_LT_EQ_GT] = ACTIONS(5763),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5763),
    [anon_sym_PLUS_PLUS] = ACTIONS(5763),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_DOT_STAR] = ACTIONS(5763),
    [anon_sym_DASH_GT] = ACTIONS(5763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
    [anon_sym_final] = ACTIONS(5766),
    [anon_sym_override] = ACTIONS(5766),
    [anon_sym_requires] = ACTIONS(5766),
  },
  [2263] = {
    [sym_identifier] = ACTIONS(5769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5771),
    [anon_sym_COMMA] = ACTIONS(5771),
    [anon_sym_RPAREN] = ACTIONS(5771),
    [anon_sym_LPAREN2] = ACTIONS(5771),
    [anon_sym_DASH] = ACTIONS(5769),
    [anon_sym_PLUS] = ACTIONS(5769),
    [anon_sym_STAR] = ACTIONS(5771),
    [anon_sym_SLASH] = ACTIONS(5769),
    [anon_sym_PERCENT] = ACTIONS(5771),
    [anon_sym_PIPE_PIPE] = ACTIONS(5771),
    [anon_sym_AMP_AMP] = ACTIONS(5771),
    [anon_sym_PIPE] = ACTIONS(5769),
    [anon_sym_CARET] = ACTIONS(5771),
    [anon_sym_AMP] = ACTIONS(5769),
    [anon_sym_EQ_EQ] = ACTIONS(5771),
    [anon_sym_BANG_EQ] = ACTIONS(5771),
    [anon_sym_GT] = ACTIONS(5769),
    [anon_sym_GT_EQ] = ACTIONS(5771),
    [anon_sym_LT_EQ] = ACTIONS(5769),
    [anon_sym_LT] = ACTIONS(5769),
    [anon_sym_LT_LT] = ACTIONS(5771),
    [anon_sym_GT_GT] = ACTIONS(5771),
    [anon_sym_SEMI] = ACTIONS(5771),
    [anon_sym___extension__] = ACTIONS(5769),
    [anon_sym___attribute__] = ACTIONS(5769),
    [anon_sym___based] = ACTIONS(5769),
    [anon_sym_LBRACE] = ACTIONS(5771),
    [anon_sym_RBRACE] = ACTIONS(5771),
    [anon_sym_signed] = ACTIONS(5769),
    [anon_sym_unsigned] = ACTIONS(5769),
    [anon_sym_long] = ACTIONS(5769),
    [anon_sym_short] = ACTIONS(5769),
    [anon_sym_LBRACK] = ACTIONS(5771),
    [anon_sym_RBRACK] = ACTIONS(5771),
    [anon_sym_const] = ACTIONS(5769),
    [anon_sym_constexpr] = ACTIONS(5769),
    [anon_sym_volatile] = ACTIONS(5769),
    [anon_sym_restrict] = ACTIONS(5769),
    [anon_sym___restrict__] = ACTIONS(5769),
    [anon_sym__Atomic] = ACTIONS(5769),
    [anon_sym__Noreturn] = ACTIONS(5769),
    [anon_sym_noreturn] = ACTIONS(5769),
    [anon_sym_mutable] = ACTIONS(5769),
    [anon_sym_constinit] = ACTIONS(5769),
    [anon_sym_consteval] = ACTIONS(5769),
    [sym_primitive_type] = ACTIONS(5769),
    [anon_sym_COLON] = ACTIONS(5771),
    [anon_sym_QMARK] = ACTIONS(5771),
    [anon_sym_LT_EQ_GT] = ACTIONS(5771),
    [anon_sym_or] = ACTIONS(5769),
    [anon_sym_and] = ACTIONS(5769),
    [anon_sym_bitor] = ACTIONS(5769),
    [anon_sym_xor] = ACTIONS(5769),
    [anon_sym_bitand] = ACTIONS(5769),
    [anon_sym_not_eq] = ACTIONS(5769),
    [anon_sym_DASH_DASH] = ACTIONS(5771),
    [anon_sym_PLUS_PLUS] = ACTIONS(5771),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_DOT_STAR] = ACTIONS(5771),
    [anon_sym_DASH_GT] = ACTIONS(5771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5769),
    [anon_sym_decltype] = ACTIONS(5769),
    [anon_sym_final] = ACTIONS(5769),
    [anon_sym_override] = ACTIONS(5769),
    [anon_sym_requires] = ACTIONS(5769),
  },
  [2264] = {
    [sym_identifier] = ACTIONS(5773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5775),
    [anon_sym_COMMA] = ACTIONS(5775),
    [anon_sym_RPAREN] = ACTIONS(5775),
    [anon_sym_LPAREN2] = ACTIONS(5775),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_STAR] = ACTIONS(5775),
    [anon_sym_SLASH] = ACTIONS(5773),
    [anon_sym_PERCENT] = ACTIONS(5775),
    [anon_sym_PIPE_PIPE] = ACTIONS(5775),
    [anon_sym_AMP_AMP] = ACTIONS(5775),
    [anon_sym_PIPE] = ACTIONS(5773),
    [anon_sym_CARET] = ACTIONS(5775),
    [anon_sym_AMP] = ACTIONS(5773),
    [anon_sym_EQ_EQ] = ACTIONS(5775),
    [anon_sym_BANG_EQ] = ACTIONS(5775),
    [anon_sym_GT] = ACTIONS(5773),
    [anon_sym_GT_EQ] = ACTIONS(5775),
    [anon_sym_LT_EQ] = ACTIONS(5773),
    [anon_sym_LT] = ACTIONS(5773),
    [anon_sym_LT_LT] = ACTIONS(5775),
    [anon_sym_GT_GT] = ACTIONS(5775),
    [anon_sym_SEMI] = ACTIONS(5775),
    [anon_sym___extension__] = ACTIONS(5773),
    [anon_sym___attribute__] = ACTIONS(5773),
    [anon_sym___based] = ACTIONS(5773),
    [anon_sym_LBRACE] = ACTIONS(5775),
    [anon_sym_RBRACE] = ACTIONS(5775),
    [anon_sym_signed] = ACTIONS(5773),
    [anon_sym_unsigned] = ACTIONS(5773),
    [anon_sym_long] = ACTIONS(5773),
    [anon_sym_short] = ACTIONS(5773),
    [anon_sym_LBRACK] = ACTIONS(5775),
    [anon_sym_RBRACK] = ACTIONS(5775),
    [anon_sym_const] = ACTIONS(5773),
    [anon_sym_constexpr] = ACTIONS(5773),
    [anon_sym_volatile] = ACTIONS(5773),
    [anon_sym_restrict] = ACTIONS(5773),
    [anon_sym___restrict__] = ACTIONS(5773),
    [anon_sym__Atomic] = ACTIONS(5773),
    [anon_sym__Noreturn] = ACTIONS(5773),
    [anon_sym_noreturn] = ACTIONS(5773),
    [anon_sym_mutable] = ACTIONS(5773),
    [anon_sym_constinit] = ACTIONS(5773),
    [anon_sym_consteval] = ACTIONS(5773),
    [sym_primitive_type] = ACTIONS(5773),
    [anon_sym_COLON] = ACTIONS(5775),
    [anon_sym_QMARK] = ACTIONS(5775),
    [anon_sym_LT_EQ_GT] = ACTIONS(5775),
    [anon_sym_or] = ACTIONS(5773),
    [anon_sym_and] = ACTIONS(5773),
    [anon_sym_bitor] = ACTIONS(5773),
    [anon_sym_xor] = ACTIONS(5773),
    [anon_sym_bitand] = ACTIONS(5773),
    [anon_sym_not_eq] = ACTIONS(5773),
    [anon_sym_DASH_DASH] = ACTIONS(5775),
    [anon_sym_PLUS_PLUS] = ACTIONS(5775),
    [anon_sym_DOT] = ACTIONS(5773),
    [anon_sym_DOT_STAR] = ACTIONS(5775),
    [anon_sym_DASH_GT] = ACTIONS(5775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5773),
    [anon_sym_decltype] = ACTIONS(5773),
    [anon_sym_final] = ACTIONS(5773),
    [anon_sym_override] = ACTIONS(5773),
    [anon_sym_requires] = ACTIONS(5773),
  },
  [2265] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5805),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2266] = {
    [sym_catch_clause] = STATE(2266),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2266),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_RBRACE] = ACTIONS(2823),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5777),
  },
  [2267] = {
    [sym_string_literal] = STATE(2267),
    [sym_raw_string_literal] = STATE(2267),
    [aux_sym_concatenated_string_repeat1] = STATE(2267),
    [sym_identifier] = ACTIONS(5780),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5240),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5242),
    [anon_sym_GT_GT] = ACTIONS(5242),
    [anon_sym_SEMI] = ACTIONS(5240),
    [anon_sym___attribute__] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_STAR_EQ] = ACTIONS(5240),
    [anon_sym_SLASH_EQ] = ACTIONS(5240),
    [anon_sym_PERCENT_EQ] = ACTIONS(5240),
    [anon_sym_PLUS_EQ] = ACTIONS(5240),
    [anon_sym_DASH_EQ] = ACTIONS(5240),
    [anon_sym_LT_LT_EQ] = ACTIONS(5240),
    [anon_sym_GT_GT_EQ] = ACTIONS(5240),
    [anon_sym_AMP_EQ] = ACTIONS(5240),
    [anon_sym_CARET_EQ] = ACTIONS(5240),
    [anon_sym_PIPE_EQ] = ACTIONS(5240),
    [anon_sym_and_eq] = ACTIONS(5242),
    [anon_sym_or_eq] = ACTIONS(5242),
    [anon_sym_xor_eq] = ACTIONS(5242),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5240),
    [anon_sym_L_DQUOTE] = ACTIONS(5783),
    [anon_sym_u_DQUOTE] = ACTIONS(5783),
    [anon_sym_U_DQUOTE] = ACTIONS(5783),
    [anon_sym_u8_DQUOTE] = ACTIONS(5783),
    [anon_sym_DQUOTE] = ACTIONS(5783),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5786),
    [anon_sym_LR_DQUOTE] = ACTIONS(5786),
    [anon_sym_uR_DQUOTE] = ACTIONS(5786),
    [anon_sym_UR_DQUOTE] = ACTIONS(5786),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5786),
    [sym_literal_suffix] = ACTIONS(5242),
  },
  [2268] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5767),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2269] = {
    [sym_identifier] = ACTIONS(5789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5791),
    [anon_sym_COMMA] = ACTIONS(5791),
    [anon_sym_RPAREN] = ACTIONS(5791),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5789),
    [anon_sym_PLUS] = ACTIONS(5789),
    [anon_sym_STAR] = ACTIONS(5791),
    [anon_sym_SLASH] = ACTIONS(5789),
    [anon_sym_PERCENT] = ACTIONS(5791),
    [anon_sym_PIPE_PIPE] = ACTIONS(5791),
    [anon_sym_AMP_AMP] = ACTIONS(5791),
    [anon_sym_PIPE] = ACTIONS(5789),
    [anon_sym_CARET] = ACTIONS(5791),
    [anon_sym_AMP] = ACTIONS(5789),
    [anon_sym_EQ_EQ] = ACTIONS(5791),
    [anon_sym_BANG_EQ] = ACTIONS(5791),
    [anon_sym_GT] = ACTIONS(5789),
    [anon_sym_GT_EQ] = ACTIONS(5791),
    [anon_sym_LT_EQ] = ACTIONS(5789),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(5791),
    [anon_sym_GT_GT] = ACTIONS(5791),
    [anon_sym_SEMI] = ACTIONS(5791),
    [anon_sym___extension__] = ACTIONS(5789),
    [anon_sym___attribute__] = ACTIONS(5789),
    [anon_sym___based] = ACTIONS(5789),
    [anon_sym_LBRACE] = ACTIONS(5791),
    [anon_sym_RBRACE] = ACTIONS(5791),
    [anon_sym_signed] = ACTIONS(5789),
    [anon_sym_unsigned] = ACTIONS(5789),
    [anon_sym_long] = ACTIONS(5789),
    [anon_sym_short] = ACTIONS(5789),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_RBRACK] = ACTIONS(5791),
    [anon_sym_const] = ACTIONS(5789),
    [anon_sym_constexpr] = ACTIONS(5789),
    [anon_sym_volatile] = ACTIONS(5789),
    [anon_sym_restrict] = ACTIONS(5789),
    [anon_sym___restrict__] = ACTIONS(5789),
    [anon_sym__Atomic] = ACTIONS(5789),
    [anon_sym__Noreturn] = ACTIONS(5789),
    [anon_sym_noreturn] = ACTIONS(5789),
    [anon_sym_mutable] = ACTIONS(5789),
    [anon_sym_constinit] = ACTIONS(5789),
    [anon_sym_consteval] = ACTIONS(5789),
    [sym_primitive_type] = ACTIONS(5789),
    [anon_sym_COLON] = ACTIONS(5791),
    [anon_sym_QMARK] = ACTIONS(5791),
    [anon_sym_LT_EQ_GT] = ACTIONS(5791),
    [anon_sym_or] = ACTIONS(5789),
    [anon_sym_and] = ACTIONS(5789),
    [anon_sym_bitor] = ACTIONS(5789),
    [anon_sym_xor] = ACTIONS(5789),
    [anon_sym_bitand] = ACTIONS(5789),
    [anon_sym_not_eq] = ACTIONS(5789),
    [anon_sym_DASH_DASH] = ACTIONS(5791),
    [anon_sym_PLUS_PLUS] = ACTIONS(5791),
    [anon_sym_DOT] = ACTIONS(5789),
    [anon_sym_DOT_STAR] = ACTIONS(5791),
    [anon_sym_DASH_GT] = ACTIONS(5791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
    [anon_sym_final] = ACTIONS(5789),
    [anon_sym_override] = ACTIONS(5789),
    [anon_sym_requires] = ACTIONS(5789),
  },
  [2270] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5721),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5721),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5721),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5721),
    [anon_sym_GT_GT] = ACTIONS(5721),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___extension__] = ACTIONS(5719),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(5719),
    [anon_sym_constexpr] = ACTIONS(5719),
    [anon_sym_volatile] = ACTIONS(5719),
    [anon_sym_restrict] = ACTIONS(5719),
    [anon_sym___restrict__] = ACTIONS(5719),
    [anon_sym__Atomic] = ACTIONS(5719),
    [anon_sym__Noreturn] = ACTIONS(5719),
    [anon_sym_noreturn] = ACTIONS(5719),
    [anon_sym_mutable] = ACTIONS(5719),
    [anon_sym_constinit] = ACTIONS(5719),
    [anon_sym_consteval] = ACTIONS(5719),
    [sym_primitive_type] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
    [anon_sym_final] = ACTIONS(5719),
    [anon_sym_override] = ACTIONS(5719),
    [anon_sym_requires] = ACTIONS(5719),
  },
  [2271] = {
    [sym_string_literal] = STATE(2271),
    [sym_raw_string_literal] = STATE(2271),
    [aux_sym_concatenated_string_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(5793),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [anon_sym_RPAREN] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5240),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5242),
    [anon_sym_GT_GT] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_STAR_EQ] = ACTIONS(5240),
    [anon_sym_SLASH_EQ] = ACTIONS(5240),
    [anon_sym_PERCENT_EQ] = ACTIONS(5240),
    [anon_sym_PLUS_EQ] = ACTIONS(5240),
    [anon_sym_DASH_EQ] = ACTIONS(5240),
    [anon_sym_LT_LT_EQ] = ACTIONS(5240),
    [anon_sym_GT_GT_EQ] = ACTIONS(5240),
    [anon_sym_AMP_EQ] = ACTIONS(5240),
    [anon_sym_CARET_EQ] = ACTIONS(5240),
    [anon_sym_PIPE_EQ] = ACTIONS(5240),
    [anon_sym_and_eq] = ACTIONS(5242),
    [anon_sym_or_eq] = ACTIONS(5242),
    [anon_sym_xor_eq] = ACTIONS(5242),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5242),
    [anon_sym_L_DQUOTE] = ACTIONS(5796),
    [anon_sym_u_DQUOTE] = ACTIONS(5796),
    [anon_sym_U_DQUOTE] = ACTIONS(5796),
    [anon_sym_u8_DQUOTE] = ACTIONS(5796),
    [anon_sym_DQUOTE] = ACTIONS(5796),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5799),
    [anon_sym_LR_DQUOTE] = ACTIONS(5799),
    [anon_sym_uR_DQUOTE] = ACTIONS(5799),
    [anon_sym_UR_DQUOTE] = ACTIONS(5799),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5799),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5240),
    [sym_literal_suffix] = ACTIONS(5242),
  },
  [2272] = {
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5804),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5804),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5804),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5804),
    [anon_sym_GT_GT] = ACTIONS(5804),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___extension__] = ACTIONS(5802),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym___based] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_signed] = ACTIONS(5802),
    [anon_sym_unsigned] = ACTIONS(5802),
    [anon_sym_long] = ACTIONS(5802),
    [anon_sym_short] = ACTIONS(5802),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_const] = ACTIONS(5802),
    [anon_sym_constexpr] = ACTIONS(5802),
    [anon_sym_volatile] = ACTIONS(5802),
    [anon_sym_restrict] = ACTIONS(5802),
    [anon_sym___restrict__] = ACTIONS(5802),
    [anon_sym__Atomic] = ACTIONS(5802),
    [anon_sym__Noreturn] = ACTIONS(5802),
    [anon_sym_noreturn] = ACTIONS(5802),
    [anon_sym_mutable] = ACTIONS(5802),
    [anon_sym_constinit] = ACTIONS(5802),
    [anon_sym_consteval] = ACTIONS(5802),
    [sym_primitive_type] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
    [anon_sym_final] = ACTIONS(5802),
    [anon_sym_override] = ACTIONS(5802),
    [anon_sym_requires] = ACTIONS(5802),
  },
  [2273] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4169),
    [anon_sym_COLON] = ACTIONS(4353),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4173),
    [anon_sym_SLASH_EQ] = ACTIONS(4173),
    [anon_sym_PERCENT_EQ] = ACTIONS(4173),
    [anon_sym_PLUS_EQ] = ACTIONS(4173),
    [anon_sym_DASH_EQ] = ACTIONS(4173),
    [anon_sym_LT_LT_EQ] = ACTIONS(4173),
    [anon_sym_GT_GT_EQ] = ACTIONS(4173),
    [anon_sym_AMP_EQ] = ACTIONS(4173),
    [anon_sym_CARET_EQ] = ACTIONS(4173),
    [anon_sym_PIPE_EQ] = ACTIONS(4173),
    [anon_sym_and_eq] = ACTIONS(4173),
    [anon_sym_or_eq] = ACTIONS(4173),
    [anon_sym_xor_eq] = ACTIONS(4173),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2274] = {
    [sym_attribute_specifier] = STATE(2490),
    [sym_enumerator_list] = STATE(2326),
    [sym_identifier] = ACTIONS(5806),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5808),
    [anon_sym_COMMA] = ACTIONS(5808),
    [anon_sym_RPAREN] = ACTIONS(5808),
    [aux_sym_preproc_if_token2] = ACTIONS(5808),
    [aux_sym_preproc_else_token1] = ACTIONS(5808),
    [aux_sym_preproc_elif_token1] = ACTIONS(5806),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5808),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5808),
    [anon_sym_LPAREN2] = ACTIONS(5808),
    [anon_sym_DASH] = ACTIONS(5806),
    [anon_sym_PLUS] = ACTIONS(5806),
    [anon_sym_STAR] = ACTIONS(5806),
    [anon_sym_SLASH] = ACTIONS(5806),
    [anon_sym_PERCENT] = ACTIONS(5806),
    [anon_sym_PIPE_PIPE] = ACTIONS(5808),
    [anon_sym_AMP_AMP] = ACTIONS(5808),
    [anon_sym_PIPE] = ACTIONS(5806),
    [anon_sym_CARET] = ACTIONS(5806),
    [anon_sym_AMP] = ACTIONS(5806),
    [anon_sym_EQ_EQ] = ACTIONS(5808),
    [anon_sym_BANG_EQ] = ACTIONS(5808),
    [anon_sym_GT] = ACTIONS(5806),
    [anon_sym_GT_EQ] = ACTIONS(5808),
    [anon_sym_LT_EQ] = ACTIONS(5806),
    [anon_sym_LT] = ACTIONS(5806),
    [anon_sym_LT_LT] = ACTIONS(5806),
    [anon_sym_GT_GT] = ACTIONS(5806),
    [anon_sym_SEMI] = ACTIONS(5808),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5709),
    [anon_sym_RBRACE] = ACTIONS(5808),
    [anon_sym_LBRACK] = ACTIONS(5808),
    [anon_sym_RBRACK] = ACTIONS(5808),
    [anon_sym_EQ] = ACTIONS(5806),
    [anon_sym_COLON] = ACTIONS(5808),
    [anon_sym_QMARK] = ACTIONS(5808),
    [anon_sym_STAR_EQ] = ACTIONS(5808),
    [anon_sym_SLASH_EQ] = ACTIONS(5808),
    [anon_sym_PERCENT_EQ] = ACTIONS(5808),
    [anon_sym_PLUS_EQ] = ACTIONS(5808),
    [anon_sym_DASH_EQ] = ACTIONS(5808),
    [anon_sym_LT_LT_EQ] = ACTIONS(5808),
    [anon_sym_GT_GT_EQ] = ACTIONS(5808),
    [anon_sym_AMP_EQ] = ACTIONS(5808),
    [anon_sym_CARET_EQ] = ACTIONS(5808),
    [anon_sym_PIPE_EQ] = ACTIONS(5808),
    [anon_sym_and_eq] = ACTIONS(5806),
    [anon_sym_or_eq] = ACTIONS(5806),
    [anon_sym_xor_eq] = ACTIONS(5806),
    [anon_sym_LT_EQ_GT] = ACTIONS(5808),
    [anon_sym_or] = ACTIONS(5806),
    [anon_sym_and] = ACTIONS(5806),
    [anon_sym_bitor] = ACTIONS(5806),
    [anon_sym_xor] = ACTIONS(5806),
    [anon_sym_bitand] = ACTIONS(5806),
    [anon_sym_not_eq] = ACTIONS(5806),
    [anon_sym_DASH_DASH] = ACTIONS(5808),
    [anon_sym_PLUS_PLUS] = ACTIONS(5808),
    [anon_sym_DOT] = ACTIONS(5806),
    [anon_sym_DOT_STAR] = ACTIONS(5808),
    [anon_sym_DASH_GT] = ACTIONS(5808),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5806),
    [anon_sym_decltype] = ACTIONS(5806),
  },
  [2275] = {
    [sym_string_literal] = STATE(2267),
    [sym_raw_string_literal] = STATE(2267),
    [aux_sym_concatenated_string_repeat1] = STATE(2267),
    [sym_identifier] = ACTIONS(5810),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5199),
    [anon_sym_COMMA] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5199),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5199),
    [anon_sym_AMP_AMP] = ACTIONS(5199),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5199),
    [anon_sym_BANG_EQ] = ACTIONS(5199),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5199),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_SEMI] = ACTIONS(5199),
    [anon_sym___attribute__] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5199),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_STAR_EQ] = ACTIONS(5199),
    [anon_sym_SLASH_EQ] = ACTIONS(5199),
    [anon_sym_PERCENT_EQ] = ACTIONS(5199),
    [anon_sym_PLUS_EQ] = ACTIONS(5199),
    [anon_sym_DASH_EQ] = ACTIONS(5199),
    [anon_sym_LT_LT_EQ] = ACTIONS(5199),
    [anon_sym_GT_GT_EQ] = ACTIONS(5199),
    [anon_sym_AMP_EQ] = ACTIONS(5199),
    [anon_sym_CARET_EQ] = ACTIONS(5199),
    [anon_sym_PIPE_EQ] = ACTIONS(5199),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5199),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5199),
    [anon_sym_PLUS_PLUS] = ACTIONS(5199),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5199),
    [anon_sym_DASH_GT] = ACTIONS(5199),
    [anon_sym_L_DQUOTE] = ACTIONS(5630),
    [anon_sym_u_DQUOTE] = ACTIONS(5630),
    [anon_sym_U_DQUOTE] = ACTIONS(5630),
    [anon_sym_u8_DQUOTE] = ACTIONS(5630),
    [anon_sym_DQUOTE] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5632),
    [anon_sym_LR_DQUOTE] = ACTIONS(5632),
    [anon_sym_uR_DQUOTE] = ACTIONS(5632),
    [anon_sym_UR_DQUOTE] = ACTIONS(5632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5632),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [2276] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5721),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5721),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5721),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5721),
    [anon_sym_GT_GT] = ACTIONS(5721),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___extension__] = ACTIONS(5719),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym___based] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_signed] = ACTIONS(5719),
    [anon_sym_unsigned] = ACTIONS(5719),
    [anon_sym_long] = ACTIONS(5719),
    [anon_sym_short] = ACTIONS(5719),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_const] = ACTIONS(5719),
    [anon_sym_constexpr] = ACTIONS(5719),
    [anon_sym_volatile] = ACTIONS(5719),
    [anon_sym_restrict] = ACTIONS(5719),
    [anon_sym___restrict__] = ACTIONS(5719),
    [anon_sym__Atomic] = ACTIONS(5719),
    [anon_sym__Noreturn] = ACTIONS(5719),
    [anon_sym_noreturn] = ACTIONS(5719),
    [anon_sym_mutable] = ACTIONS(5719),
    [anon_sym_constinit] = ACTIONS(5719),
    [anon_sym_consteval] = ACTIONS(5719),
    [sym_primitive_type] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
    [anon_sym_final] = ACTIONS(5719),
    [anon_sym_override] = ACTIONS(5719),
    [anon_sym_requires] = ACTIONS(5719),
  },
  [2277] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5041),
    [anon_sym_COMMA] = ACTIONS(5041),
    [anon_sym_LPAREN2] = ACTIONS(5041),
    [anon_sym_DASH] = ACTIONS(5046),
    [anon_sym_PLUS] = ACTIONS(5046),
    [anon_sym_STAR] = ACTIONS(5048),
    [anon_sym_SLASH] = ACTIONS(5046),
    [anon_sym_PERCENT] = ACTIONS(5046),
    [anon_sym_PIPE_PIPE] = ACTIONS(5051),
    [anon_sym_AMP_AMP] = ACTIONS(5041),
    [anon_sym_PIPE] = ACTIONS(5046),
    [anon_sym_CARET] = ACTIONS(5046),
    [anon_sym_AMP] = ACTIONS(5048),
    [anon_sym_EQ_EQ] = ACTIONS(5051),
    [anon_sym_BANG_EQ] = ACTIONS(5051),
    [anon_sym_GT] = ACTIONS(5046),
    [anon_sym_GT_EQ] = ACTIONS(5046),
    [anon_sym_LT_EQ] = ACTIONS(5046),
    [anon_sym_LT] = ACTIONS(5046),
    [anon_sym_LT_LT] = ACTIONS(5046),
    [anon_sym_GT_GT] = ACTIONS(5046),
    [anon_sym___extension__] = ACTIONS(5044),
    [anon_sym_COLON_COLON] = ACTIONS(5044),
    [anon_sym_LBRACE] = ACTIONS(5044),
    [anon_sym_LBRACK] = ACTIONS(5041),
    [anon_sym_EQ] = ACTIONS(5046),
    [anon_sym_const] = ACTIONS(5039),
    [anon_sym_constexpr] = ACTIONS(5044),
    [anon_sym_volatile] = ACTIONS(5044),
    [anon_sym_restrict] = ACTIONS(5044),
    [anon_sym___restrict__] = ACTIONS(5044),
    [anon_sym__Atomic] = ACTIONS(5044),
    [anon_sym__Noreturn] = ACTIONS(5044),
    [anon_sym_noreturn] = ACTIONS(5044),
    [anon_sym_mutable] = ACTIONS(5044),
    [anon_sym_constinit] = ACTIONS(5044),
    [anon_sym_consteval] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5051),
    [anon_sym_STAR_EQ] = ACTIONS(5051),
    [anon_sym_SLASH_EQ] = ACTIONS(5051),
    [anon_sym_PERCENT_EQ] = ACTIONS(5051),
    [anon_sym_PLUS_EQ] = ACTIONS(5051),
    [anon_sym_DASH_EQ] = ACTIONS(5051),
    [anon_sym_LT_LT_EQ] = ACTIONS(5051),
    [anon_sym_GT_GT_EQ] = ACTIONS(5046),
    [anon_sym_AMP_EQ] = ACTIONS(5051),
    [anon_sym_CARET_EQ] = ACTIONS(5051),
    [anon_sym_PIPE_EQ] = ACTIONS(5051),
    [anon_sym_and_eq] = ACTIONS(5051),
    [anon_sym_or_eq] = ACTIONS(5051),
    [anon_sym_xor_eq] = ACTIONS(5051),
    [anon_sym_LT_EQ_GT] = ACTIONS(5051),
    [anon_sym_or] = ACTIONS(5046),
    [anon_sym_and] = ACTIONS(5046),
    [anon_sym_bitor] = ACTIONS(5051),
    [anon_sym_xor] = ACTIONS(5046),
    [anon_sym_bitand] = ACTIONS(5051),
    [anon_sym_not_eq] = ACTIONS(5051),
    [anon_sym_DASH_DASH] = ACTIONS(5051),
    [anon_sym_PLUS_PLUS] = ACTIONS(5051),
    [anon_sym_DOT] = ACTIONS(5046),
    [anon_sym_DOT_STAR] = ACTIONS(5051),
    [anon_sym_DASH_GT] = ACTIONS(5051),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5044),
    [anon_sym_decltype] = ACTIONS(5044),
    [anon_sym_GT2] = ACTIONS(5041),
  },
  [2278] = {
    [sym_string_literal] = STATE(2271),
    [sym_raw_string_literal] = STATE(2271),
    [aux_sym_concatenated_string_repeat1] = STATE(2271),
    [sym_identifier] = ACTIONS(5812),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5199),
    [anon_sym_COMMA] = ACTIONS(5199),
    [anon_sym_RPAREN] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5199),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5199),
    [anon_sym_AMP_AMP] = ACTIONS(5199),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5199),
    [anon_sym_BANG_EQ] = ACTIONS(5199),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5199),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5199),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_STAR_EQ] = ACTIONS(5199),
    [anon_sym_SLASH_EQ] = ACTIONS(5199),
    [anon_sym_PERCENT_EQ] = ACTIONS(5199),
    [anon_sym_PLUS_EQ] = ACTIONS(5199),
    [anon_sym_DASH_EQ] = ACTIONS(5199),
    [anon_sym_LT_LT_EQ] = ACTIONS(5199),
    [anon_sym_GT_GT_EQ] = ACTIONS(5199),
    [anon_sym_AMP_EQ] = ACTIONS(5199),
    [anon_sym_CARET_EQ] = ACTIONS(5199),
    [anon_sym_PIPE_EQ] = ACTIONS(5199),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5199),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5199),
    [anon_sym_PLUS_PLUS] = ACTIONS(5199),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5199),
    [anon_sym_DASH_GT] = ACTIONS(5201),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(5199),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [2279] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [aux_sym_preproc_else_token1] = ACTIONS(2186),
    [aux_sym_preproc_elif_token1] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
  },
  [2280] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [aux_sym_preproc_else_token1] = ACTIONS(2136),
    [aux_sym_preproc_elif_token1] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_friend] = ACTIONS(2136),
    [anon_sym_public] = ACTIONS(2136),
    [anon_sym_private] = ACTIONS(2136),
    [anon_sym_protected] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
  },
  [2281] = {
    [sym_catch_clause] = STATE(2281),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2281),
    [sym_identifier] = ACTIONS(2821),
    [aux_sym_preproc_def_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token1] = ACTIONS(2821),
    [aux_sym_preproc_if_token2] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2821),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2821),
    [sym_preproc_directive] = ACTIONS(2821),
    [anon_sym_LPAREN2] = ACTIONS(2823),
    [anon_sym_TILDE] = ACTIONS(2823),
    [anon_sym_STAR] = ACTIONS(2823),
    [anon_sym_AMP_AMP] = ACTIONS(2823),
    [anon_sym_AMP] = ACTIONS(2821),
    [anon_sym___extension__] = ACTIONS(2821),
    [anon_sym_typedef] = ACTIONS(2821),
    [anon_sym_extern] = ACTIONS(2821),
    [anon_sym___attribute__] = ACTIONS(2821),
    [anon_sym_COLON_COLON] = ACTIONS(2823),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2823),
    [anon_sym___declspec] = ACTIONS(2821),
    [anon_sym___based] = ACTIONS(2821),
    [anon_sym_signed] = ACTIONS(2821),
    [anon_sym_unsigned] = ACTIONS(2821),
    [anon_sym_long] = ACTIONS(2821),
    [anon_sym_short] = ACTIONS(2821),
    [anon_sym_LBRACK] = ACTIONS(2821),
    [anon_sym_static] = ACTIONS(2821),
    [anon_sym_register] = ACTIONS(2821),
    [anon_sym_inline] = ACTIONS(2821),
    [anon_sym___inline] = ACTIONS(2821),
    [anon_sym___inline__] = ACTIONS(2821),
    [anon_sym___forceinline] = ACTIONS(2821),
    [anon_sym_thread_local] = ACTIONS(2821),
    [anon_sym___thread] = ACTIONS(2821),
    [anon_sym_const] = ACTIONS(2821),
    [anon_sym_constexpr] = ACTIONS(2821),
    [anon_sym_volatile] = ACTIONS(2821),
    [anon_sym_restrict] = ACTIONS(2821),
    [anon_sym___restrict__] = ACTIONS(2821),
    [anon_sym__Atomic] = ACTIONS(2821),
    [anon_sym__Noreturn] = ACTIONS(2821),
    [anon_sym_noreturn] = ACTIONS(2821),
    [anon_sym_mutable] = ACTIONS(2821),
    [anon_sym_constinit] = ACTIONS(2821),
    [anon_sym_consteval] = ACTIONS(2821),
    [sym_primitive_type] = ACTIONS(2821),
    [anon_sym_enum] = ACTIONS(2821),
    [anon_sym_class] = ACTIONS(2821),
    [anon_sym_struct] = ACTIONS(2821),
    [anon_sym_union] = ACTIONS(2821),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2821),
    [anon_sym_decltype] = ACTIONS(2821),
    [anon_sym_virtual] = ACTIONS(2821),
    [anon_sym_alignas] = ACTIONS(2821),
    [anon_sym_explicit] = ACTIONS(2821),
    [anon_sym_typename] = ACTIONS(2821),
    [anon_sym_template] = ACTIONS(2821),
    [anon_sym_operator] = ACTIONS(2821),
    [anon_sym_friend] = ACTIONS(2821),
    [anon_sym_public] = ACTIONS(2821),
    [anon_sym_private] = ACTIONS(2821),
    [anon_sym_protected] = ACTIONS(2821),
    [anon_sym_using] = ACTIONS(2821),
    [anon_sym_static_assert] = ACTIONS(2821),
    [anon_sym_catch] = ACTIONS(5814),
  },
  [2282] = {
    [sym_catch_clause] = STATE(2281),
    [aux_sym_constructor_try_statement_repeat1] = STATE(2281),
    [sym_identifier] = ACTIONS(2832),
    [aux_sym_preproc_def_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token1] = ACTIONS(2832),
    [aux_sym_preproc_if_token2] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2832),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2832),
    [sym_preproc_directive] = ACTIONS(2832),
    [anon_sym_LPAREN2] = ACTIONS(2834),
    [anon_sym_TILDE] = ACTIONS(2834),
    [anon_sym_STAR] = ACTIONS(2834),
    [anon_sym_AMP_AMP] = ACTIONS(2834),
    [anon_sym_AMP] = ACTIONS(2832),
    [anon_sym___extension__] = ACTIONS(2832),
    [anon_sym_typedef] = ACTIONS(2832),
    [anon_sym_extern] = ACTIONS(2832),
    [anon_sym___attribute__] = ACTIONS(2832),
    [anon_sym_COLON_COLON] = ACTIONS(2834),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2834),
    [anon_sym___declspec] = ACTIONS(2832),
    [anon_sym___based] = ACTIONS(2832),
    [anon_sym_signed] = ACTIONS(2832),
    [anon_sym_unsigned] = ACTIONS(2832),
    [anon_sym_long] = ACTIONS(2832),
    [anon_sym_short] = ACTIONS(2832),
    [anon_sym_LBRACK] = ACTIONS(2832),
    [anon_sym_static] = ACTIONS(2832),
    [anon_sym_register] = ACTIONS(2832),
    [anon_sym_inline] = ACTIONS(2832),
    [anon_sym___inline] = ACTIONS(2832),
    [anon_sym___inline__] = ACTIONS(2832),
    [anon_sym___forceinline] = ACTIONS(2832),
    [anon_sym_thread_local] = ACTIONS(2832),
    [anon_sym___thread] = ACTIONS(2832),
    [anon_sym_const] = ACTIONS(2832),
    [anon_sym_constexpr] = ACTIONS(2832),
    [anon_sym_volatile] = ACTIONS(2832),
    [anon_sym_restrict] = ACTIONS(2832),
    [anon_sym___restrict__] = ACTIONS(2832),
    [anon_sym__Atomic] = ACTIONS(2832),
    [anon_sym__Noreturn] = ACTIONS(2832),
    [anon_sym_noreturn] = ACTIONS(2832),
    [anon_sym_mutable] = ACTIONS(2832),
    [anon_sym_constinit] = ACTIONS(2832),
    [anon_sym_consteval] = ACTIONS(2832),
    [sym_primitive_type] = ACTIONS(2832),
    [anon_sym_enum] = ACTIONS(2832),
    [anon_sym_class] = ACTIONS(2832),
    [anon_sym_struct] = ACTIONS(2832),
    [anon_sym_union] = ACTIONS(2832),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2832),
    [anon_sym_decltype] = ACTIONS(2832),
    [anon_sym_virtual] = ACTIONS(2832),
    [anon_sym_alignas] = ACTIONS(2832),
    [anon_sym_explicit] = ACTIONS(2832),
    [anon_sym_typename] = ACTIONS(2832),
    [anon_sym_template] = ACTIONS(2832),
    [anon_sym_operator] = ACTIONS(2832),
    [anon_sym_friend] = ACTIONS(2832),
    [anon_sym_public] = ACTIONS(2832),
    [anon_sym_private] = ACTIONS(2832),
    [anon_sym_protected] = ACTIONS(2832),
    [anon_sym_using] = ACTIONS(2832),
    [anon_sym_static_assert] = ACTIONS(2832),
    [anon_sym_catch] = ACTIONS(5586),
  },
  [2283] = {
    [sym__declaration_modifiers] = STATE(2355),
    [sym__declaration_specifiers] = STATE(5757),
    [sym_attribute_specifier] = STATE(2355),
    [sym_attribute_declaration] = STATE(2355),
    [sym_ms_declspec_modifier] = STATE(2355),
    [sym_storage_class_specifier] = STATE(2355),
    [sym_type_qualifier] = STATE(2355),
    [sym__type_specifier] = STATE(3242),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(2355),
    [sym_alignas_specifier] = STATE(2355),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(2355),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2284] = {
    [sym_identifier] = ACTIONS(5817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5819),
    [anon_sym_COMMA] = ACTIONS(5819),
    [anon_sym_RPAREN] = ACTIONS(5819),
    [anon_sym_LPAREN2] = ACTIONS(5819),
    [anon_sym_DASH] = ACTIONS(5817),
    [anon_sym_PLUS] = ACTIONS(5817),
    [anon_sym_STAR] = ACTIONS(5819),
    [anon_sym_SLASH] = ACTIONS(5817),
    [anon_sym_PERCENT] = ACTIONS(5819),
    [anon_sym_PIPE_PIPE] = ACTIONS(5819),
    [anon_sym_AMP_AMP] = ACTIONS(5819),
    [anon_sym_PIPE] = ACTIONS(5817),
    [anon_sym_CARET] = ACTIONS(5819),
    [anon_sym_AMP] = ACTIONS(5817),
    [anon_sym_EQ_EQ] = ACTIONS(5819),
    [anon_sym_BANG_EQ] = ACTIONS(5819),
    [anon_sym_GT] = ACTIONS(5817),
    [anon_sym_GT_EQ] = ACTIONS(5819),
    [anon_sym_LT_EQ] = ACTIONS(5817),
    [anon_sym_LT] = ACTIONS(5817),
    [anon_sym_LT_LT] = ACTIONS(5819),
    [anon_sym_GT_GT] = ACTIONS(5819),
    [anon_sym_SEMI] = ACTIONS(5819),
    [anon_sym___extension__] = ACTIONS(5817),
    [anon_sym___attribute__] = ACTIONS(5817),
    [anon_sym___based] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5819),
    [anon_sym_RBRACE] = ACTIONS(5819),
    [anon_sym_signed] = ACTIONS(5817),
    [anon_sym_unsigned] = ACTIONS(5817),
    [anon_sym_long] = ACTIONS(5817),
    [anon_sym_short] = ACTIONS(5817),
    [anon_sym_LBRACK] = ACTIONS(5819),
    [anon_sym_RBRACK] = ACTIONS(5819),
    [anon_sym_const] = ACTIONS(5817),
    [anon_sym_constexpr] = ACTIONS(5817),
    [anon_sym_volatile] = ACTIONS(5817),
    [anon_sym_restrict] = ACTIONS(5817),
    [anon_sym___restrict__] = ACTIONS(5817),
    [anon_sym__Atomic] = ACTIONS(5817),
    [anon_sym__Noreturn] = ACTIONS(5817),
    [anon_sym_noreturn] = ACTIONS(5817),
    [anon_sym_mutable] = ACTIONS(5817),
    [anon_sym_constinit] = ACTIONS(5817),
    [anon_sym_consteval] = ACTIONS(5817),
    [sym_primitive_type] = ACTIONS(5817),
    [anon_sym_COLON] = ACTIONS(5819),
    [anon_sym_QMARK] = ACTIONS(5819),
    [anon_sym_LT_EQ_GT] = ACTIONS(5819),
    [anon_sym_or] = ACTIONS(5817),
    [anon_sym_and] = ACTIONS(5817),
    [anon_sym_bitor] = ACTIONS(5817),
    [anon_sym_xor] = ACTIONS(5817),
    [anon_sym_bitand] = ACTIONS(5817),
    [anon_sym_not_eq] = ACTIONS(5817),
    [anon_sym_DASH_DASH] = ACTIONS(5819),
    [anon_sym_PLUS_PLUS] = ACTIONS(5819),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_DOT_STAR] = ACTIONS(5819),
    [anon_sym_DASH_GT] = ACTIONS(5819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5817),
    [anon_sym_decltype] = ACTIONS(5817),
    [anon_sym_final] = ACTIONS(5817),
    [anon_sym_override] = ACTIONS(5817),
    [anon_sym_requires] = ACTIONS(5817),
  },
  [2285] = {
    [sym_attribute_specifier] = STATE(2447),
    [sym_identifier] = ACTIONS(5821),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5823),
    [anon_sym_COMMA] = ACTIONS(5823),
    [anon_sym_RPAREN] = ACTIONS(5823),
    [aux_sym_preproc_if_token2] = ACTIONS(5823),
    [aux_sym_preproc_else_token1] = ACTIONS(5823),
    [aux_sym_preproc_elif_token1] = ACTIONS(5821),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5823),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5823),
    [anon_sym_LPAREN2] = ACTIONS(5823),
    [anon_sym_DASH] = ACTIONS(5821),
    [anon_sym_PLUS] = ACTIONS(5821),
    [anon_sym_STAR] = ACTIONS(5821),
    [anon_sym_SLASH] = ACTIONS(5821),
    [anon_sym_PERCENT] = ACTIONS(5821),
    [anon_sym_PIPE_PIPE] = ACTIONS(5823),
    [anon_sym_AMP_AMP] = ACTIONS(5823),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_CARET] = ACTIONS(5821),
    [anon_sym_AMP] = ACTIONS(5821),
    [anon_sym_EQ_EQ] = ACTIONS(5823),
    [anon_sym_BANG_EQ] = ACTIONS(5823),
    [anon_sym_GT] = ACTIONS(5821),
    [anon_sym_GT_EQ] = ACTIONS(5823),
    [anon_sym_LT_EQ] = ACTIONS(5821),
    [anon_sym_LT] = ACTIONS(5821),
    [anon_sym_LT_LT] = ACTIONS(5821),
    [anon_sym_GT_GT] = ACTIONS(5821),
    [anon_sym_SEMI] = ACTIONS(5823),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5823),
    [anon_sym_RBRACE] = ACTIONS(5823),
    [anon_sym_LBRACK] = ACTIONS(5823),
    [anon_sym_RBRACK] = ACTIONS(5823),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_COLON] = ACTIONS(5823),
    [anon_sym_QMARK] = ACTIONS(5823),
    [anon_sym_STAR_EQ] = ACTIONS(5823),
    [anon_sym_SLASH_EQ] = ACTIONS(5823),
    [anon_sym_PERCENT_EQ] = ACTIONS(5823),
    [anon_sym_PLUS_EQ] = ACTIONS(5823),
    [anon_sym_DASH_EQ] = ACTIONS(5823),
    [anon_sym_LT_LT_EQ] = ACTIONS(5823),
    [anon_sym_GT_GT_EQ] = ACTIONS(5823),
    [anon_sym_AMP_EQ] = ACTIONS(5823),
    [anon_sym_CARET_EQ] = ACTIONS(5823),
    [anon_sym_PIPE_EQ] = ACTIONS(5823),
    [anon_sym_and_eq] = ACTIONS(5821),
    [anon_sym_or_eq] = ACTIONS(5821),
    [anon_sym_xor_eq] = ACTIONS(5821),
    [anon_sym_LT_EQ_GT] = ACTIONS(5823),
    [anon_sym_or] = ACTIONS(5821),
    [anon_sym_and] = ACTIONS(5821),
    [anon_sym_bitor] = ACTIONS(5821),
    [anon_sym_xor] = ACTIONS(5821),
    [anon_sym_bitand] = ACTIONS(5821),
    [anon_sym_not_eq] = ACTIONS(5821),
    [anon_sym_DASH_DASH] = ACTIONS(5823),
    [anon_sym_PLUS_PLUS] = ACTIONS(5823),
    [anon_sym_DOT] = ACTIONS(5821),
    [anon_sym_DOT_STAR] = ACTIONS(5823),
    [anon_sym_DASH_GT] = ACTIONS(5823),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5821),
    [anon_sym_decltype] = ACTIONS(5821),
  },
  [2286] = {
    [sym_identifier] = ACTIONS(3590),
    [anon_sym_LPAREN2] = ACTIONS(3592),
    [anon_sym_BANG] = ACTIONS(3592),
    [anon_sym_TILDE] = ACTIONS(3592),
    [anon_sym_DASH] = ACTIONS(3590),
    [anon_sym_PLUS] = ACTIONS(3590),
    [anon_sym_STAR] = ACTIONS(3592),
    [anon_sym_AMP] = ACTIONS(3592),
    [anon_sym___extension__] = ACTIONS(3590),
    [anon_sym_COLON_COLON] = ACTIONS(3592),
    [anon_sym_LBRACK] = ACTIONS(3592),
    [anon_sym_RBRACK] = ACTIONS(3592),
    [anon_sym_const] = ACTIONS(3590),
    [anon_sym_constexpr] = ACTIONS(3590),
    [anon_sym_volatile] = ACTIONS(3590),
    [anon_sym_restrict] = ACTIONS(3590),
    [anon_sym___restrict__] = ACTIONS(3590),
    [anon_sym__Atomic] = ACTIONS(3590),
    [anon_sym__Noreturn] = ACTIONS(3590),
    [anon_sym_noreturn] = ACTIONS(3590),
    [anon_sym_mutable] = ACTIONS(3590),
    [anon_sym_constinit] = ACTIONS(3590),
    [anon_sym_consteval] = ACTIONS(3590),
    [sym_primitive_type] = ACTIONS(3590),
    [anon_sym_not] = ACTIONS(3590),
    [anon_sym_compl] = ACTIONS(3590),
    [anon_sym_DASH_DASH] = ACTIONS(3592),
    [anon_sym_PLUS_PLUS] = ACTIONS(3592),
    [anon_sym_sizeof] = ACTIONS(3590),
    [anon_sym___alignof__] = ACTIONS(3590),
    [anon_sym___alignof] = ACTIONS(3590),
    [anon_sym__alignof] = ACTIONS(3590),
    [anon_sym_alignof] = ACTIONS(3590),
    [anon_sym__Alignof] = ACTIONS(3590),
    [anon_sym_offsetof] = ACTIONS(3590),
    [anon_sym__Generic] = ACTIONS(3590),
    [anon_sym_asm] = ACTIONS(3590),
    [anon_sym___asm__] = ACTIONS(3590),
    [sym_number_literal] = ACTIONS(3592),
    [anon_sym_L_SQUOTE] = ACTIONS(3592),
    [anon_sym_u_SQUOTE] = ACTIONS(3592),
    [anon_sym_U_SQUOTE] = ACTIONS(3592),
    [anon_sym_u8_SQUOTE] = ACTIONS(3592),
    [anon_sym_SQUOTE] = ACTIONS(3592),
    [anon_sym_L_DQUOTE] = ACTIONS(3592),
    [anon_sym_u_DQUOTE] = ACTIONS(3592),
    [anon_sym_U_DQUOTE] = ACTIONS(3592),
    [anon_sym_u8_DQUOTE] = ACTIONS(3592),
    [anon_sym_DQUOTE] = ACTIONS(3592),
    [sym_true] = ACTIONS(3590),
    [sym_false] = ACTIONS(3590),
    [anon_sym_NULL] = ACTIONS(3590),
    [anon_sym_nullptr] = ACTIONS(3590),
    [sym_comment] = ACTIONS(3),
    [anon_sym_decltype] = ACTIONS(3590),
    [anon_sym_template] = ACTIONS(3590),
    [anon_sym_delete] = ACTIONS(3590),
    [anon_sym_R_DQUOTE] = ACTIONS(3592),
    [anon_sym_LR_DQUOTE] = ACTIONS(3592),
    [anon_sym_uR_DQUOTE] = ACTIONS(3592),
    [anon_sym_UR_DQUOTE] = ACTIONS(3592),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3592),
    [anon_sym_co_await] = ACTIONS(3590),
    [anon_sym_new] = ACTIONS(3590),
    [anon_sym_requires] = ACTIONS(3590),
    [sym_this] = ACTIONS(3590),
  },
  [2287] = {
    [sym_identifier] = ACTIONS(3152),
    [aux_sym_preproc_def_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token1] = ACTIONS(3152),
    [aux_sym_preproc_if_token2] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3152),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3152),
    [aux_sym_preproc_else_token1] = ACTIONS(3152),
    [aux_sym_preproc_elif_token1] = ACTIONS(3152),
    [sym_preproc_directive] = ACTIONS(3152),
    [anon_sym_LPAREN2] = ACTIONS(3154),
    [anon_sym_TILDE] = ACTIONS(3154),
    [anon_sym_STAR] = ACTIONS(3154),
    [anon_sym_AMP_AMP] = ACTIONS(3154),
    [anon_sym_AMP] = ACTIONS(3152),
    [anon_sym___extension__] = ACTIONS(3152),
    [anon_sym_typedef] = ACTIONS(3152),
    [anon_sym_extern] = ACTIONS(3152),
    [anon_sym___attribute__] = ACTIONS(3152),
    [anon_sym_COLON_COLON] = ACTIONS(3154),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3154),
    [anon_sym___declspec] = ACTIONS(3152),
    [anon_sym___based] = ACTIONS(3152),
    [anon_sym_signed] = ACTIONS(3152),
    [anon_sym_unsigned] = ACTIONS(3152),
    [anon_sym_long] = ACTIONS(3152),
    [anon_sym_short] = ACTIONS(3152),
    [anon_sym_LBRACK] = ACTIONS(3152),
    [anon_sym_static] = ACTIONS(3152),
    [anon_sym_register] = ACTIONS(3152),
    [anon_sym_inline] = ACTIONS(3152),
    [anon_sym___inline] = ACTIONS(3152),
    [anon_sym___inline__] = ACTIONS(3152),
    [anon_sym___forceinline] = ACTIONS(3152),
    [anon_sym_thread_local] = ACTIONS(3152),
    [anon_sym___thread] = ACTIONS(3152),
    [anon_sym_const] = ACTIONS(3152),
    [anon_sym_constexpr] = ACTIONS(3152),
    [anon_sym_volatile] = ACTIONS(3152),
    [anon_sym_restrict] = ACTIONS(3152),
    [anon_sym___restrict__] = ACTIONS(3152),
    [anon_sym__Atomic] = ACTIONS(3152),
    [anon_sym__Noreturn] = ACTIONS(3152),
    [anon_sym_noreturn] = ACTIONS(3152),
    [anon_sym_mutable] = ACTIONS(3152),
    [anon_sym_constinit] = ACTIONS(3152),
    [anon_sym_consteval] = ACTIONS(3152),
    [sym_primitive_type] = ACTIONS(3152),
    [anon_sym_enum] = ACTIONS(3152),
    [anon_sym_class] = ACTIONS(3152),
    [anon_sym_struct] = ACTIONS(3152),
    [anon_sym_union] = ACTIONS(3152),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3152),
    [anon_sym_decltype] = ACTIONS(3152),
    [anon_sym_virtual] = ACTIONS(3152),
    [anon_sym_alignas] = ACTIONS(3152),
    [anon_sym_explicit] = ACTIONS(3152),
    [anon_sym_typename] = ACTIONS(3152),
    [anon_sym_template] = ACTIONS(3152),
    [anon_sym_operator] = ACTIONS(3152),
    [anon_sym_friend] = ACTIONS(3152),
    [anon_sym_public] = ACTIONS(3152),
    [anon_sym_private] = ACTIONS(3152),
    [anon_sym_protected] = ACTIONS(3152),
    [anon_sym_using] = ACTIONS(3152),
    [anon_sym_static_assert] = ACTIONS(3152),
  },
  [2288] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5272),
    [anon_sym_COMMA] = ACTIONS(5272),
    [anon_sym_RPAREN] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5272),
    [anon_sym_AMP_AMP] = ACTIONS(5272),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5272),
    [anon_sym_BANG_EQ] = ACTIONS(5272),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5272),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_SEMI] = ACTIONS(5272),
    [anon_sym_RBRACE] = ACTIONS(5272),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_RBRACK] = ACTIONS(5272),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_COLON] = ACTIONS(5272),
    [anon_sym_QMARK] = ACTIONS(5272),
    [anon_sym_STAR_EQ] = ACTIONS(5272),
    [anon_sym_SLASH_EQ] = ACTIONS(5272),
    [anon_sym_PERCENT_EQ] = ACTIONS(5272),
    [anon_sym_PLUS_EQ] = ACTIONS(5272),
    [anon_sym_DASH_EQ] = ACTIONS(5272),
    [anon_sym_LT_LT_EQ] = ACTIONS(5272),
    [anon_sym_GT_GT_EQ] = ACTIONS(5272),
    [anon_sym_AMP_EQ] = ACTIONS(5272),
    [anon_sym_CARET_EQ] = ACTIONS(5272),
    [anon_sym_PIPE_EQ] = ACTIONS(5272),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5272),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5272),
    [anon_sym_PLUS_PLUS] = ACTIONS(5272),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5272),
    [anon_sym_DASH_GT] = ACTIONS(5272),
    [anon_sym_L_DQUOTE] = ACTIONS(5272),
    [anon_sym_u_DQUOTE] = ACTIONS(5272),
    [anon_sym_U_DQUOTE] = ACTIONS(5272),
    [anon_sym_u8_DQUOTE] = ACTIONS(5272),
    [anon_sym_DQUOTE] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5272),
    [anon_sym_LR_DQUOTE] = ACTIONS(5272),
    [anon_sym_uR_DQUOTE] = ACTIONS(5272),
    [anon_sym_UR_DQUOTE] = ACTIONS(5272),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5272),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2289] = {
    [sym_identifier] = ACTIONS(2973),
    [aux_sym_preproc_def_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token1] = ACTIONS(2973),
    [aux_sym_preproc_if_token2] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2973),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2973),
    [aux_sym_preproc_else_token1] = ACTIONS(2973),
    [aux_sym_preproc_elif_token1] = ACTIONS(2973),
    [sym_preproc_directive] = ACTIONS(2973),
    [anon_sym_LPAREN2] = ACTIONS(2975),
    [anon_sym_TILDE] = ACTIONS(2975),
    [anon_sym_STAR] = ACTIONS(2975),
    [anon_sym_AMP_AMP] = ACTIONS(2975),
    [anon_sym_AMP] = ACTIONS(2973),
    [anon_sym___extension__] = ACTIONS(2973),
    [anon_sym_typedef] = ACTIONS(2973),
    [anon_sym_extern] = ACTIONS(2973),
    [anon_sym___attribute__] = ACTIONS(2973),
    [anon_sym_COLON_COLON] = ACTIONS(2975),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2975),
    [anon_sym___declspec] = ACTIONS(2973),
    [anon_sym___based] = ACTIONS(2973),
    [anon_sym_signed] = ACTIONS(2973),
    [anon_sym_unsigned] = ACTIONS(2973),
    [anon_sym_long] = ACTIONS(2973),
    [anon_sym_short] = ACTIONS(2973),
    [anon_sym_LBRACK] = ACTIONS(2973),
    [anon_sym_static] = ACTIONS(2973),
    [anon_sym_register] = ACTIONS(2973),
    [anon_sym_inline] = ACTIONS(2973),
    [anon_sym___inline] = ACTIONS(2973),
    [anon_sym___inline__] = ACTIONS(2973),
    [anon_sym___forceinline] = ACTIONS(2973),
    [anon_sym_thread_local] = ACTIONS(2973),
    [anon_sym___thread] = ACTIONS(2973),
    [anon_sym_const] = ACTIONS(2973),
    [anon_sym_constexpr] = ACTIONS(2973),
    [anon_sym_volatile] = ACTIONS(2973),
    [anon_sym_restrict] = ACTIONS(2973),
    [anon_sym___restrict__] = ACTIONS(2973),
    [anon_sym__Atomic] = ACTIONS(2973),
    [anon_sym__Noreturn] = ACTIONS(2973),
    [anon_sym_noreturn] = ACTIONS(2973),
    [anon_sym_mutable] = ACTIONS(2973),
    [anon_sym_constinit] = ACTIONS(2973),
    [anon_sym_consteval] = ACTIONS(2973),
    [sym_primitive_type] = ACTIONS(2973),
    [anon_sym_enum] = ACTIONS(2973),
    [anon_sym_class] = ACTIONS(2973),
    [anon_sym_struct] = ACTIONS(2973),
    [anon_sym_union] = ACTIONS(2973),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2973),
    [anon_sym_decltype] = ACTIONS(2973),
    [anon_sym_virtual] = ACTIONS(2973),
    [anon_sym_alignas] = ACTIONS(2973),
    [anon_sym_explicit] = ACTIONS(2973),
    [anon_sym_typename] = ACTIONS(2973),
    [anon_sym_template] = ACTIONS(2973),
    [anon_sym_operator] = ACTIONS(2973),
    [anon_sym_friend] = ACTIONS(2973),
    [anon_sym_public] = ACTIONS(2973),
    [anon_sym_private] = ACTIONS(2973),
    [anon_sym_protected] = ACTIONS(2973),
    [anon_sym_using] = ACTIONS(2973),
    [anon_sym_static_assert] = ACTIONS(2973),
  },
  [2290] = {
    [sym_identifier] = ACTIONS(2969),
    [aux_sym_preproc_def_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token1] = ACTIONS(2969),
    [aux_sym_preproc_if_token2] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2969),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2969),
    [aux_sym_preproc_else_token1] = ACTIONS(2969),
    [aux_sym_preproc_elif_token1] = ACTIONS(2969),
    [sym_preproc_directive] = ACTIONS(2969),
    [anon_sym_LPAREN2] = ACTIONS(2971),
    [anon_sym_TILDE] = ACTIONS(2971),
    [anon_sym_STAR] = ACTIONS(2971),
    [anon_sym_AMP_AMP] = ACTIONS(2971),
    [anon_sym_AMP] = ACTIONS(2969),
    [anon_sym___extension__] = ACTIONS(2969),
    [anon_sym_typedef] = ACTIONS(2969),
    [anon_sym_extern] = ACTIONS(2969),
    [anon_sym___attribute__] = ACTIONS(2969),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2971),
    [anon_sym___declspec] = ACTIONS(2969),
    [anon_sym___based] = ACTIONS(2969),
    [anon_sym_signed] = ACTIONS(2969),
    [anon_sym_unsigned] = ACTIONS(2969),
    [anon_sym_long] = ACTIONS(2969),
    [anon_sym_short] = ACTIONS(2969),
    [anon_sym_LBRACK] = ACTIONS(2969),
    [anon_sym_static] = ACTIONS(2969),
    [anon_sym_register] = ACTIONS(2969),
    [anon_sym_inline] = ACTIONS(2969),
    [anon_sym___inline] = ACTIONS(2969),
    [anon_sym___inline__] = ACTIONS(2969),
    [anon_sym___forceinline] = ACTIONS(2969),
    [anon_sym_thread_local] = ACTIONS(2969),
    [anon_sym___thread] = ACTIONS(2969),
    [anon_sym_const] = ACTIONS(2969),
    [anon_sym_constexpr] = ACTIONS(2969),
    [anon_sym_volatile] = ACTIONS(2969),
    [anon_sym_restrict] = ACTIONS(2969),
    [anon_sym___restrict__] = ACTIONS(2969),
    [anon_sym__Atomic] = ACTIONS(2969),
    [anon_sym__Noreturn] = ACTIONS(2969),
    [anon_sym_noreturn] = ACTIONS(2969),
    [anon_sym_mutable] = ACTIONS(2969),
    [anon_sym_constinit] = ACTIONS(2969),
    [anon_sym_consteval] = ACTIONS(2969),
    [sym_primitive_type] = ACTIONS(2969),
    [anon_sym_enum] = ACTIONS(2969),
    [anon_sym_class] = ACTIONS(2969),
    [anon_sym_struct] = ACTIONS(2969),
    [anon_sym_union] = ACTIONS(2969),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2969),
    [anon_sym_decltype] = ACTIONS(2969),
    [anon_sym_virtual] = ACTIONS(2969),
    [anon_sym_alignas] = ACTIONS(2969),
    [anon_sym_explicit] = ACTIONS(2969),
    [anon_sym_typename] = ACTIONS(2969),
    [anon_sym_template] = ACTIONS(2969),
    [anon_sym_operator] = ACTIONS(2969),
    [anon_sym_friend] = ACTIONS(2969),
    [anon_sym_public] = ACTIONS(2969),
    [anon_sym_private] = ACTIONS(2969),
    [anon_sym_protected] = ACTIONS(2969),
    [anon_sym_using] = ACTIONS(2969),
    [anon_sym_static_assert] = ACTIONS(2969),
  },
  [2291] = {
    [sym__declaration_modifiers] = STATE(4126),
    [sym_attribute_specifier] = STATE(4126),
    [sym_attribute_declaration] = STATE(4126),
    [sym_ms_declspec_modifier] = STATE(4126),
    [sym_storage_class_specifier] = STATE(4126),
    [sym_type_qualifier] = STATE(4126),
    [sym__type_specifier] = STATE(3204),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4126),
    [sym_alignas_specifier] = STATE(4126),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7076),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4126),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5067),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5077),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_struct] = ACTIONS(2008),
    [anon_sym_union] = ACTIONS(2010),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(2012),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2292] = {
    [sym_identifier] = ACTIONS(5464),
    [aux_sym_preproc_def_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token1] = ACTIONS(5464),
    [aux_sym_preproc_if_token2] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5464),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5464),
    [aux_sym_preproc_else_token1] = ACTIONS(5464),
    [aux_sym_preproc_elif_token1] = ACTIONS(5464),
    [sym_preproc_directive] = ACTIONS(5464),
    [anon_sym_LPAREN2] = ACTIONS(5466),
    [anon_sym_TILDE] = ACTIONS(5466),
    [anon_sym_STAR] = ACTIONS(5466),
    [anon_sym_AMP_AMP] = ACTIONS(5466),
    [anon_sym_AMP] = ACTIONS(5464),
    [anon_sym___extension__] = ACTIONS(5464),
    [anon_sym_typedef] = ACTIONS(5464),
    [anon_sym_extern] = ACTIONS(5464),
    [anon_sym___attribute__] = ACTIONS(5464),
    [anon_sym_COLON_COLON] = ACTIONS(5466),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5466),
    [anon_sym___declspec] = ACTIONS(5464),
    [anon_sym___based] = ACTIONS(5464),
    [anon_sym_signed] = ACTIONS(5464),
    [anon_sym_unsigned] = ACTIONS(5464),
    [anon_sym_long] = ACTIONS(5464),
    [anon_sym_short] = ACTIONS(5464),
    [anon_sym_LBRACK] = ACTIONS(5464),
    [anon_sym_static] = ACTIONS(5464),
    [anon_sym_register] = ACTIONS(5464),
    [anon_sym_inline] = ACTIONS(5464),
    [anon_sym___inline] = ACTIONS(5464),
    [anon_sym___inline__] = ACTIONS(5464),
    [anon_sym___forceinline] = ACTIONS(5464),
    [anon_sym_thread_local] = ACTIONS(5464),
    [anon_sym___thread] = ACTIONS(5464),
    [anon_sym_const] = ACTIONS(5464),
    [anon_sym_constexpr] = ACTIONS(5464),
    [anon_sym_volatile] = ACTIONS(5464),
    [anon_sym_restrict] = ACTIONS(5464),
    [anon_sym___restrict__] = ACTIONS(5464),
    [anon_sym__Atomic] = ACTIONS(5464),
    [anon_sym__Noreturn] = ACTIONS(5464),
    [anon_sym_noreturn] = ACTIONS(5464),
    [anon_sym_mutable] = ACTIONS(5464),
    [anon_sym_constinit] = ACTIONS(5464),
    [anon_sym_consteval] = ACTIONS(5464),
    [sym_primitive_type] = ACTIONS(5464),
    [anon_sym_enum] = ACTIONS(5464),
    [anon_sym_class] = ACTIONS(5464),
    [anon_sym_struct] = ACTIONS(5464),
    [anon_sym_union] = ACTIONS(5464),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5464),
    [anon_sym_decltype] = ACTIONS(5464),
    [anon_sym_virtual] = ACTIONS(5464),
    [anon_sym_alignas] = ACTIONS(5464),
    [anon_sym_explicit] = ACTIONS(5464),
    [anon_sym_typename] = ACTIONS(5464),
    [anon_sym_template] = ACTIONS(5464),
    [anon_sym_operator] = ACTIONS(5464),
    [anon_sym_friend] = ACTIONS(5464),
    [anon_sym_public] = ACTIONS(5464),
    [anon_sym_private] = ACTIONS(5464),
    [anon_sym_protected] = ACTIONS(5464),
    [anon_sym_using] = ACTIONS(5464),
    [anon_sym_static_assert] = ACTIONS(5464),
  },
  [2293] = {
    [sym_identifier] = ACTIONS(5468),
    [aux_sym_preproc_def_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token1] = ACTIONS(5468),
    [aux_sym_preproc_if_token2] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5468),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5468),
    [aux_sym_preproc_else_token1] = ACTIONS(5468),
    [aux_sym_preproc_elif_token1] = ACTIONS(5468),
    [sym_preproc_directive] = ACTIONS(5468),
    [anon_sym_LPAREN2] = ACTIONS(5470),
    [anon_sym_TILDE] = ACTIONS(5470),
    [anon_sym_STAR] = ACTIONS(5470),
    [anon_sym_AMP_AMP] = ACTIONS(5470),
    [anon_sym_AMP] = ACTIONS(5468),
    [anon_sym___extension__] = ACTIONS(5468),
    [anon_sym_typedef] = ACTIONS(5468),
    [anon_sym_extern] = ACTIONS(5468),
    [anon_sym___attribute__] = ACTIONS(5468),
    [anon_sym_COLON_COLON] = ACTIONS(5470),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5470),
    [anon_sym___declspec] = ACTIONS(5468),
    [anon_sym___based] = ACTIONS(5468),
    [anon_sym_signed] = ACTIONS(5468),
    [anon_sym_unsigned] = ACTIONS(5468),
    [anon_sym_long] = ACTIONS(5468),
    [anon_sym_short] = ACTIONS(5468),
    [anon_sym_LBRACK] = ACTIONS(5468),
    [anon_sym_static] = ACTIONS(5468),
    [anon_sym_register] = ACTIONS(5468),
    [anon_sym_inline] = ACTIONS(5468),
    [anon_sym___inline] = ACTIONS(5468),
    [anon_sym___inline__] = ACTIONS(5468),
    [anon_sym___forceinline] = ACTIONS(5468),
    [anon_sym_thread_local] = ACTIONS(5468),
    [anon_sym___thread] = ACTIONS(5468),
    [anon_sym_const] = ACTIONS(5468),
    [anon_sym_constexpr] = ACTIONS(5468),
    [anon_sym_volatile] = ACTIONS(5468),
    [anon_sym_restrict] = ACTIONS(5468),
    [anon_sym___restrict__] = ACTIONS(5468),
    [anon_sym__Atomic] = ACTIONS(5468),
    [anon_sym__Noreturn] = ACTIONS(5468),
    [anon_sym_noreturn] = ACTIONS(5468),
    [anon_sym_mutable] = ACTIONS(5468),
    [anon_sym_constinit] = ACTIONS(5468),
    [anon_sym_consteval] = ACTIONS(5468),
    [sym_primitive_type] = ACTIONS(5468),
    [anon_sym_enum] = ACTIONS(5468),
    [anon_sym_class] = ACTIONS(5468),
    [anon_sym_struct] = ACTIONS(5468),
    [anon_sym_union] = ACTIONS(5468),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5468),
    [anon_sym_decltype] = ACTIONS(5468),
    [anon_sym_virtual] = ACTIONS(5468),
    [anon_sym_alignas] = ACTIONS(5468),
    [anon_sym_explicit] = ACTIONS(5468),
    [anon_sym_typename] = ACTIONS(5468),
    [anon_sym_template] = ACTIONS(5468),
    [anon_sym_operator] = ACTIONS(5468),
    [anon_sym_friend] = ACTIONS(5468),
    [anon_sym_public] = ACTIONS(5468),
    [anon_sym_private] = ACTIONS(5468),
    [anon_sym_protected] = ACTIONS(5468),
    [anon_sym_using] = ACTIONS(5468),
    [anon_sym_static_assert] = ACTIONS(5468),
  },
  [2294] = {
    [sym_identifier] = ACTIONS(5472),
    [aux_sym_preproc_def_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token1] = ACTIONS(5472),
    [aux_sym_preproc_if_token2] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5472),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5472),
    [aux_sym_preproc_else_token1] = ACTIONS(5472),
    [aux_sym_preproc_elif_token1] = ACTIONS(5472),
    [sym_preproc_directive] = ACTIONS(5472),
    [anon_sym_LPAREN2] = ACTIONS(5474),
    [anon_sym_TILDE] = ACTIONS(5474),
    [anon_sym_STAR] = ACTIONS(5474),
    [anon_sym_AMP_AMP] = ACTIONS(5474),
    [anon_sym_AMP] = ACTIONS(5472),
    [anon_sym___extension__] = ACTIONS(5472),
    [anon_sym_typedef] = ACTIONS(5472),
    [anon_sym_extern] = ACTIONS(5472),
    [anon_sym___attribute__] = ACTIONS(5472),
    [anon_sym_COLON_COLON] = ACTIONS(5474),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5474),
    [anon_sym___declspec] = ACTIONS(5472),
    [anon_sym___based] = ACTIONS(5472),
    [anon_sym_signed] = ACTIONS(5472),
    [anon_sym_unsigned] = ACTIONS(5472),
    [anon_sym_long] = ACTIONS(5472),
    [anon_sym_short] = ACTIONS(5472),
    [anon_sym_LBRACK] = ACTIONS(5472),
    [anon_sym_static] = ACTIONS(5472),
    [anon_sym_register] = ACTIONS(5472),
    [anon_sym_inline] = ACTIONS(5472),
    [anon_sym___inline] = ACTIONS(5472),
    [anon_sym___inline__] = ACTIONS(5472),
    [anon_sym___forceinline] = ACTIONS(5472),
    [anon_sym_thread_local] = ACTIONS(5472),
    [anon_sym___thread] = ACTIONS(5472),
    [anon_sym_const] = ACTIONS(5472),
    [anon_sym_constexpr] = ACTIONS(5472),
    [anon_sym_volatile] = ACTIONS(5472),
    [anon_sym_restrict] = ACTIONS(5472),
    [anon_sym___restrict__] = ACTIONS(5472),
    [anon_sym__Atomic] = ACTIONS(5472),
    [anon_sym__Noreturn] = ACTIONS(5472),
    [anon_sym_noreturn] = ACTIONS(5472),
    [anon_sym_mutable] = ACTIONS(5472),
    [anon_sym_constinit] = ACTIONS(5472),
    [anon_sym_consteval] = ACTIONS(5472),
    [sym_primitive_type] = ACTIONS(5472),
    [anon_sym_enum] = ACTIONS(5472),
    [anon_sym_class] = ACTIONS(5472),
    [anon_sym_struct] = ACTIONS(5472),
    [anon_sym_union] = ACTIONS(5472),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5472),
    [anon_sym_decltype] = ACTIONS(5472),
    [anon_sym_virtual] = ACTIONS(5472),
    [anon_sym_alignas] = ACTIONS(5472),
    [anon_sym_explicit] = ACTIONS(5472),
    [anon_sym_typename] = ACTIONS(5472),
    [anon_sym_template] = ACTIONS(5472),
    [anon_sym_operator] = ACTIONS(5472),
    [anon_sym_friend] = ACTIONS(5472),
    [anon_sym_public] = ACTIONS(5472),
    [anon_sym_private] = ACTIONS(5472),
    [anon_sym_protected] = ACTIONS(5472),
    [anon_sym_using] = ACTIONS(5472),
    [anon_sym_static_assert] = ACTIONS(5472),
  },
  [2295] = {
    [sym_attribute_declaration] = STATE(2469),
    [sym_parameter_list] = STATE(2473),
    [aux_sym_attributed_declarator_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(5825),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5827),
    [anon_sym_COMMA] = ACTIONS(5827),
    [anon_sym_RPAREN] = ACTIONS(5827),
    [aux_sym_preproc_if_token2] = ACTIONS(5827),
    [aux_sym_preproc_else_token1] = ACTIONS(5827),
    [aux_sym_preproc_elif_token1] = ACTIONS(5825),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5827),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5827),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5825),
    [anon_sym_PLUS] = ACTIONS(5825),
    [anon_sym_STAR] = ACTIONS(5825),
    [anon_sym_SLASH] = ACTIONS(5825),
    [anon_sym_PERCENT] = ACTIONS(5825),
    [anon_sym_PIPE_PIPE] = ACTIONS(5827),
    [anon_sym_AMP_AMP] = ACTIONS(5827),
    [anon_sym_PIPE] = ACTIONS(5825),
    [anon_sym_CARET] = ACTIONS(5825),
    [anon_sym_AMP] = ACTIONS(5825),
    [anon_sym_EQ_EQ] = ACTIONS(5827),
    [anon_sym_BANG_EQ] = ACTIONS(5827),
    [anon_sym_GT] = ACTIONS(5825),
    [anon_sym_GT_EQ] = ACTIONS(5827),
    [anon_sym_LT_EQ] = ACTIONS(5825),
    [anon_sym_LT] = ACTIONS(5825),
    [anon_sym_LT_LT] = ACTIONS(5825),
    [anon_sym_GT_GT] = ACTIONS(5825),
    [anon_sym_SEMI] = ACTIONS(5827),
    [anon_sym___attribute__] = ACTIONS(5825),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5831),
    [anon_sym_RBRACE] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5827),
    [anon_sym_EQ] = ACTIONS(5825),
    [anon_sym_COLON] = ACTIONS(5827),
    [anon_sym_QMARK] = ACTIONS(5827),
    [anon_sym_STAR_EQ] = ACTIONS(5827),
    [anon_sym_SLASH_EQ] = ACTIONS(5827),
    [anon_sym_PERCENT_EQ] = ACTIONS(5827),
    [anon_sym_PLUS_EQ] = ACTIONS(5827),
    [anon_sym_DASH_EQ] = ACTIONS(5827),
    [anon_sym_LT_LT_EQ] = ACTIONS(5827),
    [anon_sym_GT_GT_EQ] = ACTIONS(5827),
    [anon_sym_AMP_EQ] = ACTIONS(5827),
    [anon_sym_CARET_EQ] = ACTIONS(5827),
    [anon_sym_PIPE_EQ] = ACTIONS(5827),
    [anon_sym_and_eq] = ACTIONS(5825),
    [anon_sym_or_eq] = ACTIONS(5825),
    [anon_sym_xor_eq] = ACTIONS(5825),
    [anon_sym_LT_EQ_GT] = ACTIONS(5827),
    [anon_sym_or] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_bitor] = ACTIONS(5825),
    [anon_sym_xor] = ACTIONS(5825),
    [anon_sym_bitand] = ACTIONS(5825),
    [anon_sym_not_eq] = ACTIONS(5825),
    [anon_sym_DASH_DASH] = ACTIONS(5827),
    [anon_sym_PLUS_PLUS] = ACTIONS(5827),
    [anon_sym_DOT] = ACTIONS(5825),
    [anon_sym_DOT_STAR] = ACTIONS(5827),
    [anon_sym_DASH_GT] = ACTIONS(5827),
    [sym_comment] = ACTIONS(3),
  },
  [2296] = {
    [sym_identifier] = ACTIONS(5476),
    [aux_sym_preproc_def_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token1] = ACTIONS(5476),
    [aux_sym_preproc_if_token2] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5476),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5476),
    [aux_sym_preproc_else_token1] = ACTIONS(5476),
    [aux_sym_preproc_elif_token1] = ACTIONS(5476),
    [sym_preproc_directive] = ACTIONS(5476),
    [anon_sym_LPAREN2] = ACTIONS(5478),
    [anon_sym_TILDE] = ACTIONS(5478),
    [anon_sym_STAR] = ACTIONS(5478),
    [anon_sym_AMP_AMP] = ACTIONS(5478),
    [anon_sym_AMP] = ACTIONS(5476),
    [anon_sym___extension__] = ACTIONS(5476),
    [anon_sym_typedef] = ACTIONS(5476),
    [anon_sym_extern] = ACTIONS(5476),
    [anon_sym___attribute__] = ACTIONS(5476),
    [anon_sym_COLON_COLON] = ACTIONS(5478),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5478),
    [anon_sym___declspec] = ACTIONS(5476),
    [anon_sym___based] = ACTIONS(5476),
    [anon_sym_signed] = ACTIONS(5476),
    [anon_sym_unsigned] = ACTIONS(5476),
    [anon_sym_long] = ACTIONS(5476),
    [anon_sym_short] = ACTIONS(5476),
    [anon_sym_LBRACK] = ACTIONS(5476),
    [anon_sym_static] = ACTIONS(5476),
    [anon_sym_register] = ACTIONS(5476),
    [anon_sym_inline] = ACTIONS(5476),
    [anon_sym___inline] = ACTIONS(5476),
    [anon_sym___inline__] = ACTIONS(5476),
    [anon_sym___forceinline] = ACTIONS(5476),
    [anon_sym_thread_local] = ACTIONS(5476),
    [anon_sym___thread] = ACTIONS(5476),
    [anon_sym_const] = ACTIONS(5476),
    [anon_sym_constexpr] = ACTIONS(5476),
    [anon_sym_volatile] = ACTIONS(5476),
    [anon_sym_restrict] = ACTIONS(5476),
    [anon_sym___restrict__] = ACTIONS(5476),
    [anon_sym__Atomic] = ACTIONS(5476),
    [anon_sym__Noreturn] = ACTIONS(5476),
    [anon_sym_noreturn] = ACTIONS(5476),
    [anon_sym_mutable] = ACTIONS(5476),
    [anon_sym_constinit] = ACTIONS(5476),
    [anon_sym_consteval] = ACTIONS(5476),
    [sym_primitive_type] = ACTIONS(5476),
    [anon_sym_enum] = ACTIONS(5476),
    [anon_sym_class] = ACTIONS(5476),
    [anon_sym_struct] = ACTIONS(5476),
    [anon_sym_union] = ACTIONS(5476),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5476),
    [anon_sym_decltype] = ACTIONS(5476),
    [anon_sym_virtual] = ACTIONS(5476),
    [anon_sym_alignas] = ACTIONS(5476),
    [anon_sym_explicit] = ACTIONS(5476),
    [anon_sym_typename] = ACTIONS(5476),
    [anon_sym_template] = ACTIONS(5476),
    [anon_sym_operator] = ACTIONS(5476),
    [anon_sym_friend] = ACTIONS(5476),
    [anon_sym_public] = ACTIONS(5476),
    [anon_sym_private] = ACTIONS(5476),
    [anon_sym_protected] = ACTIONS(5476),
    [anon_sym_using] = ACTIONS(5476),
    [anon_sym_static_assert] = ACTIONS(5476),
  },
  [2297] = {
    [sym_identifier] = ACTIONS(5480),
    [aux_sym_preproc_def_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token1] = ACTIONS(5480),
    [aux_sym_preproc_if_token2] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5480),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5480),
    [aux_sym_preproc_else_token1] = ACTIONS(5480),
    [aux_sym_preproc_elif_token1] = ACTIONS(5480),
    [sym_preproc_directive] = ACTIONS(5480),
    [anon_sym_LPAREN2] = ACTIONS(5482),
    [anon_sym_TILDE] = ACTIONS(5482),
    [anon_sym_STAR] = ACTIONS(5482),
    [anon_sym_AMP_AMP] = ACTIONS(5482),
    [anon_sym_AMP] = ACTIONS(5480),
    [anon_sym___extension__] = ACTIONS(5480),
    [anon_sym_typedef] = ACTIONS(5480),
    [anon_sym_extern] = ACTIONS(5480),
    [anon_sym___attribute__] = ACTIONS(5480),
    [anon_sym_COLON_COLON] = ACTIONS(5482),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5482),
    [anon_sym___declspec] = ACTIONS(5480),
    [anon_sym___based] = ACTIONS(5480),
    [anon_sym_signed] = ACTIONS(5480),
    [anon_sym_unsigned] = ACTIONS(5480),
    [anon_sym_long] = ACTIONS(5480),
    [anon_sym_short] = ACTIONS(5480),
    [anon_sym_LBRACK] = ACTIONS(5480),
    [anon_sym_static] = ACTIONS(5480),
    [anon_sym_register] = ACTIONS(5480),
    [anon_sym_inline] = ACTIONS(5480),
    [anon_sym___inline] = ACTIONS(5480),
    [anon_sym___inline__] = ACTIONS(5480),
    [anon_sym___forceinline] = ACTIONS(5480),
    [anon_sym_thread_local] = ACTIONS(5480),
    [anon_sym___thread] = ACTIONS(5480),
    [anon_sym_const] = ACTIONS(5480),
    [anon_sym_constexpr] = ACTIONS(5480),
    [anon_sym_volatile] = ACTIONS(5480),
    [anon_sym_restrict] = ACTIONS(5480),
    [anon_sym___restrict__] = ACTIONS(5480),
    [anon_sym__Atomic] = ACTIONS(5480),
    [anon_sym__Noreturn] = ACTIONS(5480),
    [anon_sym_noreturn] = ACTIONS(5480),
    [anon_sym_mutable] = ACTIONS(5480),
    [anon_sym_constinit] = ACTIONS(5480),
    [anon_sym_consteval] = ACTIONS(5480),
    [sym_primitive_type] = ACTIONS(5480),
    [anon_sym_enum] = ACTIONS(5480),
    [anon_sym_class] = ACTIONS(5480),
    [anon_sym_struct] = ACTIONS(5480),
    [anon_sym_union] = ACTIONS(5480),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5480),
    [anon_sym_decltype] = ACTIONS(5480),
    [anon_sym_virtual] = ACTIONS(5480),
    [anon_sym_alignas] = ACTIONS(5480),
    [anon_sym_explicit] = ACTIONS(5480),
    [anon_sym_typename] = ACTIONS(5480),
    [anon_sym_template] = ACTIONS(5480),
    [anon_sym_operator] = ACTIONS(5480),
    [anon_sym_friend] = ACTIONS(5480),
    [anon_sym_public] = ACTIONS(5480),
    [anon_sym_private] = ACTIONS(5480),
    [anon_sym_protected] = ACTIONS(5480),
    [anon_sym_using] = ACTIONS(5480),
    [anon_sym_static_assert] = ACTIONS(5480),
  },
  [2298] = {
    [sym_string_literal] = STATE(2298),
    [sym_raw_string_literal] = STATE(2298),
    [aux_sym_concatenated_string_repeat1] = STATE(2298),
    [sym_identifier] = ACTIONS(5835),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5240),
    [anon_sym_COMMA] = ACTIONS(5240),
    [anon_sym_LPAREN2] = ACTIONS(5240),
    [anon_sym_DASH] = ACTIONS(5242),
    [anon_sym_PLUS] = ACTIONS(5242),
    [anon_sym_STAR] = ACTIONS(5242),
    [anon_sym_SLASH] = ACTIONS(5242),
    [anon_sym_PERCENT] = ACTIONS(5242),
    [anon_sym_PIPE_PIPE] = ACTIONS(5240),
    [anon_sym_AMP_AMP] = ACTIONS(5240),
    [anon_sym_PIPE] = ACTIONS(5242),
    [anon_sym_CARET] = ACTIONS(5242),
    [anon_sym_AMP] = ACTIONS(5242),
    [anon_sym_EQ_EQ] = ACTIONS(5240),
    [anon_sym_BANG_EQ] = ACTIONS(5240),
    [anon_sym_GT] = ACTIONS(5242),
    [anon_sym_GT_EQ] = ACTIONS(5242),
    [anon_sym_LT_EQ] = ACTIONS(5242),
    [anon_sym_LT] = ACTIONS(5242),
    [anon_sym_LT_LT] = ACTIONS(5242),
    [anon_sym_GT_GT] = ACTIONS(5242),
    [anon_sym_LBRACK] = ACTIONS(5240),
    [anon_sym_EQ] = ACTIONS(5242),
    [anon_sym_QMARK] = ACTIONS(5240),
    [anon_sym_STAR_EQ] = ACTIONS(5240),
    [anon_sym_SLASH_EQ] = ACTIONS(5240),
    [anon_sym_PERCENT_EQ] = ACTIONS(5240),
    [anon_sym_PLUS_EQ] = ACTIONS(5240),
    [anon_sym_DASH_EQ] = ACTIONS(5240),
    [anon_sym_LT_LT_EQ] = ACTIONS(5240),
    [anon_sym_GT_GT_EQ] = ACTIONS(5242),
    [anon_sym_AMP_EQ] = ACTIONS(5240),
    [anon_sym_CARET_EQ] = ACTIONS(5240),
    [anon_sym_PIPE_EQ] = ACTIONS(5240),
    [anon_sym_and_eq] = ACTIONS(5242),
    [anon_sym_or_eq] = ACTIONS(5242),
    [anon_sym_xor_eq] = ACTIONS(5242),
    [anon_sym_LT_EQ_GT] = ACTIONS(5240),
    [anon_sym_or] = ACTIONS(5242),
    [anon_sym_and] = ACTIONS(5242),
    [anon_sym_bitor] = ACTIONS(5242),
    [anon_sym_xor] = ACTIONS(5242),
    [anon_sym_bitand] = ACTIONS(5242),
    [anon_sym_not_eq] = ACTIONS(5242),
    [anon_sym_DASH_DASH] = ACTIONS(5240),
    [anon_sym_PLUS_PLUS] = ACTIONS(5240),
    [anon_sym_DOT] = ACTIONS(5242),
    [anon_sym_DOT_STAR] = ACTIONS(5240),
    [anon_sym_DASH_GT] = ACTIONS(5240),
    [anon_sym_L_DQUOTE] = ACTIONS(5838),
    [anon_sym_u_DQUOTE] = ACTIONS(5838),
    [anon_sym_U_DQUOTE] = ACTIONS(5838),
    [anon_sym_u8_DQUOTE] = ACTIONS(5838),
    [anon_sym_DQUOTE] = ACTIONS(5838),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5240),
    [anon_sym_R_DQUOTE] = ACTIONS(5841),
    [anon_sym_LR_DQUOTE] = ACTIONS(5841),
    [anon_sym_uR_DQUOTE] = ACTIONS(5841),
    [anon_sym_UR_DQUOTE] = ACTIONS(5841),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5841),
    [sym_literal_suffix] = ACTIONS(5242),
  },
  [2299] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2300] = {
    [sym_identifier] = ACTIONS(5516),
    [aux_sym_preproc_def_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token1] = ACTIONS(5516),
    [aux_sym_preproc_if_token2] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5516),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5516),
    [aux_sym_preproc_else_token1] = ACTIONS(5516),
    [aux_sym_preproc_elif_token1] = ACTIONS(5516),
    [sym_preproc_directive] = ACTIONS(5516),
    [anon_sym_LPAREN2] = ACTIONS(5518),
    [anon_sym_TILDE] = ACTIONS(5518),
    [anon_sym_STAR] = ACTIONS(5518),
    [anon_sym_AMP_AMP] = ACTIONS(5518),
    [anon_sym_AMP] = ACTIONS(5516),
    [anon_sym___extension__] = ACTIONS(5516),
    [anon_sym_typedef] = ACTIONS(5516),
    [anon_sym_extern] = ACTIONS(5516),
    [anon_sym___attribute__] = ACTIONS(5516),
    [anon_sym_COLON_COLON] = ACTIONS(5518),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5518),
    [anon_sym___declspec] = ACTIONS(5516),
    [anon_sym___based] = ACTIONS(5516),
    [anon_sym_signed] = ACTIONS(5516),
    [anon_sym_unsigned] = ACTIONS(5516),
    [anon_sym_long] = ACTIONS(5516),
    [anon_sym_short] = ACTIONS(5516),
    [anon_sym_LBRACK] = ACTIONS(5516),
    [anon_sym_static] = ACTIONS(5516),
    [anon_sym_register] = ACTIONS(5516),
    [anon_sym_inline] = ACTIONS(5516),
    [anon_sym___inline] = ACTIONS(5516),
    [anon_sym___inline__] = ACTIONS(5516),
    [anon_sym___forceinline] = ACTIONS(5516),
    [anon_sym_thread_local] = ACTIONS(5516),
    [anon_sym___thread] = ACTIONS(5516),
    [anon_sym_const] = ACTIONS(5516),
    [anon_sym_constexpr] = ACTIONS(5516),
    [anon_sym_volatile] = ACTIONS(5516),
    [anon_sym_restrict] = ACTIONS(5516),
    [anon_sym___restrict__] = ACTIONS(5516),
    [anon_sym__Atomic] = ACTIONS(5516),
    [anon_sym__Noreturn] = ACTIONS(5516),
    [anon_sym_noreturn] = ACTIONS(5516),
    [anon_sym_mutable] = ACTIONS(5516),
    [anon_sym_constinit] = ACTIONS(5516),
    [anon_sym_consteval] = ACTIONS(5516),
    [sym_primitive_type] = ACTIONS(5516),
    [anon_sym_enum] = ACTIONS(5516),
    [anon_sym_class] = ACTIONS(5516),
    [anon_sym_struct] = ACTIONS(5516),
    [anon_sym_union] = ACTIONS(5516),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5516),
    [anon_sym_decltype] = ACTIONS(5516),
    [anon_sym_virtual] = ACTIONS(5516),
    [anon_sym_alignas] = ACTIONS(5516),
    [anon_sym_explicit] = ACTIONS(5516),
    [anon_sym_typename] = ACTIONS(5516),
    [anon_sym_template] = ACTIONS(5516),
    [anon_sym_operator] = ACTIONS(5516),
    [anon_sym_friend] = ACTIONS(5516),
    [anon_sym_public] = ACTIONS(5516),
    [anon_sym_private] = ACTIONS(5516),
    [anon_sym_protected] = ACTIONS(5516),
    [anon_sym_using] = ACTIONS(5516),
    [anon_sym_static_assert] = ACTIONS(5516),
  },
  [2301] = {
    [sym_identifier] = ACTIONS(5520),
    [aux_sym_preproc_def_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token1] = ACTIONS(5520),
    [aux_sym_preproc_if_token2] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5520),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5520),
    [aux_sym_preproc_else_token1] = ACTIONS(5520),
    [aux_sym_preproc_elif_token1] = ACTIONS(5520),
    [sym_preproc_directive] = ACTIONS(5520),
    [anon_sym_LPAREN2] = ACTIONS(5522),
    [anon_sym_TILDE] = ACTIONS(5522),
    [anon_sym_STAR] = ACTIONS(5522),
    [anon_sym_AMP_AMP] = ACTIONS(5522),
    [anon_sym_AMP] = ACTIONS(5520),
    [anon_sym___extension__] = ACTIONS(5520),
    [anon_sym_typedef] = ACTIONS(5520),
    [anon_sym_extern] = ACTIONS(5520),
    [anon_sym___attribute__] = ACTIONS(5520),
    [anon_sym_COLON_COLON] = ACTIONS(5522),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5522),
    [anon_sym___declspec] = ACTIONS(5520),
    [anon_sym___based] = ACTIONS(5520),
    [anon_sym_signed] = ACTIONS(5520),
    [anon_sym_unsigned] = ACTIONS(5520),
    [anon_sym_long] = ACTIONS(5520),
    [anon_sym_short] = ACTIONS(5520),
    [anon_sym_LBRACK] = ACTIONS(5520),
    [anon_sym_static] = ACTIONS(5520),
    [anon_sym_register] = ACTIONS(5520),
    [anon_sym_inline] = ACTIONS(5520),
    [anon_sym___inline] = ACTIONS(5520),
    [anon_sym___inline__] = ACTIONS(5520),
    [anon_sym___forceinline] = ACTIONS(5520),
    [anon_sym_thread_local] = ACTIONS(5520),
    [anon_sym___thread] = ACTIONS(5520),
    [anon_sym_const] = ACTIONS(5520),
    [anon_sym_constexpr] = ACTIONS(5520),
    [anon_sym_volatile] = ACTIONS(5520),
    [anon_sym_restrict] = ACTIONS(5520),
    [anon_sym___restrict__] = ACTIONS(5520),
    [anon_sym__Atomic] = ACTIONS(5520),
    [anon_sym__Noreturn] = ACTIONS(5520),
    [anon_sym_noreturn] = ACTIONS(5520),
    [anon_sym_mutable] = ACTIONS(5520),
    [anon_sym_constinit] = ACTIONS(5520),
    [anon_sym_consteval] = ACTIONS(5520),
    [sym_primitive_type] = ACTIONS(5520),
    [anon_sym_enum] = ACTIONS(5520),
    [anon_sym_class] = ACTIONS(5520),
    [anon_sym_struct] = ACTIONS(5520),
    [anon_sym_union] = ACTIONS(5520),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5520),
    [anon_sym_decltype] = ACTIONS(5520),
    [anon_sym_virtual] = ACTIONS(5520),
    [anon_sym_alignas] = ACTIONS(5520),
    [anon_sym_explicit] = ACTIONS(5520),
    [anon_sym_typename] = ACTIONS(5520),
    [anon_sym_template] = ACTIONS(5520),
    [anon_sym_operator] = ACTIONS(5520),
    [anon_sym_friend] = ACTIONS(5520),
    [anon_sym_public] = ACTIONS(5520),
    [anon_sym_private] = ACTIONS(5520),
    [anon_sym_protected] = ACTIONS(5520),
    [anon_sym_using] = ACTIONS(5520),
    [anon_sym_static_assert] = ACTIONS(5520),
  },
  [2302] = {
    [sym_string_literal] = STATE(3852),
    [sym_template_argument_list] = STATE(5060),
    [sym_raw_string_literal] = STATE(3852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4145),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5081),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(5086),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5088),
    [anon_sym_SLASH_EQ] = ACTIONS(5088),
    [anon_sym_PERCENT_EQ] = ACTIONS(5088),
    [anon_sym_PLUS_EQ] = ACTIONS(5088),
    [anon_sym_DASH_EQ] = ACTIONS(5088),
    [anon_sym_LT_LT_EQ] = ACTIONS(5088),
    [anon_sym_GT_GT_EQ] = ACTIONS(5086),
    [anon_sym_AMP_EQ] = ACTIONS(5088),
    [anon_sym_CARET_EQ] = ACTIONS(5088),
    [anon_sym_PIPE_EQ] = ACTIONS(5088),
    [anon_sym_and_eq] = ACTIONS(5088),
    [anon_sym_or_eq] = ACTIONS(5088),
    [anon_sym_xor_eq] = ACTIONS(5088),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(5090),
    [anon_sym_u_DQUOTE] = ACTIONS(5090),
    [anon_sym_U_DQUOTE] = ACTIONS(5090),
    [anon_sym_u8_DQUOTE] = ACTIONS(5090),
    [anon_sym_DQUOTE] = ACTIONS(5090),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4137),
    [anon_sym_R_DQUOTE] = ACTIONS(5092),
    [anon_sym_LR_DQUOTE] = ACTIONS(5092),
    [anon_sym_uR_DQUOTE] = ACTIONS(5092),
    [anon_sym_UR_DQUOTE] = ACTIONS(5092),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5092),
  },
  [2303] = {
    [sym_identifier] = ACTIONS(5524),
    [aux_sym_preproc_def_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token1] = ACTIONS(5524),
    [aux_sym_preproc_if_token2] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5524),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5524),
    [aux_sym_preproc_else_token1] = ACTIONS(5524),
    [aux_sym_preproc_elif_token1] = ACTIONS(5524),
    [sym_preproc_directive] = ACTIONS(5524),
    [anon_sym_LPAREN2] = ACTIONS(5526),
    [anon_sym_TILDE] = ACTIONS(5526),
    [anon_sym_STAR] = ACTIONS(5526),
    [anon_sym_AMP_AMP] = ACTIONS(5526),
    [anon_sym_AMP] = ACTIONS(5524),
    [anon_sym___extension__] = ACTIONS(5524),
    [anon_sym_typedef] = ACTIONS(5524),
    [anon_sym_extern] = ACTIONS(5524),
    [anon_sym___attribute__] = ACTIONS(5524),
    [anon_sym_COLON_COLON] = ACTIONS(5526),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5526),
    [anon_sym___declspec] = ACTIONS(5524),
    [anon_sym___based] = ACTIONS(5524),
    [anon_sym_signed] = ACTIONS(5524),
    [anon_sym_unsigned] = ACTIONS(5524),
    [anon_sym_long] = ACTIONS(5524),
    [anon_sym_short] = ACTIONS(5524),
    [anon_sym_LBRACK] = ACTIONS(5524),
    [anon_sym_static] = ACTIONS(5524),
    [anon_sym_register] = ACTIONS(5524),
    [anon_sym_inline] = ACTIONS(5524),
    [anon_sym___inline] = ACTIONS(5524),
    [anon_sym___inline__] = ACTIONS(5524),
    [anon_sym___forceinline] = ACTIONS(5524),
    [anon_sym_thread_local] = ACTIONS(5524),
    [anon_sym___thread] = ACTIONS(5524),
    [anon_sym_const] = ACTIONS(5524),
    [anon_sym_constexpr] = ACTIONS(5524),
    [anon_sym_volatile] = ACTIONS(5524),
    [anon_sym_restrict] = ACTIONS(5524),
    [anon_sym___restrict__] = ACTIONS(5524),
    [anon_sym__Atomic] = ACTIONS(5524),
    [anon_sym__Noreturn] = ACTIONS(5524),
    [anon_sym_noreturn] = ACTIONS(5524),
    [anon_sym_mutable] = ACTIONS(5524),
    [anon_sym_constinit] = ACTIONS(5524),
    [anon_sym_consteval] = ACTIONS(5524),
    [sym_primitive_type] = ACTIONS(5524),
    [anon_sym_enum] = ACTIONS(5524),
    [anon_sym_class] = ACTIONS(5524),
    [anon_sym_struct] = ACTIONS(5524),
    [anon_sym_union] = ACTIONS(5524),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5524),
    [anon_sym_decltype] = ACTIONS(5524),
    [anon_sym_virtual] = ACTIONS(5524),
    [anon_sym_alignas] = ACTIONS(5524),
    [anon_sym_explicit] = ACTIONS(5524),
    [anon_sym_typename] = ACTIONS(5524),
    [anon_sym_template] = ACTIONS(5524),
    [anon_sym_operator] = ACTIONS(5524),
    [anon_sym_friend] = ACTIONS(5524),
    [anon_sym_public] = ACTIONS(5524),
    [anon_sym_private] = ACTIONS(5524),
    [anon_sym_protected] = ACTIONS(5524),
    [anon_sym_using] = ACTIONS(5524),
    [anon_sym_static_assert] = ACTIONS(5524),
  },
  [2304] = {
    [sym_identifier] = ACTIONS(5528),
    [aux_sym_preproc_def_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token1] = ACTIONS(5528),
    [aux_sym_preproc_if_token2] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5528),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5528),
    [aux_sym_preproc_else_token1] = ACTIONS(5528),
    [aux_sym_preproc_elif_token1] = ACTIONS(5528),
    [sym_preproc_directive] = ACTIONS(5528),
    [anon_sym_LPAREN2] = ACTIONS(5530),
    [anon_sym_TILDE] = ACTIONS(5530),
    [anon_sym_STAR] = ACTIONS(5530),
    [anon_sym_AMP_AMP] = ACTIONS(5530),
    [anon_sym_AMP] = ACTIONS(5528),
    [anon_sym___extension__] = ACTIONS(5528),
    [anon_sym_typedef] = ACTIONS(5528),
    [anon_sym_extern] = ACTIONS(5528),
    [anon_sym___attribute__] = ACTIONS(5528),
    [anon_sym_COLON_COLON] = ACTIONS(5530),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5530),
    [anon_sym___declspec] = ACTIONS(5528),
    [anon_sym___based] = ACTIONS(5528),
    [anon_sym_signed] = ACTIONS(5528),
    [anon_sym_unsigned] = ACTIONS(5528),
    [anon_sym_long] = ACTIONS(5528),
    [anon_sym_short] = ACTIONS(5528),
    [anon_sym_LBRACK] = ACTIONS(5528),
    [anon_sym_static] = ACTIONS(5528),
    [anon_sym_register] = ACTIONS(5528),
    [anon_sym_inline] = ACTIONS(5528),
    [anon_sym___inline] = ACTIONS(5528),
    [anon_sym___inline__] = ACTIONS(5528),
    [anon_sym___forceinline] = ACTIONS(5528),
    [anon_sym_thread_local] = ACTIONS(5528),
    [anon_sym___thread] = ACTIONS(5528),
    [anon_sym_const] = ACTIONS(5528),
    [anon_sym_constexpr] = ACTIONS(5528),
    [anon_sym_volatile] = ACTIONS(5528),
    [anon_sym_restrict] = ACTIONS(5528),
    [anon_sym___restrict__] = ACTIONS(5528),
    [anon_sym__Atomic] = ACTIONS(5528),
    [anon_sym__Noreturn] = ACTIONS(5528),
    [anon_sym_noreturn] = ACTIONS(5528),
    [anon_sym_mutable] = ACTIONS(5528),
    [anon_sym_constinit] = ACTIONS(5528),
    [anon_sym_consteval] = ACTIONS(5528),
    [sym_primitive_type] = ACTIONS(5528),
    [anon_sym_enum] = ACTIONS(5528),
    [anon_sym_class] = ACTIONS(5528),
    [anon_sym_struct] = ACTIONS(5528),
    [anon_sym_union] = ACTIONS(5528),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5528),
    [anon_sym_decltype] = ACTIONS(5528),
    [anon_sym_virtual] = ACTIONS(5528),
    [anon_sym_alignas] = ACTIONS(5528),
    [anon_sym_explicit] = ACTIONS(5528),
    [anon_sym_typename] = ACTIONS(5528),
    [anon_sym_template] = ACTIONS(5528),
    [anon_sym_operator] = ACTIONS(5528),
    [anon_sym_friend] = ACTIONS(5528),
    [anon_sym_public] = ACTIONS(5528),
    [anon_sym_private] = ACTIONS(5528),
    [anon_sym_protected] = ACTIONS(5528),
    [anon_sym_using] = ACTIONS(5528),
    [anon_sym_static_assert] = ACTIONS(5528),
  },
  [2305] = {
    [sym_attribute_specifier] = STATE(2460),
    [sym_identifier] = ACTIONS(5844),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5846),
    [anon_sym_COMMA] = ACTIONS(5846),
    [anon_sym_RPAREN] = ACTIONS(5846),
    [aux_sym_preproc_if_token2] = ACTIONS(5846),
    [aux_sym_preproc_else_token1] = ACTIONS(5846),
    [aux_sym_preproc_elif_token1] = ACTIONS(5844),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5846),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5846),
    [anon_sym_LPAREN2] = ACTIONS(5846),
    [anon_sym_DASH] = ACTIONS(5844),
    [anon_sym_PLUS] = ACTIONS(5844),
    [anon_sym_STAR] = ACTIONS(5844),
    [anon_sym_SLASH] = ACTIONS(5844),
    [anon_sym_PERCENT] = ACTIONS(5844),
    [anon_sym_PIPE_PIPE] = ACTIONS(5846),
    [anon_sym_AMP_AMP] = ACTIONS(5846),
    [anon_sym_PIPE] = ACTIONS(5844),
    [anon_sym_CARET] = ACTIONS(5844),
    [anon_sym_AMP] = ACTIONS(5844),
    [anon_sym_EQ_EQ] = ACTIONS(5846),
    [anon_sym_BANG_EQ] = ACTIONS(5846),
    [anon_sym_GT] = ACTIONS(5844),
    [anon_sym_GT_EQ] = ACTIONS(5846),
    [anon_sym_LT_EQ] = ACTIONS(5844),
    [anon_sym_LT] = ACTIONS(5844),
    [anon_sym_LT_LT] = ACTIONS(5844),
    [anon_sym_GT_GT] = ACTIONS(5844),
    [anon_sym_SEMI] = ACTIONS(5846),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5846),
    [anon_sym_RBRACE] = ACTIONS(5846),
    [anon_sym_LBRACK] = ACTIONS(5846),
    [anon_sym_RBRACK] = ACTIONS(5846),
    [anon_sym_EQ] = ACTIONS(5844),
    [anon_sym_COLON] = ACTIONS(5846),
    [anon_sym_QMARK] = ACTIONS(5846),
    [anon_sym_STAR_EQ] = ACTIONS(5846),
    [anon_sym_SLASH_EQ] = ACTIONS(5846),
    [anon_sym_PERCENT_EQ] = ACTIONS(5846),
    [anon_sym_PLUS_EQ] = ACTIONS(5846),
    [anon_sym_DASH_EQ] = ACTIONS(5846),
    [anon_sym_LT_LT_EQ] = ACTIONS(5846),
    [anon_sym_GT_GT_EQ] = ACTIONS(5846),
    [anon_sym_AMP_EQ] = ACTIONS(5846),
    [anon_sym_CARET_EQ] = ACTIONS(5846),
    [anon_sym_PIPE_EQ] = ACTIONS(5846),
    [anon_sym_and_eq] = ACTIONS(5844),
    [anon_sym_or_eq] = ACTIONS(5844),
    [anon_sym_xor_eq] = ACTIONS(5844),
    [anon_sym_LT_EQ_GT] = ACTIONS(5846),
    [anon_sym_or] = ACTIONS(5844),
    [anon_sym_and] = ACTIONS(5844),
    [anon_sym_bitor] = ACTIONS(5844),
    [anon_sym_xor] = ACTIONS(5844),
    [anon_sym_bitand] = ACTIONS(5844),
    [anon_sym_not_eq] = ACTIONS(5844),
    [anon_sym_DASH_DASH] = ACTIONS(5846),
    [anon_sym_PLUS_PLUS] = ACTIONS(5846),
    [anon_sym_DOT] = ACTIONS(5844),
    [anon_sym_DOT_STAR] = ACTIONS(5846),
    [anon_sym_DASH_GT] = ACTIONS(5846),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5844),
    [anon_sym_decltype] = ACTIONS(5844),
  },
  [2306] = {
    [sym_identifier] = ACTIONS(2889),
    [aux_sym_preproc_def_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token1] = ACTIONS(2889),
    [aux_sym_preproc_if_token2] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2889),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2889),
    [aux_sym_preproc_else_token1] = ACTIONS(2889),
    [aux_sym_preproc_elif_token1] = ACTIONS(2889),
    [sym_preproc_directive] = ACTIONS(2889),
    [anon_sym_LPAREN2] = ACTIONS(2891),
    [anon_sym_TILDE] = ACTIONS(2891),
    [anon_sym_STAR] = ACTIONS(2891),
    [anon_sym_AMP_AMP] = ACTIONS(2891),
    [anon_sym_AMP] = ACTIONS(2889),
    [anon_sym___extension__] = ACTIONS(2889),
    [anon_sym_typedef] = ACTIONS(2889),
    [anon_sym_extern] = ACTIONS(2889),
    [anon_sym___attribute__] = ACTIONS(2889),
    [anon_sym_COLON_COLON] = ACTIONS(2891),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2891),
    [anon_sym___declspec] = ACTIONS(2889),
    [anon_sym___based] = ACTIONS(2889),
    [anon_sym_signed] = ACTIONS(2889),
    [anon_sym_unsigned] = ACTIONS(2889),
    [anon_sym_long] = ACTIONS(2889),
    [anon_sym_short] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(2889),
    [anon_sym_static] = ACTIONS(2889),
    [anon_sym_register] = ACTIONS(2889),
    [anon_sym_inline] = ACTIONS(2889),
    [anon_sym___inline] = ACTIONS(2889),
    [anon_sym___inline__] = ACTIONS(2889),
    [anon_sym___forceinline] = ACTIONS(2889),
    [anon_sym_thread_local] = ACTIONS(2889),
    [anon_sym___thread] = ACTIONS(2889),
    [anon_sym_const] = ACTIONS(2889),
    [anon_sym_constexpr] = ACTIONS(2889),
    [anon_sym_volatile] = ACTIONS(2889),
    [anon_sym_restrict] = ACTIONS(2889),
    [anon_sym___restrict__] = ACTIONS(2889),
    [anon_sym__Atomic] = ACTIONS(2889),
    [anon_sym__Noreturn] = ACTIONS(2889),
    [anon_sym_noreturn] = ACTIONS(2889),
    [anon_sym_mutable] = ACTIONS(2889),
    [anon_sym_constinit] = ACTIONS(2889),
    [anon_sym_consteval] = ACTIONS(2889),
    [sym_primitive_type] = ACTIONS(2889),
    [anon_sym_enum] = ACTIONS(2889),
    [anon_sym_class] = ACTIONS(2889),
    [anon_sym_struct] = ACTIONS(2889),
    [anon_sym_union] = ACTIONS(2889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2889),
    [anon_sym_decltype] = ACTIONS(2889),
    [anon_sym_virtual] = ACTIONS(2889),
    [anon_sym_alignas] = ACTIONS(2889),
    [anon_sym_explicit] = ACTIONS(2889),
    [anon_sym_typename] = ACTIONS(2889),
    [anon_sym_template] = ACTIONS(2889),
    [anon_sym_operator] = ACTIONS(2889),
    [anon_sym_friend] = ACTIONS(2889),
    [anon_sym_public] = ACTIONS(2889),
    [anon_sym_private] = ACTIONS(2889),
    [anon_sym_protected] = ACTIONS(2889),
    [anon_sym_using] = ACTIONS(2889),
    [anon_sym_static_assert] = ACTIONS(2889),
  },
  [2307] = {
    [sym_identifier] = ACTIONS(5594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [aux_sym_preproc_if_token2] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5596),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5596),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_CARET] = ACTIONS(5596),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5594),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5596),
    [anon_sym_GT_GT] = ACTIONS(5596),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___extension__] = ACTIONS(5594),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_const] = ACTIONS(5594),
    [anon_sym_constexpr] = ACTIONS(5594),
    [anon_sym_volatile] = ACTIONS(5594),
    [anon_sym_restrict] = ACTIONS(5594),
    [anon_sym___restrict__] = ACTIONS(5594),
    [anon_sym__Atomic] = ACTIONS(5594),
    [anon_sym__Noreturn] = ACTIONS(5594),
    [anon_sym_noreturn] = ACTIONS(5594),
    [anon_sym_mutable] = ACTIONS(5594),
    [anon_sym_constinit] = ACTIONS(5594),
    [anon_sym_consteval] = ACTIONS(5594),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5594),
    [anon_sym_and] = ACTIONS(5594),
    [anon_sym_bitor] = ACTIONS(5594),
    [anon_sym_xor] = ACTIONS(5594),
    [anon_sym_bitand] = ACTIONS(5594),
    [anon_sym_not_eq] = ACTIONS(5594),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
    [anon_sym_final] = ACTIONS(5594),
    [anon_sym_override] = ACTIONS(5594),
    [anon_sym_requires] = ACTIONS(5594),
  },
  [2308] = {
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [aux_sym_preproc_if_token2] = ACTIONS(5550),
    [aux_sym_preproc_else_token1] = ACTIONS(5550),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_COLON_COLON] = ACTIONS(5426),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_EQ] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5548),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_STAR_EQ] = ACTIONS(5550),
    [anon_sym_SLASH_EQ] = ACTIONS(5550),
    [anon_sym_PERCENT_EQ] = ACTIONS(5550),
    [anon_sym_PLUS_EQ] = ACTIONS(5550),
    [anon_sym_DASH_EQ] = ACTIONS(5550),
    [anon_sym_LT_LT_EQ] = ACTIONS(5550),
    [anon_sym_GT_GT_EQ] = ACTIONS(5550),
    [anon_sym_AMP_EQ] = ACTIONS(5550),
    [anon_sym_CARET_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_and_eq] = ACTIONS(5548),
    [anon_sym_or_eq] = ACTIONS(5548),
    [anon_sym_xor_eq] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
  },
  [2309] = {
    [sym_attribute_specifier] = STATE(2477),
    [sym_identifier] = ACTIONS(5848),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5850),
    [anon_sym_COMMA] = ACTIONS(5850),
    [anon_sym_RPAREN] = ACTIONS(5850),
    [aux_sym_preproc_if_token2] = ACTIONS(5850),
    [aux_sym_preproc_else_token1] = ACTIONS(5850),
    [aux_sym_preproc_elif_token1] = ACTIONS(5848),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5850),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5850),
    [anon_sym_LPAREN2] = ACTIONS(5850),
    [anon_sym_DASH] = ACTIONS(5848),
    [anon_sym_PLUS] = ACTIONS(5848),
    [anon_sym_STAR] = ACTIONS(5848),
    [anon_sym_SLASH] = ACTIONS(5848),
    [anon_sym_PERCENT] = ACTIONS(5848),
    [anon_sym_PIPE_PIPE] = ACTIONS(5850),
    [anon_sym_AMP_AMP] = ACTIONS(5850),
    [anon_sym_PIPE] = ACTIONS(5848),
    [anon_sym_CARET] = ACTIONS(5848),
    [anon_sym_AMP] = ACTIONS(5848),
    [anon_sym_EQ_EQ] = ACTIONS(5850),
    [anon_sym_BANG_EQ] = ACTIONS(5850),
    [anon_sym_GT] = ACTIONS(5848),
    [anon_sym_GT_EQ] = ACTIONS(5850),
    [anon_sym_LT_EQ] = ACTIONS(5848),
    [anon_sym_LT] = ACTIONS(5848),
    [anon_sym_LT_LT] = ACTIONS(5848),
    [anon_sym_GT_GT] = ACTIONS(5848),
    [anon_sym_SEMI] = ACTIONS(5850),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5850),
    [anon_sym_RBRACE] = ACTIONS(5850),
    [anon_sym_LBRACK] = ACTIONS(5850),
    [anon_sym_RBRACK] = ACTIONS(5850),
    [anon_sym_EQ] = ACTIONS(5848),
    [anon_sym_COLON] = ACTIONS(5850),
    [anon_sym_QMARK] = ACTIONS(5850),
    [anon_sym_STAR_EQ] = ACTIONS(5850),
    [anon_sym_SLASH_EQ] = ACTIONS(5850),
    [anon_sym_PERCENT_EQ] = ACTIONS(5850),
    [anon_sym_PLUS_EQ] = ACTIONS(5850),
    [anon_sym_DASH_EQ] = ACTIONS(5850),
    [anon_sym_LT_LT_EQ] = ACTIONS(5850),
    [anon_sym_GT_GT_EQ] = ACTIONS(5850),
    [anon_sym_AMP_EQ] = ACTIONS(5850),
    [anon_sym_CARET_EQ] = ACTIONS(5850),
    [anon_sym_PIPE_EQ] = ACTIONS(5850),
    [anon_sym_and_eq] = ACTIONS(5848),
    [anon_sym_or_eq] = ACTIONS(5848),
    [anon_sym_xor_eq] = ACTIONS(5848),
    [anon_sym_LT_EQ_GT] = ACTIONS(5850),
    [anon_sym_or] = ACTIONS(5848),
    [anon_sym_and] = ACTIONS(5848),
    [anon_sym_bitor] = ACTIONS(5848),
    [anon_sym_xor] = ACTIONS(5848),
    [anon_sym_bitand] = ACTIONS(5848),
    [anon_sym_not_eq] = ACTIONS(5848),
    [anon_sym_DASH_DASH] = ACTIONS(5850),
    [anon_sym_PLUS_PLUS] = ACTIONS(5850),
    [anon_sym_DOT] = ACTIONS(5848),
    [anon_sym_DOT_STAR] = ACTIONS(5850),
    [anon_sym_DASH_GT] = ACTIONS(5850),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5848),
    [anon_sym_decltype] = ACTIONS(5848),
  },
  [2310] = {
    [sym_string_literal] = STATE(2298),
    [sym_raw_string_literal] = STATE(2298),
    [aux_sym_concatenated_string_repeat1] = STATE(2298),
    [sym_identifier] = ACTIONS(5852),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5199),
    [anon_sym_COMMA] = ACTIONS(5199),
    [anon_sym_LPAREN2] = ACTIONS(5199),
    [anon_sym_DASH] = ACTIONS(5201),
    [anon_sym_PLUS] = ACTIONS(5201),
    [anon_sym_STAR] = ACTIONS(5201),
    [anon_sym_SLASH] = ACTIONS(5201),
    [anon_sym_PERCENT] = ACTIONS(5201),
    [anon_sym_PIPE_PIPE] = ACTIONS(5199),
    [anon_sym_AMP_AMP] = ACTIONS(5199),
    [anon_sym_PIPE] = ACTIONS(5201),
    [anon_sym_CARET] = ACTIONS(5201),
    [anon_sym_AMP] = ACTIONS(5201),
    [anon_sym_EQ_EQ] = ACTIONS(5199),
    [anon_sym_BANG_EQ] = ACTIONS(5199),
    [anon_sym_GT] = ACTIONS(5201),
    [anon_sym_GT_EQ] = ACTIONS(5201),
    [anon_sym_LT_EQ] = ACTIONS(5201),
    [anon_sym_LT] = ACTIONS(5201),
    [anon_sym_LT_LT] = ACTIONS(5201),
    [anon_sym_GT_GT] = ACTIONS(5201),
    [anon_sym_LBRACK] = ACTIONS(5199),
    [anon_sym_EQ] = ACTIONS(5201),
    [anon_sym_QMARK] = ACTIONS(5199),
    [anon_sym_STAR_EQ] = ACTIONS(5199),
    [anon_sym_SLASH_EQ] = ACTIONS(5199),
    [anon_sym_PERCENT_EQ] = ACTIONS(5199),
    [anon_sym_PLUS_EQ] = ACTIONS(5199),
    [anon_sym_DASH_EQ] = ACTIONS(5199),
    [anon_sym_LT_LT_EQ] = ACTIONS(5199),
    [anon_sym_GT_GT_EQ] = ACTIONS(5201),
    [anon_sym_AMP_EQ] = ACTIONS(5199),
    [anon_sym_CARET_EQ] = ACTIONS(5199),
    [anon_sym_PIPE_EQ] = ACTIONS(5199),
    [anon_sym_and_eq] = ACTIONS(5201),
    [anon_sym_or_eq] = ACTIONS(5201),
    [anon_sym_xor_eq] = ACTIONS(5201),
    [anon_sym_LT_EQ_GT] = ACTIONS(5199),
    [anon_sym_or] = ACTIONS(5201),
    [anon_sym_and] = ACTIONS(5201),
    [anon_sym_bitor] = ACTIONS(5201),
    [anon_sym_xor] = ACTIONS(5201),
    [anon_sym_bitand] = ACTIONS(5201),
    [anon_sym_not_eq] = ACTIONS(5201),
    [anon_sym_DASH_DASH] = ACTIONS(5199),
    [anon_sym_PLUS_PLUS] = ACTIONS(5199),
    [anon_sym_DOT] = ACTIONS(5201),
    [anon_sym_DOT_STAR] = ACTIONS(5199),
    [anon_sym_DASH_GT] = ACTIONS(5199),
    [anon_sym_L_DQUOTE] = ACTIONS(5854),
    [anon_sym_u_DQUOTE] = ACTIONS(5854),
    [anon_sym_U_DQUOTE] = ACTIONS(5854),
    [anon_sym_u8_DQUOTE] = ACTIONS(5854),
    [anon_sym_DQUOTE] = ACTIONS(5854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5199),
    [anon_sym_R_DQUOTE] = ACTIONS(5856),
    [anon_sym_LR_DQUOTE] = ACTIONS(5856),
    [anon_sym_uR_DQUOTE] = ACTIONS(5856),
    [anon_sym_UR_DQUOTE] = ACTIONS(5856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5856),
    [sym_literal_suffix] = ACTIONS(5201),
  },
  [2311] = {
    [sym_identifier] = ACTIONS(3176),
    [aux_sym_preproc_def_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token1] = ACTIONS(3176),
    [aux_sym_preproc_if_token2] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3176),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3176),
    [aux_sym_preproc_else_token1] = ACTIONS(3176),
    [aux_sym_preproc_elif_token1] = ACTIONS(3176),
    [sym_preproc_directive] = ACTIONS(3176),
    [anon_sym_LPAREN2] = ACTIONS(3178),
    [anon_sym_TILDE] = ACTIONS(3178),
    [anon_sym_STAR] = ACTIONS(3178),
    [anon_sym_AMP_AMP] = ACTIONS(3178),
    [anon_sym_AMP] = ACTIONS(3176),
    [anon_sym___extension__] = ACTIONS(3176),
    [anon_sym_typedef] = ACTIONS(3176),
    [anon_sym_extern] = ACTIONS(3176),
    [anon_sym___attribute__] = ACTIONS(3176),
    [anon_sym_COLON_COLON] = ACTIONS(3178),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3178),
    [anon_sym___declspec] = ACTIONS(3176),
    [anon_sym___based] = ACTIONS(3176),
    [anon_sym_signed] = ACTIONS(3176),
    [anon_sym_unsigned] = ACTIONS(3176),
    [anon_sym_long] = ACTIONS(3176),
    [anon_sym_short] = ACTIONS(3176),
    [anon_sym_LBRACK] = ACTIONS(3176),
    [anon_sym_static] = ACTIONS(3176),
    [anon_sym_register] = ACTIONS(3176),
    [anon_sym_inline] = ACTIONS(3176),
    [anon_sym___inline] = ACTIONS(3176),
    [anon_sym___inline__] = ACTIONS(3176),
    [anon_sym___forceinline] = ACTIONS(3176),
    [anon_sym_thread_local] = ACTIONS(3176),
    [anon_sym___thread] = ACTIONS(3176),
    [anon_sym_const] = ACTIONS(3176),
    [anon_sym_constexpr] = ACTIONS(3176),
    [anon_sym_volatile] = ACTIONS(3176),
    [anon_sym_restrict] = ACTIONS(3176),
    [anon_sym___restrict__] = ACTIONS(3176),
    [anon_sym__Atomic] = ACTIONS(3176),
    [anon_sym__Noreturn] = ACTIONS(3176),
    [anon_sym_noreturn] = ACTIONS(3176),
    [anon_sym_mutable] = ACTIONS(3176),
    [anon_sym_constinit] = ACTIONS(3176),
    [anon_sym_consteval] = ACTIONS(3176),
    [sym_primitive_type] = ACTIONS(3176),
    [anon_sym_enum] = ACTIONS(3176),
    [anon_sym_class] = ACTIONS(3176),
    [anon_sym_struct] = ACTIONS(3176),
    [anon_sym_union] = ACTIONS(3176),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3176),
    [anon_sym_decltype] = ACTIONS(3176),
    [anon_sym_virtual] = ACTIONS(3176),
    [anon_sym_alignas] = ACTIONS(3176),
    [anon_sym_explicit] = ACTIONS(3176),
    [anon_sym_typename] = ACTIONS(3176),
    [anon_sym_template] = ACTIONS(3176),
    [anon_sym_operator] = ACTIONS(3176),
    [anon_sym_friend] = ACTIONS(3176),
    [anon_sym_public] = ACTIONS(3176),
    [anon_sym_private] = ACTIONS(3176),
    [anon_sym_protected] = ACTIONS(3176),
    [anon_sym_using] = ACTIONS(3176),
    [anon_sym_static_assert] = ACTIONS(3176),
  },
  [2312] = {
    [sym_identifier] = ACTIONS(5532),
    [aux_sym_preproc_def_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token1] = ACTIONS(5532),
    [aux_sym_preproc_if_token2] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5532),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5532),
    [aux_sym_preproc_else_token1] = ACTIONS(5532),
    [aux_sym_preproc_elif_token1] = ACTIONS(5532),
    [sym_preproc_directive] = ACTIONS(5532),
    [anon_sym_LPAREN2] = ACTIONS(5534),
    [anon_sym_TILDE] = ACTIONS(5534),
    [anon_sym_STAR] = ACTIONS(5534),
    [anon_sym_AMP_AMP] = ACTIONS(5534),
    [anon_sym_AMP] = ACTIONS(5532),
    [anon_sym___extension__] = ACTIONS(5532),
    [anon_sym_typedef] = ACTIONS(5532),
    [anon_sym_extern] = ACTIONS(5532),
    [anon_sym___attribute__] = ACTIONS(5532),
    [anon_sym_COLON_COLON] = ACTIONS(5534),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5534),
    [anon_sym___declspec] = ACTIONS(5532),
    [anon_sym___based] = ACTIONS(5532),
    [anon_sym_signed] = ACTIONS(5532),
    [anon_sym_unsigned] = ACTIONS(5532),
    [anon_sym_long] = ACTIONS(5532),
    [anon_sym_short] = ACTIONS(5532),
    [anon_sym_LBRACK] = ACTIONS(5532),
    [anon_sym_static] = ACTIONS(5532),
    [anon_sym_register] = ACTIONS(5532),
    [anon_sym_inline] = ACTIONS(5532),
    [anon_sym___inline] = ACTIONS(5532),
    [anon_sym___inline__] = ACTIONS(5532),
    [anon_sym___forceinline] = ACTIONS(5532),
    [anon_sym_thread_local] = ACTIONS(5532),
    [anon_sym___thread] = ACTIONS(5532),
    [anon_sym_const] = ACTIONS(5532),
    [anon_sym_constexpr] = ACTIONS(5532),
    [anon_sym_volatile] = ACTIONS(5532),
    [anon_sym_restrict] = ACTIONS(5532),
    [anon_sym___restrict__] = ACTIONS(5532),
    [anon_sym__Atomic] = ACTIONS(5532),
    [anon_sym__Noreturn] = ACTIONS(5532),
    [anon_sym_noreturn] = ACTIONS(5532),
    [anon_sym_mutable] = ACTIONS(5532),
    [anon_sym_constinit] = ACTIONS(5532),
    [anon_sym_consteval] = ACTIONS(5532),
    [sym_primitive_type] = ACTIONS(5532),
    [anon_sym_enum] = ACTIONS(5532),
    [anon_sym_class] = ACTIONS(5532),
    [anon_sym_struct] = ACTIONS(5532),
    [anon_sym_union] = ACTIONS(5532),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5532),
    [anon_sym_decltype] = ACTIONS(5532),
    [anon_sym_virtual] = ACTIONS(5532),
    [anon_sym_alignas] = ACTIONS(5532),
    [anon_sym_explicit] = ACTIONS(5532),
    [anon_sym_typename] = ACTIONS(5532),
    [anon_sym_template] = ACTIONS(5532),
    [anon_sym_operator] = ACTIONS(5532),
    [anon_sym_friend] = ACTIONS(5532),
    [anon_sym_public] = ACTIONS(5532),
    [anon_sym_private] = ACTIONS(5532),
    [anon_sym_protected] = ACTIONS(5532),
    [anon_sym_using] = ACTIONS(5532),
    [anon_sym_static_assert] = ACTIONS(5532),
  },
  [2313] = {
    [sym_identifier] = ACTIONS(5536),
    [aux_sym_preproc_def_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token1] = ACTIONS(5536),
    [aux_sym_preproc_if_token2] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5536),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5536),
    [aux_sym_preproc_else_token1] = ACTIONS(5536),
    [aux_sym_preproc_elif_token1] = ACTIONS(5536),
    [sym_preproc_directive] = ACTIONS(5536),
    [anon_sym_LPAREN2] = ACTIONS(5538),
    [anon_sym_TILDE] = ACTIONS(5538),
    [anon_sym_STAR] = ACTIONS(5538),
    [anon_sym_AMP_AMP] = ACTIONS(5538),
    [anon_sym_AMP] = ACTIONS(5536),
    [anon_sym___extension__] = ACTIONS(5536),
    [anon_sym_typedef] = ACTIONS(5536),
    [anon_sym_extern] = ACTIONS(5536),
    [anon_sym___attribute__] = ACTIONS(5536),
    [anon_sym_COLON_COLON] = ACTIONS(5538),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5538),
    [anon_sym___declspec] = ACTIONS(5536),
    [anon_sym___based] = ACTIONS(5536),
    [anon_sym_signed] = ACTIONS(5536),
    [anon_sym_unsigned] = ACTIONS(5536),
    [anon_sym_long] = ACTIONS(5536),
    [anon_sym_short] = ACTIONS(5536),
    [anon_sym_LBRACK] = ACTIONS(5536),
    [anon_sym_static] = ACTIONS(5536),
    [anon_sym_register] = ACTIONS(5536),
    [anon_sym_inline] = ACTIONS(5536),
    [anon_sym___inline] = ACTIONS(5536),
    [anon_sym___inline__] = ACTIONS(5536),
    [anon_sym___forceinline] = ACTIONS(5536),
    [anon_sym_thread_local] = ACTIONS(5536),
    [anon_sym___thread] = ACTIONS(5536),
    [anon_sym_const] = ACTIONS(5536),
    [anon_sym_constexpr] = ACTIONS(5536),
    [anon_sym_volatile] = ACTIONS(5536),
    [anon_sym_restrict] = ACTIONS(5536),
    [anon_sym___restrict__] = ACTIONS(5536),
    [anon_sym__Atomic] = ACTIONS(5536),
    [anon_sym__Noreturn] = ACTIONS(5536),
    [anon_sym_noreturn] = ACTIONS(5536),
    [anon_sym_mutable] = ACTIONS(5536),
    [anon_sym_constinit] = ACTIONS(5536),
    [anon_sym_consteval] = ACTIONS(5536),
    [sym_primitive_type] = ACTIONS(5536),
    [anon_sym_enum] = ACTIONS(5536),
    [anon_sym_class] = ACTIONS(5536),
    [anon_sym_struct] = ACTIONS(5536),
    [anon_sym_union] = ACTIONS(5536),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5536),
    [anon_sym_decltype] = ACTIONS(5536),
    [anon_sym_virtual] = ACTIONS(5536),
    [anon_sym_alignas] = ACTIONS(5536),
    [anon_sym_explicit] = ACTIONS(5536),
    [anon_sym_typename] = ACTIONS(5536),
    [anon_sym_template] = ACTIONS(5536),
    [anon_sym_operator] = ACTIONS(5536),
    [anon_sym_friend] = ACTIONS(5536),
    [anon_sym_public] = ACTIONS(5536),
    [anon_sym_private] = ACTIONS(5536),
    [anon_sym_protected] = ACTIONS(5536),
    [anon_sym_using] = ACTIONS(5536),
    [anon_sym_static_assert] = ACTIONS(5536),
  },
  [2314] = {
    [sym_identifier] = ACTIONS(5540),
    [aux_sym_preproc_def_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [sym_preproc_directive] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_TILDE] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5540),
    [anon_sym_typedef] = ACTIONS(5540),
    [anon_sym_extern] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym___declspec] = ACTIONS(5540),
    [anon_sym___based] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5540),
    [anon_sym_unsigned] = ACTIONS(5540),
    [anon_sym_long] = ACTIONS(5540),
    [anon_sym_short] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_static] = ACTIONS(5540),
    [anon_sym_register] = ACTIONS(5540),
    [anon_sym_inline] = ACTIONS(5540),
    [anon_sym___inline] = ACTIONS(5540),
    [anon_sym___inline__] = ACTIONS(5540),
    [anon_sym___forceinline] = ACTIONS(5540),
    [anon_sym_thread_local] = ACTIONS(5540),
    [anon_sym___thread] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5540),
    [anon_sym_constexpr] = ACTIONS(5540),
    [anon_sym_volatile] = ACTIONS(5540),
    [anon_sym_restrict] = ACTIONS(5540),
    [anon_sym___restrict__] = ACTIONS(5540),
    [anon_sym__Atomic] = ACTIONS(5540),
    [anon_sym__Noreturn] = ACTIONS(5540),
    [anon_sym_noreturn] = ACTIONS(5540),
    [anon_sym_mutable] = ACTIONS(5540),
    [anon_sym_constinit] = ACTIONS(5540),
    [anon_sym_consteval] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(5540),
    [anon_sym_enum] = ACTIONS(5540),
    [anon_sym_class] = ACTIONS(5540),
    [anon_sym_struct] = ACTIONS(5540),
    [anon_sym_union] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5540),
    [anon_sym_decltype] = ACTIONS(5540),
    [anon_sym_virtual] = ACTIONS(5540),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym_explicit] = ACTIONS(5540),
    [anon_sym_typename] = ACTIONS(5540),
    [anon_sym_template] = ACTIONS(5540),
    [anon_sym_operator] = ACTIONS(5540),
    [anon_sym_friend] = ACTIONS(5540),
    [anon_sym_public] = ACTIONS(5540),
    [anon_sym_private] = ACTIONS(5540),
    [anon_sym_protected] = ACTIONS(5540),
    [anon_sym_using] = ACTIONS(5540),
    [anon_sym_static_assert] = ACTIONS(5540),
  },
  [2315] = {
    [sym_identifier] = ACTIONS(3193),
    [aux_sym_preproc_def_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token1] = ACTIONS(3193),
    [aux_sym_preproc_if_token2] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3193),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3193),
    [aux_sym_preproc_else_token1] = ACTIONS(3193),
    [aux_sym_preproc_elif_token1] = ACTIONS(3193),
    [sym_preproc_directive] = ACTIONS(3193),
    [anon_sym_LPAREN2] = ACTIONS(3195),
    [anon_sym_TILDE] = ACTIONS(3195),
    [anon_sym_STAR] = ACTIONS(3195),
    [anon_sym_AMP_AMP] = ACTIONS(3195),
    [anon_sym_AMP] = ACTIONS(3193),
    [anon_sym___extension__] = ACTIONS(3193),
    [anon_sym_typedef] = ACTIONS(3193),
    [anon_sym_extern] = ACTIONS(3193),
    [anon_sym___attribute__] = ACTIONS(3193),
    [anon_sym_COLON_COLON] = ACTIONS(3195),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3195),
    [anon_sym___declspec] = ACTIONS(3193),
    [anon_sym___based] = ACTIONS(3193),
    [anon_sym_signed] = ACTIONS(3193),
    [anon_sym_unsigned] = ACTIONS(3193),
    [anon_sym_long] = ACTIONS(3193),
    [anon_sym_short] = ACTIONS(3193),
    [anon_sym_LBRACK] = ACTIONS(3193),
    [anon_sym_static] = ACTIONS(3193),
    [anon_sym_register] = ACTIONS(3193),
    [anon_sym_inline] = ACTIONS(3193),
    [anon_sym___inline] = ACTIONS(3193),
    [anon_sym___inline__] = ACTIONS(3193),
    [anon_sym___forceinline] = ACTIONS(3193),
    [anon_sym_thread_local] = ACTIONS(3193),
    [anon_sym___thread] = ACTIONS(3193),
    [anon_sym_const] = ACTIONS(3193),
    [anon_sym_constexpr] = ACTIONS(3193),
    [anon_sym_volatile] = ACTIONS(3193),
    [anon_sym_restrict] = ACTIONS(3193),
    [anon_sym___restrict__] = ACTIONS(3193),
    [anon_sym__Atomic] = ACTIONS(3193),
    [anon_sym__Noreturn] = ACTIONS(3193),
    [anon_sym_noreturn] = ACTIONS(3193),
    [anon_sym_mutable] = ACTIONS(3193),
    [anon_sym_constinit] = ACTIONS(3193),
    [anon_sym_consteval] = ACTIONS(3193),
    [sym_primitive_type] = ACTIONS(3193),
    [anon_sym_enum] = ACTIONS(3193),
    [anon_sym_class] = ACTIONS(3193),
    [anon_sym_struct] = ACTIONS(3193),
    [anon_sym_union] = ACTIONS(3193),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3193),
    [anon_sym_decltype] = ACTIONS(3193),
    [anon_sym_virtual] = ACTIONS(3193),
    [anon_sym_alignas] = ACTIONS(3193),
    [anon_sym_explicit] = ACTIONS(3193),
    [anon_sym_typename] = ACTIONS(3193),
    [anon_sym_template] = ACTIONS(3193),
    [anon_sym_operator] = ACTIONS(3193),
    [anon_sym_friend] = ACTIONS(3193),
    [anon_sym_public] = ACTIONS(3193),
    [anon_sym_private] = ACTIONS(3193),
    [anon_sym_protected] = ACTIONS(3193),
    [anon_sym_using] = ACTIONS(3193),
    [anon_sym_static_assert] = ACTIONS(3193),
  },
  [2316] = {
    [sym_identifier] = ACTIONS(5540),
    [aux_sym_preproc_def_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token1] = ACTIONS(5540),
    [aux_sym_preproc_if_token2] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5540),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5540),
    [aux_sym_preproc_else_token1] = ACTIONS(5540),
    [aux_sym_preproc_elif_token1] = ACTIONS(5540),
    [sym_preproc_directive] = ACTIONS(5540),
    [anon_sym_LPAREN2] = ACTIONS(5542),
    [anon_sym_TILDE] = ACTIONS(5542),
    [anon_sym_STAR] = ACTIONS(5542),
    [anon_sym_AMP_AMP] = ACTIONS(5542),
    [anon_sym_AMP] = ACTIONS(5540),
    [anon_sym___extension__] = ACTIONS(5540),
    [anon_sym_typedef] = ACTIONS(5540),
    [anon_sym_extern] = ACTIONS(5540),
    [anon_sym___attribute__] = ACTIONS(5540),
    [anon_sym_COLON_COLON] = ACTIONS(5542),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5542),
    [anon_sym___declspec] = ACTIONS(5540),
    [anon_sym___based] = ACTIONS(5540),
    [anon_sym_signed] = ACTIONS(5540),
    [anon_sym_unsigned] = ACTIONS(5540),
    [anon_sym_long] = ACTIONS(5540),
    [anon_sym_short] = ACTIONS(5540),
    [anon_sym_LBRACK] = ACTIONS(5540),
    [anon_sym_static] = ACTIONS(5540),
    [anon_sym_register] = ACTIONS(5540),
    [anon_sym_inline] = ACTIONS(5540),
    [anon_sym___inline] = ACTIONS(5540),
    [anon_sym___inline__] = ACTIONS(5540),
    [anon_sym___forceinline] = ACTIONS(5540),
    [anon_sym_thread_local] = ACTIONS(5540),
    [anon_sym___thread] = ACTIONS(5540),
    [anon_sym_const] = ACTIONS(5540),
    [anon_sym_constexpr] = ACTIONS(5540),
    [anon_sym_volatile] = ACTIONS(5540),
    [anon_sym_restrict] = ACTIONS(5540),
    [anon_sym___restrict__] = ACTIONS(5540),
    [anon_sym__Atomic] = ACTIONS(5540),
    [anon_sym__Noreturn] = ACTIONS(5540),
    [anon_sym_noreturn] = ACTIONS(5540),
    [anon_sym_mutable] = ACTIONS(5540),
    [anon_sym_constinit] = ACTIONS(5540),
    [anon_sym_consteval] = ACTIONS(5540),
    [sym_primitive_type] = ACTIONS(5540),
    [anon_sym_enum] = ACTIONS(5540),
    [anon_sym_class] = ACTIONS(5540),
    [anon_sym_struct] = ACTIONS(5540),
    [anon_sym_union] = ACTIONS(5540),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5540),
    [anon_sym_decltype] = ACTIONS(5540),
    [anon_sym_virtual] = ACTIONS(5540),
    [anon_sym_alignas] = ACTIONS(5540),
    [anon_sym_explicit] = ACTIONS(5540),
    [anon_sym_typename] = ACTIONS(5540),
    [anon_sym_template] = ACTIONS(5540),
    [anon_sym_operator] = ACTIONS(5540),
    [anon_sym_friend] = ACTIONS(5540),
    [anon_sym_public] = ACTIONS(5540),
    [anon_sym_private] = ACTIONS(5540),
    [anon_sym_protected] = ACTIONS(5540),
    [anon_sym_using] = ACTIONS(5540),
    [anon_sym_static_assert] = ACTIONS(5540),
  },
  [2317] = {
    [sym_identifier] = ACTIONS(3209),
    [aux_sym_preproc_def_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token1] = ACTIONS(3209),
    [aux_sym_preproc_if_token2] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3209),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3209),
    [aux_sym_preproc_else_token1] = ACTIONS(3209),
    [aux_sym_preproc_elif_token1] = ACTIONS(3209),
    [sym_preproc_directive] = ACTIONS(3209),
    [anon_sym_LPAREN2] = ACTIONS(3211),
    [anon_sym_TILDE] = ACTIONS(3211),
    [anon_sym_STAR] = ACTIONS(3211),
    [anon_sym_AMP_AMP] = ACTIONS(3211),
    [anon_sym_AMP] = ACTIONS(3209),
    [anon_sym___extension__] = ACTIONS(3209),
    [anon_sym_typedef] = ACTIONS(3209),
    [anon_sym_extern] = ACTIONS(3209),
    [anon_sym___attribute__] = ACTIONS(3209),
    [anon_sym_COLON_COLON] = ACTIONS(3211),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3211),
    [anon_sym___declspec] = ACTIONS(3209),
    [anon_sym___based] = ACTIONS(3209),
    [anon_sym_signed] = ACTIONS(3209),
    [anon_sym_unsigned] = ACTIONS(3209),
    [anon_sym_long] = ACTIONS(3209),
    [anon_sym_short] = ACTIONS(3209),
    [anon_sym_LBRACK] = ACTIONS(3209),
    [anon_sym_static] = ACTIONS(3209),
    [anon_sym_register] = ACTIONS(3209),
    [anon_sym_inline] = ACTIONS(3209),
    [anon_sym___inline] = ACTIONS(3209),
    [anon_sym___inline__] = ACTIONS(3209),
    [anon_sym___forceinline] = ACTIONS(3209),
    [anon_sym_thread_local] = ACTIONS(3209),
    [anon_sym___thread] = ACTIONS(3209),
    [anon_sym_const] = ACTIONS(3209),
    [anon_sym_constexpr] = ACTIONS(3209),
    [anon_sym_volatile] = ACTIONS(3209),
    [anon_sym_restrict] = ACTIONS(3209),
    [anon_sym___restrict__] = ACTIONS(3209),
    [anon_sym__Atomic] = ACTIONS(3209),
    [anon_sym__Noreturn] = ACTIONS(3209),
    [anon_sym_noreturn] = ACTIONS(3209),
    [anon_sym_mutable] = ACTIONS(3209),
    [anon_sym_constinit] = ACTIONS(3209),
    [anon_sym_consteval] = ACTIONS(3209),
    [sym_primitive_type] = ACTIONS(3209),
    [anon_sym_enum] = ACTIONS(3209),
    [anon_sym_class] = ACTIONS(3209),
    [anon_sym_struct] = ACTIONS(3209),
    [anon_sym_union] = ACTIONS(3209),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3209),
    [anon_sym_decltype] = ACTIONS(3209),
    [anon_sym_virtual] = ACTIONS(3209),
    [anon_sym_alignas] = ACTIONS(3209),
    [anon_sym_explicit] = ACTIONS(3209),
    [anon_sym_typename] = ACTIONS(3209),
    [anon_sym_template] = ACTIONS(3209),
    [anon_sym_operator] = ACTIONS(3209),
    [anon_sym_friend] = ACTIONS(3209),
    [anon_sym_public] = ACTIONS(3209),
    [anon_sym_private] = ACTIONS(3209),
    [anon_sym_protected] = ACTIONS(3209),
    [anon_sym_using] = ACTIONS(3209),
    [anon_sym_static_assert] = ACTIONS(3209),
  },
  [2318] = {
    [sym_identifier] = ACTIONS(3237),
    [aux_sym_preproc_def_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token1] = ACTIONS(3237),
    [aux_sym_preproc_if_token2] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3237),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3237),
    [aux_sym_preproc_else_token1] = ACTIONS(3237),
    [aux_sym_preproc_elif_token1] = ACTIONS(3237),
    [sym_preproc_directive] = ACTIONS(3237),
    [anon_sym_LPAREN2] = ACTIONS(3239),
    [anon_sym_TILDE] = ACTIONS(3239),
    [anon_sym_STAR] = ACTIONS(3239),
    [anon_sym_AMP_AMP] = ACTIONS(3239),
    [anon_sym_AMP] = ACTIONS(3237),
    [anon_sym___extension__] = ACTIONS(3237),
    [anon_sym_typedef] = ACTIONS(3237),
    [anon_sym_extern] = ACTIONS(3237),
    [anon_sym___attribute__] = ACTIONS(3237),
    [anon_sym_COLON_COLON] = ACTIONS(3239),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3239),
    [anon_sym___declspec] = ACTIONS(3237),
    [anon_sym___based] = ACTIONS(3237),
    [anon_sym_signed] = ACTIONS(3237),
    [anon_sym_unsigned] = ACTIONS(3237),
    [anon_sym_long] = ACTIONS(3237),
    [anon_sym_short] = ACTIONS(3237),
    [anon_sym_LBRACK] = ACTIONS(3237),
    [anon_sym_static] = ACTIONS(3237),
    [anon_sym_register] = ACTIONS(3237),
    [anon_sym_inline] = ACTIONS(3237),
    [anon_sym___inline] = ACTIONS(3237),
    [anon_sym___inline__] = ACTIONS(3237),
    [anon_sym___forceinline] = ACTIONS(3237),
    [anon_sym_thread_local] = ACTIONS(3237),
    [anon_sym___thread] = ACTIONS(3237),
    [anon_sym_const] = ACTIONS(3237),
    [anon_sym_constexpr] = ACTIONS(3237),
    [anon_sym_volatile] = ACTIONS(3237),
    [anon_sym_restrict] = ACTIONS(3237),
    [anon_sym___restrict__] = ACTIONS(3237),
    [anon_sym__Atomic] = ACTIONS(3237),
    [anon_sym__Noreturn] = ACTIONS(3237),
    [anon_sym_noreturn] = ACTIONS(3237),
    [anon_sym_mutable] = ACTIONS(3237),
    [anon_sym_constinit] = ACTIONS(3237),
    [anon_sym_consteval] = ACTIONS(3237),
    [sym_primitive_type] = ACTIONS(3237),
    [anon_sym_enum] = ACTIONS(3237),
    [anon_sym_class] = ACTIONS(3237),
    [anon_sym_struct] = ACTIONS(3237),
    [anon_sym_union] = ACTIONS(3237),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3237),
    [anon_sym_decltype] = ACTIONS(3237),
    [anon_sym_virtual] = ACTIONS(3237),
    [anon_sym_alignas] = ACTIONS(3237),
    [anon_sym_explicit] = ACTIONS(3237),
    [anon_sym_typename] = ACTIONS(3237),
    [anon_sym_template] = ACTIONS(3237),
    [anon_sym_operator] = ACTIONS(3237),
    [anon_sym_friend] = ACTIONS(3237),
    [anon_sym_public] = ACTIONS(3237),
    [anon_sym_private] = ACTIONS(3237),
    [anon_sym_protected] = ACTIONS(3237),
    [anon_sym_using] = ACTIONS(3237),
    [anon_sym_static_assert] = ACTIONS(3237),
  },
  [2319] = {
    [sym_attribute_declaration] = STATE(2469),
    [sym_parameter_list] = STATE(2473),
    [aux_sym_attributed_declarator_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(5858),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5860),
    [anon_sym_COMMA] = ACTIONS(5860),
    [anon_sym_RPAREN] = ACTIONS(5860),
    [aux_sym_preproc_if_token2] = ACTIONS(5860),
    [aux_sym_preproc_else_token1] = ACTIONS(5860),
    [aux_sym_preproc_elif_token1] = ACTIONS(5858),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5860),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5860),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5858),
    [anon_sym_PLUS] = ACTIONS(5858),
    [anon_sym_STAR] = ACTIONS(5858),
    [anon_sym_SLASH] = ACTIONS(5858),
    [anon_sym_PERCENT] = ACTIONS(5858),
    [anon_sym_PIPE_PIPE] = ACTIONS(5860),
    [anon_sym_AMP_AMP] = ACTIONS(5860),
    [anon_sym_PIPE] = ACTIONS(5858),
    [anon_sym_CARET] = ACTIONS(5858),
    [anon_sym_AMP] = ACTIONS(5858),
    [anon_sym_EQ_EQ] = ACTIONS(5860),
    [anon_sym_BANG_EQ] = ACTIONS(5860),
    [anon_sym_GT] = ACTIONS(5858),
    [anon_sym_GT_EQ] = ACTIONS(5860),
    [anon_sym_LT_EQ] = ACTIONS(5858),
    [anon_sym_LT] = ACTIONS(5858),
    [anon_sym_LT_LT] = ACTIONS(5858),
    [anon_sym_GT_GT] = ACTIONS(5858),
    [anon_sym_SEMI] = ACTIONS(5860),
    [anon_sym___attribute__] = ACTIONS(5858),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5831),
    [anon_sym_RBRACE] = ACTIONS(5860),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5860),
    [anon_sym_EQ] = ACTIONS(5858),
    [anon_sym_COLON] = ACTIONS(5860),
    [anon_sym_QMARK] = ACTIONS(5860),
    [anon_sym_STAR_EQ] = ACTIONS(5860),
    [anon_sym_SLASH_EQ] = ACTIONS(5860),
    [anon_sym_PERCENT_EQ] = ACTIONS(5860),
    [anon_sym_PLUS_EQ] = ACTIONS(5860),
    [anon_sym_DASH_EQ] = ACTIONS(5860),
    [anon_sym_LT_LT_EQ] = ACTIONS(5860),
    [anon_sym_GT_GT_EQ] = ACTIONS(5860),
    [anon_sym_AMP_EQ] = ACTIONS(5860),
    [anon_sym_CARET_EQ] = ACTIONS(5860),
    [anon_sym_PIPE_EQ] = ACTIONS(5860),
    [anon_sym_and_eq] = ACTIONS(5858),
    [anon_sym_or_eq] = ACTIONS(5858),
    [anon_sym_xor_eq] = ACTIONS(5858),
    [anon_sym_LT_EQ_GT] = ACTIONS(5860),
    [anon_sym_or] = ACTIONS(5858),
    [anon_sym_and] = ACTIONS(5858),
    [anon_sym_bitor] = ACTIONS(5858),
    [anon_sym_xor] = ACTIONS(5858),
    [anon_sym_bitand] = ACTIONS(5858),
    [anon_sym_not_eq] = ACTIONS(5858),
    [anon_sym_DASH_DASH] = ACTIONS(5860),
    [anon_sym_PLUS_PLUS] = ACTIONS(5860),
    [anon_sym_DOT] = ACTIONS(5858),
    [anon_sym_DOT_STAR] = ACTIONS(5860),
    [anon_sym_DASH_GT] = ACTIONS(5860),
    [sym_comment] = ACTIONS(3),
  },
  [2320] = {
    [sym_identifier] = ACTIONS(3265),
    [aux_sym_preproc_def_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token1] = ACTIONS(3265),
    [aux_sym_preproc_if_token2] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3265),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3265),
    [aux_sym_preproc_else_token1] = ACTIONS(3265),
    [aux_sym_preproc_elif_token1] = ACTIONS(3265),
    [sym_preproc_directive] = ACTIONS(3265),
    [anon_sym_LPAREN2] = ACTIONS(3267),
    [anon_sym_TILDE] = ACTIONS(3267),
    [anon_sym_STAR] = ACTIONS(3267),
    [anon_sym_AMP_AMP] = ACTIONS(3267),
    [anon_sym_AMP] = ACTIONS(3265),
    [anon_sym___extension__] = ACTIONS(3265),
    [anon_sym_typedef] = ACTIONS(3265),
    [anon_sym_extern] = ACTIONS(3265),
    [anon_sym___attribute__] = ACTIONS(3265),
    [anon_sym_COLON_COLON] = ACTIONS(3267),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3267),
    [anon_sym___declspec] = ACTIONS(3265),
    [anon_sym___based] = ACTIONS(3265),
    [anon_sym_signed] = ACTIONS(3265),
    [anon_sym_unsigned] = ACTIONS(3265),
    [anon_sym_long] = ACTIONS(3265),
    [anon_sym_short] = ACTIONS(3265),
    [anon_sym_LBRACK] = ACTIONS(3265),
    [anon_sym_static] = ACTIONS(3265),
    [anon_sym_register] = ACTIONS(3265),
    [anon_sym_inline] = ACTIONS(3265),
    [anon_sym___inline] = ACTIONS(3265),
    [anon_sym___inline__] = ACTIONS(3265),
    [anon_sym___forceinline] = ACTIONS(3265),
    [anon_sym_thread_local] = ACTIONS(3265),
    [anon_sym___thread] = ACTIONS(3265),
    [anon_sym_const] = ACTIONS(3265),
    [anon_sym_constexpr] = ACTIONS(3265),
    [anon_sym_volatile] = ACTIONS(3265),
    [anon_sym_restrict] = ACTIONS(3265),
    [anon_sym___restrict__] = ACTIONS(3265),
    [anon_sym__Atomic] = ACTIONS(3265),
    [anon_sym__Noreturn] = ACTIONS(3265),
    [anon_sym_noreturn] = ACTIONS(3265),
    [anon_sym_mutable] = ACTIONS(3265),
    [anon_sym_constinit] = ACTIONS(3265),
    [anon_sym_consteval] = ACTIONS(3265),
    [sym_primitive_type] = ACTIONS(3265),
    [anon_sym_enum] = ACTIONS(3265),
    [anon_sym_class] = ACTIONS(3265),
    [anon_sym_struct] = ACTIONS(3265),
    [anon_sym_union] = ACTIONS(3265),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3265),
    [anon_sym_decltype] = ACTIONS(3265),
    [anon_sym_virtual] = ACTIONS(3265),
    [anon_sym_alignas] = ACTIONS(3265),
    [anon_sym_explicit] = ACTIONS(3265),
    [anon_sym_typename] = ACTIONS(3265),
    [anon_sym_template] = ACTIONS(3265),
    [anon_sym_operator] = ACTIONS(3265),
    [anon_sym_friend] = ACTIONS(3265),
    [anon_sym_public] = ACTIONS(3265),
    [anon_sym_private] = ACTIONS(3265),
    [anon_sym_protected] = ACTIONS(3265),
    [anon_sym_using] = ACTIONS(3265),
    [anon_sym_static_assert] = ACTIONS(3265),
  },
  [2321] = {
    [sym_identifier] = ACTIONS(5544),
    [aux_sym_preproc_def_token1] = ACTIONS(5544),
    [aux_sym_preproc_if_token1] = ACTIONS(5544),
    [aux_sym_preproc_if_token2] = ACTIONS(5544),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5544),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5544),
    [aux_sym_preproc_else_token1] = ACTIONS(5544),
    [aux_sym_preproc_elif_token1] = ACTIONS(5544),
    [sym_preproc_directive] = ACTIONS(5544),
    [anon_sym_LPAREN2] = ACTIONS(5546),
    [anon_sym_TILDE] = ACTIONS(5546),
    [anon_sym_STAR] = ACTIONS(5546),
    [anon_sym_AMP_AMP] = ACTIONS(5546),
    [anon_sym_AMP] = ACTIONS(5544),
    [anon_sym___extension__] = ACTIONS(5544),
    [anon_sym_typedef] = ACTIONS(5544),
    [anon_sym_extern] = ACTIONS(5544),
    [anon_sym___attribute__] = ACTIONS(5544),
    [anon_sym_COLON_COLON] = ACTIONS(5546),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5546),
    [anon_sym___declspec] = ACTIONS(5544),
    [anon_sym___based] = ACTIONS(5544),
    [anon_sym_signed] = ACTIONS(5544),
    [anon_sym_unsigned] = ACTIONS(5544),
    [anon_sym_long] = ACTIONS(5544),
    [anon_sym_short] = ACTIONS(5544),
    [anon_sym_LBRACK] = ACTIONS(5544),
    [anon_sym_static] = ACTIONS(5544),
    [anon_sym_register] = ACTIONS(5544),
    [anon_sym_inline] = ACTIONS(5544),
    [anon_sym___inline] = ACTIONS(5544),
    [anon_sym___inline__] = ACTIONS(5544),
    [anon_sym___forceinline] = ACTIONS(5544),
    [anon_sym_thread_local] = ACTIONS(5544),
    [anon_sym___thread] = ACTIONS(5544),
    [anon_sym_const] = ACTIONS(5544),
    [anon_sym_constexpr] = ACTIONS(5544),
    [anon_sym_volatile] = ACTIONS(5544),
    [anon_sym_restrict] = ACTIONS(5544),
    [anon_sym___restrict__] = ACTIONS(5544),
    [anon_sym__Atomic] = ACTIONS(5544),
    [anon_sym__Noreturn] = ACTIONS(5544),
    [anon_sym_noreturn] = ACTIONS(5544),
    [anon_sym_mutable] = ACTIONS(5544),
    [anon_sym_constinit] = ACTIONS(5544),
    [anon_sym_consteval] = ACTIONS(5544),
    [sym_primitive_type] = ACTIONS(5544),
    [anon_sym_enum] = ACTIONS(5544),
    [anon_sym_class] = ACTIONS(5544),
    [anon_sym_struct] = ACTIONS(5544),
    [anon_sym_union] = ACTIONS(5544),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5544),
    [anon_sym_decltype] = ACTIONS(5544),
    [anon_sym_virtual] = ACTIONS(5544),
    [anon_sym_alignas] = ACTIONS(5544),
    [anon_sym_explicit] = ACTIONS(5544),
    [anon_sym_typename] = ACTIONS(5544),
    [anon_sym_template] = ACTIONS(5544),
    [anon_sym_operator] = ACTIONS(5544),
    [anon_sym_friend] = ACTIONS(5544),
    [anon_sym_public] = ACTIONS(5544),
    [anon_sym_private] = ACTIONS(5544),
    [anon_sym_protected] = ACTIONS(5544),
    [anon_sym_using] = ACTIONS(5544),
    [anon_sym_static_assert] = ACTIONS(5544),
  },
  [2322] = {
    [sym_attribute_specifier] = STATE(2482),
    [sym_identifier] = ACTIONS(5862),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5864),
    [anon_sym_COMMA] = ACTIONS(5864),
    [anon_sym_RPAREN] = ACTIONS(5864),
    [aux_sym_preproc_if_token2] = ACTIONS(5864),
    [aux_sym_preproc_else_token1] = ACTIONS(5864),
    [aux_sym_preproc_elif_token1] = ACTIONS(5862),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5864),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5864),
    [anon_sym_LPAREN2] = ACTIONS(5864),
    [anon_sym_DASH] = ACTIONS(5862),
    [anon_sym_PLUS] = ACTIONS(5862),
    [anon_sym_STAR] = ACTIONS(5862),
    [anon_sym_SLASH] = ACTIONS(5862),
    [anon_sym_PERCENT] = ACTIONS(5862),
    [anon_sym_PIPE_PIPE] = ACTIONS(5864),
    [anon_sym_AMP_AMP] = ACTIONS(5864),
    [anon_sym_PIPE] = ACTIONS(5862),
    [anon_sym_CARET] = ACTIONS(5862),
    [anon_sym_AMP] = ACTIONS(5862),
    [anon_sym_EQ_EQ] = ACTIONS(5864),
    [anon_sym_BANG_EQ] = ACTIONS(5864),
    [anon_sym_GT] = ACTIONS(5862),
    [anon_sym_GT_EQ] = ACTIONS(5864),
    [anon_sym_LT_EQ] = ACTIONS(5862),
    [anon_sym_LT] = ACTIONS(5862),
    [anon_sym_LT_LT] = ACTIONS(5862),
    [anon_sym_GT_GT] = ACTIONS(5862),
    [anon_sym_SEMI] = ACTIONS(5864),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5864),
    [anon_sym_RBRACE] = ACTIONS(5864),
    [anon_sym_LBRACK] = ACTIONS(5864),
    [anon_sym_RBRACK] = ACTIONS(5864),
    [anon_sym_EQ] = ACTIONS(5862),
    [anon_sym_COLON] = ACTIONS(5864),
    [anon_sym_QMARK] = ACTIONS(5864),
    [anon_sym_STAR_EQ] = ACTIONS(5864),
    [anon_sym_SLASH_EQ] = ACTIONS(5864),
    [anon_sym_PERCENT_EQ] = ACTIONS(5864),
    [anon_sym_PLUS_EQ] = ACTIONS(5864),
    [anon_sym_DASH_EQ] = ACTIONS(5864),
    [anon_sym_LT_LT_EQ] = ACTIONS(5864),
    [anon_sym_GT_GT_EQ] = ACTIONS(5864),
    [anon_sym_AMP_EQ] = ACTIONS(5864),
    [anon_sym_CARET_EQ] = ACTIONS(5864),
    [anon_sym_PIPE_EQ] = ACTIONS(5864),
    [anon_sym_and_eq] = ACTIONS(5862),
    [anon_sym_or_eq] = ACTIONS(5862),
    [anon_sym_xor_eq] = ACTIONS(5862),
    [anon_sym_LT_EQ_GT] = ACTIONS(5864),
    [anon_sym_or] = ACTIONS(5862),
    [anon_sym_and] = ACTIONS(5862),
    [anon_sym_bitor] = ACTIONS(5862),
    [anon_sym_xor] = ACTIONS(5862),
    [anon_sym_bitand] = ACTIONS(5862),
    [anon_sym_not_eq] = ACTIONS(5862),
    [anon_sym_DASH_DASH] = ACTIONS(5864),
    [anon_sym_PLUS_PLUS] = ACTIONS(5864),
    [anon_sym_DOT] = ACTIONS(5862),
    [anon_sym_DOT_STAR] = ACTIONS(5864),
    [anon_sym_DASH_GT] = ACTIONS(5864),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5862),
    [anon_sym_decltype] = ACTIONS(5862),
  },
  [2323] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_friend] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
  },
  [2324] = {
    [sym_identifier] = ACTIONS(5552),
    [aux_sym_preproc_def_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token1] = ACTIONS(5552),
    [aux_sym_preproc_if_token2] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5552),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5552),
    [aux_sym_preproc_else_token1] = ACTIONS(5552),
    [aux_sym_preproc_elif_token1] = ACTIONS(5552),
    [sym_preproc_directive] = ACTIONS(5552),
    [anon_sym_LPAREN2] = ACTIONS(5554),
    [anon_sym_TILDE] = ACTIONS(5554),
    [anon_sym_STAR] = ACTIONS(5554),
    [anon_sym_AMP_AMP] = ACTIONS(5554),
    [anon_sym_AMP] = ACTIONS(5552),
    [anon_sym___extension__] = ACTIONS(5552),
    [anon_sym_typedef] = ACTIONS(5552),
    [anon_sym_extern] = ACTIONS(5552),
    [anon_sym___attribute__] = ACTIONS(5552),
    [anon_sym_COLON_COLON] = ACTIONS(5554),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5554),
    [anon_sym___declspec] = ACTIONS(5552),
    [anon_sym___based] = ACTIONS(5552),
    [anon_sym_signed] = ACTIONS(5552),
    [anon_sym_unsigned] = ACTIONS(5552),
    [anon_sym_long] = ACTIONS(5552),
    [anon_sym_short] = ACTIONS(5552),
    [anon_sym_LBRACK] = ACTIONS(5552),
    [anon_sym_static] = ACTIONS(5552),
    [anon_sym_register] = ACTIONS(5552),
    [anon_sym_inline] = ACTIONS(5552),
    [anon_sym___inline] = ACTIONS(5552),
    [anon_sym___inline__] = ACTIONS(5552),
    [anon_sym___forceinline] = ACTIONS(5552),
    [anon_sym_thread_local] = ACTIONS(5552),
    [anon_sym___thread] = ACTIONS(5552),
    [anon_sym_const] = ACTIONS(5552),
    [anon_sym_constexpr] = ACTIONS(5552),
    [anon_sym_volatile] = ACTIONS(5552),
    [anon_sym_restrict] = ACTIONS(5552),
    [anon_sym___restrict__] = ACTIONS(5552),
    [anon_sym__Atomic] = ACTIONS(5552),
    [anon_sym__Noreturn] = ACTIONS(5552),
    [anon_sym_noreturn] = ACTIONS(5552),
    [anon_sym_mutable] = ACTIONS(5552),
    [anon_sym_constinit] = ACTIONS(5552),
    [anon_sym_consteval] = ACTIONS(5552),
    [sym_primitive_type] = ACTIONS(5552),
    [anon_sym_enum] = ACTIONS(5552),
    [anon_sym_class] = ACTIONS(5552),
    [anon_sym_struct] = ACTIONS(5552),
    [anon_sym_union] = ACTIONS(5552),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5552),
    [anon_sym_decltype] = ACTIONS(5552),
    [anon_sym_virtual] = ACTIONS(5552),
    [anon_sym_alignas] = ACTIONS(5552),
    [anon_sym_explicit] = ACTIONS(5552),
    [anon_sym_typename] = ACTIONS(5552),
    [anon_sym_template] = ACTIONS(5552),
    [anon_sym_operator] = ACTIONS(5552),
    [anon_sym_friend] = ACTIONS(5552),
    [anon_sym_public] = ACTIONS(5552),
    [anon_sym_private] = ACTIONS(5552),
    [anon_sym_protected] = ACTIONS(5552),
    [anon_sym_using] = ACTIONS(5552),
    [anon_sym_static_assert] = ACTIONS(5552),
  },
  [2325] = {
    [sym_identifier] = ACTIONS(5556),
    [aux_sym_preproc_def_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token1] = ACTIONS(5556),
    [aux_sym_preproc_if_token2] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5556),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5556),
    [aux_sym_preproc_else_token1] = ACTIONS(5556),
    [aux_sym_preproc_elif_token1] = ACTIONS(5556),
    [sym_preproc_directive] = ACTIONS(5556),
    [anon_sym_LPAREN2] = ACTIONS(5558),
    [anon_sym_TILDE] = ACTIONS(5558),
    [anon_sym_STAR] = ACTIONS(5558),
    [anon_sym_AMP_AMP] = ACTIONS(5558),
    [anon_sym_AMP] = ACTIONS(5556),
    [anon_sym___extension__] = ACTIONS(5556),
    [anon_sym_typedef] = ACTIONS(5556),
    [anon_sym_extern] = ACTIONS(5556),
    [anon_sym___attribute__] = ACTIONS(5556),
    [anon_sym_COLON_COLON] = ACTIONS(5558),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5558),
    [anon_sym___declspec] = ACTIONS(5556),
    [anon_sym___based] = ACTIONS(5556),
    [anon_sym_signed] = ACTIONS(5556),
    [anon_sym_unsigned] = ACTIONS(5556),
    [anon_sym_long] = ACTIONS(5556),
    [anon_sym_short] = ACTIONS(5556),
    [anon_sym_LBRACK] = ACTIONS(5556),
    [anon_sym_static] = ACTIONS(5556),
    [anon_sym_register] = ACTIONS(5556),
    [anon_sym_inline] = ACTIONS(5556),
    [anon_sym___inline] = ACTIONS(5556),
    [anon_sym___inline__] = ACTIONS(5556),
    [anon_sym___forceinline] = ACTIONS(5556),
    [anon_sym_thread_local] = ACTIONS(5556),
    [anon_sym___thread] = ACTIONS(5556),
    [anon_sym_const] = ACTIONS(5556),
    [anon_sym_constexpr] = ACTIONS(5556),
    [anon_sym_volatile] = ACTIONS(5556),
    [anon_sym_restrict] = ACTIONS(5556),
    [anon_sym___restrict__] = ACTIONS(5556),
    [anon_sym__Atomic] = ACTIONS(5556),
    [anon_sym__Noreturn] = ACTIONS(5556),
    [anon_sym_noreturn] = ACTIONS(5556),
    [anon_sym_mutable] = ACTIONS(5556),
    [anon_sym_constinit] = ACTIONS(5556),
    [anon_sym_consteval] = ACTIONS(5556),
    [sym_primitive_type] = ACTIONS(5556),
    [anon_sym_enum] = ACTIONS(5556),
    [anon_sym_class] = ACTIONS(5556),
    [anon_sym_struct] = ACTIONS(5556),
    [anon_sym_union] = ACTIONS(5556),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5556),
    [anon_sym_decltype] = ACTIONS(5556),
    [anon_sym_virtual] = ACTIONS(5556),
    [anon_sym_alignas] = ACTIONS(5556),
    [anon_sym_explicit] = ACTIONS(5556),
    [anon_sym_typename] = ACTIONS(5556),
    [anon_sym_template] = ACTIONS(5556),
    [anon_sym_operator] = ACTIONS(5556),
    [anon_sym_friend] = ACTIONS(5556),
    [anon_sym_public] = ACTIONS(5556),
    [anon_sym_private] = ACTIONS(5556),
    [anon_sym_protected] = ACTIONS(5556),
    [anon_sym_using] = ACTIONS(5556),
    [anon_sym_static_assert] = ACTIONS(5556),
  },
  [2326] = {
    [sym_attribute_specifier] = STATE(2413),
    [sym_identifier] = ACTIONS(5866),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5868),
    [anon_sym_COMMA] = ACTIONS(5868),
    [anon_sym_RPAREN] = ACTIONS(5868),
    [aux_sym_preproc_if_token2] = ACTIONS(5868),
    [aux_sym_preproc_else_token1] = ACTIONS(5868),
    [aux_sym_preproc_elif_token1] = ACTIONS(5866),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5868),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5868),
    [anon_sym_LPAREN2] = ACTIONS(5868),
    [anon_sym_DASH] = ACTIONS(5866),
    [anon_sym_PLUS] = ACTIONS(5866),
    [anon_sym_STAR] = ACTIONS(5866),
    [anon_sym_SLASH] = ACTIONS(5866),
    [anon_sym_PERCENT] = ACTIONS(5866),
    [anon_sym_PIPE_PIPE] = ACTIONS(5868),
    [anon_sym_AMP_AMP] = ACTIONS(5868),
    [anon_sym_PIPE] = ACTIONS(5866),
    [anon_sym_CARET] = ACTIONS(5866),
    [anon_sym_AMP] = ACTIONS(5866),
    [anon_sym_EQ_EQ] = ACTIONS(5868),
    [anon_sym_BANG_EQ] = ACTIONS(5868),
    [anon_sym_GT] = ACTIONS(5866),
    [anon_sym_GT_EQ] = ACTIONS(5868),
    [anon_sym_LT_EQ] = ACTIONS(5866),
    [anon_sym_LT] = ACTIONS(5866),
    [anon_sym_LT_LT] = ACTIONS(5866),
    [anon_sym_GT_GT] = ACTIONS(5866),
    [anon_sym_SEMI] = ACTIONS(5868),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5868),
    [anon_sym_RBRACE] = ACTIONS(5868),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_RBRACK] = ACTIONS(5868),
    [anon_sym_EQ] = ACTIONS(5866),
    [anon_sym_COLON] = ACTIONS(5868),
    [anon_sym_QMARK] = ACTIONS(5868),
    [anon_sym_STAR_EQ] = ACTIONS(5868),
    [anon_sym_SLASH_EQ] = ACTIONS(5868),
    [anon_sym_PERCENT_EQ] = ACTIONS(5868),
    [anon_sym_PLUS_EQ] = ACTIONS(5868),
    [anon_sym_DASH_EQ] = ACTIONS(5868),
    [anon_sym_LT_LT_EQ] = ACTIONS(5868),
    [anon_sym_GT_GT_EQ] = ACTIONS(5868),
    [anon_sym_AMP_EQ] = ACTIONS(5868),
    [anon_sym_CARET_EQ] = ACTIONS(5868),
    [anon_sym_PIPE_EQ] = ACTIONS(5868),
    [anon_sym_and_eq] = ACTIONS(5866),
    [anon_sym_or_eq] = ACTIONS(5866),
    [anon_sym_xor_eq] = ACTIONS(5866),
    [anon_sym_LT_EQ_GT] = ACTIONS(5868),
    [anon_sym_or] = ACTIONS(5866),
    [anon_sym_and] = ACTIONS(5866),
    [anon_sym_bitor] = ACTIONS(5866),
    [anon_sym_xor] = ACTIONS(5866),
    [anon_sym_bitand] = ACTIONS(5866),
    [anon_sym_not_eq] = ACTIONS(5866),
    [anon_sym_DASH_DASH] = ACTIONS(5868),
    [anon_sym_PLUS_PLUS] = ACTIONS(5868),
    [anon_sym_DOT] = ACTIONS(5866),
    [anon_sym_DOT_STAR] = ACTIONS(5868),
    [anon_sym_DASH_GT] = ACTIONS(5868),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5866),
    [anon_sym_decltype] = ACTIONS(5866),
  },
  [2327] = {
    [sym_identifier] = ACTIONS(3269),
    [aux_sym_preproc_def_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token1] = ACTIONS(3269),
    [aux_sym_preproc_if_token2] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3269),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3269),
    [aux_sym_preproc_else_token1] = ACTIONS(3269),
    [aux_sym_preproc_elif_token1] = ACTIONS(3269),
    [sym_preproc_directive] = ACTIONS(3269),
    [anon_sym_LPAREN2] = ACTIONS(3271),
    [anon_sym_TILDE] = ACTIONS(3271),
    [anon_sym_STAR] = ACTIONS(3271),
    [anon_sym_AMP_AMP] = ACTIONS(3271),
    [anon_sym_AMP] = ACTIONS(3269),
    [anon_sym___extension__] = ACTIONS(3269),
    [anon_sym_typedef] = ACTIONS(3269),
    [anon_sym_extern] = ACTIONS(3269),
    [anon_sym___attribute__] = ACTIONS(3269),
    [anon_sym_COLON_COLON] = ACTIONS(3271),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3271),
    [anon_sym___declspec] = ACTIONS(3269),
    [anon_sym___based] = ACTIONS(3269),
    [anon_sym_signed] = ACTIONS(3269),
    [anon_sym_unsigned] = ACTIONS(3269),
    [anon_sym_long] = ACTIONS(3269),
    [anon_sym_short] = ACTIONS(3269),
    [anon_sym_LBRACK] = ACTIONS(3269),
    [anon_sym_static] = ACTIONS(3269),
    [anon_sym_register] = ACTIONS(3269),
    [anon_sym_inline] = ACTIONS(3269),
    [anon_sym___inline] = ACTIONS(3269),
    [anon_sym___inline__] = ACTIONS(3269),
    [anon_sym___forceinline] = ACTIONS(3269),
    [anon_sym_thread_local] = ACTIONS(3269),
    [anon_sym___thread] = ACTIONS(3269),
    [anon_sym_const] = ACTIONS(3269),
    [anon_sym_constexpr] = ACTIONS(3269),
    [anon_sym_volatile] = ACTIONS(3269),
    [anon_sym_restrict] = ACTIONS(3269),
    [anon_sym___restrict__] = ACTIONS(3269),
    [anon_sym__Atomic] = ACTIONS(3269),
    [anon_sym__Noreturn] = ACTIONS(3269),
    [anon_sym_noreturn] = ACTIONS(3269),
    [anon_sym_mutable] = ACTIONS(3269),
    [anon_sym_constinit] = ACTIONS(3269),
    [anon_sym_consteval] = ACTIONS(3269),
    [sym_primitive_type] = ACTIONS(3269),
    [anon_sym_enum] = ACTIONS(3269),
    [anon_sym_class] = ACTIONS(3269),
    [anon_sym_struct] = ACTIONS(3269),
    [anon_sym_union] = ACTIONS(3269),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3269),
    [anon_sym_decltype] = ACTIONS(3269),
    [anon_sym_virtual] = ACTIONS(3269),
    [anon_sym_alignas] = ACTIONS(3269),
    [anon_sym_explicit] = ACTIONS(3269),
    [anon_sym_typename] = ACTIONS(3269),
    [anon_sym_template] = ACTIONS(3269),
    [anon_sym_operator] = ACTIONS(3269),
    [anon_sym_friend] = ACTIONS(3269),
    [anon_sym_public] = ACTIONS(3269),
    [anon_sym_private] = ACTIONS(3269),
    [anon_sym_protected] = ACTIONS(3269),
    [anon_sym_using] = ACTIONS(3269),
    [anon_sym_static_assert] = ACTIONS(3269),
  },
  [2328] = {
    [sym_identifier] = ACTIONS(3302),
    [aux_sym_preproc_def_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token1] = ACTIONS(3302),
    [aux_sym_preproc_if_token2] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3302),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3302),
    [aux_sym_preproc_else_token1] = ACTIONS(3302),
    [aux_sym_preproc_elif_token1] = ACTIONS(3302),
    [sym_preproc_directive] = ACTIONS(3302),
    [anon_sym_LPAREN2] = ACTIONS(3304),
    [anon_sym_TILDE] = ACTIONS(3304),
    [anon_sym_STAR] = ACTIONS(3304),
    [anon_sym_AMP_AMP] = ACTIONS(3304),
    [anon_sym_AMP] = ACTIONS(3302),
    [anon_sym___extension__] = ACTIONS(3302),
    [anon_sym_typedef] = ACTIONS(3302),
    [anon_sym_extern] = ACTIONS(3302),
    [anon_sym___attribute__] = ACTIONS(3302),
    [anon_sym_COLON_COLON] = ACTIONS(3304),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3304),
    [anon_sym___declspec] = ACTIONS(3302),
    [anon_sym___based] = ACTIONS(3302),
    [anon_sym_signed] = ACTIONS(3302),
    [anon_sym_unsigned] = ACTIONS(3302),
    [anon_sym_long] = ACTIONS(3302),
    [anon_sym_short] = ACTIONS(3302),
    [anon_sym_LBRACK] = ACTIONS(3302),
    [anon_sym_static] = ACTIONS(3302),
    [anon_sym_register] = ACTIONS(3302),
    [anon_sym_inline] = ACTIONS(3302),
    [anon_sym___inline] = ACTIONS(3302),
    [anon_sym___inline__] = ACTIONS(3302),
    [anon_sym___forceinline] = ACTIONS(3302),
    [anon_sym_thread_local] = ACTIONS(3302),
    [anon_sym___thread] = ACTIONS(3302),
    [anon_sym_const] = ACTIONS(3302),
    [anon_sym_constexpr] = ACTIONS(3302),
    [anon_sym_volatile] = ACTIONS(3302),
    [anon_sym_restrict] = ACTIONS(3302),
    [anon_sym___restrict__] = ACTIONS(3302),
    [anon_sym__Atomic] = ACTIONS(3302),
    [anon_sym__Noreturn] = ACTIONS(3302),
    [anon_sym_noreturn] = ACTIONS(3302),
    [anon_sym_mutable] = ACTIONS(3302),
    [anon_sym_constinit] = ACTIONS(3302),
    [anon_sym_consteval] = ACTIONS(3302),
    [sym_primitive_type] = ACTIONS(3302),
    [anon_sym_enum] = ACTIONS(3302),
    [anon_sym_class] = ACTIONS(3302),
    [anon_sym_struct] = ACTIONS(3302),
    [anon_sym_union] = ACTIONS(3302),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3302),
    [anon_sym_decltype] = ACTIONS(3302),
    [anon_sym_virtual] = ACTIONS(3302),
    [anon_sym_alignas] = ACTIONS(3302),
    [anon_sym_explicit] = ACTIONS(3302),
    [anon_sym_typename] = ACTIONS(3302),
    [anon_sym_template] = ACTIONS(3302),
    [anon_sym_operator] = ACTIONS(3302),
    [anon_sym_friend] = ACTIONS(3302),
    [anon_sym_public] = ACTIONS(3302),
    [anon_sym_private] = ACTIONS(3302),
    [anon_sym_protected] = ACTIONS(3302),
    [anon_sym_using] = ACTIONS(3302),
    [anon_sym_static_assert] = ACTIONS(3302),
  },
  [2329] = {
    [sym_identifier] = ACTIONS(5438),
    [aux_sym_preproc_def_token1] = ACTIONS(5438),
    [aux_sym_preproc_if_token1] = ACTIONS(5438),
    [aux_sym_preproc_if_token2] = ACTIONS(5438),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5438),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5438),
    [aux_sym_preproc_else_token1] = ACTIONS(5438),
    [aux_sym_preproc_elif_token1] = ACTIONS(5438),
    [sym_preproc_directive] = ACTIONS(5438),
    [anon_sym_LPAREN2] = ACTIONS(5440),
    [anon_sym_TILDE] = ACTIONS(5440),
    [anon_sym_STAR] = ACTIONS(5440),
    [anon_sym_AMP_AMP] = ACTIONS(5440),
    [anon_sym_AMP] = ACTIONS(5438),
    [anon_sym___extension__] = ACTIONS(5438),
    [anon_sym_typedef] = ACTIONS(5438),
    [anon_sym_extern] = ACTIONS(5438),
    [anon_sym___attribute__] = ACTIONS(5438),
    [anon_sym_COLON_COLON] = ACTIONS(5440),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5440),
    [anon_sym___declspec] = ACTIONS(5438),
    [anon_sym___based] = ACTIONS(5438),
    [anon_sym_signed] = ACTIONS(5438),
    [anon_sym_unsigned] = ACTIONS(5438),
    [anon_sym_long] = ACTIONS(5438),
    [anon_sym_short] = ACTIONS(5438),
    [anon_sym_LBRACK] = ACTIONS(5438),
    [anon_sym_static] = ACTIONS(5438),
    [anon_sym_register] = ACTIONS(5438),
    [anon_sym_inline] = ACTIONS(5438),
    [anon_sym___inline] = ACTIONS(5438),
    [anon_sym___inline__] = ACTIONS(5438),
    [anon_sym___forceinline] = ACTIONS(5438),
    [anon_sym_thread_local] = ACTIONS(5438),
    [anon_sym___thread] = ACTIONS(5438),
    [anon_sym_const] = ACTIONS(5438),
    [anon_sym_constexpr] = ACTIONS(5438),
    [anon_sym_volatile] = ACTIONS(5438),
    [anon_sym_restrict] = ACTIONS(5438),
    [anon_sym___restrict__] = ACTIONS(5438),
    [anon_sym__Atomic] = ACTIONS(5438),
    [anon_sym__Noreturn] = ACTIONS(5438),
    [anon_sym_noreturn] = ACTIONS(5438),
    [anon_sym_mutable] = ACTIONS(5438),
    [anon_sym_constinit] = ACTIONS(5438),
    [anon_sym_consteval] = ACTIONS(5438),
    [sym_primitive_type] = ACTIONS(5438),
    [anon_sym_enum] = ACTIONS(5438),
    [anon_sym_class] = ACTIONS(5438),
    [anon_sym_struct] = ACTIONS(5438),
    [anon_sym_union] = ACTIONS(5438),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5438),
    [anon_sym_decltype] = ACTIONS(5438),
    [anon_sym_virtual] = ACTIONS(5438),
    [anon_sym_alignas] = ACTIONS(5438),
    [anon_sym_explicit] = ACTIONS(5438),
    [anon_sym_typename] = ACTIONS(5438),
    [anon_sym_template] = ACTIONS(5438),
    [anon_sym_operator] = ACTIONS(5438),
    [anon_sym_friend] = ACTIONS(5438),
    [anon_sym_public] = ACTIONS(5438),
    [anon_sym_private] = ACTIONS(5438),
    [anon_sym_protected] = ACTIONS(5438),
    [anon_sym_using] = ACTIONS(5438),
    [anon_sym_static_assert] = ACTIONS(5438),
  },
  [2330] = {
    [sym_identifier] = ACTIONS(3298),
    [aux_sym_preproc_def_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token1] = ACTIONS(3298),
    [aux_sym_preproc_if_token2] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3298),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3298),
    [aux_sym_preproc_else_token1] = ACTIONS(3298),
    [aux_sym_preproc_elif_token1] = ACTIONS(3298),
    [sym_preproc_directive] = ACTIONS(3298),
    [anon_sym_LPAREN2] = ACTIONS(3300),
    [anon_sym_TILDE] = ACTIONS(3300),
    [anon_sym_STAR] = ACTIONS(3300),
    [anon_sym_AMP_AMP] = ACTIONS(3300),
    [anon_sym_AMP] = ACTIONS(3298),
    [anon_sym___extension__] = ACTIONS(3298),
    [anon_sym_typedef] = ACTIONS(3298),
    [anon_sym_extern] = ACTIONS(3298),
    [anon_sym___attribute__] = ACTIONS(3298),
    [anon_sym_COLON_COLON] = ACTIONS(3300),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3300),
    [anon_sym___declspec] = ACTIONS(3298),
    [anon_sym___based] = ACTIONS(3298),
    [anon_sym_signed] = ACTIONS(3298),
    [anon_sym_unsigned] = ACTIONS(3298),
    [anon_sym_long] = ACTIONS(3298),
    [anon_sym_short] = ACTIONS(3298),
    [anon_sym_LBRACK] = ACTIONS(3298),
    [anon_sym_static] = ACTIONS(3298),
    [anon_sym_register] = ACTIONS(3298),
    [anon_sym_inline] = ACTIONS(3298),
    [anon_sym___inline] = ACTIONS(3298),
    [anon_sym___inline__] = ACTIONS(3298),
    [anon_sym___forceinline] = ACTIONS(3298),
    [anon_sym_thread_local] = ACTIONS(3298),
    [anon_sym___thread] = ACTIONS(3298),
    [anon_sym_const] = ACTIONS(3298),
    [anon_sym_constexpr] = ACTIONS(3298),
    [anon_sym_volatile] = ACTIONS(3298),
    [anon_sym_restrict] = ACTIONS(3298),
    [anon_sym___restrict__] = ACTIONS(3298),
    [anon_sym__Atomic] = ACTIONS(3298),
    [anon_sym__Noreturn] = ACTIONS(3298),
    [anon_sym_noreturn] = ACTIONS(3298),
    [anon_sym_mutable] = ACTIONS(3298),
    [anon_sym_constinit] = ACTIONS(3298),
    [anon_sym_consteval] = ACTIONS(3298),
    [sym_primitive_type] = ACTIONS(3298),
    [anon_sym_enum] = ACTIONS(3298),
    [anon_sym_class] = ACTIONS(3298),
    [anon_sym_struct] = ACTIONS(3298),
    [anon_sym_union] = ACTIONS(3298),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3298),
    [anon_sym_decltype] = ACTIONS(3298),
    [anon_sym_virtual] = ACTIONS(3298),
    [anon_sym_alignas] = ACTIONS(3298),
    [anon_sym_explicit] = ACTIONS(3298),
    [anon_sym_typename] = ACTIONS(3298),
    [anon_sym_template] = ACTIONS(3298),
    [anon_sym_operator] = ACTIONS(3298),
    [anon_sym_friend] = ACTIONS(3298),
    [anon_sym_public] = ACTIONS(3298),
    [anon_sym_private] = ACTIONS(3298),
    [anon_sym_protected] = ACTIONS(3298),
    [anon_sym_using] = ACTIONS(3298),
    [anon_sym_static_assert] = ACTIONS(3298),
  },
  [2331] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2340),
    [sym_identifier] = ACTIONS(5870),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [aux_sym_preproc_if_token2] = ACTIONS(5600),
    [aux_sym_preproc_else_token1] = ACTIONS(5600),
    [aux_sym_preproc_elif_token1] = ACTIONS(5602),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5600),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_signed] = ACTIONS(5873),
    [anon_sym_unsigned] = ACTIONS(5873),
    [anon_sym_long] = ACTIONS(5873),
    [anon_sym_short] = ACTIONS(5873),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_EQ] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5875),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_STAR_EQ] = ACTIONS(5600),
    [anon_sym_SLASH_EQ] = ACTIONS(5600),
    [anon_sym_PERCENT_EQ] = ACTIONS(5600),
    [anon_sym_PLUS_EQ] = ACTIONS(5600),
    [anon_sym_DASH_EQ] = ACTIONS(5600),
    [anon_sym_LT_LT_EQ] = ACTIONS(5600),
    [anon_sym_GT_GT_EQ] = ACTIONS(5600),
    [anon_sym_AMP_EQ] = ACTIONS(5600),
    [anon_sym_CARET_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_and_eq] = ACTIONS(5602),
    [anon_sym_or_eq] = ACTIONS(5602),
    [anon_sym_xor_eq] = ACTIONS(5602),
    [anon_sym_LT_EQ_GT] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
  },
  [2332] = {
    [sym_attribute_declaration] = STATE(2469),
    [sym_parameter_list] = STATE(2473),
    [aux_sym_attributed_declarator_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(5877),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5879),
    [anon_sym_COMMA] = ACTIONS(5879),
    [anon_sym_RPAREN] = ACTIONS(5879),
    [aux_sym_preproc_if_token2] = ACTIONS(5879),
    [aux_sym_preproc_else_token1] = ACTIONS(5879),
    [aux_sym_preproc_elif_token1] = ACTIONS(5877),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5879),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5879),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5877),
    [anon_sym_PLUS] = ACTIONS(5877),
    [anon_sym_STAR] = ACTIONS(5877),
    [anon_sym_SLASH] = ACTIONS(5877),
    [anon_sym_PERCENT] = ACTIONS(5877),
    [anon_sym_PIPE_PIPE] = ACTIONS(5879),
    [anon_sym_AMP_AMP] = ACTIONS(5879),
    [anon_sym_PIPE] = ACTIONS(5877),
    [anon_sym_CARET] = ACTIONS(5877),
    [anon_sym_AMP] = ACTIONS(5877),
    [anon_sym_EQ_EQ] = ACTIONS(5879),
    [anon_sym_BANG_EQ] = ACTIONS(5879),
    [anon_sym_GT] = ACTIONS(5877),
    [anon_sym_GT_EQ] = ACTIONS(5879),
    [anon_sym_LT_EQ] = ACTIONS(5877),
    [anon_sym_LT] = ACTIONS(5877),
    [anon_sym_LT_LT] = ACTIONS(5877),
    [anon_sym_GT_GT] = ACTIONS(5877),
    [anon_sym_SEMI] = ACTIONS(5879),
    [anon_sym___attribute__] = ACTIONS(5877),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5831),
    [anon_sym_RBRACE] = ACTIONS(5879),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5879),
    [anon_sym_EQ] = ACTIONS(5877),
    [anon_sym_COLON] = ACTIONS(5879),
    [anon_sym_QMARK] = ACTIONS(5879),
    [anon_sym_STAR_EQ] = ACTIONS(5879),
    [anon_sym_SLASH_EQ] = ACTIONS(5879),
    [anon_sym_PERCENT_EQ] = ACTIONS(5879),
    [anon_sym_PLUS_EQ] = ACTIONS(5879),
    [anon_sym_DASH_EQ] = ACTIONS(5879),
    [anon_sym_LT_LT_EQ] = ACTIONS(5879),
    [anon_sym_GT_GT_EQ] = ACTIONS(5879),
    [anon_sym_AMP_EQ] = ACTIONS(5879),
    [anon_sym_CARET_EQ] = ACTIONS(5879),
    [anon_sym_PIPE_EQ] = ACTIONS(5879),
    [anon_sym_and_eq] = ACTIONS(5877),
    [anon_sym_or_eq] = ACTIONS(5877),
    [anon_sym_xor_eq] = ACTIONS(5877),
    [anon_sym_LT_EQ_GT] = ACTIONS(5879),
    [anon_sym_or] = ACTIONS(5877),
    [anon_sym_and] = ACTIONS(5877),
    [anon_sym_bitor] = ACTIONS(5877),
    [anon_sym_xor] = ACTIONS(5877),
    [anon_sym_bitand] = ACTIONS(5877),
    [anon_sym_not_eq] = ACTIONS(5877),
    [anon_sym_DASH_DASH] = ACTIONS(5879),
    [anon_sym_PLUS_PLUS] = ACTIONS(5879),
    [anon_sym_DOT] = ACTIONS(5877),
    [anon_sym_DOT_STAR] = ACTIONS(5879),
    [anon_sym_DASH_GT] = ACTIONS(5879),
    [sym_comment] = ACTIONS(3),
  },
  [2333] = {
    [sym_template_argument_list] = STATE(2171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2470),
    [sym_identifier] = ACTIONS(4135),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4143),
    [anon_sym_COMMA] = ACTIONS(4143),
    [aux_sym_preproc_if_token2] = ACTIONS(4143),
    [aux_sym_preproc_else_token1] = ACTIONS(4143),
    [aux_sym_preproc_elif_token1] = ACTIONS(4135),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(4143),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(4143),
    [anon_sym_LPAREN2] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4143),
    [anon_sym_AMP_AMP] = ACTIONS(4143),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4143),
    [anon_sym_BANG_EQ] = ACTIONS(4143),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4143),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4143),
    [anon_sym_signed] = ACTIONS(5691),
    [anon_sym_unsigned] = ACTIONS(5691),
    [anon_sym_long] = ACTIONS(5691),
    [anon_sym_short] = ACTIONS(5691),
    [anon_sym_LBRACK] = ACTIONS(4143),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4143),
    [anon_sym_STAR_EQ] = ACTIONS(4143),
    [anon_sym_SLASH_EQ] = ACTIONS(4143),
    [anon_sym_PERCENT_EQ] = ACTIONS(4143),
    [anon_sym_PLUS_EQ] = ACTIONS(4143),
    [anon_sym_DASH_EQ] = ACTIONS(4143),
    [anon_sym_LT_LT_EQ] = ACTIONS(4143),
    [anon_sym_GT_GT_EQ] = ACTIONS(4143),
    [anon_sym_AMP_EQ] = ACTIONS(4143),
    [anon_sym_CARET_EQ] = ACTIONS(4143),
    [anon_sym_PIPE_EQ] = ACTIONS(4143),
    [anon_sym_and_eq] = ACTIONS(4135),
    [anon_sym_or_eq] = ACTIONS(4135),
    [anon_sym_xor_eq] = ACTIONS(4135),
    [anon_sym_LT_EQ_GT] = ACTIONS(4143),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4135),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4135),
    [anon_sym_not_eq] = ACTIONS(4135),
    [anon_sym_DASH_DASH] = ACTIONS(4143),
    [anon_sym_PLUS_PLUS] = ACTIONS(4143),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4143),
    [anon_sym_DASH_GT] = ACTIONS(4143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4135),
    [anon_sym_decltype] = ACTIONS(4135),
  },
  [2334] = {
    [sym_identifier] = ACTIONS(5456),
    [aux_sym_preproc_def_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token1] = ACTIONS(5456),
    [aux_sym_preproc_if_token2] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5456),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5456),
    [aux_sym_preproc_else_token1] = ACTIONS(5456),
    [aux_sym_preproc_elif_token1] = ACTIONS(5456),
    [sym_preproc_directive] = ACTIONS(5456),
    [anon_sym_LPAREN2] = ACTIONS(5458),
    [anon_sym_TILDE] = ACTIONS(5458),
    [anon_sym_STAR] = ACTIONS(5458),
    [anon_sym_AMP_AMP] = ACTIONS(5458),
    [anon_sym_AMP] = ACTIONS(5456),
    [anon_sym___extension__] = ACTIONS(5456),
    [anon_sym_typedef] = ACTIONS(5456),
    [anon_sym_extern] = ACTIONS(5456),
    [anon_sym___attribute__] = ACTIONS(5456),
    [anon_sym_COLON_COLON] = ACTIONS(5458),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5458),
    [anon_sym___declspec] = ACTIONS(5456),
    [anon_sym___based] = ACTIONS(5456),
    [anon_sym_signed] = ACTIONS(5456),
    [anon_sym_unsigned] = ACTIONS(5456),
    [anon_sym_long] = ACTIONS(5456),
    [anon_sym_short] = ACTIONS(5456),
    [anon_sym_LBRACK] = ACTIONS(5456),
    [anon_sym_static] = ACTIONS(5456),
    [anon_sym_register] = ACTIONS(5456),
    [anon_sym_inline] = ACTIONS(5456),
    [anon_sym___inline] = ACTIONS(5456),
    [anon_sym___inline__] = ACTIONS(5456),
    [anon_sym___forceinline] = ACTIONS(5456),
    [anon_sym_thread_local] = ACTIONS(5456),
    [anon_sym___thread] = ACTIONS(5456),
    [anon_sym_const] = ACTIONS(5456),
    [anon_sym_constexpr] = ACTIONS(5456),
    [anon_sym_volatile] = ACTIONS(5456),
    [anon_sym_restrict] = ACTIONS(5456),
    [anon_sym___restrict__] = ACTIONS(5456),
    [anon_sym__Atomic] = ACTIONS(5456),
    [anon_sym__Noreturn] = ACTIONS(5456),
    [anon_sym_noreturn] = ACTIONS(5456),
    [anon_sym_mutable] = ACTIONS(5456),
    [anon_sym_constinit] = ACTIONS(5456),
    [anon_sym_consteval] = ACTIONS(5456),
    [sym_primitive_type] = ACTIONS(5456),
    [anon_sym_enum] = ACTIONS(5456),
    [anon_sym_class] = ACTIONS(5456),
    [anon_sym_struct] = ACTIONS(5456),
    [anon_sym_union] = ACTIONS(5456),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5456),
    [anon_sym_decltype] = ACTIONS(5456),
    [anon_sym_virtual] = ACTIONS(5456),
    [anon_sym_alignas] = ACTIONS(5456),
    [anon_sym_explicit] = ACTIONS(5456),
    [anon_sym_typename] = ACTIONS(5456),
    [anon_sym_template] = ACTIONS(5456),
    [anon_sym_operator] = ACTIONS(5456),
    [anon_sym_friend] = ACTIONS(5456),
    [anon_sym_public] = ACTIONS(5456),
    [anon_sym_private] = ACTIONS(5456),
    [anon_sym_protected] = ACTIONS(5456),
    [anon_sym_using] = ACTIONS(5456),
    [anon_sym_static_assert] = ACTIONS(5456),
  },
  [2335] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [anon_sym_RPAREN] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_SLASH] = ACTIONS(5278),
    [anon_sym_PERCENT] = ACTIONS(5278),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5278),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5278),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5278),
    [anon_sym_LT] = ACTIONS(5278),
    [anon_sym_LT_LT] = ACTIONS(5278),
    [anon_sym_GT_GT] = ACTIONS(5278),
    [anon_sym_SEMI] = ACTIONS(5280),
    [anon_sym_RBRACE] = ACTIONS(5280),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_RBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5278),
    [anon_sym_COLON] = ACTIONS(5280),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5278),
    [anon_sym_or_eq] = ACTIONS(5278),
    [anon_sym_xor_eq] = ACTIONS(5278),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5278),
    [anon_sym_and] = ACTIONS(5278),
    [anon_sym_bitor] = ACTIONS(5278),
    [anon_sym_xor] = ACTIONS(5278),
    [anon_sym_bitand] = ACTIONS(5278),
    [anon_sym_not_eq] = ACTIONS(5278),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5278),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(5280),
    [anon_sym_u_DQUOTE] = ACTIONS(5280),
    [anon_sym_U_DQUOTE] = ACTIONS(5280),
    [anon_sym_u8_DQUOTE] = ACTIONS(5280),
    [anon_sym_DQUOTE] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5280),
    [anon_sym_LR_DQUOTE] = ACTIONS(5280),
    [anon_sym_uR_DQUOTE] = ACTIONS(5280),
    [anon_sym_UR_DQUOTE] = ACTIONS(5280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5280),
    [sym_literal_suffix] = ACTIONS(5278),
  },
  [2336] = {
    [sym_attribute_specifier] = STATE(2421),
    [sym_identifier] = ACTIONS(5881),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5883),
    [anon_sym_COMMA] = ACTIONS(5883),
    [anon_sym_RPAREN] = ACTIONS(5883),
    [aux_sym_preproc_if_token2] = ACTIONS(5883),
    [aux_sym_preproc_else_token1] = ACTIONS(5883),
    [aux_sym_preproc_elif_token1] = ACTIONS(5881),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5883),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5883),
    [anon_sym_LPAREN2] = ACTIONS(5883),
    [anon_sym_DASH] = ACTIONS(5881),
    [anon_sym_PLUS] = ACTIONS(5881),
    [anon_sym_STAR] = ACTIONS(5881),
    [anon_sym_SLASH] = ACTIONS(5881),
    [anon_sym_PERCENT] = ACTIONS(5881),
    [anon_sym_PIPE_PIPE] = ACTIONS(5883),
    [anon_sym_AMP_AMP] = ACTIONS(5883),
    [anon_sym_PIPE] = ACTIONS(5881),
    [anon_sym_CARET] = ACTIONS(5881),
    [anon_sym_AMP] = ACTIONS(5881),
    [anon_sym_EQ_EQ] = ACTIONS(5883),
    [anon_sym_BANG_EQ] = ACTIONS(5883),
    [anon_sym_GT] = ACTIONS(5881),
    [anon_sym_GT_EQ] = ACTIONS(5883),
    [anon_sym_LT_EQ] = ACTIONS(5881),
    [anon_sym_LT] = ACTIONS(5881),
    [anon_sym_LT_LT] = ACTIONS(5881),
    [anon_sym_GT_GT] = ACTIONS(5881),
    [anon_sym_SEMI] = ACTIONS(5883),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5883),
    [anon_sym_RBRACE] = ACTIONS(5883),
    [anon_sym_LBRACK] = ACTIONS(5883),
    [anon_sym_RBRACK] = ACTIONS(5883),
    [anon_sym_EQ] = ACTIONS(5881),
    [anon_sym_COLON] = ACTIONS(5883),
    [anon_sym_QMARK] = ACTIONS(5883),
    [anon_sym_STAR_EQ] = ACTIONS(5883),
    [anon_sym_SLASH_EQ] = ACTIONS(5883),
    [anon_sym_PERCENT_EQ] = ACTIONS(5883),
    [anon_sym_PLUS_EQ] = ACTIONS(5883),
    [anon_sym_DASH_EQ] = ACTIONS(5883),
    [anon_sym_LT_LT_EQ] = ACTIONS(5883),
    [anon_sym_GT_GT_EQ] = ACTIONS(5883),
    [anon_sym_AMP_EQ] = ACTIONS(5883),
    [anon_sym_CARET_EQ] = ACTIONS(5883),
    [anon_sym_PIPE_EQ] = ACTIONS(5883),
    [anon_sym_and_eq] = ACTIONS(5881),
    [anon_sym_or_eq] = ACTIONS(5881),
    [anon_sym_xor_eq] = ACTIONS(5881),
    [anon_sym_LT_EQ_GT] = ACTIONS(5883),
    [anon_sym_or] = ACTIONS(5881),
    [anon_sym_and] = ACTIONS(5881),
    [anon_sym_bitor] = ACTIONS(5881),
    [anon_sym_xor] = ACTIONS(5881),
    [anon_sym_bitand] = ACTIONS(5881),
    [anon_sym_not_eq] = ACTIONS(5881),
    [anon_sym_DASH_DASH] = ACTIONS(5883),
    [anon_sym_PLUS_PLUS] = ACTIONS(5883),
    [anon_sym_DOT] = ACTIONS(5881),
    [anon_sym_DOT_STAR] = ACTIONS(5883),
    [anon_sym_DASH_GT] = ACTIONS(5883),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5881),
    [anon_sym_decltype] = ACTIONS(5881),
  },
  [2337] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [anon_sym_RPAREN] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5297),
    [anon_sym_PLUS] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_SLASH] = ACTIONS(5297),
    [anon_sym_PERCENT] = ACTIONS(5297),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5297),
    [anon_sym_CARET] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5297),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5297),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5297),
    [anon_sym_LT] = ACTIONS(5297),
    [anon_sym_LT_LT] = ACTIONS(5297),
    [anon_sym_GT_GT] = ACTIONS(5297),
    [anon_sym_SEMI] = ACTIONS(5299),
    [anon_sym_RBRACE] = ACTIONS(5299),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_RBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5297),
    [anon_sym_COLON] = ACTIONS(5299),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5297),
    [anon_sym_or_eq] = ACTIONS(5297),
    [anon_sym_xor_eq] = ACTIONS(5297),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5297),
    [anon_sym_and] = ACTIONS(5297),
    [anon_sym_bitor] = ACTIONS(5297),
    [anon_sym_xor] = ACTIONS(5297),
    [anon_sym_bitand] = ACTIONS(5297),
    [anon_sym_not_eq] = ACTIONS(5297),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5297),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5299),
    [anon_sym_u_DQUOTE] = ACTIONS(5299),
    [anon_sym_U_DQUOTE] = ACTIONS(5299),
    [anon_sym_u8_DQUOTE] = ACTIONS(5299),
    [anon_sym_DQUOTE] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5299),
    [anon_sym_LR_DQUOTE] = ACTIONS(5299),
    [anon_sym_uR_DQUOTE] = ACTIONS(5299),
    [anon_sym_UR_DQUOTE] = ACTIONS(5299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5299),
    [sym_literal_suffix] = ACTIONS(5297),
  },
  [2338] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [2339] = {
    [sym_identifier] = ACTIONS(2961),
    [aux_sym_preproc_def_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token1] = ACTIONS(2961),
    [aux_sym_preproc_if_token2] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2961),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2961),
    [aux_sym_preproc_else_token1] = ACTIONS(2961),
    [aux_sym_preproc_elif_token1] = ACTIONS(2961),
    [sym_preproc_directive] = ACTIONS(2961),
    [anon_sym_LPAREN2] = ACTIONS(2963),
    [anon_sym_TILDE] = ACTIONS(2963),
    [anon_sym_STAR] = ACTIONS(2963),
    [anon_sym_AMP_AMP] = ACTIONS(2963),
    [anon_sym_AMP] = ACTIONS(2961),
    [anon_sym___extension__] = ACTIONS(2961),
    [anon_sym_typedef] = ACTIONS(2961),
    [anon_sym_extern] = ACTIONS(2961),
    [anon_sym___attribute__] = ACTIONS(2961),
    [anon_sym_COLON_COLON] = ACTIONS(2963),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2963),
    [anon_sym___declspec] = ACTIONS(2961),
    [anon_sym___based] = ACTIONS(2961),
    [anon_sym_signed] = ACTIONS(2961),
    [anon_sym_unsigned] = ACTIONS(2961),
    [anon_sym_long] = ACTIONS(2961),
    [anon_sym_short] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(2961),
    [anon_sym_static] = ACTIONS(2961),
    [anon_sym_register] = ACTIONS(2961),
    [anon_sym_inline] = ACTIONS(2961),
    [anon_sym___inline] = ACTIONS(2961),
    [anon_sym___inline__] = ACTIONS(2961),
    [anon_sym___forceinline] = ACTIONS(2961),
    [anon_sym_thread_local] = ACTIONS(2961),
    [anon_sym___thread] = ACTIONS(2961),
    [anon_sym_const] = ACTIONS(2961),
    [anon_sym_constexpr] = ACTIONS(2961),
    [anon_sym_volatile] = ACTIONS(2961),
    [anon_sym_restrict] = ACTIONS(2961),
    [anon_sym___restrict__] = ACTIONS(2961),
    [anon_sym__Atomic] = ACTIONS(2961),
    [anon_sym__Noreturn] = ACTIONS(2961),
    [anon_sym_noreturn] = ACTIONS(2961),
    [anon_sym_mutable] = ACTIONS(2961),
    [anon_sym_constinit] = ACTIONS(2961),
    [anon_sym_consteval] = ACTIONS(2961),
    [sym_primitive_type] = ACTIONS(2961),
    [anon_sym_enum] = ACTIONS(2961),
    [anon_sym_class] = ACTIONS(2961),
    [anon_sym_struct] = ACTIONS(2961),
    [anon_sym_union] = ACTIONS(2961),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2961),
    [anon_sym_decltype] = ACTIONS(2961),
    [anon_sym_virtual] = ACTIONS(2961),
    [anon_sym_alignas] = ACTIONS(2961),
    [anon_sym_explicit] = ACTIONS(2961),
    [anon_sym_typename] = ACTIONS(2961),
    [anon_sym_template] = ACTIONS(2961),
    [anon_sym_operator] = ACTIONS(2961),
    [anon_sym_friend] = ACTIONS(2961),
    [anon_sym_public] = ACTIONS(2961),
    [anon_sym_private] = ACTIONS(2961),
    [anon_sym_protected] = ACTIONS(2961),
    [anon_sym_using] = ACTIONS(2961),
    [anon_sym_static_assert] = ACTIONS(2961),
  },
  [2340] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(5766),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5763),
    [anon_sym_COMMA] = ACTIONS(5763),
    [aux_sym_preproc_if_token2] = ACTIONS(5763),
    [aux_sym_preproc_else_token1] = ACTIONS(5763),
    [aux_sym_preproc_elif_token1] = ACTIONS(5766),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5763),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5763),
    [anon_sym_LPAREN2] = ACTIONS(5763),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5766),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5763),
    [anon_sym_AMP_AMP] = ACTIONS(5763),
    [anon_sym_PIPE] = ACTIONS(5766),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5766),
    [anon_sym_EQ_EQ] = ACTIONS(5763),
    [anon_sym_BANG_EQ] = ACTIONS(5763),
    [anon_sym_GT] = ACTIONS(5766),
    [anon_sym_GT_EQ] = ACTIONS(5763),
    [anon_sym_LT_EQ] = ACTIONS(5766),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym_LBRACE] = ACTIONS(5763),
    [anon_sym_signed] = ACTIONS(5301),
    [anon_sym_unsigned] = ACTIONS(5301),
    [anon_sym_long] = ACTIONS(5301),
    [anon_sym_short] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5763),
    [anon_sym_EQ] = ACTIONS(5766),
    [sym_primitive_type] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5763),
    [anon_sym_STAR_EQ] = ACTIONS(5763),
    [anon_sym_SLASH_EQ] = ACTIONS(5763),
    [anon_sym_PERCENT_EQ] = ACTIONS(5763),
    [anon_sym_PLUS_EQ] = ACTIONS(5763),
    [anon_sym_DASH_EQ] = ACTIONS(5763),
    [anon_sym_LT_LT_EQ] = ACTIONS(5763),
    [anon_sym_GT_GT_EQ] = ACTIONS(5763),
    [anon_sym_AMP_EQ] = ACTIONS(5763),
    [anon_sym_CARET_EQ] = ACTIONS(5763),
    [anon_sym_PIPE_EQ] = ACTIONS(5763),
    [anon_sym_and_eq] = ACTIONS(5766),
    [anon_sym_or_eq] = ACTIONS(5766),
    [anon_sym_xor_eq] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5763),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5763),
    [anon_sym_PLUS_PLUS] = ACTIONS(5763),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_DOT_STAR] = ACTIONS(5763),
    [anon_sym_DASH_GT] = ACTIONS(5763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
  },
  [2341] = {
    [sym_template_argument_list] = STATE(2171),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4143),
    [anon_sym_COMMA] = ACTIONS(4143),
    [anon_sym_RPAREN] = ACTIONS(4143),
    [anon_sym_LPAREN2] = ACTIONS(4143),
    [anon_sym_DASH] = ACTIONS(4135),
    [anon_sym_PLUS] = ACTIONS(4135),
    [anon_sym_STAR] = ACTIONS(4135),
    [anon_sym_SLASH] = ACTIONS(4135),
    [anon_sym_PERCENT] = ACTIONS(4135),
    [anon_sym_PIPE_PIPE] = ACTIONS(4143),
    [anon_sym_AMP_AMP] = ACTIONS(4143),
    [anon_sym_PIPE] = ACTIONS(4135),
    [anon_sym_CARET] = ACTIONS(4135),
    [anon_sym_AMP] = ACTIONS(4135),
    [anon_sym_EQ_EQ] = ACTIONS(4143),
    [anon_sym_BANG_EQ] = ACTIONS(4143),
    [anon_sym_GT] = ACTIONS(4135),
    [anon_sym_GT_EQ] = ACTIONS(4143),
    [anon_sym_LT_EQ] = ACTIONS(4135),
    [anon_sym_LT] = ACTIONS(5370),
    [anon_sym_LT_LT] = ACTIONS(4135),
    [anon_sym_GT_GT] = ACTIONS(4135),
    [anon_sym_SEMI] = ACTIONS(4143),
    [anon_sym___attribute__] = ACTIONS(4143),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4143),
    [anon_sym_RBRACE] = ACTIONS(4143),
    [anon_sym_signed] = ACTIONS(5885),
    [anon_sym_unsigned] = ACTIONS(5885),
    [anon_sym_long] = ACTIONS(5885),
    [anon_sym_short] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(4143),
    [anon_sym_RBRACK] = ACTIONS(4143),
    [anon_sym_EQ] = ACTIONS(4135),
    [anon_sym_COLON] = ACTIONS(4135),
    [anon_sym_QMARK] = ACTIONS(4143),
    [anon_sym_STAR_EQ] = ACTIONS(4143),
    [anon_sym_SLASH_EQ] = ACTIONS(4143),
    [anon_sym_PERCENT_EQ] = ACTIONS(4143),
    [anon_sym_PLUS_EQ] = ACTIONS(4143),
    [anon_sym_DASH_EQ] = ACTIONS(4143),
    [anon_sym_LT_LT_EQ] = ACTIONS(4143),
    [anon_sym_GT_GT_EQ] = ACTIONS(4143),
    [anon_sym_AMP_EQ] = ACTIONS(4143),
    [anon_sym_CARET_EQ] = ACTIONS(4143),
    [anon_sym_PIPE_EQ] = ACTIONS(4143),
    [anon_sym_and_eq] = ACTIONS(4143),
    [anon_sym_or_eq] = ACTIONS(4143),
    [anon_sym_xor_eq] = ACTIONS(4143),
    [anon_sym_LT_EQ_GT] = ACTIONS(4143),
    [anon_sym_or] = ACTIONS(4135),
    [anon_sym_and] = ACTIONS(4135),
    [anon_sym_bitor] = ACTIONS(4143),
    [anon_sym_xor] = ACTIONS(4135),
    [anon_sym_bitand] = ACTIONS(4143),
    [anon_sym_not_eq] = ACTIONS(4143),
    [anon_sym_DASH_DASH] = ACTIONS(4143),
    [anon_sym_PLUS_PLUS] = ACTIONS(4143),
    [anon_sym_DOT] = ACTIONS(4135),
    [anon_sym_DOT_STAR] = ACTIONS(4143),
    [anon_sym_DASH_GT] = ACTIONS(4143),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(4143),
    [anon_sym_decltype] = ACTIONS(4143),
  },
  [2342] = {
    [sym_identifier] = ACTIONS(3128),
    [aux_sym_preproc_def_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token1] = ACTIONS(3128),
    [aux_sym_preproc_if_token2] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3128),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3128),
    [aux_sym_preproc_else_token1] = ACTIONS(3128),
    [aux_sym_preproc_elif_token1] = ACTIONS(3128),
    [sym_preproc_directive] = ACTIONS(3128),
    [anon_sym_LPAREN2] = ACTIONS(3130),
    [anon_sym_TILDE] = ACTIONS(3130),
    [anon_sym_STAR] = ACTIONS(3130),
    [anon_sym_AMP_AMP] = ACTIONS(3130),
    [anon_sym_AMP] = ACTIONS(3128),
    [anon_sym___extension__] = ACTIONS(3128),
    [anon_sym_typedef] = ACTIONS(3128),
    [anon_sym_extern] = ACTIONS(3128),
    [anon_sym___attribute__] = ACTIONS(3128),
    [anon_sym_COLON_COLON] = ACTIONS(3130),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3130),
    [anon_sym___declspec] = ACTIONS(3128),
    [anon_sym___based] = ACTIONS(3128),
    [anon_sym_signed] = ACTIONS(3128),
    [anon_sym_unsigned] = ACTIONS(3128),
    [anon_sym_long] = ACTIONS(3128),
    [anon_sym_short] = ACTIONS(3128),
    [anon_sym_LBRACK] = ACTIONS(3128),
    [anon_sym_static] = ACTIONS(3128),
    [anon_sym_register] = ACTIONS(3128),
    [anon_sym_inline] = ACTIONS(3128),
    [anon_sym___inline] = ACTIONS(3128),
    [anon_sym___inline__] = ACTIONS(3128),
    [anon_sym___forceinline] = ACTIONS(3128),
    [anon_sym_thread_local] = ACTIONS(3128),
    [anon_sym___thread] = ACTIONS(3128),
    [anon_sym_const] = ACTIONS(3128),
    [anon_sym_constexpr] = ACTIONS(3128),
    [anon_sym_volatile] = ACTIONS(3128),
    [anon_sym_restrict] = ACTIONS(3128),
    [anon_sym___restrict__] = ACTIONS(3128),
    [anon_sym__Atomic] = ACTIONS(3128),
    [anon_sym__Noreturn] = ACTIONS(3128),
    [anon_sym_noreturn] = ACTIONS(3128),
    [anon_sym_mutable] = ACTIONS(3128),
    [anon_sym_constinit] = ACTIONS(3128),
    [anon_sym_consteval] = ACTIONS(3128),
    [sym_primitive_type] = ACTIONS(3128),
    [anon_sym_enum] = ACTIONS(3128),
    [anon_sym_class] = ACTIONS(3128),
    [anon_sym_struct] = ACTIONS(3128),
    [anon_sym_union] = ACTIONS(3128),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3128),
    [anon_sym_decltype] = ACTIONS(3128),
    [anon_sym_virtual] = ACTIONS(3128),
    [anon_sym_alignas] = ACTIONS(3128),
    [anon_sym_explicit] = ACTIONS(3128),
    [anon_sym_typename] = ACTIONS(3128),
    [anon_sym_template] = ACTIONS(3128),
    [anon_sym_operator] = ACTIONS(3128),
    [anon_sym_friend] = ACTIONS(3128),
    [anon_sym_public] = ACTIONS(3128),
    [anon_sym_private] = ACTIONS(3128),
    [anon_sym_protected] = ACTIONS(3128),
    [anon_sym_using] = ACTIONS(3128),
    [anon_sym_static_assert] = ACTIONS(3128),
  },
  [2343] = {
    [sym_attribute_specifier] = STATE(2451),
    [sym_identifier] = ACTIONS(5887),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5889),
    [anon_sym_COMMA] = ACTIONS(5889),
    [anon_sym_RPAREN] = ACTIONS(5889),
    [aux_sym_preproc_if_token2] = ACTIONS(5889),
    [aux_sym_preproc_else_token1] = ACTIONS(5889),
    [aux_sym_preproc_elif_token1] = ACTIONS(5887),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5889),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5889),
    [anon_sym_LPAREN2] = ACTIONS(5889),
    [anon_sym_DASH] = ACTIONS(5887),
    [anon_sym_PLUS] = ACTIONS(5887),
    [anon_sym_STAR] = ACTIONS(5887),
    [anon_sym_SLASH] = ACTIONS(5887),
    [anon_sym_PERCENT] = ACTIONS(5887),
    [anon_sym_PIPE_PIPE] = ACTIONS(5889),
    [anon_sym_AMP_AMP] = ACTIONS(5889),
    [anon_sym_PIPE] = ACTIONS(5887),
    [anon_sym_CARET] = ACTIONS(5887),
    [anon_sym_AMP] = ACTIONS(5887),
    [anon_sym_EQ_EQ] = ACTIONS(5889),
    [anon_sym_BANG_EQ] = ACTIONS(5889),
    [anon_sym_GT] = ACTIONS(5887),
    [anon_sym_GT_EQ] = ACTIONS(5889),
    [anon_sym_LT_EQ] = ACTIONS(5887),
    [anon_sym_LT] = ACTIONS(5887),
    [anon_sym_LT_LT] = ACTIONS(5887),
    [anon_sym_GT_GT] = ACTIONS(5887),
    [anon_sym_SEMI] = ACTIONS(5889),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5889),
    [anon_sym_RBRACE] = ACTIONS(5889),
    [anon_sym_LBRACK] = ACTIONS(5889),
    [anon_sym_RBRACK] = ACTIONS(5889),
    [anon_sym_EQ] = ACTIONS(5887),
    [anon_sym_COLON] = ACTIONS(5889),
    [anon_sym_QMARK] = ACTIONS(5889),
    [anon_sym_STAR_EQ] = ACTIONS(5889),
    [anon_sym_SLASH_EQ] = ACTIONS(5889),
    [anon_sym_PERCENT_EQ] = ACTIONS(5889),
    [anon_sym_PLUS_EQ] = ACTIONS(5889),
    [anon_sym_DASH_EQ] = ACTIONS(5889),
    [anon_sym_LT_LT_EQ] = ACTIONS(5889),
    [anon_sym_GT_GT_EQ] = ACTIONS(5889),
    [anon_sym_AMP_EQ] = ACTIONS(5889),
    [anon_sym_CARET_EQ] = ACTIONS(5889),
    [anon_sym_PIPE_EQ] = ACTIONS(5889),
    [anon_sym_and_eq] = ACTIONS(5887),
    [anon_sym_or_eq] = ACTIONS(5887),
    [anon_sym_xor_eq] = ACTIONS(5887),
    [anon_sym_LT_EQ_GT] = ACTIONS(5889),
    [anon_sym_or] = ACTIONS(5887),
    [anon_sym_and] = ACTIONS(5887),
    [anon_sym_bitor] = ACTIONS(5887),
    [anon_sym_xor] = ACTIONS(5887),
    [anon_sym_bitand] = ACTIONS(5887),
    [anon_sym_not_eq] = ACTIONS(5887),
    [anon_sym_DASH_DASH] = ACTIONS(5889),
    [anon_sym_PLUS_PLUS] = ACTIONS(5889),
    [anon_sym_DOT] = ACTIONS(5887),
    [anon_sym_DOT_STAR] = ACTIONS(5889),
    [anon_sym_DASH_GT] = ACTIONS(5889),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5887),
    [anon_sym_decltype] = ACTIONS(5887),
  },
  [2344] = {
    [sym_identifier] = ACTIONS(5504),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5506),
    [anon_sym_COMMA] = ACTIONS(5506),
    [anon_sym_RPAREN] = ACTIONS(5506),
    [aux_sym_preproc_if_token2] = ACTIONS(5506),
    [aux_sym_preproc_else_token1] = ACTIONS(5506),
    [aux_sym_preproc_elif_token1] = ACTIONS(5504),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5506),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5506),
    [anon_sym_LPAREN2] = ACTIONS(5506),
    [anon_sym_DASH] = ACTIONS(5504),
    [anon_sym_PLUS] = ACTIONS(5504),
    [anon_sym_STAR] = ACTIONS(5504),
    [anon_sym_SLASH] = ACTIONS(5504),
    [anon_sym_PERCENT] = ACTIONS(5504),
    [anon_sym_PIPE_PIPE] = ACTIONS(5506),
    [anon_sym_AMP_AMP] = ACTIONS(5506),
    [anon_sym_PIPE] = ACTIONS(5504),
    [anon_sym_CARET] = ACTIONS(5504),
    [anon_sym_AMP] = ACTIONS(5504),
    [anon_sym_EQ_EQ] = ACTIONS(5506),
    [anon_sym_BANG_EQ] = ACTIONS(5506),
    [anon_sym_GT] = ACTIONS(5504),
    [anon_sym_GT_EQ] = ACTIONS(5506),
    [anon_sym_LT_EQ] = ACTIONS(5504),
    [anon_sym_LT] = ACTIONS(5504),
    [anon_sym_LT_LT] = ACTIONS(5504),
    [anon_sym_GT_GT] = ACTIONS(5504),
    [anon_sym_SEMI] = ACTIONS(5506),
    [anon_sym___attribute__] = ACTIONS(5504),
    [anon_sym_COLON_COLON] = ACTIONS(5506),
    [anon_sym_LBRACE] = ACTIONS(5506),
    [anon_sym_RBRACE] = ACTIONS(5506),
    [anon_sym_LBRACK] = ACTIONS(5506),
    [anon_sym_RBRACK] = ACTIONS(5506),
    [anon_sym_EQ] = ACTIONS(5504),
    [anon_sym_COLON] = ACTIONS(5504),
    [anon_sym_QMARK] = ACTIONS(5506),
    [anon_sym_STAR_EQ] = ACTIONS(5506),
    [anon_sym_SLASH_EQ] = ACTIONS(5506),
    [anon_sym_PERCENT_EQ] = ACTIONS(5506),
    [anon_sym_PLUS_EQ] = ACTIONS(5506),
    [anon_sym_DASH_EQ] = ACTIONS(5506),
    [anon_sym_LT_LT_EQ] = ACTIONS(5506),
    [anon_sym_GT_GT_EQ] = ACTIONS(5506),
    [anon_sym_AMP_EQ] = ACTIONS(5506),
    [anon_sym_CARET_EQ] = ACTIONS(5506),
    [anon_sym_PIPE_EQ] = ACTIONS(5506),
    [anon_sym_and_eq] = ACTIONS(5504),
    [anon_sym_or_eq] = ACTIONS(5504),
    [anon_sym_xor_eq] = ACTIONS(5504),
    [anon_sym_LT_EQ_GT] = ACTIONS(5506),
    [anon_sym_or] = ACTIONS(5504),
    [anon_sym_and] = ACTIONS(5504),
    [anon_sym_bitor] = ACTIONS(5504),
    [anon_sym_xor] = ACTIONS(5504),
    [anon_sym_bitand] = ACTIONS(5504),
    [anon_sym_not_eq] = ACTIONS(5504),
    [anon_sym_DASH_DASH] = ACTIONS(5506),
    [anon_sym_PLUS_PLUS] = ACTIONS(5506),
    [anon_sym_DOT] = ACTIONS(5504),
    [anon_sym_DOT_STAR] = ACTIONS(5506),
    [anon_sym_DASH_GT] = ACTIONS(5506),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5504),
    [anon_sym_decltype] = ACTIONS(5504),
  },
  [2345] = {
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [aux_sym_preproc_if_token2] = ACTIONS(5550),
    [aux_sym_preproc_else_token1] = ACTIONS(5550),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___extension__] = ACTIONS(5548),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_const] = ACTIONS(5548),
    [anon_sym_constexpr] = ACTIONS(5548),
    [anon_sym_volatile] = ACTIONS(5548),
    [anon_sym_restrict] = ACTIONS(5548),
    [anon_sym___restrict__] = ACTIONS(5548),
    [anon_sym__Atomic] = ACTIONS(5548),
    [anon_sym__Noreturn] = ACTIONS(5548),
    [anon_sym_noreturn] = ACTIONS(5548),
    [anon_sym_mutable] = ACTIONS(5548),
    [anon_sym_constinit] = ACTIONS(5548),
    [anon_sym_consteval] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
    [anon_sym_final] = ACTIONS(5548),
    [anon_sym_override] = ACTIONS(5548),
    [anon_sym_requires] = ACTIONS(5548),
  },
  [2346] = {
    [sym_attribute_specifier] = STATE(2492),
    [sym_identifier] = ACTIONS(5891),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5893),
    [anon_sym_COMMA] = ACTIONS(5893),
    [anon_sym_RPAREN] = ACTIONS(5893),
    [aux_sym_preproc_if_token2] = ACTIONS(5893),
    [aux_sym_preproc_else_token1] = ACTIONS(5893),
    [aux_sym_preproc_elif_token1] = ACTIONS(5891),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5893),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5893),
    [anon_sym_LPAREN2] = ACTIONS(5893),
    [anon_sym_DASH] = ACTIONS(5891),
    [anon_sym_PLUS] = ACTIONS(5891),
    [anon_sym_STAR] = ACTIONS(5891),
    [anon_sym_SLASH] = ACTIONS(5891),
    [anon_sym_PERCENT] = ACTIONS(5891),
    [anon_sym_PIPE_PIPE] = ACTIONS(5893),
    [anon_sym_AMP_AMP] = ACTIONS(5893),
    [anon_sym_PIPE] = ACTIONS(5891),
    [anon_sym_CARET] = ACTIONS(5891),
    [anon_sym_AMP] = ACTIONS(5891),
    [anon_sym_EQ_EQ] = ACTIONS(5893),
    [anon_sym_BANG_EQ] = ACTIONS(5893),
    [anon_sym_GT] = ACTIONS(5891),
    [anon_sym_GT_EQ] = ACTIONS(5893),
    [anon_sym_LT_EQ] = ACTIONS(5891),
    [anon_sym_LT] = ACTIONS(5891),
    [anon_sym_LT_LT] = ACTIONS(5891),
    [anon_sym_GT_GT] = ACTIONS(5891),
    [anon_sym_SEMI] = ACTIONS(5893),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5893),
    [anon_sym_RBRACE] = ACTIONS(5893),
    [anon_sym_LBRACK] = ACTIONS(5893),
    [anon_sym_RBRACK] = ACTIONS(5893),
    [anon_sym_EQ] = ACTIONS(5891),
    [anon_sym_COLON] = ACTIONS(5893),
    [anon_sym_QMARK] = ACTIONS(5893),
    [anon_sym_STAR_EQ] = ACTIONS(5893),
    [anon_sym_SLASH_EQ] = ACTIONS(5893),
    [anon_sym_PERCENT_EQ] = ACTIONS(5893),
    [anon_sym_PLUS_EQ] = ACTIONS(5893),
    [anon_sym_DASH_EQ] = ACTIONS(5893),
    [anon_sym_LT_LT_EQ] = ACTIONS(5893),
    [anon_sym_GT_GT_EQ] = ACTIONS(5893),
    [anon_sym_AMP_EQ] = ACTIONS(5893),
    [anon_sym_CARET_EQ] = ACTIONS(5893),
    [anon_sym_PIPE_EQ] = ACTIONS(5893),
    [anon_sym_and_eq] = ACTIONS(5891),
    [anon_sym_or_eq] = ACTIONS(5891),
    [anon_sym_xor_eq] = ACTIONS(5891),
    [anon_sym_LT_EQ_GT] = ACTIONS(5893),
    [anon_sym_or] = ACTIONS(5891),
    [anon_sym_and] = ACTIONS(5891),
    [anon_sym_bitor] = ACTIONS(5891),
    [anon_sym_xor] = ACTIONS(5891),
    [anon_sym_bitand] = ACTIONS(5891),
    [anon_sym_not_eq] = ACTIONS(5891),
    [anon_sym_DASH_DASH] = ACTIONS(5893),
    [anon_sym_PLUS_PLUS] = ACTIONS(5893),
    [anon_sym_DOT] = ACTIONS(5891),
    [anon_sym_DOT_STAR] = ACTIONS(5893),
    [anon_sym_DASH_GT] = ACTIONS(5893),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5891),
    [anon_sym_decltype] = ACTIONS(5891),
  },
  [2347] = {
    [sym_attribute_specifier] = STATE(2426),
    [sym_identifier] = ACTIONS(5895),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5897),
    [anon_sym_COMMA] = ACTIONS(5897),
    [anon_sym_RPAREN] = ACTIONS(5897),
    [aux_sym_preproc_if_token2] = ACTIONS(5897),
    [aux_sym_preproc_else_token1] = ACTIONS(5897),
    [aux_sym_preproc_elif_token1] = ACTIONS(5895),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5897),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5897),
    [anon_sym_LPAREN2] = ACTIONS(5897),
    [anon_sym_DASH] = ACTIONS(5895),
    [anon_sym_PLUS] = ACTIONS(5895),
    [anon_sym_STAR] = ACTIONS(5895),
    [anon_sym_SLASH] = ACTIONS(5895),
    [anon_sym_PERCENT] = ACTIONS(5895),
    [anon_sym_PIPE_PIPE] = ACTIONS(5897),
    [anon_sym_AMP_AMP] = ACTIONS(5897),
    [anon_sym_PIPE] = ACTIONS(5895),
    [anon_sym_CARET] = ACTIONS(5895),
    [anon_sym_AMP] = ACTIONS(5895),
    [anon_sym_EQ_EQ] = ACTIONS(5897),
    [anon_sym_BANG_EQ] = ACTIONS(5897),
    [anon_sym_GT] = ACTIONS(5895),
    [anon_sym_GT_EQ] = ACTIONS(5897),
    [anon_sym_LT_EQ] = ACTIONS(5895),
    [anon_sym_LT] = ACTIONS(5895),
    [anon_sym_LT_LT] = ACTIONS(5895),
    [anon_sym_GT_GT] = ACTIONS(5895),
    [anon_sym_SEMI] = ACTIONS(5897),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5897),
    [anon_sym_RBRACE] = ACTIONS(5897),
    [anon_sym_LBRACK] = ACTIONS(5897),
    [anon_sym_RBRACK] = ACTIONS(5897),
    [anon_sym_EQ] = ACTIONS(5895),
    [anon_sym_COLON] = ACTIONS(5897),
    [anon_sym_QMARK] = ACTIONS(5897),
    [anon_sym_STAR_EQ] = ACTIONS(5897),
    [anon_sym_SLASH_EQ] = ACTIONS(5897),
    [anon_sym_PERCENT_EQ] = ACTIONS(5897),
    [anon_sym_PLUS_EQ] = ACTIONS(5897),
    [anon_sym_DASH_EQ] = ACTIONS(5897),
    [anon_sym_LT_LT_EQ] = ACTIONS(5897),
    [anon_sym_GT_GT_EQ] = ACTIONS(5897),
    [anon_sym_AMP_EQ] = ACTIONS(5897),
    [anon_sym_CARET_EQ] = ACTIONS(5897),
    [anon_sym_PIPE_EQ] = ACTIONS(5897),
    [anon_sym_and_eq] = ACTIONS(5895),
    [anon_sym_or_eq] = ACTIONS(5895),
    [anon_sym_xor_eq] = ACTIONS(5895),
    [anon_sym_LT_EQ_GT] = ACTIONS(5897),
    [anon_sym_or] = ACTIONS(5895),
    [anon_sym_and] = ACTIONS(5895),
    [anon_sym_bitor] = ACTIONS(5895),
    [anon_sym_xor] = ACTIONS(5895),
    [anon_sym_bitand] = ACTIONS(5895),
    [anon_sym_not_eq] = ACTIONS(5895),
    [anon_sym_DASH_DASH] = ACTIONS(5897),
    [anon_sym_PLUS_PLUS] = ACTIONS(5897),
    [anon_sym_DOT] = ACTIONS(5895),
    [anon_sym_DOT_STAR] = ACTIONS(5897),
    [anon_sym_DASH_GT] = ACTIONS(5897),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5895),
    [anon_sym_decltype] = ACTIONS(5895),
  },
  [2348] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [2349] = {
    [sym_string_literal] = STATE(2386),
    [sym_template_argument_list] = STATE(3711),
    [sym_raw_string_literal] = STATE(2386),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4145),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5899),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4145),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4137),
    [anon_sym_or_eq] = ACTIONS(4137),
    [anon_sym_xor_eq] = ACTIONS(4137),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(5854),
    [anon_sym_u_DQUOTE] = ACTIONS(5854),
    [anon_sym_U_DQUOTE] = ACTIONS(5854),
    [anon_sym_u8_DQUOTE] = ACTIONS(5854),
    [anon_sym_DQUOTE] = ACTIONS(5854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(4137),
    [anon_sym_R_DQUOTE] = ACTIONS(5856),
    [anon_sym_LR_DQUOTE] = ACTIONS(5856),
    [anon_sym_uR_DQUOTE] = ACTIONS(5856),
    [anon_sym_UR_DQUOTE] = ACTIONS(5856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5856),
  },
  [2350] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2376),
    [sym_identifier] = ACTIONS(5902),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5600),
    [anon_sym_COMMA] = ACTIONS(5600),
    [anon_sym_RPAREN] = ACTIONS(5600),
    [anon_sym_LPAREN2] = ACTIONS(5600),
    [anon_sym_DASH] = ACTIONS(5602),
    [anon_sym_PLUS] = ACTIONS(5602),
    [anon_sym_STAR] = ACTIONS(5602),
    [anon_sym_SLASH] = ACTIONS(5602),
    [anon_sym_PERCENT] = ACTIONS(5602),
    [anon_sym_PIPE_PIPE] = ACTIONS(5600),
    [anon_sym_AMP_AMP] = ACTIONS(5600),
    [anon_sym_PIPE] = ACTIONS(5602),
    [anon_sym_CARET] = ACTIONS(5602),
    [anon_sym_AMP] = ACTIONS(5602),
    [anon_sym_EQ_EQ] = ACTIONS(5600),
    [anon_sym_BANG_EQ] = ACTIONS(5600),
    [anon_sym_GT] = ACTIONS(5602),
    [anon_sym_GT_EQ] = ACTIONS(5600),
    [anon_sym_LT_EQ] = ACTIONS(5602),
    [anon_sym_LT] = ACTIONS(5602),
    [anon_sym_LT_LT] = ACTIONS(5602),
    [anon_sym_GT_GT] = ACTIONS(5602),
    [anon_sym_SEMI] = ACTIONS(5600),
    [anon_sym___attribute__] = ACTIONS(5602),
    [anon_sym_LBRACE] = ACTIONS(5600),
    [anon_sym_RBRACE] = ACTIONS(5600),
    [anon_sym_signed] = ACTIONS(5904),
    [anon_sym_unsigned] = ACTIONS(5904),
    [anon_sym_long] = ACTIONS(5904),
    [anon_sym_short] = ACTIONS(5904),
    [anon_sym_LBRACK] = ACTIONS(5600),
    [anon_sym_RBRACK] = ACTIONS(5600),
    [anon_sym_EQ] = ACTIONS(5602),
    [sym_primitive_type] = ACTIONS(5906),
    [anon_sym_COLON] = ACTIONS(5600),
    [anon_sym_QMARK] = ACTIONS(5600),
    [anon_sym_STAR_EQ] = ACTIONS(5600),
    [anon_sym_SLASH_EQ] = ACTIONS(5600),
    [anon_sym_PERCENT_EQ] = ACTIONS(5600),
    [anon_sym_PLUS_EQ] = ACTIONS(5600),
    [anon_sym_DASH_EQ] = ACTIONS(5600),
    [anon_sym_LT_LT_EQ] = ACTIONS(5600),
    [anon_sym_GT_GT_EQ] = ACTIONS(5600),
    [anon_sym_AMP_EQ] = ACTIONS(5600),
    [anon_sym_CARET_EQ] = ACTIONS(5600),
    [anon_sym_PIPE_EQ] = ACTIONS(5600),
    [anon_sym_and_eq] = ACTIONS(5602),
    [anon_sym_or_eq] = ACTIONS(5602),
    [anon_sym_xor_eq] = ACTIONS(5602),
    [anon_sym_LT_EQ_GT] = ACTIONS(5600),
    [anon_sym_or] = ACTIONS(5602),
    [anon_sym_and] = ACTIONS(5602),
    [anon_sym_bitor] = ACTIONS(5602),
    [anon_sym_xor] = ACTIONS(5602),
    [anon_sym_bitand] = ACTIONS(5602),
    [anon_sym_not_eq] = ACTIONS(5602),
    [anon_sym_DASH_DASH] = ACTIONS(5600),
    [anon_sym_PLUS_PLUS] = ACTIONS(5600),
    [anon_sym_DOT] = ACTIONS(5602),
    [anon_sym_DOT_STAR] = ACTIONS(5600),
    [anon_sym_DASH_GT] = ACTIONS(5600),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5602),
    [anon_sym_decltype] = ACTIONS(5602),
  },
  [2351] = {
    [sym_template_argument_list] = STATE(1974),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2519),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5689),
    [anon_sym_COMMA] = ACTIONS(5689),
    [anon_sym_RPAREN] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_DASH] = ACTIONS(5687),
    [anon_sym_PLUS] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_SLASH] = ACTIONS(5687),
    [anon_sym_PERCENT] = ACTIONS(5687),
    [anon_sym_PIPE_PIPE] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_PIPE] = ACTIONS(5687),
    [anon_sym_CARET] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym_EQ_EQ] = ACTIONS(5689),
    [anon_sym_BANG_EQ] = ACTIONS(5689),
    [anon_sym_GT] = ACTIONS(5687),
    [anon_sym_GT_EQ] = ACTIONS(5689),
    [anon_sym_LT_EQ] = ACTIONS(5687),
    [anon_sym_LT] = ACTIONS(5687),
    [anon_sym_LT_LT] = ACTIONS(5687),
    [anon_sym_GT_GT] = ACTIONS(5687),
    [anon_sym_SEMI] = ACTIONS(5689),
    [anon_sym___attribute__] = ACTIONS(5689),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_RBRACE] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(5885),
    [anon_sym_unsigned] = ACTIONS(5885),
    [anon_sym_long] = ACTIONS(5885),
    [anon_sym_short] = ACTIONS(5885),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_RBRACK] = ACTIONS(5689),
    [anon_sym_EQ] = ACTIONS(5687),
    [anon_sym_COLON] = ACTIONS(5687),
    [anon_sym_QMARK] = ACTIONS(5689),
    [anon_sym_STAR_EQ] = ACTIONS(5689),
    [anon_sym_SLASH_EQ] = ACTIONS(5689),
    [anon_sym_PERCENT_EQ] = ACTIONS(5689),
    [anon_sym_PLUS_EQ] = ACTIONS(5689),
    [anon_sym_DASH_EQ] = ACTIONS(5689),
    [anon_sym_LT_LT_EQ] = ACTIONS(5689),
    [anon_sym_GT_GT_EQ] = ACTIONS(5689),
    [anon_sym_AMP_EQ] = ACTIONS(5689),
    [anon_sym_CARET_EQ] = ACTIONS(5689),
    [anon_sym_PIPE_EQ] = ACTIONS(5689),
    [anon_sym_and_eq] = ACTIONS(5689),
    [anon_sym_or_eq] = ACTIONS(5689),
    [anon_sym_xor_eq] = ACTIONS(5689),
    [anon_sym_LT_EQ_GT] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5687),
    [anon_sym_and] = ACTIONS(5687),
    [anon_sym_bitor] = ACTIONS(5689),
    [anon_sym_xor] = ACTIONS(5687),
    [anon_sym_bitand] = ACTIONS(5689),
    [anon_sym_not_eq] = ACTIONS(5689),
    [anon_sym_DASH_DASH] = ACTIONS(5689),
    [anon_sym_PLUS_PLUS] = ACTIONS(5689),
    [anon_sym_DOT] = ACTIONS(5687),
    [anon_sym_DOT_STAR] = ACTIONS(5689),
    [anon_sym_DASH_GT] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5689),
    [anon_sym_decltype] = ACTIONS(5689),
  },
  [2352] = {
    [sym_identifier] = ACTIONS(5434),
    [aux_sym_preproc_def_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5434),
    [sym_preproc_directive] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5434),
    [anon_sym_typedef] = ACTIONS(5434),
    [anon_sym_extern] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym_COLON_COLON] = ACTIONS(5436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5436),
    [anon_sym___declspec] = ACTIONS(5434),
    [anon_sym___based] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5434),
    [anon_sym_unsigned] = ACTIONS(5434),
    [anon_sym_long] = ACTIONS(5434),
    [anon_sym_short] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_static] = ACTIONS(5434),
    [anon_sym_register] = ACTIONS(5434),
    [anon_sym_inline] = ACTIONS(5434),
    [anon_sym___inline] = ACTIONS(5434),
    [anon_sym___inline__] = ACTIONS(5434),
    [anon_sym___forceinline] = ACTIONS(5434),
    [anon_sym_thread_local] = ACTIONS(5434),
    [anon_sym___thread] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5434),
    [anon_sym_constexpr] = ACTIONS(5434),
    [anon_sym_volatile] = ACTIONS(5434),
    [anon_sym_restrict] = ACTIONS(5434),
    [anon_sym___restrict__] = ACTIONS(5434),
    [anon_sym__Atomic] = ACTIONS(5434),
    [anon_sym__Noreturn] = ACTIONS(5434),
    [anon_sym_noreturn] = ACTIONS(5434),
    [anon_sym_mutable] = ACTIONS(5434),
    [anon_sym_constinit] = ACTIONS(5434),
    [anon_sym_consteval] = ACTIONS(5434),
    [sym_primitive_type] = ACTIONS(5434),
    [anon_sym_enum] = ACTIONS(5434),
    [anon_sym_class] = ACTIONS(5434),
    [anon_sym_struct] = ACTIONS(5434),
    [anon_sym_union] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5434),
    [anon_sym_decltype] = ACTIONS(5434),
    [anon_sym_virtual] = ACTIONS(5434),
    [anon_sym_alignas] = ACTIONS(5434),
    [anon_sym_explicit] = ACTIONS(5434),
    [anon_sym_typename] = ACTIONS(5434),
    [anon_sym_template] = ACTIONS(5434),
    [anon_sym_operator] = ACTIONS(5434),
    [anon_sym_friend] = ACTIONS(5434),
    [anon_sym_public] = ACTIONS(5434),
    [anon_sym_private] = ACTIONS(5434),
    [anon_sym_protected] = ACTIONS(5434),
    [anon_sym_using] = ACTIONS(5434),
    [anon_sym_static_assert] = ACTIONS(5434),
  },
  [2353] = {
    [sym_identifier] = ACTIONS(3201),
    [aux_sym_preproc_def_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token1] = ACTIONS(3201),
    [aux_sym_preproc_if_token2] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3201),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3201),
    [aux_sym_preproc_else_token1] = ACTIONS(3201),
    [aux_sym_preproc_elif_token1] = ACTIONS(3201),
    [sym_preproc_directive] = ACTIONS(3201),
    [anon_sym_LPAREN2] = ACTIONS(3203),
    [anon_sym_TILDE] = ACTIONS(3203),
    [anon_sym_STAR] = ACTIONS(3203),
    [anon_sym_AMP_AMP] = ACTIONS(3203),
    [anon_sym_AMP] = ACTIONS(3201),
    [anon_sym___extension__] = ACTIONS(3201),
    [anon_sym_typedef] = ACTIONS(3201),
    [anon_sym_extern] = ACTIONS(3201),
    [anon_sym___attribute__] = ACTIONS(3201),
    [anon_sym_COLON_COLON] = ACTIONS(3203),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3203),
    [anon_sym___declspec] = ACTIONS(3201),
    [anon_sym___based] = ACTIONS(3201),
    [anon_sym_signed] = ACTIONS(3201),
    [anon_sym_unsigned] = ACTIONS(3201),
    [anon_sym_long] = ACTIONS(3201),
    [anon_sym_short] = ACTIONS(3201),
    [anon_sym_LBRACK] = ACTIONS(3201),
    [anon_sym_static] = ACTIONS(3201),
    [anon_sym_register] = ACTIONS(3201),
    [anon_sym_inline] = ACTIONS(3201),
    [anon_sym___inline] = ACTIONS(3201),
    [anon_sym___inline__] = ACTIONS(3201),
    [anon_sym___forceinline] = ACTIONS(3201),
    [anon_sym_thread_local] = ACTIONS(3201),
    [anon_sym___thread] = ACTIONS(3201),
    [anon_sym_const] = ACTIONS(3201),
    [anon_sym_constexpr] = ACTIONS(3201),
    [anon_sym_volatile] = ACTIONS(3201),
    [anon_sym_restrict] = ACTIONS(3201),
    [anon_sym___restrict__] = ACTIONS(3201),
    [anon_sym__Atomic] = ACTIONS(3201),
    [anon_sym__Noreturn] = ACTIONS(3201),
    [anon_sym_noreturn] = ACTIONS(3201),
    [anon_sym_mutable] = ACTIONS(3201),
    [anon_sym_constinit] = ACTIONS(3201),
    [anon_sym_consteval] = ACTIONS(3201),
    [sym_primitive_type] = ACTIONS(3201),
    [anon_sym_enum] = ACTIONS(3201),
    [anon_sym_class] = ACTIONS(3201),
    [anon_sym_struct] = ACTIONS(3201),
    [anon_sym_union] = ACTIONS(3201),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3201),
    [anon_sym_decltype] = ACTIONS(3201),
    [anon_sym_virtual] = ACTIONS(3201),
    [anon_sym_alignas] = ACTIONS(3201),
    [anon_sym_explicit] = ACTIONS(3201),
    [anon_sym_typename] = ACTIONS(3201),
    [anon_sym_template] = ACTIONS(3201),
    [anon_sym_operator] = ACTIONS(3201),
    [anon_sym_friend] = ACTIONS(3201),
    [anon_sym_public] = ACTIONS(3201),
    [anon_sym_private] = ACTIONS(3201),
    [anon_sym_protected] = ACTIONS(3201),
    [anon_sym_using] = ACTIONS(3201),
    [anon_sym_static_assert] = ACTIONS(3201),
  },
  [2354] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [2355] = {
    [sym__declaration_modifiers] = STATE(4126),
    [sym_attribute_specifier] = STATE(4126),
    [sym_attribute_declaration] = STATE(4126),
    [sym_ms_declspec_modifier] = STATE(4126),
    [sym_storage_class_specifier] = STATE(4126),
    [sym_type_qualifier] = STATE(4126),
    [sym__type_specifier] = STATE(3204),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4126),
    [sym_alignas_specifier] = STATE(4126),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4126),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(65),
    [anon_sym_class] = ACTIONS(67),
    [anon_sym_struct] = ACTIONS(69),
    [anon_sym_union] = ACTIONS(71),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(127),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2356] = {
    [sym_attribute_specifier] = STATE(2483),
    [sym_identifier] = ACTIONS(5908),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5910),
    [anon_sym_COMMA] = ACTIONS(5910),
    [anon_sym_RPAREN] = ACTIONS(5910),
    [aux_sym_preproc_if_token2] = ACTIONS(5910),
    [aux_sym_preproc_else_token1] = ACTIONS(5910),
    [aux_sym_preproc_elif_token1] = ACTIONS(5908),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5910),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5910),
    [anon_sym_LPAREN2] = ACTIONS(5910),
    [anon_sym_DASH] = ACTIONS(5908),
    [anon_sym_PLUS] = ACTIONS(5908),
    [anon_sym_STAR] = ACTIONS(5908),
    [anon_sym_SLASH] = ACTIONS(5908),
    [anon_sym_PERCENT] = ACTIONS(5908),
    [anon_sym_PIPE_PIPE] = ACTIONS(5910),
    [anon_sym_AMP_AMP] = ACTIONS(5910),
    [anon_sym_PIPE] = ACTIONS(5908),
    [anon_sym_CARET] = ACTIONS(5908),
    [anon_sym_AMP] = ACTIONS(5908),
    [anon_sym_EQ_EQ] = ACTIONS(5910),
    [anon_sym_BANG_EQ] = ACTIONS(5910),
    [anon_sym_GT] = ACTIONS(5908),
    [anon_sym_GT_EQ] = ACTIONS(5910),
    [anon_sym_LT_EQ] = ACTIONS(5908),
    [anon_sym_LT] = ACTIONS(5908),
    [anon_sym_LT_LT] = ACTIONS(5908),
    [anon_sym_GT_GT] = ACTIONS(5908),
    [anon_sym_SEMI] = ACTIONS(5910),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5910),
    [anon_sym_RBRACE] = ACTIONS(5910),
    [anon_sym_LBRACK] = ACTIONS(5910),
    [anon_sym_RBRACK] = ACTIONS(5910),
    [anon_sym_EQ] = ACTIONS(5908),
    [anon_sym_COLON] = ACTIONS(5910),
    [anon_sym_QMARK] = ACTIONS(5910),
    [anon_sym_STAR_EQ] = ACTIONS(5910),
    [anon_sym_SLASH_EQ] = ACTIONS(5910),
    [anon_sym_PERCENT_EQ] = ACTIONS(5910),
    [anon_sym_PLUS_EQ] = ACTIONS(5910),
    [anon_sym_DASH_EQ] = ACTIONS(5910),
    [anon_sym_LT_LT_EQ] = ACTIONS(5910),
    [anon_sym_GT_GT_EQ] = ACTIONS(5910),
    [anon_sym_AMP_EQ] = ACTIONS(5910),
    [anon_sym_CARET_EQ] = ACTIONS(5910),
    [anon_sym_PIPE_EQ] = ACTIONS(5910),
    [anon_sym_and_eq] = ACTIONS(5908),
    [anon_sym_or_eq] = ACTIONS(5908),
    [anon_sym_xor_eq] = ACTIONS(5908),
    [anon_sym_LT_EQ_GT] = ACTIONS(5910),
    [anon_sym_or] = ACTIONS(5908),
    [anon_sym_and] = ACTIONS(5908),
    [anon_sym_bitor] = ACTIONS(5908),
    [anon_sym_xor] = ACTIONS(5908),
    [anon_sym_bitand] = ACTIONS(5908),
    [anon_sym_not_eq] = ACTIONS(5908),
    [anon_sym_DASH_DASH] = ACTIONS(5910),
    [anon_sym_PLUS_PLUS] = ACTIONS(5910),
    [anon_sym_DOT] = ACTIONS(5908),
    [anon_sym_DOT_STAR] = ACTIONS(5910),
    [anon_sym_DASH_GT] = ACTIONS(5910),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5908),
    [anon_sym_decltype] = ACTIONS(5908),
  },
  [2357] = {
    [sym_identifier] = ACTIONS(5452),
    [aux_sym_preproc_def_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token1] = ACTIONS(5452),
    [aux_sym_preproc_if_token2] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5452),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5452),
    [aux_sym_preproc_else_token1] = ACTIONS(5452),
    [aux_sym_preproc_elif_token1] = ACTIONS(5452),
    [sym_preproc_directive] = ACTIONS(5452),
    [anon_sym_LPAREN2] = ACTIONS(5454),
    [anon_sym_TILDE] = ACTIONS(5454),
    [anon_sym_STAR] = ACTIONS(5454),
    [anon_sym_AMP_AMP] = ACTIONS(5454),
    [anon_sym_AMP] = ACTIONS(5452),
    [anon_sym___extension__] = ACTIONS(5452),
    [anon_sym_typedef] = ACTIONS(5452),
    [anon_sym_extern] = ACTIONS(5452),
    [anon_sym___attribute__] = ACTIONS(5452),
    [anon_sym_COLON_COLON] = ACTIONS(5454),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5454),
    [anon_sym___declspec] = ACTIONS(5452),
    [anon_sym___based] = ACTIONS(5452),
    [anon_sym_signed] = ACTIONS(5452),
    [anon_sym_unsigned] = ACTIONS(5452),
    [anon_sym_long] = ACTIONS(5452),
    [anon_sym_short] = ACTIONS(5452),
    [anon_sym_LBRACK] = ACTIONS(5452),
    [anon_sym_static] = ACTIONS(5452),
    [anon_sym_register] = ACTIONS(5452),
    [anon_sym_inline] = ACTIONS(5452),
    [anon_sym___inline] = ACTIONS(5452),
    [anon_sym___inline__] = ACTIONS(5452),
    [anon_sym___forceinline] = ACTIONS(5452),
    [anon_sym_thread_local] = ACTIONS(5452),
    [anon_sym___thread] = ACTIONS(5452),
    [anon_sym_const] = ACTIONS(5452),
    [anon_sym_constexpr] = ACTIONS(5452),
    [anon_sym_volatile] = ACTIONS(5452),
    [anon_sym_restrict] = ACTIONS(5452),
    [anon_sym___restrict__] = ACTIONS(5452),
    [anon_sym__Atomic] = ACTIONS(5452),
    [anon_sym__Noreturn] = ACTIONS(5452),
    [anon_sym_noreturn] = ACTIONS(5452),
    [anon_sym_mutable] = ACTIONS(5452),
    [anon_sym_constinit] = ACTIONS(5452),
    [anon_sym_consteval] = ACTIONS(5452),
    [sym_primitive_type] = ACTIONS(5452),
    [anon_sym_enum] = ACTIONS(5452),
    [anon_sym_class] = ACTIONS(5452),
    [anon_sym_struct] = ACTIONS(5452),
    [anon_sym_union] = ACTIONS(5452),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5452),
    [anon_sym_decltype] = ACTIONS(5452),
    [anon_sym_virtual] = ACTIONS(5452),
    [anon_sym_alignas] = ACTIONS(5452),
    [anon_sym_explicit] = ACTIONS(5452),
    [anon_sym_typename] = ACTIONS(5452),
    [anon_sym_template] = ACTIONS(5452),
    [anon_sym_operator] = ACTIONS(5452),
    [anon_sym_friend] = ACTIONS(5452),
    [anon_sym_public] = ACTIONS(5452),
    [anon_sym_private] = ACTIONS(5452),
    [anon_sym_protected] = ACTIONS(5452),
    [anon_sym_using] = ACTIONS(5452),
    [anon_sym_static_assert] = ACTIONS(5452),
  },
  [2358] = {
    [sym_identifier] = ACTIONS(3189),
    [aux_sym_preproc_def_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token1] = ACTIONS(3189),
    [aux_sym_preproc_if_token2] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3189),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3189),
    [aux_sym_preproc_else_token1] = ACTIONS(3189),
    [aux_sym_preproc_elif_token1] = ACTIONS(3189),
    [sym_preproc_directive] = ACTIONS(3189),
    [anon_sym_LPAREN2] = ACTIONS(3191),
    [anon_sym_TILDE] = ACTIONS(3191),
    [anon_sym_STAR] = ACTIONS(3191),
    [anon_sym_AMP_AMP] = ACTIONS(3191),
    [anon_sym_AMP] = ACTIONS(3189),
    [anon_sym___extension__] = ACTIONS(3189),
    [anon_sym_typedef] = ACTIONS(3189),
    [anon_sym_extern] = ACTIONS(3189),
    [anon_sym___attribute__] = ACTIONS(3189),
    [anon_sym_COLON_COLON] = ACTIONS(3191),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3191),
    [anon_sym___declspec] = ACTIONS(3189),
    [anon_sym___based] = ACTIONS(3189),
    [anon_sym_signed] = ACTIONS(3189),
    [anon_sym_unsigned] = ACTIONS(3189),
    [anon_sym_long] = ACTIONS(3189),
    [anon_sym_short] = ACTIONS(3189),
    [anon_sym_LBRACK] = ACTIONS(3189),
    [anon_sym_static] = ACTIONS(3189),
    [anon_sym_register] = ACTIONS(3189),
    [anon_sym_inline] = ACTIONS(3189),
    [anon_sym___inline] = ACTIONS(3189),
    [anon_sym___inline__] = ACTIONS(3189),
    [anon_sym___forceinline] = ACTIONS(3189),
    [anon_sym_thread_local] = ACTIONS(3189),
    [anon_sym___thread] = ACTIONS(3189),
    [anon_sym_const] = ACTIONS(3189),
    [anon_sym_constexpr] = ACTIONS(3189),
    [anon_sym_volatile] = ACTIONS(3189),
    [anon_sym_restrict] = ACTIONS(3189),
    [anon_sym___restrict__] = ACTIONS(3189),
    [anon_sym__Atomic] = ACTIONS(3189),
    [anon_sym__Noreturn] = ACTIONS(3189),
    [anon_sym_noreturn] = ACTIONS(3189),
    [anon_sym_mutable] = ACTIONS(3189),
    [anon_sym_constinit] = ACTIONS(3189),
    [anon_sym_consteval] = ACTIONS(3189),
    [sym_primitive_type] = ACTIONS(3189),
    [anon_sym_enum] = ACTIONS(3189),
    [anon_sym_class] = ACTIONS(3189),
    [anon_sym_struct] = ACTIONS(3189),
    [anon_sym_union] = ACTIONS(3189),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3189),
    [anon_sym_decltype] = ACTIONS(3189),
    [anon_sym_virtual] = ACTIONS(3189),
    [anon_sym_alignas] = ACTIONS(3189),
    [anon_sym_explicit] = ACTIONS(3189),
    [anon_sym_typename] = ACTIONS(3189),
    [anon_sym_template] = ACTIONS(3189),
    [anon_sym_operator] = ACTIONS(3189),
    [anon_sym_friend] = ACTIONS(3189),
    [anon_sym_public] = ACTIONS(3189),
    [anon_sym_private] = ACTIONS(3189),
    [anon_sym_protected] = ACTIONS(3189),
    [anon_sym_using] = ACTIONS(3189),
    [anon_sym_static_assert] = ACTIONS(3189),
  },
  [2359] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2360] = {
    [sym_identifier] = ACTIONS(3290),
    [aux_sym_preproc_def_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token1] = ACTIONS(3290),
    [aux_sym_preproc_if_token2] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3290),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3290),
    [aux_sym_preproc_else_token1] = ACTIONS(3290),
    [aux_sym_preproc_elif_token1] = ACTIONS(3290),
    [sym_preproc_directive] = ACTIONS(3290),
    [anon_sym_LPAREN2] = ACTIONS(3292),
    [anon_sym_TILDE] = ACTIONS(3292),
    [anon_sym_STAR] = ACTIONS(3292),
    [anon_sym_AMP_AMP] = ACTIONS(3292),
    [anon_sym_AMP] = ACTIONS(3290),
    [anon_sym___extension__] = ACTIONS(3290),
    [anon_sym_typedef] = ACTIONS(3290),
    [anon_sym_extern] = ACTIONS(3290),
    [anon_sym___attribute__] = ACTIONS(3290),
    [anon_sym_COLON_COLON] = ACTIONS(3292),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3292),
    [anon_sym___declspec] = ACTIONS(3290),
    [anon_sym___based] = ACTIONS(3290),
    [anon_sym_signed] = ACTIONS(3290),
    [anon_sym_unsigned] = ACTIONS(3290),
    [anon_sym_long] = ACTIONS(3290),
    [anon_sym_short] = ACTIONS(3290),
    [anon_sym_LBRACK] = ACTIONS(3290),
    [anon_sym_static] = ACTIONS(3290),
    [anon_sym_register] = ACTIONS(3290),
    [anon_sym_inline] = ACTIONS(3290),
    [anon_sym___inline] = ACTIONS(3290),
    [anon_sym___inline__] = ACTIONS(3290),
    [anon_sym___forceinline] = ACTIONS(3290),
    [anon_sym_thread_local] = ACTIONS(3290),
    [anon_sym___thread] = ACTIONS(3290),
    [anon_sym_const] = ACTIONS(3290),
    [anon_sym_constexpr] = ACTIONS(3290),
    [anon_sym_volatile] = ACTIONS(3290),
    [anon_sym_restrict] = ACTIONS(3290),
    [anon_sym___restrict__] = ACTIONS(3290),
    [anon_sym__Atomic] = ACTIONS(3290),
    [anon_sym__Noreturn] = ACTIONS(3290),
    [anon_sym_noreturn] = ACTIONS(3290),
    [anon_sym_mutable] = ACTIONS(3290),
    [anon_sym_constinit] = ACTIONS(3290),
    [anon_sym_consteval] = ACTIONS(3290),
    [sym_primitive_type] = ACTIONS(3290),
    [anon_sym_enum] = ACTIONS(3290),
    [anon_sym_class] = ACTIONS(3290),
    [anon_sym_struct] = ACTIONS(3290),
    [anon_sym_union] = ACTIONS(3290),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3290),
    [anon_sym_decltype] = ACTIONS(3290),
    [anon_sym_virtual] = ACTIONS(3290),
    [anon_sym_alignas] = ACTIONS(3290),
    [anon_sym_explicit] = ACTIONS(3290),
    [anon_sym_typename] = ACTIONS(3290),
    [anon_sym_template] = ACTIONS(3290),
    [anon_sym_operator] = ACTIONS(3290),
    [anon_sym_friend] = ACTIONS(3290),
    [anon_sym_public] = ACTIONS(3290),
    [anon_sym_private] = ACTIONS(3290),
    [anon_sym_protected] = ACTIONS(3290),
    [anon_sym_using] = ACTIONS(3290),
    [anon_sym_static_assert] = ACTIONS(3290),
  },
  [2361] = {
    [sym_identifier] = ACTIONS(3223),
    [aux_sym_preproc_def_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token1] = ACTIONS(3223),
    [aux_sym_preproc_if_token2] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3223),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3223),
    [aux_sym_preproc_else_token1] = ACTIONS(3223),
    [aux_sym_preproc_elif_token1] = ACTIONS(3223),
    [sym_preproc_directive] = ACTIONS(3223),
    [anon_sym_LPAREN2] = ACTIONS(3225),
    [anon_sym_TILDE] = ACTIONS(3225),
    [anon_sym_STAR] = ACTIONS(3225),
    [anon_sym_AMP_AMP] = ACTIONS(3225),
    [anon_sym_AMP] = ACTIONS(3223),
    [anon_sym___extension__] = ACTIONS(3223),
    [anon_sym_typedef] = ACTIONS(3223),
    [anon_sym_extern] = ACTIONS(3223),
    [anon_sym___attribute__] = ACTIONS(3223),
    [anon_sym_COLON_COLON] = ACTIONS(3225),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3225),
    [anon_sym___declspec] = ACTIONS(3223),
    [anon_sym___based] = ACTIONS(3223),
    [anon_sym_signed] = ACTIONS(3223),
    [anon_sym_unsigned] = ACTIONS(3223),
    [anon_sym_long] = ACTIONS(3223),
    [anon_sym_short] = ACTIONS(3223),
    [anon_sym_LBRACK] = ACTIONS(3223),
    [anon_sym_static] = ACTIONS(3223),
    [anon_sym_register] = ACTIONS(3223),
    [anon_sym_inline] = ACTIONS(3223),
    [anon_sym___inline] = ACTIONS(3223),
    [anon_sym___inline__] = ACTIONS(3223),
    [anon_sym___forceinline] = ACTIONS(3223),
    [anon_sym_thread_local] = ACTIONS(3223),
    [anon_sym___thread] = ACTIONS(3223),
    [anon_sym_const] = ACTIONS(3223),
    [anon_sym_constexpr] = ACTIONS(3223),
    [anon_sym_volatile] = ACTIONS(3223),
    [anon_sym_restrict] = ACTIONS(3223),
    [anon_sym___restrict__] = ACTIONS(3223),
    [anon_sym__Atomic] = ACTIONS(3223),
    [anon_sym__Noreturn] = ACTIONS(3223),
    [anon_sym_noreturn] = ACTIONS(3223),
    [anon_sym_mutable] = ACTIONS(3223),
    [anon_sym_constinit] = ACTIONS(3223),
    [anon_sym_consteval] = ACTIONS(3223),
    [sym_primitive_type] = ACTIONS(3223),
    [anon_sym_enum] = ACTIONS(3223),
    [anon_sym_class] = ACTIONS(3223),
    [anon_sym_struct] = ACTIONS(3223),
    [anon_sym_union] = ACTIONS(3223),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3223),
    [anon_sym_decltype] = ACTIONS(3223),
    [anon_sym_virtual] = ACTIONS(3223),
    [anon_sym_alignas] = ACTIONS(3223),
    [anon_sym_explicit] = ACTIONS(3223),
    [anon_sym_typename] = ACTIONS(3223),
    [anon_sym_template] = ACTIONS(3223),
    [anon_sym_operator] = ACTIONS(3223),
    [anon_sym_friend] = ACTIONS(3223),
    [anon_sym_public] = ACTIONS(3223),
    [anon_sym_private] = ACTIONS(3223),
    [anon_sym_protected] = ACTIONS(3223),
    [anon_sym_using] = ACTIONS(3223),
    [anon_sym_static_assert] = ACTIONS(3223),
  },
  [2362] = {
    [sym_identifier] = ACTIONS(2917),
    [aux_sym_preproc_def_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token1] = ACTIONS(2917),
    [aux_sym_preproc_if_token2] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2917),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2917),
    [aux_sym_preproc_else_token1] = ACTIONS(2917),
    [aux_sym_preproc_elif_token1] = ACTIONS(2917),
    [sym_preproc_directive] = ACTIONS(2917),
    [anon_sym_LPAREN2] = ACTIONS(2919),
    [anon_sym_TILDE] = ACTIONS(2919),
    [anon_sym_STAR] = ACTIONS(2919),
    [anon_sym_AMP_AMP] = ACTIONS(2919),
    [anon_sym_AMP] = ACTIONS(2917),
    [anon_sym___extension__] = ACTIONS(2917),
    [anon_sym_typedef] = ACTIONS(2917),
    [anon_sym_extern] = ACTIONS(2917),
    [anon_sym___attribute__] = ACTIONS(2917),
    [anon_sym_COLON_COLON] = ACTIONS(2919),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2919),
    [anon_sym___declspec] = ACTIONS(2917),
    [anon_sym___based] = ACTIONS(2917),
    [anon_sym_signed] = ACTIONS(2917),
    [anon_sym_unsigned] = ACTIONS(2917),
    [anon_sym_long] = ACTIONS(2917),
    [anon_sym_short] = ACTIONS(2917),
    [anon_sym_LBRACK] = ACTIONS(2917),
    [anon_sym_static] = ACTIONS(2917),
    [anon_sym_register] = ACTIONS(2917),
    [anon_sym_inline] = ACTIONS(2917),
    [anon_sym___inline] = ACTIONS(2917),
    [anon_sym___inline__] = ACTIONS(2917),
    [anon_sym___forceinline] = ACTIONS(2917),
    [anon_sym_thread_local] = ACTIONS(2917),
    [anon_sym___thread] = ACTIONS(2917),
    [anon_sym_const] = ACTIONS(2917),
    [anon_sym_constexpr] = ACTIONS(2917),
    [anon_sym_volatile] = ACTIONS(2917),
    [anon_sym_restrict] = ACTIONS(2917),
    [anon_sym___restrict__] = ACTIONS(2917),
    [anon_sym__Atomic] = ACTIONS(2917),
    [anon_sym__Noreturn] = ACTIONS(2917),
    [anon_sym_noreturn] = ACTIONS(2917),
    [anon_sym_mutable] = ACTIONS(2917),
    [anon_sym_constinit] = ACTIONS(2917),
    [anon_sym_consteval] = ACTIONS(2917),
    [sym_primitive_type] = ACTIONS(2917),
    [anon_sym_enum] = ACTIONS(2917),
    [anon_sym_class] = ACTIONS(2917),
    [anon_sym_struct] = ACTIONS(2917),
    [anon_sym_union] = ACTIONS(2917),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2917),
    [anon_sym_decltype] = ACTIONS(2917),
    [anon_sym_virtual] = ACTIONS(2917),
    [anon_sym_alignas] = ACTIONS(2917),
    [anon_sym_explicit] = ACTIONS(2917),
    [anon_sym_typename] = ACTIONS(2917),
    [anon_sym_template] = ACTIONS(2917),
    [anon_sym_operator] = ACTIONS(2917),
    [anon_sym_friend] = ACTIONS(2917),
    [anon_sym_public] = ACTIONS(2917),
    [anon_sym_private] = ACTIONS(2917),
    [anon_sym_protected] = ACTIONS(2917),
    [anon_sym_using] = ACTIONS(2917),
    [anon_sym_static_assert] = ACTIONS(2917),
  },
  [2363] = {
    [sym_identifier] = ACTIONS(5448),
    [aux_sym_preproc_def_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token1] = ACTIONS(5448),
    [aux_sym_preproc_if_token2] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5448),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5448),
    [aux_sym_preproc_else_token1] = ACTIONS(5448),
    [aux_sym_preproc_elif_token1] = ACTIONS(5448),
    [sym_preproc_directive] = ACTIONS(5448),
    [anon_sym_LPAREN2] = ACTIONS(5450),
    [anon_sym_TILDE] = ACTIONS(5450),
    [anon_sym_STAR] = ACTIONS(5450),
    [anon_sym_AMP_AMP] = ACTIONS(5450),
    [anon_sym_AMP] = ACTIONS(5448),
    [anon_sym___extension__] = ACTIONS(5448),
    [anon_sym_typedef] = ACTIONS(5448),
    [anon_sym_extern] = ACTIONS(5448),
    [anon_sym___attribute__] = ACTIONS(5448),
    [anon_sym_COLON_COLON] = ACTIONS(5450),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5450),
    [anon_sym___declspec] = ACTIONS(5448),
    [anon_sym___based] = ACTIONS(5448),
    [anon_sym_signed] = ACTIONS(5448),
    [anon_sym_unsigned] = ACTIONS(5448),
    [anon_sym_long] = ACTIONS(5448),
    [anon_sym_short] = ACTIONS(5448),
    [anon_sym_LBRACK] = ACTIONS(5448),
    [anon_sym_static] = ACTIONS(5448),
    [anon_sym_register] = ACTIONS(5448),
    [anon_sym_inline] = ACTIONS(5448),
    [anon_sym___inline] = ACTIONS(5448),
    [anon_sym___inline__] = ACTIONS(5448),
    [anon_sym___forceinline] = ACTIONS(5448),
    [anon_sym_thread_local] = ACTIONS(5448),
    [anon_sym___thread] = ACTIONS(5448),
    [anon_sym_const] = ACTIONS(5448),
    [anon_sym_constexpr] = ACTIONS(5448),
    [anon_sym_volatile] = ACTIONS(5448),
    [anon_sym_restrict] = ACTIONS(5448),
    [anon_sym___restrict__] = ACTIONS(5448),
    [anon_sym__Atomic] = ACTIONS(5448),
    [anon_sym__Noreturn] = ACTIONS(5448),
    [anon_sym_noreturn] = ACTIONS(5448),
    [anon_sym_mutable] = ACTIONS(5448),
    [anon_sym_constinit] = ACTIONS(5448),
    [anon_sym_consteval] = ACTIONS(5448),
    [sym_primitive_type] = ACTIONS(5448),
    [anon_sym_enum] = ACTIONS(5448),
    [anon_sym_class] = ACTIONS(5448),
    [anon_sym_struct] = ACTIONS(5448),
    [anon_sym_union] = ACTIONS(5448),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5448),
    [anon_sym_decltype] = ACTIONS(5448),
    [anon_sym_virtual] = ACTIONS(5448),
    [anon_sym_alignas] = ACTIONS(5448),
    [anon_sym_explicit] = ACTIONS(5448),
    [anon_sym_typename] = ACTIONS(5448),
    [anon_sym_template] = ACTIONS(5448),
    [anon_sym_operator] = ACTIONS(5448),
    [anon_sym_friend] = ACTIONS(5448),
    [anon_sym_public] = ACTIONS(5448),
    [anon_sym_private] = ACTIONS(5448),
    [anon_sym_protected] = ACTIONS(5448),
    [anon_sym_using] = ACTIONS(5448),
    [anon_sym_static_assert] = ACTIONS(5448),
  },
  [2364] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2365] = {
    [sym_identifier] = ACTIONS(3286),
    [aux_sym_preproc_def_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token1] = ACTIONS(3286),
    [aux_sym_preproc_if_token2] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3286),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3286),
    [aux_sym_preproc_else_token1] = ACTIONS(3286),
    [aux_sym_preproc_elif_token1] = ACTIONS(3286),
    [sym_preproc_directive] = ACTIONS(3286),
    [anon_sym_LPAREN2] = ACTIONS(3288),
    [anon_sym_TILDE] = ACTIONS(3288),
    [anon_sym_STAR] = ACTIONS(3288),
    [anon_sym_AMP_AMP] = ACTIONS(3288),
    [anon_sym_AMP] = ACTIONS(3286),
    [anon_sym___extension__] = ACTIONS(3286),
    [anon_sym_typedef] = ACTIONS(3286),
    [anon_sym_extern] = ACTIONS(3286),
    [anon_sym___attribute__] = ACTIONS(3286),
    [anon_sym_COLON_COLON] = ACTIONS(3288),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3288),
    [anon_sym___declspec] = ACTIONS(3286),
    [anon_sym___based] = ACTIONS(3286),
    [anon_sym_signed] = ACTIONS(3286),
    [anon_sym_unsigned] = ACTIONS(3286),
    [anon_sym_long] = ACTIONS(3286),
    [anon_sym_short] = ACTIONS(3286),
    [anon_sym_LBRACK] = ACTIONS(3286),
    [anon_sym_static] = ACTIONS(3286),
    [anon_sym_register] = ACTIONS(3286),
    [anon_sym_inline] = ACTIONS(3286),
    [anon_sym___inline] = ACTIONS(3286),
    [anon_sym___inline__] = ACTIONS(3286),
    [anon_sym___forceinline] = ACTIONS(3286),
    [anon_sym_thread_local] = ACTIONS(3286),
    [anon_sym___thread] = ACTIONS(3286),
    [anon_sym_const] = ACTIONS(3286),
    [anon_sym_constexpr] = ACTIONS(3286),
    [anon_sym_volatile] = ACTIONS(3286),
    [anon_sym_restrict] = ACTIONS(3286),
    [anon_sym___restrict__] = ACTIONS(3286),
    [anon_sym__Atomic] = ACTIONS(3286),
    [anon_sym__Noreturn] = ACTIONS(3286),
    [anon_sym_noreturn] = ACTIONS(3286),
    [anon_sym_mutable] = ACTIONS(3286),
    [anon_sym_constinit] = ACTIONS(3286),
    [anon_sym_consteval] = ACTIONS(3286),
    [sym_primitive_type] = ACTIONS(3286),
    [anon_sym_enum] = ACTIONS(3286),
    [anon_sym_class] = ACTIONS(3286),
    [anon_sym_struct] = ACTIONS(3286),
    [anon_sym_union] = ACTIONS(3286),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3286),
    [anon_sym_decltype] = ACTIONS(3286),
    [anon_sym_virtual] = ACTIONS(3286),
    [anon_sym_alignas] = ACTIONS(3286),
    [anon_sym_explicit] = ACTIONS(3286),
    [anon_sym_typename] = ACTIONS(3286),
    [anon_sym_template] = ACTIONS(3286),
    [anon_sym_operator] = ACTIONS(3286),
    [anon_sym_friend] = ACTIONS(3286),
    [anon_sym_public] = ACTIONS(3286),
    [anon_sym_private] = ACTIONS(3286),
    [anon_sym_protected] = ACTIONS(3286),
    [anon_sym_using] = ACTIONS(3286),
    [anon_sym_static_assert] = ACTIONS(3286),
  },
  [2366] = {
    [sym_identifier] = ACTIONS(5444),
    [aux_sym_preproc_def_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token1] = ACTIONS(5444),
    [aux_sym_preproc_if_token2] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5444),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5444),
    [aux_sym_preproc_else_token1] = ACTIONS(5444),
    [aux_sym_preproc_elif_token1] = ACTIONS(5444),
    [sym_preproc_directive] = ACTIONS(5444),
    [anon_sym_LPAREN2] = ACTIONS(5446),
    [anon_sym_TILDE] = ACTIONS(5446),
    [anon_sym_STAR] = ACTIONS(5446),
    [anon_sym_AMP_AMP] = ACTIONS(5446),
    [anon_sym_AMP] = ACTIONS(5444),
    [anon_sym___extension__] = ACTIONS(5444),
    [anon_sym_typedef] = ACTIONS(5444),
    [anon_sym_extern] = ACTIONS(5444),
    [anon_sym___attribute__] = ACTIONS(5444),
    [anon_sym_COLON_COLON] = ACTIONS(5446),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5446),
    [anon_sym___declspec] = ACTIONS(5444),
    [anon_sym___based] = ACTIONS(5444),
    [anon_sym_signed] = ACTIONS(5444),
    [anon_sym_unsigned] = ACTIONS(5444),
    [anon_sym_long] = ACTIONS(5444),
    [anon_sym_short] = ACTIONS(5444),
    [anon_sym_LBRACK] = ACTIONS(5444),
    [anon_sym_static] = ACTIONS(5444),
    [anon_sym_register] = ACTIONS(5444),
    [anon_sym_inline] = ACTIONS(5444),
    [anon_sym___inline] = ACTIONS(5444),
    [anon_sym___inline__] = ACTIONS(5444),
    [anon_sym___forceinline] = ACTIONS(5444),
    [anon_sym_thread_local] = ACTIONS(5444),
    [anon_sym___thread] = ACTIONS(5444),
    [anon_sym_const] = ACTIONS(5444),
    [anon_sym_constexpr] = ACTIONS(5444),
    [anon_sym_volatile] = ACTIONS(5444),
    [anon_sym_restrict] = ACTIONS(5444),
    [anon_sym___restrict__] = ACTIONS(5444),
    [anon_sym__Atomic] = ACTIONS(5444),
    [anon_sym__Noreturn] = ACTIONS(5444),
    [anon_sym_noreturn] = ACTIONS(5444),
    [anon_sym_mutable] = ACTIONS(5444),
    [anon_sym_constinit] = ACTIONS(5444),
    [anon_sym_consteval] = ACTIONS(5444),
    [sym_primitive_type] = ACTIONS(5444),
    [anon_sym_enum] = ACTIONS(5444),
    [anon_sym_class] = ACTIONS(5444),
    [anon_sym_struct] = ACTIONS(5444),
    [anon_sym_union] = ACTIONS(5444),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5444),
    [anon_sym_decltype] = ACTIONS(5444),
    [anon_sym_virtual] = ACTIONS(5444),
    [anon_sym_alignas] = ACTIONS(5444),
    [anon_sym_explicit] = ACTIONS(5444),
    [anon_sym_typename] = ACTIONS(5444),
    [anon_sym_template] = ACTIONS(5444),
    [anon_sym_operator] = ACTIONS(5444),
    [anon_sym_friend] = ACTIONS(5444),
    [anon_sym_public] = ACTIONS(5444),
    [anon_sym_private] = ACTIONS(5444),
    [anon_sym_protected] = ACTIONS(5444),
    [anon_sym_using] = ACTIONS(5444),
    [anon_sym_static_assert] = ACTIONS(5444),
  },
  [2367] = {
    [sym__declaration_modifiers] = STATE(4126),
    [sym_attribute_specifier] = STATE(4126),
    [sym_attribute_declaration] = STATE(4126),
    [sym_ms_declspec_modifier] = STATE(4126),
    [sym_storage_class_specifier] = STATE(4126),
    [sym_type_qualifier] = STATE(4126),
    [sym__type_specifier] = STATE(4586),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4126),
    [sym_alignas_specifier] = STATE(4126),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7074),
    [sym_qualified_type_identifier] = STATE(3579),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4126),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3635),
    [sym_identifier] = ACTIONS(3928),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(3936),
    [anon_sym_unsigned] = ACTIONS(3936),
    [anon_sym_long] = ACTIONS(3936),
    [anon_sym_short] = ACTIONS(3936),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3938),
    [anon_sym_enum] = ACTIONS(3940),
    [anon_sym_class] = ACTIONS(3942),
    [anon_sym_struct] = ACTIONS(3944),
    [anon_sym_union] = ACTIONS(3946),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3948),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2368] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(5348),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2369] = {
    [sym_identifier] = ACTIONS(3144),
    [aux_sym_preproc_def_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token1] = ACTIONS(3144),
    [aux_sym_preproc_if_token2] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3144),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3144),
    [aux_sym_preproc_else_token1] = ACTIONS(3144),
    [aux_sym_preproc_elif_token1] = ACTIONS(3144),
    [sym_preproc_directive] = ACTIONS(3144),
    [anon_sym_LPAREN2] = ACTIONS(3146),
    [anon_sym_TILDE] = ACTIONS(3146),
    [anon_sym_STAR] = ACTIONS(3146),
    [anon_sym_AMP_AMP] = ACTIONS(3146),
    [anon_sym_AMP] = ACTIONS(3144),
    [anon_sym___extension__] = ACTIONS(3144),
    [anon_sym_typedef] = ACTIONS(3144),
    [anon_sym_extern] = ACTIONS(3144),
    [anon_sym___attribute__] = ACTIONS(3144),
    [anon_sym_COLON_COLON] = ACTIONS(3146),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3146),
    [anon_sym___declspec] = ACTIONS(3144),
    [anon_sym___based] = ACTIONS(3144),
    [anon_sym_signed] = ACTIONS(3144),
    [anon_sym_unsigned] = ACTIONS(3144),
    [anon_sym_long] = ACTIONS(3144),
    [anon_sym_short] = ACTIONS(3144),
    [anon_sym_LBRACK] = ACTIONS(3144),
    [anon_sym_static] = ACTIONS(3144),
    [anon_sym_register] = ACTIONS(3144),
    [anon_sym_inline] = ACTIONS(3144),
    [anon_sym___inline] = ACTIONS(3144),
    [anon_sym___inline__] = ACTIONS(3144),
    [anon_sym___forceinline] = ACTIONS(3144),
    [anon_sym_thread_local] = ACTIONS(3144),
    [anon_sym___thread] = ACTIONS(3144),
    [anon_sym_const] = ACTIONS(3144),
    [anon_sym_constexpr] = ACTIONS(3144),
    [anon_sym_volatile] = ACTIONS(3144),
    [anon_sym_restrict] = ACTIONS(3144),
    [anon_sym___restrict__] = ACTIONS(3144),
    [anon_sym__Atomic] = ACTIONS(3144),
    [anon_sym__Noreturn] = ACTIONS(3144),
    [anon_sym_noreturn] = ACTIONS(3144),
    [anon_sym_mutable] = ACTIONS(3144),
    [anon_sym_constinit] = ACTIONS(3144),
    [anon_sym_consteval] = ACTIONS(3144),
    [sym_primitive_type] = ACTIONS(3144),
    [anon_sym_enum] = ACTIONS(3144),
    [anon_sym_class] = ACTIONS(3144),
    [anon_sym_struct] = ACTIONS(3144),
    [anon_sym_union] = ACTIONS(3144),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3144),
    [anon_sym_decltype] = ACTIONS(3144),
    [anon_sym_virtual] = ACTIONS(3144),
    [anon_sym_alignas] = ACTIONS(3144),
    [anon_sym_explicit] = ACTIONS(3144),
    [anon_sym_typename] = ACTIONS(3144),
    [anon_sym_template] = ACTIONS(3144),
    [anon_sym_operator] = ACTIONS(3144),
    [anon_sym_friend] = ACTIONS(3144),
    [anon_sym_public] = ACTIONS(3144),
    [anon_sym_private] = ACTIONS(3144),
    [anon_sym_protected] = ACTIONS(3144),
    [anon_sym_using] = ACTIONS(3144),
    [anon_sym_static_assert] = ACTIONS(3144),
  },
  [2370] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [anon_sym_COMMA] = ACTIONS(2879),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2879),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
  },
  [2371] = {
    [sym_identifier] = ACTIONS(3136),
    [aux_sym_preproc_def_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token1] = ACTIONS(3136),
    [aux_sym_preproc_if_token2] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3136),
    [aux_sym_preproc_else_token1] = ACTIONS(3136),
    [aux_sym_preproc_elif_token1] = ACTIONS(3136),
    [sym_preproc_directive] = ACTIONS(3136),
    [anon_sym_LPAREN2] = ACTIONS(3138),
    [anon_sym_TILDE] = ACTIONS(3138),
    [anon_sym_STAR] = ACTIONS(3138),
    [anon_sym_AMP_AMP] = ACTIONS(3138),
    [anon_sym_AMP] = ACTIONS(3136),
    [anon_sym___extension__] = ACTIONS(3136),
    [anon_sym_typedef] = ACTIONS(3136),
    [anon_sym_extern] = ACTIONS(3136),
    [anon_sym___attribute__] = ACTIONS(3136),
    [anon_sym_COLON_COLON] = ACTIONS(3138),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3138),
    [anon_sym___declspec] = ACTIONS(3136),
    [anon_sym___based] = ACTIONS(3136),
    [anon_sym_signed] = ACTIONS(3136),
    [anon_sym_unsigned] = ACTIONS(3136),
    [anon_sym_long] = ACTIONS(3136),
    [anon_sym_short] = ACTIONS(3136),
    [anon_sym_LBRACK] = ACTIONS(3136),
    [anon_sym_static] = ACTIONS(3136),
    [anon_sym_register] = ACTIONS(3136),
    [anon_sym_inline] = ACTIONS(3136),
    [anon_sym___inline] = ACTIONS(3136),
    [anon_sym___inline__] = ACTIONS(3136),
    [anon_sym___forceinline] = ACTIONS(3136),
    [anon_sym_thread_local] = ACTIONS(3136),
    [anon_sym___thread] = ACTIONS(3136),
    [anon_sym_const] = ACTIONS(3136),
    [anon_sym_constexpr] = ACTIONS(3136),
    [anon_sym_volatile] = ACTIONS(3136),
    [anon_sym_restrict] = ACTIONS(3136),
    [anon_sym___restrict__] = ACTIONS(3136),
    [anon_sym__Atomic] = ACTIONS(3136),
    [anon_sym__Noreturn] = ACTIONS(3136),
    [anon_sym_noreturn] = ACTIONS(3136),
    [anon_sym_mutable] = ACTIONS(3136),
    [anon_sym_constinit] = ACTIONS(3136),
    [anon_sym_consteval] = ACTIONS(3136),
    [sym_primitive_type] = ACTIONS(3136),
    [anon_sym_enum] = ACTIONS(3136),
    [anon_sym_class] = ACTIONS(3136),
    [anon_sym_struct] = ACTIONS(3136),
    [anon_sym_union] = ACTIONS(3136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3136),
    [anon_sym_decltype] = ACTIONS(3136),
    [anon_sym_virtual] = ACTIONS(3136),
    [anon_sym_alignas] = ACTIONS(3136),
    [anon_sym_explicit] = ACTIONS(3136),
    [anon_sym_typename] = ACTIONS(3136),
    [anon_sym_template] = ACTIONS(3136),
    [anon_sym_operator] = ACTIONS(3136),
    [anon_sym_friend] = ACTIONS(3136),
    [anon_sym_public] = ACTIONS(3136),
    [anon_sym_private] = ACTIONS(3136),
    [anon_sym_protected] = ACTIONS(3136),
    [anon_sym_using] = ACTIONS(3136),
    [anon_sym_static_assert] = ACTIONS(3136),
  },
  [2372] = {
    [sym_identifier] = ACTIONS(5488),
    [aux_sym_preproc_def_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token1] = ACTIONS(5488),
    [aux_sym_preproc_if_token2] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5488),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5488),
    [aux_sym_preproc_else_token1] = ACTIONS(5488),
    [aux_sym_preproc_elif_token1] = ACTIONS(5488),
    [sym_preproc_directive] = ACTIONS(5488),
    [anon_sym_LPAREN2] = ACTIONS(5490),
    [anon_sym_TILDE] = ACTIONS(5490),
    [anon_sym_STAR] = ACTIONS(5490),
    [anon_sym_AMP_AMP] = ACTIONS(5490),
    [anon_sym_AMP] = ACTIONS(5488),
    [anon_sym___extension__] = ACTIONS(5488),
    [anon_sym_typedef] = ACTIONS(5488),
    [anon_sym_extern] = ACTIONS(5488),
    [anon_sym___attribute__] = ACTIONS(5488),
    [anon_sym_COLON_COLON] = ACTIONS(5490),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5490),
    [anon_sym___declspec] = ACTIONS(5488),
    [anon_sym___based] = ACTIONS(5488),
    [anon_sym_signed] = ACTIONS(5488),
    [anon_sym_unsigned] = ACTIONS(5488),
    [anon_sym_long] = ACTIONS(5488),
    [anon_sym_short] = ACTIONS(5488),
    [anon_sym_LBRACK] = ACTIONS(5488),
    [anon_sym_static] = ACTIONS(5488),
    [anon_sym_register] = ACTIONS(5488),
    [anon_sym_inline] = ACTIONS(5488),
    [anon_sym___inline] = ACTIONS(5488),
    [anon_sym___inline__] = ACTIONS(5488),
    [anon_sym___forceinline] = ACTIONS(5488),
    [anon_sym_thread_local] = ACTIONS(5488),
    [anon_sym___thread] = ACTIONS(5488),
    [anon_sym_const] = ACTIONS(5488),
    [anon_sym_constexpr] = ACTIONS(5488),
    [anon_sym_volatile] = ACTIONS(5488),
    [anon_sym_restrict] = ACTIONS(5488),
    [anon_sym___restrict__] = ACTIONS(5488),
    [anon_sym__Atomic] = ACTIONS(5488),
    [anon_sym__Noreturn] = ACTIONS(5488),
    [anon_sym_noreturn] = ACTIONS(5488),
    [anon_sym_mutable] = ACTIONS(5488),
    [anon_sym_constinit] = ACTIONS(5488),
    [anon_sym_consteval] = ACTIONS(5488),
    [sym_primitive_type] = ACTIONS(5488),
    [anon_sym_enum] = ACTIONS(5488),
    [anon_sym_class] = ACTIONS(5488),
    [anon_sym_struct] = ACTIONS(5488),
    [anon_sym_union] = ACTIONS(5488),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5488),
    [anon_sym_decltype] = ACTIONS(5488),
    [anon_sym_virtual] = ACTIONS(5488),
    [anon_sym_alignas] = ACTIONS(5488),
    [anon_sym_explicit] = ACTIONS(5488),
    [anon_sym_typename] = ACTIONS(5488),
    [anon_sym_template] = ACTIONS(5488),
    [anon_sym_operator] = ACTIONS(5488),
    [anon_sym_friend] = ACTIONS(5488),
    [anon_sym_public] = ACTIONS(5488),
    [anon_sym_private] = ACTIONS(5488),
    [anon_sym_protected] = ACTIONS(5488),
    [anon_sym_using] = ACTIONS(5488),
    [anon_sym_static_assert] = ACTIONS(5488),
  },
  [2373] = {
    [sym_identifier] = ACTIONS(3261),
    [aux_sym_preproc_def_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token1] = ACTIONS(3261),
    [aux_sym_preproc_if_token2] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3261),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3261),
    [aux_sym_preproc_else_token1] = ACTIONS(3261),
    [aux_sym_preproc_elif_token1] = ACTIONS(3261),
    [sym_preproc_directive] = ACTIONS(3261),
    [anon_sym_LPAREN2] = ACTIONS(3263),
    [anon_sym_TILDE] = ACTIONS(3263),
    [anon_sym_STAR] = ACTIONS(3263),
    [anon_sym_AMP_AMP] = ACTIONS(3263),
    [anon_sym_AMP] = ACTIONS(3261),
    [anon_sym___extension__] = ACTIONS(3261),
    [anon_sym_typedef] = ACTIONS(3261),
    [anon_sym_extern] = ACTIONS(3261),
    [anon_sym___attribute__] = ACTIONS(3261),
    [anon_sym_COLON_COLON] = ACTIONS(3263),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3263),
    [anon_sym___declspec] = ACTIONS(3261),
    [anon_sym___based] = ACTIONS(3261),
    [anon_sym_signed] = ACTIONS(3261),
    [anon_sym_unsigned] = ACTIONS(3261),
    [anon_sym_long] = ACTIONS(3261),
    [anon_sym_short] = ACTIONS(3261),
    [anon_sym_LBRACK] = ACTIONS(3261),
    [anon_sym_static] = ACTIONS(3261),
    [anon_sym_register] = ACTIONS(3261),
    [anon_sym_inline] = ACTIONS(3261),
    [anon_sym___inline] = ACTIONS(3261),
    [anon_sym___inline__] = ACTIONS(3261),
    [anon_sym___forceinline] = ACTIONS(3261),
    [anon_sym_thread_local] = ACTIONS(3261),
    [anon_sym___thread] = ACTIONS(3261),
    [anon_sym_const] = ACTIONS(3261),
    [anon_sym_constexpr] = ACTIONS(3261),
    [anon_sym_volatile] = ACTIONS(3261),
    [anon_sym_restrict] = ACTIONS(3261),
    [anon_sym___restrict__] = ACTIONS(3261),
    [anon_sym__Atomic] = ACTIONS(3261),
    [anon_sym__Noreturn] = ACTIONS(3261),
    [anon_sym_noreturn] = ACTIONS(3261),
    [anon_sym_mutable] = ACTIONS(3261),
    [anon_sym_constinit] = ACTIONS(3261),
    [anon_sym_consteval] = ACTIONS(3261),
    [sym_primitive_type] = ACTIONS(3261),
    [anon_sym_enum] = ACTIONS(3261),
    [anon_sym_class] = ACTIONS(3261),
    [anon_sym_struct] = ACTIONS(3261),
    [anon_sym_union] = ACTIONS(3261),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3261),
    [anon_sym_decltype] = ACTIONS(3261),
    [anon_sym_virtual] = ACTIONS(3261),
    [anon_sym_alignas] = ACTIONS(3261),
    [anon_sym_explicit] = ACTIONS(3261),
    [anon_sym_typename] = ACTIONS(3261),
    [anon_sym_template] = ACTIONS(3261),
    [anon_sym_operator] = ACTIONS(3261),
    [anon_sym_friend] = ACTIONS(3261),
    [anon_sym_public] = ACTIONS(3261),
    [anon_sym_private] = ACTIONS(3261),
    [anon_sym_protected] = ACTIONS(3261),
    [anon_sym_using] = ACTIONS(3261),
    [anon_sym_static_assert] = ACTIONS(3261),
  },
  [2374] = {
    [sym_identifier] = ACTIONS(3294),
    [aux_sym_preproc_def_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token1] = ACTIONS(3294),
    [aux_sym_preproc_if_token2] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3294),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3294),
    [aux_sym_preproc_else_token1] = ACTIONS(3294),
    [aux_sym_preproc_elif_token1] = ACTIONS(3294),
    [sym_preproc_directive] = ACTIONS(3294),
    [anon_sym_LPAREN2] = ACTIONS(3296),
    [anon_sym_TILDE] = ACTIONS(3296),
    [anon_sym_STAR] = ACTIONS(3296),
    [anon_sym_AMP_AMP] = ACTIONS(3296),
    [anon_sym_AMP] = ACTIONS(3294),
    [anon_sym___extension__] = ACTIONS(3294),
    [anon_sym_typedef] = ACTIONS(3294),
    [anon_sym_extern] = ACTIONS(3294),
    [anon_sym___attribute__] = ACTIONS(3294),
    [anon_sym_COLON_COLON] = ACTIONS(3296),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3296),
    [anon_sym___declspec] = ACTIONS(3294),
    [anon_sym___based] = ACTIONS(3294),
    [anon_sym_signed] = ACTIONS(3294),
    [anon_sym_unsigned] = ACTIONS(3294),
    [anon_sym_long] = ACTIONS(3294),
    [anon_sym_short] = ACTIONS(3294),
    [anon_sym_LBRACK] = ACTIONS(3294),
    [anon_sym_static] = ACTIONS(3294),
    [anon_sym_register] = ACTIONS(3294),
    [anon_sym_inline] = ACTIONS(3294),
    [anon_sym___inline] = ACTIONS(3294),
    [anon_sym___inline__] = ACTIONS(3294),
    [anon_sym___forceinline] = ACTIONS(3294),
    [anon_sym_thread_local] = ACTIONS(3294),
    [anon_sym___thread] = ACTIONS(3294),
    [anon_sym_const] = ACTIONS(3294),
    [anon_sym_constexpr] = ACTIONS(3294),
    [anon_sym_volatile] = ACTIONS(3294),
    [anon_sym_restrict] = ACTIONS(3294),
    [anon_sym___restrict__] = ACTIONS(3294),
    [anon_sym__Atomic] = ACTIONS(3294),
    [anon_sym__Noreturn] = ACTIONS(3294),
    [anon_sym_noreturn] = ACTIONS(3294),
    [anon_sym_mutable] = ACTIONS(3294),
    [anon_sym_constinit] = ACTIONS(3294),
    [anon_sym_consteval] = ACTIONS(3294),
    [sym_primitive_type] = ACTIONS(3294),
    [anon_sym_enum] = ACTIONS(3294),
    [anon_sym_class] = ACTIONS(3294),
    [anon_sym_struct] = ACTIONS(3294),
    [anon_sym_union] = ACTIONS(3294),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3294),
    [anon_sym_decltype] = ACTIONS(3294),
    [anon_sym_virtual] = ACTIONS(3294),
    [anon_sym_alignas] = ACTIONS(3294),
    [anon_sym_explicit] = ACTIONS(3294),
    [anon_sym_typename] = ACTIONS(3294),
    [anon_sym_template] = ACTIONS(3294),
    [anon_sym_operator] = ACTIONS(3294),
    [anon_sym_friend] = ACTIONS(3294),
    [anon_sym_public] = ACTIONS(3294),
    [anon_sym_private] = ACTIONS(3294),
    [anon_sym_protected] = ACTIONS(3294),
    [anon_sym_using] = ACTIONS(3294),
    [anon_sym_static_assert] = ACTIONS(3294),
  },
  [2375] = {
    [sym_identifier] = ACTIONS(3241),
    [aux_sym_preproc_def_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token1] = ACTIONS(3241),
    [aux_sym_preproc_if_token2] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3241),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3241),
    [aux_sym_preproc_else_token1] = ACTIONS(3241),
    [aux_sym_preproc_elif_token1] = ACTIONS(3241),
    [sym_preproc_directive] = ACTIONS(3241),
    [anon_sym_LPAREN2] = ACTIONS(3243),
    [anon_sym_TILDE] = ACTIONS(3243),
    [anon_sym_STAR] = ACTIONS(3243),
    [anon_sym_AMP_AMP] = ACTIONS(3243),
    [anon_sym_AMP] = ACTIONS(3241),
    [anon_sym___extension__] = ACTIONS(3241),
    [anon_sym_typedef] = ACTIONS(3241),
    [anon_sym_extern] = ACTIONS(3241),
    [anon_sym___attribute__] = ACTIONS(3241),
    [anon_sym_COLON_COLON] = ACTIONS(3243),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3243),
    [anon_sym___declspec] = ACTIONS(3241),
    [anon_sym___based] = ACTIONS(3241),
    [anon_sym_signed] = ACTIONS(3241),
    [anon_sym_unsigned] = ACTIONS(3241),
    [anon_sym_long] = ACTIONS(3241),
    [anon_sym_short] = ACTIONS(3241),
    [anon_sym_LBRACK] = ACTIONS(3241),
    [anon_sym_static] = ACTIONS(3241),
    [anon_sym_register] = ACTIONS(3241),
    [anon_sym_inline] = ACTIONS(3241),
    [anon_sym___inline] = ACTIONS(3241),
    [anon_sym___inline__] = ACTIONS(3241),
    [anon_sym___forceinline] = ACTIONS(3241),
    [anon_sym_thread_local] = ACTIONS(3241),
    [anon_sym___thread] = ACTIONS(3241),
    [anon_sym_const] = ACTIONS(3241),
    [anon_sym_constexpr] = ACTIONS(3241),
    [anon_sym_volatile] = ACTIONS(3241),
    [anon_sym_restrict] = ACTIONS(3241),
    [anon_sym___restrict__] = ACTIONS(3241),
    [anon_sym__Atomic] = ACTIONS(3241),
    [anon_sym__Noreturn] = ACTIONS(3241),
    [anon_sym_noreturn] = ACTIONS(3241),
    [anon_sym_mutable] = ACTIONS(3241),
    [anon_sym_constinit] = ACTIONS(3241),
    [anon_sym_consteval] = ACTIONS(3241),
    [sym_primitive_type] = ACTIONS(3241),
    [anon_sym_enum] = ACTIONS(3241),
    [anon_sym_class] = ACTIONS(3241),
    [anon_sym_struct] = ACTIONS(3241),
    [anon_sym_union] = ACTIONS(3241),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3241),
    [anon_sym_decltype] = ACTIONS(3241),
    [anon_sym_virtual] = ACTIONS(3241),
    [anon_sym_alignas] = ACTIONS(3241),
    [anon_sym_explicit] = ACTIONS(3241),
    [anon_sym_typename] = ACTIONS(3241),
    [anon_sym_template] = ACTIONS(3241),
    [anon_sym_operator] = ACTIONS(3241),
    [anon_sym_friend] = ACTIONS(3241),
    [anon_sym_public] = ACTIONS(3241),
    [anon_sym_private] = ACTIONS(3241),
    [anon_sym_protected] = ACTIONS(3241),
    [anon_sym_using] = ACTIONS(3241),
    [anon_sym_static_assert] = ACTIONS(3241),
  },
  [2376] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2024),
    [sym_identifier] = ACTIONS(5282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5763),
    [anon_sym_COMMA] = ACTIONS(5763),
    [anon_sym_RPAREN] = ACTIONS(5763),
    [anon_sym_LPAREN2] = ACTIONS(5763),
    [anon_sym_DASH] = ACTIONS(5766),
    [anon_sym_PLUS] = ACTIONS(5766),
    [anon_sym_STAR] = ACTIONS(5766),
    [anon_sym_SLASH] = ACTIONS(5766),
    [anon_sym_PERCENT] = ACTIONS(5766),
    [anon_sym_PIPE_PIPE] = ACTIONS(5763),
    [anon_sym_AMP_AMP] = ACTIONS(5763),
    [anon_sym_PIPE] = ACTIONS(5766),
    [anon_sym_CARET] = ACTIONS(5766),
    [anon_sym_AMP] = ACTIONS(5766),
    [anon_sym_EQ_EQ] = ACTIONS(5763),
    [anon_sym_BANG_EQ] = ACTIONS(5763),
    [anon_sym_GT] = ACTIONS(5766),
    [anon_sym_GT_EQ] = ACTIONS(5763),
    [anon_sym_LT_EQ] = ACTIONS(5766),
    [anon_sym_LT] = ACTIONS(5766),
    [anon_sym_LT_LT] = ACTIONS(5766),
    [anon_sym_GT_GT] = ACTIONS(5766),
    [anon_sym_SEMI] = ACTIONS(5763),
    [anon_sym___attribute__] = ACTIONS(5766),
    [anon_sym_LBRACE] = ACTIONS(5763),
    [anon_sym_RBRACE] = ACTIONS(5763),
    [anon_sym_signed] = ACTIONS(5301),
    [anon_sym_unsigned] = ACTIONS(5301),
    [anon_sym_long] = ACTIONS(5301),
    [anon_sym_short] = ACTIONS(5301),
    [anon_sym_LBRACK] = ACTIONS(5763),
    [anon_sym_RBRACK] = ACTIONS(5763),
    [anon_sym_EQ] = ACTIONS(5766),
    [sym_primitive_type] = ACTIONS(5282),
    [anon_sym_COLON] = ACTIONS(5763),
    [anon_sym_QMARK] = ACTIONS(5763),
    [anon_sym_STAR_EQ] = ACTIONS(5763),
    [anon_sym_SLASH_EQ] = ACTIONS(5763),
    [anon_sym_PERCENT_EQ] = ACTIONS(5763),
    [anon_sym_PLUS_EQ] = ACTIONS(5763),
    [anon_sym_DASH_EQ] = ACTIONS(5763),
    [anon_sym_LT_LT_EQ] = ACTIONS(5763),
    [anon_sym_GT_GT_EQ] = ACTIONS(5763),
    [anon_sym_AMP_EQ] = ACTIONS(5763),
    [anon_sym_CARET_EQ] = ACTIONS(5763),
    [anon_sym_PIPE_EQ] = ACTIONS(5763),
    [anon_sym_and_eq] = ACTIONS(5766),
    [anon_sym_or_eq] = ACTIONS(5766),
    [anon_sym_xor_eq] = ACTIONS(5766),
    [anon_sym_LT_EQ_GT] = ACTIONS(5763),
    [anon_sym_or] = ACTIONS(5766),
    [anon_sym_and] = ACTIONS(5766),
    [anon_sym_bitor] = ACTIONS(5766),
    [anon_sym_xor] = ACTIONS(5766),
    [anon_sym_bitand] = ACTIONS(5766),
    [anon_sym_not_eq] = ACTIONS(5766),
    [anon_sym_DASH_DASH] = ACTIONS(5763),
    [anon_sym_PLUS_PLUS] = ACTIONS(5763),
    [anon_sym_DOT] = ACTIONS(5766),
    [anon_sym_DOT_STAR] = ACTIONS(5763),
    [anon_sym_DASH_GT] = ACTIONS(5763),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5766),
    [anon_sym_decltype] = ACTIONS(5766),
  },
  [2377] = {
    [sym_identifier] = ACTIONS(5460),
    [aux_sym_preproc_def_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token1] = ACTIONS(5460),
    [aux_sym_preproc_if_token2] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5460),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5460),
    [aux_sym_preproc_else_token1] = ACTIONS(5460),
    [aux_sym_preproc_elif_token1] = ACTIONS(5460),
    [sym_preproc_directive] = ACTIONS(5460),
    [anon_sym_LPAREN2] = ACTIONS(5462),
    [anon_sym_TILDE] = ACTIONS(5462),
    [anon_sym_STAR] = ACTIONS(5462),
    [anon_sym_AMP_AMP] = ACTIONS(5462),
    [anon_sym_AMP] = ACTIONS(5460),
    [anon_sym___extension__] = ACTIONS(5460),
    [anon_sym_typedef] = ACTIONS(5460),
    [anon_sym_extern] = ACTIONS(5460),
    [anon_sym___attribute__] = ACTIONS(5460),
    [anon_sym_COLON_COLON] = ACTIONS(5462),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5462),
    [anon_sym___declspec] = ACTIONS(5460),
    [anon_sym___based] = ACTIONS(5460),
    [anon_sym_signed] = ACTIONS(5460),
    [anon_sym_unsigned] = ACTIONS(5460),
    [anon_sym_long] = ACTIONS(5460),
    [anon_sym_short] = ACTIONS(5460),
    [anon_sym_LBRACK] = ACTIONS(5460),
    [anon_sym_static] = ACTIONS(5460),
    [anon_sym_register] = ACTIONS(5460),
    [anon_sym_inline] = ACTIONS(5460),
    [anon_sym___inline] = ACTIONS(5460),
    [anon_sym___inline__] = ACTIONS(5460),
    [anon_sym___forceinline] = ACTIONS(5460),
    [anon_sym_thread_local] = ACTIONS(5460),
    [anon_sym___thread] = ACTIONS(5460),
    [anon_sym_const] = ACTIONS(5460),
    [anon_sym_constexpr] = ACTIONS(5460),
    [anon_sym_volatile] = ACTIONS(5460),
    [anon_sym_restrict] = ACTIONS(5460),
    [anon_sym___restrict__] = ACTIONS(5460),
    [anon_sym__Atomic] = ACTIONS(5460),
    [anon_sym__Noreturn] = ACTIONS(5460),
    [anon_sym_noreturn] = ACTIONS(5460),
    [anon_sym_mutable] = ACTIONS(5460),
    [anon_sym_constinit] = ACTIONS(5460),
    [anon_sym_consteval] = ACTIONS(5460),
    [sym_primitive_type] = ACTIONS(5460),
    [anon_sym_enum] = ACTIONS(5460),
    [anon_sym_class] = ACTIONS(5460),
    [anon_sym_struct] = ACTIONS(5460),
    [anon_sym_union] = ACTIONS(5460),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5460),
    [anon_sym_decltype] = ACTIONS(5460),
    [anon_sym_virtual] = ACTIONS(5460),
    [anon_sym_alignas] = ACTIONS(5460),
    [anon_sym_explicit] = ACTIONS(5460),
    [anon_sym_typename] = ACTIONS(5460),
    [anon_sym_template] = ACTIONS(5460),
    [anon_sym_operator] = ACTIONS(5460),
    [anon_sym_friend] = ACTIONS(5460),
    [anon_sym_public] = ACTIONS(5460),
    [anon_sym_private] = ACTIONS(5460),
    [anon_sym_protected] = ACTIONS(5460),
    [anon_sym_using] = ACTIONS(5460),
    [anon_sym_static_assert] = ACTIONS(5460),
  },
  [2378] = {
    [sym_identifier] = ACTIONS(5401),
    [aux_sym_preproc_def_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token2] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5401),
    [aux_sym_preproc_else_token1] = ACTIONS(5401),
    [aux_sym_preproc_elif_token1] = ACTIONS(5401),
    [sym_preproc_directive] = ACTIONS(5401),
    [anon_sym_LPAREN2] = ACTIONS(5403),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5401),
    [anon_sym_typedef] = ACTIONS(5401),
    [anon_sym_extern] = ACTIONS(5401),
    [anon_sym___attribute__] = ACTIONS(5401),
    [anon_sym_COLON_COLON] = ACTIONS(5403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5401),
    [anon_sym___based] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5401),
    [anon_sym_unsigned] = ACTIONS(5401),
    [anon_sym_long] = ACTIONS(5401),
    [anon_sym_short] = ACTIONS(5401),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym_static] = ACTIONS(5401),
    [anon_sym_register] = ACTIONS(5401),
    [anon_sym_inline] = ACTIONS(5401),
    [anon_sym___inline] = ACTIONS(5401),
    [anon_sym___inline__] = ACTIONS(5401),
    [anon_sym___forceinline] = ACTIONS(5401),
    [anon_sym_thread_local] = ACTIONS(5401),
    [anon_sym___thread] = ACTIONS(5401),
    [anon_sym_const] = ACTIONS(5401),
    [anon_sym_constexpr] = ACTIONS(5401),
    [anon_sym_volatile] = ACTIONS(5401),
    [anon_sym_restrict] = ACTIONS(5401),
    [anon_sym___restrict__] = ACTIONS(5401),
    [anon_sym__Atomic] = ACTIONS(5401),
    [anon_sym__Noreturn] = ACTIONS(5401),
    [anon_sym_noreturn] = ACTIONS(5401),
    [anon_sym_mutable] = ACTIONS(5401),
    [anon_sym_constinit] = ACTIONS(5401),
    [anon_sym_consteval] = ACTIONS(5401),
    [sym_primitive_type] = ACTIONS(5401),
    [anon_sym_enum] = ACTIONS(5401),
    [anon_sym_class] = ACTIONS(5401),
    [anon_sym_struct] = ACTIONS(5401),
    [anon_sym_union] = ACTIONS(5401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5401),
    [anon_sym_decltype] = ACTIONS(5401),
    [anon_sym_virtual] = ACTIONS(5401),
    [anon_sym_alignas] = ACTIONS(5401),
    [anon_sym_explicit] = ACTIONS(5401),
    [anon_sym_typename] = ACTIONS(5401),
    [anon_sym_template] = ACTIONS(5401),
    [anon_sym_operator] = ACTIONS(5401),
    [anon_sym_friend] = ACTIONS(5401),
    [anon_sym_public] = ACTIONS(5401),
    [anon_sym_private] = ACTIONS(5401),
    [anon_sym_protected] = ACTIONS(5401),
    [anon_sym_using] = ACTIONS(5401),
    [anon_sym_static_assert] = ACTIONS(5401),
  },
  [2379] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2380] = {
    [sym_identifier] = ACTIONS(5500),
    [aux_sym_preproc_def_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token1] = ACTIONS(5500),
    [aux_sym_preproc_if_token2] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5500),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5500),
    [aux_sym_preproc_else_token1] = ACTIONS(5500),
    [aux_sym_preproc_elif_token1] = ACTIONS(5500),
    [sym_preproc_directive] = ACTIONS(5500),
    [anon_sym_LPAREN2] = ACTIONS(5502),
    [anon_sym_TILDE] = ACTIONS(5502),
    [anon_sym_STAR] = ACTIONS(5502),
    [anon_sym_AMP_AMP] = ACTIONS(5502),
    [anon_sym_AMP] = ACTIONS(5500),
    [anon_sym___extension__] = ACTIONS(5500),
    [anon_sym_typedef] = ACTIONS(5500),
    [anon_sym_extern] = ACTIONS(5500),
    [anon_sym___attribute__] = ACTIONS(5500),
    [anon_sym_COLON_COLON] = ACTIONS(5502),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5502),
    [anon_sym___declspec] = ACTIONS(5500),
    [anon_sym___based] = ACTIONS(5500),
    [anon_sym_signed] = ACTIONS(5500),
    [anon_sym_unsigned] = ACTIONS(5500),
    [anon_sym_long] = ACTIONS(5500),
    [anon_sym_short] = ACTIONS(5500),
    [anon_sym_LBRACK] = ACTIONS(5500),
    [anon_sym_static] = ACTIONS(5500),
    [anon_sym_register] = ACTIONS(5500),
    [anon_sym_inline] = ACTIONS(5500),
    [anon_sym___inline] = ACTIONS(5500),
    [anon_sym___inline__] = ACTIONS(5500),
    [anon_sym___forceinline] = ACTIONS(5500),
    [anon_sym_thread_local] = ACTIONS(5500),
    [anon_sym___thread] = ACTIONS(5500),
    [anon_sym_const] = ACTIONS(5500),
    [anon_sym_constexpr] = ACTIONS(5500),
    [anon_sym_volatile] = ACTIONS(5500),
    [anon_sym_restrict] = ACTIONS(5500),
    [anon_sym___restrict__] = ACTIONS(5500),
    [anon_sym__Atomic] = ACTIONS(5500),
    [anon_sym__Noreturn] = ACTIONS(5500),
    [anon_sym_noreturn] = ACTIONS(5500),
    [anon_sym_mutable] = ACTIONS(5500),
    [anon_sym_constinit] = ACTIONS(5500),
    [anon_sym_consteval] = ACTIONS(5500),
    [sym_primitive_type] = ACTIONS(5500),
    [anon_sym_enum] = ACTIONS(5500),
    [anon_sym_class] = ACTIONS(5500),
    [anon_sym_struct] = ACTIONS(5500),
    [anon_sym_union] = ACTIONS(5500),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5500),
    [anon_sym_decltype] = ACTIONS(5500),
    [anon_sym_virtual] = ACTIONS(5500),
    [anon_sym_alignas] = ACTIONS(5500),
    [anon_sym_explicit] = ACTIONS(5500),
    [anon_sym_typename] = ACTIONS(5500),
    [anon_sym_template] = ACTIONS(5500),
    [anon_sym_operator] = ACTIONS(5500),
    [anon_sym_friend] = ACTIONS(5500),
    [anon_sym_public] = ACTIONS(5500),
    [anon_sym_private] = ACTIONS(5500),
    [anon_sym_protected] = ACTIONS(5500),
    [anon_sym_using] = ACTIONS(5500),
    [anon_sym_static_assert] = ACTIONS(5500),
  },
  [2381] = {
    [sym_identifier] = ACTIONS(5401),
    [aux_sym_preproc_def_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token1] = ACTIONS(5401),
    [aux_sym_preproc_if_token2] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5401),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5401),
    [aux_sym_preproc_else_token1] = ACTIONS(5401),
    [aux_sym_preproc_elif_token1] = ACTIONS(5401),
    [sym_preproc_directive] = ACTIONS(5401),
    [anon_sym_LPAREN2] = ACTIONS(5403),
    [anon_sym_TILDE] = ACTIONS(5403),
    [anon_sym_STAR] = ACTIONS(5403),
    [anon_sym_AMP_AMP] = ACTIONS(5403),
    [anon_sym_AMP] = ACTIONS(5401),
    [anon_sym___extension__] = ACTIONS(5401),
    [anon_sym_typedef] = ACTIONS(5401),
    [anon_sym_extern] = ACTIONS(5401),
    [anon_sym___attribute__] = ACTIONS(5401),
    [anon_sym_COLON_COLON] = ACTIONS(5403),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5403),
    [anon_sym___declspec] = ACTIONS(5401),
    [anon_sym___based] = ACTIONS(5401),
    [anon_sym_signed] = ACTIONS(5401),
    [anon_sym_unsigned] = ACTIONS(5401),
    [anon_sym_long] = ACTIONS(5401),
    [anon_sym_short] = ACTIONS(5401),
    [anon_sym_LBRACK] = ACTIONS(5401),
    [anon_sym_static] = ACTIONS(5401),
    [anon_sym_register] = ACTIONS(5401),
    [anon_sym_inline] = ACTIONS(5401),
    [anon_sym___inline] = ACTIONS(5401),
    [anon_sym___inline__] = ACTIONS(5401),
    [anon_sym___forceinline] = ACTIONS(5401),
    [anon_sym_thread_local] = ACTIONS(5401),
    [anon_sym___thread] = ACTIONS(5401),
    [anon_sym_const] = ACTIONS(5401),
    [anon_sym_constexpr] = ACTIONS(5401),
    [anon_sym_volatile] = ACTIONS(5401),
    [anon_sym_restrict] = ACTIONS(5401),
    [anon_sym___restrict__] = ACTIONS(5401),
    [anon_sym__Atomic] = ACTIONS(5401),
    [anon_sym__Noreturn] = ACTIONS(5401),
    [anon_sym_noreturn] = ACTIONS(5401),
    [anon_sym_mutable] = ACTIONS(5401),
    [anon_sym_constinit] = ACTIONS(5401),
    [anon_sym_consteval] = ACTIONS(5401),
    [sym_primitive_type] = ACTIONS(5401),
    [anon_sym_enum] = ACTIONS(5401),
    [anon_sym_class] = ACTIONS(5401),
    [anon_sym_struct] = ACTIONS(5401),
    [anon_sym_union] = ACTIONS(5401),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5401),
    [anon_sym_decltype] = ACTIONS(5401),
    [anon_sym_virtual] = ACTIONS(5401),
    [anon_sym_alignas] = ACTIONS(5401),
    [anon_sym_explicit] = ACTIONS(5401),
    [anon_sym_typename] = ACTIONS(5401),
    [anon_sym_template] = ACTIONS(5401),
    [anon_sym_operator] = ACTIONS(5401),
    [anon_sym_friend] = ACTIONS(5401),
    [anon_sym_public] = ACTIONS(5401),
    [anon_sym_private] = ACTIONS(5401),
    [anon_sym_protected] = ACTIONS(5401),
    [anon_sym_using] = ACTIONS(5401),
    [anon_sym_static_assert] = ACTIONS(5401),
  },
  [2382] = {
    [sym_identifier] = ACTIONS(3168),
    [aux_sym_preproc_def_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token1] = ACTIONS(3168),
    [aux_sym_preproc_if_token2] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3168),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3168),
    [aux_sym_preproc_else_token1] = ACTIONS(3168),
    [aux_sym_preproc_elif_token1] = ACTIONS(3168),
    [sym_preproc_directive] = ACTIONS(3168),
    [anon_sym_LPAREN2] = ACTIONS(3170),
    [anon_sym_TILDE] = ACTIONS(3170),
    [anon_sym_STAR] = ACTIONS(3170),
    [anon_sym_AMP_AMP] = ACTIONS(3170),
    [anon_sym_AMP] = ACTIONS(3168),
    [anon_sym___extension__] = ACTIONS(3168),
    [anon_sym_typedef] = ACTIONS(3168),
    [anon_sym_extern] = ACTIONS(3168),
    [anon_sym___attribute__] = ACTIONS(3168),
    [anon_sym_COLON_COLON] = ACTIONS(3170),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3170),
    [anon_sym___declspec] = ACTIONS(3168),
    [anon_sym___based] = ACTIONS(3168),
    [anon_sym_signed] = ACTIONS(3168),
    [anon_sym_unsigned] = ACTIONS(3168),
    [anon_sym_long] = ACTIONS(3168),
    [anon_sym_short] = ACTIONS(3168),
    [anon_sym_LBRACK] = ACTIONS(3168),
    [anon_sym_static] = ACTIONS(3168),
    [anon_sym_register] = ACTIONS(3168),
    [anon_sym_inline] = ACTIONS(3168),
    [anon_sym___inline] = ACTIONS(3168),
    [anon_sym___inline__] = ACTIONS(3168),
    [anon_sym___forceinline] = ACTIONS(3168),
    [anon_sym_thread_local] = ACTIONS(3168),
    [anon_sym___thread] = ACTIONS(3168),
    [anon_sym_const] = ACTIONS(3168),
    [anon_sym_constexpr] = ACTIONS(3168),
    [anon_sym_volatile] = ACTIONS(3168),
    [anon_sym_restrict] = ACTIONS(3168),
    [anon_sym___restrict__] = ACTIONS(3168),
    [anon_sym__Atomic] = ACTIONS(3168),
    [anon_sym__Noreturn] = ACTIONS(3168),
    [anon_sym_noreturn] = ACTIONS(3168),
    [anon_sym_mutable] = ACTIONS(3168),
    [anon_sym_constinit] = ACTIONS(3168),
    [anon_sym_consteval] = ACTIONS(3168),
    [sym_primitive_type] = ACTIONS(3168),
    [anon_sym_enum] = ACTIONS(3168),
    [anon_sym_class] = ACTIONS(3168),
    [anon_sym_struct] = ACTIONS(3168),
    [anon_sym_union] = ACTIONS(3168),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3168),
    [anon_sym_decltype] = ACTIONS(3168),
    [anon_sym_virtual] = ACTIONS(3168),
    [anon_sym_alignas] = ACTIONS(3168),
    [anon_sym_explicit] = ACTIONS(3168),
    [anon_sym_typename] = ACTIONS(3168),
    [anon_sym_template] = ACTIONS(3168),
    [anon_sym_operator] = ACTIONS(3168),
    [anon_sym_friend] = ACTIONS(3168),
    [anon_sym_public] = ACTIONS(3168),
    [anon_sym_private] = ACTIONS(3168),
    [anon_sym_protected] = ACTIONS(3168),
    [anon_sym_using] = ACTIONS(3168),
    [anon_sym_static_assert] = ACTIONS(3168),
  },
  [2383] = {
    [sym_identifier] = ACTIONS(5496),
    [aux_sym_preproc_def_token1] = ACTIONS(5496),
    [aux_sym_preproc_if_token1] = ACTIONS(5496),
    [aux_sym_preproc_if_token2] = ACTIONS(5496),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5496),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5496),
    [aux_sym_preproc_else_token1] = ACTIONS(5496),
    [aux_sym_preproc_elif_token1] = ACTIONS(5496),
    [sym_preproc_directive] = ACTIONS(5496),
    [anon_sym_LPAREN2] = ACTIONS(5498),
    [anon_sym_TILDE] = ACTIONS(5498),
    [anon_sym_STAR] = ACTIONS(5498),
    [anon_sym_AMP_AMP] = ACTIONS(5498),
    [anon_sym_AMP] = ACTIONS(5496),
    [anon_sym___extension__] = ACTIONS(5496),
    [anon_sym_typedef] = ACTIONS(5496),
    [anon_sym_extern] = ACTIONS(5496),
    [anon_sym___attribute__] = ACTIONS(5496),
    [anon_sym_COLON_COLON] = ACTIONS(5498),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5498),
    [anon_sym___declspec] = ACTIONS(5496),
    [anon_sym___based] = ACTIONS(5496),
    [anon_sym_signed] = ACTIONS(5496),
    [anon_sym_unsigned] = ACTIONS(5496),
    [anon_sym_long] = ACTIONS(5496),
    [anon_sym_short] = ACTIONS(5496),
    [anon_sym_LBRACK] = ACTIONS(5496),
    [anon_sym_static] = ACTIONS(5496),
    [anon_sym_register] = ACTIONS(5496),
    [anon_sym_inline] = ACTIONS(5496),
    [anon_sym___inline] = ACTIONS(5496),
    [anon_sym___inline__] = ACTIONS(5496),
    [anon_sym___forceinline] = ACTIONS(5496),
    [anon_sym_thread_local] = ACTIONS(5496),
    [anon_sym___thread] = ACTIONS(5496),
    [anon_sym_const] = ACTIONS(5496),
    [anon_sym_constexpr] = ACTIONS(5496),
    [anon_sym_volatile] = ACTIONS(5496),
    [anon_sym_restrict] = ACTIONS(5496),
    [anon_sym___restrict__] = ACTIONS(5496),
    [anon_sym__Atomic] = ACTIONS(5496),
    [anon_sym__Noreturn] = ACTIONS(5496),
    [anon_sym_noreturn] = ACTIONS(5496),
    [anon_sym_mutable] = ACTIONS(5496),
    [anon_sym_constinit] = ACTIONS(5496),
    [anon_sym_consteval] = ACTIONS(5496),
    [sym_primitive_type] = ACTIONS(5496),
    [anon_sym_enum] = ACTIONS(5496),
    [anon_sym_class] = ACTIONS(5496),
    [anon_sym_struct] = ACTIONS(5496),
    [anon_sym_union] = ACTIONS(5496),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5496),
    [anon_sym_decltype] = ACTIONS(5496),
    [anon_sym_virtual] = ACTIONS(5496),
    [anon_sym_alignas] = ACTIONS(5496),
    [anon_sym_explicit] = ACTIONS(5496),
    [anon_sym_typename] = ACTIONS(5496),
    [anon_sym_template] = ACTIONS(5496),
    [anon_sym_operator] = ACTIONS(5496),
    [anon_sym_friend] = ACTIONS(5496),
    [anon_sym_public] = ACTIONS(5496),
    [anon_sym_private] = ACTIONS(5496),
    [anon_sym_protected] = ACTIONS(5496),
    [anon_sym_using] = ACTIONS(5496),
    [anon_sym_static_assert] = ACTIONS(5496),
  },
  [2384] = {
    [sym_identifier] = ACTIONS(5492),
    [aux_sym_preproc_def_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token1] = ACTIONS(5492),
    [aux_sym_preproc_if_token2] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5492),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5492),
    [aux_sym_preproc_else_token1] = ACTIONS(5492),
    [aux_sym_preproc_elif_token1] = ACTIONS(5492),
    [sym_preproc_directive] = ACTIONS(5492),
    [anon_sym_LPAREN2] = ACTIONS(5494),
    [anon_sym_TILDE] = ACTIONS(5494),
    [anon_sym_STAR] = ACTIONS(5494),
    [anon_sym_AMP_AMP] = ACTIONS(5494),
    [anon_sym_AMP] = ACTIONS(5492),
    [anon_sym___extension__] = ACTIONS(5492),
    [anon_sym_typedef] = ACTIONS(5492),
    [anon_sym_extern] = ACTIONS(5492),
    [anon_sym___attribute__] = ACTIONS(5492),
    [anon_sym_COLON_COLON] = ACTIONS(5494),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5494),
    [anon_sym___declspec] = ACTIONS(5492),
    [anon_sym___based] = ACTIONS(5492),
    [anon_sym_signed] = ACTIONS(5492),
    [anon_sym_unsigned] = ACTIONS(5492),
    [anon_sym_long] = ACTIONS(5492),
    [anon_sym_short] = ACTIONS(5492),
    [anon_sym_LBRACK] = ACTIONS(5492),
    [anon_sym_static] = ACTIONS(5492),
    [anon_sym_register] = ACTIONS(5492),
    [anon_sym_inline] = ACTIONS(5492),
    [anon_sym___inline] = ACTIONS(5492),
    [anon_sym___inline__] = ACTIONS(5492),
    [anon_sym___forceinline] = ACTIONS(5492),
    [anon_sym_thread_local] = ACTIONS(5492),
    [anon_sym___thread] = ACTIONS(5492),
    [anon_sym_const] = ACTIONS(5492),
    [anon_sym_constexpr] = ACTIONS(5492),
    [anon_sym_volatile] = ACTIONS(5492),
    [anon_sym_restrict] = ACTIONS(5492),
    [anon_sym___restrict__] = ACTIONS(5492),
    [anon_sym__Atomic] = ACTIONS(5492),
    [anon_sym__Noreturn] = ACTIONS(5492),
    [anon_sym_noreturn] = ACTIONS(5492),
    [anon_sym_mutable] = ACTIONS(5492),
    [anon_sym_constinit] = ACTIONS(5492),
    [anon_sym_consteval] = ACTIONS(5492),
    [sym_primitive_type] = ACTIONS(5492),
    [anon_sym_enum] = ACTIONS(5492),
    [anon_sym_class] = ACTIONS(5492),
    [anon_sym_struct] = ACTIONS(5492),
    [anon_sym_union] = ACTIONS(5492),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5492),
    [anon_sym_decltype] = ACTIONS(5492),
    [anon_sym_virtual] = ACTIONS(5492),
    [anon_sym_alignas] = ACTIONS(5492),
    [anon_sym_explicit] = ACTIONS(5492),
    [anon_sym_typename] = ACTIONS(5492),
    [anon_sym_template] = ACTIONS(5492),
    [anon_sym_operator] = ACTIONS(5492),
    [anon_sym_friend] = ACTIONS(5492),
    [anon_sym_public] = ACTIONS(5492),
    [anon_sym_private] = ACTIONS(5492),
    [anon_sym_protected] = ACTIONS(5492),
    [anon_sym_using] = ACTIONS(5492),
    [anon_sym_static_assert] = ACTIONS(5492),
  },
  [2385] = {
    [sym_identifier] = ACTIONS(3108),
    [aux_sym_preproc_def_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token1] = ACTIONS(3108),
    [aux_sym_preproc_if_token2] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3108),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3108),
    [aux_sym_preproc_else_token1] = ACTIONS(3108),
    [aux_sym_preproc_elif_token1] = ACTIONS(3108),
    [sym_preproc_directive] = ACTIONS(3108),
    [anon_sym_LPAREN2] = ACTIONS(3110),
    [anon_sym_TILDE] = ACTIONS(3110),
    [anon_sym_STAR] = ACTIONS(3110),
    [anon_sym_AMP_AMP] = ACTIONS(3110),
    [anon_sym_AMP] = ACTIONS(3108),
    [anon_sym___extension__] = ACTIONS(3108),
    [anon_sym_typedef] = ACTIONS(3108),
    [anon_sym_extern] = ACTIONS(3108),
    [anon_sym___attribute__] = ACTIONS(3108),
    [anon_sym_COLON_COLON] = ACTIONS(3110),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3110),
    [anon_sym___declspec] = ACTIONS(3108),
    [anon_sym___based] = ACTIONS(3108),
    [anon_sym_signed] = ACTIONS(3108),
    [anon_sym_unsigned] = ACTIONS(3108),
    [anon_sym_long] = ACTIONS(3108),
    [anon_sym_short] = ACTIONS(3108),
    [anon_sym_LBRACK] = ACTIONS(3108),
    [anon_sym_static] = ACTIONS(3108),
    [anon_sym_register] = ACTIONS(3108),
    [anon_sym_inline] = ACTIONS(3108),
    [anon_sym___inline] = ACTIONS(3108),
    [anon_sym___inline__] = ACTIONS(3108),
    [anon_sym___forceinline] = ACTIONS(3108),
    [anon_sym_thread_local] = ACTIONS(3108),
    [anon_sym___thread] = ACTIONS(3108),
    [anon_sym_const] = ACTIONS(3108),
    [anon_sym_constexpr] = ACTIONS(3108),
    [anon_sym_volatile] = ACTIONS(3108),
    [anon_sym_restrict] = ACTIONS(3108),
    [anon_sym___restrict__] = ACTIONS(3108),
    [anon_sym__Atomic] = ACTIONS(3108),
    [anon_sym__Noreturn] = ACTIONS(3108),
    [anon_sym_noreturn] = ACTIONS(3108),
    [anon_sym_mutable] = ACTIONS(3108),
    [anon_sym_constinit] = ACTIONS(3108),
    [anon_sym_consteval] = ACTIONS(3108),
    [sym_primitive_type] = ACTIONS(3108),
    [anon_sym_enum] = ACTIONS(3108),
    [anon_sym_class] = ACTIONS(3108),
    [anon_sym_struct] = ACTIONS(3108),
    [anon_sym_union] = ACTIONS(3108),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3108),
    [anon_sym_decltype] = ACTIONS(3108),
    [anon_sym_virtual] = ACTIONS(3108),
    [anon_sym_alignas] = ACTIONS(3108),
    [anon_sym_explicit] = ACTIONS(3108),
    [anon_sym_typename] = ACTIONS(3108),
    [anon_sym_template] = ACTIONS(3108),
    [anon_sym_operator] = ACTIONS(3108),
    [anon_sym_friend] = ACTIONS(3108),
    [anon_sym_public] = ACTIONS(3108),
    [anon_sym_private] = ACTIONS(3108),
    [anon_sym_protected] = ACTIONS(3108),
    [anon_sym_using] = ACTIONS(3108),
    [anon_sym_static_assert] = ACTIONS(3108),
  },
  [2386] = {
    [sym_string_literal] = STATE(2310),
    [sym_raw_string_literal] = STATE(2310),
    [aux_sym_concatenated_string_repeat1] = STATE(2310),
    [sym_identifier] = ACTIONS(5912),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5193),
    [anon_sym_COMMA] = ACTIONS(5193),
    [anon_sym_LPAREN2] = ACTIONS(5193),
    [anon_sym_DASH] = ACTIONS(5195),
    [anon_sym_PLUS] = ACTIONS(5195),
    [anon_sym_STAR] = ACTIONS(5195),
    [anon_sym_SLASH] = ACTIONS(5195),
    [anon_sym_PERCENT] = ACTIONS(5195),
    [anon_sym_PIPE_PIPE] = ACTIONS(5193),
    [anon_sym_AMP_AMP] = ACTIONS(5193),
    [anon_sym_PIPE] = ACTIONS(5195),
    [anon_sym_CARET] = ACTIONS(5195),
    [anon_sym_AMP] = ACTIONS(5195),
    [anon_sym_EQ_EQ] = ACTIONS(5193),
    [anon_sym_BANG_EQ] = ACTIONS(5193),
    [anon_sym_GT] = ACTIONS(5195),
    [anon_sym_GT_EQ] = ACTIONS(5195),
    [anon_sym_LT_EQ] = ACTIONS(5195),
    [anon_sym_LT] = ACTIONS(5195),
    [anon_sym_LT_LT] = ACTIONS(5195),
    [anon_sym_GT_GT] = ACTIONS(5195),
    [anon_sym_LBRACK] = ACTIONS(5193),
    [anon_sym_EQ] = ACTIONS(5195),
    [anon_sym_QMARK] = ACTIONS(5193),
    [anon_sym_STAR_EQ] = ACTIONS(5193),
    [anon_sym_SLASH_EQ] = ACTIONS(5193),
    [anon_sym_PERCENT_EQ] = ACTIONS(5193),
    [anon_sym_PLUS_EQ] = ACTIONS(5193),
    [anon_sym_DASH_EQ] = ACTIONS(5193),
    [anon_sym_LT_LT_EQ] = ACTIONS(5193),
    [anon_sym_GT_GT_EQ] = ACTIONS(5195),
    [anon_sym_AMP_EQ] = ACTIONS(5193),
    [anon_sym_CARET_EQ] = ACTIONS(5193),
    [anon_sym_PIPE_EQ] = ACTIONS(5193),
    [anon_sym_and_eq] = ACTIONS(5195),
    [anon_sym_or_eq] = ACTIONS(5195),
    [anon_sym_xor_eq] = ACTIONS(5195),
    [anon_sym_LT_EQ_GT] = ACTIONS(5193),
    [anon_sym_or] = ACTIONS(5195),
    [anon_sym_and] = ACTIONS(5195),
    [anon_sym_bitor] = ACTIONS(5195),
    [anon_sym_xor] = ACTIONS(5195),
    [anon_sym_bitand] = ACTIONS(5195),
    [anon_sym_not_eq] = ACTIONS(5195),
    [anon_sym_DASH_DASH] = ACTIONS(5193),
    [anon_sym_PLUS_PLUS] = ACTIONS(5193),
    [anon_sym_DOT] = ACTIONS(5195),
    [anon_sym_DOT_STAR] = ACTIONS(5193),
    [anon_sym_DASH_GT] = ACTIONS(5193),
    [anon_sym_L_DQUOTE] = ACTIONS(5854),
    [anon_sym_u_DQUOTE] = ACTIONS(5854),
    [anon_sym_U_DQUOTE] = ACTIONS(5854),
    [anon_sym_u8_DQUOTE] = ACTIONS(5854),
    [anon_sym_DQUOTE] = ACTIONS(5854),
    [sym_comment] = ACTIONS(3),
    [anon_sym_GT2] = ACTIONS(5193),
    [anon_sym_R_DQUOTE] = ACTIONS(5856),
    [anon_sym_LR_DQUOTE] = ACTIONS(5856),
    [anon_sym_uR_DQUOTE] = ACTIONS(5856),
    [anon_sym_UR_DQUOTE] = ACTIONS(5856),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5856),
    [sym_literal_suffix] = ACTIONS(5195),
  },
  [2387] = {
    [sym_identifier] = ACTIONS(5484),
    [aux_sym_preproc_def_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token1] = ACTIONS(5484),
    [aux_sym_preproc_if_token2] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5484),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5484),
    [aux_sym_preproc_else_token1] = ACTIONS(5484),
    [aux_sym_preproc_elif_token1] = ACTIONS(5484),
    [sym_preproc_directive] = ACTIONS(5484),
    [anon_sym_LPAREN2] = ACTIONS(5486),
    [anon_sym_TILDE] = ACTIONS(5486),
    [anon_sym_STAR] = ACTIONS(5486),
    [anon_sym_AMP_AMP] = ACTIONS(5486),
    [anon_sym_AMP] = ACTIONS(5484),
    [anon_sym___extension__] = ACTIONS(5484),
    [anon_sym_typedef] = ACTIONS(5484),
    [anon_sym_extern] = ACTIONS(5484),
    [anon_sym___attribute__] = ACTIONS(5484),
    [anon_sym_COLON_COLON] = ACTIONS(5486),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5486),
    [anon_sym___declspec] = ACTIONS(5484),
    [anon_sym___based] = ACTIONS(5484),
    [anon_sym_signed] = ACTIONS(5484),
    [anon_sym_unsigned] = ACTIONS(5484),
    [anon_sym_long] = ACTIONS(5484),
    [anon_sym_short] = ACTIONS(5484),
    [anon_sym_LBRACK] = ACTIONS(5484),
    [anon_sym_static] = ACTIONS(5484),
    [anon_sym_register] = ACTIONS(5484),
    [anon_sym_inline] = ACTIONS(5484),
    [anon_sym___inline] = ACTIONS(5484),
    [anon_sym___inline__] = ACTIONS(5484),
    [anon_sym___forceinline] = ACTIONS(5484),
    [anon_sym_thread_local] = ACTIONS(5484),
    [anon_sym___thread] = ACTIONS(5484),
    [anon_sym_const] = ACTIONS(5484),
    [anon_sym_constexpr] = ACTIONS(5484),
    [anon_sym_volatile] = ACTIONS(5484),
    [anon_sym_restrict] = ACTIONS(5484),
    [anon_sym___restrict__] = ACTIONS(5484),
    [anon_sym__Atomic] = ACTIONS(5484),
    [anon_sym__Noreturn] = ACTIONS(5484),
    [anon_sym_noreturn] = ACTIONS(5484),
    [anon_sym_mutable] = ACTIONS(5484),
    [anon_sym_constinit] = ACTIONS(5484),
    [anon_sym_consteval] = ACTIONS(5484),
    [sym_primitive_type] = ACTIONS(5484),
    [anon_sym_enum] = ACTIONS(5484),
    [anon_sym_class] = ACTIONS(5484),
    [anon_sym_struct] = ACTIONS(5484),
    [anon_sym_union] = ACTIONS(5484),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5484),
    [anon_sym_decltype] = ACTIONS(5484),
    [anon_sym_virtual] = ACTIONS(5484),
    [anon_sym_alignas] = ACTIONS(5484),
    [anon_sym_explicit] = ACTIONS(5484),
    [anon_sym_typename] = ACTIONS(5484),
    [anon_sym_template] = ACTIONS(5484),
    [anon_sym_operator] = ACTIONS(5484),
    [anon_sym_friend] = ACTIONS(5484),
    [anon_sym_public] = ACTIONS(5484),
    [anon_sym_private] = ACTIONS(5484),
    [anon_sym_protected] = ACTIONS(5484),
    [anon_sym_using] = ACTIONS(5484),
    [anon_sym_static_assert] = ACTIONS(5484),
  },
  [2388] = {
    [sym_identifier] = ACTIONS(5434),
    [aux_sym_preproc_def_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token1] = ACTIONS(5434),
    [aux_sym_preproc_if_token2] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(5434),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(5434),
    [aux_sym_preproc_else_token1] = ACTIONS(5434),
    [aux_sym_preproc_elif_token1] = ACTIONS(5434),
    [sym_preproc_directive] = ACTIONS(5434),
    [anon_sym_LPAREN2] = ACTIONS(5436),
    [anon_sym_TILDE] = ACTIONS(5436),
    [anon_sym_STAR] = ACTIONS(5436),
    [anon_sym_AMP_AMP] = ACTIONS(5436),
    [anon_sym_AMP] = ACTIONS(5434),
    [anon_sym___extension__] = ACTIONS(5434),
    [anon_sym_typedef] = ACTIONS(5434),
    [anon_sym_extern] = ACTIONS(5434),
    [anon_sym___attribute__] = ACTIONS(5434),
    [anon_sym_COLON_COLON] = ACTIONS(5436),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5436),
    [anon_sym___declspec] = ACTIONS(5434),
    [anon_sym___based] = ACTIONS(5434),
    [anon_sym_signed] = ACTIONS(5434),
    [anon_sym_unsigned] = ACTIONS(5434),
    [anon_sym_long] = ACTIONS(5434),
    [anon_sym_short] = ACTIONS(5434),
    [anon_sym_LBRACK] = ACTIONS(5434),
    [anon_sym_static] = ACTIONS(5434),
    [anon_sym_register] = ACTIONS(5434),
    [anon_sym_inline] = ACTIONS(5434),
    [anon_sym___inline] = ACTIONS(5434),
    [anon_sym___inline__] = ACTIONS(5434),
    [anon_sym___forceinline] = ACTIONS(5434),
    [anon_sym_thread_local] = ACTIONS(5434),
    [anon_sym___thread] = ACTIONS(5434),
    [anon_sym_const] = ACTIONS(5434),
    [anon_sym_constexpr] = ACTIONS(5434),
    [anon_sym_volatile] = ACTIONS(5434),
    [anon_sym_restrict] = ACTIONS(5434),
    [anon_sym___restrict__] = ACTIONS(5434),
    [anon_sym__Atomic] = ACTIONS(5434),
    [anon_sym__Noreturn] = ACTIONS(5434),
    [anon_sym_noreturn] = ACTIONS(5434),
    [anon_sym_mutable] = ACTIONS(5434),
    [anon_sym_constinit] = ACTIONS(5434),
    [anon_sym_consteval] = ACTIONS(5434),
    [sym_primitive_type] = ACTIONS(5434),
    [anon_sym_enum] = ACTIONS(5434),
    [anon_sym_class] = ACTIONS(5434),
    [anon_sym_struct] = ACTIONS(5434),
    [anon_sym_union] = ACTIONS(5434),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5434),
    [anon_sym_decltype] = ACTIONS(5434),
    [anon_sym_virtual] = ACTIONS(5434),
    [anon_sym_alignas] = ACTIONS(5434),
    [anon_sym_explicit] = ACTIONS(5434),
    [anon_sym_typename] = ACTIONS(5434),
    [anon_sym_template] = ACTIONS(5434),
    [anon_sym_operator] = ACTIONS(5434),
    [anon_sym_friend] = ACTIONS(5434),
    [anon_sym_public] = ACTIONS(5434),
    [anon_sym_private] = ACTIONS(5434),
    [anon_sym_protected] = ACTIONS(5434),
    [anon_sym_using] = ACTIONS(5434),
    [anon_sym_static_assert] = ACTIONS(5434),
  },
  [2389] = {
    [sym_identifier] = ACTIONS(3164),
    [aux_sym_preproc_def_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token1] = ACTIONS(3164),
    [aux_sym_preproc_if_token2] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3164),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3164),
    [aux_sym_preproc_else_token1] = ACTIONS(3164),
    [aux_sym_preproc_elif_token1] = ACTIONS(3164),
    [sym_preproc_directive] = ACTIONS(3164),
    [anon_sym_LPAREN2] = ACTIONS(3166),
    [anon_sym_TILDE] = ACTIONS(3166),
    [anon_sym_STAR] = ACTIONS(3166),
    [anon_sym_AMP_AMP] = ACTIONS(3166),
    [anon_sym_AMP] = ACTIONS(3164),
    [anon_sym___extension__] = ACTIONS(3164),
    [anon_sym_typedef] = ACTIONS(3164),
    [anon_sym_extern] = ACTIONS(3164),
    [anon_sym___attribute__] = ACTIONS(3164),
    [anon_sym_COLON_COLON] = ACTIONS(3166),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3166),
    [anon_sym___declspec] = ACTIONS(3164),
    [anon_sym___based] = ACTIONS(3164),
    [anon_sym_signed] = ACTIONS(3164),
    [anon_sym_unsigned] = ACTIONS(3164),
    [anon_sym_long] = ACTIONS(3164),
    [anon_sym_short] = ACTIONS(3164),
    [anon_sym_LBRACK] = ACTIONS(3164),
    [anon_sym_static] = ACTIONS(3164),
    [anon_sym_register] = ACTIONS(3164),
    [anon_sym_inline] = ACTIONS(3164),
    [anon_sym___inline] = ACTIONS(3164),
    [anon_sym___inline__] = ACTIONS(3164),
    [anon_sym___forceinline] = ACTIONS(3164),
    [anon_sym_thread_local] = ACTIONS(3164),
    [anon_sym___thread] = ACTIONS(3164),
    [anon_sym_const] = ACTIONS(3164),
    [anon_sym_constexpr] = ACTIONS(3164),
    [anon_sym_volatile] = ACTIONS(3164),
    [anon_sym_restrict] = ACTIONS(3164),
    [anon_sym___restrict__] = ACTIONS(3164),
    [anon_sym__Atomic] = ACTIONS(3164),
    [anon_sym__Noreturn] = ACTIONS(3164),
    [anon_sym_noreturn] = ACTIONS(3164),
    [anon_sym_mutable] = ACTIONS(3164),
    [anon_sym_constinit] = ACTIONS(3164),
    [anon_sym_consteval] = ACTIONS(3164),
    [sym_primitive_type] = ACTIONS(3164),
    [anon_sym_enum] = ACTIONS(3164),
    [anon_sym_class] = ACTIONS(3164),
    [anon_sym_struct] = ACTIONS(3164),
    [anon_sym_union] = ACTIONS(3164),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3164),
    [anon_sym_decltype] = ACTIONS(3164),
    [anon_sym_virtual] = ACTIONS(3164),
    [anon_sym_alignas] = ACTIONS(3164),
    [anon_sym_explicit] = ACTIONS(3164),
    [anon_sym_typename] = ACTIONS(3164),
    [anon_sym_template] = ACTIONS(3164),
    [anon_sym_operator] = ACTIONS(3164),
    [anon_sym_friend] = ACTIONS(3164),
    [anon_sym_public] = ACTIONS(3164),
    [anon_sym_private] = ACTIONS(3164),
    [anon_sym_protected] = ACTIONS(3164),
    [anon_sym_using] = ACTIONS(3164),
    [anon_sym_static_assert] = ACTIONS(3164),
  },
  [2390] = {
    [sym_identifier] = ACTIONS(3231),
    [aux_sym_preproc_def_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token1] = ACTIONS(3231),
    [aux_sym_preproc_if_token2] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3231),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3231),
    [aux_sym_preproc_else_token1] = ACTIONS(3231),
    [aux_sym_preproc_elif_token1] = ACTIONS(3231),
    [sym_preproc_directive] = ACTIONS(3231),
    [anon_sym_LPAREN2] = ACTIONS(3233),
    [anon_sym_TILDE] = ACTIONS(3233),
    [anon_sym_STAR] = ACTIONS(3233),
    [anon_sym_AMP_AMP] = ACTIONS(3233),
    [anon_sym_AMP] = ACTIONS(3231),
    [anon_sym___extension__] = ACTIONS(3231),
    [anon_sym_typedef] = ACTIONS(3231),
    [anon_sym_extern] = ACTIONS(3231),
    [anon_sym___attribute__] = ACTIONS(3231),
    [anon_sym_COLON_COLON] = ACTIONS(3233),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3233),
    [anon_sym___declspec] = ACTIONS(3231),
    [anon_sym___based] = ACTIONS(3231),
    [anon_sym_signed] = ACTIONS(3231),
    [anon_sym_unsigned] = ACTIONS(3231),
    [anon_sym_long] = ACTIONS(3231),
    [anon_sym_short] = ACTIONS(3231),
    [anon_sym_LBRACK] = ACTIONS(3231),
    [anon_sym_static] = ACTIONS(3231),
    [anon_sym_register] = ACTIONS(3231),
    [anon_sym_inline] = ACTIONS(3231),
    [anon_sym___inline] = ACTIONS(3231),
    [anon_sym___inline__] = ACTIONS(3231),
    [anon_sym___forceinline] = ACTIONS(3231),
    [anon_sym_thread_local] = ACTIONS(3231),
    [anon_sym___thread] = ACTIONS(3231),
    [anon_sym_const] = ACTIONS(3231),
    [anon_sym_constexpr] = ACTIONS(3231),
    [anon_sym_volatile] = ACTIONS(3231),
    [anon_sym_restrict] = ACTIONS(3231),
    [anon_sym___restrict__] = ACTIONS(3231),
    [anon_sym__Atomic] = ACTIONS(3231),
    [anon_sym__Noreturn] = ACTIONS(3231),
    [anon_sym_noreturn] = ACTIONS(3231),
    [anon_sym_mutable] = ACTIONS(3231),
    [anon_sym_constinit] = ACTIONS(3231),
    [anon_sym_consteval] = ACTIONS(3231),
    [sym_primitive_type] = ACTIONS(3231),
    [anon_sym_enum] = ACTIONS(3231),
    [anon_sym_class] = ACTIONS(3231),
    [anon_sym_struct] = ACTIONS(3231),
    [anon_sym_union] = ACTIONS(3231),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3231),
    [anon_sym_decltype] = ACTIONS(3231),
    [anon_sym_virtual] = ACTIONS(3231),
    [anon_sym_alignas] = ACTIONS(3231),
    [anon_sym_explicit] = ACTIONS(3231),
    [anon_sym_typename] = ACTIONS(3231),
    [anon_sym_template] = ACTIONS(3231),
    [anon_sym_operator] = ACTIONS(3231),
    [anon_sym_friend] = ACTIONS(3231),
    [anon_sym_public] = ACTIONS(3231),
    [anon_sym_private] = ACTIONS(3231),
    [anon_sym_protected] = ACTIONS(3231),
    [anon_sym_using] = ACTIONS(3231),
    [anon_sym_static_assert] = ACTIONS(3231),
  },
  [2391] = {
    [sym_identifier] = ACTIONS(3227),
    [aux_sym_preproc_def_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token1] = ACTIONS(3227),
    [aux_sym_preproc_if_token2] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3227),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3227),
    [aux_sym_preproc_else_token1] = ACTIONS(3227),
    [aux_sym_preproc_elif_token1] = ACTIONS(3227),
    [sym_preproc_directive] = ACTIONS(3227),
    [anon_sym_LPAREN2] = ACTIONS(3229),
    [anon_sym_TILDE] = ACTIONS(3229),
    [anon_sym_STAR] = ACTIONS(3229),
    [anon_sym_AMP_AMP] = ACTIONS(3229),
    [anon_sym_AMP] = ACTIONS(3227),
    [anon_sym___extension__] = ACTIONS(3227),
    [anon_sym_typedef] = ACTIONS(3227),
    [anon_sym_extern] = ACTIONS(3227),
    [anon_sym___attribute__] = ACTIONS(3227),
    [anon_sym_COLON_COLON] = ACTIONS(3229),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3229),
    [anon_sym___declspec] = ACTIONS(3227),
    [anon_sym___based] = ACTIONS(3227),
    [anon_sym_signed] = ACTIONS(3227),
    [anon_sym_unsigned] = ACTIONS(3227),
    [anon_sym_long] = ACTIONS(3227),
    [anon_sym_short] = ACTIONS(3227),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_static] = ACTIONS(3227),
    [anon_sym_register] = ACTIONS(3227),
    [anon_sym_inline] = ACTIONS(3227),
    [anon_sym___inline] = ACTIONS(3227),
    [anon_sym___inline__] = ACTIONS(3227),
    [anon_sym___forceinline] = ACTIONS(3227),
    [anon_sym_thread_local] = ACTIONS(3227),
    [anon_sym___thread] = ACTIONS(3227),
    [anon_sym_const] = ACTIONS(3227),
    [anon_sym_constexpr] = ACTIONS(3227),
    [anon_sym_volatile] = ACTIONS(3227),
    [anon_sym_restrict] = ACTIONS(3227),
    [anon_sym___restrict__] = ACTIONS(3227),
    [anon_sym__Atomic] = ACTIONS(3227),
    [anon_sym__Noreturn] = ACTIONS(3227),
    [anon_sym_noreturn] = ACTIONS(3227),
    [anon_sym_mutable] = ACTIONS(3227),
    [anon_sym_constinit] = ACTIONS(3227),
    [anon_sym_consteval] = ACTIONS(3227),
    [sym_primitive_type] = ACTIONS(3227),
    [anon_sym_enum] = ACTIONS(3227),
    [anon_sym_class] = ACTIONS(3227),
    [anon_sym_struct] = ACTIONS(3227),
    [anon_sym_union] = ACTIONS(3227),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3227),
    [anon_sym_decltype] = ACTIONS(3227),
    [anon_sym_virtual] = ACTIONS(3227),
    [anon_sym_alignas] = ACTIONS(3227),
    [anon_sym_explicit] = ACTIONS(3227),
    [anon_sym_typename] = ACTIONS(3227),
    [anon_sym_template] = ACTIONS(3227),
    [anon_sym_operator] = ACTIONS(3227),
    [anon_sym_friend] = ACTIONS(3227),
    [anon_sym_public] = ACTIONS(3227),
    [anon_sym_private] = ACTIONS(3227),
    [anon_sym_protected] = ACTIONS(3227),
    [anon_sym_using] = ACTIONS(3227),
    [anon_sym_static_assert] = ACTIONS(3227),
  },
  [2392] = {
    [sym_identifier] = ACTIONS(3160),
    [aux_sym_preproc_def_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token1] = ACTIONS(3160),
    [aux_sym_preproc_if_token2] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3160),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3160),
    [aux_sym_preproc_else_token1] = ACTIONS(3160),
    [aux_sym_preproc_elif_token1] = ACTIONS(3160),
    [sym_preproc_directive] = ACTIONS(3160),
    [anon_sym_LPAREN2] = ACTIONS(3162),
    [anon_sym_TILDE] = ACTIONS(3162),
    [anon_sym_STAR] = ACTIONS(3162),
    [anon_sym_AMP_AMP] = ACTIONS(3162),
    [anon_sym_AMP] = ACTIONS(3160),
    [anon_sym___extension__] = ACTIONS(3160),
    [anon_sym_typedef] = ACTIONS(3160),
    [anon_sym_extern] = ACTIONS(3160),
    [anon_sym___attribute__] = ACTIONS(3160),
    [anon_sym_COLON_COLON] = ACTIONS(3162),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3162),
    [anon_sym___declspec] = ACTIONS(3160),
    [anon_sym___based] = ACTIONS(3160),
    [anon_sym_signed] = ACTIONS(3160),
    [anon_sym_unsigned] = ACTIONS(3160),
    [anon_sym_long] = ACTIONS(3160),
    [anon_sym_short] = ACTIONS(3160),
    [anon_sym_LBRACK] = ACTIONS(3160),
    [anon_sym_static] = ACTIONS(3160),
    [anon_sym_register] = ACTIONS(3160),
    [anon_sym_inline] = ACTIONS(3160),
    [anon_sym___inline] = ACTIONS(3160),
    [anon_sym___inline__] = ACTIONS(3160),
    [anon_sym___forceinline] = ACTIONS(3160),
    [anon_sym_thread_local] = ACTIONS(3160),
    [anon_sym___thread] = ACTIONS(3160),
    [anon_sym_const] = ACTIONS(3160),
    [anon_sym_constexpr] = ACTIONS(3160),
    [anon_sym_volatile] = ACTIONS(3160),
    [anon_sym_restrict] = ACTIONS(3160),
    [anon_sym___restrict__] = ACTIONS(3160),
    [anon_sym__Atomic] = ACTIONS(3160),
    [anon_sym__Noreturn] = ACTIONS(3160),
    [anon_sym_noreturn] = ACTIONS(3160),
    [anon_sym_mutable] = ACTIONS(3160),
    [anon_sym_constinit] = ACTIONS(3160),
    [anon_sym_consteval] = ACTIONS(3160),
    [sym_primitive_type] = ACTIONS(3160),
    [anon_sym_enum] = ACTIONS(3160),
    [anon_sym_class] = ACTIONS(3160),
    [anon_sym_struct] = ACTIONS(3160),
    [anon_sym_union] = ACTIONS(3160),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3160),
    [anon_sym_decltype] = ACTIONS(3160),
    [anon_sym_virtual] = ACTIONS(3160),
    [anon_sym_alignas] = ACTIONS(3160),
    [anon_sym_explicit] = ACTIONS(3160),
    [anon_sym_typename] = ACTIONS(3160),
    [anon_sym_template] = ACTIONS(3160),
    [anon_sym_operator] = ACTIONS(3160),
    [anon_sym_friend] = ACTIONS(3160),
    [anon_sym_public] = ACTIONS(3160),
    [anon_sym_private] = ACTIONS(3160),
    [anon_sym_protected] = ACTIONS(3160),
    [anon_sym_using] = ACTIONS(3160),
    [anon_sym_static_assert] = ACTIONS(3160),
  },
  [2393] = {
    [sym_identifier] = ACTIONS(3257),
    [aux_sym_preproc_def_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token1] = ACTIONS(3257),
    [aux_sym_preproc_if_token2] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3257),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3257),
    [aux_sym_preproc_else_token1] = ACTIONS(3257),
    [aux_sym_preproc_elif_token1] = ACTIONS(3257),
    [sym_preproc_directive] = ACTIONS(3257),
    [anon_sym_LPAREN2] = ACTIONS(3259),
    [anon_sym_TILDE] = ACTIONS(3259),
    [anon_sym_STAR] = ACTIONS(3259),
    [anon_sym_AMP_AMP] = ACTIONS(3259),
    [anon_sym_AMP] = ACTIONS(3257),
    [anon_sym___extension__] = ACTIONS(3257),
    [anon_sym_typedef] = ACTIONS(3257),
    [anon_sym_extern] = ACTIONS(3257),
    [anon_sym___attribute__] = ACTIONS(3257),
    [anon_sym_COLON_COLON] = ACTIONS(3259),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3259),
    [anon_sym___declspec] = ACTIONS(3257),
    [anon_sym___based] = ACTIONS(3257),
    [anon_sym_signed] = ACTIONS(3257),
    [anon_sym_unsigned] = ACTIONS(3257),
    [anon_sym_long] = ACTIONS(3257),
    [anon_sym_short] = ACTIONS(3257),
    [anon_sym_LBRACK] = ACTIONS(3257),
    [anon_sym_static] = ACTIONS(3257),
    [anon_sym_register] = ACTIONS(3257),
    [anon_sym_inline] = ACTIONS(3257),
    [anon_sym___inline] = ACTIONS(3257),
    [anon_sym___inline__] = ACTIONS(3257),
    [anon_sym___forceinline] = ACTIONS(3257),
    [anon_sym_thread_local] = ACTIONS(3257),
    [anon_sym___thread] = ACTIONS(3257),
    [anon_sym_const] = ACTIONS(3257),
    [anon_sym_constexpr] = ACTIONS(3257),
    [anon_sym_volatile] = ACTIONS(3257),
    [anon_sym_restrict] = ACTIONS(3257),
    [anon_sym___restrict__] = ACTIONS(3257),
    [anon_sym__Atomic] = ACTIONS(3257),
    [anon_sym__Noreturn] = ACTIONS(3257),
    [anon_sym_noreturn] = ACTIONS(3257),
    [anon_sym_mutable] = ACTIONS(3257),
    [anon_sym_constinit] = ACTIONS(3257),
    [anon_sym_consteval] = ACTIONS(3257),
    [sym_primitive_type] = ACTIONS(3257),
    [anon_sym_enum] = ACTIONS(3257),
    [anon_sym_class] = ACTIONS(3257),
    [anon_sym_struct] = ACTIONS(3257),
    [anon_sym_union] = ACTIONS(3257),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3257),
    [anon_sym_decltype] = ACTIONS(3257),
    [anon_sym_virtual] = ACTIONS(3257),
    [anon_sym_alignas] = ACTIONS(3257),
    [anon_sym_explicit] = ACTIONS(3257),
    [anon_sym_typename] = ACTIONS(3257),
    [anon_sym_template] = ACTIONS(3257),
    [anon_sym_operator] = ACTIONS(3257),
    [anon_sym_friend] = ACTIONS(3257),
    [anon_sym_public] = ACTIONS(3257),
    [anon_sym_private] = ACTIONS(3257),
    [anon_sym_protected] = ACTIONS(3257),
    [anon_sym_using] = ACTIONS(3257),
    [anon_sym_static_assert] = ACTIONS(3257),
  },
  [2394] = {
    [sym_identifier] = ACTIONS(3180),
    [aux_sym_preproc_def_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token1] = ACTIONS(3180),
    [aux_sym_preproc_if_token2] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3180),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3180),
    [aux_sym_preproc_else_token1] = ACTIONS(3180),
    [aux_sym_preproc_elif_token1] = ACTIONS(3180),
    [sym_preproc_directive] = ACTIONS(3180),
    [anon_sym_LPAREN2] = ACTIONS(3182),
    [anon_sym_TILDE] = ACTIONS(3182),
    [anon_sym_STAR] = ACTIONS(3182),
    [anon_sym_AMP_AMP] = ACTIONS(3182),
    [anon_sym_AMP] = ACTIONS(3180),
    [anon_sym___extension__] = ACTIONS(3180),
    [anon_sym_typedef] = ACTIONS(3180),
    [anon_sym_extern] = ACTIONS(3180),
    [anon_sym___attribute__] = ACTIONS(3180),
    [anon_sym_COLON_COLON] = ACTIONS(3182),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3182),
    [anon_sym___declspec] = ACTIONS(3180),
    [anon_sym___based] = ACTIONS(3180),
    [anon_sym_signed] = ACTIONS(3180),
    [anon_sym_unsigned] = ACTIONS(3180),
    [anon_sym_long] = ACTIONS(3180),
    [anon_sym_short] = ACTIONS(3180),
    [anon_sym_LBRACK] = ACTIONS(3180),
    [anon_sym_static] = ACTIONS(3180),
    [anon_sym_register] = ACTIONS(3180),
    [anon_sym_inline] = ACTIONS(3180),
    [anon_sym___inline] = ACTIONS(3180),
    [anon_sym___inline__] = ACTIONS(3180),
    [anon_sym___forceinline] = ACTIONS(3180),
    [anon_sym_thread_local] = ACTIONS(3180),
    [anon_sym___thread] = ACTIONS(3180),
    [anon_sym_const] = ACTIONS(3180),
    [anon_sym_constexpr] = ACTIONS(3180),
    [anon_sym_volatile] = ACTIONS(3180),
    [anon_sym_restrict] = ACTIONS(3180),
    [anon_sym___restrict__] = ACTIONS(3180),
    [anon_sym__Atomic] = ACTIONS(3180),
    [anon_sym__Noreturn] = ACTIONS(3180),
    [anon_sym_noreturn] = ACTIONS(3180),
    [anon_sym_mutable] = ACTIONS(3180),
    [anon_sym_constinit] = ACTIONS(3180),
    [anon_sym_consteval] = ACTIONS(3180),
    [sym_primitive_type] = ACTIONS(3180),
    [anon_sym_enum] = ACTIONS(3180),
    [anon_sym_class] = ACTIONS(3180),
    [anon_sym_struct] = ACTIONS(3180),
    [anon_sym_union] = ACTIONS(3180),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3180),
    [anon_sym_decltype] = ACTIONS(3180),
    [anon_sym_virtual] = ACTIONS(3180),
    [anon_sym_alignas] = ACTIONS(3180),
    [anon_sym_explicit] = ACTIONS(3180),
    [anon_sym_typename] = ACTIONS(3180),
    [anon_sym_template] = ACTIONS(3180),
    [anon_sym_operator] = ACTIONS(3180),
    [anon_sym_friend] = ACTIONS(3180),
    [anon_sym_public] = ACTIONS(3180),
    [anon_sym_private] = ACTIONS(3180),
    [anon_sym_protected] = ACTIONS(3180),
    [anon_sym_using] = ACTIONS(3180),
    [anon_sym_static_assert] = ACTIONS(3180),
  },
  [2395] = {
    [sym_identifier] = ACTIONS(3253),
    [aux_sym_preproc_def_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token1] = ACTIONS(3253),
    [aux_sym_preproc_if_token2] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3253),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3253),
    [aux_sym_preproc_else_token1] = ACTIONS(3253),
    [aux_sym_preproc_elif_token1] = ACTIONS(3253),
    [sym_preproc_directive] = ACTIONS(3253),
    [anon_sym_LPAREN2] = ACTIONS(3255),
    [anon_sym_TILDE] = ACTIONS(3255),
    [anon_sym_STAR] = ACTIONS(3255),
    [anon_sym_AMP_AMP] = ACTIONS(3255),
    [anon_sym_AMP] = ACTIONS(3253),
    [anon_sym___extension__] = ACTIONS(3253),
    [anon_sym_typedef] = ACTIONS(3253),
    [anon_sym_extern] = ACTIONS(3253),
    [anon_sym___attribute__] = ACTIONS(3253),
    [anon_sym_COLON_COLON] = ACTIONS(3255),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3255),
    [anon_sym___declspec] = ACTIONS(3253),
    [anon_sym___based] = ACTIONS(3253),
    [anon_sym_signed] = ACTIONS(3253),
    [anon_sym_unsigned] = ACTIONS(3253),
    [anon_sym_long] = ACTIONS(3253),
    [anon_sym_short] = ACTIONS(3253),
    [anon_sym_LBRACK] = ACTIONS(3253),
    [anon_sym_static] = ACTIONS(3253),
    [anon_sym_register] = ACTIONS(3253),
    [anon_sym_inline] = ACTIONS(3253),
    [anon_sym___inline] = ACTIONS(3253),
    [anon_sym___inline__] = ACTIONS(3253),
    [anon_sym___forceinline] = ACTIONS(3253),
    [anon_sym_thread_local] = ACTIONS(3253),
    [anon_sym___thread] = ACTIONS(3253),
    [anon_sym_const] = ACTIONS(3253),
    [anon_sym_constexpr] = ACTIONS(3253),
    [anon_sym_volatile] = ACTIONS(3253),
    [anon_sym_restrict] = ACTIONS(3253),
    [anon_sym___restrict__] = ACTIONS(3253),
    [anon_sym__Atomic] = ACTIONS(3253),
    [anon_sym__Noreturn] = ACTIONS(3253),
    [anon_sym_noreturn] = ACTIONS(3253),
    [anon_sym_mutable] = ACTIONS(3253),
    [anon_sym_constinit] = ACTIONS(3253),
    [anon_sym_consteval] = ACTIONS(3253),
    [sym_primitive_type] = ACTIONS(3253),
    [anon_sym_enum] = ACTIONS(3253),
    [anon_sym_class] = ACTIONS(3253),
    [anon_sym_struct] = ACTIONS(3253),
    [anon_sym_union] = ACTIONS(3253),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3253),
    [anon_sym_decltype] = ACTIONS(3253),
    [anon_sym_virtual] = ACTIONS(3253),
    [anon_sym_alignas] = ACTIONS(3253),
    [anon_sym_explicit] = ACTIONS(3253),
    [anon_sym_typename] = ACTIONS(3253),
    [anon_sym_template] = ACTIONS(3253),
    [anon_sym_operator] = ACTIONS(3253),
    [anon_sym_friend] = ACTIONS(3253),
    [anon_sym_public] = ACTIONS(3253),
    [anon_sym_private] = ACTIONS(3253),
    [anon_sym_protected] = ACTIONS(3253),
    [anon_sym_using] = ACTIONS(3253),
    [anon_sym_static_assert] = ACTIONS(3253),
  },
  [2396] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_RBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(5620),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(5622),
    [anon_sym_SLASH_EQ] = ACTIONS(5622),
    [anon_sym_PERCENT_EQ] = ACTIONS(5622),
    [anon_sym_PLUS_EQ] = ACTIONS(5622),
    [anon_sym_DASH_EQ] = ACTIONS(5622),
    [anon_sym_LT_LT_EQ] = ACTIONS(5622),
    [anon_sym_GT_GT_EQ] = ACTIONS(5622),
    [anon_sym_AMP_EQ] = ACTIONS(5622),
    [anon_sym_CARET_EQ] = ACTIONS(5622),
    [anon_sym_PIPE_EQ] = ACTIONS(5622),
    [anon_sym_and_eq] = ACTIONS(5622),
    [anon_sym_or_eq] = ACTIONS(5622),
    [anon_sym_xor_eq] = ACTIONS(5622),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2397] = {
    [sym__declaration_modifiers] = STATE(4126),
    [sym_attribute_specifier] = STATE(4126),
    [sym_attribute_declaration] = STATE(4126),
    [sym_ms_declspec_modifier] = STATE(4126),
    [sym_storage_class_specifier] = STATE(4126),
    [sym_type_qualifier] = STATE(4126),
    [sym__type_specifier] = STATE(3204),
    [sym_sized_type_specifier] = STATE(3613),
    [sym_enum_specifier] = STATE(3613),
    [sym_struct_specifier] = STATE(3613),
    [sym_union_specifier] = STATE(3613),
    [sym_placeholder_type_specifier] = STATE(3613),
    [sym_decltype_auto] = STATE(3720),
    [sym_decltype] = STATE(3541),
    [sym_class_specifier] = STATE(3613),
    [sym_virtual] = STATE(4126),
    [sym_alignas_specifier] = STATE(4126),
    [sym_dependent_type] = STATE(3613),
    [sym_template_type] = STATE(3541),
    [sym_dependent_type_identifier] = STATE(9051),
    [sym__scope_resolution] = STATE(7042),
    [sym_qualified_type_identifier] = STATE(4442),
    [aux_sym__declaration_specifiers_repeat1] = STATE(4126),
    [aux_sym_sized_type_specifier_repeat1] = STATE(3616),
    [sym_identifier] = ACTIONS(5094),
    [anon_sym___extension__] = ACTIONS(61),
    [anon_sym_extern] = ACTIONS(57),
    [anon_sym___attribute__] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(5096),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(1988),
    [anon_sym___declspec] = ACTIONS(45),
    [anon_sym_signed] = ACTIONS(53),
    [anon_sym_unsigned] = ACTIONS(53),
    [anon_sym_long] = ACTIONS(53),
    [anon_sym_short] = ACTIONS(53),
    [anon_sym_static] = ACTIONS(57),
    [anon_sym_register] = ACTIONS(57),
    [anon_sym_inline] = ACTIONS(57),
    [anon_sym___inline] = ACTIONS(57),
    [anon_sym___inline__] = ACTIONS(57),
    [anon_sym___forceinline] = ACTIONS(57),
    [anon_sym_thread_local] = ACTIONS(57),
    [anon_sym___thread] = ACTIONS(57),
    [anon_sym_const] = ACTIONS(61),
    [anon_sym_constexpr] = ACTIONS(61),
    [anon_sym_volatile] = ACTIONS(61),
    [anon_sym_restrict] = ACTIONS(61),
    [anon_sym___restrict__] = ACTIONS(61),
    [anon_sym__Atomic] = ACTIONS(61),
    [anon_sym__Noreturn] = ACTIONS(61),
    [anon_sym_noreturn] = ACTIONS(61),
    [anon_sym_mutable] = ACTIONS(61),
    [anon_sym_constinit] = ACTIONS(61),
    [anon_sym_consteval] = ACTIONS(61),
    [sym_primitive_type] = ACTIONS(3025),
    [anon_sym_enum] = ACTIONS(3027),
    [anon_sym_class] = ACTIONS(3029),
    [anon_sym_struct] = ACTIONS(3031),
    [anon_sym_union] = ACTIONS(3033),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(117),
    [anon_sym_decltype] = ACTIONS(119),
    [anon_sym_virtual] = ACTIONS(121),
    [anon_sym_alignas] = ACTIONS(123),
    [anon_sym_typename] = ACTIONS(3035),
    [anon_sym_template] = ACTIONS(1428),
  },
  [2398] = {
    [sym_decltype_auto] = STATE(2443),
    [sym_identifier] = ACTIONS(5508),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5510),
    [anon_sym_COMMA] = ACTIONS(5510),
    [anon_sym_RPAREN] = ACTIONS(5510),
    [aux_sym_preproc_if_token2] = ACTIONS(5510),
    [aux_sym_preproc_else_token1] = ACTIONS(5510),
    [aux_sym_preproc_elif_token1] = ACTIONS(5508),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5510),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5510),
    [anon_sym_LPAREN2] = ACTIONS(5510),
    [anon_sym_DASH] = ACTIONS(5508),
    [anon_sym_PLUS] = ACTIONS(5508),
    [anon_sym_STAR] = ACTIONS(5508),
    [anon_sym_SLASH] = ACTIONS(5508),
    [anon_sym_PERCENT] = ACTIONS(5508),
    [anon_sym_PIPE_PIPE] = ACTIONS(5510),
    [anon_sym_AMP_AMP] = ACTIONS(5510),
    [anon_sym_PIPE] = ACTIONS(5508),
    [anon_sym_CARET] = ACTIONS(5508),
    [anon_sym_AMP] = ACTIONS(5508),
    [anon_sym_EQ_EQ] = ACTIONS(5510),
    [anon_sym_BANG_EQ] = ACTIONS(5510),
    [anon_sym_GT] = ACTIONS(5508),
    [anon_sym_GT_EQ] = ACTIONS(5510),
    [anon_sym_LT_EQ] = ACTIONS(5508),
    [anon_sym_LT] = ACTIONS(5508),
    [anon_sym_LT_LT] = ACTIONS(5508),
    [anon_sym_GT_GT] = ACTIONS(5508),
    [anon_sym_SEMI] = ACTIONS(5510),
    [anon_sym___attribute__] = ACTIONS(5508),
    [anon_sym_LBRACE] = ACTIONS(5510),
    [anon_sym_RBRACE] = ACTIONS(5510),
    [anon_sym_LBRACK] = ACTIONS(5510),
    [anon_sym_RBRACK] = ACTIONS(5510),
    [anon_sym_EQ] = ACTIONS(5508),
    [anon_sym_COLON] = ACTIONS(5510),
    [anon_sym_QMARK] = ACTIONS(5510),
    [anon_sym_STAR_EQ] = ACTIONS(5510),
    [anon_sym_SLASH_EQ] = ACTIONS(5510),
    [anon_sym_PERCENT_EQ] = ACTIONS(5510),
    [anon_sym_PLUS_EQ] = ACTIONS(5510),
    [anon_sym_DASH_EQ] = ACTIONS(5510),
    [anon_sym_LT_LT_EQ] = ACTIONS(5510),
    [anon_sym_GT_GT_EQ] = ACTIONS(5510),
    [anon_sym_AMP_EQ] = ACTIONS(5510),
    [anon_sym_CARET_EQ] = ACTIONS(5510),
    [anon_sym_PIPE_EQ] = ACTIONS(5510),
    [anon_sym_and_eq] = ACTIONS(5508),
    [anon_sym_or_eq] = ACTIONS(5508),
    [anon_sym_xor_eq] = ACTIONS(5508),
    [anon_sym_LT_EQ_GT] = ACTIONS(5510),
    [anon_sym_or] = ACTIONS(5508),
    [anon_sym_and] = ACTIONS(5508),
    [anon_sym_bitor] = ACTIONS(5508),
    [anon_sym_xor] = ACTIONS(5508),
    [anon_sym_bitand] = ACTIONS(5508),
    [anon_sym_not_eq] = ACTIONS(5508),
    [anon_sym_DASH_DASH] = ACTIONS(5510),
    [anon_sym_PLUS_PLUS] = ACTIONS(5510),
    [anon_sym_DOT] = ACTIONS(5508),
    [anon_sym_DOT_STAR] = ACTIONS(5510),
    [anon_sym_DASH_GT] = ACTIONS(5510),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5364),
    [anon_sym_decltype] = ACTIONS(5366),
  },
  [2399] = {
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [anon_sym_RPAREN] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_SLASH] = ACTIONS(5266),
    [anon_sym_PERCENT] = ACTIONS(5266),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5266),
    [anon_sym_CARET] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5266),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5266),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5266),
    [anon_sym_LT] = ACTIONS(5266),
    [anon_sym_LT_LT] = ACTIONS(5266),
    [anon_sym_GT_GT] = ACTIONS(5266),
    [anon_sym_SEMI] = ACTIONS(5268),
    [anon_sym_RBRACE] = ACTIONS(5268),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_RBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5266),
    [anon_sym_COLON] = ACTIONS(5268),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5266),
    [anon_sym_or_eq] = ACTIONS(5266),
    [anon_sym_xor_eq] = ACTIONS(5266),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5266),
    [anon_sym_and] = ACTIONS(5266),
    [anon_sym_bitor] = ACTIONS(5266),
    [anon_sym_xor] = ACTIONS(5266),
    [anon_sym_bitand] = ACTIONS(5266),
    [anon_sym_not_eq] = ACTIONS(5266),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5266),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5268),
    [anon_sym_u_DQUOTE] = ACTIONS(5268),
    [anon_sym_U_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8_DQUOTE] = ACTIONS(5268),
    [anon_sym_DQUOTE] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5268),
    [anon_sym_LR_DQUOTE] = ACTIONS(5268),
    [anon_sym_uR_DQUOTE] = ACTIONS(5268),
    [anon_sym_UR_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5268),
    [sym_literal_suffix] = ACTIONS(5266),
  },
  [2400] = {
    [sym_identifier] = ACTIONS(3088),
    [aux_sym_preproc_def_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token1] = ACTIONS(3088),
    [aux_sym_preproc_if_token2] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3088),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3088),
    [aux_sym_preproc_else_token1] = ACTIONS(3088),
    [aux_sym_preproc_elif_token1] = ACTIONS(3088),
    [sym_preproc_directive] = ACTIONS(3088),
    [anon_sym_LPAREN2] = ACTIONS(3090),
    [anon_sym_TILDE] = ACTIONS(3090),
    [anon_sym_STAR] = ACTIONS(3090),
    [anon_sym_AMP_AMP] = ACTIONS(3090),
    [anon_sym_AMP] = ACTIONS(3088),
    [anon_sym___extension__] = ACTIONS(3088),
    [anon_sym_typedef] = ACTIONS(3088),
    [anon_sym_extern] = ACTIONS(3088),
    [anon_sym___attribute__] = ACTIONS(3088),
    [anon_sym_COLON_COLON] = ACTIONS(3090),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3090),
    [anon_sym___declspec] = ACTIONS(3088),
    [anon_sym___based] = ACTIONS(3088),
    [anon_sym_signed] = ACTIONS(3088),
    [anon_sym_unsigned] = ACTIONS(3088),
    [anon_sym_long] = ACTIONS(3088),
    [anon_sym_short] = ACTIONS(3088),
    [anon_sym_LBRACK] = ACTIONS(3088),
    [anon_sym_static] = ACTIONS(3088),
    [anon_sym_register] = ACTIONS(3088),
    [anon_sym_inline] = ACTIONS(3088),
    [anon_sym___inline] = ACTIONS(3088),
    [anon_sym___inline__] = ACTIONS(3088),
    [anon_sym___forceinline] = ACTIONS(3088),
    [anon_sym_thread_local] = ACTIONS(3088),
    [anon_sym___thread] = ACTIONS(3088),
    [anon_sym_const] = ACTIONS(3088),
    [anon_sym_constexpr] = ACTIONS(3088),
    [anon_sym_volatile] = ACTIONS(3088),
    [anon_sym_restrict] = ACTIONS(3088),
    [anon_sym___restrict__] = ACTIONS(3088),
    [anon_sym__Atomic] = ACTIONS(3088),
    [anon_sym__Noreturn] = ACTIONS(3088),
    [anon_sym_noreturn] = ACTIONS(3088),
    [anon_sym_mutable] = ACTIONS(3088),
    [anon_sym_constinit] = ACTIONS(3088),
    [anon_sym_consteval] = ACTIONS(3088),
    [sym_primitive_type] = ACTIONS(3088),
    [anon_sym_enum] = ACTIONS(3088),
    [anon_sym_class] = ACTIONS(3088),
    [anon_sym_struct] = ACTIONS(3088),
    [anon_sym_union] = ACTIONS(3088),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3088),
    [anon_sym_decltype] = ACTIONS(3088),
    [anon_sym_virtual] = ACTIONS(3088),
    [anon_sym_alignas] = ACTIONS(3088),
    [anon_sym_explicit] = ACTIONS(3088),
    [anon_sym_typename] = ACTIONS(3088),
    [anon_sym_template] = ACTIONS(3088),
    [anon_sym_operator] = ACTIONS(3088),
    [anon_sym_friend] = ACTIONS(3088),
    [anon_sym_public] = ACTIONS(3088),
    [anon_sym_private] = ACTIONS(3088),
    [anon_sym_protected] = ACTIONS(3088),
    [anon_sym_using] = ACTIONS(3088),
    [anon_sym_static_assert] = ACTIONS(3088),
  },
  [2401] = {
    [sym_identifier] = ACTIONS(3092),
    [aux_sym_preproc_def_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token1] = ACTIONS(3092),
    [aux_sym_preproc_if_token2] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3092),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3092),
    [aux_sym_preproc_else_token1] = ACTIONS(3092),
    [aux_sym_preproc_elif_token1] = ACTIONS(3092),
    [sym_preproc_directive] = ACTIONS(3092),
    [anon_sym_LPAREN2] = ACTIONS(3094),
    [anon_sym_TILDE] = ACTIONS(3094),
    [anon_sym_STAR] = ACTIONS(3094),
    [anon_sym_AMP_AMP] = ACTIONS(3094),
    [anon_sym_AMP] = ACTIONS(3092),
    [anon_sym___extension__] = ACTIONS(3092),
    [anon_sym_typedef] = ACTIONS(3092),
    [anon_sym_extern] = ACTIONS(3092),
    [anon_sym___attribute__] = ACTIONS(3092),
    [anon_sym_COLON_COLON] = ACTIONS(3094),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3094),
    [anon_sym___declspec] = ACTIONS(3092),
    [anon_sym___based] = ACTIONS(3092),
    [anon_sym_signed] = ACTIONS(3092),
    [anon_sym_unsigned] = ACTIONS(3092),
    [anon_sym_long] = ACTIONS(3092),
    [anon_sym_short] = ACTIONS(3092),
    [anon_sym_LBRACK] = ACTIONS(3092),
    [anon_sym_static] = ACTIONS(3092),
    [anon_sym_register] = ACTIONS(3092),
    [anon_sym_inline] = ACTIONS(3092),
    [anon_sym___inline] = ACTIONS(3092),
    [anon_sym___inline__] = ACTIONS(3092),
    [anon_sym___forceinline] = ACTIONS(3092),
    [anon_sym_thread_local] = ACTIONS(3092),
    [anon_sym___thread] = ACTIONS(3092),
    [anon_sym_const] = ACTIONS(3092),
    [anon_sym_constexpr] = ACTIONS(3092),
    [anon_sym_volatile] = ACTIONS(3092),
    [anon_sym_restrict] = ACTIONS(3092),
    [anon_sym___restrict__] = ACTIONS(3092),
    [anon_sym__Atomic] = ACTIONS(3092),
    [anon_sym__Noreturn] = ACTIONS(3092),
    [anon_sym_noreturn] = ACTIONS(3092),
    [anon_sym_mutable] = ACTIONS(3092),
    [anon_sym_constinit] = ACTIONS(3092),
    [anon_sym_consteval] = ACTIONS(3092),
    [sym_primitive_type] = ACTIONS(3092),
    [anon_sym_enum] = ACTIONS(3092),
    [anon_sym_class] = ACTIONS(3092),
    [anon_sym_struct] = ACTIONS(3092),
    [anon_sym_union] = ACTIONS(3092),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3092),
    [anon_sym_decltype] = ACTIONS(3092),
    [anon_sym_virtual] = ACTIONS(3092),
    [anon_sym_alignas] = ACTIONS(3092),
    [anon_sym_explicit] = ACTIONS(3092),
    [anon_sym_typename] = ACTIONS(3092),
    [anon_sym_template] = ACTIONS(3092),
    [anon_sym_operator] = ACTIONS(3092),
    [anon_sym_friend] = ACTIONS(3092),
    [anon_sym_public] = ACTIONS(3092),
    [anon_sym_private] = ACTIONS(3092),
    [anon_sym_protected] = ACTIONS(3092),
    [anon_sym_using] = ACTIONS(3092),
    [anon_sym_static_assert] = ACTIONS(3092),
  },
  [2402] = {
    [sym_identifier] = ACTIONS(3096),
    [aux_sym_preproc_def_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token1] = ACTIONS(3096),
    [aux_sym_preproc_if_token2] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3096),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3096),
    [aux_sym_preproc_else_token1] = ACTIONS(3096),
    [aux_sym_preproc_elif_token1] = ACTIONS(3096),
    [sym_preproc_directive] = ACTIONS(3096),
    [anon_sym_LPAREN2] = ACTIONS(3098),
    [anon_sym_TILDE] = ACTIONS(3098),
    [anon_sym_STAR] = ACTIONS(3098),
    [anon_sym_AMP_AMP] = ACTIONS(3098),
    [anon_sym_AMP] = ACTIONS(3096),
    [anon_sym___extension__] = ACTIONS(3096),
    [anon_sym_typedef] = ACTIONS(3096),
    [anon_sym_extern] = ACTIONS(3096),
    [anon_sym___attribute__] = ACTIONS(3096),
    [anon_sym_COLON_COLON] = ACTIONS(3098),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3098),
    [anon_sym___declspec] = ACTIONS(3096),
    [anon_sym___based] = ACTIONS(3096),
    [anon_sym_signed] = ACTIONS(3096),
    [anon_sym_unsigned] = ACTIONS(3096),
    [anon_sym_long] = ACTIONS(3096),
    [anon_sym_short] = ACTIONS(3096),
    [anon_sym_LBRACK] = ACTIONS(3096),
    [anon_sym_static] = ACTIONS(3096),
    [anon_sym_register] = ACTIONS(3096),
    [anon_sym_inline] = ACTIONS(3096),
    [anon_sym___inline] = ACTIONS(3096),
    [anon_sym___inline__] = ACTIONS(3096),
    [anon_sym___forceinline] = ACTIONS(3096),
    [anon_sym_thread_local] = ACTIONS(3096),
    [anon_sym___thread] = ACTIONS(3096),
    [anon_sym_const] = ACTIONS(3096),
    [anon_sym_constexpr] = ACTIONS(3096),
    [anon_sym_volatile] = ACTIONS(3096),
    [anon_sym_restrict] = ACTIONS(3096),
    [anon_sym___restrict__] = ACTIONS(3096),
    [anon_sym__Atomic] = ACTIONS(3096),
    [anon_sym__Noreturn] = ACTIONS(3096),
    [anon_sym_noreturn] = ACTIONS(3096),
    [anon_sym_mutable] = ACTIONS(3096),
    [anon_sym_constinit] = ACTIONS(3096),
    [anon_sym_consteval] = ACTIONS(3096),
    [sym_primitive_type] = ACTIONS(3096),
    [anon_sym_enum] = ACTIONS(3096),
    [anon_sym_class] = ACTIONS(3096),
    [anon_sym_struct] = ACTIONS(3096),
    [anon_sym_union] = ACTIONS(3096),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3096),
    [anon_sym_decltype] = ACTIONS(3096),
    [anon_sym_virtual] = ACTIONS(3096),
    [anon_sym_alignas] = ACTIONS(3096),
    [anon_sym_explicit] = ACTIONS(3096),
    [anon_sym_typename] = ACTIONS(3096),
    [anon_sym_template] = ACTIONS(3096),
    [anon_sym_operator] = ACTIONS(3096),
    [anon_sym_friend] = ACTIONS(3096),
    [anon_sym_public] = ACTIONS(3096),
    [anon_sym_private] = ACTIONS(3096),
    [anon_sym_protected] = ACTIONS(3096),
    [anon_sym_using] = ACTIONS(3096),
    [anon_sym_static_assert] = ACTIONS(3096),
  },
  [2403] = {
    [sym_identifier] = ACTIONS(3120),
    [aux_sym_preproc_def_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token1] = ACTIONS(3120),
    [aux_sym_preproc_if_token2] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3120),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3120),
    [aux_sym_preproc_else_token1] = ACTIONS(3120),
    [aux_sym_preproc_elif_token1] = ACTIONS(3120),
    [sym_preproc_directive] = ACTIONS(3120),
    [anon_sym_LPAREN2] = ACTIONS(3122),
    [anon_sym_TILDE] = ACTIONS(3122),
    [anon_sym_STAR] = ACTIONS(3122),
    [anon_sym_AMP_AMP] = ACTIONS(3122),
    [anon_sym_AMP] = ACTIONS(3120),
    [anon_sym___extension__] = ACTIONS(3120),
    [anon_sym_typedef] = ACTIONS(3120),
    [anon_sym_extern] = ACTIONS(3120),
    [anon_sym___attribute__] = ACTIONS(3120),
    [anon_sym_COLON_COLON] = ACTIONS(3122),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3122),
    [anon_sym___declspec] = ACTIONS(3120),
    [anon_sym___based] = ACTIONS(3120),
    [anon_sym_signed] = ACTIONS(3120),
    [anon_sym_unsigned] = ACTIONS(3120),
    [anon_sym_long] = ACTIONS(3120),
    [anon_sym_short] = ACTIONS(3120),
    [anon_sym_LBRACK] = ACTIONS(3120),
    [anon_sym_static] = ACTIONS(3120),
    [anon_sym_register] = ACTIONS(3120),
    [anon_sym_inline] = ACTIONS(3120),
    [anon_sym___inline] = ACTIONS(3120),
    [anon_sym___inline__] = ACTIONS(3120),
    [anon_sym___forceinline] = ACTIONS(3120),
    [anon_sym_thread_local] = ACTIONS(3120),
    [anon_sym___thread] = ACTIONS(3120),
    [anon_sym_const] = ACTIONS(3120),
    [anon_sym_constexpr] = ACTIONS(3120),
    [anon_sym_volatile] = ACTIONS(3120),
    [anon_sym_restrict] = ACTIONS(3120),
    [anon_sym___restrict__] = ACTIONS(3120),
    [anon_sym__Atomic] = ACTIONS(3120),
    [anon_sym__Noreturn] = ACTIONS(3120),
    [anon_sym_noreturn] = ACTIONS(3120),
    [anon_sym_mutable] = ACTIONS(3120),
    [anon_sym_constinit] = ACTIONS(3120),
    [anon_sym_consteval] = ACTIONS(3120),
    [sym_primitive_type] = ACTIONS(3120),
    [anon_sym_enum] = ACTIONS(3120),
    [anon_sym_class] = ACTIONS(3120),
    [anon_sym_struct] = ACTIONS(3120),
    [anon_sym_union] = ACTIONS(3120),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3120),
    [anon_sym_decltype] = ACTIONS(3120),
    [anon_sym_virtual] = ACTIONS(3120),
    [anon_sym_alignas] = ACTIONS(3120),
    [anon_sym_explicit] = ACTIONS(3120),
    [anon_sym_typename] = ACTIONS(3120),
    [anon_sym_template] = ACTIONS(3120),
    [anon_sym_operator] = ACTIONS(3120),
    [anon_sym_friend] = ACTIONS(3120),
    [anon_sym_public] = ACTIONS(3120),
    [anon_sym_private] = ACTIONS(3120),
    [anon_sym_protected] = ACTIONS(3120),
    [anon_sym_using] = ACTIONS(3120),
    [anon_sym_static_assert] = ACTIONS(3120),
  },
  [2404] = {
    [sym_identifier] = ACTIONS(3124),
    [aux_sym_preproc_def_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token1] = ACTIONS(3124),
    [aux_sym_preproc_if_token2] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3124),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3124),
    [aux_sym_preproc_else_token1] = ACTIONS(3124),
    [aux_sym_preproc_elif_token1] = ACTIONS(3124),
    [sym_preproc_directive] = ACTIONS(3124),
    [anon_sym_LPAREN2] = ACTIONS(3126),
    [anon_sym_TILDE] = ACTIONS(3126),
    [anon_sym_STAR] = ACTIONS(3126),
    [anon_sym_AMP_AMP] = ACTIONS(3126),
    [anon_sym_AMP] = ACTIONS(3124),
    [anon_sym___extension__] = ACTIONS(3124),
    [anon_sym_typedef] = ACTIONS(3124),
    [anon_sym_extern] = ACTIONS(3124),
    [anon_sym___attribute__] = ACTIONS(3124),
    [anon_sym_COLON_COLON] = ACTIONS(3126),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3126),
    [anon_sym___declspec] = ACTIONS(3124),
    [anon_sym___based] = ACTIONS(3124),
    [anon_sym_signed] = ACTIONS(3124),
    [anon_sym_unsigned] = ACTIONS(3124),
    [anon_sym_long] = ACTIONS(3124),
    [anon_sym_short] = ACTIONS(3124),
    [anon_sym_LBRACK] = ACTIONS(3124),
    [anon_sym_static] = ACTIONS(3124),
    [anon_sym_register] = ACTIONS(3124),
    [anon_sym_inline] = ACTIONS(3124),
    [anon_sym___inline] = ACTIONS(3124),
    [anon_sym___inline__] = ACTIONS(3124),
    [anon_sym___forceinline] = ACTIONS(3124),
    [anon_sym_thread_local] = ACTIONS(3124),
    [anon_sym___thread] = ACTIONS(3124),
    [anon_sym_const] = ACTIONS(3124),
    [anon_sym_constexpr] = ACTIONS(3124),
    [anon_sym_volatile] = ACTIONS(3124),
    [anon_sym_restrict] = ACTIONS(3124),
    [anon_sym___restrict__] = ACTIONS(3124),
    [anon_sym__Atomic] = ACTIONS(3124),
    [anon_sym__Noreturn] = ACTIONS(3124),
    [anon_sym_noreturn] = ACTIONS(3124),
    [anon_sym_mutable] = ACTIONS(3124),
    [anon_sym_constinit] = ACTIONS(3124),
    [anon_sym_consteval] = ACTIONS(3124),
    [sym_primitive_type] = ACTIONS(3124),
    [anon_sym_enum] = ACTIONS(3124),
    [anon_sym_class] = ACTIONS(3124),
    [anon_sym_struct] = ACTIONS(3124),
    [anon_sym_union] = ACTIONS(3124),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3124),
    [anon_sym_decltype] = ACTIONS(3124),
    [anon_sym_virtual] = ACTIONS(3124),
    [anon_sym_alignas] = ACTIONS(3124),
    [anon_sym_explicit] = ACTIONS(3124),
    [anon_sym_typename] = ACTIONS(3124),
    [anon_sym_template] = ACTIONS(3124),
    [anon_sym_operator] = ACTIONS(3124),
    [anon_sym_friend] = ACTIONS(3124),
    [anon_sym_public] = ACTIONS(3124),
    [anon_sym_private] = ACTIONS(3124),
    [anon_sym_protected] = ACTIONS(3124),
    [anon_sym_using] = ACTIONS(3124),
    [anon_sym_static_assert] = ACTIONS(3124),
  },
  [2405] = {
    [sym_identifier] = ACTIONS(3132),
    [aux_sym_preproc_def_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token1] = ACTIONS(3132),
    [aux_sym_preproc_if_token2] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3132),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3132),
    [aux_sym_preproc_else_token1] = ACTIONS(3132),
    [aux_sym_preproc_elif_token1] = ACTIONS(3132),
    [sym_preproc_directive] = ACTIONS(3132),
    [anon_sym_LPAREN2] = ACTIONS(3134),
    [anon_sym_TILDE] = ACTIONS(3134),
    [anon_sym_STAR] = ACTIONS(3134),
    [anon_sym_AMP_AMP] = ACTIONS(3134),
    [anon_sym_AMP] = ACTIONS(3132),
    [anon_sym___extension__] = ACTIONS(3132),
    [anon_sym_typedef] = ACTIONS(3132),
    [anon_sym_extern] = ACTIONS(3132),
    [anon_sym___attribute__] = ACTIONS(3132),
    [anon_sym_COLON_COLON] = ACTIONS(3134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3134),
    [anon_sym___declspec] = ACTIONS(3132),
    [anon_sym___based] = ACTIONS(3132),
    [anon_sym_signed] = ACTIONS(3132),
    [anon_sym_unsigned] = ACTIONS(3132),
    [anon_sym_long] = ACTIONS(3132),
    [anon_sym_short] = ACTIONS(3132),
    [anon_sym_LBRACK] = ACTIONS(3132),
    [anon_sym_static] = ACTIONS(3132),
    [anon_sym_register] = ACTIONS(3132),
    [anon_sym_inline] = ACTIONS(3132),
    [anon_sym___inline] = ACTIONS(3132),
    [anon_sym___inline__] = ACTIONS(3132),
    [anon_sym___forceinline] = ACTIONS(3132),
    [anon_sym_thread_local] = ACTIONS(3132),
    [anon_sym___thread] = ACTIONS(3132),
    [anon_sym_const] = ACTIONS(3132),
    [anon_sym_constexpr] = ACTIONS(3132),
    [anon_sym_volatile] = ACTIONS(3132),
    [anon_sym_restrict] = ACTIONS(3132),
    [anon_sym___restrict__] = ACTIONS(3132),
    [anon_sym__Atomic] = ACTIONS(3132),
    [anon_sym__Noreturn] = ACTIONS(3132),
    [anon_sym_noreturn] = ACTIONS(3132),
    [anon_sym_mutable] = ACTIONS(3132),
    [anon_sym_constinit] = ACTIONS(3132),
    [anon_sym_consteval] = ACTIONS(3132),
    [sym_primitive_type] = ACTIONS(3132),
    [anon_sym_enum] = ACTIONS(3132),
    [anon_sym_class] = ACTIONS(3132),
    [anon_sym_struct] = ACTIONS(3132),
    [anon_sym_union] = ACTIONS(3132),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3132),
    [anon_sym_decltype] = ACTIONS(3132),
    [anon_sym_virtual] = ACTIONS(3132),
    [anon_sym_alignas] = ACTIONS(3132),
    [anon_sym_explicit] = ACTIONS(3132),
    [anon_sym_typename] = ACTIONS(3132),
    [anon_sym_template] = ACTIONS(3132),
    [anon_sym_operator] = ACTIONS(3132),
    [anon_sym_friend] = ACTIONS(3132),
    [anon_sym_public] = ACTIONS(3132),
    [anon_sym_private] = ACTIONS(3132),
    [anon_sym_protected] = ACTIONS(3132),
    [anon_sym_using] = ACTIONS(3132),
    [anon_sym_static_assert] = ACTIONS(3132),
  },
  [2406] = {
    [sym_attribute_specifier] = STATE(2491),
    [sym_identifier] = ACTIONS(5914),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5916),
    [anon_sym_COMMA] = ACTIONS(5916),
    [anon_sym_RPAREN] = ACTIONS(5916),
    [aux_sym_preproc_if_token2] = ACTIONS(5916),
    [aux_sym_preproc_else_token1] = ACTIONS(5916),
    [aux_sym_preproc_elif_token1] = ACTIONS(5914),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5916),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5916),
    [anon_sym_LPAREN2] = ACTIONS(5916),
    [anon_sym_DASH] = ACTIONS(5914),
    [anon_sym_PLUS] = ACTIONS(5914),
    [anon_sym_STAR] = ACTIONS(5914),
    [anon_sym_SLASH] = ACTIONS(5914),
    [anon_sym_PERCENT] = ACTIONS(5914),
    [anon_sym_PIPE_PIPE] = ACTIONS(5916),
    [anon_sym_AMP_AMP] = ACTIONS(5916),
    [anon_sym_PIPE] = ACTIONS(5914),
    [anon_sym_CARET] = ACTIONS(5914),
    [anon_sym_AMP] = ACTIONS(5914),
    [anon_sym_EQ_EQ] = ACTIONS(5916),
    [anon_sym_BANG_EQ] = ACTIONS(5916),
    [anon_sym_GT] = ACTIONS(5914),
    [anon_sym_GT_EQ] = ACTIONS(5916),
    [anon_sym_LT_EQ] = ACTIONS(5914),
    [anon_sym_LT] = ACTIONS(5914),
    [anon_sym_LT_LT] = ACTIONS(5914),
    [anon_sym_GT_GT] = ACTIONS(5914),
    [anon_sym_SEMI] = ACTIONS(5916),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5916),
    [anon_sym_RBRACE] = ACTIONS(5916),
    [anon_sym_LBRACK] = ACTIONS(5916),
    [anon_sym_RBRACK] = ACTIONS(5916),
    [anon_sym_EQ] = ACTIONS(5914),
    [anon_sym_COLON] = ACTIONS(5916),
    [anon_sym_QMARK] = ACTIONS(5916),
    [anon_sym_STAR_EQ] = ACTIONS(5916),
    [anon_sym_SLASH_EQ] = ACTIONS(5916),
    [anon_sym_PERCENT_EQ] = ACTIONS(5916),
    [anon_sym_PLUS_EQ] = ACTIONS(5916),
    [anon_sym_DASH_EQ] = ACTIONS(5916),
    [anon_sym_LT_LT_EQ] = ACTIONS(5916),
    [anon_sym_GT_GT_EQ] = ACTIONS(5916),
    [anon_sym_AMP_EQ] = ACTIONS(5916),
    [anon_sym_CARET_EQ] = ACTIONS(5916),
    [anon_sym_PIPE_EQ] = ACTIONS(5916),
    [anon_sym_and_eq] = ACTIONS(5914),
    [anon_sym_or_eq] = ACTIONS(5914),
    [anon_sym_xor_eq] = ACTIONS(5914),
    [anon_sym_LT_EQ_GT] = ACTIONS(5916),
    [anon_sym_or] = ACTIONS(5914),
    [anon_sym_and] = ACTIONS(5914),
    [anon_sym_bitor] = ACTIONS(5914),
    [anon_sym_xor] = ACTIONS(5914),
    [anon_sym_bitand] = ACTIONS(5914),
    [anon_sym_not_eq] = ACTIONS(5914),
    [anon_sym_DASH_DASH] = ACTIONS(5916),
    [anon_sym_PLUS_PLUS] = ACTIONS(5916),
    [anon_sym_DOT] = ACTIONS(5914),
    [anon_sym_DOT_STAR] = ACTIONS(5916),
    [anon_sym_DASH_GT] = ACTIONS(5916),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5914),
    [anon_sym_decltype] = ACTIONS(5914),
  },
  [2407] = {
    [sym_attribute_specifier] = STATE(2496),
    [sym_identifier] = ACTIONS(5918),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5920),
    [anon_sym_COMMA] = ACTIONS(5920),
    [anon_sym_RPAREN] = ACTIONS(5920),
    [aux_sym_preproc_if_token2] = ACTIONS(5920),
    [aux_sym_preproc_else_token1] = ACTIONS(5920),
    [aux_sym_preproc_elif_token1] = ACTIONS(5918),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5920),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5920),
    [anon_sym_LPAREN2] = ACTIONS(5920),
    [anon_sym_DASH] = ACTIONS(5918),
    [anon_sym_PLUS] = ACTIONS(5918),
    [anon_sym_STAR] = ACTIONS(5918),
    [anon_sym_SLASH] = ACTIONS(5918),
    [anon_sym_PERCENT] = ACTIONS(5918),
    [anon_sym_PIPE_PIPE] = ACTIONS(5920),
    [anon_sym_AMP_AMP] = ACTIONS(5920),
    [anon_sym_PIPE] = ACTIONS(5918),
    [anon_sym_CARET] = ACTIONS(5918),
    [anon_sym_AMP] = ACTIONS(5918),
    [anon_sym_EQ_EQ] = ACTIONS(5920),
    [anon_sym_BANG_EQ] = ACTIONS(5920),
    [anon_sym_GT] = ACTIONS(5918),
    [anon_sym_GT_EQ] = ACTIONS(5920),
    [anon_sym_LT_EQ] = ACTIONS(5918),
    [anon_sym_LT] = ACTIONS(5918),
    [anon_sym_LT_LT] = ACTIONS(5918),
    [anon_sym_GT_GT] = ACTIONS(5918),
    [anon_sym_SEMI] = ACTIONS(5920),
    [anon_sym___attribute__] = ACTIONS(5315),
    [anon_sym_LBRACE] = ACTIONS(5920),
    [anon_sym_RBRACE] = ACTIONS(5920),
    [anon_sym_LBRACK] = ACTIONS(5920),
    [anon_sym_RBRACK] = ACTIONS(5920),
    [anon_sym_EQ] = ACTIONS(5918),
    [anon_sym_COLON] = ACTIONS(5920),
    [anon_sym_QMARK] = ACTIONS(5920),
    [anon_sym_STAR_EQ] = ACTIONS(5920),
    [anon_sym_SLASH_EQ] = ACTIONS(5920),
    [anon_sym_PERCENT_EQ] = ACTIONS(5920),
    [anon_sym_PLUS_EQ] = ACTIONS(5920),
    [anon_sym_DASH_EQ] = ACTIONS(5920),
    [anon_sym_LT_LT_EQ] = ACTIONS(5920),
    [anon_sym_GT_GT_EQ] = ACTIONS(5920),
    [anon_sym_AMP_EQ] = ACTIONS(5920),
    [anon_sym_CARET_EQ] = ACTIONS(5920),
    [anon_sym_PIPE_EQ] = ACTIONS(5920),
    [anon_sym_and_eq] = ACTIONS(5918),
    [anon_sym_or_eq] = ACTIONS(5918),
    [anon_sym_xor_eq] = ACTIONS(5918),
    [anon_sym_LT_EQ_GT] = ACTIONS(5920),
    [anon_sym_or] = ACTIONS(5918),
    [anon_sym_and] = ACTIONS(5918),
    [anon_sym_bitor] = ACTIONS(5918),
    [anon_sym_xor] = ACTIONS(5918),
    [anon_sym_bitand] = ACTIONS(5918),
    [anon_sym_not_eq] = ACTIONS(5918),
    [anon_sym_DASH_DASH] = ACTIONS(5920),
    [anon_sym_PLUS_PLUS] = ACTIONS(5920),
    [anon_sym_DOT] = ACTIONS(5918),
    [anon_sym_DOT_STAR] = ACTIONS(5920),
    [anon_sym_DASH_GT] = ACTIONS(5920),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5918),
    [anon_sym_decltype] = ACTIONS(5918),
  },
  [2408] = {
    [sym_attribute_declaration] = STATE(2469),
    [sym_parameter_list] = STATE(2473),
    [aux_sym_attributed_declarator_repeat1] = STATE(2469),
    [sym_identifier] = ACTIONS(5922),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5924),
    [anon_sym_COMMA] = ACTIONS(5924),
    [anon_sym_RPAREN] = ACTIONS(5924),
    [aux_sym_preproc_if_token2] = ACTIONS(5924),
    [aux_sym_preproc_else_token1] = ACTIONS(5924),
    [aux_sym_preproc_elif_token1] = ACTIONS(5922),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5924),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5924),
    [anon_sym_LPAREN2] = ACTIONS(5829),
    [anon_sym_DASH] = ACTIONS(5922),
    [anon_sym_PLUS] = ACTIONS(5922),
    [anon_sym_STAR] = ACTIONS(5922),
    [anon_sym_SLASH] = ACTIONS(5922),
    [anon_sym_PERCENT] = ACTIONS(5922),
    [anon_sym_PIPE_PIPE] = ACTIONS(5924),
    [anon_sym_AMP_AMP] = ACTIONS(5924),
    [anon_sym_PIPE] = ACTIONS(5922),
    [anon_sym_CARET] = ACTIONS(5922),
    [anon_sym_AMP] = ACTIONS(5922),
    [anon_sym_EQ_EQ] = ACTIONS(5924),
    [anon_sym_BANG_EQ] = ACTIONS(5924),
    [anon_sym_GT] = ACTIONS(5922),
    [anon_sym_GT_EQ] = ACTIONS(5924),
    [anon_sym_LT_EQ] = ACTIONS(5922),
    [anon_sym_LT] = ACTIONS(5922),
    [anon_sym_LT_LT] = ACTIONS(5922),
    [anon_sym_GT_GT] = ACTIONS(5922),
    [anon_sym_SEMI] = ACTIONS(5924),
    [anon_sym___attribute__] = ACTIONS(5922),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5831),
    [anon_sym_RBRACE] = ACTIONS(5924),
    [anon_sym_LBRACK] = ACTIONS(5833),
    [anon_sym_RBRACK] = ACTIONS(5924),
    [anon_sym_EQ] = ACTIONS(5922),
    [anon_sym_COLON] = ACTIONS(5924),
    [anon_sym_QMARK] = ACTIONS(5924),
    [anon_sym_STAR_EQ] = ACTIONS(5924),
    [anon_sym_SLASH_EQ] = ACTIONS(5924),
    [anon_sym_PERCENT_EQ] = ACTIONS(5924),
    [anon_sym_PLUS_EQ] = ACTIONS(5924),
    [anon_sym_DASH_EQ] = ACTIONS(5924),
    [anon_sym_LT_LT_EQ] = ACTIONS(5924),
    [anon_sym_GT_GT_EQ] = ACTIONS(5924),
    [anon_sym_AMP_EQ] = ACTIONS(5924),
    [anon_sym_CARET_EQ] = ACTIONS(5924),
    [anon_sym_PIPE_EQ] = ACTIONS(5924),
    [anon_sym_and_eq] = ACTIONS(5922),
    [anon_sym_or_eq] = ACTIONS(5922),
    [anon_sym_xor_eq] = ACTIONS(5922),
    [anon_sym_LT_EQ_GT] = ACTIONS(5924),
    [anon_sym_or] = ACTIONS(5922),
    [anon_sym_and] = ACTIONS(5922),
    [anon_sym_bitor] = ACTIONS(5922),
    [anon_sym_xor] = ACTIONS(5922),
    [anon_sym_bitand] = ACTIONS(5922),
    [anon_sym_not_eq] = ACTIONS(5922),
    [anon_sym_DASH_DASH] = ACTIONS(5924),
    [anon_sym_PLUS_PLUS] = ACTIONS(5924),
    [anon_sym_DOT] = ACTIONS(5922),
    [anon_sym_DOT_STAR] = ACTIONS(5924),
    [anon_sym_DASH_GT] = ACTIONS(5924),
    [sym_comment] = ACTIONS(3),
  },
  [2409] = {
    [sym_identifier] = ACTIONS(3148),
    [aux_sym_preproc_def_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token1] = ACTIONS(3148),
    [aux_sym_preproc_if_token2] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3148),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3148),
    [aux_sym_preproc_else_token1] = ACTIONS(3148),
    [aux_sym_preproc_elif_token1] = ACTIONS(3148),
    [sym_preproc_directive] = ACTIONS(3148),
    [anon_sym_LPAREN2] = ACTIONS(3150),
    [anon_sym_TILDE] = ACTIONS(3150),
    [anon_sym_STAR] = ACTIONS(3150),
    [anon_sym_AMP_AMP] = ACTIONS(3150),
    [anon_sym_AMP] = ACTIONS(3148),
    [anon_sym___extension__] = ACTIONS(3148),
    [anon_sym_typedef] = ACTIONS(3148),
    [anon_sym_extern] = ACTIONS(3148),
    [anon_sym___attribute__] = ACTIONS(3148),
    [anon_sym_COLON_COLON] = ACTIONS(3150),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3150),
    [anon_sym___declspec] = ACTIONS(3148),
    [anon_sym___based] = ACTIONS(3148),
    [anon_sym_signed] = ACTIONS(3148),
    [anon_sym_unsigned] = ACTIONS(3148),
    [anon_sym_long] = ACTIONS(3148),
    [anon_sym_short] = ACTIONS(3148),
    [anon_sym_LBRACK] = ACTIONS(3148),
    [anon_sym_static] = ACTIONS(3148),
    [anon_sym_register] = ACTIONS(3148),
    [anon_sym_inline] = ACTIONS(3148),
    [anon_sym___inline] = ACTIONS(3148),
    [anon_sym___inline__] = ACTIONS(3148),
    [anon_sym___forceinline] = ACTIONS(3148),
    [anon_sym_thread_local] = ACTIONS(3148),
    [anon_sym___thread] = ACTIONS(3148),
    [anon_sym_const] = ACTIONS(3148),
    [anon_sym_constexpr] = ACTIONS(3148),
    [anon_sym_volatile] = ACTIONS(3148),
    [anon_sym_restrict] = ACTIONS(3148),
    [anon_sym___restrict__] = ACTIONS(3148),
    [anon_sym__Atomic] = ACTIONS(3148),
    [anon_sym__Noreturn] = ACTIONS(3148),
    [anon_sym_noreturn] = ACTIONS(3148),
    [anon_sym_mutable] = ACTIONS(3148),
    [anon_sym_constinit] = ACTIONS(3148),
    [anon_sym_consteval] = ACTIONS(3148),
    [sym_primitive_type] = ACTIONS(3148),
    [anon_sym_enum] = ACTIONS(3148),
    [anon_sym_class] = ACTIONS(3148),
    [anon_sym_struct] = ACTIONS(3148),
    [anon_sym_union] = ACTIONS(3148),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3148),
    [anon_sym_decltype] = ACTIONS(3148),
    [anon_sym_virtual] = ACTIONS(3148),
    [anon_sym_alignas] = ACTIONS(3148),
    [anon_sym_explicit] = ACTIONS(3148),
    [anon_sym_typename] = ACTIONS(3148),
    [anon_sym_template] = ACTIONS(3148),
    [anon_sym_operator] = ACTIONS(3148),
    [anon_sym_friend] = ACTIONS(3148),
    [anon_sym_public] = ACTIONS(3148),
    [anon_sym_private] = ACTIONS(3148),
    [anon_sym_protected] = ACTIONS(3148),
    [anon_sym_using] = ACTIONS(3148),
    [anon_sym_static_assert] = ACTIONS(3148),
  },
  [2410] = {
    [sym_identifier] = ACTIONS(3156),
    [aux_sym_preproc_def_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token1] = ACTIONS(3156),
    [aux_sym_preproc_if_token2] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(3156),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(3156),
    [aux_sym_preproc_else_token1] = ACTIONS(3156),
    [aux_sym_preproc_elif_token1] = ACTIONS(3156),
    [sym_preproc_directive] = ACTIONS(3156),
    [anon_sym_LPAREN2] = ACTIONS(3158),
    [anon_sym_TILDE] = ACTIONS(3158),
    [anon_sym_STAR] = ACTIONS(3158),
    [anon_sym_AMP_AMP] = ACTIONS(3158),
    [anon_sym_AMP] = ACTIONS(3156),
    [anon_sym___extension__] = ACTIONS(3156),
    [anon_sym_typedef] = ACTIONS(3156),
    [anon_sym_extern] = ACTIONS(3156),
    [anon_sym___attribute__] = ACTIONS(3156),
    [anon_sym_COLON_COLON] = ACTIONS(3158),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(3158),
    [anon_sym___declspec] = ACTIONS(3156),
    [anon_sym___based] = ACTIONS(3156),
    [anon_sym_signed] = ACTIONS(3156),
    [anon_sym_unsigned] = ACTIONS(3156),
    [anon_sym_long] = ACTIONS(3156),
    [anon_sym_short] = ACTIONS(3156),
    [anon_sym_LBRACK] = ACTIONS(3156),
    [anon_sym_static] = ACTIONS(3156),
    [anon_sym_register] = ACTIONS(3156),
    [anon_sym_inline] = ACTIONS(3156),
    [anon_sym___inline] = ACTIONS(3156),
    [anon_sym___inline__] = ACTIONS(3156),
    [anon_sym___forceinline] = ACTIONS(3156),
    [anon_sym_thread_local] = ACTIONS(3156),
    [anon_sym___thread] = ACTIONS(3156),
    [anon_sym_const] = ACTIONS(3156),
    [anon_sym_constexpr] = ACTIONS(3156),
    [anon_sym_volatile] = ACTIONS(3156),
    [anon_sym_restrict] = ACTIONS(3156),
    [anon_sym___restrict__] = ACTIONS(3156),
    [anon_sym__Atomic] = ACTIONS(3156),
    [anon_sym__Noreturn] = ACTIONS(3156),
    [anon_sym_noreturn] = ACTIONS(3156),
    [anon_sym_mutable] = ACTIONS(3156),
    [anon_sym_constinit] = ACTIONS(3156),
    [anon_sym_consteval] = ACTIONS(3156),
    [sym_primitive_type] = ACTIONS(3156),
    [anon_sym_enum] = ACTIONS(3156),
    [anon_sym_class] = ACTIONS(3156),
    [anon_sym_struct] = ACTIONS(3156),
    [anon_sym_union] = ACTIONS(3156),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(3156),
    [anon_sym_decltype] = ACTIONS(3156),
    [anon_sym_virtual] = ACTIONS(3156),
    [anon_sym_alignas] = ACTIONS(3156),
    [anon_sym_explicit] = ACTIONS(3156),
    [anon_sym_typename] = ACTIONS(3156),
    [anon_sym_template] = ACTIONS(3156),
    [anon_sym_operator] = ACTIONS(3156),
    [anon_sym_friend] = ACTIONS(3156),
    [anon_sym_public] = ACTIONS(3156),
    [anon_sym_private] = ACTIONS(3156),
    [anon_sym_protected] = ACTIONS(3156),
    [anon_sym_using] = ACTIONS(3156),
    [anon_sym_static_assert] = ACTIONS(3156),
  },
  [2411] = {
    [sym_identifier] = ACTIONS(5715),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5717),
    [anon_sym_COMMA] = ACTIONS(5717),
    [anon_sym_RPAREN] = ACTIONS(5717),
    [aux_sym_preproc_if_token2] = ACTIONS(5717),
    [aux_sym_preproc_else_token1] = ACTIONS(5717),
    [aux_sym_preproc_elif_token1] = ACTIONS(5715),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5717),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5717),
    [anon_sym_LPAREN2] = ACTIONS(5717),
    [anon_sym_DASH] = ACTIONS(5715),
    [anon_sym_PLUS] = ACTIONS(5715),
    [anon_sym_STAR] = ACTIONS(5715),
    [anon_sym_SLASH] = ACTIONS(5715),
    [anon_sym_PERCENT] = ACTIONS(5715),
    [anon_sym_PIPE_PIPE] = ACTIONS(5717),
    [anon_sym_AMP_AMP] = ACTIONS(5717),
    [anon_sym_PIPE] = ACTIONS(5715),
    [anon_sym_CARET] = ACTIONS(5715),
    [anon_sym_AMP] = ACTIONS(5715),
    [anon_sym_EQ_EQ] = ACTIONS(5717),
    [anon_sym_BANG_EQ] = ACTIONS(5717),
    [anon_sym_GT] = ACTIONS(5715),
    [anon_sym_GT_EQ] = ACTIONS(5717),
    [anon_sym_LT_EQ] = ACTIONS(5715),
    [anon_sym_LT] = ACTIONS(5715),
    [anon_sym_LT_LT] = ACTIONS(5715),
    [anon_sym_GT_GT] = ACTIONS(5715),
    [anon_sym_SEMI] = ACTIONS(5717),
    [anon_sym___attribute__] = ACTIONS(5715),
    [anon_sym_LBRACE] = ACTIONS(5717),
    [anon_sym_RBRACE] = ACTIONS(5717),
    [anon_sym_LBRACK] = ACTIONS(5717),
    [anon_sym_RBRACK] = ACTIONS(5717),
    [anon_sym_EQ] = ACTIONS(5715),
    [anon_sym_COLON] = ACTIONS(5717),
    [anon_sym_QMARK] = ACTIONS(5717),
    [anon_sym_STAR_EQ] = ACTIONS(5717),
    [anon_sym_SLASH_EQ] = ACTIONS(5717),
    [anon_sym_PERCENT_EQ] = ACTIONS(5717),
    [anon_sym_PLUS_EQ] = ACTIONS(5717),
    [anon_sym_DASH_EQ] = ACTIONS(5717),
    [anon_sym_LT_LT_EQ] = ACTIONS(5717),
    [anon_sym_GT_GT_EQ] = ACTIONS(5717),
    [anon_sym_AMP_EQ] = ACTIONS(5717),
    [anon_sym_CARET_EQ] = ACTIONS(5717),
    [anon_sym_PIPE_EQ] = ACTIONS(5717),
    [anon_sym_and_eq] = ACTIONS(5715),
    [anon_sym_or_eq] = ACTIONS(5715),
    [anon_sym_xor_eq] = ACTIONS(5715),
    [anon_sym_LT_EQ_GT] = ACTIONS(5717),
    [anon_sym_or] = ACTIONS(5715),
    [anon_sym_and] = ACTIONS(5715),
    [anon_sym_bitor] = ACTIONS(5715),
    [anon_sym_xor] = ACTIONS(5715),
    [anon_sym_bitand] = ACTIONS(5715),
    [anon_sym_not_eq] = ACTIONS(5715),
    [anon_sym_DASH_DASH] = ACTIONS(5717),
    [anon_sym_PLUS_PLUS] = ACTIONS(5717),
    [anon_sym_DOT] = ACTIONS(5715),
    [anon_sym_DOT_STAR] = ACTIONS(5717),
    [anon_sym_DASH_GT] = ACTIONS(5717),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5715),
    [anon_sym_decltype] = ACTIONS(5715),
  },
  [2412] = {
    [sym_argument_list] = STATE(2846),
    [sym_initializer_list] = STATE(2846),
    [sym_identifier] = ACTIONS(5926),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5928),
    [anon_sym_COMMA] = ACTIONS(5928),
    [anon_sym_RPAREN] = ACTIONS(5928),
    [aux_sym_preproc_if_token2] = ACTIONS(5928),
    [aux_sym_preproc_else_token1] = ACTIONS(5928),
    [aux_sym_preproc_elif_token1] = ACTIONS(5926),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5928),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5928),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5926),
    [anon_sym_PLUS] = ACTIONS(5926),
    [anon_sym_STAR] = ACTIONS(5926),
    [anon_sym_SLASH] = ACTIONS(5926),
    [anon_sym_PERCENT] = ACTIONS(5926),
    [anon_sym_PIPE_PIPE] = ACTIONS(5928),
    [anon_sym_AMP_AMP] = ACTIONS(5928),
    [anon_sym_PIPE] = ACTIONS(5926),
    [anon_sym_CARET] = ACTIONS(5926),
    [anon_sym_AMP] = ACTIONS(5926),
    [anon_sym_EQ_EQ] = ACTIONS(5928),
    [anon_sym_BANG_EQ] = ACTIONS(5928),
    [anon_sym_GT] = ACTIONS(5926),
    [anon_sym_GT_EQ] = ACTIONS(5928),
    [anon_sym_LT_EQ] = ACTIONS(5926),
    [anon_sym_LT] = ACTIONS(5926),
    [anon_sym_LT_LT] = ACTIONS(5926),
    [anon_sym_GT_GT] = ACTIONS(5926),
    [anon_sym_SEMI] = ACTIONS(5928),
    [anon_sym___attribute__] = ACTIONS(5926),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5928),
    [anon_sym_LBRACK] = ACTIONS(5928),
    [anon_sym_RBRACK] = ACTIONS(5928),
    [anon_sym_EQ] = ACTIONS(5926),
    [anon_sym_COLON] = ACTIONS(5928),
    [anon_sym_QMARK] = ACTIONS(5928),
    [anon_sym_STAR_EQ] = ACTIONS(5928),
    [anon_sym_SLASH_EQ] = ACTIONS(5928),
    [anon_sym_PERCENT_EQ] = ACTIONS(5928),
    [anon_sym_PLUS_EQ] = ACTIONS(5928),
    [anon_sym_DASH_EQ] = ACTIONS(5928),
    [anon_sym_LT_LT_EQ] = ACTIONS(5928),
    [anon_sym_GT_GT_EQ] = ACTIONS(5928),
    [anon_sym_AMP_EQ] = ACTIONS(5928),
    [anon_sym_CARET_EQ] = ACTIONS(5928),
    [anon_sym_PIPE_EQ] = ACTIONS(5928),
    [anon_sym_and_eq] = ACTIONS(5926),
    [anon_sym_or_eq] = ACTIONS(5926),
    [anon_sym_xor_eq] = ACTIONS(5926),
    [anon_sym_LT_EQ_GT] = ACTIONS(5928),
    [anon_sym_or] = ACTIONS(5926),
    [anon_sym_and] = ACTIONS(5926),
    [anon_sym_bitor] = ACTIONS(5926),
    [anon_sym_xor] = ACTIONS(5926),
    [anon_sym_bitand] = ACTIONS(5926),
    [anon_sym_not_eq] = ACTIONS(5926),
    [anon_sym_DASH_DASH] = ACTIONS(5928),
    [anon_sym_PLUS_PLUS] = ACTIONS(5928),
    [anon_sym_DOT] = ACTIONS(5926),
    [anon_sym_DOT_STAR] = ACTIONS(5928),
    [anon_sym_DASH_GT] = ACTIONS(5928),
    [sym_comment] = ACTIONS(3),
  },
  [2413] = {
    [sym_identifier] = ACTIONS(5634),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5636),
    [anon_sym_COMMA] = ACTIONS(5636),
    [anon_sym_RPAREN] = ACTIONS(5636),
    [aux_sym_preproc_if_token2] = ACTIONS(5636),
    [aux_sym_preproc_else_token1] = ACTIONS(5636),
    [aux_sym_preproc_elif_token1] = ACTIONS(5634),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5636),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5636),
    [anon_sym_LPAREN2] = ACTIONS(5636),
    [anon_sym_DASH] = ACTIONS(5634),
    [anon_sym_PLUS] = ACTIONS(5634),
    [anon_sym_STAR] = ACTIONS(5634),
    [anon_sym_SLASH] = ACTIONS(5634),
    [anon_sym_PERCENT] = ACTIONS(5634),
    [anon_sym_PIPE_PIPE] = ACTIONS(5636),
    [anon_sym_AMP_AMP] = ACTIONS(5636),
    [anon_sym_PIPE] = ACTIONS(5634),
    [anon_sym_CARET] = ACTIONS(5634),
    [anon_sym_AMP] = ACTIONS(5634),
    [anon_sym_EQ_EQ] = ACTIONS(5636),
    [anon_sym_BANG_EQ] = ACTIONS(5636),
    [anon_sym_GT] = ACTIONS(5634),
    [anon_sym_GT_EQ] = ACTIONS(5636),
    [anon_sym_LT_EQ] = ACTIONS(5634),
    [anon_sym_LT] = ACTIONS(5634),
    [anon_sym_LT_LT] = ACTIONS(5634),
    [anon_sym_GT_GT] = ACTIONS(5634),
    [anon_sym_SEMI] = ACTIONS(5636),
    [anon_sym___attribute__] = ACTIONS(5634),
    [anon_sym_LBRACE] = ACTIONS(5636),
    [anon_sym_RBRACE] = ACTIONS(5636),
    [anon_sym_LBRACK] = ACTIONS(5636),
    [anon_sym_RBRACK] = ACTIONS(5636),
    [anon_sym_EQ] = ACTIONS(5634),
    [anon_sym_COLON] = ACTIONS(5636),
    [anon_sym_QMARK] = ACTIONS(5636),
    [anon_sym_STAR_EQ] = ACTIONS(5636),
    [anon_sym_SLASH_EQ] = ACTIONS(5636),
    [anon_sym_PERCENT_EQ] = ACTIONS(5636),
    [anon_sym_PLUS_EQ] = ACTIONS(5636),
    [anon_sym_DASH_EQ] = ACTIONS(5636),
    [anon_sym_LT_LT_EQ] = ACTIONS(5636),
    [anon_sym_GT_GT_EQ] = ACTIONS(5636),
    [anon_sym_AMP_EQ] = ACTIONS(5636),
    [anon_sym_CARET_EQ] = ACTIONS(5636),
    [anon_sym_PIPE_EQ] = ACTIONS(5636),
    [anon_sym_and_eq] = ACTIONS(5634),
    [anon_sym_or_eq] = ACTIONS(5634),
    [anon_sym_xor_eq] = ACTIONS(5634),
    [anon_sym_LT_EQ_GT] = ACTIONS(5636),
    [anon_sym_or] = ACTIONS(5634),
    [anon_sym_and] = ACTIONS(5634),
    [anon_sym_bitor] = ACTIONS(5634),
    [anon_sym_xor] = ACTIONS(5634),
    [anon_sym_bitand] = ACTIONS(5634),
    [anon_sym_not_eq] = ACTIONS(5634),
    [anon_sym_DASH_DASH] = ACTIONS(5636),
    [anon_sym_PLUS_PLUS] = ACTIONS(5636),
    [anon_sym_DOT] = ACTIONS(5634),
    [anon_sym_DOT_STAR] = ACTIONS(5636),
    [anon_sym_DASH_GT] = ACTIONS(5636),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5634),
    [anon_sym_decltype] = ACTIONS(5634),
  },
  [2414] = {
    [sym_argument_list] = STATE(2801),
    [sym_initializer_list] = STATE(2801),
    [sym_identifier] = ACTIONS(5930),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5932),
    [anon_sym_COMMA] = ACTIONS(5932),
    [anon_sym_RPAREN] = ACTIONS(5932),
    [aux_sym_preproc_if_token2] = ACTIONS(5932),
    [aux_sym_preproc_else_token1] = ACTIONS(5932),
    [aux_sym_preproc_elif_token1] = ACTIONS(5930),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5932),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5932),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5930),
    [anon_sym_PLUS] = ACTIONS(5930),
    [anon_sym_STAR] = ACTIONS(5930),
    [anon_sym_SLASH] = ACTIONS(5930),
    [anon_sym_PERCENT] = ACTIONS(5930),
    [anon_sym_PIPE_PIPE] = ACTIONS(5932),
    [anon_sym_AMP_AMP] = ACTIONS(5932),
    [anon_sym_PIPE] = ACTIONS(5930),
    [anon_sym_CARET] = ACTIONS(5930),
    [anon_sym_AMP] = ACTIONS(5930),
    [anon_sym_EQ_EQ] = ACTIONS(5932),
    [anon_sym_BANG_EQ] = ACTIONS(5932),
    [anon_sym_GT] = ACTIONS(5930),
    [anon_sym_GT_EQ] = ACTIONS(5932),
    [anon_sym_LT_EQ] = ACTIONS(5930),
    [anon_sym_LT] = ACTIONS(5930),
    [anon_sym_LT_LT] = ACTIONS(5930),
    [anon_sym_GT_GT] = ACTIONS(5930),
    [anon_sym_SEMI] = ACTIONS(5932),
    [anon_sym___attribute__] = ACTIONS(5930),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5932),
    [anon_sym_LBRACK] = ACTIONS(5932),
    [anon_sym_RBRACK] = ACTIONS(5932),
    [anon_sym_EQ] = ACTIONS(5930),
    [anon_sym_COLON] = ACTIONS(5932),
    [anon_sym_QMARK] = ACTIONS(5932),
    [anon_sym_STAR_EQ] = ACTIONS(5932),
    [anon_sym_SLASH_EQ] = ACTIONS(5932),
    [anon_sym_PERCENT_EQ] = ACTIONS(5932),
    [anon_sym_PLUS_EQ] = ACTIONS(5932),
    [anon_sym_DASH_EQ] = ACTIONS(5932),
    [anon_sym_LT_LT_EQ] = ACTIONS(5932),
    [anon_sym_GT_GT_EQ] = ACTIONS(5932),
    [anon_sym_AMP_EQ] = ACTIONS(5932),
    [anon_sym_CARET_EQ] = ACTIONS(5932),
    [anon_sym_PIPE_EQ] = ACTIONS(5932),
    [anon_sym_and_eq] = ACTIONS(5930),
    [anon_sym_or_eq] = ACTIONS(5930),
    [anon_sym_xor_eq] = ACTIONS(5930),
    [anon_sym_LT_EQ_GT] = ACTIONS(5932),
    [anon_sym_or] = ACTIONS(5930),
    [anon_sym_and] = ACTIONS(5930),
    [anon_sym_bitor] = ACTIONS(5930),
    [anon_sym_xor] = ACTIONS(5930),
    [anon_sym_bitand] = ACTIONS(5930),
    [anon_sym_not_eq] = ACTIONS(5930),
    [anon_sym_DASH_DASH] = ACTIONS(5932),
    [anon_sym_PLUS_PLUS] = ACTIONS(5932),
    [anon_sym_DOT] = ACTIONS(5930),
    [anon_sym_DOT_STAR] = ACTIONS(5932),
    [anon_sym_DASH_GT] = ACTIONS(5932),
    [sym_comment] = ACTIONS(3),
  },
  [2415] = {
    [sym_identifier] = ACTIONS(5769),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5771),
    [anon_sym_COMMA] = ACTIONS(5771),
    [anon_sym_RPAREN] = ACTIONS(5771),
    [aux_sym_preproc_if_token2] = ACTIONS(5771),
    [aux_sym_preproc_else_token1] = ACTIONS(5771),
    [aux_sym_preproc_elif_token1] = ACTIONS(5769),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5771),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5771),
    [anon_sym_LPAREN2] = ACTIONS(5771),
    [anon_sym_DASH] = ACTIONS(5769),
    [anon_sym_PLUS] = ACTIONS(5769),
    [anon_sym_STAR] = ACTIONS(5769),
    [anon_sym_SLASH] = ACTIONS(5769),
    [anon_sym_PERCENT] = ACTIONS(5769),
    [anon_sym_PIPE_PIPE] = ACTIONS(5771),
    [anon_sym_AMP_AMP] = ACTIONS(5771),
    [anon_sym_PIPE] = ACTIONS(5769),
    [anon_sym_CARET] = ACTIONS(5769),
    [anon_sym_AMP] = ACTIONS(5769),
    [anon_sym_EQ_EQ] = ACTIONS(5771),
    [anon_sym_BANG_EQ] = ACTIONS(5771),
    [anon_sym_GT] = ACTIONS(5769),
    [anon_sym_GT_EQ] = ACTIONS(5771),
    [anon_sym_LT_EQ] = ACTIONS(5769),
    [anon_sym_LT] = ACTIONS(5769),
    [anon_sym_LT_LT] = ACTIONS(5769),
    [anon_sym_GT_GT] = ACTIONS(5769),
    [anon_sym_SEMI] = ACTIONS(5771),
    [anon_sym___attribute__] = ACTIONS(5769),
    [anon_sym_LBRACE] = ACTIONS(5771),
    [anon_sym_RBRACE] = ACTIONS(5771),
    [anon_sym_LBRACK] = ACTIONS(5771),
    [anon_sym_RBRACK] = ACTIONS(5771),
    [anon_sym_EQ] = ACTIONS(5769),
    [anon_sym_COLON] = ACTIONS(5771),
    [anon_sym_QMARK] = ACTIONS(5771),
    [anon_sym_STAR_EQ] = ACTIONS(5771),
    [anon_sym_SLASH_EQ] = ACTIONS(5771),
    [anon_sym_PERCENT_EQ] = ACTIONS(5771),
    [anon_sym_PLUS_EQ] = ACTIONS(5771),
    [anon_sym_DASH_EQ] = ACTIONS(5771),
    [anon_sym_LT_LT_EQ] = ACTIONS(5771),
    [anon_sym_GT_GT_EQ] = ACTIONS(5771),
    [anon_sym_AMP_EQ] = ACTIONS(5771),
    [anon_sym_CARET_EQ] = ACTIONS(5771),
    [anon_sym_PIPE_EQ] = ACTIONS(5771),
    [anon_sym_and_eq] = ACTIONS(5769),
    [anon_sym_or_eq] = ACTIONS(5769),
    [anon_sym_xor_eq] = ACTIONS(5769),
    [anon_sym_LT_EQ_GT] = ACTIONS(5771),
    [anon_sym_or] = ACTIONS(5769),
    [anon_sym_and] = ACTIONS(5769),
    [anon_sym_bitor] = ACTIONS(5769),
    [anon_sym_xor] = ACTIONS(5769),
    [anon_sym_bitand] = ACTIONS(5769),
    [anon_sym_not_eq] = ACTIONS(5769),
    [anon_sym_DASH_DASH] = ACTIONS(5771),
    [anon_sym_PLUS_PLUS] = ACTIONS(5771),
    [anon_sym_DOT] = ACTIONS(5769),
    [anon_sym_DOT_STAR] = ACTIONS(5771),
    [anon_sym_DASH_GT] = ACTIONS(5771),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5769),
    [anon_sym_decltype] = ACTIONS(5769),
  },
  [2416] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [aux_sym_preproc_if_token2] = ACTIONS(5721),
    [aux_sym_preproc_else_token1] = ACTIONS(5721),
    [aux_sym_preproc_elif_token1] = ACTIONS(5719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5719),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5719),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5719),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5719),
    [anon_sym_GT_GT] = ACTIONS(5719),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_STAR_EQ] = ACTIONS(5721),
    [anon_sym_SLASH_EQ] = ACTIONS(5721),
    [anon_sym_PERCENT_EQ] = ACTIONS(5721),
    [anon_sym_PLUS_EQ] = ACTIONS(5721),
    [anon_sym_DASH_EQ] = ACTIONS(5721),
    [anon_sym_LT_LT_EQ] = ACTIONS(5721),
    [anon_sym_GT_GT_EQ] = ACTIONS(5721),
    [anon_sym_AMP_EQ] = ACTIONS(5721),
    [anon_sym_CARET_EQ] = ACTIONS(5721),
    [anon_sym_PIPE_EQ] = ACTIONS(5721),
    [anon_sym_and_eq] = ACTIONS(5719),
    [anon_sym_or_eq] = ACTIONS(5719),
    [anon_sym_xor_eq] = ACTIONS(5719),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
  },
  [2417] = {
    [sym_identifier] = ACTIONS(5677),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5679),
    [anon_sym_COMMA] = ACTIONS(5679),
    [anon_sym_RPAREN] = ACTIONS(5679),
    [aux_sym_preproc_if_token2] = ACTIONS(5679),
    [aux_sym_preproc_else_token1] = ACTIONS(5679),
    [aux_sym_preproc_elif_token1] = ACTIONS(5677),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5679),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5679),
    [anon_sym_LPAREN2] = ACTIONS(5679),
    [anon_sym_DASH] = ACTIONS(5677),
    [anon_sym_PLUS] = ACTIONS(5677),
    [anon_sym_STAR] = ACTIONS(5677),
    [anon_sym_SLASH] = ACTIONS(5677),
    [anon_sym_PERCENT] = ACTIONS(5677),
    [anon_sym_PIPE_PIPE] = ACTIONS(5679),
    [anon_sym_AMP_AMP] = ACTIONS(5679),
    [anon_sym_PIPE] = ACTIONS(5677),
    [anon_sym_CARET] = ACTIONS(5677),
    [anon_sym_AMP] = ACTIONS(5677),
    [anon_sym_EQ_EQ] = ACTIONS(5679),
    [anon_sym_BANG_EQ] = ACTIONS(5679),
    [anon_sym_GT] = ACTIONS(5677),
    [anon_sym_GT_EQ] = ACTIONS(5679),
    [anon_sym_LT_EQ] = ACTIONS(5677),
    [anon_sym_LT] = ACTIONS(5677),
    [anon_sym_LT_LT] = ACTIONS(5677),
    [anon_sym_GT_GT] = ACTIONS(5677),
    [anon_sym_SEMI] = ACTIONS(5679),
    [anon_sym___attribute__] = ACTIONS(5677),
    [anon_sym_LBRACE] = ACTIONS(5679),
    [anon_sym_RBRACE] = ACTIONS(5679),
    [anon_sym_LBRACK] = ACTIONS(5679),
    [anon_sym_RBRACK] = ACTIONS(5679),
    [anon_sym_EQ] = ACTIONS(5677),
    [anon_sym_COLON] = ACTIONS(5679),
    [anon_sym_QMARK] = ACTIONS(5679),
    [anon_sym_STAR_EQ] = ACTIONS(5679),
    [anon_sym_SLASH_EQ] = ACTIONS(5679),
    [anon_sym_PERCENT_EQ] = ACTIONS(5679),
    [anon_sym_PLUS_EQ] = ACTIONS(5679),
    [anon_sym_DASH_EQ] = ACTIONS(5679),
    [anon_sym_LT_LT_EQ] = ACTIONS(5679),
    [anon_sym_GT_GT_EQ] = ACTIONS(5679),
    [anon_sym_AMP_EQ] = ACTIONS(5679),
    [anon_sym_CARET_EQ] = ACTIONS(5679),
    [anon_sym_PIPE_EQ] = ACTIONS(5679),
    [anon_sym_and_eq] = ACTIONS(5677),
    [anon_sym_or_eq] = ACTIONS(5677),
    [anon_sym_xor_eq] = ACTIONS(5677),
    [anon_sym_LT_EQ_GT] = ACTIONS(5679),
    [anon_sym_or] = ACTIONS(5677),
    [anon_sym_and] = ACTIONS(5677),
    [anon_sym_bitor] = ACTIONS(5677),
    [anon_sym_xor] = ACTIONS(5677),
    [anon_sym_bitand] = ACTIONS(5677),
    [anon_sym_not_eq] = ACTIONS(5677),
    [anon_sym_DASH_DASH] = ACTIONS(5679),
    [anon_sym_PLUS_PLUS] = ACTIONS(5679),
    [anon_sym_DOT] = ACTIONS(5677),
    [anon_sym_DOT_STAR] = ACTIONS(5679),
    [anon_sym_DASH_GT] = ACTIONS(5679),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5677),
    [anon_sym_decltype] = ACTIONS(5677),
  },
  [2418] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [aux_sym_preproc_if_token2] = ACTIONS(5721),
    [aux_sym_preproc_else_token1] = ACTIONS(5721),
    [aux_sym_preproc_elif_token1] = ACTIONS(5719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5719),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5719),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5719),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5719),
    [anon_sym_GT_GT] = ACTIONS(5719),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_STAR_EQ] = ACTIONS(5721),
    [anon_sym_SLASH_EQ] = ACTIONS(5721),
    [anon_sym_PERCENT_EQ] = ACTIONS(5721),
    [anon_sym_PLUS_EQ] = ACTIONS(5721),
    [anon_sym_DASH_EQ] = ACTIONS(5721),
    [anon_sym_LT_LT_EQ] = ACTIONS(5721),
    [anon_sym_GT_GT_EQ] = ACTIONS(5721),
    [anon_sym_AMP_EQ] = ACTIONS(5721),
    [anon_sym_CARET_EQ] = ACTIONS(5721),
    [anon_sym_PIPE_EQ] = ACTIONS(5721),
    [anon_sym_and_eq] = ACTIONS(5719),
    [anon_sym_or_eq] = ACTIONS(5719),
    [anon_sym_xor_eq] = ACTIONS(5719),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
  },
  [2419] = {
    [sym_identifier] = ACTIONS(5934),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5936),
    [anon_sym_COMMA] = ACTIONS(5936),
    [anon_sym_RPAREN] = ACTIONS(5936),
    [aux_sym_preproc_if_token2] = ACTIONS(5936),
    [aux_sym_preproc_else_token1] = ACTIONS(5936),
    [aux_sym_preproc_elif_token1] = ACTIONS(5934),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5936),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5936),
    [anon_sym_LPAREN2] = ACTIONS(5936),
    [anon_sym_DASH] = ACTIONS(5934),
    [anon_sym_PLUS] = ACTIONS(5934),
    [anon_sym_STAR] = ACTIONS(5934),
    [anon_sym_SLASH] = ACTIONS(5934),
    [anon_sym_PERCENT] = ACTIONS(5934),
    [anon_sym_PIPE_PIPE] = ACTIONS(5936),
    [anon_sym_AMP_AMP] = ACTIONS(5936),
    [anon_sym_PIPE] = ACTIONS(5934),
    [anon_sym_CARET] = ACTIONS(5934),
    [anon_sym_AMP] = ACTIONS(5934),
    [anon_sym_EQ_EQ] = ACTIONS(5936),
    [anon_sym_BANG_EQ] = ACTIONS(5936),
    [anon_sym_GT] = ACTIONS(5934),
    [anon_sym_GT_EQ] = ACTIONS(5936),
    [anon_sym_LT_EQ] = ACTIONS(5934),
    [anon_sym_LT] = ACTIONS(5934),
    [anon_sym_LT_LT] = ACTIONS(5934),
    [anon_sym_GT_GT] = ACTIONS(5934),
    [anon_sym_SEMI] = ACTIONS(5936),
    [anon_sym___attribute__] = ACTIONS(5934),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5936),
    [anon_sym_LBRACE] = ACTIONS(5936),
    [anon_sym_RBRACE] = ACTIONS(5936),
    [anon_sym_LBRACK] = ACTIONS(5934),
    [anon_sym_RBRACK] = ACTIONS(5936),
    [anon_sym_EQ] = ACTIONS(5934),
    [anon_sym_COLON] = ACTIONS(5936),
    [anon_sym_QMARK] = ACTIONS(5936),
    [anon_sym_STAR_EQ] = ACTIONS(5936),
    [anon_sym_SLASH_EQ] = ACTIONS(5936),
    [anon_sym_PERCENT_EQ] = ACTIONS(5936),
    [anon_sym_PLUS_EQ] = ACTIONS(5936),
    [anon_sym_DASH_EQ] = ACTIONS(5936),
    [anon_sym_LT_LT_EQ] = ACTIONS(5936),
    [anon_sym_GT_GT_EQ] = ACTIONS(5936),
    [anon_sym_AMP_EQ] = ACTIONS(5936),
    [anon_sym_CARET_EQ] = ACTIONS(5936),
    [anon_sym_PIPE_EQ] = ACTIONS(5936),
    [anon_sym_and_eq] = ACTIONS(5934),
    [anon_sym_or_eq] = ACTIONS(5934),
    [anon_sym_xor_eq] = ACTIONS(5934),
    [anon_sym_LT_EQ_GT] = ACTIONS(5936),
    [anon_sym_or] = ACTIONS(5934),
    [anon_sym_and] = ACTIONS(5934),
    [anon_sym_bitor] = ACTIONS(5934),
    [anon_sym_xor] = ACTIONS(5934),
    [anon_sym_bitand] = ACTIONS(5934),
    [anon_sym_not_eq] = ACTIONS(5934),
    [anon_sym_DASH_DASH] = ACTIONS(5936),
    [anon_sym_PLUS_PLUS] = ACTIONS(5936),
    [anon_sym_DOT] = ACTIONS(5934),
    [anon_sym_DOT_STAR] = ACTIONS(5936),
    [anon_sym_DASH_GT] = ACTIONS(5936),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5934),
  },
  [2420] = {
    [sym_identifier] = ACTIONS(5594),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5596),
    [anon_sym_COMMA] = ACTIONS(5596),
    [anon_sym_RPAREN] = ACTIONS(5596),
    [aux_sym_preproc_if_token2] = ACTIONS(5596),
    [aux_sym_preproc_else_token1] = ACTIONS(5596),
    [aux_sym_preproc_elif_token1] = ACTIONS(5594),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5596),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5596),
    [anon_sym_LPAREN2] = ACTIONS(5596),
    [anon_sym_DASH] = ACTIONS(5594),
    [anon_sym_PLUS] = ACTIONS(5594),
    [anon_sym_STAR] = ACTIONS(5594),
    [anon_sym_SLASH] = ACTIONS(5594),
    [anon_sym_PERCENT] = ACTIONS(5594),
    [anon_sym_PIPE_PIPE] = ACTIONS(5596),
    [anon_sym_AMP_AMP] = ACTIONS(5596),
    [anon_sym_PIPE] = ACTIONS(5594),
    [anon_sym_CARET] = ACTIONS(5594),
    [anon_sym_AMP] = ACTIONS(5594),
    [anon_sym_EQ_EQ] = ACTIONS(5596),
    [anon_sym_BANG_EQ] = ACTIONS(5596),
    [anon_sym_GT] = ACTIONS(5594),
    [anon_sym_GT_EQ] = ACTIONS(5596),
    [anon_sym_LT_EQ] = ACTIONS(5594),
    [anon_sym_LT] = ACTIONS(5594),
    [anon_sym_LT_LT] = ACTIONS(5594),
    [anon_sym_GT_GT] = ACTIONS(5594),
    [anon_sym_SEMI] = ACTIONS(5596),
    [anon_sym___attribute__] = ACTIONS(5594),
    [anon_sym_LBRACE] = ACTIONS(5596),
    [anon_sym_RBRACE] = ACTIONS(5596),
    [anon_sym_LBRACK] = ACTIONS(5596),
    [anon_sym_RBRACK] = ACTIONS(5596),
    [anon_sym_EQ] = ACTIONS(5594),
    [anon_sym_COLON] = ACTIONS(5596),
    [anon_sym_QMARK] = ACTIONS(5596),
    [anon_sym_STAR_EQ] = ACTIONS(5596),
    [anon_sym_SLASH_EQ] = ACTIONS(5596),
    [anon_sym_PERCENT_EQ] = ACTIONS(5596),
    [anon_sym_PLUS_EQ] = ACTIONS(5596),
    [anon_sym_DASH_EQ] = ACTIONS(5596),
    [anon_sym_LT_LT_EQ] = ACTIONS(5596),
    [anon_sym_GT_GT_EQ] = ACTIONS(5596),
    [anon_sym_AMP_EQ] = ACTIONS(5596),
    [anon_sym_CARET_EQ] = ACTIONS(5596),
    [anon_sym_PIPE_EQ] = ACTIONS(5596),
    [anon_sym_and_eq] = ACTIONS(5594),
    [anon_sym_or_eq] = ACTIONS(5594),
    [anon_sym_xor_eq] = ACTIONS(5594),
    [anon_sym_LT_EQ_GT] = ACTIONS(5596),
    [anon_sym_or] = ACTIONS(5594),
    [anon_sym_and] = ACTIONS(5594),
    [anon_sym_bitor] = ACTIONS(5594),
    [anon_sym_xor] = ACTIONS(5594),
    [anon_sym_bitand] = ACTIONS(5594),
    [anon_sym_not_eq] = ACTIONS(5594),
    [anon_sym_DASH_DASH] = ACTIONS(5596),
    [anon_sym_PLUS_PLUS] = ACTIONS(5596),
    [anon_sym_DOT] = ACTIONS(5594),
    [anon_sym_DOT_STAR] = ACTIONS(5596),
    [anon_sym_DASH_GT] = ACTIONS(5596),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5594),
    [anon_sym_decltype] = ACTIONS(5594),
  },
  [2421] = {
    [sym_identifier] = ACTIONS(5662),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5664),
    [anon_sym_COMMA] = ACTIONS(5664),
    [anon_sym_RPAREN] = ACTIONS(5664),
    [aux_sym_preproc_if_token2] = ACTIONS(5664),
    [aux_sym_preproc_else_token1] = ACTIONS(5664),
    [aux_sym_preproc_elif_token1] = ACTIONS(5662),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5664),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5664),
    [anon_sym_LPAREN2] = ACTIONS(5664),
    [anon_sym_DASH] = ACTIONS(5662),
    [anon_sym_PLUS] = ACTIONS(5662),
    [anon_sym_STAR] = ACTIONS(5662),
    [anon_sym_SLASH] = ACTIONS(5662),
    [anon_sym_PERCENT] = ACTIONS(5662),
    [anon_sym_PIPE_PIPE] = ACTIONS(5664),
    [anon_sym_AMP_AMP] = ACTIONS(5664),
    [anon_sym_PIPE] = ACTIONS(5662),
    [anon_sym_CARET] = ACTIONS(5662),
    [anon_sym_AMP] = ACTIONS(5662),
    [anon_sym_EQ_EQ] = ACTIONS(5664),
    [anon_sym_BANG_EQ] = ACTIONS(5664),
    [anon_sym_GT] = ACTIONS(5662),
    [anon_sym_GT_EQ] = ACTIONS(5664),
    [anon_sym_LT_EQ] = ACTIONS(5662),
    [anon_sym_LT] = ACTIONS(5662),
    [anon_sym_LT_LT] = ACTIONS(5662),
    [anon_sym_GT_GT] = ACTIONS(5662),
    [anon_sym_SEMI] = ACTIONS(5664),
    [anon_sym___attribute__] = ACTIONS(5662),
    [anon_sym_LBRACE] = ACTIONS(5664),
    [anon_sym_RBRACE] = ACTIONS(5664),
    [anon_sym_LBRACK] = ACTIONS(5664),
    [anon_sym_RBRACK] = ACTIONS(5664),
    [anon_sym_EQ] = ACTIONS(5662),
    [anon_sym_COLON] = ACTIONS(5664),
    [anon_sym_QMARK] = ACTIONS(5664),
    [anon_sym_STAR_EQ] = ACTIONS(5664),
    [anon_sym_SLASH_EQ] = ACTIONS(5664),
    [anon_sym_PERCENT_EQ] = ACTIONS(5664),
    [anon_sym_PLUS_EQ] = ACTIONS(5664),
    [anon_sym_DASH_EQ] = ACTIONS(5664),
    [anon_sym_LT_LT_EQ] = ACTIONS(5664),
    [anon_sym_GT_GT_EQ] = ACTIONS(5664),
    [anon_sym_AMP_EQ] = ACTIONS(5664),
    [anon_sym_CARET_EQ] = ACTIONS(5664),
    [anon_sym_PIPE_EQ] = ACTIONS(5664),
    [anon_sym_and_eq] = ACTIONS(5662),
    [anon_sym_or_eq] = ACTIONS(5662),
    [anon_sym_xor_eq] = ACTIONS(5662),
    [anon_sym_LT_EQ_GT] = ACTIONS(5664),
    [anon_sym_or] = ACTIONS(5662),
    [anon_sym_and] = ACTIONS(5662),
    [anon_sym_bitor] = ACTIONS(5662),
    [anon_sym_xor] = ACTIONS(5662),
    [anon_sym_bitand] = ACTIONS(5662),
    [anon_sym_not_eq] = ACTIONS(5662),
    [anon_sym_DASH_DASH] = ACTIONS(5664),
    [anon_sym_PLUS_PLUS] = ACTIONS(5664),
    [anon_sym_DOT] = ACTIONS(5662),
    [anon_sym_DOT_STAR] = ACTIONS(5664),
    [anon_sym_DASH_GT] = ACTIONS(5664),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5662),
    [anon_sym_decltype] = ACTIONS(5662),
  },
  [2422] = {
    [sym_identifier] = ACTIONS(5646),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5648),
    [anon_sym_COMMA] = ACTIONS(5648),
    [anon_sym_RPAREN] = ACTIONS(5648),
    [aux_sym_preproc_if_token2] = ACTIONS(5648),
    [aux_sym_preproc_else_token1] = ACTIONS(5648),
    [aux_sym_preproc_elif_token1] = ACTIONS(5646),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5648),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5648),
    [anon_sym_LPAREN2] = ACTIONS(5648),
    [anon_sym_DASH] = ACTIONS(5646),
    [anon_sym_PLUS] = ACTIONS(5646),
    [anon_sym_STAR] = ACTIONS(5646),
    [anon_sym_SLASH] = ACTIONS(5646),
    [anon_sym_PERCENT] = ACTIONS(5646),
    [anon_sym_PIPE_PIPE] = ACTIONS(5648),
    [anon_sym_AMP_AMP] = ACTIONS(5648),
    [anon_sym_PIPE] = ACTIONS(5646),
    [anon_sym_CARET] = ACTIONS(5646),
    [anon_sym_AMP] = ACTIONS(5646),
    [anon_sym_EQ_EQ] = ACTIONS(5648),
    [anon_sym_BANG_EQ] = ACTIONS(5648),
    [anon_sym_GT] = ACTIONS(5646),
    [anon_sym_GT_EQ] = ACTIONS(5648),
    [anon_sym_LT_EQ] = ACTIONS(5646),
    [anon_sym_LT] = ACTIONS(5646),
    [anon_sym_LT_LT] = ACTIONS(5646),
    [anon_sym_GT_GT] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(5648),
    [anon_sym___attribute__] = ACTIONS(5646),
    [anon_sym_LBRACE] = ACTIONS(5648),
    [anon_sym_RBRACE] = ACTIONS(5648),
    [anon_sym_LBRACK] = ACTIONS(5648),
    [anon_sym_RBRACK] = ACTIONS(5648),
    [anon_sym_EQ] = ACTIONS(5646),
    [anon_sym_COLON] = ACTIONS(5648),
    [anon_sym_QMARK] = ACTIONS(5648),
    [anon_sym_STAR_EQ] = ACTIONS(5648),
    [anon_sym_SLASH_EQ] = ACTIONS(5648),
    [anon_sym_PERCENT_EQ] = ACTIONS(5648),
    [anon_sym_PLUS_EQ] = ACTIONS(5648),
    [anon_sym_DASH_EQ] = ACTIONS(5648),
    [anon_sym_LT_LT_EQ] = ACTIONS(5648),
    [anon_sym_GT_GT_EQ] = ACTIONS(5648),
    [anon_sym_AMP_EQ] = ACTIONS(5648),
    [anon_sym_CARET_EQ] = ACTIONS(5648),
    [anon_sym_PIPE_EQ] = ACTIONS(5648),
    [anon_sym_and_eq] = ACTIONS(5646),
    [anon_sym_or_eq] = ACTIONS(5646),
    [anon_sym_xor_eq] = ACTIONS(5646),
    [anon_sym_LT_EQ_GT] = ACTIONS(5648),
    [anon_sym_or] = ACTIONS(5646),
    [anon_sym_and] = ACTIONS(5646),
    [anon_sym_bitor] = ACTIONS(5646),
    [anon_sym_xor] = ACTIONS(5646),
    [anon_sym_bitand] = ACTIONS(5646),
    [anon_sym_not_eq] = ACTIONS(5646),
    [anon_sym_DASH_DASH] = ACTIONS(5648),
    [anon_sym_PLUS_PLUS] = ACTIONS(5648),
    [anon_sym_DOT] = ACTIONS(5646),
    [anon_sym_DOT_STAR] = ACTIONS(5648),
    [anon_sym_DASH_GT] = ACTIONS(5648),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5646),
    [anon_sym_decltype] = ACTIONS(5646),
  },
  [2423] = {
    [sym_identifier] = ACTIONS(5658),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5660),
    [anon_sym_COMMA] = ACTIONS(5660),
    [anon_sym_RPAREN] = ACTIONS(5660),
    [aux_sym_preproc_if_token2] = ACTIONS(5660),
    [aux_sym_preproc_else_token1] = ACTIONS(5660),
    [aux_sym_preproc_elif_token1] = ACTIONS(5658),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5660),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5660),
    [anon_sym_LPAREN2] = ACTIONS(5660),
    [anon_sym_DASH] = ACTIONS(5658),
    [anon_sym_PLUS] = ACTIONS(5658),
    [anon_sym_STAR] = ACTIONS(5658),
    [anon_sym_SLASH] = ACTIONS(5658),
    [anon_sym_PERCENT] = ACTIONS(5658),
    [anon_sym_PIPE_PIPE] = ACTIONS(5660),
    [anon_sym_AMP_AMP] = ACTIONS(5660),
    [anon_sym_PIPE] = ACTIONS(5658),
    [anon_sym_CARET] = ACTIONS(5658),
    [anon_sym_AMP] = ACTIONS(5658),
    [anon_sym_EQ_EQ] = ACTIONS(5660),
    [anon_sym_BANG_EQ] = ACTIONS(5660),
    [anon_sym_GT] = ACTIONS(5658),
    [anon_sym_GT_EQ] = ACTIONS(5660),
    [anon_sym_LT_EQ] = ACTIONS(5658),
    [anon_sym_LT] = ACTIONS(5658),
    [anon_sym_LT_LT] = ACTIONS(5658),
    [anon_sym_GT_GT] = ACTIONS(5658),
    [anon_sym_SEMI] = ACTIONS(5660),
    [anon_sym___attribute__] = ACTIONS(5658),
    [anon_sym_LBRACE] = ACTIONS(5660),
    [anon_sym_RBRACE] = ACTIONS(5660),
    [anon_sym_LBRACK] = ACTIONS(5660),
    [anon_sym_RBRACK] = ACTIONS(5660),
    [anon_sym_EQ] = ACTIONS(5658),
    [anon_sym_COLON] = ACTIONS(5660),
    [anon_sym_QMARK] = ACTIONS(5660),
    [anon_sym_STAR_EQ] = ACTIONS(5660),
    [anon_sym_SLASH_EQ] = ACTIONS(5660),
    [anon_sym_PERCENT_EQ] = ACTIONS(5660),
    [anon_sym_PLUS_EQ] = ACTIONS(5660),
    [anon_sym_DASH_EQ] = ACTIONS(5660),
    [anon_sym_LT_LT_EQ] = ACTIONS(5660),
    [anon_sym_GT_GT_EQ] = ACTIONS(5660),
    [anon_sym_AMP_EQ] = ACTIONS(5660),
    [anon_sym_CARET_EQ] = ACTIONS(5660),
    [anon_sym_PIPE_EQ] = ACTIONS(5660),
    [anon_sym_and_eq] = ACTIONS(5658),
    [anon_sym_or_eq] = ACTIONS(5658),
    [anon_sym_xor_eq] = ACTIONS(5658),
    [anon_sym_LT_EQ_GT] = ACTIONS(5660),
    [anon_sym_or] = ACTIONS(5658),
    [anon_sym_and] = ACTIONS(5658),
    [anon_sym_bitor] = ACTIONS(5658),
    [anon_sym_xor] = ACTIONS(5658),
    [anon_sym_bitand] = ACTIONS(5658),
    [anon_sym_not_eq] = ACTIONS(5658),
    [anon_sym_DASH_DASH] = ACTIONS(5660),
    [anon_sym_PLUS_PLUS] = ACTIONS(5660),
    [anon_sym_DOT] = ACTIONS(5658),
    [anon_sym_DOT_STAR] = ACTIONS(5660),
    [anon_sym_DASH_GT] = ACTIONS(5660),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5658),
    [anon_sym_decltype] = ACTIONS(5658),
  },
  [2424] = {
    [sym_identifier] = ACTIONS(5938),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5940),
    [anon_sym_COMMA] = ACTIONS(5940),
    [anon_sym_RPAREN] = ACTIONS(5940),
    [aux_sym_preproc_if_token2] = ACTIONS(5940),
    [aux_sym_preproc_else_token1] = ACTIONS(5940),
    [aux_sym_preproc_elif_token1] = ACTIONS(5938),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5940),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5940),
    [anon_sym_LPAREN2] = ACTIONS(5940),
    [anon_sym_DASH] = ACTIONS(5938),
    [anon_sym_PLUS] = ACTIONS(5938),
    [anon_sym_STAR] = ACTIONS(5938),
    [anon_sym_SLASH] = ACTIONS(5938),
    [anon_sym_PERCENT] = ACTIONS(5938),
    [anon_sym_PIPE_PIPE] = ACTIONS(5940),
    [anon_sym_AMP_AMP] = ACTIONS(5940),
    [anon_sym_PIPE] = ACTIONS(5938),
    [anon_sym_CARET] = ACTIONS(5938),
    [anon_sym_AMP] = ACTIONS(5938),
    [anon_sym_EQ_EQ] = ACTIONS(5940),
    [anon_sym_BANG_EQ] = ACTIONS(5940),
    [anon_sym_GT] = ACTIONS(5938),
    [anon_sym_GT_EQ] = ACTIONS(5940),
    [anon_sym_LT_EQ] = ACTIONS(5938),
    [anon_sym_LT] = ACTIONS(5938),
    [anon_sym_LT_LT] = ACTIONS(5938),
    [anon_sym_GT_GT] = ACTIONS(5938),
    [anon_sym_SEMI] = ACTIONS(5940),
    [anon_sym___attribute__] = ACTIONS(5938),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5940),
    [anon_sym_LBRACE] = ACTIONS(5940),
    [anon_sym_RBRACE] = ACTIONS(5940),
    [anon_sym_LBRACK] = ACTIONS(5938),
    [anon_sym_RBRACK] = ACTIONS(5940),
    [anon_sym_EQ] = ACTIONS(5938),
    [anon_sym_COLON] = ACTIONS(5940),
    [anon_sym_QMARK] = ACTIONS(5940),
    [anon_sym_STAR_EQ] = ACTIONS(5940),
    [anon_sym_SLASH_EQ] = ACTIONS(5940),
    [anon_sym_PERCENT_EQ] = ACTIONS(5940),
    [anon_sym_PLUS_EQ] = ACTIONS(5940),
    [anon_sym_DASH_EQ] = ACTIONS(5940),
    [anon_sym_LT_LT_EQ] = ACTIONS(5940),
    [anon_sym_GT_GT_EQ] = ACTIONS(5940),
    [anon_sym_AMP_EQ] = ACTIONS(5940),
    [anon_sym_CARET_EQ] = ACTIONS(5940),
    [anon_sym_PIPE_EQ] = ACTIONS(5940),
    [anon_sym_and_eq] = ACTIONS(5938),
    [anon_sym_or_eq] = ACTIONS(5938),
    [anon_sym_xor_eq] = ACTIONS(5938),
    [anon_sym_LT_EQ_GT] = ACTIONS(5940),
    [anon_sym_or] = ACTIONS(5938),
    [anon_sym_and] = ACTIONS(5938),
    [anon_sym_bitor] = ACTIONS(5938),
    [anon_sym_xor] = ACTIONS(5938),
    [anon_sym_bitand] = ACTIONS(5938),
    [anon_sym_not_eq] = ACTIONS(5938),
    [anon_sym_DASH_DASH] = ACTIONS(5940),
    [anon_sym_PLUS_PLUS] = ACTIONS(5940),
    [anon_sym_DOT] = ACTIONS(5938),
    [anon_sym_DOT_STAR] = ACTIONS(5940),
    [anon_sym_DASH_GT] = ACTIONS(5940),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5938),
  },
  [2425] = {
    [sym_identifier] = ACTIONS(5650),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5652),
    [anon_sym_COMMA] = ACTIONS(5652),
    [anon_sym_RPAREN] = ACTIONS(5652),
    [aux_sym_preproc_if_token2] = ACTIONS(5652),
    [aux_sym_preproc_else_token1] = ACTIONS(5652),
    [aux_sym_preproc_elif_token1] = ACTIONS(5650),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5652),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5652),
    [anon_sym_LPAREN2] = ACTIONS(5652),
    [anon_sym_DASH] = ACTIONS(5650),
    [anon_sym_PLUS] = ACTIONS(5650),
    [anon_sym_STAR] = ACTIONS(5650),
    [anon_sym_SLASH] = ACTIONS(5650),
    [anon_sym_PERCENT] = ACTIONS(5650),
    [anon_sym_PIPE_PIPE] = ACTIONS(5652),
    [anon_sym_AMP_AMP] = ACTIONS(5652),
    [anon_sym_PIPE] = ACTIONS(5650),
    [anon_sym_CARET] = ACTIONS(5650),
    [anon_sym_AMP] = ACTIONS(5650),
    [anon_sym_EQ_EQ] = ACTIONS(5652),
    [anon_sym_BANG_EQ] = ACTIONS(5652),
    [anon_sym_GT] = ACTIONS(5650),
    [anon_sym_GT_EQ] = ACTIONS(5652),
    [anon_sym_LT_EQ] = ACTIONS(5650),
    [anon_sym_LT] = ACTIONS(5650),
    [anon_sym_LT_LT] = ACTIONS(5650),
    [anon_sym_GT_GT] = ACTIONS(5650),
    [anon_sym_SEMI] = ACTIONS(5652),
    [anon_sym___attribute__] = ACTIONS(5650),
    [anon_sym_LBRACE] = ACTIONS(5652),
    [anon_sym_RBRACE] = ACTIONS(5652),
    [anon_sym_LBRACK] = ACTIONS(5652),
    [anon_sym_RBRACK] = ACTIONS(5652),
    [anon_sym_EQ] = ACTIONS(5650),
    [anon_sym_COLON] = ACTIONS(5652),
    [anon_sym_QMARK] = ACTIONS(5652),
    [anon_sym_STAR_EQ] = ACTIONS(5652),
    [anon_sym_SLASH_EQ] = ACTIONS(5652),
    [anon_sym_PERCENT_EQ] = ACTIONS(5652),
    [anon_sym_PLUS_EQ] = ACTIONS(5652),
    [anon_sym_DASH_EQ] = ACTIONS(5652),
    [anon_sym_LT_LT_EQ] = ACTIONS(5652),
    [anon_sym_GT_GT_EQ] = ACTIONS(5652),
    [anon_sym_AMP_EQ] = ACTIONS(5652),
    [anon_sym_CARET_EQ] = ACTIONS(5652),
    [anon_sym_PIPE_EQ] = ACTIONS(5652),
    [anon_sym_and_eq] = ACTIONS(5650),
    [anon_sym_or_eq] = ACTIONS(5650),
    [anon_sym_xor_eq] = ACTIONS(5650),
    [anon_sym_LT_EQ_GT] = ACTIONS(5652),
    [anon_sym_or] = ACTIONS(5650),
    [anon_sym_and] = ACTIONS(5650),
    [anon_sym_bitor] = ACTIONS(5650),
    [anon_sym_xor] = ACTIONS(5650),
    [anon_sym_bitand] = ACTIONS(5650),
    [anon_sym_not_eq] = ACTIONS(5650),
    [anon_sym_DASH_DASH] = ACTIONS(5652),
    [anon_sym_PLUS_PLUS] = ACTIONS(5652),
    [anon_sym_DOT] = ACTIONS(5650),
    [anon_sym_DOT_STAR] = ACTIONS(5652),
    [anon_sym_DASH_GT] = ACTIONS(5652),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5650),
    [anon_sym_decltype] = ACTIONS(5650),
  },
  [2426] = {
    [sym_identifier] = ACTIONS(5773),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5775),
    [anon_sym_COMMA] = ACTIONS(5775),
    [anon_sym_RPAREN] = ACTIONS(5775),
    [aux_sym_preproc_if_token2] = ACTIONS(5775),
    [aux_sym_preproc_else_token1] = ACTIONS(5775),
    [aux_sym_preproc_elif_token1] = ACTIONS(5773),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5775),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5775),
    [anon_sym_LPAREN2] = ACTIONS(5775),
    [anon_sym_DASH] = ACTIONS(5773),
    [anon_sym_PLUS] = ACTIONS(5773),
    [anon_sym_STAR] = ACTIONS(5773),
    [anon_sym_SLASH] = ACTIONS(5773),
    [anon_sym_PERCENT] = ACTIONS(5773),
    [anon_sym_PIPE_PIPE] = ACTIONS(5775),
    [anon_sym_AMP_AMP] = ACTIONS(5775),
    [anon_sym_PIPE] = ACTIONS(5773),
    [anon_sym_CARET] = ACTIONS(5773),
    [anon_sym_AMP] = ACTIONS(5773),
    [anon_sym_EQ_EQ] = ACTIONS(5775),
    [anon_sym_BANG_EQ] = ACTIONS(5775),
    [anon_sym_GT] = ACTIONS(5773),
    [anon_sym_GT_EQ] = ACTIONS(5775),
    [anon_sym_LT_EQ] = ACTIONS(5773),
    [anon_sym_LT] = ACTIONS(5773),
    [anon_sym_LT_LT] = ACTIONS(5773),
    [anon_sym_GT_GT] = ACTIONS(5773),
    [anon_sym_SEMI] = ACTIONS(5775),
    [anon_sym___attribute__] = ACTIONS(5773),
    [anon_sym_LBRACE] = ACTIONS(5775),
    [anon_sym_RBRACE] = ACTIONS(5775),
    [anon_sym_LBRACK] = ACTIONS(5775),
    [anon_sym_RBRACK] = ACTIONS(5775),
    [anon_sym_EQ] = ACTIONS(5773),
    [anon_sym_COLON] = ACTIONS(5775),
    [anon_sym_QMARK] = ACTIONS(5775),
    [anon_sym_STAR_EQ] = ACTIONS(5775),
    [anon_sym_SLASH_EQ] = ACTIONS(5775),
    [anon_sym_PERCENT_EQ] = ACTIONS(5775),
    [anon_sym_PLUS_EQ] = ACTIONS(5775),
    [anon_sym_DASH_EQ] = ACTIONS(5775),
    [anon_sym_LT_LT_EQ] = ACTIONS(5775),
    [anon_sym_GT_GT_EQ] = ACTIONS(5775),
    [anon_sym_AMP_EQ] = ACTIONS(5775),
    [anon_sym_CARET_EQ] = ACTIONS(5775),
    [anon_sym_PIPE_EQ] = ACTIONS(5775),
    [anon_sym_and_eq] = ACTIONS(5773),
    [anon_sym_or_eq] = ACTIONS(5773),
    [anon_sym_xor_eq] = ACTIONS(5773),
    [anon_sym_LT_EQ_GT] = ACTIONS(5775),
    [anon_sym_or] = ACTIONS(5773),
    [anon_sym_and] = ACTIONS(5773),
    [anon_sym_bitor] = ACTIONS(5773),
    [anon_sym_xor] = ACTIONS(5773),
    [anon_sym_bitand] = ACTIONS(5773),
    [anon_sym_not_eq] = ACTIONS(5773),
    [anon_sym_DASH_DASH] = ACTIONS(5775),
    [anon_sym_PLUS_PLUS] = ACTIONS(5775),
    [anon_sym_DOT] = ACTIONS(5773),
    [anon_sym_DOT_STAR] = ACTIONS(5775),
    [anon_sym_DASH_GT] = ACTIONS(5775),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5773),
    [anon_sym_decltype] = ACTIONS(5773),
  },
  [2427] = {
    [sym_identifier] = ACTIONS(5297),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5299),
    [anon_sym_COMMA] = ACTIONS(5299),
    [aux_sym_preproc_if_token2] = ACTIONS(5299),
    [aux_sym_preproc_else_token1] = ACTIONS(5299),
    [aux_sym_preproc_elif_token1] = ACTIONS(5299),
    [anon_sym_LPAREN2] = ACTIONS(5299),
    [anon_sym_DASH] = ACTIONS(5297),
    [anon_sym_PLUS] = ACTIONS(5297),
    [anon_sym_STAR] = ACTIONS(5297),
    [anon_sym_SLASH] = ACTIONS(5297),
    [anon_sym_PERCENT] = ACTIONS(5297),
    [anon_sym_PIPE_PIPE] = ACTIONS(5299),
    [anon_sym_AMP_AMP] = ACTIONS(5299),
    [anon_sym_PIPE] = ACTIONS(5297),
    [anon_sym_CARET] = ACTIONS(5297),
    [anon_sym_AMP] = ACTIONS(5297),
    [anon_sym_EQ_EQ] = ACTIONS(5299),
    [anon_sym_BANG_EQ] = ACTIONS(5299),
    [anon_sym_GT] = ACTIONS(5297),
    [anon_sym_GT_EQ] = ACTIONS(5299),
    [anon_sym_LT_EQ] = ACTIONS(5297),
    [anon_sym_LT] = ACTIONS(5297),
    [anon_sym_LT_LT] = ACTIONS(5297),
    [anon_sym_GT_GT] = ACTIONS(5297),
    [anon_sym_LBRACK] = ACTIONS(5299),
    [anon_sym_EQ] = ACTIONS(5297),
    [anon_sym_QMARK] = ACTIONS(5299),
    [anon_sym_STAR_EQ] = ACTIONS(5299),
    [anon_sym_SLASH_EQ] = ACTIONS(5299),
    [anon_sym_PERCENT_EQ] = ACTIONS(5299),
    [anon_sym_PLUS_EQ] = ACTIONS(5299),
    [anon_sym_DASH_EQ] = ACTIONS(5299),
    [anon_sym_LT_LT_EQ] = ACTIONS(5299),
    [anon_sym_GT_GT_EQ] = ACTIONS(5299),
    [anon_sym_AMP_EQ] = ACTIONS(5299),
    [anon_sym_CARET_EQ] = ACTIONS(5299),
    [anon_sym_PIPE_EQ] = ACTIONS(5299),
    [anon_sym_and_eq] = ACTIONS(5297),
    [anon_sym_or_eq] = ACTIONS(5297),
    [anon_sym_xor_eq] = ACTIONS(5297),
    [anon_sym_LT_EQ_GT] = ACTIONS(5299),
    [anon_sym_or] = ACTIONS(5297),
    [anon_sym_and] = ACTIONS(5297),
    [anon_sym_bitor] = ACTIONS(5297),
    [anon_sym_xor] = ACTIONS(5297),
    [anon_sym_bitand] = ACTIONS(5297),
    [anon_sym_not_eq] = ACTIONS(5297),
    [anon_sym_DASH_DASH] = ACTIONS(5299),
    [anon_sym_PLUS_PLUS] = ACTIONS(5299),
    [anon_sym_DOT] = ACTIONS(5297),
    [anon_sym_DOT_STAR] = ACTIONS(5299),
    [anon_sym_DASH_GT] = ACTIONS(5299),
    [anon_sym_L_DQUOTE] = ACTIONS(5299),
    [anon_sym_u_DQUOTE] = ACTIONS(5299),
    [anon_sym_U_DQUOTE] = ACTIONS(5299),
    [anon_sym_u8_DQUOTE] = ACTIONS(5299),
    [anon_sym_DQUOTE] = ACTIONS(5299),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5299),
    [anon_sym_LR_DQUOTE] = ACTIONS(5299),
    [anon_sym_uR_DQUOTE] = ACTIONS(5299),
    [anon_sym_UR_DQUOTE] = ACTIONS(5299),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5299),
    [sym_literal_suffix] = ACTIONS(5297),
  },
  [2428] = {
    [sym_identifier] = ACTIONS(5942),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5944),
    [anon_sym_COMMA] = ACTIONS(5944),
    [anon_sym_RPAREN] = ACTIONS(5944),
    [aux_sym_preproc_if_token2] = ACTIONS(5944),
    [aux_sym_preproc_else_token1] = ACTIONS(5944),
    [aux_sym_preproc_elif_token1] = ACTIONS(5942),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5944),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5944),
    [anon_sym_LPAREN2] = ACTIONS(5944),
    [anon_sym_DASH] = ACTIONS(5942),
    [anon_sym_PLUS] = ACTIONS(5942),
    [anon_sym_STAR] = ACTIONS(5942),
    [anon_sym_SLASH] = ACTIONS(5942),
    [anon_sym_PERCENT] = ACTIONS(5942),
    [anon_sym_PIPE_PIPE] = ACTIONS(5944),
    [anon_sym_AMP_AMP] = ACTIONS(5944),
    [anon_sym_PIPE] = ACTIONS(5942),
    [anon_sym_CARET] = ACTIONS(5942),
    [anon_sym_AMP] = ACTIONS(5942),
    [anon_sym_EQ_EQ] = ACTIONS(5944),
    [anon_sym_BANG_EQ] = ACTIONS(5944),
    [anon_sym_GT] = ACTIONS(5942),
    [anon_sym_GT_EQ] = ACTIONS(5944),
    [anon_sym_LT_EQ] = ACTIONS(5942),
    [anon_sym_LT] = ACTIONS(5942),
    [anon_sym_LT_LT] = ACTIONS(5942),
    [anon_sym_GT_GT] = ACTIONS(5942),
    [anon_sym_SEMI] = ACTIONS(5944),
    [anon_sym___attribute__] = ACTIONS(5942),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5944),
    [anon_sym_LBRACE] = ACTIONS(5944),
    [anon_sym_RBRACE] = ACTIONS(5944),
    [anon_sym_LBRACK] = ACTIONS(5942),
    [anon_sym_RBRACK] = ACTIONS(5944),
    [anon_sym_EQ] = ACTIONS(5942),
    [anon_sym_COLON] = ACTIONS(5944),
    [anon_sym_QMARK] = ACTIONS(5944),
    [anon_sym_STAR_EQ] = ACTIONS(5944),
    [anon_sym_SLASH_EQ] = ACTIONS(5944),
    [anon_sym_PERCENT_EQ] = ACTIONS(5944),
    [anon_sym_PLUS_EQ] = ACTIONS(5944),
    [anon_sym_DASH_EQ] = ACTIONS(5944),
    [anon_sym_LT_LT_EQ] = ACTIONS(5944),
    [anon_sym_GT_GT_EQ] = ACTIONS(5944),
    [anon_sym_AMP_EQ] = ACTIONS(5944),
    [anon_sym_CARET_EQ] = ACTIONS(5944),
    [anon_sym_PIPE_EQ] = ACTIONS(5944),
    [anon_sym_and_eq] = ACTIONS(5942),
    [anon_sym_or_eq] = ACTIONS(5942),
    [anon_sym_xor_eq] = ACTIONS(5942),
    [anon_sym_LT_EQ_GT] = ACTIONS(5944),
    [anon_sym_or] = ACTIONS(5942),
    [anon_sym_and] = ACTIONS(5942),
    [anon_sym_bitor] = ACTIONS(5942),
    [anon_sym_xor] = ACTIONS(5942),
    [anon_sym_bitand] = ACTIONS(5942),
    [anon_sym_not_eq] = ACTIONS(5942),
    [anon_sym_DASH_DASH] = ACTIONS(5944),
    [anon_sym_PLUS_PLUS] = ACTIONS(5944),
    [anon_sym_DOT] = ACTIONS(5942),
    [anon_sym_DOT_STAR] = ACTIONS(5944),
    [anon_sym_DASH_GT] = ACTIONS(5944),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5942),
  },
  [2429] = {
    [sym_identifier] = ACTIONS(5270),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5272),
    [anon_sym_COMMA] = ACTIONS(5272),
    [aux_sym_preproc_if_token2] = ACTIONS(5272),
    [aux_sym_preproc_else_token1] = ACTIONS(5272),
    [aux_sym_preproc_elif_token1] = ACTIONS(5272),
    [anon_sym_LPAREN2] = ACTIONS(5272),
    [anon_sym_DASH] = ACTIONS(5270),
    [anon_sym_PLUS] = ACTIONS(5270),
    [anon_sym_STAR] = ACTIONS(5270),
    [anon_sym_SLASH] = ACTIONS(5270),
    [anon_sym_PERCENT] = ACTIONS(5270),
    [anon_sym_PIPE_PIPE] = ACTIONS(5272),
    [anon_sym_AMP_AMP] = ACTIONS(5272),
    [anon_sym_PIPE] = ACTIONS(5270),
    [anon_sym_CARET] = ACTIONS(5270),
    [anon_sym_AMP] = ACTIONS(5270),
    [anon_sym_EQ_EQ] = ACTIONS(5272),
    [anon_sym_BANG_EQ] = ACTIONS(5272),
    [anon_sym_GT] = ACTIONS(5270),
    [anon_sym_GT_EQ] = ACTIONS(5272),
    [anon_sym_LT_EQ] = ACTIONS(5270),
    [anon_sym_LT] = ACTIONS(5270),
    [anon_sym_LT_LT] = ACTIONS(5270),
    [anon_sym_GT_GT] = ACTIONS(5270),
    [anon_sym_LBRACK] = ACTIONS(5272),
    [anon_sym_EQ] = ACTIONS(5270),
    [anon_sym_QMARK] = ACTIONS(5272),
    [anon_sym_STAR_EQ] = ACTIONS(5272),
    [anon_sym_SLASH_EQ] = ACTIONS(5272),
    [anon_sym_PERCENT_EQ] = ACTIONS(5272),
    [anon_sym_PLUS_EQ] = ACTIONS(5272),
    [anon_sym_DASH_EQ] = ACTIONS(5272),
    [anon_sym_LT_LT_EQ] = ACTIONS(5272),
    [anon_sym_GT_GT_EQ] = ACTIONS(5272),
    [anon_sym_AMP_EQ] = ACTIONS(5272),
    [anon_sym_CARET_EQ] = ACTIONS(5272),
    [anon_sym_PIPE_EQ] = ACTIONS(5272),
    [anon_sym_and_eq] = ACTIONS(5270),
    [anon_sym_or_eq] = ACTIONS(5270),
    [anon_sym_xor_eq] = ACTIONS(5270),
    [anon_sym_LT_EQ_GT] = ACTIONS(5272),
    [anon_sym_or] = ACTIONS(5270),
    [anon_sym_and] = ACTIONS(5270),
    [anon_sym_bitor] = ACTIONS(5270),
    [anon_sym_xor] = ACTIONS(5270),
    [anon_sym_bitand] = ACTIONS(5270),
    [anon_sym_not_eq] = ACTIONS(5270),
    [anon_sym_DASH_DASH] = ACTIONS(5272),
    [anon_sym_PLUS_PLUS] = ACTIONS(5272),
    [anon_sym_DOT] = ACTIONS(5270),
    [anon_sym_DOT_STAR] = ACTIONS(5272),
    [anon_sym_DASH_GT] = ACTIONS(5272),
    [anon_sym_L_DQUOTE] = ACTIONS(5272),
    [anon_sym_u_DQUOTE] = ACTIONS(5272),
    [anon_sym_U_DQUOTE] = ACTIONS(5272),
    [anon_sym_u8_DQUOTE] = ACTIONS(5272),
    [anon_sym_DQUOTE] = ACTIONS(5272),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5272),
    [anon_sym_LR_DQUOTE] = ACTIONS(5272),
    [anon_sym_uR_DQUOTE] = ACTIONS(5272),
    [anon_sym_UR_DQUOTE] = ACTIONS(5272),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5272),
    [sym_literal_suffix] = ACTIONS(5270),
  },
  [2430] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5819),
    [anon_sym_COMMA] = ACTIONS(5819),
    [anon_sym_RPAREN] = ACTIONS(5819),
    [anon_sym_LPAREN2] = ACTIONS(5819),
    [anon_sym_DASH] = ACTIONS(5817),
    [anon_sym_PLUS] = ACTIONS(5817),
    [anon_sym_STAR] = ACTIONS(5819),
    [anon_sym_SLASH] = ACTIONS(5817),
    [anon_sym_PERCENT] = ACTIONS(5819),
    [anon_sym_PIPE_PIPE] = ACTIONS(5819),
    [anon_sym_AMP_AMP] = ACTIONS(5819),
    [anon_sym_PIPE] = ACTIONS(5817),
    [anon_sym_CARET] = ACTIONS(5819),
    [anon_sym_AMP] = ACTIONS(5817),
    [anon_sym_EQ_EQ] = ACTIONS(5819),
    [anon_sym_BANG_EQ] = ACTIONS(5819),
    [anon_sym_GT] = ACTIONS(5817),
    [anon_sym_GT_EQ] = ACTIONS(5819),
    [anon_sym_LT_EQ] = ACTIONS(5817),
    [anon_sym_LT] = ACTIONS(5817),
    [anon_sym_LT_LT] = ACTIONS(5819),
    [anon_sym_GT_GT] = ACTIONS(5819),
    [anon_sym_SEMI] = ACTIONS(5819),
    [anon_sym___extension__] = ACTIONS(5819),
    [anon_sym___attribute__] = ACTIONS(5819),
    [anon_sym_LBRACE] = ACTIONS(5819),
    [anon_sym_RBRACE] = ACTIONS(5819),
    [anon_sym_signed] = ACTIONS(5946),
    [anon_sym_unsigned] = ACTIONS(5946),
    [anon_sym_long] = ACTIONS(5946),
    [anon_sym_short] = ACTIONS(5946),
    [anon_sym_LBRACK] = ACTIONS(5819),
    [anon_sym_RBRACK] = ACTIONS(5819),
    [anon_sym_const] = ACTIONS(5817),
    [anon_sym_constexpr] = ACTIONS(5819),
    [anon_sym_volatile] = ACTIONS(5819),
    [anon_sym_restrict] = ACTIONS(5819),
    [anon_sym___restrict__] = ACTIONS(5819),
    [anon_sym__Atomic] = ACTIONS(5819),
    [anon_sym__Noreturn] = ACTIONS(5819),
    [anon_sym_noreturn] = ACTIONS(5819),
    [anon_sym_mutable] = ACTIONS(5819),
    [anon_sym_constinit] = ACTIONS(5819),
    [anon_sym_consteval] = ACTIONS(5819),
    [anon_sym_COLON] = ACTIONS(5819),
    [anon_sym_QMARK] = ACTIONS(5819),
    [anon_sym_LT_EQ_GT] = ACTIONS(5819),
    [anon_sym_or] = ACTIONS(5819),
    [anon_sym_and] = ACTIONS(5819),
    [anon_sym_bitor] = ACTIONS(5819),
    [anon_sym_xor] = ACTIONS(5819),
    [anon_sym_bitand] = ACTIONS(5819),
    [anon_sym_not_eq] = ACTIONS(5819),
    [anon_sym_DASH_DASH] = ACTIONS(5819),
    [anon_sym_PLUS_PLUS] = ACTIONS(5819),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_DOT_STAR] = ACTIONS(5819),
    [anon_sym_DASH_GT] = ACTIONS(5819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5819),
    [anon_sym_decltype] = ACTIONS(5819),
    [anon_sym_final] = ACTIONS(5819),
    [anon_sym_override] = ACTIONS(5819),
    [anon_sym_requires] = ACTIONS(5819),
  },
  [2431] = {
    [sym_identifier] = ACTIONS(5948),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5950),
    [anon_sym_COMMA] = ACTIONS(5950),
    [anon_sym_RPAREN] = ACTIONS(5950),
    [aux_sym_preproc_if_token2] = ACTIONS(5950),
    [aux_sym_preproc_else_token1] = ACTIONS(5950),
    [aux_sym_preproc_elif_token1] = ACTIONS(5948),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5950),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5950),
    [anon_sym_LPAREN2] = ACTIONS(5950),
    [anon_sym_DASH] = ACTIONS(5948),
    [anon_sym_PLUS] = ACTIONS(5948),
    [anon_sym_STAR] = ACTIONS(5948),
    [anon_sym_SLASH] = ACTIONS(5948),
    [anon_sym_PERCENT] = ACTIONS(5948),
    [anon_sym_PIPE_PIPE] = ACTIONS(5950),
    [anon_sym_AMP_AMP] = ACTIONS(5950),
    [anon_sym_PIPE] = ACTIONS(5948),
    [anon_sym_CARET] = ACTIONS(5948),
    [anon_sym_AMP] = ACTIONS(5948),
    [anon_sym_EQ_EQ] = ACTIONS(5950),
    [anon_sym_BANG_EQ] = ACTIONS(5950),
    [anon_sym_GT] = ACTIONS(5948),
    [anon_sym_GT_EQ] = ACTIONS(5950),
    [anon_sym_LT_EQ] = ACTIONS(5948),
    [anon_sym_LT] = ACTIONS(5948),
    [anon_sym_LT_LT] = ACTIONS(5948),
    [anon_sym_GT_GT] = ACTIONS(5948),
    [anon_sym_SEMI] = ACTIONS(5950),
    [anon_sym___attribute__] = ACTIONS(5948),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5950),
    [anon_sym_LBRACE] = ACTIONS(5950),
    [anon_sym_RBRACE] = ACTIONS(5950),
    [anon_sym_LBRACK] = ACTIONS(5948),
    [anon_sym_RBRACK] = ACTIONS(5950),
    [anon_sym_EQ] = ACTIONS(5948),
    [anon_sym_COLON] = ACTIONS(5950),
    [anon_sym_QMARK] = ACTIONS(5950),
    [anon_sym_STAR_EQ] = ACTIONS(5950),
    [anon_sym_SLASH_EQ] = ACTIONS(5950),
    [anon_sym_PERCENT_EQ] = ACTIONS(5950),
    [anon_sym_PLUS_EQ] = ACTIONS(5950),
    [anon_sym_DASH_EQ] = ACTIONS(5950),
    [anon_sym_LT_LT_EQ] = ACTIONS(5950),
    [anon_sym_GT_GT_EQ] = ACTIONS(5950),
    [anon_sym_AMP_EQ] = ACTIONS(5950),
    [anon_sym_CARET_EQ] = ACTIONS(5950),
    [anon_sym_PIPE_EQ] = ACTIONS(5950),
    [anon_sym_and_eq] = ACTIONS(5948),
    [anon_sym_or_eq] = ACTIONS(5948),
    [anon_sym_xor_eq] = ACTIONS(5948),
    [anon_sym_LT_EQ_GT] = ACTIONS(5950),
    [anon_sym_or] = ACTIONS(5948),
    [anon_sym_and] = ACTIONS(5948),
    [anon_sym_bitor] = ACTIONS(5948),
    [anon_sym_xor] = ACTIONS(5948),
    [anon_sym_bitand] = ACTIONS(5948),
    [anon_sym_not_eq] = ACTIONS(5948),
    [anon_sym_DASH_DASH] = ACTIONS(5950),
    [anon_sym_PLUS_PLUS] = ACTIONS(5950),
    [anon_sym_DOT] = ACTIONS(5948),
    [anon_sym_DOT_STAR] = ACTIONS(5950),
    [anon_sym_DASH_GT] = ACTIONS(5950),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5948),
  },
  [2432] = {
    [sym_identifier] = ACTIONS(5952),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5954),
    [anon_sym_COMMA] = ACTIONS(5954),
    [anon_sym_RPAREN] = ACTIONS(5954),
    [aux_sym_preproc_if_token2] = ACTIONS(5954),
    [aux_sym_preproc_else_token1] = ACTIONS(5954),
    [aux_sym_preproc_elif_token1] = ACTIONS(5952),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5954),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5954),
    [anon_sym_LPAREN2] = ACTIONS(5954),
    [anon_sym_DASH] = ACTIONS(5952),
    [anon_sym_PLUS] = ACTIONS(5952),
    [anon_sym_STAR] = ACTIONS(5952),
    [anon_sym_SLASH] = ACTIONS(5952),
    [anon_sym_PERCENT] = ACTIONS(5952),
    [anon_sym_PIPE_PIPE] = ACTIONS(5954),
    [anon_sym_AMP_AMP] = ACTIONS(5954),
    [anon_sym_PIPE] = ACTIONS(5952),
    [anon_sym_CARET] = ACTIONS(5952),
    [anon_sym_AMP] = ACTIONS(5952),
    [anon_sym_EQ_EQ] = ACTIONS(5954),
    [anon_sym_BANG_EQ] = ACTIONS(5954),
    [anon_sym_GT] = ACTIONS(5952),
    [anon_sym_GT_EQ] = ACTIONS(5954),
    [anon_sym_LT_EQ] = ACTIONS(5952),
    [anon_sym_LT] = ACTIONS(5952),
    [anon_sym_LT_LT] = ACTIONS(5952),
    [anon_sym_GT_GT] = ACTIONS(5952),
    [anon_sym_SEMI] = ACTIONS(5954),
    [anon_sym___attribute__] = ACTIONS(5952),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5954),
    [anon_sym_LBRACE] = ACTIONS(5954),
    [anon_sym_RBRACE] = ACTIONS(5954),
    [anon_sym_LBRACK] = ACTIONS(5952),
    [anon_sym_RBRACK] = ACTIONS(5954),
    [anon_sym_EQ] = ACTIONS(5952),
    [anon_sym_COLON] = ACTIONS(5954),
    [anon_sym_QMARK] = ACTIONS(5954),
    [anon_sym_STAR_EQ] = ACTIONS(5954),
    [anon_sym_SLASH_EQ] = ACTIONS(5954),
    [anon_sym_PERCENT_EQ] = ACTIONS(5954),
    [anon_sym_PLUS_EQ] = ACTIONS(5954),
    [anon_sym_DASH_EQ] = ACTIONS(5954),
    [anon_sym_LT_LT_EQ] = ACTIONS(5954),
    [anon_sym_GT_GT_EQ] = ACTIONS(5954),
    [anon_sym_AMP_EQ] = ACTIONS(5954),
    [anon_sym_CARET_EQ] = ACTIONS(5954),
    [anon_sym_PIPE_EQ] = ACTIONS(5954),
    [anon_sym_and_eq] = ACTIONS(5952),
    [anon_sym_or_eq] = ACTIONS(5952),
    [anon_sym_xor_eq] = ACTIONS(5952),
    [anon_sym_LT_EQ_GT] = ACTIONS(5954),
    [anon_sym_or] = ACTIONS(5952),
    [anon_sym_and] = ACTIONS(5952),
    [anon_sym_bitor] = ACTIONS(5952),
    [anon_sym_xor] = ACTIONS(5952),
    [anon_sym_bitand] = ACTIONS(5952),
    [anon_sym_not_eq] = ACTIONS(5952),
    [anon_sym_DASH_DASH] = ACTIONS(5954),
    [anon_sym_PLUS_PLUS] = ACTIONS(5954),
    [anon_sym_DOT] = ACTIONS(5952),
    [anon_sym_DOT_STAR] = ACTIONS(5954),
    [anon_sym_DASH_GT] = ACTIONS(5954),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5952),
  },
  [2433] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2441),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5550),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5550),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5550),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5550),
    [anon_sym_GT_GT] = ACTIONS(5550),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___extension__] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5550),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_signed] = ACTIONS(5946),
    [anon_sym_unsigned] = ACTIONS(5946),
    [anon_sym_long] = ACTIONS(5946),
    [anon_sym_short] = ACTIONS(5946),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_const] = ACTIONS(5548),
    [anon_sym_constexpr] = ACTIONS(5550),
    [anon_sym_volatile] = ACTIONS(5550),
    [anon_sym_restrict] = ACTIONS(5550),
    [anon_sym___restrict__] = ACTIONS(5550),
    [anon_sym__Atomic] = ACTIONS(5550),
    [anon_sym__Noreturn] = ACTIONS(5550),
    [anon_sym_noreturn] = ACTIONS(5550),
    [anon_sym_mutable] = ACTIONS(5550),
    [anon_sym_constinit] = ACTIONS(5550),
    [anon_sym_consteval] = ACTIONS(5550),
    [anon_sym_COLON] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5550),
    [anon_sym_and] = ACTIONS(5550),
    [anon_sym_bitor] = ACTIONS(5550),
    [anon_sym_xor] = ACTIONS(5550),
    [anon_sym_bitand] = ACTIONS(5550),
    [anon_sym_not_eq] = ACTIONS(5550),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5550),
    [anon_sym_decltype] = ACTIONS(5550),
    [anon_sym_final] = ACTIONS(5550),
    [anon_sym_override] = ACTIONS(5550),
    [anon_sym_requires] = ACTIONS(5550),
  },
  [2434] = {
    [sym_template_argument_list] = STATE(2641),
    [sym_identifier] = ACTIONS(5028),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5021),
    [anon_sym_COMMA] = ACTIONS(5021),
    [anon_sym_RPAREN] = ACTIONS(5021),
    [aux_sym_preproc_if_token2] = ACTIONS(5021),
    [aux_sym_preproc_else_token1] = ACTIONS(5021),
    [aux_sym_preproc_elif_token1] = ACTIONS(5028),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5021),
    [anon_sym_LPAREN2] = ACTIONS(5021),
    [anon_sym_DASH] = ACTIONS(5028),
    [anon_sym_PLUS] = ACTIONS(5028),
    [anon_sym_STAR] = ACTIONS(5028),
    [anon_sym_SLASH] = ACTIONS(5028),
    [anon_sym_PERCENT] = ACTIONS(5028),
    [anon_sym_PIPE_PIPE] = ACTIONS(5021),
    [anon_sym_AMP_AMP] = ACTIONS(5021),
    [anon_sym_PIPE] = ACTIONS(5028),
    [anon_sym_CARET] = ACTIONS(5028),
    [anon_sym_AMP] = ACTIONS(5028),
    [anon_sym_EQ_EQ] = ACTIONS(5021),
    [anon_sym_BANG_EQ] = ACTIONS(5021),
    [anon_sym_GT] = ACTIONS(5028),
    [anon_sym_GT_EQ] = ACTIONS(5021),
    [anon_sym_LT_EQ] = ACTIONS(5028),
    [anon_sym_LT] = ACTIONS(5956),
    [anon_sym_LT_LT] = ACTIONS(5028),
    [anon_sym_GT_GT] = ACTIONS(5028),
    [anon_sym_SEMI] = ACTIONS(5021),
    [anon_sym___attribute__] = ACTIONS(5028),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5026),
    [anon_sym_RBRACE] = ACTIONS(5021),
    [anon_sym_LBRACK] = ACTIONS(5021),
    [anon_sym_RBRACK] = ACTIONS(5021),
    [anon_sym_EQ] = ACTIONS(5028),
    [anon_sym_COLON] = ACTIONS(5028),
    [anon_sym_QMARK] = ACTIONS(5021),
    [anon_sym_STAR_EQ] = ACTIONS(5021),
    [anon_sym_SLASH_EQ] = ACTIONS(5021),
    [anon_sym_PERCENT_EQ] = ACTIONS(5021),
    [anon_sym_PLUS_EQ] = ACTIONS(5021),
    [anon_sym_DASH_EQ] = ACTIONS(5021),
    [anon_sym_LT_LT_EQ] = ACTIONS(5021),
    [anon_sym_GT_GT_EQ] = ACTIONS(5021),
    [anon_sym_AMP_EQ] = ACTIONS(5021),
    [anon_sym_CARET_EQ] = ACTIONS(5021),
    [anon_sym_PIPE_EQ] = ACTIONS(5021),
    [anon_sym_and_eq] = ACTIONS(5028),
    [anon_sym_or_eq] = ACTIONS(5028),
    [anon_sym_xor_eq] = ACTIONS(5028),
    [anon_sym_LT_EQ_GT] = ACTIONS(5021),
    [anon_sym_or] = ACTIONS(5028),
    [anon_sym_and] = ACTIONS(5028),
    [anon_sym_bitor] = ACTIONS(5028),
    [anon_sym_xor] = ACTIONS(5028),
    [anon_sym_bitand] = ACTIONS(5028),
    [anon_sym_not_eq] = ACTIONS(5028),
    [anon_sym_DASH_DASH] = ACTIONS(5021),
    [anon_sym_PLUS_PLUS] = ACTIONS(5021),
    [anon_sym_DOT] = ACTIONS(5028),
    [anon_sym_DOT_STAR] = ACTIONS(5021),
    [anon_sym_DASH_GT] = ACTIONS(5021),
    [sym_comment] = ACTIONS(3),
  },
  [2435] = {
    [sym_identifier] = ACTIONS(5719),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5721),
    [anon_sym_COMMA] = ACTIONS(5721),
    [anon_sym_RPAREN] = ACTIONS(5721),
    [aux_sym_preproc_if_token2] = ACTIONS(5721),
    [aux_sym_preproc_else_token1] = ACTIONS(5721),
    [aux_sym_preproc_elif_token1] = ACTIONS(5719),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5721),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5721),
    [anon_sym_LPAREN2] = ACTIONS(5721),
    [anon_sym_DASH] = ACTIONS(5719),
    [anon_sym_PLUS] = ACTIONS(5719),
    [anon_sym_STAR] = ACTIONS(5719),
    [anon_sym_SLASH] = ACTIONS(5719),
    [anon_sym_PERCENT] = ACTIONS(5719),
    [anon_sym_PIPE_PIPE] = ACTIONS(5721),
    [anon_sym_AMP_AMP] = ACTIONS(5721),
    [anon_sym_PIPE] = ACTIONS(5719),
    [anon_sym_CARET] = ACTIONS(5719),
    [anon_sym_AMP] = ACTIONS(5719),
    [anon_sym_EQ_EQ] = ACTIONS(5721),
    [anon_sym_BANG_EQ] = ACTIONS(5721),
    [anon_sym_GT] = ACTIONS(5719),
    [anon_sym_GT_EQ] = ACTIONS(5721),
    [anon_sym_LT_EQ] = ACTIONS(5719),
    [anon_sym_LT] = ACTIONS(5719),
    [anon_sym_LT_LT] = ACTIONS(5719),
    [anon_sym_GT_GT] = ACTIONS(5719),
    [anon_sym_SEMI] = ACTIONS(5721),
    [anon_sym___attribute__] = ACTIONS(5719),
    [anon_sym_LBRACE] = ACTIONS(5721),
    [anon_sym_RBRACE] = ACTIONS(5721),
    [anon_sym_LBRACK] = ACTIONS(5721),
    [anon_sym_RBRACK] = ACTIONS(5721),
    [anon_sym_EQ] = ACTIONS(5719),
    [anon_sym_COLON] = ACTIONS(5721),
    [anon_sym_QMARK] = ACTIONS(5721),
    [anon_sym_STAR_EQ] = ACTIONS(5721),
    [anon_sym_SLASH_EQ] = ACTIONS(5721),
    [anon_sym_PERCENT_EQ] = ACTIONS(5721),
    [anon_sym_PLUS_EQ] = ACTIONS(5721),
    [anon_sym_DASH_EQ] = ACTIONS(5721),
    [anon_sym_LT_LT_EQ] = ACTIONS(5721),
    [anon_sym_GT_GT_EQ] = ACTIONS(5721),
    [anon_sym_AMP_EQ] = ACTIONS(5721),
    [anon_sym_CARET_EQ] = ACTIONS(5721),
    [anon_sym_PIPE_EQ] = ACTIONS(5721),
    [anon_sym_and_eq] = ACTIONS(5719),
    [anon_sym_or_eq] = ACTIONS(5719),
    [anon_sym_xor_eq] = ACTIONS(5719),
    [anon_sym_LT_EQ_GT] = ACTIONS(5721),
    [anon_sym_or] = ACTIONS(5719),
    [anon_sym_and] = ACTIONS(5719),
    [anon_sym_bitor] = ACTIONS(5719),
    [anon_sym_xor] = ACTIONS(5719),
    [anon_sym_bitand] = ACTIONS(5719),
    [anon_sym_not_eq] = ACTIONS(5719),
    [anon_sym_DASH_DASH] = ACTIONS(5721),
    [anon_sym_PLUS_PLUS] = ACTIONS(5721),
    [anon_sym_DOT] = ACTIONS(5719),
    [anon_sym_DOT_STAR] = ACTIONS(5721),
    [anon_sym_DASH_GT] = ACTIONS(5721),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5719),
    [anon_sym_decltype] = ACTIONS(5719),
  },
  [2436] = {
    [sym_string_literal] = STATE(2239),
    [sym_raw_string_literal] = STATE(2239),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4145),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_SEMI] = ACTIONS(4137),
    [anon_sym___attribute__] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(5630),
    [anon_sym_u_DQUOTE] = ACTIONS(5630),
    [anon_sym_U_DQUOTE] = ACTIONS(5630),
    [anon_sym_u8_DQUOTE] = ACTIONS(5630),
    [anon_sym_DQUOTE] = ACTIONS(5630),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5632),
    [anon_sym_LR_DQUOTE] = ACTIONS(5632),
    [anon_sym_uR_DQUOTE] = ACTIONS(5632),
    [anon_sym_UR_DQUOTE] = ACTIONS(5632),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5632),
    [sym_literal_suffix] = ACTIONS(5388),
  },
  [2437] = {
    [sym_attribute_declaration] = STATE(2437),
    [aux_sym_attributed_declarator_repeat1] = STATE(2437),
    [sym_identifier] = ACTIONS(5959),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5961),
    [anon_sym_COMMA] = ACTIONS(5961),
    [anon_sym_RPAREN] = ACTIONS(5961),
    [aux_sym_preproc_if_token2] = ACTIONS(5961),
    [aux_sym_preproc_else_token1] = ACTIONS(5961),
    [aux_sym_preproc_elif_token1] = ACTIONS(5959),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5961),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5961),
    [anon_sym_LPAREN2] = ACTIONS(5961),
    [anon_sym_DASH] = ACTIONS(5959),
    [anon_sym_PLUS] = ACTIONS(5959),
    [anon_sym_STAR] = ACTIONS(5959),
    [anon_sym_SLASH] = ACTIONS(5959),
    [anon_sym_PERCENT] = ACTIONS(5959),
    [anon_sym_PIPE_PIPE] = ACTIONS(5961),
    [anon_sym_AMP_AMP] = ACTIONS(5961),
    [anon_sym_PIPE] = ACTIONS(5959),
    [anon_sym_CARET] = ACTIONS(5959),
    [anon_sym_AMP] = ACTIONS(5959),
    [anon_sym_EQ_EQ] = ACTIONS(5961),
    [anon_sym_BANG_EQ] = ACTIONS(5961),
    [anon_sym_GT] = ACTIONS(5959),
    [anon_sym_GT_EQ] = ACTIONS(5961),
    [anon_sym_LT_EQ] = ACTIONS(5959),
    [anon_sym_LT] = ACTIONS(5959),
    [anon_sym_LT_LT] = ACTIONS(5959),
    [anon_sym_GT_GT] = ACTIONS(5959),
    [anon_sym_SEMI] = ACTIONS(5961),
    [anon_sym___attribute__] = ACTIONS(5959),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5963),
    [anon_sym_RBRACE] = ACTIONS(5961),
    [anon_sym_LBRACK] = ACTIONS(5959),
    [anon_sym_RBRACK] = ACTIONS(5961),
    [anon_sym_EQ] = ACTIONS(5959),
    [anon_sym_COLON] = ACTIONS(5961),
    [anon_sym_QMARK] = ACTIONS(5961),
    [anon_sym_STAR_EQ] = ACTIONS(5961),
    [anon_sym_SLASH_EQ] = ACTIONS(5961),
    [anon_sym_PERCENT_EQ] = ACTIONS(5961),
    [anon_sym_PLUS_EQ] = ACTIONS(5961),
    [anon_sym_DASH_EQ] = ACTIONS(5961),
    [anon_sym_LT_LT_EQ] = ACTIONS(5961),
    [anon_sym_GT_GT_EQ] = ACTIONS(5961),
    [anon_sym_AMP_EQ] = ACTIONS(5961),
    [anon_sym_CARET_EQ] = ACTIONS(5961),
    [anon_sym_PIPE_EQ] = ACTIONS(5961),
    [anon_sym_and_eq] = ACTIONS(5959),
    [anon_sym_or_eq] = ACTIONS(5959),
    [anon_sym_xor_eq] = ACTIONS(5959),
    [anon_sym_LT_EQ_GT] = ACTIONS(5961),
    [anon_sym_or] = ACTIONS(5959),
    [anon_sym_and] = ACTIONS(5959),
    [anon_sym_bitor] = ACTIONS(5959),
    [anon_sym_xor] = ACTIONS(5959),
    [anon_sym_bitand] = ACTIONS(5959),
    [anon_sym_not_eq] = ACTIONS(5959),
    [anon_sym_DASH_DASH] = ACTIONS(5961),
    [anon_sym_PLUS_PLUS] = ACTIONS(5961),
    [anon_sym_DOT] = ACTIONS(5959),
    [anon_sym_DOT_STAR] = ACTIONS(5961),
    [anon_sym_DASH_GT] = ACTIONS(5961),
    [sym_comment] = ACTIONS(3),
  },
  [2438] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
  },
  [2439] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5733),
    [anon_sym_COMMA] = ACTIONS(5733),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [aux_sym_preproc_if_token2] = ACTIONS(5733),
    [aux_sym_preproc_else_token1] = ACTIONS(5733),
    [aux_sym_preproc_elif_token1] = ACTIONS(5731),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5733),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5731),
    [anon_sym_PLUS] = ACTIONS(5731),
    [anon_sym_STAR] = ACTIONS(5731),
    [anon_sym_SLASH] = ACTIONS(5731),
    [anon_sym_PERCENT] = ACTIONS(5731),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_PIPE] = ACTIONS(5731),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym_EQ_EQ] = ACTIONS(5733),
    [anon_sym_BANG_EQ] = ACTIONS(5733),
    [anon_sym_GT] = ACTIONS(5731),
    [anon_sym_GT_EQ] = ACTIONS(5733),
    [anon_sym_LT_EQ] = ACTIONS(5731),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_LT_LT] = ACTIONS(5731),
    [anon_sym_GT_GT] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5733),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5733),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_EQ] = ACTIONS(5731),
    [anon_sym_COLON] = ACTIONS(5733),
    [anon_sym_QMARK] = ACTIONS(5733),
    [anon_sym_STAR_EQ] = ACTIONS(5733),
    [anon_sym_SLASH_EQ] = ACTIONS(5733),
    [anon_sym_PERCENT_EQ] = ACTIONS(5733),
    [anon_sym_PLUS_EQ] = ACTIONS(5733),
    [anon_sym_DASH_EQ] = ACTIONS(5733),
    [anon_sym_LT_LT_EQ] = ACTIONS(5733),
    [anon_sym_GT_GT_EQ] = ACTIONS(5733),
    [anon_sym_AMP_EQ] = ACTIONS(5733),
    [anon_sym_CARET_EQ] = ACTIONS(5733),
    [anon_sym_PIPE_EQ] = ACTIONS(5733),
    [anon_sym_and_eq] = ACTIONS(5731),
    [anon_sym_or_eq] = ACTIONS(5731),
    [anon_sym_xor_eq] = ACTIONS(5731),
    [anon_sym_LT_EQ_GT] = ACTIONS(5733),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [anon_sym_bitor] = ACTIONS(5731),
    [anon_sym_xor] = ACTIONS(5731),
    [anon_sym_bitand] = ACTIONS(5731),
    [anon_sym_not_eq] = ACTIONS(5731),
    [anon_sym_DASH_DASH] = ACTIONS(5733),
    [anon_sym_PLUS_PLUS] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_DOT_STAR] = ACTIONS(5733),
    [anon_sym_DASH_GT] = ACTIONS(5733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
  },
  [2440] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [anon_sym_RPAREN] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_DASH] = ACTIONS(5968),
    [anon_sym_PLUS] = ACTIONS(5968),
    [anon_sym_STAR] = ACTIONS(5966),
    [anon_sym_SLASH] = ACTIONS(5968),
    [anon_sym_PERCENT] = ACTIONS(5966),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_PIPE] = ACTIONS(5968),
    [anon_sym_CARET] = ACTIONS(5966),
    [anon_sym_AMP] = ACTIONS(5968),
    [anon_sym_EQ_EQ] = ACTIONS(5966),
    [anon_sym_BANG_EQ] = ACTIONS(5966),
    [anon_sym_GT] = ACTIONS(5968),
    [anon_sym_GT_EQ] = ACTIONS(5966),
    [anon_sym_LT_EQ] = ACTIONS(5968),
    [anon_sym_LT] = ACTIONS(5968),
    [anon_sym_LT_LT] = ACTIONS(5966),
    [anon_sym_GT_GT] = ACTIONS(5966),
    [anon_sym_SEMI] = ACTIONS(5966),
    [anon_sym___extension__] = ACTIONS(5966),
    [anon_sym___attribute__] = ACTIONS(5966),
    [anon_sym_LBRACE] = ACTIONS(5966),
    [anon_sym_RBRACE] = ACTIONS(5966),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_RBRACK] = ACTIONS(5966),
    [anon_sym_const] = ACTIONS(5968),
    [anon_sym_constexpr] = ACTIONS(5966),
    [anon_sym_volatile] = ACTIONS(5966),
    [anon_sym_restrict] = ACTIONS(5966),
    [anon_sym___restrict__] = ACTIONS(5966),
    [anon_sym__Atomic] = ACTIONS(5966),
    [anon_sym__Noreturn] = ACTIONS(5966),
    [anon_sym_noreturn] = ACTIONS(5966),
    [anon_sym_mutable] = ACTIONS(5966),
    [anon_sym_constinit] = ACTIONS(5966),
    [anon_sym_consteval] = ACTIONS(5966),
    [anon_sym_COLON] = ACTIONS(5966),
    [anon_sym_QMARK] = ACTIONS(5966),
    [anon_sym_LT_EQ_GT] = ACTIONS(5966),
    [anon_sym_or] = ACTIONS(5966),
    [anon_sym_and] = ACTIONS(5966),
    [anon_sym_bitor] = ACTIONS(5966),
    [anon_sym_xor] = ACTIONS(5966),
    [anon_sym_bitand] = ACTIONS(5966),
    [anon_sym_not_eq] = ACTIONS(5966),
    [anon_sym_DASH_DASH] = ACTIONS(5966),
    [anon_sym_PLUS_PLUS] = ACTIONS(5966),
    [anon_sym_DOT] = ACTIONS(5968),
    [anon_sym_DOT_STAR] = ACTIONS(5966),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5966),
    [anon_sym_decltype] = ACTIONS(5966),
    [anon_sym_final] = ACTIONS(5966),
    [anon_sym_override] = ACTIONS(5966),
    [anon_sym_requires] = ACTIONS(5966),
  },
  [2441] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [anon_sym_RPAREN] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5974),
    [anon_sym_PLUS] = ACTIONS(5974),
    [anon_sym_STAR] = ACTIONS(5972),
    [anon_sym_SLASH] = ACTIONS(5974),
    [anon_sym_PERCENT] = ACTIONS(5972),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5974),
    [anon_sym_CARET] = ACTIONS(5972),
    [anon_sym_AMP] = ACTIONS(5974),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5974),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_LT] = ACTIONS(5974),
    [anon_sym_LT_LT] = ACTIONS(5972),
    [anon_sym_GT_GT] = ACTIONS(5972),
    [anon_sym_SEMI] = ACTIONS(5972),
    [anon_sym___extension__] = ACTIONS(5972),
    [anon_sym___attribute__] = ACTIONS(5972),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_RBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_RBRACK] = ACTIONS(5972),
    [anon_sym_const] = ACTIONS(5974),
    [anon_sym_constexpr] = ACTIONS(5972),
    [anon_sym_volatile] = ACTIONS(5972),
    [anon_sym_restrict] = ACTIONS(5972),
    [anon_sym___restrict__] = ACTIONS(5972),
    [anon_sym__Atomic] = ACTIONS(5972),
    [anon_sym__Noreturn] = ACTIONS(5972),
    [anon_sym_noreturn] = ACTIONS(5972),
    [anon_sym_mutable] = ACTIONS(5972),
    [anon_sym_constinit] = ACTIONS(5972),
    [anon_sym_consteval] = ACTIONS(5972),
    [anon_sym_COLON] = ACTIONS(5972),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5972),
    [anon_sym_and] = ACTIONS(5972),
    [anon_sym_bitor] = ACTIONS(5972),
    [anon_sym_xor] = ACTIONS(5972),
    [anon_sym_bitand] = ACTIONS(5972),
    [anon_sym_not_eq] = ACTIONS(5972),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5974),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5972),
    [anon_sym_decltype] = ACTIONS(5972),
    [anon_sym_final] = ACTIONS(5972),
    [anon_sym_override] = ACTIONS(5972),
    [anon_sym_requires] = ACTIONS(5972),
  },
  [2442] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token2] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_friend] = ACTIONS(2853),
    [anon_sym_public] = ACTIONS(2853),
    [anon_sym_private] = ACTIONS(2853),
    [anon_sym_protected] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
  },
  [2443] = {
    [sym_identifier] = ACTIONS(5789),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5791),
    [anon_sym_COMMA] = ACTIONS(5791),
    [anon_sym_RPAREN] = ACTIONS(5791),
    [aux_sym_preproc_if_token2] = ACTIONS(5791),
    [aux_sym_preproc_else_token1] = ACTIONS(5791),
    [aux_sym_preproc_elif_token1] = ACTIONS(5789),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5791),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5791),
    [anon_sym_LPAREN2] = ACTIONS(5791),
    [anon_sym_DASH] = ACTIONS(5789),
    [anon_sym_PLUS] = ACTIONS(5789),
    [anon_sym_STAR] = ACTIONS(5789),
    [anon_sym_SLASH] = ACTIONS(5789),
    [anon_sym_PERCENT] = ACTIONS(5789),
    [anon_sym_PIPE_PIPE] = ACTIONS(5791),
    [anon_sym_AMP_AMP] = ACTIONS(5791),
    [anon_sym_PIPE] = ACTIONS(5789),
    [anon_sym_CARET] = ACTIONS(5789),
    [anon_sym_AMP] = ACTIONS(5789),
    [anon_sym_EQ_EQ] = ACTIONS(5791),
    [anon_sym_BANG_EQ] = ACTIONS(5791),
    [anon_sym_GT] = ACTIONS(5789),
    [anon_sym_GT_EQ] = ACTIONS(5791),
    [anon_sym_LT_EQ] = ACTIONS(5789),
    [anon_sym_LT] = ACTIONS(5789),
    [anon_sym_LT_LT] = ACTIONS(5789),
    [anon_sym_GT_GT] = ACTIONS(5789),
    [anon_sym_SEMI] = ACTIONS(5791),
    [anon_sym___attribute__] = ACTIONS(5789),
    [anon_sym_LBRACE] = ACTIONS(5791),
    [anon_sym_RBRACE] = ACTIONS(5791),
    [anon_sym_LBRACK] = ACTIONS(5791),
    [anon_sym_RBRACK] = ACTIONS(5791),
    [anon_sym_EQ] = ACTIONS(5789),
    [anon_sym_COLON] = ACTIONS(5791),
    [anon_sym_QMARK] = ACTIONS(5791),
    [anon_sym_STAR_EQ] = ACTIONS(5791),
    [anon_sym_SLASH_EQ] = ACTIONS(5791),
    [anon_sym_PERCENT_EQ] = ACTIONS(5791),
    [anon_sym_PLUS_EQ] = ACTIONS(5791),
    [anon_sym_DASH_EQ] = ACTIONS(5791),
    [anon_sym_LT_LT_EQ] = ACTIONS(5791),
    [anon_sym_GT_GT_EQ] = ACTIONS(5791),
    [anon_sym_AMP_EQ] = ACTIONS(5791),
    [anon_sym_CARET_EQ] = ACTIONS(5791),
    [anon_sym_PIPE_EQ] = ACTIONS(5791),
    [anon_sym_and_eq] = ACTIONS(5789),
    [anon_sym_or_eq] = ACTIONS(5789),
    [anon_sym_xor_eq] = ACTIONS(5789),
    [anon_sym_LT_EQ_GT] = ACTIONS(5791),
    [anon_sym_or] = ACTIONS(5789),
    [anon_sym_and] = ACTIONS(5789),
    [anon_sym_bitor] = ACTIONS(5789),
    [anon_sym_xor] = ACTIONS(5789),
    [anon_sym_bitand] = ACTIONS(5789),
    [anon_sym_not_eq] = ACTIONS(5789),
    [anon_sym_DASH_DASH] = ACTIONS(5791),
    [anon_sym_PLUS_PLUS] = ACTIONS(5791),
    [anon_sym_DOT] = ACTIONS(5789),
    [anon_sym_DOT_STAR] = ACTIONS(5791),
    [anon_sym_DASH_GT] = ACTIONS(5791),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5789),
    [anon_sym_decltype] = ACTIONS(5789),
  },
  [2444] = {
    [sym_identifier] = ACTIONS(5590),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5592),
    [anon_sym_COMMA] = ACTIONS(5592),
    [anon_sym_RPAREN] = ACTIONS(5592),
    [aux_sym_preproc_if_token2] = ACTIONS(5592),
    [aux_sym_preproc_else_token1] = ACTIONS(5592),
    [aux_sym_preproc_elif_token1] = ACTIONS(5590),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5592),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5592),
    [anon_sym_LPAREN2] = ACTIONS(5592),
    [anon_sym_DASH] = ACTIONS(5590),
    [anon_sym_PLUS] = ACTIONS(5590),
    [anon_sym_STAR] = ACTIONS(5590),
    [anon_sym_SLASH] = ACTIONS(5590),
    [anon_sym_PERCENT] = ACTIONS(5590),
    [anon_sym_PIPE_PIPE] = ACTIONS(5592),
    [anon_sym_AMP_AMP] = ACTIONS(5592),
    [anon_sym_PIPE] = ACTIONS(5590),
    [anon_sym_CARET] = ACTIONS(5590),
    [anon_sym_AMP] = ACTIONS(5590),
    [anon_sym_EQ_EQ] = ACTIONS(5592),
    [anon_sym_BANG_EQ] = ACTIONS(5592),
    [anon_sym_GT] = ACTIONS(5590),
    [anon_sym_GT_EQ] = ACTIONS(5592),
    [anon_sym_LT_EQ] = ACTIONS(5590),
    [anon_sym_LT] = ACTIONS(5590),
    [anon_sym_LT_LT] = ACTIONS(5590),
    [anon_sym_GT_GT] = ACTIONS(5590),
    [anon_sym_SEMI] = ACTIONS(5592),
    [anon_sym___attribute__] = ACTIONS(5590),
    [anon_sym_LBRACE] = ACTIONS(5592),
    [anon_sym_RBRACE] = ACTIONS(5592),
    [anon_sym_LBRACK] = ACTIONS(5592),
    [anon_sym_RBRACK] = ACTIONS(5592),
    [anon_sym_EQ] = ACTIONS(5590),
    [anon_sym_COLON] = ACTIONS(5592),
    [anon_sym_QMARK] = ACTIONS(5592),
    [anon_sym_STAR_EQ] = ACTIONS(5592),
    [anon_sym_SLASH_EQ] = ACTIONS(5592),
    [anon_sym_PERCENT_EQ] = ACTIONS(5592),
    [anon_sym_PLUS_EQ] = ACTIONS(5592),
    [anon_sym_DASH_EQ] = ACTIONS(5592),
    [anon_sym_LT_LT_EQ] = ACTIONS(5592),
    [anon_sym_GT_GT_EQ] = ACTIONS(5592),
    [anon_sym_AMP_EQ] = ACTIONS(5592),
    [anon_sym_CARET_EQ] = ACTIONS(5592),
    [anon_sym_PIPE_EQ] = ACTIONS(5592),
    [anon_sym_and_eq] = ACTIONS(5590),
    [anon_sym_or_eq] = ACTIONS(5590),
    [anon_sym_xor_eq] = ACTIONS(5590),
    [anon_sym_LT_EQ_GT] = ACTIONS(5592),
    [anon_sym_or] = ACTIONS(5590),
    [anon_sym_and] = ACTIONS(5590),
    [anon_sym_bitor] = ACTIONS(5590),
    [anon_sym_xor] = ACTIONS(5590),
    [anon_sym_bitand] = ACTIONS(5590),
    [anon_sym_not_eq] = ACTIONS(5590),
    [anon_sym_DASH_DASH] = ACTIONS(5592),
    [anon_sym_PLUS_PLUS] = ACTIONS(5592),
    [anon_sym_DOT] = ACTIONS(5590),
    [anon_sym_DOT_STAR] = ACTIONS(5592),
    [anon_sym_DASH_GT] = ACTIONS(5592),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5590),
    [anon_sym_decltype] = ACTIONS(5590),
  },
  [2445] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2474),
    [sym_identifier] = ACTIONS(5817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5819),
    [anon_sym_COMMA] = ACTIONS(5819),
    [aux_sym_preproc_if_token2] = ACTIONS(5819),
    [aux_sym_preproc_else_token1] = ACTIONS(5819),
    [aux_sym_preproc_elif_token1] = ACTIONS(5817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5819),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5819),
    [anon_sym_LPAREN2] = ACTIONS(5819),
    [anon_sym_DASH] = ACTIONS(5817),
    [anon_sym_PLUS] = ACTIONS(5817),
    [anon_sym_STAR] = ACTIONS(5817),
    [anon_sym_SLASH] = ACTIONS(5817),
    [anon_sym_PERCENT] = ACTIONS(5817),
    [anon_sym_PIPE_PIPE] = ACTIONS(5819),
    [anon_sym_AMP_AMP] = ACTIONS(5819),
    [anon_sym_PIPE] = ACTIONS(5817),
    [anon_sym_CARET] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5817),
    [anon_sym_EQ_EQ] = ACTIONS(5819),
    [anon_sym_BANG_EQ] = ACTIONS(5819),
    [anon_sym_GT] = ACTIONS(5817),
    [anon_sym_GT_EQ] = ACTIONS(5819),
    [anon_sym_LT_EQ] = ACTIONS(5817),
    [anon_sym_LT] = ACTIONS(5817),
    [anon_sym_LT_LT] = ACTIONS(5817),
    [anon_sym_GT_GT] = ACTIONS(5817),
    [anon_sym___attribute__] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5819),
    [anon_sym_signed] = ACTIONS(5976),
    [anon_sym_unsigned] = ACTIONS(5976),
    [anon_sym_long] = ACTIONS(5976),
    [anon_sym_short] = ACTIONS(5976),
    [anon_sym_LBRACK] = ACTIONS(5819),
    [anon_sym_EQ] = ACTIONS(5817),
    [anon_sym_QMARK] = ACTIONS(5819),
    [anon_sym_STAR_EQ] = ACTIONS(5819),
    [anon_sym_SLASH_EQ] = ACTIONS(5819),
    [anon_sym_PERCENT_EQ] = ACTIONS(5819),
    [anon_sym_PLUS_EQ] = ACTIONS(5819),
    [anon_sym_DASH_EQ] = ACTIONS(5819),
    [anon_sym_LT_LT_EQ] = ACTIONS(5819),
    [anon_sym_GT_GT_EQ] = ACTIONS(5819),
    [anon_sym_AMP_EQ] = ACTIONS(5819),
    [anon_sym_CARET_EQ] = ACTIONS(5819),
    [anon_sym_PIPE_EQ] = ACTIONS(5819),
    [anon_sym_and_eq] = ACTIONS(5817),
    [anon_sym_or_eq] = ACTIONS(5817),
    [anon_sym_xor_eq] = ACTIONS(5817),
    [anon_sym_LT_EQ_GT] = ACTIONS(5819),
    [anon_sym_or] = ACTIONS(5817),
    [anon_sym_and] = ACTIONS(5817),
    [anon_sym_bitor] = ACTIONS(5817),
    [anon_sym_xor] = ACTIONS(5817),
    [anon_sym_bitand] = ACTIONS(5817),
    [anon_sym_not_eq] = ACTIONS(5817),
    [anon_sym_DASH_DASH] = ACTIONS(5819),
    [anon_sym_PLUS_PLUS] = ACTIONS(5819),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_DOT_STAR] = ACTIONS(5819),
    [anon_sym_DASH_GT] = ACTIONS(5819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5817),
    [anon_sym_decltype] = ACTIONS(5817),
  },
  [2446] = {
    [sym_identifier] = ACTIONS(5626),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5628),
    [anon_sym_COMMA] = ACTIONS(5628),
    [anon_sym_RPAREN] = ACTIONS(5628),
    [aux_sym_preproc_if_token2] = ACTIONS(5628),
    [aux_sym_preproc_else_token1] = ACTIONS(5628),
    [aux_sym_preproc_elif_token1] = ACTIONS(5626),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5628),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5628),
    [anon_sym_LPAREN2] = ACTIONS(5628),
    [anon_sym_DASH] = ACTIONS(5626),
    [anon_sym_PLUS] = ACTIONS(5626),
    [anon_sym_STAR] = ACTIONS(5626),
    [anon_sym_SLASH] = ACTIONS(5626),
    [anon_sym_PERCENT] = ACTIONS(5626),
    [anon_sym_PIPE_PIPE] = ACTIONS(5628),
    [anon_sym_AMP_AMP] = ACTIONS(5628),
    [anon_sym_PIPE] = ACTIONS(5626),
    [anon_sym_CARET] = ACTIONS(5626),
    [anon_sym_AMP] = ACTIONS(5626),
    [anon_sym_EQ_EQ] = ACTIONS(5628),
    [anon_sym_BANG_EQ] = ACTIONS(5628),
    [anon_sym_GT] = ACTIONS(5626),
    [anon_sym_GT_EQ] = ACTIONS(5628),
    [anon_sym_LT_EQ] = ACTIONS(5626),
    [anon_sym_LT] = ACTIONS(5626),
    [anon_sym_LT_LT] = ACTIONS(5626),
    [anon_sym_GT_GT] = ACTIONS(5626),
    [anon_sym_SEMI] = ACTIONS(5628),
    [anon_sym___attribute__] = ACTIONS(5626),
    [anon_sym_LBRACE] = ACTIONS(5628),
    [anon_sym_RBRACE] = ACTIONS(5628),
    [anon_sym_LBRACK] = ACTIONS(5628),
    [anon_sym_RBRACK] = ACTIONS(5628),
    [anon_sym_EQ] = ACTIONS(5626),
    [anon_sym_COLON] = ACTIONS(5628),
    [anon_sym_QMARK] = ACTIONS(5628),
    [anon_sym_STAR_EQ] = ACTIONS(5628),
    [anon_sym_SLASH_EQ] = ACTIONS(5628),
    [anon_sym_PERCENT_EQ] = ACTIONS(5628),
    [anon_sym_PLUS_EQ] = ACTIONS(5628),
    [anon_sym_DASH_EQ] = ACTIONS(5628),
    [anon_sym_LT_LT_EQ] = ACTIONS(5628),
    [anon_sym_GT_GT_EQ] = ACTIONS(5628),
    [anon_sym_AMP_EQ] = ACTIONS(5628),
    [anon_sym_CARET_EQ] = ACTIONS(5628),
    [anon_sym_PIPE_EQ] = ACTIONS(5628),
    [anon_sym_and_eq] = ACTIONS(5626),
    [anon_sym_or_eq] = ACTIONS(5626),
    [anon_sym_xor_eq] = ACTIONS(5626),
    [anon_sym_LT_EQ_GT] = ACTIONS(5628),
    [anon_sym_or] = ACTIONS(5626),
    [anon_sym_and] = ACTIONS(5626),
    [anon_sym_bitor] = ACTIONS(5626),
    [anon_sym_xor] = ACTIONS(5626),
    [anon_sym_bitand] = ACTIONS(5626),
    [anon_sym_not_eq] = ACTIONS(5626),
    [anon_sym_DASH_DASH] = ACTIONS(5628),
    [anon_sym_PLUS_PLUS] = ACTIONS(5628),
    [anon_sym_DOT] = ACTIONS(5626),
    [anon_sym_DOT_STAR] = ACTIONS(5628),
    [anon_sym_DASH_GT] = ACTIONS(5628),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5626),
    [anon_sym_decltype] = ACTIONS(5626),
  },
  [2447] = {
    [sym_identifier] = ACTIONS(5642),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5644),
    [anon_sym_COMMA] = ACTIONS(5644),
    [anon_sym_RPAREN] = ACTIONS(5644),
    [aux_sym_preproc_if_token2] = ACTIONS(5644),
    [aux_sym_preproc_else_token1] = ACTIONS(5644),
    [aux_sym_preproc_elif_token1] = ACTIONS(5642),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5644),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5644),
    [anon_sym_LPAREN2] = ACTIONS(5644),
    [anon_sym_DASH] = ACTIONS(5642),
    [anon_sym_PLUS] = ACTIONS(5642),
    [anon_sym_STAR] = ACTIONS(5642),
    [anon_sym_SLASH] = ACTIONS(5642),
    [anon_sym_PERCENT] = ACTIONS(5642),
    [anon_sym_PIPE_PIPE] = ACTIONS(5644),
    [anon_sym_AMP_AMP] = ACTIONS(5644),
    [anon_sym_PIPE] = ACTIONS(5642),
    [anon_sym_CARET] = ACTIONS(5642),
    [anon_sym_AMP] = ACTIONS(5642),
    [anon_sym_EQ_EQ] = ACTIONS(5644),
    [anon_sym_BANG_EQ] = ACTIONS(5644),
    [anon_sym_GT] = ACTIONS(5642),
    [anon_sym_GT_EQ] = ACTIONS(5644),
    [anon_sym_LT_EQ] = ACTIONS(5642),
    [anon_sym_LT] = ACTIONS(5642),
    [anon_sym_LT_LT] = ACTIONS(5642),
    [anon_sym_GT_GT] = ACTIONS(5642),
    [anon_sym_SEMI] = ACTIONS(5644),
    [anon_sym___attribute__] = ACTIONS(5642),
    [anon_sym_LBRACE] = ACTIONS(5644),
    [anon_sym_RBRACE] = ACTIONS(5644),
    [anon_sym_LBRACK] = ACTIONS(5644),
    [anon_sym_RBRACK] = ACTIONS(5644),
    [anon_sym_EQ] = ACTIONS(5642),
    [anon_sym_COLON] = ACTIONS(5644),
    [anon_sym_QMARK] = ACTIONS(5644),
    [anon_sym_STAR_EQ] = ACTIONS(5644),
    [anon_sym_SLASH_EQ] = ACTIONS(5644),
    [anon_sym_PERCENT_EQ] = ACTIONS(5644),
    [anon_sym_PLUS_EQ] = ACTIONS(5644),
    [anon_sym_DASH_EQ] = ACTIONS(5644),
    [anon_sym_LT_LT_EQ] = ACTIONS(5644),
    [anon_sym_GT_GT_EQ] = ACTIONS(5644),
    [anon_sym_AMP_EQ] = ACTIONS(5644),
    [anon_sym_CARET_EQ] = ACTIONS(5644),
    [anon_sym_PIPE_EQ] = ACTIONS(5644),
    [anon_sym_and_eq] = ACTIONS(5642),
    [anon_sym_or_eq] = ACTIONS(5642),
    [anon_sym_xor_eq] = ACTIONS(5642),
    [anon_sym_LT_EQ_GT] = ACTIONS(5644),
    [anon_sym_or] = ACTIONS(5642),
    [anon_sym_and] = ACTIONS(5642),
    [anon_sym_bitor] = ACTIONS(5642),
    [anon_sym_xor] = ACTIONS(5642),
    [anon_sym_bitand] = ACTIONS(5642),
    [anon_sym_not_eq] = ACTIONS(5642),
    [anon_sym_DASH_DASH] = ACTIONS(5644),
    [anon_sym_PLUS_PLUS] = ACTIONS(5644),
    [anon_sym_DOT] = ACTIONS(5642),
    [anon_sym_DOT_STAR] = ACTIONS(5644),
    [anon_sym_DASH_GT] = ACTIONS(5644),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5642),
    [anon_sym_decltype] = ACTIONS(5642),
  },
  [2448] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym_RBRACE] = ACTIONS(2134),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_friend] = ACTIONS(2136),
    [anon_sym_public] = ACTIONS(2136),
    [anon_sym_private] = ACTIONS(2136),
    [anon_sym_protected] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
  },
  [2449] = {
    [sym_identifier] = ACTIONS(5978),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5980),
    [anon_sym_COMMA] = ACTIONS(5980),
    [anon_sym_RPAREN] = ACTIONS(5980),
    [aux_sym_preproc_if_token2] = ACTIONS(5980),
    [aux_sym_preproc_else_token1] = ACTIONS(5980),
    [aux_sym_preproc_elif_token1] = ACTIONS(5978),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5980),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5980),
    [anon_sym_LPAREN2] = ACTIONS(5980),
    [anon_sym_DASH] = ACTIONS(5978),
    [anon_sym_PLUS] = ACTIONS(5978),
    [anon_sym_STAR] = ACTIONS(5978),
    [anon_sym_SLASH] = ACTIONS(5978),
    [anon_sym_PERCENT] = ACTIONS(5978),
    [anon_sym_PIPE_PIPE] = ACTIONS(5980),
    [anon_sym_AMP_AMP] = ACTIONS(5980),
    [anon_sym_PIPE] = ACTIONS(5978),
    [anon_sym_CARET] = ACTIONS(5978),
    [anon_sym_AMP] = ACTIONS(5978),
    [anon_sym_EQ_EQ] = ACTIONS(5980),
    [anon_sym_BANG_EQ] = ACTIONS(5980),
    [anon_sym_GT] = ACTIONS(5978),
    [anon_sym_GT_EQ] = ACTIONS(5980),
    [anon_sym_LT_EQ] = ACTIONS(5978),
    [anon_sym_LT] = ACTIONS(5978),
    [anon_sym_LT_LT] = ACTIONS(5978),
    [anon_sym_GT_GT] = ACTIONS(5978),
    [anon_sym_SEMI] = ACTIONS(5980),
    [anon_sym___attribute__] = ACTIONS(5978),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5980),
    [anon_sym_LBRACE] = ACTIONS(5980),
    [anon_sym_RBRACE] = ACTIONS(5980),
    [anon_sym_LBRACK] = ACTIONS(5978),
    [anon_sym_RBRACK] = ACTIONS(5980),
    [anon_sym_EQ] = ACTIONS(5978),
    [anon_sym_COLON] = ACTIONS(5980),
    [anon_sym_QMARK] = ACTIONS(5980),
    [anon_sym_STAR_EQ] = ACTIONS(5980),
    [anon_sym_SLASH_EQ] = ACTIONS(5980),
    [anon_sym_PERCENT_EQ] = ACTIONS(5980),
    [anon_sym_PLUS_EQ] = ACTIONS(5980),
    [anon_sym_DASH_EQ] = ACTIONS(5980),
    [anon_sym_LT_LT_EQ] = ACTIONS(5980),
    [anon_sym_GT_GT_EQ] = ACTIONS(5980),
    [anon_sym_AMP_EQ] = ACTIONS(5980),
    [anon_sym_CARET_EQ] = ACTIONS(5980),
    [anon_sym_PIPE_EQ] = ACTIONS(5980),
    [anon_sym_and_eq] = ACTIONS(5978),
    [anon_sym_or_eq] = ACTIONS(5978),
    [anon_sym_xor_eq] = ACTIONS(5978),
    [anon_sym_LT_EQ_GT] = ACTIONS(5980),
    [anon_sym_or] = ACTIONS(5978),
    [anon_sym_and] = ACTIONS(5978),
    [anon_sym_bitor] = ACTIONS(5978),
    [anon_sym_xor] = ACTIONS(5978),
    [anon_sym_bitand] = ACTIONS(5978),
    [anon_sym_not_eq] = ACTIONS(5978),
    [anon_sym_DASH_DASH] = ACTIONS(5980),
    [anon_sym_PLUS_PLUS] = ACTIONS(5980),
    [anon_sym_DOT] = ACTIONS(5978),
    [anon_sym_DOT_STAR] = ACTIONS(5980),
    [anon_sym_DASH_GT] = ACTIONS(5980),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(5978),
  },
  [2450] = {
    [sym_argument_list] = STATE(2814),
    [sym_initializer_list] = STATE(2814),
    [sym_identifier] = ACTIONS(5982),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5984),
    [anon_sym_COMMA] = ACTIONS(5984),
    [anon_sym_RPAREN] = ACTIONS(5984),
    [aux_sym_preproc_if_token2] = ACTIONS(5984),
    [aux_sym_preproc_else_token1] = ACTIONS(5984),
    [aux_sym_preproc_elif_token1] = ACTIONS(5982),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5984),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5984),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(5982),
    [anon_sym_PLUS] = ACTIONS(5982),
    [anon_sym_STAR] = ACTIONS(5982),
    [anon_sym_SLASH] = ACTIONS(5982),
    [anon_sym_PERCENT] = ACTIONS(5982),
    [anon_sym_PIPE_PIPE] = ACTIONS(5984),
    [anon_sym_AMP_AMP] = ACTIONS(5984),
    [anon_sym_PIPE] = ACTIONS(5982),
    [anon_sym_CARET] = ACTIONS(5982),
    [anon_sym_AMP] = ACTIONS(5982),
    [anon_sym_EQ_EQ] = ACTIONS(5984),
    [anon_sym_BANG_EQ] = ACTIONS(5984),
    [anon_sym_GT] = ACTIONS(5982),
    [anon_sym_GT_EQ] = ACTIONS(5984),
    [anon_sym_LT_EQ] = ACTIONS(5982),
    [anon_sym_LT] = ACTIONS(5982),
    [anon_sym_LT_LT] = ACTIONS(5982),
    [anon_sym_GT_GT] = ACTIONS(5982),
    [anon_sym_SEMI] = ACTIONS(5984),
    [anon_sym___attribute__] = ACTIONS(5982),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(5984),
    [anon_sym_LBRACK] = ACTIONS(5984),
    [anon_sym_RBRACK] = ACTIONS(5984),
    [anon_sym_EQ] = ACTIONS(5982),
    [anon_sym_COLON] = ACTIONS(5984),
    [anon_sym_QMARK] = ACTIONS(5984),
    [anon_sym_STAR_EQ] = ACTIONS(5984),
    [anon_sym_SLASH_EQ] = ACTIONS(5984),
    [anon_sym_PERCENT_EQ] = ACTIONS(5984),
    [anon_sym_PLUS_EQ] = ACTIONS(5984),
    [anon_sym_DASH_EQ] = ACTIONS(5984),
    [anon_sym_LT_LT_EQ] = ACTIONS(5984),
    [anon_sym_GT_GT_EQ] = ACTIONS(5984),
    [anon_sym_AMP_EQ] = ACTIONS(5984),
    [anon_sym_CARET_EQ] = ACTIONS(5984),
    [anon_sym_PIPE_EQ] = ACTIONS(5984),
    [anon_sym_and_eq] = ACTIONS(5982),
    [anon_sym_or_eq] = ACTIONS(5982),
    [anon_sym_xor_eq] = ACTIONS(5982),
    [anon_sym_LT_EQ_GT] = ACTIONS(5984),
    [anon_sym_or] = ACTIONS(5982),
    [anon_sym_and] = ACTIONS(5982),
    [anon_sym_bitor] = ACTIONS(5982),
    [anon_sym_xor] = ACTIONS(5982),
    [anon_sym_bitand] = ACTIONS(5982),
    [anon_sym_not_eq] = ACTIONS(5982),
    [anon_sym_DASH_DASH] = ACTIONS(5984),
    [anon_sym_PLUS_PLUS] = ACTIONS(5984),
    [anon_sym_DOT] = ACTIONS(5982),
    [anon_sym_DOT_STAR] = ACTIONS(5984),
    [anon_sym_DASH_GT] = ACTIONS(5984),
    [sym_comment] = ACTIONS(3),
  },
  [2451] = {
    [sym_identifier] = ACTIONS(5683),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5685),
    [anon_sym_COMMA] = ACTIONS(5685),
    [anon_sym_RPAREN] = ACTIONS(5685),
    [aux_sym_preproc_if_token2] = ACTIONS(5685),
    [aux_sym_preproc_else_token1] = ACTIONS(5685),
    [aux_sym_preproc_elif_token1] = ACTIONS(5683),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5685),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5685),
    [anon_sym_LPAREN2] = ACTIONS(5685),
    [anon_sym_DASH] = ACTIONS(5683),
    [anon_sym_PLUS] = ACTIONS(5683),
    [anon_sym_STAR] = ACTIONS(5683),
    [anon_sym_SLASH] = ACTIONS(5683),
    [anon_sym_PERCENT] = ACTIONS(5683),
    [anon_sym_PIPE_PIPE] = ACTIONS(5685),
    [anon_sym_AMP_AMP] = ACTIONS(5685),
    [anon_sym_PIPE] = ACTIONS(5683),
    [anon_sym_CARET] = ACTIONS(5683),
    [anon_sym_AMP] = ACTIONS(5683),
    [anon_sym_EQ_EQ] = ACTIONS(5685),
    [anon_sym_BANG_EQ] = ACTIONS(5685),
    [anon_sym_GT] = ACTIONS(5683),
    [anon_sym_GT_EQ] = ACTIONS(5685),
    [anon_sym_LT_EQ] = ACTIONS(5683),
    [anon_sym_LT] = ACTIONS(5683),
    [anon_sym_LT_LT] = ACTIONS(5683),
    [anon_sym_GT_GT] = ACTIONS(5683),
    [anon_sym_SEMI] = ACTIONS(5685),
    [anon_sym___attribute__] = ACTIONS(5683),
    [anon_sym_LBRACE] = ACTIONS(5685),
    [anon_sym_RBRACE] = ACTIONS(5685),
    [anon_sym_LBRACK] = ACTIONS(5685),
    [anon_sym_RBRACK] = ACTIONS(5685),
    [anon_sym_EQ] = ACTIONS(5683),
    [anon_sym_COLON] = ACTIONS(5685),
    [anon_sym_QMARK] = ACTIONS(5685),
    [anon_sym_STAR_EQ] = ACTIONS(5685),
    [anon_sym_SLASH_EQ] = ACTIONS(5685),
    [anon_sym_PERCENT_EQ] = ACTIONS(5685),
    [anon_sym_PLUS_EQ] = ACTIONS(5685),
    [anon_sym_DASH_EQ] = ACTIONS(5685),
    [anon_sym_LT_LT_EQ] = ACTIONS(5685),
    [anon_sym_GT_GT_EQ] = ACTIONS(5685),
    [anon_sym_AMP_EQ] = ACTIONS(5685),
    [anon_sym_CARET_EQ] = ACTIONS(5685),
    [anon_sym_PIPE_EQ] = ACTIONS(5685),
    [anon_sym_and_eq] = ACTIONS(5683),
    [anon_sym_or_eq] = ACTIONS(5683),
    [anon_sym_xor_eq] = ACTIONS(5683),
    [anon_sym_LT_EQ_GT] = ACTIONS(5685),
    [anon_sym_or] = ACTIONS(5683),
    [anon_sym_and] = ACTIONS(5683),
    [anon_sym_bitor] = ACTIONS(5683),
    [anon_sym_xor] = ACTIONS(5683),
    [anon_sym_bitand] = ACTIONS(5683),
    [anon_sym_not_eq] = ACTIONS(5683),
    [anon_sym_DASH_DASH] = ACTIONS(5685),
    [anon_sym_PLUS_PLUS] = ACTIONS(5685),
    [anon_sym_DOT] = ACTIONS(5683),
    [anon_sym_DOT_STAR] = ACTIONS(5685),
    [anon_sym_DASH_GT] = ACTIONS(5685),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5683),
    [anon_sym_decltype] = ACTIONS(5683),
  },
  [2452] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(5986),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [aux_sym_preproc_if_token2] = ACTIONS(5988),
    [aux_sym_preproc_else_token1] = ACTIONS(5988),
    [aux_sym_preproc_elif_token1] = ACTIONS(5986),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5988),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5988),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_STAR] = ACTIONS(5986),
    [anon_sym_SLASH] = ACTIONS(5986),
    [anon_sym_PERCENT] = ACTIONS(5986),
    [anon_sym_PIPE_PIPE] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_PIPE] = ACTIONS(5986),
    [anon_sym_CARET] = ACTIONS(5986),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_EQ_EQ] = ACTIONS(5988),
    [anon_sym_BANG_EQ] = ACTIONS(5988),
    [anon_sym_GT] = ACTIONS(5986),
    [anon_sym_GT_EQ] = ACTIONS(5988),
    [anon_sym_LT_EQ] = ACTIONS(5986),
    [anon_sym_LT] = ACTIONS(5986),
    [anon_sym_LT_LT] = ACTIONS(5986),
    [anon_sym_GT_GT] = ACTIONS(5986),
    [anon_sym___attribute__] = ACTIONS(5986),
    [anon_sym_LBRACE] = ACTIONS(5988),
    [anon_sym_signed] = ACTIONS(5990),
    [anon_sym_unsigned] = ACTIONS(5990),
    [anon_sym_long] = ACTIONS(5990),
    [anon_sym_short] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_EQ] = ACTIONS(5986),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_STAR_EQ] = ACTIONS(5988),
    [anon_sym_SLASH_EQ] = ACTIONS(5988),
    [anon_sym_PERCENT_EQ] = ACTIONS(5988),
    [anon_sym_PLUS_EQ] = ACTIONS(5988),
    [anon_sym_DASH_EQ] = ACTIONS(5988),
    [anon_sym_LT_LT_EQ] = ACTIONS(5988),
    [anon_sym_GT_GT_EQ] = ACTIONS(5988),
    [anon_sym_AMP_EQ] = ACTIONS(5988),
    [anon_sym_CARET_EQ] = ACTIONS(5988),
    [anon_sym_PIPE_EQ] = ACTIONS(5988),
    [anon_sym_and_eq] = ACTIONS(5986),
    [anon_sym_or_eq] = ACTIONS(5986),
    [anon_sym_xor_eq] = ACTIONS(5986),
    [anon_sym_LT_EQ_GT] = ACTIONS(5988),
    [anon_sym_or] = ACTIONS(5986),
    [anon_sym_and] = ACTIONS(5986),
    [anon_sym_bitor] = ACTIONS(5986),
    [anon_sym_xor] = ACTIONS(5986),
    [anon_sym_bitand] = ACTIONS(5986),
    [anon_sym_not_eq] = ACTIONS(5986),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DOT] = ACTIONS(5986),
    [anon_sym_DOT_STAR] = ACTIONS(5988),
    [anon_sym_DASH_GT] = ACTIONS(5988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5986),
    [anon_sym_decltype] = ACTIONS(5986),
  },
  [2453] = {
    [sym_template_argument_list] = STATE(1974),
    [sym_identifier] = ACTIONS(5019),
    [anon_sym_LPAREN2] = ACTIONS(5026),
    [anon_sym_TILDE] = ACTIONS(5026),
    [anon_sym_STAR] = ACTIONS(5026),
    [anon_sym_PIPE_PIPE] = ACTIONS(5026),
    [anon_sym_AMP_AMP] = ACTIONS(5026),
    [anon_sym_AMP] = ACTIONS(5019),
    [anon_sym_LT] = ACTIONS(5992),
    [anon_sym___extension__] = ACTIONS(5019),
    [anon_sym_extern] = ACTIONS(5019),
    [anon_sym___attribute__] = ACTIONS(5019),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5026),
    [anon_sym___declspec] = ACTIONS(5019),
    [anon_sym___based] = ACTIONS(5019),
    [anon_sym___cdecl] = ACTIONS(5019),
    [anon_sym___clrcall] = ACTIONS(5019),
    [anon_sym___stdcall] = ACTIONS(5019),
    [anon_sym___fastcall] = ACTIONS(5019),
    [anon_sym___thiscall] = ACTIONS(5019),
    [anon_sym___vectorcall] = ACTIONS(5019),
    [anon_sym_signed] = ACTIONS(5019),
    [anon_sym_unsigned] = ACTIONS(5019),
    [anon_sym_long] = ACTIONS(5019),
    [anon_sym_short] = ACTIONS(5019),
    [anon_sym_LBRACK] = ACTIONS(5019),
    [anon_sym_static] = ACTIONS(5019),
    [anon_sym_register] = ACTIONS(5019),
    [anon_sym_inline] = ACTIONS(5019),
    [anon_sym___inline] = ACTIONS(5019),
    [anon_sym___inline__] = ACTIONS(5019),
    [anon_sym___forceinline] = ACTIONS(5019),
    [anon_sym_thread_local] = ACTIONS(5019),
    [anon_sym___thread] = ACTIONS(5019),
    [anon_sym_const] = ACTIONS(5019),
    [anon_sym_constexpr] = ACTIONS(5019),
    [anon_sym_volatile] = ACTIONS(5019),
    [anon_sym_restrict] = ACTIONS(5019),
    [anon_sym___restrict__] = ACTIONS(5019),
    [anon_sym__Atomic] = ACTIONS(5019),
    [anon_sym__Noreturn] = ACTIONS(5019),
    [anon_sym_noreturn] = ACTIONS(5019),
    [anon_sym_mutable] = ACTIONS(5019),
    [anon_sym_constinit] = ACTIONS(5019),
    [anon_sym_consteval] = ACTIONS(5019),
    [sym_primitive_type] = ACTIONS(5019),
    [anon_sym_enum] = ACTIONS(5019),
    [anon_sym_class] = ACTIONS(5019),
    [anon_sym_struct] = ACTIONS(5019),
    [anon_sym_union] = ACTIONS(5019),
    [anon_sym_or] = ACTIONS(5019),
    [anon_sym_and] = ACTIONS(5019),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5019),
    [anon_sym_decltype] = ACTIONS(5019),
    [anon_sym_virtual] = ACTIONS(5019),
    [anon_sym_alignas] = ACTIONS(5019),
    [anon_sym_explicit] = ACTIONS(5019),
    [anon_sym_typename] = ACTIONS(5019),
    [anon_sym_template] = ACTIONS(5019),
    [anon_sym_operator] = ACTIONS(5019),
    [anon_sym_friend] = ACTIONS(5019),
    [anon_sym_using] = ACTIONS(5019),
    [anon_sym_concept] = ACTIONS(5019),
  },
  [2454] = {
    [sym_identifier] = ACTIONS(5654),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5656),
    [anon_sym_COMMA] = ACTIONS(5656),
    [anon_sym_RPAREN] = ACTIONS(5656),
    [aux_sym_preproc_if_token2] = ACTIONS(5656),
    [aux_sym_preproc_else_token1] = ACTIONS(5656),
    [aux_sym_preproc_elif_token1] = ACTIONS(5654),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5656),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5656),
    [anon_sym_LPAREN2] = ACTIONS(5656),
    [anon_sym_DASH] = ACTIONS(5654),
    [anon_sym_PLUS] = ACTIONS(5654),
    [anon_sym_STAR] = ACTIONS(5654),
    [anon_sym_SLASH] = ACTIONS(5654),
    [anon_sym_PERCENT] = ACTIONS(5654),
    [anon_sym_PIPE_PIPE] = ACTIONS(5656),
    [anon_sym_AMP_AMP] = ACTIONS(5656),
    [anon_sym_PIPE] = ACTIONS(5654),
    [anon_sym_CARET] = ACTIONS(5654),
    [anon_sym_AMP] = ACTIONS(5654),
    [anon_sym_EQ_EQ] = ACTIONS(5656),
    [anon_sym_BANG_EQ] = ACTIONS(5656),
    [anon_sym_GT] = ACTIONS(5654),
    [anon_sym_GT_EQ] = ACTIONS(5656),
    [anon_sym_LT_EQ] = ACTIONS(5654),
    [anon_sym_LT] = ACTIONS(5654),
    [anon_sym_LT_LT] = ACTIONS(5654),
    [anon_sym_GT_GT] = ACTIONS(5654),
    [anon_sym_SEMI] = ACTIONS(5656),
    [anon_sym___attribute__] = ACTIONS(5654),
    [anon_sym_LBRACE] = ACTIONS(5656),
    [anon_sym_RBRACE] = ACTIONS(5656),
    [anon_sym_LBRACK] = ACTIONS(5656),
    [anon_sym_RBRACK] = ACTIONS(5656),
    [anon_sym_EQ] = ACTIONS(5654),
    [anon_sym_COLON] = ACTIONS(5656),
    [anon_sym_QMARK] = ACTIONS(5656),
    [anon_sym_STAR_EQ] = ACTIONS(5656),
    [anon_sym_SLASH_EQ] = ACTIONS(5656),
    [anon_sym_PERCENT_EQ] = ACTIONS(5656),
    [anon_sym_PLUS_EQ] = ACTIONS(5656),
    [anon_sym_DASH_EQ] = ACTIONS(5656),
    [anon_sym_LT_LT_EQ] = ACTIONS(5656),
    [anon_sym_GT_GT_EQ] = ACTIONS(5656),
    [anon_sym_AMP_EQ] = ACTIONS(5656),
    [anon_sym_CARET_EQ] = ACTIONS(5656),
    [anon_sym_PIPE_EQ] = ACTIONS(5656),
    [anon_sym_and_eq] = ACTIONS(5654),
    [anon_sym_or_eq] = ACTIONS(5654),
    [anon_sym_xor_eq] = ACTIONS(5654),
    [anon_sym_LT_EQ_GT] = ACTIONS(5656),
    [anon_sym_or] = ACTIONS(5654),
    [anon_sym_and] = ACTIONS(5654),
    [anon_sym_bitor] = ACTIONS(5654),
    [anon_sym_xor] = ACTIONS(5654),
    [anon_sym_bitand] = ACTIONS(5654),
    [anon_sym_not_eq] = ACTIONS(5654),
    [anon_sym_DASH_DASH] = ACTIONS(5656),
    [anon_sym_PLUS_PLUS] = ACTIONS(5656),
    [anon_sym_DOT] = ACTIONS(5654),
    [anon_sym_DOT_STAR] = ACTIONS(5656),
    [anon_sym_DASH_GT] = ACTIONS(5656),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5654),
    [anon_sym_decltype] = ACTIONS(5654),
  },
  [2455] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(5994),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [aux_sym_preproc_if_token2] = ACTIONS(5996),
    [aux_sym_preproc_else_token1] = ACTIONS(5996),
    [aux_sym_preproc_elif_token1] = ACTIONS(5994),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5996),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5994),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5994),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5994),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5994),
    [anon_sym_GT_GT] = ACTIONS(5994),
    [anon_sym___attribute__] = ACTIONS(5994),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_signed] = ACTIONS(5990),
    [anon_sym_unsigned] = ACTIONS(5990),
    [anon_sym_long] = ACTIONS(5990),
    [anon_sym_short] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_EQ] = ACTIONS(5994),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_STAR_EQ] = ACTIONS(5996),
    [anon_sym_SLASH_EQ] = ACTIONS(5996),
    [anon_sym_PERCENT_EQ] = ACTIONS(5996),
    [anon_sym_PLUS_EQ] = ACTIONS(5996),
    [anon_sym_DASH_EQ] = ACTIONS(5996),
    [anon_sym_LT_LT_EQ] = ACTIONS(5996),
    [anon_sym_GT_GT_EQ] = ACTIONS(5996),
    [anon_sym_AMP_EQ] = ACTIONS(5996),
    [anon_sym_CARET_EQ] = ACTIONS(5996),
    [anon_sym_PIPE_EQ] = ACTIONS(5996),
    [anon_sym_and_eq] = ACTIONS(5994),
    [anon_sym_or_eq] = ACTIONS(5994),
    [anon_sym_xor_eq] = ACTIONS(5994),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5994),
    [anon_sym_and] = ACTIONS(5994),
    [anon_sym_bitor] = ACTIONS(5994),
    [anon_sym_xor] = ACTIONS(5994),
    [anon_sym_bitand] = ACTIONS(5994),
    [anon_sym_not_eq] = ACTIONS(5994),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5994),
    [anon_sym_decltype] = ACTIONS(5994),
  },
  [2456] = {
    [sym_identifier] = ACTIONS(5638),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5640),
    [anon_sym_COMMA] = ACTIONS(5640),
    [anon_sym_RPAREN] = ACTIONS(5640),
    [aux_sym_preproc_if_token2] = ACTIONS(5640),
    [aux_sym_preproc_else_token1] = ACTIONS(5640),
    [aux_sym_preproc_elif_token1] = ACTIONS(5638),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5640),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5640),
    [anon_sym_LPAREN2] = ACTIONS(5640),
    [anon_sym_DASH] = ACTIONS(5638),
    [anon_sym_PLUS] = ACTIONS(5638),
    [anon_sym_STAR] = ACTIONS(5638),
    [anon_sym_SLASH] = ACTIONS(5638),
    [anon_sym_PERCENT] = ACTIONS(5638),
    [anon_sym_PIPE_PIPE] = ACTIONS(5640),
    [anon_sym_AMP_AMP] = ACTIONS(5640),
    [anon_sym_PIPE] = ACTIONS(5638),
    [anon_sym_CARET] = ACTIONS(5638),
    [anon_sym_AMP] = ACTIONS(5638),
    [anon_sym_EQ_EQ] = ACTIONS(5640),
    [anon_sym_BANG_EQ] = ACTIONS(5640),
    [anon_sym_GT] = ACTIONS(5638),
    [anon_sym_GT_EQ] = ACTIONS(5640),
    [anon_sym_LT_EQ] = ACTIONS(5638),
    [anon_sym_LT] = ACTIONS(5638),
    [anon_sym_LT_LT] = ACTIONS(5638),
    [anon_sym_GT_GT] = ACTIONS(5638),
    [anon_sym_SEMI] = ACTIONS(5640),
    [anon_sym___attribute__] = ACTIONS(5638),
    [anon_sym_LBRACE] = ACTIONS(5640),
    [anon_sym_RBRACE] = ACTIONS(5640),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym_RBRACK] = ACTIONS(5640),
    [anon_sym_EQ] = ACTIONS(5638),
    [anon_sym_COLON] = ACTIONS(5640),
    [anon_sym_QMARK] = ACTIONS(5640),
    [anon_sym_STAR_EQ] = ACTIONS(5640),
    [anon_sym_SLASH_EQ] = ACTIONS(5640),
    [anon_sym_PERCENT_EQ] = ACTIONS(5640),
    [anon_sym_PLUS_EQ] = ACTIONS(5640),
    [anon_sym_DASH_EQ] = ACTIONS(5640),
    [anon_sym_LT_LT_EQ] = ACTIONS(5640),
    [anon_sym_GT_GT_EQ] = ACTIONS(5640),
    [anon_sym_AMP_EQ] = ACTIONS(5640),
    [anon_sym_CARET_EQ] = ACTIONS(5640),
    [anon_sym_PIPE_EQ] = ACTIONS(5640),
    [anon_sym_and_eq] = ACTIONS(5638),
    [anon_sym_or_eq] = ACTIONS(5638),
    [anon_sym_xor_eq] = ACTIONS(5638),
    [anon_sym_LT_EQ_GT] = ACTIONS(5640),
    [anon_sym_or] = ACTIONS(5638),
    [anon_sym_and] = ACTIONS(5638),
    [anon_sym_bitor] = ACTIONS(5638),
    [anon_sym_xor] = ACTIONS(5638),
    [anon_sym_bitand] = ACTIONS(5638),
    [anon_sym_not_eq] = ACTIONS(5638),
    [anon_sym_DASH_DASH] = ACTIONS(5640),
    [anon_sym_PLUS_PLUS] = ACTIONS(5640),
    [anon_sym_DOT] = ACTIONS(5638),
    [anon_sym_DOT_STAR] = ACTIONS(5640),
    [anon_sym_DASH_GT] = ACTIONS(5640),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5638),
    [anon_sym_decltype] = ACTIONS(5638),
  },
  [2457] = {
    [sym_template_argument_list] = STATE(1974),
    [sym_identifier] = ACTIONS(5368),
    [anon_sym_LPAREN2] = ACTIONS(4161),
    [anon_sym_TILDE] = ACTIONS(4161),
    [anon_sym_STAR] = ACTIONS(4161),
    [anon_sym_PIPE_PIPE] = ACTIONS(4161),
    [anon_sym_AMP_AMP] = ACTIONS(4161),
    [anon_sym_AMP] = ACTIONS(5368),
    [anon_sym_LT] = ACTIONS(5992),
    [anon_sym___extension__] = ACTIONS(5368),
    [anon_sym_extern] = ACTIONS(5368),
    [anon_sym___attribute__] = ACTIONS(5368),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(4161),
    [anon_sym___declspec] = ACTIONS(5368),
    [anon_sym___based] = ACTIONS(5368),
    [anon_sym___cdecl] = ACTIONS(5368),
    [anon_sym___clrcall] = ACTIONS(5368),
    [anon_sym___stdcall] = ACTIONS(5368),
    [anon_sym___fastcall] = ACTIONS(5368),
    [anon_sym___thiscall] = ACTIONS(5368),
    [anon_sym___vectorcall] = ACTIONS(5368),
    [anon_sym_signed] = ACTIONS(5368),
    [anon_sym_unsigned] = ACTIONS(5368),
    [anon_sym_long] = ACTIONS(5368),
    [anon_sym_short] = ACTIONS(5368),
    [anon_sym_LBRACK] = ACTIONS(5368),
    [anon_sym_static] = ACTIONS(5368),
    [anon_sym_register] = ACTIONS(5368),
    [anon_sym_inline] = ACTIONS(5368),
    [anon_sym___inline] = ACTIONS(5368),
    [anon_sym___inline__] = ACTIONS(5368),
    [anon_sym___forceinline] = ACTIONS(5368),
    [anon_sym_thread_local] = ACTIONS(5368),
    [anon_sym___thread] = ACTIONS(5368),
    [anon_sym_const] = ACTIONS(5368),
    [anon_sym_constexpr] = ACTIONS(5368),
    [anon_sym_volatile] = ACTIONS(5368),
    [anon_sym_restrict] = ACTIONS(5368),
    [anon_sym___restrict__] = ACTIONS(5368),
    [anon_sym__Atomic] = ACTIONS(5368),
    [anon_sym__Noreturn] = ACTIONS(5368),
    [anon_sym_noreturn] = ACTIONS(5368),
    [anon_sym_mutable] = ACTIONS(5368),
    [anon_sym_constinit] = ACTIONS(5368),
    [anon_sym_consteval] = ACTIONS(5368),
    [sym_primitive_type] = ACTIONS(5368),
    [anon_sym_enum] = ACTIONS(5368),
    [anon_sym_class] = ACTIONS(5368),
    [anon_sym_struct] = ACTIONS(5368),
    [anon_sym_union] = ACTIONS(5368),
    [anon_sym_or] = ACTIONS(5368),
    [anon_sym_and] = ACTIONS(5368),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5368),
    [anon_sym_decltype] = ACTIONS(5368),
    [anon_sym_virtual] = ACTIONS(5368),
    [anon_sym_alignas] = ACTIONS(5368),
    [anon_sym_explicit] = ACTIONS(5368),
    [anon_sym_typename] = ACTIONS(5368),
    [anon_sym_template] = ACTIONS(5368),
    [anon_sym_operator] = ACTIONS(5368),
    [anon_sym_friend] = ACTIONS(5368),
    [anon_sym_using] = ACTIONS(5368),
    [anon_sym_concept] = ACTIONS(5368),
  },
  [2458] = {
    [sym_identifier] = ACTIONS(5723),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5725),
    [anon_sym_COMMA] = ACTIONS(5725),
    [anon_sym_RPAREN] = ACTIONS(5725),
    [aux_sym_preproc_if_token2] = ACTIONS(5725),
    [aux_sym_preproc_else_token1] = ACTIONS(5725),
    [aux_sym_preproc_elif_token1] = ACTIONS(5723),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5725),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5725),
    [anon_sym_LPAREN2] = ACTIONS(5725),
    [anon_sym_DASH] = ACTIONS(5723),
    [anon_sym_PLUS] = ACTIONS(5723),
    [anon_sym_STAR] = ACTIONS(5723),
    [anon_sym_SLASH] = ACTIONS(5723),
    [anon_sym_PERCENT] = ACTIONS(5723),
    [anon_sym_PIPE_PIPE] = ACTIONS(5725),
    [anon_sym_AMP_AMP] = ACTIONS(5725),
    [anon_sym_PIPE] = ACTIONS(5723),
    [anon_sym_CARET] = ACTIONS(5723),
    [anon_sym_AMP] = ACTIONS(5723),
    [anon_sym_EQ_EQ] = ACTIONS(5725),
    [anon_sym_BANG_EQ] = ACTIONS(5725),
    [anon_sym_GT] = ACTIONS(5723),
    [anon_sym_GT_EQ] = ACTIONS(5725),
    [anon_sym_LT_EQ] = ACTIONS(5723),
    [anon_sym_LT] = ACTIONS(5723),
    [anon_sym_LT_LT] = ACTIONS(5723),
    [anon_sym_GT_GT] = ACTIONS(5723),
    [anon_sym_SEMI] = ACTIONS(5725),
    [anon_sym___attribute__] = ACTIONS(5723),
    [anon_sym_LBRACE] = ACTIONS(5725),
    [anon_sym_RBRACE] = ACTIONS(5725),
    [anon_sym_LBRACK] = ACTIONS(5725),
    [anon_sym_RBRACK] = ACTIONS(5725),
    [anon_sym_EQ] = ACTIONS(5723),
    [anon_sym_COLON] = ACTIONS(5725),
    [anon_sym_QMARK] = ACTIONS(5725),
    [anon_sym_STAR_EQ] = ACTIONS(5725),
    [anon_sym_SLASH_EQ] = ACTIONS(5725),
    [anon_sym_PERCENT_EQ] = ACTIONS(5725),
    [anon_sym_PLUS_EQ] = ACTIONS(5725),
    [anon_sym_DASH_EQ] = ACTIONS(5725),
    [anon_sym_LT_LT_EQ] = ACTIONS(5725),
    [anon_sym_GT_GT_EQ] = ACTIONS(5725),
    [anon_sym_AMP_EQ] = ACTIONS(5725),
    [anon_sym_CARET_EQ] = ACTIONS(5725),
    [anon_sym_PIPE_EQ] = ACTIONS(5725),
    [anon_sym_and_eq] = ACTIONS(5723),
    [anon_sym_or_eq] = ACTIONS(5723),
    [anon_sym_xor_eq] = ACTIONS(5723),
    [anon_sym_LT_EQ_GT] = ACTIONS(5725),
    [anon_sym_or] = ACTIONS(5723),
    [anon_sym_and] = ACTIONS(5723),
    [anon_sym_bitor] = ACTIONS(5723),
    [anon_sym_xor] = ACTIONS(5723),
    [anon_sym_bitand] = ACTIONS(5723),
    [anon_sym_not_eq] = ACTIONS(5723),
    [anon_sym_DASH_DASH] = ACTIONS(5725),
    [anon_sym_PLUS_PLUS] = ACTIONS(5725),
    [anon_sym_DOT] = ACTIONS(5723),
    [anon_sym_DOT_STAR] = ACTIONS(5725),
    [anon_sym_DASH_GT] = ACTIONS(5725),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5723),
    [anon_sym_decltype] = ACTIONS(5723),
  },
  [2459] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(5282),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5284),
    [anon_sym_COMMA] = ACTIONS(5284),
    [aux_sym_preproc_if_token2] = ACTIONS(5284),
    [aux_sym_preproc_else_token1] = ACTIONS(5284),
    [aux_sym_preproc_elif_token1] = ACTIONS(5282),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5284),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5284),
    [anon_sym_LPAREN2] = ACTIONS(5284),
    [anon_sym_DASH] = ACTIONS(5282),
    [anon_sym_PLUS] = ACTIONS(5282),
    [anon_sym_STAR] = ACTIONS(5282),
    [anon_sym_SLASH] = ACTIONS(5282),
    [anon_sym_PERCENT] = ACTIONS(5282),
    [anon_sym_PIPE_PIPE] = ACTIONS(5284),
    [anon_sym_AMP_AMP] = ACTIONS(5284),
    [anon_sym_PIPE] = ACTIONS(5282),
    [anon_sym_CARET] = ACTIONS(5282),
    [anon_sym_AMP] = ACTIONS(5282),
    [anon_sym_EQ_EQ] = ACTIONS(5284),
    [anon_sym_BANG_EQ] = ACTIONS(5284),
    [anon_sym_GT] = ACTIONS(5282),
    [anon_sym_GT_EQ] = ACTIONS(5284),
    [anon_sym_LT_EQ] = ACTIONS(5282),
    [anon_sym_LT] = ACTIONS(5282),
    [anon_sym_LT_LT] = ACTIONS(5282),
    [anon_sym_GT_GT] = ACTIONS(5282),
    [anon_sym___attribute__] = ACTIONS(5282),
    [anon_sym_LBRACE] = ACTIONS(5284),
    [anon_sym_signed] = ACTIONS(5998),
    [anon_sym_unsigned] = ACTIONS(5998),
    [anon_sym_long] = ACTIONS(5998),
    [anon_sym_short] = ACTIONS(5998),
    [anon_sym_LBRACK] = ACTIONS(5284),
    [anon_sym_EQ] = ACTIONS(5282),
    [anon_sym_QMARK] = ACTIONS(5284),
    [anon_sym_STAR_EQ] = ACTIONS(5284),
    [anon_sym_SLASH_EQ] = ACTIONS(5284),
    [anon_sym_PERCENT_EQ] = ACTIONS(5284),
    [anon_sym_PLUS_EQ] = ACTIONS(5284),
    [anon_sym_DASH_EQ] = ACTIONS(5284),
    [anon_sym_LT_LT_EQ] = ACTIONS(5284),
    [anon_sym_GT_GT_EQ] = ACTIONS(5284),
    [anon_sym_AMP_EQ] = ACTIONS(5284),
    [anon_sym_CARET_EQ] = ACTIONS(5284),
    [anon_sym_PIPE_EQ] = ACTIONS(5284),
    [anon_sym_and_eq] = ACTIONS(5282),
    [anon_sym_or_eq] = ACTIONS(5282),
    [anon_sym_xor_eq] = ACTIONS(5282),
    [anon_sym_LT_EQ_GT] = ACTIONS(5284),
    [anon_sym_or] = ACTIONS(5282),
    [anon_sym_and] = ACTIONS(5282),
    [anon_sym_bitor] = ACTIONS(5282),
    [anon_sym_xor] = ACTIONS(5282),
    [anon_sym_bitand] = ACTIONS(5282),
    [anon_sym_not_eq] = ACTIONS(5282),
    [anon_sym_DASH_DASH] = ACTIONS(5284),
    [anon_sym_PLUS_PLUS] = ACTIONS(5284),
    [anon_sym_DOT] = ACTIONS(5282),
    [anon_sym_DOT_STAR] = ACTIONS(5284),
    [anon_sym_DASH_GT] = ACTIONS(5284),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5282),
    [anon_sym_decltype] = ACTIONS(5282),
  },
  [2460] = {
    [sym_identifier] = ACTIONS(5727),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5729),
    [anon_sym_COMMA] = ACTIONS(5729),
    [anon_sym_RPAREN] = ACTIONS(5729),
    [aux_sym_preproc_if_token2] = ACTIONS(5729),
    [aux_sym_preproc_else_token1] = ACTIONS(5729),
    [aux_sym_preproc_elif_token1] = ACTIONS(5727),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5729),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5729),
    [anon_sym_LPAREN2] = ACTIONS(5729),
    [anon_sym_DASH] = ACTIONS(5727),
    [anon_sym_PLUS] = ACTIONS(5727),
    [anon_sym_STAR] = ACTIONS(5727),
    [anon_sym_SLASH] = ACTIONS(5727),
    [anon_sym_PERCENT] = ACTIONS(5727),
    [anon_sym_PIPE_PIPE] = ACTIONS(5729),
    [anon_sym_AMP_AMP] = ACTIONS(5729),
    [anon_sym_PIPE] = ACTIONS(5727),
    [anon_sym_CARET] = ACTIONS(5727),
    [anon_sym_AMP] = ACTIONS(5727),
    [anon_sym_EQ_EQ] = ACTIONS(5729),
    [anon_sym_BANG_EQ] = ACTIONS(5729),
    [anon_sym_GT] = ACTIONS(5727),
    [anon_sym_GT_EQ] = ACTIONS(5729),
    [anon_sym_LT_EQ] = ACTIONS(5727),
    [anon_sym_LT] = ACTIONS(5727),
    [anon_sym_LT_LT] = ACTIONS(5727),
    [anon_sym_GT_GT] = ACTIONS(5727),
    [anon_sym_SEMI] = ACTIONS(5729),
    [anon_sym___attribute__] = ACTIONS(5727),
    [anon_sym_LBRACE] = ACTIONS(5729),
    [anon_sym_RBRACE] = ACTIONS(5729),
    [anon_sym_LBRACK] = ACTIONS(5729),
    [anon_sym_RBRACK] = ACTIONS(5729),
    [anon_sym_EQ] = ACTIONS(5727),
    [anon_sym_COLON] = ACTIONS(5729),
    [anon_sym_QMARK] = ACTIONS(5729),
    [anon_sym_STAR_EQ] = ACTIONS(5729),
    [anon_sym_SLASH_EQ] = ACTIONS(5729),
    [anon_sym_PERCENT_EQ] = ACTIONS(5729),
    [anon_sym_PLUS_EQ] = ACTIONS(5729),
    [anon_sym_DASH_EQ] = ACTIONS(5729),
    [anon_sym_LT_LT_EQ] = ACTIONS(5729),
    [anon_sym_GT_GT_EQ] = ACTIONS(5729),
    [anon_sym_AMP_EQ] = ACTIONS(5729),
    [anon_sym_CARET_EQ] = ACTIONS(5729),
    [anon_sym_PIPE_EQ] = ACTIONS(5729),
    [anon_sym_and_eq] = ACTIONS(5727),
    [anon_sym_or_eq] = ACTIONS(5727),
    [anon_sym_xor_eq] = ACTIONS(5727),
    [anon_sym_LT_EQ_GT] = ACTIONS(5729),
    [anon_sym_or] = ACTIONS(5727),
    [anon_sym_and] = ACTIONS(5727),
    [anon_sym_bitor] = ACTIONS(5727),
    [anon_sym_xor] = ACTIONS(5727),
    [anon_sym_bitand] = ACTIONS(5727),
    [anon_sym_not_eq] = ACTIONS(5727),
    [anon_sym_DASH_DASH] = ACTIONS(5729),
    [anon_sym_PLUS_PLUS] = ACTIONS(5729),
    [anon_sym_DOT] = ACTIONS(5727),
    [anon_sym_DOT_STAR] = ACTIONS(5729),
    [anon_sym_DASH_GT] = ACTIONS(5729),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5727),
    [anon_sym_decltype] = ACTIONS(5727),
  },
  [2461] = {
    [sym_string_literal] = STATE(2873),
    [sym_template_argument_list] = STATE(4143),
    [sym_raw_string_literal] = STATE(2873),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(5431),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(4161),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(6001),
    [anon_sym_COLON] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(6003),
    [anon_sym_SLASH_EQ] = ACTIONS(6003),
    [anon_sym_PERCENT_EQ] = ACTIONS(6003),
    [anon_sym_PLUS_EQ] = ACTIONS(6003),
    [anon_sym_DASH_EQ] = ACTIONS(6003),
    [anon_sym_LT_LT_EQ] = ACTIONS(6003),
    [anon_sym_GT_GT_EQ] = ACTIONS(6003),
    [anon_sym_AMP_EQ] = ACTIONS(6003),
    [anon_sym_CARET_EQ] = ACTIONS(6003),
    [anon_sym_PIPE_EQ] = ACTIONS(6003),
    [anon_sym_and_eq] = ACTIONS(6003),
    [anon_sym_or_eq] = ACTIONS(6003),
    [anon_sym_xor_eq] = ACTIONS(6003),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4137),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4137),
    [anon_sym_not_eq] = ACTIONS(4137),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4137),
    [anon_sym_L_DQUOTE] = ACTIONS(3622),
    [anon_sym_u_DQUOTE] = ACTIONS(3622),
    [anon_sym_U_DQUOTE] = ACTIONS(3622),
    [anon_sym_u8_DQUOTE] = ACTIONS(3622),
    [anon_sym_DQUOTE] = ACTIONS(3622),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(3626),
    [anon_sym_LR_DQUOTE] = ACTIONS(3626),
    [anon_sym_uR_DQUOTE] = ACTIONS(3626),
    [anon_sym_UR_DQUOTE] = ACTIONS(3626),
    [anon_sym_u8R_DQUOTE] = ACTIONS(3626),
  },
  [2462] = {
    [sym_identifier] = ACTIONS(6005),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6007),
    [anon_sym_COMMA] = ACTIONS(6007),
    [anon_sym_RPAREN] = ACTIONS(6007),
    [aux_sym_preproc_if_token2] = ACTIONS(6007),
    [aux_sym_preproc_else_token1] = ACTIONS(6007),
    [aux_sym_preproc_elif_token1] = ACTIONS(6005),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6007),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6007),
    [anon_sym_LPAREN2] = ACTIONS(6007),
    [anon_sym_DASH] = ACTIONS(6005),
    [anon_sym_PLUS] = ACTIONS(6005),
    [anon_sym_STAR] = ACTIONS(6005),
    [anon_sym_SLASH] = ACTIONS(6005),
    [anon_sym_PERCENT] = ACTIONS(6005),
    [anon_sym_PIPE_PIPE] = ACTIONS(6007),
    [anon_sym_AMP_AMP] = ACTIONS(6007),
    [anon_sym_PIPE] = ACTIONS(6005),
    [anon_sym_CARET] = ACTIONS(6005),
    [anon_sym_AMP] = ACTIONS(6005),
    [anon_sym_EQ_EQ] = ACTIONS(6007),
    [anon_sym_BANG_EQ] = ACTIONS(6007),
    [anon_sym_GT] = ACTIONS(6005),
    [anon_sym_GT_EQ] = ACTIONS(6007),
    [anon_sym_LT_EQ] = ACTIONS(6005),
    [anon_sym_LT] = ACTIONS(6005),
    [anon_sym_LT_LT] = ACTIONS(6005),
    [anon_sym_GT_GT] = ACTIONS(6005),
    [anon_sym_SEMI] = ACTIONS(6007),
    [anon_sym___attribute__] = ACTIONS(6005),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6007),
    [anon_sym_LBRACE] = ACTIONS(6007),
    [anon_sym_RBRACE] = ACTIONS(6007),
    [anon_sym_LBRACK] = ACTIONS(6005),
    [anon_sym_RBRACK] = ACTIONS(6007),
    [anon_sym_EQ] = ACTIONS(6005),
    [anon_sym_COLON] = ACTIONS(6007),
    [anon_sym_QMARK] = ACTIONS(6007),
    [anon_sym_STAR_EQ] = ACTIONS(6007),
    [anon_sym_SLASH_EQ] = ACTIONS(6007),
    [anon_sym_PERCENT_EQ] = ACTIONS(6007),
    [anon_sym_PLUS_EQ] = ACTIONS(6007),
    [anon_sym_DASH_EQ] = ACTIONS(6007),
    [anon_sym_LT_LT_EQ] = ACTIONS(6007),
    [anon_sym_GT_GT_EQ] = ACTIONS(6007),
    [anon_sym_AMP_EQ] = ACTIONS(6007),
    [anon_sym_CARET_EQ] = ACTIONS(6007),
    [anon_sym_PIPE_EQ] = ACTIONS(6007),
    [anon_sym_and_eq] = ACTIONS(6005),
    [anon_sym_or_eq] = ACTIONS(6005),
    [anon_sym_xor_eq] = ACTIONS(6005),
    [anon_sym_LT_EQ_GT] = ACTIONS(6007),
    [anon_sym_or] = ACTIONS(6005),
    [anon_sym_and] = ACTIONS(6005),
    [anon_sym_bitor] = ACTIONS(6005),
    [anon_sym_xor] = ACTIONS(6005),
    [anon_sym_bitand] = ACTIONS(6005),
    [anon_sym_not_eq] = ACTIONS(6005),
    [anon_sym_DASH_DASH] = ACTIONS(6007),
    [anon_sym_PLUS_PLUS] = ACTIONS(6007),
    [anon_sym_DOT] = ACTIONS(6005),
    [anon_sym_DOT_STAR] = ACTIONS(6007),
    [anon_sym_DASH_GT] = ACTIONS(6007),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6005),
  },
  [2463] = {
    [sym_attribute_specifier] = STATE(3115),
    [sym_field_declaration_list] = STATE(2959),
    [sym_virtual_specifier] = STATE(7425),
    [sym_base_class_clause] = STATE(8161),
    [sym_identifier] = ACTIONS(5311),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5313),
    [anon_sym_COMMA] = ACTIONS(5313),
    [aux_sym_preproc_if_token2] = ACTIONS(5313),
    [aux_sym_preproc_else_token1] = ACTIONS(5313),
    [aux_sym_preproc_elif_token1] = ACTIONS(5313),
    [anon_sym_LPAREN2] = ACTIONS(5313),
    [anon_sym_DASH] = ACTIONS(5311),
    [anon_sym_PLUS] = ACTIONS(5311),
    [anon_sym_STAR] = ACTIONS(5311),
    [anon_sym_SLASH] = ACTIONS(5311),
    [anon_sym_PERCENT] = ACTIONS(5311),
    [anon_sym_PIPE_PIPE] = ACTIONS(5313),
    [anon_sym_AMP_AMP] = ACTIONS(5313),
    [anon_sym_PIPE] = ACTIONS(5311),
    [anon_sym_CARET] = ACTIONS(5311),
    [anon_sym_AMP] = ACTIONS(5311),
    [anon_sym_EQ_EQ] = ACTIONS(5313),
    [anon_sym_BANG_EQ] = ACTIONS(5313),
    [anon_sym_GT] = ACTIONS(5311),
    [anon_sym_GT_EQ] = ACTIONS(5313),
    [anon_sym_LT_EQ] = ACTIONS(5311),
    [anon_sym_LT] = ACTIONS(5311),
    [anon_sym_LT_LT] = ACTIONS(5311),
    [anon_sym_GT_GT] = ACTIONS(5311),
    [anon_sym___attribute__] = ACTIONS(6009),
    [anon_sym_LBRACE] = ACTIONS(6011),
    [anon_sym_LBRACK] = ACTIONS(5313),
    [anon_sym_EQ] = ACTIONS(5311),
    [anon_sym_COLON] = ACTIONS(5319),
    [anon_sym_QMARK] = ACTIONS(5313),
    [anon_sym_STAR_EQ] = ACTIONS(5313),
    [anon_sym_SLASH_EQ] = ACTIONS(5313),
    [anon_sym_PERCENT_EQ] = ACTIONS(5313),
    [anon_sym_PLUS_EQ] = ACTIONS(5313),
    [anon_sym_DASH_EQ] = ACTIONS(5313),
    [anon_sym_LT_LT_EQ] = ACTIONS(5313),
    [anon_sym_GT_GT_EQ] = ACTIONS(5313),
    [anon_sym_AMP_EQ] = ACTIONS(5313),
    [anon_sym_CARET_EQ] = ACTIONS(5313),
    [anon_sym_PIPE_EQ] = ACTIONS(5313),
    [anon_sym_and_eq] = ACTIONS(5311),
    [anon_sym_or_eq] = ACTIONS(5311),
    [anon_sym_xor_eq] = ACTIONS(5311),
    [anon_sym_LT_EQ_GT] = ACTIONS(5313),
    [anon_sym_or] = ACTIONS(5311),
    [anon_sym_and] = ACTIONS(5311),
    [anon_sym_bitor] = ACTIONS(5311),
    [anon_sym_xor] = ACTIONS(5311),
    [anon_sym_bitand] = ACTIONS(5311),
    [anon_sym_not_eq] = ACTIONS(5311),
    [anon_sym_DASH_DASH] = ACTIONS(5313),
    [anon_sym_PLUS_PLUS] = ACTIONS(5313),
    [anon_sym_DOT] = ACTIONS(5311),
    [anon_sym_DOT_STAR] = ACTIONS(5313),
    [anon_sym_DASH_GT] = ACTIONS(5313),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5311),
    [anon_sym_decltype] = ACTIONS(5311),
    [anon_sym_final] = ACTIONS(5321),
    [anon_sym_override] = ACTIONS(5321),
  },
  [2464] = {
    [sym_identifier] = ACTIONS(5278),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5280),
    [anon_sym_COMMA] = ACTIONS(5280),
    [aux_sym_preproc_if_token2] = ACTIONS(5280),
    [aux_sym_preproc_else_token1] = ACTIONS(5280),
    [aux_sym_preproc_elif_token1] = ACTIONS(5280),
    [anon_sym_LPAREN2] = ACTIONS(5280),
    [anon_sym_DASH] = ACTIONS(5278),
    [anon_sym_PLUS] = ACTIONS(5278),
    [anon_sym_STAR] = ACTIONS(5278),
    [anon_sym_SLASH] = ACTIONS(5278),
    [anon_sym_PERCENT] = ACTIONS(5278),
    [anon_sym_PIPE_PIPE] = ACTIONS(5280),
    [anon_sym_AMP_AMP] = ACTIONS(5280),
    [anon_sym_PIPE] = ACTIONS(5278),
    [anon_sym_CARET] = ACTIONS(5278),
    [anon_sym_AMP] = ACTIONS(5278),
    [anon_sym_EQ_EQ] = ACTIONS(5280),
    [anon_sym_BANG_EQ] = ACTIONS(5280),
    [anon_sym_GT] = ACTIONS(5278),
    [anon_sym_GT_EQ] = ACTIONS(5280),
    [anon_sym_LT_EQ] = ACTIONS(5278),
    [anon_sym_LT] = ACTIONS(5278),
    [anon_sym_LT_LT] = ACTIONS(5278),
    [anon_sym_GT_GT] = ACTIONS(5278),
    [anon_sym_LBRACK] = ACTIONS(5280),
    [anon_sym_EQ] = ACTIONS(5278),
    [anon_sym_QMARK] = ACTIONS(5280),
    [anon_sym_STAR_EQ] = ACTIONS(5280),
    [anon_sym_SLASH_EQ] = ACTIONS(5280),
    [anon_sym_PERCENT_EQ] = ACTIONS(5280),
    [anon_sym_PLUS_EQ] = ACTIONS(5280),
    [anon_sym_DASH_EQ] = ACTIONS(5280),
    [anon_sym_LT_LT_EQ] = ACTIONS(5280),
    [anon_sym_GT_GT_EQ] = ACTIONS(5280),
    [anon_sym_AMP_EQ] = ACTIONS(5280),
    [anon_sym_CARET_EQ] = ACTIONS(5280),
    [anon_sym_PIPE_EQ] = ACTIONS(5280),
    [anon_sym_and_eq] = ACTIONS(5278),
    [anon_sym_or_eq] = ACTIONS(5278),
    [anon_sym_xor_eq] = ACTIONS(5278),
    [anon_sym_LT_EQ_GT] = ACTIONS(5280),
    [anon_sym_or] = ACTIONS(5278),
    [anon_sym_and] = ACTIONS(5278),
    [anon_sym_bitor] = ACTIONS(5278),
    [anon_sym_xor] = ACTIONS(5278),
    [anon_sym_bitand] = ACTIONS(5278),
    [anon_sym_not_eq] = ACTIONS(5278),
    [anon_sym_DASH_DASH] = ACTIONS(5280),
    [anon_sym_PLUS_PLUS] = ACTIONS(5280),
    [anon_sym_DOT] = ACTIONS(5278),
    [anon_sym_DOT_STAR] = ACTIONS(5280),
    [anon_sym_DASH_GT] = ACTIONS(5280),
    [anon_sym_L_DQUOTE] = ACTIONS(5280),
    [anon_sym_u_DQUOTE] = ACTIONS(5280),
    [anon_sym_U_DQUOTE] = ACTIONS(5280),
    [anon_sym_u8_DQUOTE] = ACTIONS(5280),
    [anon_sym_DQUOTE] = ACTIONS(5280),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5280),
    [anon_sym_LR_DQUOTE] = ACTIONS(5280),
    [anon_sym_uR_DQUOTE] = ACTIONS(5280),
    [anon_sym_UR_DQUOTE] = ACTIONS(5280),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5280),
    [sym_literal_suffix] = ACTIONS(5278),
  },
  [2465] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2452),
    [sym_identifier] = ACTIONS(6013),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [aux_sym_preproc_if_token2] = ACTIONS(6015),
    [aux_sym_preproc_else_token1] = ACTIONS(6015),
    [aux_sym_preproc_elif_token1] = ACTIONS(6013),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6015),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6013),
    [anon_sym_PLUS] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6013),
    [anon_sym_SLASH] = ACTIONS(6013),
    [anon_sym_PERCENT] = ACTIONS(6013),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6013),
    [anon_sym_CARET] = ACTIONS(6013),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6013),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6013),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym_LT_LT] = ACTIONS(6013),
    [anon_sym_GT_GT] = ACTIONS(6013),
    [anon_sym___attribute__] = ACTIONS(6013),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6017),
    [anon_sym_unsigned] = ACTIONS(6017),
    [anon_sym_long] = ACTIONS(6017),
    [anon_sym_short] = ACTIONS(6017),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_EQ] = ACTIONS(6013),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_STAR_EQ] = ACTIONS(6015),
    [anon_sym_SLASH_EQ] = ACTIONS(6015),
    [anon_sym_PERCENT_EQ] = ACTIONS(6015),
    [anon_sym_PLUS_EQ] = ACTIONS(6015),
    [anon_sym_DASH_EQ] = ACTIONS(6015),
    [anon_sym_LT_LT_EQ] = ACTIONS(6015),
    [anon_sym_GT_GT_EQ] = ACTIONS(6015),
    [anon_sym_AMP_EQ] = ACTIONS(6015),
    [anon_sym_CARET_EQ] = ACTIONS(6015),
    [anon_sym_PIPE_EQ] = ACTIONS(6015),
    [anon_sym_and_eq] = ACTIONS(6013),
    [anon_sym_or_eq] = ACTIONS(6013),
    [anon_sym_xor_eq] = ACTIONS(6013),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6013),
    [anon_sym_and] = ACTIONS(6013),
    [anon_sym_bitor] = ACTIONS(6013),
    [anon_sym_xor] = ACTIONS(6013),
    [anon_sym_bitand] = ACTIONS(6013),
    [anon_sym_not_eq] = ACTIONS(6013),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6013),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6013),
    [anon_sym_decltype] = ACTIONS(6013),
  },
  [2466] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2455),
    [sym_identifier] = ACTIONS(6019),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6021),
    [anon_sym_COMMA] = ACTIONS(6021),
    [aux_sym_preproc_if_token2] = ACTIONS(6021),
    [aux_sym_preproc_else_token1] = ACTIONS(6021),
    [aux_sym_preproc_elif_token1] = ACTIONS(6019),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6021),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6021),
    [anon_sym_LPAREN2] = ACTIONS(6021),
    [anon_sym_DASH] = ACTIONS(6019),
    [anon_sym_PLUS] = ACTIONS(6019),
    [anon_sym_STAR] = ACTIONS(6019),
    [anon_sym_SLASH] = ACTIONS(6019),
    [anon_sym_PERCENT] = ACTIONS(6019),
    [anon_sym_PIPE_PIPE] = ACTIONS(6021),
    [anon_sym_AMP_AMP] = ACTIONS(6021),
    [anon_sym_PIPE] = ACTIONS(6019),
    [anon_sym_CARET] = ACTIONS(6019),
    [anon_sym_AMP] = ACTIONS(6019),
    [anon_sym_EQ_EQ] = ACTIONS(6021),
    [anon_sym_BANG_EQ] = ACTIONS(6021),
    [anon_sym_GT] = ACTIONS(6019),
    [anon_sym_GT_EQ] = ACTIONS(6021),
    [anon_sym_LT_EQ] = ACTIONS(6019),
    [anon_sym_LT] = ACTIONS(6019),
    [anon_sym_LT_LT] = ACTIONS(6019),
    [anon_sym_GT_GT] = ACTIONS(6019),
    [anon_sym___attribute__] = ACTIONS(6019),
    [anon_sym_LBRACE] = ACTIONS(6021),
    [anon_sym_signed] = ACTIONS(6023),
    [anon_sym_unsigned] = ACTIONS(6023),
    [anon_sym_long] = ACTIONS(6023),
    [anon_sym_short] = ACTIONS(6023),
    [anon_sym_LBRACK] = ACTIONS(6021),
    [anon_sym_EQ] = ACTIONS(6019),
    [anon_sym_QMARK] = ACTIONS(6021),
    [anon_sym_STAR_EQ] = ACTIONS(6021),
    [anon_sym_SLASH_EQ] = ACTIONS(6021),
    [anon_sym_PERCENT_EQ] = ACTIONS(6021),
    [anon_sym_PLUS_EQ] = ACTIONS(6021),
    [anon_sym_DASH_EQ] = ACTIONS(6021),
    [anon_sym_LT_LT_EQ] = ACTIONS(6021),
    [anon_sym_GT_GT_EQ] = ACTIONS(6021),
    [anon_sym_AMP_EQ] = ACTIONS(6021),
    [anon_sym_CARET_EQ] = ACTIONS(6021),
    [anon_sym_PIPE_EQ] = ACTIONS(6021),
    [anon_sym_and_eq] = ACTIONS(6019),
    [anon_sym_or_eq] = ACTIONS(6019),
    [anon_sym_xor_eq] = ACTIONS(6019),
    [anon_sym_LT_EQ_GT] = ACTIONS(6021),
    [anon_sym_or] = ACTIONS(6019),
    [anon_sym_and] = ACTIONS(6019),
    [anon_sym_bitor] = ACTIONS(6019),
    [anon_sym_xor] = ACTIONS(6019),
    [anon_sym_bitand] = ACTIONS(6019),
    [anon_sym_not_eq] = ACTIONS(6019),
    [anon_sym_DASH_DASH] = ACTIONS(6021),
    [anon_sym_PLUS_PLUS] = ACTIONS(6021),
    [anon_sym_DOT] = ACTIONS(6019),
    [anon_sym_DOT_STAR] = ACTIONS(6021),
    [anon_sym_DASH_GT] = ACTIONS(6021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6019),
    [anon_sym_decltype] = ACTIONS(6019),
  },
  [2467] = {
    [sym_argument_list] = STATE(2857),
    [sym_initializer_list] = STATE(2857),
    [sym_identifier] = ACTIONS(6025),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6027),
    [anon_sym_COMMA] = ACTIONS(6027),
    [anon_sym_RPAREN] = ACTIONS(6027),
    [aux_sym_preproc_if_token2] = ACTIONS(6027),
    [aux_sym_preproc_else_token1] = ACTIONS(6027),
    [aux_sym_preproc_elif_token1] = ACTIONS(6025),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6027),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6027),
    [anon_sym_LPAREN2] = ACTIONS(5360),
    [anon_sym_DASH] = ACTIONS(6025),
    [anon_sym_PLUS] = ACTIONS(6025),
    [anon_sym_STAR] = ACTIONS(6025),
    [anon_sym_SLASH] = ACTIONS(6025),
    [anon_sym_PERCENT] = ACTIONS(6025),
    [anon_sym_PIPE_PIPE] = ACTIONS(6027),
    [anon_sym_AMP_AMP] = ACTIONS(6027),
    [anon_sym_PIPE] = ACTIONS(6025),
    [anon_sym_CARET] = ACTIONS(6025),
    [anon_sym_AMP] = ACTIONS(6025),
    [anon_sym_EQ_EQ] = ACTIONS(6027),
    [anon_sym_BANG_EQ] = ACTIONS(6027),
    [anon_sym_GT] = ACTIONS(6025),
    [anon_sym_GT_EQ] = ACTIONS(6027),
    [anon_sym_LT_EQ] = ACTIONS(6025),
    [anon_sym_LT] = ACTIONS(6025),
    [anon_sym_LT_LT] = ACTIONS(6025),
    [anon_sym_GT_GT] = ACTIONS(6025),
    [anon_sym_SEMI] = ACTIONS(6027),
    [anon_sym___attribute__] = ACTIONS(6025),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(6027),
    [anon_sym_LBRACK] = ACTIONS(6027),
    [anon_sym_RBRACK] = ACTIONS(6027),
    [anon_sym_EQ] = ACTIONS(6025),
    [anon_sym_COLON] = ACTIONS(6027),
    [anon_sym_QMARK] = ACTIONS(6027),
    [anon_sym_STAR_EQ] = ACTIONS(6027),
    [anon_sym_SLASH_EQ] = ACTIONS(6027),
    [anon_sym_PERCENT_EQ] = ACTIONS(6027),
    [anon_sym_PLUS_EQ] = ACTIONS(6027),
    [anon_sym_DASH_EQ] = ACTIONS(6027),
    [anon_sym_LT_LT_EQ] = ACTIONS(6027),
    [anon_sym_GT_GT_EQ] = ACTIONS(6027),
    [anon_sym_AMP_EQ] = ACTIONS(6027),
    [anon_sym_CARET_EQ] = ACTIONS(6027),
    [anon_sym_PIPE_EQ] = ACTIONS(6027),
    [anon_sym_and_eq] = ACTIONS(6025),
    [anon_sym_or_eq] = ACTIONS(6025),
    [anon_sym_xor_eq] = ACTIONS(6025),
    [anon_sym_LT_EQ_GT] = ACTIONS(6027),
    [anon_sym_or] = ACTIONS(6025),
    [anon_sym_and] = ACTIONS(6025),
    [anon_sym_bitor] = ACTIONS(6025),
    [anon_sym_xor] = ACTIONS(6025),
    [anon_sym_bitand] = ACTIONS(6025),
    [anon_sym_not_eq] = ACTIONS(6025),
    [anon_sym_DASH_DASH] = ACTIONS(6027),
    [anon_sym_PLUS_PLUS] = ACTIONS(6027),
    [anon_sym_DOT] = ACTIONS(6025),
    [anon_sym_DOT_STAR] = ACTIONS(6027),
    [anon_sym_DASH_GT] = ACTIONS(6027),
    [sym_comment] = ACTIONS(3),
  },
  [2468] = {
    [sym_identifier] = ACTIONS(5701),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5703),
    [anon_sym_COMMA] = ACTIONS(5703),
    [anon_sym_RPAREN] = ACTIONS(5703),
    [aux_sym_preproc_if_token2] = ACTIONS(5703),
    [aux_sym_preproc_else_token1] = ACTIONS(5703),
    [aux_sym_preproc_elif_token1] = ACTIONS(5701),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5703),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5703),
    [anon_sym_LPAREN2] = ACTIONS(5703),
    [anon_sym_DASH] = ACTIONS(5701),
    [anon_sym_PLUS] = ACTIONS(5701),
    [anon_sym_STAR] = ACTIONS(5701),
    [anon_sym_SLASH] = ACTIONS(5701),
    [anon_sym_PERCENT] = ACTIONS(5701),
    [anon_sym_PIPE_PIPE] = ACTIONS(5703),
    [anon_sym_AMP_AMP] = ACTIONS(5703),
    [anon_sym_PIPE] = ACTIONS(5701),
    [anon_sym_CARET] = ACTIONS(5701),
    [anon_sym_AMP] = ACTIONS(5701),
    [anon_sym_EQ_EQ] = ACTIONS(5703),
    [anon_sym_BANG_EQ] = ACTIONS(5703),
    [anon_sym_GT] = ACTIONS(5701),
    [anon_sym_GT_EQ] = ACTIONS(5703),
    [anon_sym_LT_EQ] = ACTIONS(5701),
    [anon_sym_LT] = ACTIONS(5701),
    [anon_sym_LT_LT] = ACTIONS(5701),
    [anon_sym_GT_GT] = ACTIONS(5701),
    [anon_sym_SEMI] = ACTIONS(5703),
    [anon_sym___attribute__] = ACTIONS(5701),
    [anon_sym_LBRACE] = ACTIONS(5703),
    [anon_sym_RBRACE] = ACTIONS(5703),
    [anon_sym_LBRACK] = ACTIONS(5703),
    [anon_sym_RBRACK] = ACTIONS(5703),
    [anon_sym_EQ] = ACTIONS(5701),
    [anon_sym_COLON] = ACTIONS(5703),
    [anon_sym_QMARK] = ACTIONS(5703),
    [anon_sym_STAR_EQ] = ACTIONS(5703),
    [anon_sym_SLASH_EQ] = ACTIONS(5703),
    [anon_sym_PERCENT_EQ] = ACTIONS(5703),
    [anon_sym_PLUS_EQ] = ACTIONS(5703),
    [anon_sym_DASH_EQ] = ACTIONS(5703),
    [anon_sym_LT_LT_EQ] = ACTIONS(5703),
    [anon_sym_GT_GT_EQ] = ACTIONS(5703),
    [anon_sym_AMP_EQ] = ACTIONS(5703),
    [anon_sym_CARET_EQ] = ACTIONS(5703),
    [anon_sym_PIPE_EQ] = ACTIONS(5703),
    [anon_sym_and_eq] = ACTIONS(5701),
    [anon_sym_or_eq] = ACTIONS(5701),
    [anon_sym_xor_eq] = ACTIONS(5701),
    [anon_sym_LT_EQ_GT] = ACTIONS(5703),
    [anon_sym_or] = ACTIONS(5701),
    [anon_sym_and] = ACTIONS(5701),
    [anon_sym_bitor] = ACTIONS(5701),
    [anon_sym_xor] = ACTIONS(5701),
    [anon_sym_bitand] = ACTIONS(5701),
    [anon_sym_not_eq] = ACTIONS(5701),
    [anon_sym_DASH_DASH] = ACTIONS(5703),
    [anon_sym_PLUS_PLUS] = ACTIONS(5703),
    [anon_sym_DOT] = ACTIONS(5701),
    [anon_sym_DOT_STAR] = ACTIONS(5703),
    [anon_sym_DASH_GT] = ACTIONS(5703),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5701),
    [anon_sym_decltype] = ACTIONS(5701),
  },
  [2469] = {
    [sym_attribute_declaration] = STATE(2437),
    [aux_sym_attributed_declarator_repeat1] = STATE(2437),
    [sym_identifier] = ACTIONS(6029),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6031),
    [anon_sym_COMMA] = ACTIONS(6031),
    [anon_sym_RPAREN] = ACTIONS(6031),
    [aux_sym_preproc_if_token2] = ACTIONS(6031),
    [aux_sym_preproc_else_token1] = ACTIONS(6031),
    [aux_sym_preproc_elif_token1] = ACTIONS(6029),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6031),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6031),
    [anon_sym_LPAREN2] = ACTIONS(6031),
    [anon_sym_DASH] = ACTIONS(6029),
    [anon_sym_PLUS] = ACTIONS(6029),
    [anon_sym_STAR] = ACTIONS(6029),
    [anon_sym_SLASH] = ACTIONS(6029),
    [anon_sym_PERCENT] = ACTIONS(6029),
    [anon_sym_PIPE_PIPE] = ACTIONS(6031),
    [anon_sym_AMP_AMP] = ACTIONS(6031),
    [anon_sym_PIPE] = ACTIONS(6029),
    [anon_sym_CARET] = ACTIONS(6029),
    [anon_sym_AMP] = ACTIONS(6029),
    [anon_sym_EQ_EQ] = ACTIONS(6031),
    [anon_sym_BANG_EQ] = ACTIONS(6031),
    [anon_sym_GT] = ACTIONS(6029),
    [anon_sym_GT_EQ] = ACTIONS(6031),
    [anon_sym_LT_EQ] = ACTIONS(6029),
    [anon_sym_LT] = ACTIONS(6029),
    [anon_sym_LT_LT] = ACTIONS(6029),
    [anon_sym_GT_GT] = ACTIONS(6029),
    [anon_sym_SEMI] = ACTIONS(6031),
    [anon_sym___attribute__] = ACTIONS(6029),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(5831),
    [anon_sym_RBRACE] = ACTIONS(6031),
    [anon_sym_LBRACK] = ACTIONS(6029),
    [anon_sym_RBRACK] = ACTIONS(6031),
    [anon_sym_EQ] = ACTIONS(6029),
    [anon_sym_COLON] = ACTIONS(6031),
    [anon_sym_QMARK] = ACTIONS(6031),
    [anon_sym_STAR_EQ] = ACTIONS(6031),
    [anon_sym_SLASH_EQ] = ACTIONS(6031),
    [anon_sym_PERCENT_EQ] = ACTIONS(6031),
    [anon_sym_PLUS_EQ] = ACTIONS(6031),
    [anon_sym_DASH_EQ] = ACTIONS(6031),
    [anon_sym_LT_LT_EQ] = ACTIONS(6031),
    [anon_sym_GT_GT_EQ] = ACTIONS(6031),
    [anon_sym_AMP_EQ] = ACTIONS(6031),
    [anon_sym_CARET_EQ] = ACTIONS(6031),
    [anon_sym_PIPE_EQ] = ACTIONS(6031),
    [anon_sym_and_eq] = ACTIONS(6029),
    [anon_sym_or_eq] = ACTIONS(6029),
    [anon_sym_xor_eq] = ACTIONS(6029),
    [anon_sym_LT_EQ_GT] = ACTIONS(6031),
    [anon_sym_or] = ACTIONS(6029),
    [anon_sym_and] = ACTIONS(6029),
    [anon_sym_bitor] = ACTIONS(6029),
    [anon_sym_xor] = ACTIONS(6029),
    [anon_sym_bitand] = ACTIONS(6029),
    [anon_sym_not_eq] = ACTIONS(6029),
    [anon_sym_DASH_DASH] = ACTIONS(6031),
    [anon_sym_PLUS_PLUS] = ACTIONS(6031),
    [anon_sym_DOT] = ACTIONS(6029),
    [anon_sym_DOT_STAR] = ACTIONS(6031),
    [anon_sym_DASH_GT] = ACTIONS(6031),
    [sym_comment] = ACTIONS(3),
  },
  [2470] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(5968),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5966),
    [anon_sym_COMMA] = ACTIONS(5966),
    [aux_sym_preproc_if_token2] = ACTIONS(5966),
    [aux_sym_preproc_else_token1] = ACTIONS(5966),
    [aux_sym_preproc_elif_token1] = ACTIONS(5968),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5966),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5966),
    [anon_sym_LPAREN2] = ACTIONS(5966),
    [anon_sym_DASH] = ACTIONS(5968),
    [anon_sym_PLUS] = ACTIONS(5968),
    [anon_sym_STAR] = ACTIONS(5968),
    [anon_sym_SLASH] = ACTIONS(5968),
    [anon_sym_PERCENT] = ACTIONS(5968),
    [anon_sym_PIPE_PIPE] = ACTIONS(5966),
    [anon_sym_AMP_AMP] = ACTIONS(5966),
    [anon_sym_PIPE] = ACTIONS(5968),
    [anon_sym_CARET] = ACTIONS(5968),
    [anon_sym_AMP] = ACTIONS(5968),
    [anon_sym_EQ_EQ] = ACTIONS(5966),
    [anon_sym_BANG_EQ] = ACTIONS(5966),
    [anon_sym_GT] = ACTIONS(5968),
    [anon_sym_GT_EQ] = ACTIONS(5966),
    [anon_sym_LT_EQ] = ACTIONS(5968),
    [anon_sym_LT] = ACTIONS(5968),
    [anon_sym_LT_LT] = ACTIONS(5968),
    [anon_sym_GT_GT] = ACTIONS(5968),
    [anon_sym___attribute__] = ACTIONS(5968),
    [anon_sym_LBRACE] = ACTIONS(5966),
    [anon_sym_signed] = ACTIONS(5990),
    [anon_sym_unsigned] = ACTIONS(5990),
    [anon_sym_long] = ACTIONS(5990),
    [anon_sym_short] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5966),
    [anon_sym_EQ] = ACTIONS(5968),
    [anon_sym_QMARK] = ACTIONS(5966),
    [anon_sym_STAR_EQ] = ACTIONS(5966),
    [anon_sym_SLASH_EQ] = ACTIONS(5966),
    [anon_sym_PERCENT_EQ] = ACTIONS(5966),
    [anon_sym_PLUS_EQ] = ACTIONS(5966),
    [anon_sym_DASH_EQ] = ACTIONS(5966),
    [anon_sym_LT_LT_EQ] = ACTIONS(5966),
    [anon_sym_GT_GT_EQ] = ACTIONS(5966),
    [anon_sym_AMP_EQ] = ACTIONS(5966),
    [anon_sym_CARET_EQ] = ACTIONS(5966),
    [anon_sym_PIPE_EQ] = ACTIONS(5966),
    [anon_sym_and_eq] = ACTIONS(5968),
    [anon_sym_or_eq] = ACTIONS(5968),
    [anon_sym_xor_eq] = ACTIONS(5968),
    [anon_sym_LT_EQ_GT] = ACTIONS(5966),
    [anon_sym_or] = ACTIONS(5968),
    [anon_sym_and] = ACTIONS(5968),
    [anon_sym_bitor] = ACTIONS(5968),
    [anon_sym_xor] = ACTIONS(5968),
    [anon_sym_bitand] = ACTIONS(5968),
    [anon_sym_not_eq] = ACTIONS(5968),
    [anon_sym_DASH_DASH] = ACTIONS(5966),
    [anon_sym_PLUS_PLUS] = ACTIONS(5966),
    [anon_sym_DOT] = ACTIONS(5968),
    [anon_sym_DOT_STAR] = ACTIONS(5966),
    [anon_sym_DASH_GT] = ACTIONS(5966),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5968),
    [anon_sym_decltype] = ACTIONS(5968),
  },
  [2471] = {
    [sym_identifier] = ACTIONS(6033),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6035),
    [anon_sym_COMMA] = ACTIONS(6035),
    [anon_sym_RPAREN] = ACTIONS(6035),
    [aux_sym_preproc_if_token2] = ACTIONS(6035),
    [aux_sym_preproc_else_token1] = ACTIONS(6035),
    [aux_sym_preproc_elif_token1] = ACTIONS(6033),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6035),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6035),
    [anon_sym_LPAREN2] = ACTIONS(6035),
    [anon_sym_DASH] = ACTIONS(6033),
    [anon_sym_PLUS] = ACTIONS(6033),
    [anon_sym_STAR] = ACTIONS(6033),
    [anon_sym_SLASH] = ACTIONS(6033),
    [anon_sym_PERCENT] = ACTIONS(6033),
    [anon_sym_PIPE_PIPE] = ACTIONS(6035),
    [anon_sym_AMP_AMP] = ACTIONS(6035),
    [anon_sym_PIPE] = ACTIONS(6033),
    [anon_sym_CARET] = ACTIONS(6033),
    [anon_sym_AMP] = ACTIONS(6033),
    [anon_sym_EQ_EQ] = ACTIONS(6035),
    [anon_sym_BANG_EQ] = ACTIONS(6035),
    [anon_sym_GT] = ACTIONS(6033),
    [anon_sym_GT_EQ] = ACTIONS(6035),
    [anon_sym_LT_EQ] = ACTIONS(6033),
    [anon_sym_LT] = ACTIONS(6033),
    [anon_sym_LT_LT] = ACTIONS(6033),
    [anon_sym_GT_GT] = ACTIONS(6033),
    [anon_sym_SEMI] = ACTIONS(6035),
    [anon_sym___attribute__] = ACTIONS(6033),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6035),
    [anon_sym_LBRACE] = ACTIONS(6035),
    [anon_sym_RBRACE] = ACTIONS(6035),
    [anon_sym_LBRACK] = ACTIONS(6033),
    [anon_sym_RBRACK] = ACTIONS(6035),
    [anon_sym_EQ] = ACTIONS(6033),
    [anon_sym_COLON] = ACTIONS(6035),
    [anon_sym_QMARK] = ACTIONS(6035),
    [anon_sym_STAR_EQ] = ACTIONS(6035),
    [anon_sym_SLASH_EQ] = ACTIONS(6035),
    [anon_sym_PERCENT_EQ] = ACTIONS(6035),
    [anon_sym_PLUS_EQ] = ACTIONS(6035),
    [anon_sym_DASH_EQ] = ACTIONS(6035),
    [anon_sym_LT_LT_EQ] = ACTIONS(6035),
    [anon_sym_GT_GT_EQ] = ACTIONS(6035),
    [anon_sym_AMP_EQ] = ACTIONS(6035),
    [anon_sym_CARET_EQ] = ACTIONS(6035),
    [anon_sym_PIPE_EQ] = ACTIONS(6035),
    [anon_sym_and_eq] = ACTIONS(6033),
    [anon_sym_or_eq] = ACTIONS(6033),
    [anon_sym_xor_eq] = ACTIONS(6033),
    [anon_sym_LT_EQ_GT] = ACTIONS(6035),
    [anon_sym_or] = ACTIONS(6033),
    [anon_sym_and] = ACTIONS(6033),
    [anon_sym_bitor] = ACTIONS(6033),
    [anon_sym_xor] = ACTIONS(6033),
    [anon_sym_bitand] = ACTIONS(6033),
    [anon_sym_not_eq] = ACTIONS(6033),
    [anon_sym_DASH_DASH] = ACTIONS(6035),
    [anon_sym_PLUS_PLUS] = ACTIONS(6035),
    [anon_sym_DOT] = ACTIONS(6033),
    [anon_sym_DOT_STAR] = ACTIONS(6035),
    [anon_sym_DASH_GT] = ACTIONS(6035),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6033),
  },
  [2472] = {
    [sym_template_argument_list] = STATE(1974),
    [aux_sym_sized_type_specifier_repeat1] = STATE(2737),
    [sym_identifier] = ACTIONS(5687),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5689),
    [anon_sym_COMMA] = ACTIONS(5689),
    [aux_sym_preproc_if_token2] = ACTIONS(5689),
    [aux_sym_preproc_else_token1] = ACTIONS(5689),
    [aux_sym_preproc_elif_token1] = ACTIONS(5689),
    [anon_sym_LPAREN2] = ACTIONS(5689),
    [anon_sym_DASH] = ACTIONS(5687),
    [anon_sym_PLUS] = ACTIONS(5687),
    [anon_sym_STAR] = ACTIONS(5687),
    [anon_sym_SLASH] = ACTIONS(5687),
    [anon_sym_PERCENT] = ACTIONS(5687),
    [anon_sym_PIPE_PIPE] = ACTIONS(5689),
    [anon_sym_AMP_AMP] = ACTIONS(5689),
    [anon_sym_PIPE] = ACTIONS(5687),
    [anon_sym_CARET] = ACTIONS(5687),
    [anon_sym_AMP] = ACTIONS(5687),
    [anon_sym_EQ_EQ] = ACTIONS(5689),
    [anon_sym_BANG_EQ] = ACTIONS(5689),
    [anon_sym_GT] = ACTIONS(5687),
    [anon_sym_GT_EQ] = ACTIONS(5689),
    [anon_sym_LT_EQ] = ACTIONS(5687),
    [anon_sym_LT] = ACTIONS(5687),
    [anon_sym_LT_LT] = ACTIONS(5687),
    [anon_sym_GT_GT] = ACTIONS(5687),
    [anon_sym___attribute__] = ACTIONS(5687),
    [anon_sym_COLON_COLON] = ACTIONS(4156),
    [anon_sym_LBRACE] = ACTIONS(5689),
    [anon_sym_signed] = ACTIONS(6037),
    [anon_sym_unsigned] = ACTIONS(6037),
    [anon_sym_long] = ACTIONS(6037),
    [anon_sym_short] = ACTIONS(6037),
    [anon_sym_LBRACK] = ACTIONS(5689),
    [anon_sym_EQ] = ACTIONS(5687),
    [anon_sym_QMARK] = ACTIONS(5689),
    [anon_sym_STAR_EQ] = ACTIONS(5689),
    [anon_sym_SLASH_EQ] = ACTIONS(5689),
    [anon_sym_PERCENT_EQ] = ACTIONS(5689),
    [anon_sym_PLUS_EQ] = ACTIONS(5689),
    [anon_sym_DASH_EQ] = ACTIONS(5689),
    [anon_sym_LT_LT_EQ] = ACTIONS(5689),
    [anon_sym_GT_GT_EQ] = ACTIONS(5689),
    [anon_sym_AMP_EQ] = ACTIONS(5689),
    [anon_sym_CARET_EQ] = ACTIONS(5689),
    [anon_sym_PIPE_EQ] = ACTIONS(5689),
    [anon_sym_and_eq] = ACTIONS(5687),
    [anon_sym_or_eq] = ACTIONS(5687),
    [anon_sym_xor_eq] = ACTIONS(5687),
    [anon_sym_LT_EQ_GT] = ACTIONS(5689),
    [anon_sym_or] = ACTIONS(5687),
    [anon_sym_and] = ACTIONS(5687),
    [anon_sym_bitor] = ACTIONS(5687),
    [anon_sym_xor] = ACTIONS(5687),
    [anon_sym_bitand] = ACTIONS(5687),
    [anon_sym_not_eq] = ACTIONS(5687),
    [anon_sym_DASH_DASH] = ACTIONS(5689),
    [anon_sym_PLUS_PLUS] = ACTIONS(5689),
    [anon_sym_DOT] = ACTIONS(5687),
    [anon_sym_DOT_STAR] = ACTIONS(5689),
    [anon_sym_DASH_GT] = ACTIONS(5689),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5687),
    [anon_sym_decltype] = ACTIONS(5687),
  },
  [2473] = {
    [sym_identifier] = ACTIONS(6039),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6041),
    [anon_sym_COMMA] = ACTIONS(6041),
    [anon_sym_RPAREN] = ACTIONS(6041),
    [aux_sym_preproc_if_token2] = ACTIONS(6041),
    [aux_sym_preproc_else_token1] = ACTIONS(6041),
    [aux_sym_preproc_elif_token1] = ACTIONS(6039),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6041),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6041),
    [anon_sym_LPAREN2] = ACTIONS(6041),
    [anon_sym_DASH] = ACTIONS(6039),
    [anon_sym_PLUS] = ACTIONS(6039),
    [anon_sym_STAR] = ACTIONS(6039),
    [anon_sym_SLASH] = ACTIONS(6039),
    [anon_sym_PERCENT] = ACTIONS(6039),
    [anon_sym_PIPE_PIPE] = ACTIONS(6041),
    [anon_sym_AMP_AMP] = ACTIONS(6041),
    [anon_sym_PIPE] = ACTIONS(6039),
    [anon_sym_CARET] = ACTIONS(6039),
    [anon_sym_AMP] = ACTIONS(6039),
    [anon_sym_EQ_EQ] = ACTIONS(6041),
    [anon_sym_BANG_EQ] = ACTIONS(6041),
    [anon_sym_GT] = ACTIONS(6039),
    [anon_sym_GT_EQ] = ACTIONS(6041),
    [anon_sym_LT_EQ] = ACTIONS(6039),
    [anon_sym_LT] = ACTIONS(6039),
    [anon_sym_LT_LT] = ACTIONS(6039),
    [anon_sym_GT_GT] = ACTIONS(6039),
    [anon_sym_SEMI] = ACTIONS(6041),
    [anon_sym___attribute__] = ACTIONS(6039),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6041),
    [anon_sym_RBRACE] = ACTIONS(6041),
    [anon_sym_LBRACK] = ACTIONS(6039),
    [anon_sym_RBRACK] = ACTIONS(6041),
    [anon_sym_EQ] = ACTIONS(6039),
    [anon_sym_COLON] = ACTIONS(6041),
    [anon_sym_QMARK] = ACTIONS(6041),
    [anon_sym_STAR_EQ] = ACTIONS(6041),
    [anon_sym_SLASH_EQ] = ACTIONS(6041),
    [anon_sym_PERCENT_EQ] = ACTIONS(6041),
    [anon_sym_PLUS_EQ] = ACTIONS(6041),
    [anon_sym_DASH_EQ] = ACTIONS(6041),
    [anon_sym_LT_LT_EQ] = ACTIONS(6041),
    [anon_sym_GT_GT_EQ] = ACTIONS(6041),
    [anon_sym_AMP_EQ] = ACTIONS(6041),
    [anon_sym_CARET_EQ] = ACTIONS(6041),
    [anon_sym_PIPE_EQ] = ACTIONS(6041),
    [anon_sym_and_eq] = ACTIONS(6039),
    [anon_sym_or_eq] = ACTIONS(6039),
    [anon_sym_xor_eq] = ACTIONS(6039),
    [anon_sym_LT_EQ_GT] = ACTIONS(6041),
    [anon_sym_or] = ACTIONS(6039),
    [anon_sym_and] = ACTIONS(6039),
    [anon_sym_bitor] = ACTIONS(6039),
    [anon_sym_xor] = ACTIONS(6039),
    [anon_sym_bitand] = ACTIONS(6039),
    [anon_sym_not_eq] = ACTIONS(6039),
    [anon_sym_DASH_DASH] = ACTIONS(6041),
    [anon_sym_PLUS_PLUS] = ACTIONS(6041),
    [anon_sym_DOT] = ACTIONS(6039),
    [anon_sym_DOT_STAR] = ACTIONS(6041),
    [anon_sym_DASH_GT] = ACTIONS(6041),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6039),
  },
  [2474] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2459),
    [sym_identifier] = ACTIONS(5974),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5972),
    [anon_sym_COMMA] = ACTIONS(5972),
    [aux_sym_preproc_if_token2] = ACTIONS(5972),
    [aux_sym_preproc_else_token1] = ACTIONS(5972),
    [aux_sym_preproc_elif_token1] = ACTIONS(5974),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5972),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5972),
    [anon_sym_LPAREN2] = ACTIONS(5972),
    [anon_sym_DASH] = ACTIONS(5974),
    [anon_sym_PLUS] = ACTIONS(5974),
    [anon_sym_STAR] = ACTIONS(5974),
    [anon_sym_SLASH] = ACTIONS(5974),
    [anon_sym_PERCENT] = ACTIONS(5974),
    [anon_sym_PIPE_PIPE] = ACTIONS(5972),
    [anon_sym_AMP_AMP] = ACTIONS(5972),
    [anon_sym_PIPE] = ACTIONS(5974),
    [anon_sym_CARET] = ACTIONS(5974),
    [anon_sym_AMP] = ACTIONS(5974),
    [anon_sym_EQ_EQ] = ACTIONS(5972),
    [anon_sym_BANG_EQ] = ACTIONS(5972),
    [anon_sym_GT] = ACTIONS(5974),
    [anon_sym_GT_EQ] = ACTIONS(5972),
    [anon_sym_LT_EQ] = ACTIONS(5974),
    [anon_sym_LT] = ACTIONS(5974),
    [anon_sym_LT_LT] = ACTIONS(5974),
    [anon_sym_GT_GT] = ACTIONS(5974),
    [anon_sym___attribute__] = ACTIONS(5974),
    [anon_sym_LBRACE] = ACTIONS(5972),
    [anon_sym_signed] = ACTIONS(5990),
    [anon_sym_unsigned] = ACTIONS(5990),
    [anon_sym_long] = ACTIONS(5990),
    [anon_sym_short] = ACTIONS(5990),
    [anon_sym_LBRACK] = ACTIONS(5972),
    [anon_sym_EQ] = ACTIONS(5974),
    [anon_sym_QMARK] = ACTIONS(5972),
    [anon_sym_STAR_EQ] = ACTIONS(5972),
    [anon_sym_SLASH_EQ] = ACTIONS(5972),
    [anon_sym_PERCENT_EQ] = ACTIONS(5972),
    [anon_sym_PLUS_EQ] = ACTIONS(5972),
    [anon_sym_DASH_EQ] = ACTIONS(5972),
    [anon_sym_LT_LT_EQ] = ACTIONS(5972),
    [anon_sym_GT_GT_EQ] = ACTIONS(5972),
    [anon_sym_AMP_EQ] = ACTIONS(5972),
    [anon_sym_CARET_EQ] = ACTIONS(5972),
    [anon_sym_PIPE_EQ] = ACTIONS(5972),
    [anon_sym_and_eq] = ACTIONS(5974),
    [anon_sym_or_eq] = ACTIONS(5974),
    [anon_sym_xor_eq] = ACTIONS(5974),
    [anon_sym_LT_EQ_GT] = ACTIONS(5972),
    [anon_sym_or] = ACTIONS(5974),
    [anon_sym_and] = ACTIONS(5974),
    [anon_sym_bitor] = ACTIONS(5974),
    [anon_sym_xor] = ACTIONS(5974),
    [anon_sym_bitand] = ACTIONS(5974),
    [anon_sym_not_eq] = ACTIONS(5974),
    [anon_sym_DASH_DASH] = ACTIONS(5972),
    [anon_sym_PLUS_PLUS] = ACTIONS(5972),
    [anon_sym_DOT] = ACTIONS(5974),
    [anon_sym_DOT_STAR] = ACTIONS(5972),
    [anon_sym_DASH_GT] = ACTIONS(5972),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5974),
    [anon_sym_decltype] = ACTIONS(5974),
  },
  [2475] = {
    [sym_identifier] = ACTIONS(5266),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5268),
    [anon_sym_COMMA] = ACTIONS(5268),
    [aux_sym_preproc_if_token2] = ACTIONS(5268),
    [aux_sym_preproc_else_token1] = ACTIONS(5268),
    [aux_sym_preproc_elif_token1] = ACTIONS(5268),
    [anon_sym_LPAREN2] = ACTIONS(5268),
    [anon_sym_DASH] = ACTIONS(5266),
    [anon_sym_PLUS] = ACTIONS(5266),
    [anon_sym_STAR] = ACTIONS(5266),
    [anon_sym_SLASH] = ACTIONS(5266),
    [anon_sym_PERCENT] = ACTIONS(5266),
    [anon_sym_PIPE_PIPE] = ACTIONS(5268),
    [anon_sym_AMP_AMP] = ACTIONS(5268),
    [anon_sym_PIPE] = ACTIONS(5266),
    [anon_sym_CARET] = ACTIONS(5266),
    [anon_sym_AMP] = ACTIONS(5266),
    [anon_sym_EQ_EQ] = ACTIONS(5268),
    [anon_sym_BANG_EQ] = ACTIONS(5268),
    [anon_sym_GT] = ACTIONS(5266),
    [anon_sym_GT_EQ] = ACTIONS(5268),
    [anon_sym_LT_EQ] = ACTIONS(5266),
    [anon_sym_LT] = ACTIONS(5266),
    [anon_sym_LT_LT] = ACTIONS(5266),
    [anon_sym_GT_GT] = ACTIONS(5266),
    [anon_sym_LBRACK] = ACTIONS(5268),
    [anon_sym_EQ] = ACTIONS(5266),
    [anon_sym_QMARK] = ACTIONS(5268),
    [anon_sym_STAR_EQ] = ACTIONS(5268),
    [anon_sym_SLASH_EQ] = ACTIONS(5268),
    [anon_sym_PERCENT_EQ] = ACTIONS(5268),
    [anon_sym_PLUS_EQ] = ACTIONS(5268),
    [anon_sym_DASH_EQ] = ACTIONS(5268),
    [anon_sym_LT_LT_EQ] = ACTIONS(5268),
    [anon_sym_GT_GT_EQ] = ACTIONS(5268),
    [anon_sym_AMP_EQ] = ACTIONS(5268),
    [anon_sym_CARET_EQ] = ACTIONS(5268),
    [anon_sym_PIPE_EQ] = ACTIONS(5268),
    [anon_sym_and_eq] = ACTIONS(5266),
    [anon_sym_or_eq] = ACTIONS(5266),
    [anon_sym_xor_eq] = ACTIONS(5266),
    [anon_sym_LT_EQ_GT] = ACTIONS(5268),
    [anon_sym_or] = ACTIONS(5266),
    [anon_sym_and] = ACTIONS(5266),
    [anon_sym_bitor] = ACTIONS(5266),
    [anon_sym_xor] = ACTIONS(5266),
    [anon_sym_bitand] = ACTIONS(5266),
    [anon_sym_not_eq] = ACTIONS(5266),
    [anon_sym_DASH_DASH] = ACTIONS(5268),
    [anon_sym_PLUS_PLUS] = ACTIONS(5268),
    [anon_sym_DOT] = ACTIONS(5266),
    [anon_sym_DOT_STAR] = ACTIONS(5268),
    [anon_sym_DASH_GT] = ACTIONS(5268),
    [anon_sym_L_DQUOTE] = ACTIONS(5268),
    [anon_sym_u_DQUOTE] = ACTIONS(5268),
    [anon_sym_U_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8_DQUOTE] = ACTIONS(5268),
    [anon_sym_DQUOTE] = ACTIONS(5268),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5268),
    [anon_sym_LR_DQUOTE] = ACTIONS(5268),
    [anon_sym_uR_DQUOTE] = ACTIONS(5268),
    [anon_sym_UR_DQUOTE] = ACTIONS(5268),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5268),
    [sym_literal_suffix] = ACTIONS(5266),
  },
  [2476] = {
    [sym_identifier] = ACTIONS(5802),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5804),
    [anon_sym_COMMA] = ACTIONS(5804),
    [anon_sym_RPAREN] = ACTIONS(5804),
    [aux_sym_preproc_if_token2] = ACTIONS(5804),
    [aux_sym_preproc_else_token1] = ACTIONS(5804),
    [aux_sym_preproc_elif_token1] = ACTIONS(5802),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5804),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5804),
    [anon_sym_LPAREN2] = ACTIONS(5804),
    [anon_sym_DASH] = ACTIONS(5802),
    [anon_sym_PLUS] = ACTIONS(5802),
    [anon_sym_STAR] = ACTIONS(5802),
    [anon_sym_SLASH] = ACTIONS(5802),
    [anon_sym_PERCENT] = ACTIONS(5802),
    [anon_sym_PIPE_PIPE] = ACTIONS(5804),
    [anon_sym_AMP_AMP] = ACTIONS(5804),
    [anon_sym_PIPE] = ACTIONS(5802),
    [anon_sym_CARET] = ACTIONS(5802),
    [anon_sym_AMP] = ACTIONS(5802),
    [anon_sym_EQ_EQ] = ACTIONS(5804),
    [anon_sym_BANG_EQ] = ACTIONS(5804),
    [anon_sym_GT] = ACTIONS(5802),
    [anon_sym_GT_EQ] = ACTIONS(5804),
    [anon_sym_LT_EQ] = ACTIONS(5802),
    [anon_sym_LT] = ACTIONS(5802),
    [anon_sym_LT_LT] = ACTIONS(5802),
    [anon_sym_GT_GT] = ACTIONS(5802),
    [anon_sym_SEMI] = ACTIONS(5804),
    [anon_sym___attribute__] = ACTIONS(5802),
    [anon_sym_LBRACE] = ACTIONS(5804),
    [anon_sym_RBRACE] = ACTIONS(5804),
    [anon_sym_LBRACK] = ACTIONS(5804),
    [anon_sym_RBRACK] = ACTIONS(5804),
    [anon_sym_EQ] = ACTIONS(5802),
    [anon_sym_COLON] = ACTIONS(5804),
    [anon_sym_QMARK] = ACTIONS(5804),
    [anon_sym_STAR_EQ] = ACTIONS(5804),
    [anon_sym_SLASH_EQ] = ACTIONS(5804),
    [anon_sym_PERCENT_EQ] = ACTIONS(5804),
    [anon_sym_PLUS_EQ] = ACTIONS(5804),
    [anon_sym_DASH_EQ] = ACTIONS(5804),
    [anon_sym_LT_LT_EQ] = ACTIONS(5804),
    [anon_sym_GT_GT_EQ] = ACTIONS(5804),
    [anon_sym_AMP_EQ] = ACTIONS(5804),
    [anon_sym_CARET_EQ] = ACTIONS(5804),
    [anon_sym_PIPE_EQ] = ACTIONS(5804),
    [anon_sym_and_eq] = ACTIONS(5802),
    [anon_sym_or_eq] = ACTIONS(5802),
    [anon_sym_xor_eq] = ACTIONS(5802),
    [anon_sym_LT_EQ_GT] = ACTIONS(5804),
    [anon_sym_or] = ACTIONS(5802),
    [anon_sym_and] = ACTIONS(5802),
    [anon_sym_bitor] = ACTIONS(5802),
    [anon_sym_xor] = ACTIONS(5802),
    [anon_sym_bitand] = ACTIONS(5802),
    [anon_sym_not_eq] = ACTIONS(5802),
    [anon_sym_DASH_DASH] = ACTIONS(5804),
    [anon_sym_PLUS_PLUS] = ACTIONS(5804),
    [anon_sym_DOT] = ACTIONS(5802),
    [anon_sym_DOT_STAR] = ACTIONS(5804),
    [anon_sym_DASH_GT] = ACTIONS(5804),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5802),
    [anon_sym_decltype] = ACTIONS(5802),
  },
  [2477] = {
    [sym_identifier] = ACTIONS(5735),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5737),
    [anon_sym_COMMA] = ACTIONS(5737),
    [anon_sym_RPAREN] = ACTIONS(5737),
    [aux_sym_preproc_if_token2] = ACTIONS(5737),
    [aux_sym_preproc_else_token1] = ACTIONS(5737),
    [aux_sym_preproc_elif_token1] = ACTIONS(5735),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5737),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5737),
    [anon_sym_LPAREN2] = ACTIONS(5737),
    [anon_sym_DASH] = ACTIONS(5735),
    [anon_sym_PLUS] = ACTIONS(5735),
    [anon_sym_STAR] = ACTIONS(5735),
    [anon_sym_SLASH] = ACTIONS(5735),
    [anon_sym_PERCENT] = ACTIONS(5735),
    [anon_sym_PIPE_PIPE] = ACTIONS(5737),
    [anon_sym_AMP_AMP] = ACTIONS(5737),
    [anon_sym_PIPE] = ACTIONS(5735),
    [anon_sym_CARET] = ACTIONS(5735),
    [anon_sym_AMP] = ACTIONS(5735),
    [anon_sym_EQ_EQ] = ACTIONS(5737),
    [anon_sym_BANG_EQ] = ACTIONS(5737),
    [anon_sym_GT] = ACTIONS(5735),
    [anon_sym_GT_EQ] = ACTIONS(5737),
    [anon_sym_LT_EQ] = ACTIONS(5735),
    [anon_sym_LT] = ACTIONS(5735),
    [anon_sym_LT_LT] = ACTIONS(5735),
    [anon_sym_GT_GT] = ACTIONS(5735),
    [anon_sym_SEMI] = ACTIONS(5737),
    [anon_sym___attribute__] = ACTIONS(5735),
    [anon_sym_LBRACE] = ACTIONS(5737),
    [anon_sym_RBRACE] = ACTIONS(5737),
    [anon_sym_LBRACK] = ACTIONS(5737),
    [anon_sym_RBRACK] = ACTIONS(5737),
    [anon_sym_EQ] = ACTIONS(5735),
    [anon_sym_COLON] = ACTIONS(5737),
    [anon_sym_QMARK] = ACTIONS(5737),
    [anon_sym_STAR_EQ] = ACTIONS(5737),
    [anon_sym_SLASH_EQ] = ACTIONS(5737),
    [anon_sym_PERCENT_EQ] = ACTIONS(5737),
    [anon_sym_PLUS_EQ] = ACTIONS(5737),
    [anon_sym_DASH_EQ] = ACTIONS(5737),
    [anon_sym_LT_LT_EQ] = ACTIONS(5737),
    [anon_sym_GT_GT_EQ] = ACTIONS(5737),
    [anon_sym_AMP_EQ] = ACTIONS(5737),
    [anon_sym_CARET_EQ] = ACTIONS(5737),
    [anon_sym_PIPE_EQ] = ACTIONS(5737),
    [anon_sym_and_eq] = ACTIONS(5735),
    [anon_sym_or_eq] = ACTIONS(5735),
    [anon_sym_xor_eq] = ACTIONS(5735),
    [anon_sym_LT_EQ_GT] = ACTIONS(5737),
    [anon_sym_or] = ACTIONS(5735),
    [anon_sym_and] = ACTIONS(5735),
    [anon_sym_bitor] = ACTIONS(5735),
    [anon_sym_xor] = ACTIONS(5735),
    [anon_sym_bitand] = ACTIONS(5735),
    [anon_sym_not_eq] = ACTIONS(5735),
    [anon_sym_DASH_DASH] = ACTIONS(5737),
    [anon_sym_PLUS_PLUS] = ACTIONS(5737),
    [anon_sym_DOT] = ACTIONS(5735),
    [anon_sym_DOT_STAR] = ACTIONS(5737),
    [anon_sym_DASH_GT] = ACTIONS(5737),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5735),
    [anon_sym_decltype] = ACTIONS(5735),
  },
  [2478] = {
    [sym_identifier] = ACTIONS(6043),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6045),
    [anon_sym_COMMA] = ACTIONS(6045),
    [anon_sym_RPAREN] = ACTIONS(6045),
    [aux_sym_preproc_if_token2] = ACTIONS(6045),
    [aux_sym_preproc_else_token1] = ACTIONS(6045),
    [aux_sym_preproc_elif_token1] = ACTIONS(6043),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(6045),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(6045),
    [anon_sym_LPAREN2] = ACTIONS(6045),
    [anon_sym_DASH] = ACTIONS(6043),
    [anon_sym_PLUS] = ACTIONS(6043),
    [anon_sym_STAR] = ACTIONS(6043),
    [anon_sym_SLASH] = ACTIONS(6043),
    [anon_sym_PERCENT] = ACTIONS(6043),
    [anon_sym_PIPE_PIPE] = ACTIONS(6045),
    [anon_sym_AMP_AMP] = ACTIONS(6045),
    [anon_sym_PIPE] = ACTIONS(6043),
    [anon_sym_CARET] = ACTIONS(6043),
    [anon_sym_AMP] = ACTIONS(6043),
    [anon_sym_EQ_EQ] = ACTIONS(6045),
    [anon_sym_BANG_EQ] = ACTIONS(6045),
    [anon_sym_GT] = ACTIONS(6043),
    [anon_sym_GT_EQ] = ACTIONS(6045),
    [anon_sym_LT_EQ] = ACTIONS(6043),
    [anon_sym_LT] = ACTIONS(6043),
    [anon_sym_LT_LT] = ACTIONS(6043),
    [anon_sym_GT_GT] = ACTIONS(6043),
    [anon_sym_SEMI] = ACTIONS(6045),
    [anon_sym___attribute__] = ACTIONS(6043),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(6045),
    [anon_sym_LBRACE] = ACTIONS(6045),
    [anon_sym_RBRACE] = ACTIONS(6045),
    [anon_sym_LBRACK] = ACTIONS(6043),
    [anon_sym_RBRACK] = ACTIONS(6045),
    [anon_sym_EQ] = ACTIONS(6043),
    [anon_sym_COLON] = ACTIONS(6045),
    [anon_sym_QMARK] = ACTIONS(6045),
    [anon_sym_STAR_EQ] = ACTIONS(6045),
    [anon_sym_SLASH_EQ] = ACTIONS(6045),
    [anon_sym_PERCENT_EQ] = ACTIONS(6045),
    [anon_sym_PLUS_EQ] = ACTIONS(6045),
    [anon_sym_DASH_EQ] = ACTIONS(6045),
    [anon_sym_LT_LT_EQ] = ACTIONS(6045),
    [anon_sym_GT_GT_EQ] = ACTIONS(6045),
    [anon_sym_AMP_EQ] = ACTIONS(6045),
    [anon_sym_CARET_EQ] = ACTIONS(6045),
    [anon_sym_PIPE_EQ] = ACTIONS(6045),
    [anon_sym_and_eq] = ACTIONS(6043),
    [anon_sym_or_eq] = ACTIONS(6043),
    [anon_sym_xor_eq] = ACTIONS(6043),
    [anon_sym_LT_EQ_GT] = ACTIONS(6045),
    [anon_sym_or] = ACTIONS(6043),
    [anon_sym_and] = ACTIONS(6043),
    [anon_sym_bitor] = ACTIONS(6043),
    [anon_sym_xor] = ACTIONS(6043),
    [anon_sym_bitand] = ACTIONS(6043),
    [anon_sym_not_eq] = ACTIONS(6043),
    [anon_sym_DASH_DASH] = ACTIONS(6045),
    [anon_sym_PLUS_PLUS] = ACTIONS(6045),
    [anon_sym_DOT] = ACTIONS(6043),
    [anon_sym_DOT_STAR] = ACTIONS(6045),
    [anon_sym_DASH_GT] = ACTIONS(6045),
    [sym_comment] = ACTIONS(3),
    [anon_sym_try] = ACTIONS(6043),
  },
  [2479] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5988),
    [anon_sym_COMMA] = ACTIONS(5988),
    [anon_sym_RPAREN] = ACTIONS(5988),
    [anon_sym_LPAREN2] = ACTIONS(5988),
    [anon_sym_DASH] = ACTIONS(5986),
    [anon_sym_PLUS] = ACTIONS(5986),
    [anon_sym_STAR] = ACTIONS(5988),
    [anon_sym_SLASH] = ACTIONS(5986),
    [anon_sym_PERCENT] = ACTIONS(5988),
    [anon_sym_PIPE_PIPE] = ACTIONS(5988),
    [anon_sym_AMP_AMP] = ACTIONS(5988),
    [anon_sym_PIPE] = ACTIONS(5986),
    [anon_sym_CARET] = ACTIONS(5988),
    [anon_sym_AMP] = ACTIONS(5986),
    [anon_sym_EQ_EQ] = ACTIONS(5988),
    [anon_sym_BANG_EQ] = ACTIONS(5988),
    [anon_sym_GT] = ACTIONS(5986),
    [anon_sym_GT_EQ] = ACTIONS(5988),
    [anon_sym_LT_EQ] = ACTIONS(5986),
    [anon_sym_LT] = ACTIONS(5986),
    [anon_sym_LT_LT] = ACTIONS(5988),
    [anon_sym_GT_GT] = ACTIONS(5988),
    [anon_sym_SEMI] = ACTIONS(5988),
    [anon_sym___extension__] = ACTIONS(5988),
    [anon_sym___attribute__] = ACTIONS(5988),
    [anon_sym_LBRACE] = ACTIONS(5988),
    [anon_sym_RBRACE] = ACTIONS(5988),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5988),
    [anon_sym_RBRACK] = ACTIONS(5988),
    [anon_sym_const] = ACTIONS(5986),
    [anon_sym_constexpr] = ACTIONS(5988),
    [anon_sym_volatile] = ACTIONS(5988),
    [anon_sym_restrict] = ACTIONS(5988),
    [anon_sym___restrict__] = ACTIONS(5988),
    [anon_sym__Atomic] = ACTIONS(5988),
    [anon_sym__Noreturn] = ACTIONS(5988),
    [anon_sym_noreturn] = ACTIONS(5988),
    [anon_sym_mutable] = ACTIONS(5988),
    [anon_sym_constinit] = ACTIONS(5988),
    [anon_sym_consteval] = ACTIONS(5988),
    [anon_sym_COLON] = ACTIONS(5988),
    [anon_sym_QMARK] = ACTIONS(5988),
    [anon_sym_LT_EQ_GT] = ACTIONS(5988),
    [anon_sym_or] = ACTIONS(5988),
    [anon_sym_and] = ACTIONS(5988),
    [anon_sym_bitor] = ACTIONS(5988),
    [anon_sym_xor] = ACTIONS(5988),
    [anon_sym_bitand] = ACTIONS(5988),
    [anon_sym_not_eq] = ACTIONS(5988),
    [anon_sym_DASH_DASH] = ACTIONS(5988),
    [anon_sym_PLUS_PLUS] = ACTIONS(5988),
    [anon_sym_DOT] = ACTIONS(5986),
    [anon_sym_DOT_STAR] = ACTIONS(5988),
    [anon_sym_DASH_GT] = ACTIONS(5988),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5988),
    [anon_sym_decltype] = ACTIONS(5988),
    [anon_sym_final] = ACTIONS(5988),
    [anon_sym_override] = ACTIONS(5988),
    [anon_sym_requires] = ACTIONS(5988),
  },
  [2480] = {
    [sym_identifier] = ACTIONS(5817),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5819),
    [anon_sym_COMMA] = ACTIONS(5819),
    [anon_sym_RPAREN] = ACTIONS(5819),
    [aux_sym_preproc_if_token2] = ACTIONS(5819),
    [aux_sym_preproc_else_token1] = ACTIONS(5819),
    [aux_sym_preproc_elif_token1] = ACTIONS(5817),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5819),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5819),
    [anon_sym_LPAREN2] = ACTIONS(5819),
    [anon_sym_DASH] = ACTIONS(5817),
    [anon_sym_PLUS] = ACTIONS(5817),
    [anon_sym_STAR] = ACTIONS(5817),
    [anon_sym_SLASH] = ACTIONS(5817),
    [anon_sym_PERCENT] = ACTIONS(5817),
    [anon_sym_PIPE_PIPE] = ACTIONS(5819),
    [anon_sym_AMP_AMP] = ACTIONS(5819),
    [anon_sym_PIPE] = ACTIONS(5817),
    [anon_sym_CARET] = ACTIONS(5817),
    [anon_sym_AMP] = ACTIONS(5817),
    [anon_sym_EQ_EQ] = ACTIONS(5819),
    [anon_sym_BANG_EQ] = ACTIONS(5819),
    [anon_sym_GT] = ACTIONS(5817),
    [anon_sym_GT_EQ] = ACTIONS(5819),
    [anon_sym_LT_EQ] = ACTIONS(5817),
    [anon_sym_LT] = ACTIONS(5817),
    [anon_sym_LT_LT] = ACTIONS(5817),
    [anon_sym_GT_GT] = ACTIONS(5817),
    [anon_sym_SEMI] = ACTIONS(5819),
    [anon_sym___attribute__] = ACTIONS(5817),
    [anon_sym_LBRACE] = ACTIONS(5819),
    [anon_sym_RBRACE] = ACTIONS(5819),
    [anon_sym_LBRACK] = ACTIONS(5819),
    [anon_sym_RBRACK] = ACTIONS(5819),
    [anon_sym_EQ] = ACTIONS(5817),
    [anon_sym_COLON] = ACTIONS(5819),
    [anon_sym_QMARK] = ACTIONS(5819),
    [anon_sym_STAR_EQ] = ACTIONS(5819),
    [anon_sym_SLASH_EQ] = ACTIONS(5819),
    [anon_sym_PERCENT_EQ] = ACTIONS(5819),
    [anon_sym_PLUS_EQ] = ACTIONS(5819),
    [anon_sym_DASH_EQ] = ACTIONS(5819),
    [anon_sym_LT_LT_EQ] = ACTIONS(5819),
    [anon_sym_GT_GT_EQ] = ACTIONS(5819),
    [anon_sym_AMP_EQ] = ACTIONS(5819),
    [anon_sym_CARET_EQ] = ACTIONS(5819),
    [anon_sym_PIPE_EQ] = ACTIONS(5819),
    [anon_sym_and_eq] = ACTIONS(5817),
    [anon_sym_or_eq] = ACTIONS(5817),
    [anon_sym_xor_eq] = ACTIONS(5817),
    [anon_sym_LT_EQ_GT] = ACTIONS(5819),
    [anon_sym_or] = ACTIONS(5817),
    [anon_sym_and] = ACTIONS(5817),
    [anon_sym_bitor] = ACTIONS(5817),
    [anon_sym_xor] = ACTIONS(5817),
    [anon_sym_bitand] = ACTIONS(5817),
    [anon_sym_not_eq] = ACTIONS(5817),
    [anon_sym_DASH_DASH] = ACTIONS(5819),
    [anon_sym_PLUS_PLUS] = ACTIONS(5819),
    [anon_sym_DOT] = ACTIONS(5817),
    [anon_sym_DOT_STAR] = ACTIONS(5819),
    [anon_sym_DASH_GT] = ACTIONS(5819),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5817),
    [anon_sym_decltype] = ACTIONS(5817),
  },
  [2481] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2012),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5996),
    [anon_sym_COMMA] = ACTIONS(5996),
    [anon_sym_RPAREN] = ACTIONS(5996),
    [anon_sym_LPAREN2] = ACTIONS(5996),
    [anon_sym_DASH] = ACTIONS(5994),
    [anon_sym_PLUS] = ACTIONS(5994),
    [anon_sym_STAR] = ACTIONS(5996),
    [anon_sym_SLASH] = ACTIONS(5994),
    [anon_sym_PERCENT] = ACTIONS(5996),
    [anon_sym_PIPE_PIPE] = ACTIONS(5996),
    [anon_sym_AMP_AMP] = ACTIONS(5996),
    [anon_sym_PIPE] = ACTIONS(5994),
    [anon_sym_CARET] = ACTIONS(5996),
    [anon_sym_AMP] = ACTIONS(5994),
    [anon_sym_EQ_EQ] = ACTIONS(5996),
    [anon_sym_BANG_EQ] = ACTIONS(5996),
    [anon_sym_GT] = ACTIONS(5994),
    [anon_sym_GT_EQ] = ACTIONS(5996),
    [anon_sym_LT_EQ] = ACTIONS(5994),
    [anon_sym_LT] = ACTIONS(5994),
    [anon_sym_LT_LT] = ACTIONS(5996),
    [anon_sym_GT_GT] = ACTIONS(5996),
    [anon_sym_SEMI] = ACTIONS(5996),
    [anon_sym___extension__] = ACTIONS(5996),
    [anon_sym___attribute__] = ACTIONS(5996),
    [anon_sym_LBRACE] = ACTIONS(5996),
    [anon_sym_RBRACE] = ACTIONS(5996),
    [anon_sym_signed] = ACTIONS(5970),
    [anon_sym_unsigned] = ACTIONS(5970),
    [anon_sym_long] = ACTIONS(5970),
    [anon_sym_short] = ACTIONS(5970),
    [anon_sym_LBRACK] = ACTIONS(5996),
    [anon_sym_RBRACK] = ACTIONS(5996),
    [anon_sym_const] = ACTIONS(5994),
    [anon_sym_constexpr] = ACTIONS(5996),
    [anon_sym_volatile] = ACTIONS(5996),
    [anon_sym_restrict] = ACTIONS(5996),
    [anon_sym___restrict__] = ACTIONS(5996),
    [anon_sym__Atomic] = ACTIONS(5996),
    [anon_sym__Noreturn] = ACTIONS(5996),
    [anon_sym_noreturn] = ACTIONS(5996),
    [anon_sym_mutable] = ACTIONS(5996),
    [anon_sym_constinit] = ACTIONS(5996),
    [anon_sym_consteval] = ACTIONS(5996),
    [anon_sym_COLON] = ACTIONS(5996),
    [anon_sym_QMARK] = ACTIONS(5996),
    [anon_sym_LT_EQ_GT] = ACTIONS(5996),
    [anon_sym_or] = ACTIONS(5996),
    [anon_sym_and] = ACTIONS(5996),
    [anon_sym_bitor] = ACTIONS(5996),
    [anon_sym_xor] = ACTIONS(5996),
    [anon_sym_bitand] = ACTIONS(5996),
    [anon_sym_not_eq] = ACTIONS(5996),
    [anon_sym_DASH_DASH] = ACTIONS(5996),
    [anon_sym_PLUS_PLUS] = ACTIONS(5996),
    [anon_sym_DOT] = ACTIONS(5994),
    [anon_sym_DOT_STAR] = ACTIONS(5996),
    [anon_sym_DASH_GT] = ACTIONS(5996),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5996),
    [anon_sym_decltype] = ACTIONS(5996),
    [anon_sym_final] = ACTIONS(5996),
    [anon_sym_override] = ACTIONS(5996),
    [anon_sym_requires] = ACTIONS(5996),
  },
  [2482] = {
    [sym_identifier] = ACTIONS(5739),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5741),
    [anon_sym_COMMA] = ACTIONS(5741),
    [anon_sym_RPAREN] = ACTIONS(5741),
    [aux_sym_preproc_if_token2] = ACTIONS(5741),
    [aux_sym_preproc_else_token1] = ACTIONS(5741),
    [aux_sym_preproc_elif_token1] = ACTIONS(5739),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5741),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5741),
    [anon_sym_LPAREN2] = ACTIONS(5741),
    [anon_sym_DASH] = ACTIONS(5739),
    [anon_sym_PLUS] = ACTIONS(5739),
    [anon_sym_STAR] = ACTIONS(5739),
    [anon_sym_SLASH] = ACTIONS(5739),
    [anon_sym_PERCENT] = ACTIONS(5739),
    [anon_sym_PIPE_PIPE] = ACTIONS(5741),
    [anon_sym_AMP_AMP] = ACTIONS(5741),
    [anon_sym_PIPE] = ACTIONS(5739),
    [anon_sym_CARET] = ACTIONS(5739),
    [anon_sym_AMP] = ACTIONS(5739),
    [anon_sym_EQ_EQ] = ACTIONS(5741),
    [anon_sym_BANG_EQ] = ACTIONS(5741),
    [anon_sym_GT] = ACTIONS(5739),
    [anon_sym_GT_EQ] = ACTIONS(5741),
    [anon_sym_LT_EQ] = ACTIONS(5739),
    [anon_sym_LT] = ACTIONS(5739),
    [anon_sym_LT_LT] = ACTIONS(5739),
    [anon_sym_GT_GT] = ACTIONS(5739),
    [anon_sym_SEMI] = ACTIONS(5741),
    [anon_sym___attribute__] = ACTIONS(5739),
    [anon_sym_LBRACE] = ACTIONS(5741),
    [anon_sym_RBRACE] = ACTIONS(5741),
    [anon_sym_LBRACK] = ACTIONS(5741),
    [anon_sym_RBRACK] = ACTIONS(5741),
    [anon_sym_EQ] = ACTIONS(5739),
    [anon_sym_COLON] = ACTIONS(5741),
    [anon_sym_QMARK] = ACTIONS(5741),
    [anon_sym_STAR_EQ] = ACTIONS(5741),
    [anon_sym_SLASH_EQ] = ACTIONS(5741),
    [anon_sym_PERCENT_EQ] = ACTIONS(5741),
    [anon_sym_PLUS_EQ] = ACTIONS(5741),
    [anon_sym_DASH_EQ] = ACTIONS(5741),
    [anon_sym_LT_LT_EQ] = ACTIONS(5741),
    [anon_sym_GT_GT_EQ] = ACTIONS(5741),
    [anon_sym_AMP_EQ] = ACTIONS(5741),
    [anon_sym_CARET_EQ] = ACTIONS(5741),
    [anon_sym_PIPE_EQ] = ACTIONS(5741),
    [anon_sym_and_eq] = ACTIONS(5739),
    [anon_sym_or_eq] = ACTIONS(5739),
    [anon_sym_xor_eq] = ACTIONS(5739),
    [anon_sym_LT_EQ_GT] = ACTIONS(5741),
    [anon_sym_or] = ACTIONS(5739),
    [anon_sym_and] = ACTIONS(5739),
    [anon_sym_bitor] = ACTIONS(5739),
    [anon_sym_xor] = ACTIONS(5739),
    [anon_sym_bitand] = ACTIONS(5739),
    [anon_sym_not_eq] = ACTIONS(5739),
    [anon_sym_DASH_DASH] = ACTIONS(5741),
    [anon_sym_PLUS_PLUS] = ACTIONS(5741),
    [anon_sym_DOT] = ACTIONS(5739),
    [anon_sym_DOT_STAR] = ACTIONS(5741),
    [anon_sym_DASH_GT] = ACTIONS(5741),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5739),
    [anon_sym_decltype] = ACTIONS(5739),
  },
  [2483] = {
    [sym_identifier] = ACTIONS(5693),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5695),
    [anon_sym_COMMA] = ACTIONS(5695),
    [anon_sym_RPAREN] = ACTIONS(5695),
    [aux_sym_preproc_if_token2] = ACTIONS(5695),
    [aux_sym_preproc_else_token1] = ACTIONS(5695),
    [aux_sym_preproc_elif_token1] = ACTIONS(5693),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5695),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5695),
    [anon_sym_LPAREN2] = ACTIONS(5695),
    [anon_sym_DASH] = ACTIONS(5693),
    [anon_sym_PLUS] = ACTIONS(5693),
    [anon_sym_STAR] = ACTIONS(5693),
    [anon_sym_SLASH] = ACTIONS(5693),
    [anon_sym_PERCENT] = ACTIONS(5693),
    [anon_sym_PIPE_PIPE] = ACTIONS(5695),
    [anon_sym_AMP_AMP] = ACTIONS(5695),
    [anon_sym_PIPE] = ACTIONS(5693),
    [anon_sym_CARET] = ACTIONS(5693),
    [anon_sym_AMP] = ACTIONS(5693),
    [anon_sym_EQ_EQ] = ACTIONS(5695),
    [anon_sym_BANG_EQ] = ACTIONS(5695),
    [anon_sym_GT] = ACTIONS(5693),
    [anon_sym_GT_EQ] = ACTIONS(5695),
    [anon_sym_LT_EQ] = ACTIONS(5693),
    [anon_sym_LT] = ACTIONS(5693),
    [anon_sym_LT_LT] = ACTIONS(5693),
    [anon_sym_GT_GT] = ACTIONS(5693),
    [anon_sym_SEMI] = ACTIONS(5695),
    [anon_sym___attribute__] = ACTIONS(5693),
    [anon_sym_LBRACE] = ACTIONS(5695),
    [anon_sym_RBRACE] = ACTIONS(5695),
    [anon_sym_LBRACK] = ACTIONS(5695),
    [anon_sym_RBRACK] = ACTIONS(5695),
    [anon_sym_EQ] = ACTIONS(5693),
    [anon_sym_COLON] = ACTIONS(5695),
    [anon_sym_QMARK] = ACTIONS(5695),
    [anon_sym_STAR_EQ] = ACTIONS(5695),
    [anon_sym_SLASH_EQ] = ACTIONS(5695),
    [anon_sym_PERCENT_EQ] = ACTIONS(5695),
    [anon_sym_PLUS_EQ] = ACTIONS(5695),
    [anon_sym_DASH_EQ] = ACTIONS(5695),
    [anon_sym_LT_LT_EQ] = ACTIONS(5695),
    [anon_sym_GT_GT_EQ] = ACTIONS(5695),
    [anon_sym_AMP_EQ] = ACTIONS(5695),
    [anon_sym_CARET_EQ] = ACTIONS(5695),
    [anon_sym_PIPE_EQ] = ACTIONS(5695),
    [anon_sym_and_eq] = ACTIONS(5693),
    [anon_sym_or_eq] = ACTIONS(5693),
    [anon_sym_xor_eq] = ACTIONS(5693),
    [anon_sym_LT_EQ_GT] = ACTIONS(5695),
    [anon_sym_or] = ACTIONS(5693),
    [anon_sym_and] = ACTIONS(5693),
    [anon_sym_bitor] = ACTIONS(5693),
    [anon_sym_xor] = ACTIONS(5693),
    [anon_sym_bitand] = ACTIONS(5693),
    [anon_sym_not_eq] = ACTIONS(5693),
    [anon_sym_DASH_DASH] = ACTIONS(5695),
    [anon_sym_PLUS_PLUS] = ACTIONS(5695),
    [anon_sym_DOT] = ACTIONS(5693),
    [anon_sym_DOT_STAR] = ACTIONS(5695),
    [anon_sym_DASH_GT] = ACTIONS(5695),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5693),
    [anon_sym_decltype] = ACTIONS(5693),
  },
  [2484] = {
    [sym_identifier] = ACTIONS(5697),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5699),
    [anon_sym_COMMA] = ACTIONS(5699),
    [anon_sym_RPAREN] = ACTIONS(5699),
    [aux_sym_preproc_if_token2] = ACTIONS(5699),
    [aux_sym_preproc_else_token1] = ACTIONS(5699),
    [aux_sym_preproc_elif_token1] = ACTIONS(5697),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5699),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5699),
    [anon_sym_LPAREN2] = ACTIONS(5699),
    [anon_sym_DASH] = ACTIONS(5697),
    [anon_sym_PLUS] = ACTIONS(5697),
    [anon_sym_STAR] = ACTIONS(5697),
    [anon_sym_SLASH] = ACTIONS(5697),
    [anon_sym_PERCENT] = ACTIONS(5697),
    [anon_sym_PIPE_PIPE] = ACTIONS(5699),
    [anon_sym_AMP_AMP] = ACTIONS(5699),
    [anon_sym_PIPE] = ACTIONS(5697),
    [anon_sym_CARET] = ACTIONS(5697),
    [anon_sym_AMP] = ACTIONS(5697),
    [anon_sym_EQ_EQ] = ACTIONS(5699),
    [anon_sym_BANG_EQ] = ACTIONS(5699),
    [anon_sym_GT] = ACTIONS(5697),
    [anon_sym_GT_EQ] = ACTIONS(5699),
    [anon_sym_LT_EQ] = ACTIONS(5697),
    [anon_sym_LT] = ACTIONS(5697),
    [anon_sym_LT_LT] = ACTIONS(5697),
    [anon_sym_GT_GT] = ACTIONS(5697),
    [anon_sym_SEMI] = ACTIONS(5699),
    [anon_sym___attribute__] = ACTIONS(5697),
    [anon_sym_LBRACE] = ACTIONS(5699),
    [anon_sym_RBRACE] = ACTIONS(5699),
    [anon_sym_LBRACK] = ACTIONS(5699),
    [anon_sym_RBRACK] = ACTIONS(5699),
    [anon_sym_EQ] = ACTIONS(5697),
    [anon_sym_COLON] = ACTIONS(5699),
    [anon_sym_QMARK] = ACTIONS(5699),
    [anon_sym_STAR_EQ] = ACTIONS(5699),
    [anon_sym_SLASH_EQ] = ACTIONS(5699),
    [anon_sym_PERCENT_EQ] = ACTIONS(5699),
    [anon_sym_PLUS_EQ] = ACTIONS(5699),
    [anon_sym_DASH_EQ] = ACTIONS(5699),
    [anon_sym_LT_LT_EQ] = ACTIONS(5699),
    [anon_sym_GT_GT_EQ] = ACTIONS(5699),
    [anon_sym_AMP_EQ] = ACTIONS(5699),
    [anon_sym_CARET_EQ] = ACTIONS(5699),
    [anon_sym_PIPE_EQ] = ACTIONS(5699),
    [anon_sym_and_eq] = ACTIONS(5697),
    [anon_sym_or_eq] = ACTIONS(5697),
    [anon_sym_xor_eq] = ACTIONS(5697),
    [anon_sym_LT_EQ_GT] = ACTIONS(5699),
    [anon_sym_or] = ACTIONS(5697),
    [anon_sym_and] = ACTIONS(5697),
    [anon_sym_bitor] = ACTIONS(5697),
    [anon_sym_xor] = ACTIONS(5697),
    [anon_sym_bitand] = ACTIONS(5697),
    [anon_sym_not_eq] = ACTIONS(5697),
    [anon_sym_DASH_DASH] = ACTIONS(5699),
    [anon_sym_PLUS_PLUS] = ACTIONS(5699),
    [anon_sym_DOT] = ACTIONS(5697),
    [anon_sym_DOT_STAR] = ACTIONS(5699),
    [anon_sym_DASH_GT] = ACTIONS(5699),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5697),
    [anon_sym_decltype] = ACTIONS(5697),
  },
  [2485] = {
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [aux_sym_preproc_if_token2] = ACTIONS(5550),
    [aux_sym_preproc_else_token1] = ACTIONS(5550),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_EQ] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_STAR_EQ] = ACTIONS(5550),
    [anon_sym_SLASH_EQ] = ACTIONS(5550),
    [anon_sym_PERCENT_EQ] = ACTIONS(5550),
    [anon_sym_PLUS_EQ] = ACTIONS(5550),
    [anon_sym_DASH_EQ] = ACTIONS(5550),
    [anon_sym_LT_LT_EQ] = ACTIONS(5550),
    [anon_sym_GT_GT_EQ] = ACTIONS(5550),
    [anon_sym_AMP_EQ] = ACTIONS(5550),
    [anon_sym_CARET_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_and_eq] = ACTIONS(5548),
    [anon_sym_or_eq] = ACTIONS(5548),
    [anon_sym_xor_eq] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
  },
  [2486] = {
    [sym_identifier] = ACTIONS(5548),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5550),
    [anon_sym_COMMA] = ACTIONS(5550),
    [anon_sym_RPAREN] = ACTIONS(5550),
    [aux_sym_preproc_if_token2] = ACTIONS(5550),
    [aux_sym_preproc_else_token1] = ACTIONS(5550),
    [aux_sym_preproc_elif_token1] = ACTIONS(5548),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5550),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5550),
    [anon_sym_LPAREN2] = ACTIONS(5550),
    [anon_sym_DASH] = ACTIONS(5548),
    [anon_sym_PLUS] = ACTIONS(5548),
    [anon_sym_STAR] = ACTIONS(5548),
    [anon_sym_SLASH] = ACTIONS(5548),
    [anon_sym_PERCENT] = ACTIONS(5548),
    [anon_sym_PIPE_PIPE] = ACTIONS(5550),
    [anon_sym_AMP_AMP] = ACTIONS(5550),
    [anon_sym_PIPE] = ACTIONS(5548),
    [anon_sym_CARET] = ACTIONS(5548),
    [anon_sym_AMP] = ACTIONS(5548),
    [anon_sym_EQ_EQ] = ACTIONS(5550),
    [anon_sym_BANG_EQ] = ACTIONS(5550),
    [anon_sym_GT] = ACTIONS(5548),
    [anon_sym_GT_EQ] = ACTIONS(5550),
    [anon_sym_LT_EQ] = ACTIONS(5548),
    [anon_sym_LT] = ACTIONS(5548),
    [anon_sym_LT_LT] = ACTIONS(5548),
    [anon_sym_GT_GT] = ACTIONS(5548),
    [anon_sym_SEMI] = ACTIONS(5550),
    [anon_sym___attribute__] = ACTIONS(5548),
    [anon_sym_LBRACE] = ACTIONS(5550),
    [anon_sym_RBRACE] = ACTIONS(5550),
    [anon_sym_LBRACK] = ACTIONS(5550),
    [anon_sym_RBRACK] = ACTIONS(5550),
    [anon_sym_EQ] = ACTIONS(5548),
    [anon_sym_COLON] = ACTIONS(5550),
    [anon_sym_QMARK] = ACTIONS(5550),
    [anon_sym_STAR_EQ] = ACTIONS(5550),
    [anon_sym_SLASH_EQ] = ACTIONS(5550),
    [anon_sym_PERCENT_EQ] = ACTIONS(5550),
    [anon_sym_PLUS_EQ] = ACTIONS(5550),
    [anon_sym_DASH_EQ] = ACTIONS(5550),
    [anon_sym_LT_LT_EQ] = ACTIONS(5550),
    [anon_sym_GT_GT_EQ] = ACTIONS(5550),
    [anon_sym_AMP_EQ] = ACTIONS(5550),
    [anon_sym_CARET_EQ] = ACTIONS(5550),
    [anon_sym_PIPE_EQ] = ACTIONS(5550),
    [anon_sym_and_eq] = ACTIONS(5548),
    [anon_sym_or_eq] = ACTIONS(5548),
    [anon_sym_xor_eq] = ACTIONS(5548),
    [anon_sym_LT_EQ_GT] = ACTIONS(5550),
    [anon_sym_or] = ACTIONS(5548),
    [anon_sym_and] = ACTIONS(5548),
    [anon_sym_bitor] = ACTIONS(5548),
    [anon_sym_xor] = ACTIONS(5548),
    [anon_sym_bitand] = ACTIONS(5548),
    [anon_sym_not_eq] = ACTIONS(5548),
    [anon_sym_DASH_DASH] = ACTIONS(5550),
    [anon_sym_PLUS_PLUS] = ACTIONS(5550),
    [anon_sym_DOT] = ACTIONS(5548),
    [anon_sym_DOT_STAR] = ACTIONS(5550),
    [anon_sym_DASH_GT] = ACTIONS(5550),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5548),
    [anon_sym_decltype] = ACTIONS(5548),
  },
  [2487] = {
    [sym_identifier] = ACTIONS(5711),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5713),
    [anon_sym_COMMA] = ACTIONS(5713),
    [anon_sym_RPAREN] = ACTIONS(5713),
    [aux_sym_preproc_if_token2] = ACTIONS(5713),
    [aux_sym_preproc_else_token1] = ACTIONS(5713),
    [aux_sym_preproc_elif_token1] = ACTIONS(5711),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5713),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5713),
    [anon_sym_LPAREN2] = ACTIONS(5713),
    [anon_sym_DASH] = ACTIONS(5711),
    [anon_sym_PLUS] = ACTIONS(5711),
    [anon_sym_STAR] = ACTIONS(5711),
    [anon_sym_SLASH] = ACTIONS(5711),
    [anon_sym_PERCENT] = ACTIONS(5711),
    [anon_sym_PIPE_PIPE] = ACTIONS(5713),
    [anon_sym_AMP_AMP] = ACTIONS(5713),
    [anon_sym_PIPE] = ACTIONS(5711),
    [anon_sym_CARET] = ACTIONS(5711),
    [anon_sym_AMP] = ACTIONS(5711),
    [anon_sym_EQ_EQ] = ACTIONS(5713),
    [anon_sym_BANG_EQ] = ACTIONS(5713),
    [anon_sym_GT] = ACTIONS(5711),
    [anon_sym_GT_EQ] = ACTIONS(5713),
    [anon_sym_LT_EQ] = ACTIONS(5711),
    [anon_sym_LT] = ACTIONS(5711),
    [anon_sym_LT_LT] = ACTIONS(5711),
    [anon_sym_GT_GT] = ACTIONS(5711),
    [anon_sym_SEMI] = ACTIONS(5713),
    [anon_sym___attribute__] = ACTIONS(5711),
    [anon_sym_LBRACE] = ACTIONS(5713),
    [anon_sym_RBRACE] = ACTIONS(5713),
    [anon_sym_LBRACK] = ACTIONS(5713),
    [anon_sym_RBRACK] = ACTIONS(5713),
    [anon_sym_EQ] = ACTIONS(5711),
    [anon_sym_COLON] = ACTIONS(5713),
    [anon_sym_QMARK] = ACTIONS(5713),
    [anon_sym_STAR_EQ] = ACTIONS(5713),
    [anon_sym_SLASH_EQ] = ACTIONS(5713),
    [anon_sym_PERCENT_EQ] = ACTIONS(5713),
    [anon_sym_PLUS_EQ] = ACTIONS(5713),
    [anon_sym_DASH_EQ] = ACTIONS(5713),
    [anon_sym_LT_LT_EQ] = ACTIONS(5713),
    [anon_sym_GT_GT_EQ] = ACTIONS(5713),
    [anon_sym_AMP_EQ] = ACTIONS(5713),
    [anon_sym_CARET_EQ] = ACTIONS(5713),
    [anon_sym_PIPE_EQ] = ACTIONS(5713),
    [anon_sym_and_eq] = ACTIONS(5711),
    [anon_sym_or_eq] = ACTIONS(5711),
    [anon_sym_xor_eq] = ACTIONS(5711),
    [anon_sym_LT_EQ_GT] = ACTIONS(5713),
    [anon_sym_or] = ACTIONS(5711),
    [anon_sym_and] = ACTIONS(5711),
    [anon_sym_bitor] = ACTIONS(5711),
    [anon_sym_xor] = ACTIONS(5711),
    [anon_sym_bitand] = ACTIONS(5711),
    [anon_sym_not_eq] = ACTIONS(5711),
    [anon_sym_DASH_DASH] = ACTIONS(5713),
    [anon_sym_PLUS_PLUS] = ACTIONS(5713),
    [anon_sym_DOT] = ACTIONS(5711),
    [anon_sym_DOT_STAR] = ACTIONS(5713),
    [anon_sym_DASH_GT] = ACTIONS(5713),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5711),
    [anon_sym_decltype] = ACTIONS(5711),
  },
  [2488] = {
    [sym_identifier] = ACTIONS(2853),
    [aux_sym_preproc_def_token1] = ACTIONS(2853),
    [aux_sym_preproc_if_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2853),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2853),
    [sym_preproc_directive] = ACTIONS(2853),
    [anon_sym_LPAREN2] = ACTIONS(2855),
    [anon_sym_TILDE] = ACTIONS(2855),
    [anon_sym_STAR] = ACTIONS(2855),
    [anon_sym_AMP_AMP] = ACTIONS(2855),
    [anon_sym_AMP] = ACTIONS(2853),
    [anon_sym___extension__] = ACTIONS(2853),
    [anon_sym_typedef] = ACTIONS(2853),
    [anon_sym_extern] = ACTIONS(2853),
    [anon_sym___attribute__] = ACTIONS(2853),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2855),
    [anon_sym___declspec] = ACTIONS(2853),
    [anon_sym___based] = ACTIONS(2853),
    [anon_sym_RBRACE] = ACTIONS(2855),
    [anon_sym_signed] = ACTIONS(2853),
    [anon_sym_unsigned] = ACTIONS(2853),
    [anon_sym_long] = ACTIONS(2853),
    [anon_sym_short] = ACTIONS(2853),
    [anon_sym_LBRACK] = ACTIONS(2853),
    [anon_sym_static] = ACTIONS(2853),
    [anon_sym_register] = ACTIONS(2853),
    [anon_sym_inline] = ACTIONS(2853),
    [anon_sym___inline] = ACTIONS(2853),
    [anon_sym___inline__] = ACTIONS(2853),
    [anon_sym___forceinline] = ACTIONS(2853),
    [anon_sym_thread_local] = ACTIONS(2853),
    [anon_sym___thread] = ACTIONS(2853),
    [anon_sym_const] = ACTIONS(2853),
    [anon_sym_constexpr] = ACTIONS(2853),
    [anon_sym_volatile] = ACTIONS(2853),
    [anon_sym_restrict] = ACTIONS(2853),
    [anon_sym___restrict__] = ACTIONS(2853),
    [anon_sym__Atomic] = ACTIONS(2853),
    [anon_sym__Noreturn] = ACTIONS(2853),
    [anon_sym_noreturn] = ACTIONS(2853),
    [anon_sym_mutable] = ACTIONS(2853),
    [anon_sym_constinit] = ACTIONS(2853),
    [anon_sym_consteval] = ACTIONS(2853),
    [sym_primitive_type] = ACTIONS(2853),
    [anon_sym_enum] = ACTIONS(2853),
    [anon_sym_class] = ACTIONS(2853),
    [anon_sym_struct] = ACTIONS(2853),
    [anon_sym_union] = ACTIONS(2853),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2853),
    [anon_sym_decltype] = ACTIONS(2853),
    [anon_sym_virtual] = ACTIONS(2853),
    [anon_sym_alignas] = ACTIONS(2853),
    [anon_sym_explicit] = ACTIONS(2853),
    [anon_sym_typename] = ACTIONS(2853),
    [anon_sym_template] = ACTIONS(2853),
    [anon_sym_operator] = ACTIONS(2853),
    [anon_sym_friend] = ACTIONS(2853),
    [anon_sym_public] = ACTIONS(2853),
    [anon_sym_private] = ACTIONS(2853),
    [anon_sym_protected] = ACTIONS(2853),
    [anon_sym_using] = ACTIONS(2853),
    [anon_sym_static_assert] = ACTIONS(2853),
    [anon_sym_catch] = ACTIONS(2853),
  },
  [2489] = {
    [sym_identifier] = ACTIONS(5731),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5733),
    [anon_sym_COMMA] = ACTIONS(5733),
    [anon_sym_RPAREN] = ACTIONS(5733),
    [aux_sym_preproc_if_token2] = ACTIONS(5733),
    [aux_sym_preproc_else_token1] = ACTIONS(5733),
    [aux_sym_preproc_elif_token1] = ACTIONS(5731),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5733),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5733),
    [anon_sym_LPAREN2] = ACTIONS(5733),
    [anon_sym_DASH] = ACTIONS(5731),
    [anon_sym_PLUS] = ACTIONS(5731),
    [anon_sym_STAR] = ACTIONS(5731),
    [anon_sym_SLASH] = ACTIONS(5731),
    [anon_sym_PERCENT] = ACTIONS(5731),
    [anon_sym_PIPE_PIPE] = ACTIONS(5733),
    [anon_sym_AMP_AMP] = ACTIONS(5733),
    [anon_sym_PIPE] = ACTIONS(5731),
    [anon_sym_CARET] = ACTIONS(5731),
    [anon_sym_AMP] = ACTIONS(5731),
    [anon_sym_EQ_EQ] = ACTIONS(5733),
    [anon_sym_BANG_EQ] = ACTIONS(5733),
    [anon_sym_GT] = ACTIONS(5731),
    [anon_sym_GT_EQ] = ACTIONS(5733),
    [anon_sym_LT_EQ] = ACTIONS(5731),
    [anon_sym_LT] = ACTIONS(5731),
    [anon_sym_LT_LT] = ACTIONS(5731),
    [anon_sym_GT_GT] = ACTIONS(5731),
    [anon_sym_SEMI] = ACTIONS(5733),
    [anon_sym___attribute__] = ACTIONS(5731),
    [anon_sym_LBRACE] = ACTIONS(5733),
    [anon_sym_RBRACE] = ACTIONS(5733),
    [anon_sym_LBRACK] = ACTIONS(5733),
    [anon_sym_RBRACK] = ACTIONS(5733),
    [anon_sym_EQ] = ACTIONS(5731),
    [anon_sym_COLON] = ACTIONS(5733),
    [anon_sym_QMARK] = ACTIONS(5733),
    [anon_sym_STAR_EQ] = ACTIONS(5733),
    [anon_sym_SLASH_EQ] = ACTIONS(5733),
    [anon_sym_PERCENT_EQ] = ACTIONS(5733),
    [anon_sym_PLUS_EQ] = ACTIONS(5733),
    [anon_sym_DASH_EQ] = ACTIONS(5733),
    [anon_sym_LT_LT_EQ] = ACTIONS(5733),
    [anon_sym_GT_GT_EQ] = ACTIONS(5733),
    [anon_sym_AMP_EQ] = ACTIONS(5733),
    [anon_sym_CARET_EQ] = ACTIONS(5733),
    [anon_sym_PIPE_EQ] = ACTIONS(5733),
    [anon_sym_and_eq] = ACTIONS(5731),
    [anon_sym_or_eq] = ACTIONS(5731),
    [anon_sym_xor_eq] = ACTIONS(5731),
    [anon_sym_LT_EQ_GT] = ACTIONS(5733),
    [anon_sym_or] = ACTIONS(5731),
    [anon_sym_and] = ACTIONS(5731),
    [anon_sym_bitor] = ACTIONS(5731),
    [anon_sym_xor] = ACTIONS(5731),
    [anon_sym_bitand] = ACTIONS(5731),
    [anon_sym_not_eq] = ACTIONS(5731),
    [anon_sym_DASH_DASH] = ACTIONS(5733),
    [anon_sym_PLUS_PLUS] = ACTIONS(5733),
    [anon_sym_DOT] = ACTIONS(5731),
    [anon_sym_DOT_STAR] = ACTIONS(5733),
    [anon_sym_DASH_GT] = ACTIONS(5733),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5731),
    [anon_sym_decltype] = ACTIONS(5731),
  },
  [2490] = {
    [sym_identifier] = ACTIONS(5747),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5749),
    [anon_sym_COMMA] = ACTIONS(5749),
    [anon_sym_RPAREN] = ACTIONS(5749),
    [aux_sym_preproc_if_token2] = ACTIONS(5749),
    [aux_sym_preproc_else_token1] = ACTIONS(5749),
    [aux_sym_preproc_elif_token1] = ACTIONS(5747),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5749),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5749),
    [anon_sym_LPAREN2] = ACTIONS(5749),
    [anon_sym_DASH] = ACTIONS(5747),
    [anon_sym_PLUS] = ACTIONS(5747),
    [anon_sym_STAR] = ACTIONS(5747),
    [anon_sym_SLASH] = ACTIONS(5747),
    [anon_sym_PERCENT] = ACTIONS(5747),
    [anon_sym_PIPE_PIPE] = ACTIONS(5749),
    [anon_sym_AMP_AMP] = ACTIONS(5749),
    [anon_sym_PIPE] = ACTIONS(5747),
    [anon_sym_CARET] = ACTIONS(5747),
    [anon_sym_AMP] = ACTIONS(5747),
    [anon_sym_EQ_EQ] = ACTIONS(5749),
    [anon_sym_BANG_EQ] = ACTIONS(5749),
    [anon_sym_GT] = ACTIONS(5747),
    [anon_sym_GT_EQ] = ACTIONS(5749),
    [anon_sym_LT_EQ] = ACTIONS(5747),
    [anon_sym_LT] = ACTIONS(5747),
    [anon_sym_LT_LT] = ACTIONS(5747),
    [anon_sym_GT_GT] = ACTIONS(5747),
    [anon_sym_SEMI] = ACTIONS(5749),
    [anon_sym___attribute__] = ACTIONS(5747),
    [anon_sym_LBRACE] = ACTIONS(5749),
    [anon_sym_RBRACE] = ACTIONS(5749),
    [anon_sym_LBRACK] = ACTIONS(5749),
    [anon_sym_RBRACK] = ACTIONS(5749),
    [anon_sym_EQ] = ACTIONS(5747),
    [anon_sym_COLON] = ACTIONS(5749),
    [anon_sym_QMARK] = ACTIONS(5749),
    [anon_sym_STAR_EQ] = ACTIONS(5749),
    [anon_sym_SLASH_EQ] = ACTIONS(5749),
    [anon_sym_PERCENT_EQ] = ACTIONS(5749),
    [anon_sym_PLUS_EQ] = ACTIONS(5749),
    [anon_sym_DASH_EQ] = ACTIONS(5749),
    [anon_sym_LT_LT_EQ] = ACTIONS(5749),
    [anon_sym_GT_GT_EQ] = ACTIONS(5749),
    [anon_sym_AMP_EQ] = ACTIONS(5749),
    [anon_sym_CARET_EQ] = ACTIONS(5749),
    [anon_sym_PIPE_EQ] = ACTIONS(5749),
    [anon_sym_and_eq] = ACTIONS(5747),
    [anon_sym_or_eq] = ACTIONS(5747),
    [anon_sym_xor_eq] = ACTIONS(5747),
    [anon_sym_LT_EQ_GT] = ACTIONS(5749),
    [anon_sym_or] = ACTIONS(5747),
    [anon_sym_and] = ACTIONS(5747),
    [anon_sym_bitor] = ACTIONS(5747),
    [anon_sym_xor] = ACTIONS(5747),
    [anon_sym_bitand] = ACTIONS(5747),
    [anon_sym_not_eq] = ACTIONS(5747),
    [anon_sym_DASH_DASH] = ACTIONS(5749),
    [anon_sym_PLUS_PLUS] = ACTIONS(5749),
    [anon_sym_DOT] = ACTIONS(5747),
    [anon_sym_DOT_STAR] = ACTIONS(5749),
    [anon_sym_DASH_GT] = ACTIONS(5749),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5747),
    [anon_sym_decltype] = ACTIONS(5747),
  },
  [2491] = {
    [sym_identifier] = ACTIONS(5743),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5745),
    [anon_sym_COMMA] = ACTIONS(5745),
    [anon_sym_RPAREN] = ACTIONS(5745),
    [aux_sym_preproc_if_token2] = ACTIONS(5745),
    [aux_sym_preproc_else_token1] = ACTIONS(5745),
    [aux_sym_preproc_elif_token1] = ACTIONS(5743),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5745),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5745),
    [anon_sym_LPAREN2] = ACTIONS(5745),
    [anon_sym_DASH] = ACTIONS(5743),
    [anon_sym_PLUS] = ACTIONS(5743),
    [anon_sym_STAR] = ACTIONS(5743),
    [anon_sym_SLASH] = ACTIONS(5743),
    [anon_sym_PERCENT] = ACTIONS(5743),
    [anon_sym_PIPE_PIPE] = ACTIONS(5745),
    [anon_sym_AMP_AMP] = ACTIONS(5745),
    [anon_sym_PIPE] = ACTIONS(5743),
    [anon_sym_CARET] = ACTIONS(5743),
    [anon_sym_AMP] = ACTIONS(5743),
    [anon_sym_EQ_EQ] = ACTIONS(5745),
    [anon_sym_BANG_EQ] = ACTIONS(5745),
    [anon_sym_GT] = ACTIONS(5743),
    [anon_sym_GT_EQ] = ACTIONS(5745),
    [anon_sym_LT_EQ] = ACTIONS(5743),
    [anon_sym_LT] = ACTIONS(5743),
    [anon_sym_LT_LT] = ACTIONS(5743),
    [anon_sym_GT_GT] = ACTIONS(5743),
    [anon_sym_SEMI] = ACTIONS(5745),
    [anon_sym___attribute__] = ACTIONS(5743),
    [anon_sym_LBRACE] = ACTIONS(5745),
    [anon_sym_RBRACE] = ACTIONS(5745),
    [anon_sym_LBRACK] = ACTIONS(5745),
    [anon_sym_RBRACK] = ACTIONS(5745),
    [anon_sym_EQ] = ACTIONS(5743),
    [anon_sym_COLON] = ACTIONS(5745),
    [anon_sym_QMARK] = ACTIONS(5745),
    [anon_sym_STAR_EQ] = ACTIONS(5745),
    [anon_sym_SLASH_EQ] = ACTIONS(5745),
    [anon_sym_PERCENT_EQ] = ACTIONS(5745),
    [anon_sym_PLUS_EQ] = ACTIONS(5745),
    [anon_sym_DASH_EQ] = ACTIONS(5745),
    [anon_sym_LT_LT_EQ] = ACTIONS(5745),
    [anon_sym_GT_GT_EQ] = ACTIONS(5745),
    [anon_sym_AMP_EQ] = ACTIONS(5745),
    [anon_sym_CARET_EQ] = ACTIONS(5745),
    [anon_sym_PIPE_EQ] = ACTIONS(5745),
    [anon_sym_and_eq] = ACTIONS(5743),
    [anon_sym_or_eq] = ACTIONS(5743),
    [anon_sym_xor_eq] = ACTIONS(5743),
    [anon_sym_LT_EQ_GT] = ACTIONS(5745),
    [anon_sym_or] = ACTIONS(5743),
    [anon_sym_and] = ACTIONS(5743),
    [anon_sym_bitor] = ACTIONS(5743),
    [anon_sym_xor] = ACTIONS(5743),
    [anon_sym_bitand] = ACTIONS(5743),
    [anon_sym_not_eq] = ACTIONS(5743),
    [anon_sym_DASH_DASH] = ACTIONS(5745),
    [anon_sym_PLUS_PLUS] = ACTIONS(5745),
    [anon_sym_DOT] = ACTIONS(5743),
    [anon_sym_DOT_STAR] = ACTIONS(5745),
    [anon_sym_DASH_GT] = ACTIONS(5745),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5743),
    [anon_sym_decltype] = ACTIONS(5743),
  },
  [2492] = {
    [sym_identifier] = ACTIONS(5751),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5753),
    [anon_sym_COMMA] = ACTIONS(5753),
    [anon_sym_RPAREN] = ACTIONS(5753),
    [aux_sym_preproc_if_token2] = ACTIONS(5753),
    [aux_sym_preproc_else_token1] = ACTIONS(5753),
    [aux_sym_preproc_elif_token1] = ACTIONS(5751),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5753),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5753),
    [anon_sym_LPAREN2] = ACTIONS(5753),
    [anon_sym_DASH] = ACTIONS(5751),
    [anon_sym_PLUS] = ACTIONS(5751),
    [anon_sym_STAR] = ACTIONS(5751),
    [anon_sym_SLASH] = ACTIONS(5751),
    [anon_sym_PERCENT] = ACTIONS(5751),
    [anon_sym_PIPE_PIPE] = ACTIONS(5753),
    [anon_sym_AMP_AMP] = ACTIONS(5753),
    [anon_sym_PIPE] = ACTIONS(5751),
    [anon_sym_CARET] = ACTIONS(5751),
    [anon_sym_AMP] = ACTIONS(5751),
    [anon_sym_EQ_EQ] = ACTIONS(5753),
    [anon_sym_BANG_EQ] = ACTIONS(5753),
    [anon_sym_GT] = ACTIONS(5751),
    [anon_sym_GT_EQ] = ACTIONS(5753),
    [anon_sym_LT_EQ] = ACTIONS(5751),
    [anon_sym_LT] = ACTIONS(5751),
    [anon_sym_LT_LT] = ACTIONS(5751),
    [anon_sym_GT_GT] = ACTIONS(5751),
    [anon_sym_SEMI] = ACTIONS(5753),
    [anon_sym___attribute__] = ACTIONS(5751),
    [anon_sym_LBRACE] = ACTIONS(5753),
    [anon_sym_RBRACE] = ACTIONS(5753),
    [anon_sym_LBRACK] = ACTIONS(5753),
    [anon_sym_RBRACK] = ACTIONS(5753),
    [anon_sym_EQ] = ACTIONS(5751),
    [anon_sym_COLON] = ACTIONS(5753),
    [anon_sym_QMARK] = ACTIONS(5753),
    [anon_sym_STAR_EQ] = ACTIONS(5753),
    [anon_sym_SLASH_EQ] = ACTIONS(5753),
    [anon_sym_PERCENT_EQ] = ACTIONS(5753),
    [anon_sym_PLUS_EQ] = ACTIONS(5753),
    [anon_sym_DASH_EQ] = ACTIONS(5753),
    [anon_sym_LT_LT_EQ] = ACTIONS(5753),
    [anon_sym_GT_GT_EQ] = ACTIONS(5753),
    [anon_sym_AMP_EQ] = ACTIONS(5753),
    [anon_sym_CARET_EQ] = ACTIONS(5753),
    [anon_sym_PIPE_EQ] = ACTIONS(5753),
    [anon_sym_and_eq] = ACTIONS(5751),
    [anon_sym_or_eq] = ACTIONS(5751),
    [anon_sym_xor_eq] = ACTIONS(5751),
    [anon_sym_LT_EQ_GT] = ACTIONS(5753),
    [anon_sym_or] = ACTIONS(5751),
    [anon_sym_and] = ACTIONS(5751),
    [anon_sym_bitor] = ACTIONS(5751),
    [anon_sym_xor] = ACTIONS(5751),
    [anon_sym_bitand] = ACTIONS(5751),
    [anon_sym_not_eq] = ACTIONS(5751),
    [anon_sym_DASH_DASH] = ACTIONS(5753),
    [anon_sym_PLUS_PLUS] = ACTIONS(5753),
    [anon_sym_DOT] = ACTIONS(5751),
    [anon_sym_DOT_STAR] = ACTIONS(5753),
    [anon_sym_DASH_GT] = ACTIONS(5753),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5751),
    [anon_sym_decltype] = ACTIONS(5751),
  },
  [2493] = {
    [sym_identifier] = ACTIONS(5755),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5757),
    [anon_sym_COMMA] = ACTIONS(5757),
    [anon_sym_RPAREN] = ACTIONS(5757),
    [aux_sym_preproc_if_token2] = ACTIONS(5757),
    [aux_sym_preproc_else_token1] = ACTIONS(5757),
    [aux_sym_preproc_elif_token1] = ACTIONS(5755),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5757),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5757),
    [anon_sym_LPAREN2] = ACTIONS(5757),
    [anon_sym_DASH] = ACTIONS(5755),
    [anon_sym_PLUS] = ACTIONS(5755),
    [anon_sym_STAR] = ACTIONS(5755),
    [anon_sym_SLASH] = ACTIONS(5755),
    [anon_sym_PERCENT] = ACTIONS(5755),
    [anon_sym_PIPE_PIPE] = ACTIONS(5757),
    [anon_sym_AMP_AMP] = ACTIONS(5757),
    [anon_sym_PIPE] = ACTIONS(5755),
    [anon_sym_CARET] = ACTIONS(5755),
    [anon_sym_AMP] = ACTIONS(5755),
    [anon_sym_EQ_EQ] = ACTIONS(5757),
    [anon_sym_BANG_EQ] = ACTIONS(5757),
    [anon_sym_GT] = ACTIONS(5755),
    [anon_sym_GT_EQ] = ACTIONS(5757),
    [anon_sym_LT_EQ] = ACTIONS(5755),
    [anon_sym_LT] = ACTIONS(5755),
    [anon_sym_LT_LT] = ACTIONS(5755),
    [anon_sym_GT_GT] = ACTIONS(5755),
    [anon_sym_SEMI] = ACTIONS(5757),
    [anon_sym___attribute__] = ACTIONS(5755),
    [anon_sym_LBRACE] = ACTIONS(5757),
    [anon_sym_RBRACE] = ACTIONS(5757),
    [anon_sym_LBRACK] = ACTIONS(5757),
    [anon_sym_RBRACK] = ACTIONS(5757),
    [anon_sym_EQ] = ACTIONS(5755),
    [anon_sym_COLON] = ACTIONS(5757),
    [anon_sym_QMARK] = ACTIONS(5757),
    [anon_sym_STAR_EQ] = ACTIONS(5757),
    [anon_sym_SLASH_EQ] = ACTIONS(5757),
    [anon_sym_PERCENT_EQ] = ACTIONS(5757),
    [anon_sym_PLUS_EQ] = ACTIONS(5757),
    [anon_sym_DASH_EQ] = ACTIONS(5757),
    [anon_sym_LT_LT_EQ] = ACTIONS(5757),
    [anon_sym_GT_GT_EQ] = ACTIONS(5757),
    [anon_sym_AMP_EQ] = ACTIONS(5757),
    [anon_sym_CARET_EQ] = ACTIONS(5757),
    [anon_sym_PIPE_EQ] = ACTIONS(5757),
    [anon_sym_and_eq] = ACTIONS(5755),
    [anon_sym_or_eq] = ACTIONS(5755),
    [anon_sym_xor_eq] = ACTIONS(5755),
    [anon_sym_LT_EQ_GT] = ACTIONS(5757),
    [anon_sym_or] = ACTIONS(5755),
    [anon_sym_and] = ACTIONS(5755),
    [anon_sym_bitor] = ACTIONS(5755),
    [anon_sym_xor] = ACTIONS(5755),
    [anon_sym_bitand] = ACTIONS(5755),
    [anon_sym_not_eq] = ACTIONS(5755),
    [anon_sym_DASH_DASH] = ACTIONS(5757),
    [anon_sym_PLUS_PLUS] = ACTIONS(5757),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_DOT_STAR] = ACTIONS(5757),
    [anon_sym_DASH_GT] = ACTIONS(5757),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5755),
    [anon_sym_decltype] = ACTIONS(5755),
  },
  [2494] = {
    [sym_string_literal] = STATE(2197),
    [sym_raw_string_literal] = STATE(2197),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(4137),
    [anon_sym_COMMA] = ACTIONS(4137),
    [anon_sym_RPAREN] = ACTIONS(4137),
    [anon_sym_LPAREN2] = ACTIONS(4137),
    [anon_sym_DASH] = ACTIONS(4145),
    [anon_sym_PLUS] = ACTIONS(4145),
    [anon_sym_STAR] = ACTIONS(4145),
    [anon_sym_SLASH] = ACTIONS(4145),
    [anon_sym_PERCENT] = ACTIONS(4145),
    [anon_sym_PIPE_PIPE] = ACTIONS(4137),
    [anon_sym_AMP_AMP] = ACTIONS(4137),
    [anon_sym_PIPE] = ACTIONS(4145),
    [anon_sym_CARET] = ACTIONS(4145),
    [anon_sym_AMP] = ACTIONS(4145),
    [anon_sym_EQ_EQ] = ACTIONS(4137),
    [anon_sym_BANG_EQ] = ACTIONS(4137),
    [anon_sym_GT] = ACTIONS(4145),
    [anon_sym_GT_EQ] = ACTIONS(4137),
    [anon_sym_LT_EQ] = ACTIONS(4145),
    [anon_sym_LT] = ACTIONS(4145),
    [anon_sym_LT_LT] = ACTIONS(4145),
    [anon_sym_GT_GT] = ACTIONS(4145),
    [anon_sym_LBRACK] = ACTIONS(4137),
    [anon_sym_EQ] = ACTIONS(4145),
    [anon_sym_QMARK] = ACTIONS(4137),
    [anon_sym_STAR_EQ] = ACTIONS(4137),
    [anon_sym_SLASH_EQ] = ACTIONS(4137),
    [anon_sym_PERCENT_EQ] = ACTIONS(4137),
    [anon_sym_PLUS_EQ] = ACTIONS(4137),
    [anon_sym_DASH_EQ] = ACTIONS(4137),
    [anon_sym_LT_LT_EQ] = ACTIONS(4137),
    [anon_sym_GT_GT_EQ] = ACTIONS(4137),
    [anon_sym_AMP_EQ] = ACTIONS(4137),
    [anon_sym_CARET_EQ] = ACTIONS(4137),
    [anon_sym_PIPE_EQ] = ACTIONS(4137),
    [anon_sym_and_eq] = ACTIONS(4145),
    [anon_sym_or_eq] = ACTIONS(4145),
    [anon_sym_xor_eq] = ACTIONS(4145),
    [anon_sym_LT_EQ_GT] = ACTIONS(4137),
    [anon_sym_or] = ACTIONS(4145),
    [anon_sym_and] = ACTIONS(4145),
    [anon_sym_bitor] = ACTIONS(4145),
    [anon_sym_xor] = ACTIONS(4145),
    [anon_sym_bitand] = ACTIONS(4145),
    [anon_sym_not_eq] = ACTIONS(4145),
    [anon_sym_DASH_DASH] = ACTIONS(4137),
    [anon_sym_PLUS_PLUS] = ACTIONS(4137),
    [anon_sym_DOT] = ACTIONS(4145),
    [anon_sym_DOT_STAR] = ACTIONS(4137),
    [anon_sym_DASH_GT] = ACTIONS(4145),
    [anon_sym_L_DQUOTE] = ACTIONS(5060),
    [anon_sym_u_DQUOTE] = ACTIONS(5060),
    [anon_sym_U_DQUOTE] = ACTIONS(5060),
    [anon_sym_u8_DQUOTE] = ACTIONS(5060),
    [anon_sym_DQUOTE] = ACTIONS(5060),
    [sym_comment] = ACTIONS(3),
    [anon_sym_R_DQUOTE] = ACTIONS(5062),
    [anon_sym_LR_DQUOTE] = ACTIONS(5062),
    [anon_sym_uR_DQUOTE] = ACTIONS(5062),
    [anon_sym_UR_DQUOTE] = ACTIONS(5062),
    [anon_sym_u8R_DQUOTE] = ACTIONS(5062),
    [anon_sym_DASH_GT_STAR] = ACTIONS(4137),
    [sym_literal_suffix] = ACTIONS(6047),
  },
  [2495] = {
    [sym_identifier] = ACTIONS(2186),
    [aux_sym_preproc_def_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token1] = ACTIONS(2186),
    [aux_sym_preproc_if_token2] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2186),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2186),
    [sym_preproc_directive] = ACTIONS(2186),
    [anon_sym_LPAREN2] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_STAR] = ACTIONS(2184),
    [anon_sym_AMP_AMP] = ACTIONS(2184),
    [anon_sym_AMP] = ACTIONS(2186),
    [anon_sym___extension__] = ACTIONS(2186),
    [anon_sym_typedef] = ACTIONS(2186),
    [anon_sym_extern] = ACTIONS(2186),
    [anon_sym___attribute__] = ACTIONS(2186),
    [anon_sym_COLON_COLON] = ACTIONS(2184),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2184),
    [anon_sym___declspec] = ACTIONS(2186),
    [anon_sym___based] = ACTIONS(2186),
    [anon_sym_signed] = ACTIONS(2186),
    [anon_sym_unsigned] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_register] = ACTIONS(2186),
    [anon_sym_inline] = ACTIONS(2186),
    [anon_sym___inline] = ACTIONS(2186),
    [anon_sym___inline__] = ACTIONS(2186),
    [anon_sym___forceinline] = ACTIONS(2186),
    [anon_sym_thread_local] = ACTIONS(2186),
    [anon_sym___thread] = ACTIONS(2186),
    [anon_sym_const] = ACTIONS(2186),
    [anon_sym_constexpr] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_restrict] = ACTIONS(2186),
    [anon_sym___restrict__] = ACTIONS(2186),
    [anon_sym__Atomic] = ACTIONS(2186),
    [anon_sym__Noreturn] = ACTIONS(2186),
    [anon_sym_noreturn] = ACTIONS(2186),
    [anon_sym_mutable] = ACTIONS(2186),
    [anon_sym_constinit] = ACTIONS(2186),
    [anon_sym_consteval] = ACTIONS(2186),
    [sym_primitive_type] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_struct] = ACTIONS(2186),
    [anon_sym_union] = ACTIONS(2186),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2186),
    [anon_sym_decltype] = ACTIONS(2186),
    [anon_sym_virtual] = ACTIONS(2186),
    [anon_sym_alignas] = ACTIONS(2186),
    [anon_sym_explicit] = ACTIONS(2186),
    [anon_sym_typename] = ACTIONS(2186),
    [anon_sym_template] = ACTIONS(2186),
    [anon_sym_operator] = ACTIONS(2186),
    [anon_sym_friend] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_using] = ACTIONS(2186),
    [anon_sym_static_assert] = ACTIONS(2186),
    [anon_sym_catch] = ACTIONS(2186),
  },
  [2496] = {
    [sym_identifier] = ACTIONS(5759),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(5761),
    [anon_sym_COMMA] = ACTIONS(5761),
    [anon_sym_RPAREN] = ACTIONS(5761),
    [aux_sym_preproc_if_token2] = ACTIONS(5761),
    [aux_sym_preproc_else_token1] = ACTIONS(5761),
    [aux_sym_preproc_elif_token1] = ACTIONS(5759),
    [aux_sym_preproc_elifdef_token1] = ACTIONS(5761),
    [aux_sym_preproc_elifdef_token2] = ACTIONS(5761),
    [anon_sym_LPAREN2] = ACTIONS(5761),
    [anon_sym_DASH] = ACTIONS(5759),
    [anon_sym_PLUS] = ACTIONS(5759),
    [anon_sym_STAR] = ACTIONS(5759),
    [anon_sym_SLASH] = ACTIONS(5759),
    [anon_sym_PERCENT] = ACTIONS(5759),
    [anon_sym_PIPE_PIPE] = ACTIONS(5761),
    [anon_sym_AMP_AMP] = ACTIONS(5761),
    [anon_sym_PIPE] = ACTIONS(5759),
    [anon_sym_CARET] = ACTIONS(5759),
    [anon_sym_AMP] = ACTIONS(5759),
    [anon_sym_EQ_EQ] = ACTIONS(5761),
    [anon_sym_BANG_EQ] = ACTIONS(5761),
    [anon_sym_GT] = ACTIONS(5759),
    [anon_sym_GT_EQ] = ACTIONS(5761),
    [anon_sym_LT_EQ] = ACTIONS(5759),
    [anon_sym_LT] = ACTIONS(5759),
    [anon_sym_LT_LT] = ACTIONS(5759),
    [anon_sym_GT_GT] = ACTIONS(5759),
    [anon_sym_SEMI] = ACTIONS(5761),
    [anon_sym___attribute__] = ACTIONS(5759),
    [anon_sym_LBRACE] = ACTIONS(5761),
    [anon_sym_RBRACE] = ACTIONS(5761),
    [anon_sym_LBRACK] = ACTIONS(5761),
    [anon_sym_RBRACK] = ACTIONS(5761),
    [anon_sym_EQ] = ACTIONS(5759),
    [anon_sym_COLON] = ACTIONS(5761),
    [anon_sym_QMARK] = ACTIONS(5761),
    [anon_sym_STAR_EQ] = ACTIONS(5761),
    [anon_sym_SLASH_EQ] = ACTIONS(5761),
    [anon_sym_PERCENT_EQ] = ACTIONS(5761),
    [anon_sym_PLUS_EQ] = ACTIONS(5761),
    [anon_sym_DASH_EQ] = ACTIONS(5761),
    [anon_sym_LT_LT_EQ] = ACTIONS(5761),
    [anon_sym_GT_GT_EQ] = ACTIONS(5761),
    [anon_sym_AMP_EQ] = ACTIONS(5761),
    [anon_sym_CARET_EQ] = ACTIONS(5761),
    [anon_sym_PIPE_EQ] = ACTIONS(5761),
    [anon_sym_and_eq] = ACTIONS(5759),
    [anon_sym_or_eq] = ACTIONS(5759),
    [anon_sym_xor_eq] = ACTIONS(5759),
    [anon_sym_LT_EQ_GT] = ACTIONS(5761),
    [anon_sym_or] = ACTIONS(5759),
    [anon_sym_and] = ACTIONS(5759),
    [anon_sym_bitor] = ACTIONS(5759),
    [anon_sym_xor] = ACTIONS(5759),
    [anon_sym_bitand] = ACTIONS(5759),
    [anon_sym_not_eq] = ACTIONS(5759),
    [anon_sym_DASH_DASH] = ACTIONS(5761),
    [anon_sym_PLUS_PLUS] = ACTIONS(5761),
    [anon_sym_DOT] = ACTIONS(5759),
    [anon_sym_DOT_STAR] = ACTIONS(5761),
    [anon_sym_DASH_GT] = ACTIONS(5761),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(5759),
    [anon_sym_decltype] = ACTIONS(5759),
  },
  [2497] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2481),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6021),
    [anon_sym_COMMA] = ACTIONS(6021),
    [anon_sym_RPAREN] = ACTIONS(6021),
    [anon_sym_LPAREN2] = ACTIONS(6021),
    [anon_sym_DASH] = ACTIONS(6019),
    [anon_sym_PLUS] = ACTIONS(6019),
    [anon_sym_STAR] = ACTIONS(6021),
    [anon_sym_SLASH] = ACTIONS(6019),
    [anon_sym_PERCENT] = ACTIONS(6021),
    [anon_sym_PIPE_PIPE] = ACTIONS(6021),
    [anon_sym_AMP_AMP] = ACTIONS(6021),
    [anon_sym_PIPE] = ACTIONS(6019),
    [anon_sym_CARET] = ACTIONS(6021),
    [anon_sym_AMP] = ACTIONS(6019),
    [anon_sym_EQ_EQ] = ACTIONS(6021),
    [anon_sym_BANG_EQ] = ACTIONS(6021),
    [anon_sym_GT] = ACTIONS(6019),
    [anon_sym_GT_EQ] = ACTIONS(6021),
    [anon_sym_LT_EQ] = ACTIONS(6019),
    [anon_sym_LT] = ACTIONS(6019),
    [anon_sym_LT_LT] = ACTIONS(6021),
    [anon_sym_GT_GT] = ACTIONS(6021),
    [anon_sym_SEMI] = ACTIONS(6021),
    [anon_sym___extension__] = ACTIONS(6021),
    [anon_sym___attribute__] = ACTIONS(6021),
    [anon_sym_LBRACE] = ACTIONS(6021),
    [anon_sym_RBRACE] = ACTIONS(6021),
    [anon_sym_signed] = ACTIONS(6049),
    [anon_sym_unsigned] = ACTIONS(6049),
    [anon_sym_long] = ACTIONS(6049),
    [anon_sym_short] = ACTIONS(6049),
    [anon_sym_LBRACK] = ACTIONS(6021),
    [anon_sym_RBRACK] = ACTIONS(6021),
    [anon_sym_const] = ACTIONS(6019),
    [anon_sym_constexpr] = ACTIONS(6021),
    [anon_sym_volatile] = ACTIONS(6021),
    [anon_sym_restrict] = ACTIONS(6021),
    [anon_sym___restrict__] = ACTIONS(6021),
    [anon_sym__Atomic] = ACTIONS(6021),
    [anon_sym__Noreturn] = ACTIONS(6021),
    [anon_sym_noreturn] = ACTIONS(6021),
    [anon_sym_mutable] = ACTIONS(6021),
    [anon_sym_constinit] = ACTIONS(6021),
    [anon_sym_consteval] = ACTIONS(6021),
    [anon_sym_COLON] = ACTIONS(6021),
    [anon_sym_QMARK] = ACTIONS(6021),
    [anon_sym_LT_EQ_GT] = ACTIONS(6021),
    [anon_sym_or] = ACTIONS(6021),
    [anon_sym_and] = ACTIONS(6021),
    [anon_sym_bitor] = ACTIONS(6021),
    [anon_sym_xor] = ACTIONS(6021),
    [anon_sym_bitand] = ACTIONS(6021),
    [anon_sym_not_eq] = ACTIONS(6021),
    [anon_sym_DASH_DASH] = ACTIONS(6021),
    [anon_sym_PLUS_PLUS] = ACTIONS(6021),
    [anon_sym_DOT] = ACTIONS(6019),
    [anon_sym_DOT_STAR] = ACTIONS(6021),
    [anon_sym_DASH_GT] = ACTIONS(6021),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6021),
    [anon_sym_decltype] = ACTIONS(6021),
    [anon_sym_final] = ACTIONS(6021),
    [anon_sym_override] = ACTIONS(6021),
    [anon_sym_requires] = ACTIONS(6021),
  },
  [2498] = {
    [aux_sym_sized_type_specifier_repeat1] = STATE(2479),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(6015),
    [anon_sym_COMMA] = ACTIONS(6015),
    [anon_sym_RPAREN] = ACTIONS(6015),
    [anon_sym_LPAREN2] = ACTIONS(6015),
    [anon_sym_DASH] = ACTIONS(6013),
    [anon_sym_PLUS] = ACTIONS(6013),
    [anon_sym_STAR] = ACTIONS(6015),
    [anon_sym_SLASH] = ACTIONS(6013),
    [anon_sym_PERCENT] = ACTIONS(6015),
    [anon_sym_PIPE_PIPE] = ACTIONS(6015),
    [anon_sym_AMP_AMP] = ACTIONS(6015),
    [anon_sym_PIPE] = ACTIONS(6013),
    [anon_sym_CARET] = ACTIONS(6015),
    [anon_sym_AMP] = ACTIONS(6013),
    [anon_sym_EQ_EQ] = ACTIONS(6015),
    [anon_sym_BANG_EQ] = ACTIONS(6015),
    [anon_sym_GT] = ACTIONS(6013),
    [anon_sym_GT_EQ] = ACTIONS(6015),
    [anon_sym_LT_EQ] = ACTIONS(6013),
    [anon_sym_LT] = ACTIONS(6013),
    [anon_sym_LT_LT] = ACTIONS(6015),
    [anon_sym_GT_GT] = ACTIONS(6015),
    [anon_sym_SEMI] = ACTIONS(6015),
    [anon_sym___extension__] = ACTIONS(6015),
    [anon_sym___attribute__] = ACTIONS(6015),
    [anon_sym_LBRACE] = ACTIONS(6015),
    [anon_sym_RBRACE] = ACTIONS(6015),
    [anon_sym_signed] = ACTIONS(6051),
    [anon_sym_unsigned] = ACTIONS(6051),
    [anon_sym_long] = ACTIONS(6051),
    [anon_sym_short] = ACTIONS(6051),
    [anon_sym_LBRACK] = ACTIONS(6015),
    [anon_sym_RBRACK] = ACTIONS(6015),
    [anon_sym_const] = ACTIONS(6013),
    [anon_sym_constexpr] = ACTIONS(6015),
    [anon_sym_volatile] = ACTIONS(6015),
    [anon_sym_restrict] = ACTIONS(6015),
    [anon_sym___restrict__] = ACTIONS(6015),
    [anon_sym__Atomic] = ACTIONS(6015),
    [anon_sym__Noreturn] = ACTIONS(6015),
    [anon_sym_noreturn] = ACTIONS(6015),
    [anon_sym_mutable] = ACTIONS(6015),
    [anon_sym_constinit] = ACTIONS(6015),
    [anon_sym_consteval] = ACTIONS(6015),
    [anon_sym_COLON] = ACTIONS(6015),
    [anon_sym_QMARK] = ACTIONS(6015),
    [anon_sym_LT_EQ_GT] = ACTIONS(6015),
    [anon_sym_or] = ACTIONS(6015),
    [anon_sym_and] = ACTIONS(6015),
    [anon_sym_bitor] = ACTIONS(6015),
    [anon_sym_xor] = ACTIONS(6015),
    [anon_sym_bitand] = ACTIONS(6015),
    [anon_sym_not_eq] = ACTIONS(6015),
    [anon_sym_DASH_DASH] = ACTIONS(6015),
    [anon_sym_PLUS_PLUS] = ACTIONS(6015),
    [anon_sym_DOT] = ACTIONS(6013),
    [anon_sym_DOT_STAR] = ACTIONS(6015),
    [anon_sym_DASH_GT] = ACTIONS(6015),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(6015),
    [anon_sym_decltype] = ACTIONS(6015),
    [anon_sym_final] = ACTIONS(6015),
    [anon_sym_override] = ACTIONS(6015),
    [anon_sym_requires] = ACTIONS(6015),
  },
  [2499] = {
    [sym_identifier] = ACTIONS(2136),
    [aux_sym_preproc_def_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token1] = ACTIONS(2136),
    [aux_sym_preproc_if_token2] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token1] = ACTIONS(2136),
    [aux_sym_preproc_ifdef_token2] = ACTIONS(2136),
    [sym_preproc_directive] = ACTIONS(2136),
    [anon_sym_LPAREN2] = ACTIONS(2134),
    [anon_sym_TILDE] = ACTIONS(2134),
    [anon_sym_STAR] = ACTIONS(2134),
    [anon_sym_AMP_AMP] = ACTIONS(2134),
    [anon_sym_AMP] = ACTIONS(2136),
    [anon_sym___extension__] = ACTIONS(2136),
    [anon_sym_typedef] = ACTIONS(2136),
    [anon_sym_extern] = ACTIONS(2136),
    [anon_sym___attribute__] = ACTIONS(2136),
    [anon_sym_COLON_COLON] = ACTIONS(2134),
    [anon_sym_LBRACK_LBRACK] = ACTIONS(2134),
    [anon_sym___declspec] = ACTIONS(2136),
    [anon_sym___based] = ACTIONS(2136),
    [anon_sym_signed] = ACTIONS(2136),
    [anon_sym_unsigned] = ACTIONS(2136),
    [anon_sym_long] = ACTIONS(2136),
    [anon_sym_short] = ACTIONS(2136),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_static] = ACTIONS(2136),
    [anon_sym_register] = ACTIONS(2136),
    [anon_sym_inline] = ACTIONS(2136),
    [anon_sym___inline] = ACTIONS(2136),
    [anon_sym___inline__] = ACTIONS(2136),
    [anon_sym___forceinline] = ACTIONS(2136),
    [anon_sym_thread_local] = ACTIONS(2136),
    [anon_sym___thread] = ACTIONS(2136),
    [anon_sym_const] = ACTIONS(2136),
    [anon_sym_constexpr] = ACTIONS(2136),
    [anon_sym_volatile] = ACTIONS(2136),
    [anon_sym_restrict] = ACTIONS(2136),
    [anon_sym___restrict__] = ACTIONS(2136),
    [anon_sym__Atomic] = ACTIONS(2136),
    [anon_sym__Noreturn] = ACTIONS(2136),
    [anon_sym_noreturn] = ACTIONS(2136),
    [anon_sym_mutable] = ACTIONS(2136),
    [anon_sym_constinit] = ACTIONS(2136),
    [anon_sym_consteval] = ACTIONS(2136),
    [sym_primitive_type] = ACTIONS(2136),
    [anon_sym_enum] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2136),
    [anon_sym_struct] = ACTIONS(2136),
    [anon_sym_union] = ACTIONS(2136),
    [sym_comment] = ACTIONS(3),
    [sym_auto] = ACTIONS(2136),
    [anon_sym_decltype] = ACTIONS(2136),
    [anon_sym_virtual] = ACTIONS(2136),
    [anon_sym_alignas] = ACTIONS(2136),
    [anon_sym_explicit] = ACTIONS(2136),
    [anon_sym_typename] = ACTIONS(2136),
    [anon_sym_template] = ACTIONS(2136),
    [anon_sym_operator] = ACTIONS(2136),
    [anon_sym_friend] = ACTIONS(2136),
    [anon_sym_public] = ACTIONS(2136),
    [anon_sym_private] = ACTIONS(2136),
    [anon_sym_protected] = ACTIONS(2136),
    [anon_sym_using] = ACTIONS(2136),
    [anon_sym_static_assert] = ACTIONS(2136),
    [anon_sym_catch] = ACTIONS(2136),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5401), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [71] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6053), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5282), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5284), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3237), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2530), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6056), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6021), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3261), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3265), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3193), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3176), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2474), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5976), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3154), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3152), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3128), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3294), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3162), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3160), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3302), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1006] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3241), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1077] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6058), 1,
      sym_identifier,
    STATE(2535), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4222), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4224), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5201), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5199), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1156] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2961), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3231), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1298] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6060), 1,
      sym_identifier,
    ACTIONS(6065), 1,
      sym_primitive_type,
    STATE(2629), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6063), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5600), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [1377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5966), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3227), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6069), 1,
      sym_identifier,
    STATE(2515), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(4222), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4224), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5195), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5193), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [1602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3298), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3271), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3269), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3271), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3269), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [1815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2525), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6071), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5550), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [1965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3180), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3253), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2107] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    STATE(2386), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5854), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5856), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4145), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [2186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5996), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2261] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2024), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6067), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5988), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2336] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2525), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6071), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5819), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [2411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [2482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2889), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6075), 1,
      sym_identifier,
    STATE(2535), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6078), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6081), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5242), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5240), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [2632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5484), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3132), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3132), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3255), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3253), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5488), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [2987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [3058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5434), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5434), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5460), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3233), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3231), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3088), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5438), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5444), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5448), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5492), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5528), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3201), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5524), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5452), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [3981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3189), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5448), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5452), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4194] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5456), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3263), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3261), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5496), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5464), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4478] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2531), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6084), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [4553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3092), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5520), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3096), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5468), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5500), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3120), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [4979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3124), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3132), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5500), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5401), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3134), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3132), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5472), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5476), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5480), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3257), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5516), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5516), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5760] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5522), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5520), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2917), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3168), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [5973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3164), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3136), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3182), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3180), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6186] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3144), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3146), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3144), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3138), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3136), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5526), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5524), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5434), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5530), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5528), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5516), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3223), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6754] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6086), 1,
      anon_sym_LT,
    STATE(2737), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2850), 1,
      sym_template_argument_list,
    ACTIONS(6037), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4143), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [6835] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5518), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5516), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5436), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5434), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [6977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5401), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7048] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3257), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3286), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3156), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3148), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [7403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3290), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5482), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5480), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5532), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5478), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5476), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3130), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3128), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5536), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5540), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5540), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [7971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3154), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3152), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2973), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2969), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8184] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5544), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8255] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5552), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5556), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3178), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3176), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3195), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3193), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5474), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5472), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2917), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5470), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5468), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5466), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5464), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [8823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym___attribute__,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(6092), 1,
      anon_sym_COLON,
    STATE(2246), 1,
      sym__enum_base_clause,
    STATE(2356), 1,
      sym_enumerator_list,
    STATE(2444), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5315), 1,
      anon_sym___attribute__,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(6092), 1,
      anon_sym_COLON,
    STATE(2274), 1,
      sym__enum_base_clause,
    STATE(2346), 1,
      sym_enumerator_list,
    STATE(2425), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6096), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [8989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3243), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3241), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9060] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6102), 1,
      anon_sym_STAR,
    ACTIONS(6104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6850), 1,
      sym__declarator,
    STATE(6990), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3222), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3805), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6100), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [9183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3209), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_attribute_specifier,
    STATE(2871), 1,
      sym_field_declaration_list,
    STATE(7623), 1,
      sym_virtual_specifier,
    STATE(8433), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5313), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_requires,
  [9341] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 1,
      sym_primitive_type,
    STATE(2501), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6053), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5763), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [9418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3126), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3124), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3122), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3120), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9560] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3239), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3237), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3229), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3227), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [9773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3223), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3098), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3096), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3094), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3092), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [9986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3108), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3090), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3088), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2891), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2889), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5051), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [10272] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2969), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(2973), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3267), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3265), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3271), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3269), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3292), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3290), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5490), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5488), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3288), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3286), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5462), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5460), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3110), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3108), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3271), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3269), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [10982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3304), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3302), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5558), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5556), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5440), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5438), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5446), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5444), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11408] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3300), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3298), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5448), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5452), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5554), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5552), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5450), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5448), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5454), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5452), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11834] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5546), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5544), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [11905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [11976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [12047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3296), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3294), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12118] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5486), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5484), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5458), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5456), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5494), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5492), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5498), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5496), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12402] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5403), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5401), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5500), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12544] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5502), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5500), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3150), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3148), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3158), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3156), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3211), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(3209), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3162), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3160), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2961), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [12970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3166), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3164), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3170), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3168), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3191), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3189), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5540), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5542), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5540), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3203), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3201), 57,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13396] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5362), 1,
      anon_sym_LBRACK,
    STATE(2741), 1,
      sym_new_declarator,
    ACTIONS(6118), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6120), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5538), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5536), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13542] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5534), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
    ACTIONS(5532), 56,
      aux_sym_preproc_def_token1,
      aux_sym_preproc_if_token1,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      sym_preproc_directive,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_typedef,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_using,
      anon_sym_static_assert,
  [13613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5003), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [13683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2186), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [13753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6126), 1,
      anon_sym_LT,
    STATE(2641), 1,
      sym_template_argument_list,
    ACTIONS(6122), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6124), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4020), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6129), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [13969] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6139), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6143), 1,
      anon_sym_or,
    ACTIONS(6145), 1,
      anon_sym_and,
    ACTIONS(6137), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6135), 53,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [14047] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2695), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5282), 37,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [14121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5422), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [14191] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [14275] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6162), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6164), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [14359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [14429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5578), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [14501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5422), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [14573] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6166), 1,
      sym_identifier,
    ACTIONS(6170), 1,
      sym_primitive_type,
    STATE(2721), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6168), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5602), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [14651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5280), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [14721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6174), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [14803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [14873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4016), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [14943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [15013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5268), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [15083] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(2865), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6176), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [15161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6180), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6182), 1,
      anon_sym_LT,
    STATE(2850), 1,
      sym_template_argument_list,
    ACTIONS(5026), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5019), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [15307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2136), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15377] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6187), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15447] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6189), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5282), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [15521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6194), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2736), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6196), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5819), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15665] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5422), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [15737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6200), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6204), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6208), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [15947] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6189), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
    ACTIONS(5766), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [16023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5405), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16093] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6210), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6212), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16177] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6214), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6216), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6086), 1,
      anon_sym_LT,
    STATE(2850), 1,
      sym_template_argument_list,
    ACTIONS(4161), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5368), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [16337] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16407] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6218), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6220), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [16491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16701] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6222), 1,
      sym_identifier,
    ACTIONS(6226), 1,
      sym_primitive_type,
    STATE(2751), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6224), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5602), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [16779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4991), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5272), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [16919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4999), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [16989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4995), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17059] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6228), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17133] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6228), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5966), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17207] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2750), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6230), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6021), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2747), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6232), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5007), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6236), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17495] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6238), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5282), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5284), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5011), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17639] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3076), 1,
      sym_field_declaration_list,
    STATE(3330), 1,
      sym_attribute_specifier,
    STATE(7366), 1,
      sym_virtual_specifier,
    STATE(8096), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [17725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5015), 55,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [17795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 28,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6247), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17865] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6228), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5988), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [17939] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [18021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5299), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18091] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2742), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6228), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5996), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18165] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2695), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6147), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5766), 35,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [18241] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6141), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6145), 1,
      anon_sym_and,
    ACTIONS(6255), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6253), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
  [18315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5272), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [18385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5213), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5181), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5217), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6263), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [18799] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6265), 1,
      sym_identifier,
    ACTIONS(6269), 1,
      sym_primitive_type,
    STATE(2776), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6267), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5602), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [18876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4991), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [18945] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5003), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4999), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4995), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5007), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6277), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6281), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5011), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6285), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19566] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2134), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5015), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [19704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6289), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19773] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6297), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [19911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5766), 29,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
  [19986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6308), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20193] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6312), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3920), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5229), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6316), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20538] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5221), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20607] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(6322), 1,
      anon_sym___attribute__,
    ACTIONS(6324), 1,
      anon_sym_COLON,
    STATE(2246), 1,
      sym__enum_base_clause,
    STATE(2356), 1,
      sym_enumerator_list,
    STATE(2444), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6090), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [20688] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6299), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5282), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [20761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20830] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [20968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21037] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6334), 1,
      anon_sym_LT,
    STATE(2865), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2935), 1,
      sym_template_argument_list,
    ACTIONS(6176), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4143), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [21116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2184), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6338), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21461] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21530] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6344), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6348), 1,
      anon_sym_or,
    ACTIONS(6350), 1,
      anon_sym_and,
    ACTIONS(6135), 25,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6137), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5205), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [21883] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_COLON,
    STATE(2931), 1,
      sym__enum_base_clause,
    STATE(2953), 1,
      sym_enumerator_list,
    STATE(3145), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6096), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [21964] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    STATE(2256), 1,
      sym_attribute_specifier,
    STATE(2897), 1,
      sym_enumerator_list,
    ACTIONS(5806), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5808), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [22041] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(6368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6850), 1,
      sym__declarator,
    STATE(7171), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6100), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(3533), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3805), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [22162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6378), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22438] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      sym_literal_suffix,
    STATE(2521), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(4222), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(4224), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4145), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [22515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6382), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22584] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5225), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6386), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6390), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5418), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6394), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [22998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6398), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6402), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23136] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_STAR,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6850), 1,
      sym__declarator,
    STATE(7183), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    ACTIONS(6100), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3498), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3805), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [23257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6412), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6416), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5272), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [23464] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6418), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6420), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5405), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23602] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5185), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23671] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(2923), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5689), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [23748] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5422), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [23819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6426), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [23888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [23957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6430), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24026] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    STATE(2244), 1,
      sym_attribute_specifier,
    STATE(2905), 1,
      sym_enumerator_list,
    ACTIONS(5705), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5707), 47,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [24103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6436), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
    ACTIONS(6432), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6434), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24176] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(6322), 1,
      anon_sym___attribute__,
    ACTIONS(6324), 1,
      anon_sym_COLON,
    STATE(2274), 1,
      sym__enum_base_clause,
    STATE(2346), 1,
      sym_enumerator_list,
    STATE(2425), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6096), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [24257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5422), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [24328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24397] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3209), 1,
      sym_field_declaration_list,
    STATE(3499), 1,
      sym_attribute_specifier,
    STATE(7443), 1,
      sym_virtual_specifier,
    STATE(8310), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5313), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [24482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6449), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24551] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24620] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6457), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24689] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6461), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24758] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2736), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6196), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [24900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [24969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6465), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5189), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25107] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6346), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6350), 1,
      anon_sym_and,
    ACTIONS(6253), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6255), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25180] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(6362), 1,
      anon_sym_COLON,
    STATE(2927), 1,
      sym__enum_base_clause,
    STATE(2940), 1,
      sym_enumerator_list,
    STATE(3085), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5039), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [25330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6469), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5252), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25468] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5209), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5233), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25813] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(5578), 31,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [25884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [25953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2879), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26091] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2251), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5846), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [26232] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(4407), 1,
      anon_sym_STAR,
    ACTIONS(4409), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4411), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6100), 1,
      anon_sym_RPAREN,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6945), 1,
      sym__declarator,
    STATE(7171), 1,
      sym__abstract_declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3607), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(3944), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [26352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5966), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26424] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6501), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      sym_auto,
    ACTIONS(6505), 1,
      anon_sym_decltype,
    STATE(3091), 1,
      sym_new_declarator,
    STATE(3095), 1,
      sym_decltype_auto,
    STATE(3504), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5392), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [26508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6507), 1,
      anon_sym_LT,
    STATE(2923), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2951), 1,
      sym_template_argument_list,
    ACTIONS(6422), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4143), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [26586] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [26658] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3104), 1,
      sym_field_declaration_list,
    STATE(3286), 1,
      sym_attribute_specifier,
    STATE(7634), 1,
      sym_virtual_specifier,
    STATE(8124), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5313), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_requires,
  [26742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2260), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5920), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [26814] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2255), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5916), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [26886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2695), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5972), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [26958] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6515), 1,
      sym_identifier,
    STATE(2898), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3622), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3626), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5195), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5193), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27034] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6501), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      sym_auto,
    ACTIONS(6505), 1,
      anon_sym_decltype,
    STATE(3095), 1,
      sym_decltype_auto,
    STATE(3123), 1,
      sym_new_declarator,
    STATE(3532), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5358), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2264), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5897), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27190] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [27258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [27326] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2234), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5883), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27398] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27470] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2243), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5910), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5819), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [27614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [27682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2879), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6519), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6521), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [27822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2227), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5823), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [27894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2868), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6525), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6021), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [27966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6527), 1,
      sym_identifier,
    STATE(2887), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(6530), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6533), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5242), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5240), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [28110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2695), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5988), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28182] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6536), 1,
      anon_sym_LT,
    STATE(2935), 1,
      sym_template_argument_list,
    ACTIONS(5019), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5026), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [28256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2240), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5889), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28328] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2695), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5966), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2695), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5996), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [28472] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2896), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5819), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28544] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6501), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      sym_auto,
    ACTIONS(6505), 1,
      anon_sym_decltype,
    STATE(3095), 1,
      sym_decltype_auto,
    STATE(3098), 1,
      sym_new_declarator,
    STATE(3549), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5384), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28628] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2714), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6497), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [28700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2225), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5868), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [28772] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6541), 1,
      sym_identifier,
    STATE(2887), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3622), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3626), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5201), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5199), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [28848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6545), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6543), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [28916] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6501), 1,
      anon_sym_LBRACK,
    ACTIONS(6503), 1,
      sym_auto,
    ACTIONS(6505), 1,
      anon_sym_decltype,
    STATE(3095), 1,
      sym_decltype_auto,
    STATE(3162), 1,
      sym_new_declarator,
    STATE(3497), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [29000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6549), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6547), 54,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_friend,
      anon_sym_using,
      anon_sym_concept,
      anon_sym_requires,
  [29068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [29136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2253), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5850), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29208] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2893), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6551), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6021), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29280] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2254), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5864), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29352] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6334), 1,
      anon_sym_LT,
    STATE(2935), 1,
      sym_template_argument_list,
    ACTIONS(5368), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4161), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [29426] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2889), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6553), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(6015), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [29498] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    STATE(2257), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5893), 48,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [29570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5272), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [29637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5268), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [29704] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(6557), 1,
      anon_sym_COLON,
    STATE(3007), 1,
      sym__enum_base_clause,
    STATE(3105), 1,
      sym_enumerator_list,
    STATE(3267), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6096), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29783] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6559), 1,
      sym_identifier,
    ACTIONS(6563), 1,
      sym_primitive_type,
    STATE(2936), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6561), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5600), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [29858] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(6557), 1,
      anon_sym_COLON,
    STATE(3028), 1,
      sym__enum_base_clause,
    STATE(3073), 1,
      sym_enumerator_list,
    STATE(3310), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6090), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [29937] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5580), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30006] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5972), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5407), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [30144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5299), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6507), 1,
      anon_sym_LT,
    STATE(2951), 1,
      sym_template_argument_list,
    ACTIONS(5368), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4161), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [30284] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2872), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5550), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [30355] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6567), 1,
      anon_sym_LT,
    STATE(2951), 1,
      sym_template_argument_list,
    ACTIONS(5019), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5026), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [30428] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6570), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5282), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5284), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [30499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(5280), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
      anon_sym_DASH_GT_STAR,
  [30566] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5966), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30637] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(3032), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6573), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5689), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [30712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2930), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6575), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6021), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30783] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2934), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6577), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6015), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [30854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2967), 1,
      sym_enumerator_list,
    STATE(3148), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5707), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [30929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2915), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5819), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5996), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31140] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    STATE(2938), 1,
      sym_enumerator_list,
    STATE(3067), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5808), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31215] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3394), 1,
      sym_field_declaration_list,
    STATE(3878), 1,
      sym_attribute_specifier,
    STATE(7398), 1,
      sym_virtual_specifier,
    STATE(8148), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5313), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2896), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6539), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [31369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2787), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5988), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [31440] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5044), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31507] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6570), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5763), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [31580] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [31649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3126), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3156), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5920), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3147), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5910), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [31859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5282), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [31929] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 1,
      sym_auto,
    ACTIONS(6594), 1,
      anon_sym_decltype,
    STATE(3313), 1,
      sym_new_declarator,
    STATE(3367), 1,
      sym_decltype_auto,
    STATE(3929), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5392), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32011] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6596), 1,
      anon_sym_LT,
    STATE(3160), 1,
      sym_template_argument_list,
    ACTIONS(5026), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5019), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [32083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5407), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [32149] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3153), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5846), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(6600), 1,
      anon_sym_COLON,
    STATE(3047), 1,
      sym__enum_base_clause,
    STATE(3198), 1,
      sym_enumerator_list,
    STATE(3445), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6096), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32297] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 1,
      sym_auto,
    ACTIONS(6594), 1,
      anon_sym_decltype,
    STATE(3335), 1,
      sym_new_declarator,
    STATE(3367), 1,
      sym_decltype_auto,
    STATE(3892), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5384), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [32445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3144), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5823), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(6600), 1,
      anon_sym_COLON,
    STATE(3037), 1,
      sym__enum_base_clause,
    STATE(3220), 1,
      sym_enumerator_list,
    STATE(3506), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6090), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [32593] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5044), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [32659] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 1,
      sym_auto,
    ACTIONS(6594), 1,
      anon_sym_decltype,
    STATE(3304), 1,
      sym_new_declarator,
    STATE(3367), 1,
      sym_decltype_auto,
    STATE(3934), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5358), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [32741] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3165), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5893), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5580), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [32879] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3125), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5883), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [32949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5424), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33017] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    ACTIONS(6592), 1,
      sym_auto,
    ACTIONS(6594), 1,
      anon_sym_decltype,
    STATE(3265), 1,
      sym_new_declarator,
    STATE(3367), 1,
      sym_decltype_auto,
    STATE(3932), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [33099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3109), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5889), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33169] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3155), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5916), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33239] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5424), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [33307] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6596), 1,
      anon_sym_LT,
    STATE(3160), 1,
      sym_template_argument_list,
    ACTIONS(4161), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5368), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [33379] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2915), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5550), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [33449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3151), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5850), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33519] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3114), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5897), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33589] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6602), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
    STATE(3032), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6573), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4143), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5044), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
      anon_sym_DASH_GT_STAR,
  [33731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6009), 1,
      anon_sym___attribute__,
    STATE(3139), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33801] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5988), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [33870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [33935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5017), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [34067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5757), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34132] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      sym_auto,
    ACTIONS(6612), 1,
      anon_sym_decltype,
    STATE(3472), 1,
      sym_new_declarator,
    STATE(3557), 1,
      sym_decltype_auto,
    STATE(4006), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5384), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [34213] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6614), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6616), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34387] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34517] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      sym_auto,
    ACTIONS(6612), 1,
      anon_sym_decltype,
    STATE(3449), 1,
      sym_new_declarator,
    STATE(3557), 1,
      sym_decltype_auto,
    STATE(4024), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5392), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [34598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [34663] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6648), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6650), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [34772] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      sym_auto,
    ACTIONS(6612), 1,
      anon_sym_decltype,
    STATE(3495), 1,
      sym_new_declarator,
    STATE(3557), 1,
      sym_decltype_auto,
    STATE(4097), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5358), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [34853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5819), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5640), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [34983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4014), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [35048] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6658), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6652), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6656), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35161] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    ACTIONS(6610), 1,
      sym_auto,
    ACTIONS(6612), 1,
      anon_sym_decltype,
    STATE(3512), 1,
      sym_new_declarator,
    STATE(3557), 1,
      sym_decltype_auto,
    STATE(4037), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [35242] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_LPAREN2,
    ACTIONS(6662), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    STATE(3320), 1,
      sym_parameter_list,
    STATE(3046), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5858), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5860), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [35317] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5424), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [35469] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35560] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 14,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35655] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 12,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35752] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35851] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 8,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [35952] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_LPAREN2,
    ACTIONS(6662), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    STATE(3320), 1,
      sym_parameter_list,
    STATE(3046), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5922), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5924), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5044), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5009), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5013), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36222] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36327] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6658), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6666), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6668), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36440] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6658), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6340), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6342), 15,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [36618] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36683] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    STATE(3099), 1,
      sym_enumerator_list,
    STATE(3278), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5707), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [36756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5656), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [36821] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6672), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6674), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [36930] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    STATE(3161), 1,
      sym_enumerator_list,
    STATE(3332), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37003] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6622), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6624), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6636), 1,
      anon_sym_GT_EQ,
    ACTIONS(6640), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6642), 1,
      anon_sym_or,
    ACTIONS(6644), 1,
      anon_sym_and,
    ACTIONS(6646), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6626), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6628), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6630), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6632), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6634), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6676), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6678), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [37112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4997), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5001), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5005), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3030), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5819), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37376] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5407), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37441] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5424), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37508] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5424), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5580), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37642] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5996), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [37711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4020), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4018), 43,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [37776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6503), 1,
      sym_auto,
    ACTIONS(6505), 1,
      anon_sym_decltype,
    STATE(3095), 1,
      sym_decltype_auto,
    ACTIONS(5508), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5510), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [37847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4993), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [37912] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [37993] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [38076] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6618), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6638), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6620), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [38161] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2968), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6682), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6015), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38230] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3017), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6684), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6021), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38299] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    STATE(3057), 1,
      sym_enumerator_list,
    STATE(3360), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5808), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [38372] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_LPAREN2,
    ACTIONS(6662), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    STATE(3320), 1,
      sym_parameter_list,
    STATE(3046), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5877), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5879), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    STATE(3117), 1,
      sym_enumerator_list,
    STATE(3280), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38520] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6686), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
    ACTIONS(5019), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5026), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [38591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5972), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38660] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6602), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
    ACTIONS(5368), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4161), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [38731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2921), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6604), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5966), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [38800] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6660), 1,
      anon_sym_LPAREN2,
    ACTIONS(6662), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6664), 1,
      anon_sym_LBRACK,
    STATE(3320), 1,
      sym_parameter_list,
    STATE(3046), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5825), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5827), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5703), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [38939] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5580), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [39005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_COLON,
    STATE(3311), 1,
      sym__enum_base_clause,
    STATE(3466), 1,
      sym_enumerator_list,
    STATE(3910), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6096), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(3194), 1,
      sym_enumerator_list,
    STATE(3438), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5707), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4997), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4995), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5001), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4999), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5005), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5003), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [39345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6358), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6356), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [39409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3381), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5850), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1964), 1,
      sym_string_literal,
    ACTIONS(6697), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [39545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1968), 1,
      sym_string_literal,
    ACTIONS(6697), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [39613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3374), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5846), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [39681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6662), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3157), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6029), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6031), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [39749] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    STATE(3168), 1,
      sym_enumerator_list,
    STATE(3412), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5808), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [39821] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3346), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39889] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3331), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [39957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(6699), 1,
      anon_sym_LT,
    STATE(3196), 1,
      sym_template_argument_list,
    ACTIONS(5028), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [40029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5017), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5013), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5009), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4997), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5001), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5005), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3371), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5868), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4993), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4991), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [40545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(4993), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40609] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3351), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5883), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [40677] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5578), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [40743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3030), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6680), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40811] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2921), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2923), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [40875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3268), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5823), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [40943] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    ACTIONS(4145), 26,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5051), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5749), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5017), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [41267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5013), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [41395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5648), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3323), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5407), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [41591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5009), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [41655] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3283), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5916), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3285), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5920), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [41791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5424), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [41855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [41919] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1966), 1,
      sym_string_literal,
    ACTIONS(6697), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [41987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3361), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5893), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [42055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4997), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5001), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5005), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5592), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42311] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5679), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4993), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [42439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 27,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6704), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5407), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6328), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6326), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [42631] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    STATE(3575), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6027), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5422), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [42767] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 27,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5422), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [42833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2957), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(2959), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [42897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5791), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [42961] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(6691), 1,
      anon_sym_COLON,
    STATE(3362), 1,
      sym__enum_base_clause,
    STATE(3391), 1,
      sym_enumerator_list,
    STATE(3876), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6090), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6706), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6708), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [43101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    STATE(3503), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5984), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3384), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5864), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6289), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [43303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3307), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5920), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1967), 1,
      sym_string_literal,
    ACTIONS(6697), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [43439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5009), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5007), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3306), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5916), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [43571] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3329), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5893), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [43639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5013), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5011), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5017), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5015), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [43767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [43831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5685), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [43959] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5422), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [44025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5424), 44,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5775), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5771), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44345] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3334), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3338), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5850), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44545] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3277), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5910), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [44613] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3339), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5846), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [44681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [44745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    STATE(3465), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5932), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44815] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1965), 1,
      sym_string_literal,
    ACTIONS(6697), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [44883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [44947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5636), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45011] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [45075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5424), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5422), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [45141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3274), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5823), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5578), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [45275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [45339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5422), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [45403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [45467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6710), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6712), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45531] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 37,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_try,
  [45595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6714), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6716), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5407), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5405), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [45723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6718), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6720), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [45787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5741), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3297), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5889), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [45919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5596), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [45983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5804), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5644), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5652), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46239] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6412), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6410), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [46303] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5695), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5699), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3266), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [46499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    STATE(3288), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5897), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [46567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6461), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_RBRACK_RBRACK,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6459), 30,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [46695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5729), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5745), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5761), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [46951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6722), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3157), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5959), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5961), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6725), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(6727), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 28,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
    ACTIONS(5044), 28,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [47211] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6241), 1,
      anon_sym___attribute__,
    STATE(3264), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47279] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    STATE(3463), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5928), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47349] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 38,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [47481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5753), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [47545] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    ACTIONS(6733), 1,
      sym_auto,
    ACTIONS(6735), 1,
      anon_sym_decltype,
    STATE(3854), 1,
      sym_decltype_auto,
    STATE(3907), 1,
      sym_new_declarator,
    STATE(4197), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5384), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47624] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [47727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3404), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5868), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [47794] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    ACTIONS(6733), 1,
      sym_auto,
    ACTIONS(6735), 1,
      anon_sym_decltype,
    STATE(3854), 1,
      sym_decltype_auto,
    STATE(3935), 1,
      sym_new_declarator,
    STATE(4281), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5358), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [47873] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [47938] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3403), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5883), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [48005] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [48080] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5757), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48143] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6220), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6218), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [48220] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6216), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6214), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [48297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5550), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48362] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6672), 1,
      anon_sym_EQ,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48471] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6805), 1,
      anon_sym_COMMA,
    ACTIONS(6807), 1,
      anon_sym_RPAREN,
    ACTIONS(6809), 1,
      anon_sym_DASH,
    ACTIONS(6811), 1,
      anon_sym_PLUS,
    ACTIONS(6813), 1,
      anon_sym_STAR,
    ACTIONS(6815), 1,
      anon_sym_SLASH,
    ACTIONS(6817), 1,
      anon_sym_PERCENT,
    ACTIONS(6819), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6821), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6823), 1,
      anon_sym_PIPE,
    ACTIONS(6825), 1,
      anon_sym_CARET,
    ACTIONS(6827), 1,
      anon_sym_AMP,
    ACTIONS(6829), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6831), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6833), 1,
      anon_sym_GT,
    ACTIONS(6835), 1,
      anon_sym_GT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT,
    ACTIONS(6841), 1,
      anon_sym_LT_LT,
    ACTIONS(6843), 1,
      anon_sym_GT_GT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_EQ,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6851), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6853), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6855), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6857), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6859), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6861), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6863), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6865), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6867), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6869), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6875), 1,
      anon_sym_or,
    ACTIONS(6877), 1,
      anon_sym_and,
    ACTIONS(6879), 1,
      anon_sym_bitor,
    ACTIONS(6881), 1,
      anon_sym_xor,
    ACTIONS(6883), 1,
      anon_sym_bitand,
    ACTIONS(6885), 1,
      anon_sym_not_eq,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6871), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5506), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [48695] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      anon_sym_LPAREN2,
    ACTIONS(6897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6899), 1,
      anon_sym_LBRACK,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(3345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5825), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5827), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [48768] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6676), 1,
      anon_sym_EQ,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [48877] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6212), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6210), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [48954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5656), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49017] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6672), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6674), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [49124] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6174), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [49199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3409), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5846), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6592), 1,
      sym_auto,
    ACTIONS(6594), 1,
      anon_sym_decltype,
    STATE(3367), 1,
      sym_decltype_auto,
    ACTIONS(5508), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5510), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [49335] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5033), 1,
      anon_sym_LT,
    STATE(3066), 1,
      sym_template_argument_list,
    ACTIONS(5028), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49406] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3410), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5850), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49473] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [49556] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [49619] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    ACTIONS(4145), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49684] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6501), 1,
      anon_sym_LBRACK,
    STATE(3356), 1,
      sym_new_declarator,
    ACTIONS(6118), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6120), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3411), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5864), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [49818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 19,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [49899] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5051), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [49964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5757), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [50027] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3413), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5893), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50094] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    ACTIONS(6733), 1,
      sym_auto,
    ACTIONS(6735), 1,
      anon_sym_decltype,
    STATE(3854), 1,
      sym_decltype_auto,
    STATE(3945), 1,
      sym_new_declarator,
    STATE(4207), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      anon_sym_LPAREN2,
    ACTIONS(6897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6899), 1,
      anon_sym_LBRACK,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(3345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5858), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5860), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50246] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6614), 1,
      anon_sym_EQ,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50355] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6340), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    ACTIONS(6905), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50468] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6805), 1,
      anon_sym_COMMA,
    ACTIONS(6809), 1,
      anon_sym_DASH,
    ACTIONS(6811), 1,
      anon_sym_PLUS,
    ACTIONS(6813), 1,
      anon_sym_STAR,
    ACTIONS(6815), 1,
      anon_sym_SLASH,
    ACTIONS(6817), 1,
      anon_sym_PERCENT,
    ACTIONS(6819), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6821), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6823), 1,
      anon_sym_PIPE,
    ACTIONS(6825), 1,
      anon_sym_CARET,
    ACTIONS(6827), 1,
      anon_sym_AMP,
    ACTIONS(6829), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6831), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6833), 1,
      anon_sym_GT,
    ACTIONS(6835), 1,
      anon_sym_GT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT,
    ACTIONS(6841), 1,
      anon_sym_LT_LT,
    ACTIONS(6843), 1,
      anon_sym_GT_GT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_EQ,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6851), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6853), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6855), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6857), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6859), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6861), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6863), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6865), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6867), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6869), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6875), 1,
      anon_sym_or,
    ACTIONS(6877), 1,
      anon_sym_and,
    ACTIONS(6879), 1,
      anon_sym_bitor,
    ACTIONS(6881), 1,
      anon_sym_xor,
    ACTIONS(6883), 1,
      anon_sym_bitand,
    ACTIONS(6885), 1,
      anon_sym_not_eq,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6907), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6871), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [50629] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6909), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3567), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6911), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [50714] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      anon_sym_LPAREN2,
    ACTIONS(6897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6899), 1,
      anon_sym_LBRACK,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(3345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5922), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5924), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [50787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6704), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [50850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3428), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5920), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [50917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    STATE(3305), 1,
      sym_decltype_auto,
    ACTIONS(5508), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5510), 40,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [50986] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3431), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5916), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [51053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5656), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [51116] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6652), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    ACTIONS(6905), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51229] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
  [51308] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [51387] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51492] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    ACTIONS(6733), 1,
      sym_auto,
    ACTIONS(6735), 1,
      anon_sym_decltype,
    STATE(3854), 1,
      sym_decltype_auto,
    STATE(3887), 1,
      sym_new_declarator,
    STATE(4253), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5392), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [51571] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51672] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6805), 1,
      anon_sym_COMMA,
    ACTIONS(6809), 1,
      anon_sym_DASH,
    ACTIONS(6811), 1,
      anon_sym_PLUS,
    ACTIONS(6813), 1,
      anon_sym_STAR,
    ACTIONS(6815), 1,
      anon_sym_SLASH,
    ACTIONS(6817), 1,
      anon_sym_PERCENT,
    ACTIONS(6819), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6821), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6823), 1,
      anon_sym_PIPE,
    ACTIONS(6825), 1,
      anon_sym_CARET,
    ACTIONS(6827), 1,
      anon_sym_AMP,
    ACTIONS(6829), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6831), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6833), 1,
      anon_sym_GT,
    ACTIONS(6835), 1,
      anon_sym_GT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT,
    ACTIONS(6841), 1,
      anon_sym_LT_LT,
    ACTIONS(6843), 1,
      anon_sym_GT_GT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_EQ,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6851), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6853), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6855), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6857), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6859), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6861), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6863), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6865), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6867), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6869), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6875), 1,
      anon_sym_or,
    ACTIONS(6877), 1,
      anon_sym_and,
    ACTIONS(6879), 1,
      anon_sym_bitor,
    ACTIONS(6881), 1,
      anon_sym_xor,
    ACTIONS(6883), 1,
      anon_sym_bitand,
    ACTIONS(6885), 1,
      anon_sym_not_eq,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6921), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6871), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [51833] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [51930] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [52025] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3439), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5910), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [52092] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym_EQ,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [52201] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6102), 1,
      anon_sym_STAR,
    ACTIONS(6104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6882), 1,
      sym__declarator,
    STATE(6976), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(6923), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [52308] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5713), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [52434] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [52525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5717), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [52588] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52677] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52762] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [52843] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    ACTIONS(6925), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6927), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6666), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6668), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [52954] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [53037] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6150), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [53114] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3446), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5823), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [53181] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6614), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6616), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53288] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    ACTIONS(6925), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6927), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6652), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6656), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53462] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6895), 1,
      anon_sym_LPAREN2,
    ACTIONS(6897), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6899), 1,
      anon_sym_LBRACK,
    STATE(3669), 1,
      sym_parameter_list,
    STATE(3345), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5877), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5879), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [53535] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6648), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6650), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53642] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 17,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53727] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 13,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [53820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5819), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [53883] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(6931), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [53968] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6666), 1,
      anon_sym_EQ,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    ACTIONS(6905), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 18,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5036), 1,
      anon_sym_LT,
    STATE(3378), 1,
      sym_template_argument_list,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [54152] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54251] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 9,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5424), 39,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_DASH_GT_STAR,
  [54411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5819), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3510), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5889), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54541] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [54630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5640), 43,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [54693] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6443), 1,
      anon_sym___attribute__,
    STATE(3500), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5897), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [54760] = 52,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6805), 1,
      anon_sym_COMMA,
    ACTIONS(6809), 1,
      anon_sym_DASH,
    ACTIONS(6811), 1,
      anon_sym_PLUS,
    ACTIONS(6813), 1,
      anon_sym_STAR,
    ACTIONS(6815), 1,
      anon_sym_SLASH,
    ACTIONS(6817), 1,
      anon_sym_PERCENT,
    ACTIONS(6819), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6821), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6823), 1,
      anon_sym_PIPE,
    ACTIONS(6825), 1,
      anon_sym_CARET,
    ACTIONS(6827), 1,
      anon_sym_AMP,
    ACTIONS(6829), 1,
      anon_sym_EQ_EQ,
    ACTIONS(6831), 1,
      anon_sym_BANG_EQ,
    ACTIONS(6833), 1,
      anon_sym_GT,
    ACTIONS(6835), 1,
      anon_sym_GT_EQ,
    ACTIONS(6837), 1,
      anon_sym_LT_EQ,
    ACTIONS(6839), 1,
      anon_sym_LT,
    ACTIONS(6841), 1,
      anon_sym_LT_LT,
    ACTIONS(6843), 1,
      anon_sym_GT_GT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6847), 1,
      anon_sym_EQ,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6851), 1,
      anon_sym_STAR_EQ,
    ACTIONS(6853), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(6855), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(6857), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(6859), 1,
      anon_sym_DASH_EQ,
    ACTIONS(6861), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(6863), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(6865), 1,
      anon_sym_AMP_EQ,
    ACTIONS(6867), 1,
      anon_sym_CARET_EQ,
    ACTIONS(6869), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6875), 1,
      anon_sym_or,
    ACTIONS(6877), 1,
      anon_sym_and,
    ACTIONS(6879), 1,
      anon_sym_bitor,
    ACTIONS(6881), 1,
      anon_sym_xor,
    ACTIONS(6883), 1,
      anon_sym_bitand,
    ACTIONS(6885), 1,
      anon_sym_not_eq,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(6933), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6871), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [54921] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6164), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
    ACTIONS(6162), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
  [54998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5640), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55061] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5307), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5309), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4137), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4145), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [55128] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 11,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55223] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6676), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6678), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55330] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6741), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6753), 1,
      anon_sym_GT_EQ,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6759), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6761), 1,
      anon_sym_and,
    ACTIONS(6763), 1,
      anon_sym_not_eq,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(6901), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6903), 1,
      anon_sym_or,
    ACTIONS(6925), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6927), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6737), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6743), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(6745), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6747), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(6749), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6755), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6765), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6739), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6751), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6340), 5,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      sym_identifier,
    ACTIONS(6342), 14,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
  [55441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6247), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55503] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_LPAREN2,
    ACTIONS(6937), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6939), 1,
      anon_sym_LBRACK,
    STATE(3755), 1,
      sym_parameter_list,
    STATE(3528), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5922), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5924), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [55575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4020), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [55637] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6941), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3263), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5959), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5961), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5636), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55765] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    STATE(3831), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5928), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [55833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [55957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5644), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56019] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6950), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6948), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6946), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6944), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [56085] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6610), 1,
      sym_auto,
    ACTIONS(6612), 1,
      anon_sym_decltype,
    STATE(3557), 1,
      sym_decltype_auto,
    ACTIONS(5508), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5510), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [56153] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6952), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6129), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5944), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5936), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [56341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5644), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5652), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5550), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5695), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5699), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5721), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [56713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5699), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56775] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5656), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [56837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5745), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [56961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5721), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5761), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57085] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5771), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4993), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5775), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5721), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57333] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6208), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57519] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      sym_literal_suffix,
    ACTIONS(4145), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4137), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5592), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5733), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [57769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5685), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [57831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3960), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6954), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3956), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3954), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [57897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5017), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [57959] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_LPAREN2,
    ACTIONS(6937), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6939), 1,
      anon_sym_LBRACK,
    STATE(3755), 1,
      sym_parameter_list,
    STATE(3528), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5858), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5860), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [58031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5013), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5717), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [58155] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5009), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58217] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    STATE(3861), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5932), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5791), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5745), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5761), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6007), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6035), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5592), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58657] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    STATE(3548), 1,
      sym_enumerator_list,
    STATE(3948), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5808), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [58727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6956), 1,
      anon_sym_LT,
    STATE(3196), 1,
      sym_template_argument_list,
    ACTIONS(6122), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6124), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [58793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    STATE(3933), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6027), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [58861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6965), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6963), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6961), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6959), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [58927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5733), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [58989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5506), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5679), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5660), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59175] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6041), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5640), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59361] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_LPAREN2,
    ACTIONS(6937), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6939), 1,
      anon_sym_LBRACK,
    STATE(3755), 1,
      sym_parameter_list,
    STATE(3528), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5877), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5879), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [59433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5695), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5804), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [59619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6045), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [59743] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5819), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [59805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5753), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5771), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5775), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [59991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5749), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60177] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    STATE(3936), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5984), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5713), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4997), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5737), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60431] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5950), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5980), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60617] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5940), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5954), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [60741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5550), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [60805] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6897), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3263), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6029), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6031), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [60871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5685), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [60933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5648), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [60995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5703), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61057] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6973), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6971), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6969), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6967), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [61123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61185] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5664), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5725), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5596), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5648), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6981), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6979), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6977), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6975), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [61499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6236), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5757), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [61623] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6935), 1,
      anon_sym_LPAREN2,
    ACTIONS(6937), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6939), 1,
      anon_sym_LBRACK,
    STATE(3755), 1,
      sym_parameter_list,
    STATE(3528), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5825), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5827), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [61695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5001), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [61757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5749), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5753), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [61881] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    STATE(3473), 1,
      sym_enumerator_list,
    STATE(3915), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5707), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [61951] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6989), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6987), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(6985), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(6983), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [62017] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5005), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3952), 1,
      anon_sym_DQUOTE_DQUOTE,
    ACTIONS(6991), 2,
      anon_sym_delete,
      anon_sym_new,
    ACTIONS(3932), 20,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_not,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DASH_GT,
    ACTIONS(3930), 31,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_compl,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_co_await,
      anon_sym_DASH_GT_STAR,
      anon_sym_LPAREN_RPAREN,
      anon_sym_LBRACK_RBRACK,
  [62145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5791), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62269] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5550), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4016), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6194), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5636), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [62579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5725), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5729), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [62703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_LT,
    STATE(3522), 1,
      sym_template_argument_list,
    ACTIONS(6432), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6434), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62769] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5376), 1,
      anon_sym_LT,
    STATE(3555), 1,
      sym_template_argument_list,
    ACTIONS(5028), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6704), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [62901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5051), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [62965] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5703), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    STATE(2873), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3622), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3626), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4145), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5737), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5679), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5628), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 12,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_const,
      anon_sym_DOT,
    ACTIONS(5741), 42,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [63345] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6996), 1,
      sym_identifier,
    STATE(3450), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3756), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3764), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5201), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5199), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6416), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5221), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63536] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3909), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5823), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6430), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5233), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [63723] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3913), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5910), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [63871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7006), 47,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [63932] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3918), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5916), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [63997] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3920), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5920), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [64062] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7010), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5959), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5961), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5026), 1,
      anon_sym_LBRACE,
    ACTIONS(5428), 1,
      anon_sym_LT,
    STATE(3711), 1,
      sym_template_argument_list,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [64257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64318] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6214), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6216), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6285), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [64515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5664), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5636), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64637] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [64716] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6672), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [64823] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6172), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6174), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [64896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5725), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [64957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5729), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5737), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5741), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5749), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5753), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65262] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [65343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6485), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65404] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6441), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65526] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6648), 1,
      anon_sym_EQ,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [65633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6316), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5804), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [65816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6312), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6412), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [65999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6457), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5733), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66121] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5761), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66243] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6652), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    ACTIONS(7069), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [66354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6418), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6420), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5745), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66476] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5733), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66600] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_LT,
    STATE(2056), 1,
      sym_template_argument_list,
    ACTIONS(6122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [66665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3920), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2184), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6449), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [66848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5699), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5695), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [66970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6398), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2134), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67092] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6200), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67153] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7078), 1,
      anon_sym_and,
    ACTIONS(6253), 24,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6255), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67301] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5652), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67362] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5644), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [67423] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [67510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6308), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    STATE(4049), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6027), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [67638] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7080), 1,
      sym_identifier,
    STATE(3450), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7083), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7086), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5242), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5240), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67707] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [67796] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6218), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6220), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [67871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6281), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6469), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [67993] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [68086] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [68181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5550), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [68242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68303] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6162), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6164), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [68378] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6210), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6212), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [68453] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6289), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68613] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6465), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [68777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [68838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3947), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5893), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [68903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6249), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6251), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [68976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6277), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6394), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69159] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [69252] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    STATE(4013), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5984), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [69319] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3965), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5864), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6426), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [69445] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [69540] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6150), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [69639] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6150), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [69742] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6150), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [69817] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3951), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5850), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [69882] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5689), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5687), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [69953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3952), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5846), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [70018] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6666), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [70129] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [70206] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6340), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    ACTIONS(7069), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [70317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6263), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5209), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70439] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    STATE(2873), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3622), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3626), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4145), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70508] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6378), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6590), 1,
      anon_sym_LBRACK,
    STATE(3674), 1,
      sym_new_declarator,
    ACTIONS(6118), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6120), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [70634] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6461), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6187), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2879), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [70817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5721), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5721), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [70939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    STATE(3982), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [71006] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7091), 1,
      sym_identifier,
    STATE(3385), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(3756), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3764), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5195), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5193), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6382), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71136] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_STAR,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6882), 1,
      sym__declarator,
    STATE(7181), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(6923), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [71241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5771), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5775), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5721), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6386), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71607] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5252), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5592), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71729] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7103), 1,
      anon_sym___attribute__,
    ACTIONS(7106), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7109), 1,
      anon_sym___declspec,
    ACTIONS(7112), 1,
      anon_sym_virtual,
    ACTIONS(7115), 1,
      anon_sym_alignas,
    ACTIONS(7093), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7100), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3507), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7095), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7097), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [71806] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5189), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5205), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [71928] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5685), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [71989] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6129), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6131), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72052] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    STATE(3990), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5928), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [72119] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [72226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7076), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7078), 1,
      anon_sym_and,
    ACTIONS(7120), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7122), 1,
      anon_sym_or,
    ACTIONS(6135), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5213), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5185), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72417] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6180), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72478] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6204), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72539] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [72616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5418), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72677] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6666), 1,
      anon_sym_EQ,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    ACTIONS(7069), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [72788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6402), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5225), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [72971] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [73060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5229), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73121] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_LT,
    STATE(3066), 1,
      sym_template_argument_list,
    ACTIONS(6122), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6124), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73186] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6937), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(3396), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6029), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6031), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [73251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5181), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73312] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3877), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5897), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73377] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3875), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5889), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [73442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73503] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(6368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6882), 1,
      sym__declarator,
    STATE(7158), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(6923), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [73608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_LT,
    STATE(3378), 1,
      sym_template_argument_list,
    ACTIONS(6122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [73673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73734] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6672), 1,
      anon_sym_EQ,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [73841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5217), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [73963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5596), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [74024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74085] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5550), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5548), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [74148] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74331] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6676), 1,
      anon_sym_EQ,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [74438] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(4001), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5687), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7131), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5689), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [74509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5021), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74570] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3889), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5868), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6338), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [74696] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [74773] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [74852] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [74933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6581), 1,
      anon_sym___attribute__,
    STATE(3888), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5883), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [74998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6297), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75059] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5051), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [75122] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5791), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75244] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      anon_sym_EQ,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [75355] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7133), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3507), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7135), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [75432] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5550), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75493] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6676), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [75600] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5506), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5504), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [75661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6131), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [75722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5703), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [75783] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6614), 1,
      anon_sym_EQ,
    ACTIONS(7041), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7043), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7045), 1,
      anon_sym_PIPE,
    ACTIONS(7049), 1,
      anon_sym_AMP,
    ACTIONS(7055), 1,
      anon_sym_GT_EQ,
    ACTIONS(7059), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7061), 1,
      anon_sym_or,
    ACTIONS(7063), 1,
      anon_sym_and,
    ACTIONS(7065), 1,
      anon_sym_bitor,
    ACTIONS(7067), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7037), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7047), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7057), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7039), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7051), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7053), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [75890] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6652), 1,
      anon_sym_EQ,
    ACTIONS(6803), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6849), 1,
      anon_sym_QMARK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [76001] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7137), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3507), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7139), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [76078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5679), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5660), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(5510), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5508), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [76328] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [76415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5648), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5628), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [76537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76598] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5397), 4,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(5399), 10,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
    ACTIONS(4137), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(4145), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
  [76663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6390), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_LT,
    STATE(1939), 1,
      sym_template_argument_list,
    ACTIONS(6122), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6124), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5548), 42,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [76850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76911] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [76972] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6614), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6873), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7013), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7015), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7017), 1,
      anon_sym_PIPE,
    ACTIONS(7021), 1,
      anon_sym_AMP,
    ACTIONS(7027), 1,
      anon_sym_GT_EQ,
    ACTIONS(7029), 1,
      anon_sym_or,
    ACTIONS(7031), 1,
      anon_sym_and,
    ACTIONS(7033), 1,
      anon_sym_bitor,
    ACTIONS(7035), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6887), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6998), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7002), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7019), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7000), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7023), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7025), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_DASH_GT_STAR,
  [77079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5950), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77200] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_LT,
    STATE(2196), 1,
      sym_template_argument_list,
    ACTIONS(6122), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77264] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(4173), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77328] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [77390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5731), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [77450] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6775), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(6777), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6779), 1,
      anon_sym_PIPE,
    ACTIONS(6783), 1,
      anon_sym_AMP,
    ACTIONS(6789), 1,
      anon_sym_GT_EQ,
    ACTIONS(6793), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(6795), 1,
      anon_sym_or,
    ACTIONS(6797), 1,
      anon_sym_and,
    ACTIONS(6799), 1,
      anon_sym_bitor,
    ACTIONS(6801), 1,
      anon_sym_bitand,
    ACTIONS(6807), 1,
      anon_sym_RPAREN,
    ACTIONS(6905), 1,
      anon_sym_QMARK,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(7146), 1,
      anon_sym_EQ,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6771), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6781), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(6791), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6773), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6785), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6787), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6871), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [77564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5725), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5723), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [77684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5729), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5727), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [77744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5737), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5735), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [77804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5944), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5936), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [77924] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7148), 1,
      sym_identifier,
    STATE(3596), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7151), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7154), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5242), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5240), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [77992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5664), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5662), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [78052] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6247), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5791), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5789), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [78172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5648), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5646), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [78232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5954), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78292] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7181), 1,
      anon_sym_QMARK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6666), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [78400] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6608), 1,
      anon_sym_LBRACK,
    STATE(3969), 1,
      sym_new_declarator,
    ACTIONS(6118), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6120), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [78464] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      sym_literal_suffix,
    STATE(3496), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(3756), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(3764), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4137), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78532] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5940), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5980), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [78652] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(4407), 1,
      anon_sym_STAR,
    ACTIONS(4409), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4411), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6923), 1,
      anon_sym_RPAREN,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6949), 1,
      sym__declarator,
    STATE(7158), 1,
      sym__abstract_declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [78756] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7203), 1,
      anon_sym_RPAREN,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [78912] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_LT,
    STATE(1935), 1,
      sym_template_argument_list,
    ACTIONS(6122), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6124), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [78976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5757), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [79036] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4169), 1,
      anon_sym_EQ,
    ACTIONS(5056), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_LPAREN2,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(4173), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79106] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7073), 1,
      anon_sym_LT,
    STATE(1932), 1,
      sym_template_argument_list,
    ACTIONS(6122), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79170] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5548), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5679), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5677), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79290] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      sym_literal_suffix,
    ACTIONS(4145), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7281), 1,
      sym_identifier,
    ACTIONS(7286), 1,
      sym_primitive_type,
    STATE(3634), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7284), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5602), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [79420] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7288), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [79576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5761), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5759), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(4008), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7290), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5689), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [79704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5733), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5731), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5745), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5743), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [79884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5660), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5658), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [79944] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7292), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [80100] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4020), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80160] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5656), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [80220] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6733), 1,
      sym_auto,
    ACTIONS(6735), 1,
      anon_sym_decltype,
    STATE(3854), 1,
      sym_decltype_auto,
    ACTIONS(5508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5510), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6131), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5628), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5626), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [80406] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6614), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [80510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80570] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7181), 1,
      anon_sym_QMARK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6652), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [80678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6704), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [80738] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 1,
      sym_primitive_type,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5766), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [80804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7294), 1,
      sym_identifier,
    ACTIONS(7298), 1,
      sym_primitive_type,
    STATE(3640), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7296), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5602), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [80872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4145), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [80938] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6648), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [81042] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7300), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [81198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5506), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [81258] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(6585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5766), 35,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [81324] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7302), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [81480] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7304), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [81636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6194), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [81696] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5640), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5638), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5644), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5642), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5652), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5650), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81876] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7308), 25,
      anon_sym_LPAREN2,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      sym_number_literal,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(7306), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      sym_primitive_type,
      anon_sym_not,
      anon_sym_compl,
      anon_sym_sizeof,
      anon_sym___alignof__,
      anon_sym___alignof,
      anon_sym__alignof,
      anon_sym_alignof,
      anon_sym__Alignof,
      anon_sym_offsetof,
      anon_sym__Generic,
      anon_sym_asm,
      anon_sym___asm__,
      sym_true,
      sym_false,
      anon_sym_NULL,
      anon_sym_nullptr,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_delete,
      anon_sym_co_await,
      anon_sym_new,
      anon_sym_requires,
      sym_this,
  [81936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5741), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5739), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [81996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82056] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(5409), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    ACTIONS(4145), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82122] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7310), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [82278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5713), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5695), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5693), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [82398] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7312), 1,
      sym_identifier,
    STATE(3596), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5670), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5672), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5201), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5199), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [82466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5699), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5697), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [82526] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7314), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [82682] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6162), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6164), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [82756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [82816] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5819), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [82876] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7316), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [83032] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83112] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5749), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5747), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [83172] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 14,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83250] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [83332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6007), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5819), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5817), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [83452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5753), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5751), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [83572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6041), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83632] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6251), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [83704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5640), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [83764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83824] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5656), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5654), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [83884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6236), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [83944] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6704), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [84004] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [84088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5685), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5683), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [84148] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 8,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_GT2,
  [84234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5592), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5590), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [84294] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [84384] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_GT2,
  [84476] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6150), 4,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [84572] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 3,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [84672] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [84746] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [84822] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7318), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [84978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5717), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5715), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6289), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6045), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5757), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5755), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5713), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5711), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85278] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5424), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
    ACTIONS(5422), 40,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85338] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6218), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6220), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [85412] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6214), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6216), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [85486] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4016), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5804), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5802), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85606] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7320), 1,
      anon_sym_LPAREN2,
    STATE(2807), 1,
      sym_argument_list,
    STATE(3832), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4348), 1,
      sym_initializer_list,
    ACTIONS(7323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [85678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5719), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [85738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6416), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [85858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5418), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [85918] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6672), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [86022] = 51,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(6891), 1,
      anon_sym_DOT_STAR,
    ACTIONS(6893), 1,
      anon_sym_DASH_GT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7201), 1,
      anon_sym_COMMA,
    ACTIONS(7205), 1,
      anon_sym_DASH,
    ACTIONS(7207), 1,
      anon_sym_PLUS,
    ACTIONS(7209), 1,
      anon_sym_STAR,
    ACTIONS(7211), 1,
      anon_sym_SLASH,
    ACTIONS(7213), 1,
      anon_sym_PERCENT,
    ACTIONS(7215), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7217), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7219), 1,
      anon_sym_PIPE,
    ACTIONS(7221), 1,
      anon_sym_CARET,
    ACTIONS(7223), 1,
      anon_sym_AMP,
    ACTIONS(7225), 1,
      anon_sym_EQ_EQ,
    ACTIONS(7227), 1,
      anon_sym_BANG_EQ,
    ACTIONS(7229), 1,
      anon_sym_GT,
    ACTIONS(7231), 1,
      anon_sym_GT_EQ,
    ACTIONS(7233), 1,
      anon_sym_LT_EQ,
    ACTIONS(7235), 1,
      anon_sym_LT,
    ACTIONS(7237), 1,
      anon_sym_LT_LT,
    ACTIONS(7239), 1,
      anon_sym_GT_GT,
    ACTIONS(7241), 1,
      anon_sym_EQ,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7245), 1,
      anon_sym_STAR_EQ,
    ACTIONS(7247), 1,
      anon_sym_SLASH_EQ,
    ACTIONS(7249), 1,
      anon_sym_PERCENT_EQ,
    ACTIONS(7251), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(7253), 1,
      anon_sym_DASH_EQ,
    ACTIONS(7255), 1,
      anon_sym_LT_LT_EQ,
    ACTIONS(7257), 1,
      anon_sym_GT_GT_EQ,
    ACTIONS(7259), 1,
      anon_sym_AMP_EQ,
    ACTIONS(7261), 1,
      anon_sym_CARET_EQ,
    ACTIONS(7263), 1,
      anon_sym_PIPE_EQ,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7267), 1,
      anon_sym_or,
    ACTIONS(7269), 1,
      anon_sym_and,
    ACTIONS(7271), 1,
      anon_sym_bitor,
    ACTIONS(7273), 1,
      anon_sym_xor,
    ACTIONS(7275), 1,
      anon_sym_bitand,
    ACTIONS(7277), 1,
      anon_sym_not_eq,
    ACTIONS(7325), 1,
      anon_sym_RPAREN,
    STATE(1540), 1,
      sym__binary_fold_operator,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    STATE(8641), 1,
      sym__fold_operator,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [86178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7141), 1,
      anon_sym_LT,
    STATE(3555), 1,
      sym_template_argument_list,
    ACTIONS(6122), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86242] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6174), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [86314] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_LPAREN2,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86380] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7157), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7181), 1,
      anon_sym_QMARK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6340), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 14,
      anon_sym_COMMA,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [86488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5771), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5769), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86548] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_LPAREN2,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86614] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6210), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6212), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [86688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5051), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [86750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5775), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5773), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86810] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5719), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [86870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7327), 1,
      anon_sym_LT,
    STATE(3729), 1,
      sym_template_argument_list,
    ACTIONS(6432), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6434), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [86934] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    ACTIONS(4145), 25,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym___attribute__,
      anon_sym_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [86996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6035), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87056] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5636), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5634), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5721), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5719), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5703), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5701), 39,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [87296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6131), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6416), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87418] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4385), 1,
      sym_field_declaration_list,
    STATE(4556), 1,
      sym_attribute_specifier,
    STATE(7560), 1,
      sym_virtual_specifier,
    STATE(8361), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5313), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87494] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5717), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [87554] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7163), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7165), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7167), 1,
      anon_sym_PIPE,
    ACTIONS(7171), 1,
      anon_sym_AMP,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7183), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7185), 1,
      anon_sym_or,
    ACTIONS(7187), 1,
      anon_sym_and,
    ACTIONS(7189), 1,
      anon_sym_bitor,
    ACTIONS(7191), 1,
      anon_sym_bitand,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6676), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(7159), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7169), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7177), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7193), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7161), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7173), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7175), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_GT2,
  [87658] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 1,
      anon_sym_const,
    ACTIONS(5048), 1,
      anon_sym_AMP,
    ACTIONS(5041), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_GT2,
    ACTIONS(5046), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5044), 15,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5051), 18,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87726] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7336), 1,
      sym_identifier,
    STATE(3654), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5670), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5672), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5195), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5193), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [87794] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6700), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4581), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [87895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6402), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [87954] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7346), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    STATE(4008), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7290), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4143), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88023] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7348), 1,
      sym_identifier,
    ACTIONS(7353), 1,
      sym_primitive_type,
    STATE(3734), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7351), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5600), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6129), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6131), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88151] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7379), 1,
      anon_sym_requires,
    STATE(5291), 1,
      sym__function_attributes_start,
    STATE(5430), 1,
      sym_ref_qualifier,
    STATE(6375), 1,
      sym__function_attributes_end,
    STATE(6545), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5841), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [88256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 1,
      sym_primitive_type,
    STATE(2012), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5286), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5763), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [88321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88380] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7381), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [88441] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6210), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6212), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [88514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5950), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5980), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5940), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5954), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [88750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5272), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [88809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7387), 1,
      anon_sym_namespace,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [88870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6461), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [88929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7389), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [88990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7391), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [89051] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7393), 1,
      anon_sym_LT,
    STATE(4081), 1,
      sym_template_argument_list,
    ACTIONS(6432), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6434), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6485), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6194), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7396), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [89293] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7401), 1,
      anon_sym_requires,
    STATE(5300), 1,
      sym__function_attributes_start,
    STATE(5410), 1,
      sym_ref_qualifier,
    STATE(6372), 1,
      sym__function_attributes_end,
    STATE(6509), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7398), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5861), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89398] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7404), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [89459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6285), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89577] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6041), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [89636] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6273), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89695] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7406), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [89756] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6847), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4627), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [89857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5221), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6416), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [89975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5233), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6473), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2134), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [90211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6412), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5418), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90329] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7123), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3795), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6457), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90489] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7123), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4619), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [90590] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7422), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [90651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6208), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [90710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5205), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [90828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7424), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7428), 1,
      anon_sym_or,
    ACTIONS(7430), 1,
      anon_sym_and,
    ACTIONS(6135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6137), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90895] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3920), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [90954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6131), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5936), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5944), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [91131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7432), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [91192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6449), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6374), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91310] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6441), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91369] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6882), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3758), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4589), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [91470] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(6666), 1,
      anon_sym_EQ,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7456), 1,
      anon_sym_QMARK,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [91579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(2184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [91638] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6614), 1,
      anon_sym_EQ,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [91743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7468), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    STATE(2440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4143), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [91812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5217), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6430), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [91930] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6648), 1,
      anon_sym_EQ,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [92035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92094] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6162), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6164), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6316), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92226] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7100), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4624), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [92406] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6312), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92542] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7470), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5282), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [92605] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 10,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6308), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [92745] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [92830] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
      anon_sym_bitand,
  [92917] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [93008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93067] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6882), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4589), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [93168] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_bitor,
  [93261] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 3,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [93358] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_EQ,
      anon_sym_or,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [93459] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6150), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [93532] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [93607] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(7473), 1,
      anon_sym_LPAREN2,
    STATE(3761), 1,
      sym_argument_list,
    STATE(3832), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4266), 1,
      sym_initializer_list,
    ACTIONS(7323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [93678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6332), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93737] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6340), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7456), 1,
      anon_sym_QMARK,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [93846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6281), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [93905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7476), 1,
      anon_sym_namespace,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [93966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6277), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6247), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94084] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5666), 1,
      anon_sym_EQ,
    ACTIONS(5668), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [94147] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3832), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5819), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5817), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [94210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94269] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7478), 1,
      anon_sym_LT,
    STATE(2277), 1,
      sym_template_argument_list,
    ACTIONS(6122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6007), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6035), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94450] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6676), 1,
      anon_sym_EQ,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [94555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6398), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94673] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6626), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3955), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4580), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94774] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6731), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [94875] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6045), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [94934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6469), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [94993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6465), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7489), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5974), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [95115] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6652), 1,
      anon_sym_EQ,
    ACTIONS(6654), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7456), 1,
      anon_sym_QMARK,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 14,
      anon_sym_COLON,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [95224] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    ACTIONS(4137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4145), 26,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
  [95285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5225), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95344] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7491), 1,
      anon_sym_namespace,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [95405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5703), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95464] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6740), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3728), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [95565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6394), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95624] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5613), 3,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4145), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4137), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4016), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [95803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5550), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [95862] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6174), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [95933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2184), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [95992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5628), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96051] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5648), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96110] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5660), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5679), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96228] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6672), 1,
      anon_sym_EQ,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(7438), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7440), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7442), 1,
      anon_sym_PIPE,
    ACTIONS(7446), 1,
      anon_sym_AMP,
    ACTIONS(7452), 1,
      anon_sym_GT_EQ,
    ACTIONS(7458), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7460), 1,
      anon_sym_or,
    ACTIONS(7462), 1,
      anon_sym_and,
    ACTIONS(7464), 1,
      anon_sym_bitor,
    ACTIONS(7466), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7434), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7444), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(7454), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7436), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7448), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7450), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
  [96333] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6214), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6216), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [96406] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7493), 1,
      sym_identifier,
    STATE(3885), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5090), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5092), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5195), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5193), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96473] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6156), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6218), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6220), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [96546] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5791), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [96605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6390), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5181), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [96723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6704), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(6702), 27,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
  [96782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4020), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [96841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [96959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6354), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5229), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97313] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5021), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97431] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
    ACTIONS(6251), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [97502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97561] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6850), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3805), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4625), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97662] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6949), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4590), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [97763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2134), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [97822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5225), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [97881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5685), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97940] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5592), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [97999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5775), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5771), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6297), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98294] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7505), 1,
      anon_sym_namespace,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [98355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6293), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6263), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98473] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7507), 1,
      sym_identifier,
    STATE(3950), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(5090), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5092), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5201), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5199), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [98540] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    STATE(4284), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6027), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5664), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5636), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [98782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6187), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [98841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6691), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4595), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [98942] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6338), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99001] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(4135), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [99070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6982), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4601), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2879), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5721), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99348] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99407] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6289), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99466] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99525] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6945), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3944), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4597), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [99626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5185), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6180), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7478), 1,
      anon_sym_LT,
    STATE(3711), 1,
      sym_template_argument_list,
    ACTIONS(6122), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6124), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [99807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5209), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [99866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5596), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [99925] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    STATE(4212), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5984), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [99990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [100049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5644), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5652), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5213), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [100226] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(2440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5689), 34,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [100293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5695), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6259), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5699), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5229), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [100529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5745), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100647] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6731), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3891), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5761), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5733), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [100866] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6707), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3828), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4587), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [100967] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7489), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5988), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5986), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [101030] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5181), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101089] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7142), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3769), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4596), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [101190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3923), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7511), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6013), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [101253] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3940), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7513), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6021), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6019), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [101316] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6378), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6453), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101434] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5804), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [101493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [101552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6382), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6481), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6477), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101729] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    STATE(4184), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5932), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6386), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101853] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7489), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5968), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [101916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5209), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [101975] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6949), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3961), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4590), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102076] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3798), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7489), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5996), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5994), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [102139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5252), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7426), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7430), 1,
      anon_sym_and,
    ACTIONS(6253), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6255), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5189), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102320] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6949), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4629), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [102421] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6729), 1,
      anon_sym_LPAREN2,
    STATE(4194), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5928), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [102486] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7515), 1,
      anon_sym_typedef,
    ACTIONS(3592), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [102547] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5753), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5749), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7128), 1,
      anon_sym_LT,
    STATE(1944), 1,
      sym_template_argument_list,
    ACTIONS(6122), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6124), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [102728] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7517), 1,
      sym_identifier,
    STATE(3950), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(7520), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(7523), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(5242), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5240), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [102795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5737), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5729), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5725), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [102972] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6945), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3872), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4608), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103073] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6740), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4622), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6200), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5213), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [103351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7526), 1,
      anon_sym_namespace,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [103412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5233), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103471] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6982), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4584), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [103572] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5221), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5217), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5252), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5741), 35,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      sym_auto,
      anon_sym_decltype,
      anon_sym_DASH_GT_STAR,
  [103808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5205), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 21,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(5189), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [103926] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6949), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(3894), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(4629), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6236), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104086] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6204), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6418), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6420), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104263] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6676), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [104365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4020), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4018), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [104423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6273), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104481] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6731), 1,
      anon_sym_LBRACK,
    STATE(4138), 1,
      sym_new_declarator,
    ACTIONS(6118), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6120), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [104543] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7556), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [104625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5217), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(3920), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5221), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5233), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6354), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104915] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6289), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [104973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6328), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105031] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6259), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5596), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5594), 37,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [105147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5225), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6285), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6465), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105379] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4513), 1,
      sym_template_argument_list,
    ACTIONS(4158), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(4135), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [105451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5189), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6469), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5086), 2,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
    ACTIONS(5088), 12,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4137), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(4145), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
  [105629] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [105703] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6332), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6398), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5209), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [105877] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7561), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [105959] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4091), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7563), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6021), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106021] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5968), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [106083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6263), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6131), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106257] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5974), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [106319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6338), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106377] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7567), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [106459] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5966), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [106521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6304), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106579] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    ACTIONS(7573), 1,
      anon_sym_EQ,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(7571), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4135), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [106651] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [106729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6316), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6386), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5229), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [106961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5051), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [107021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5181), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5620), 1,
      anon_sym_EQ,
    ACTIONS(5622), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107261] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_EQ,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_DASH_GT_STAR,
  [107359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [107417] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    STATE(3727), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5670), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5672), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6453), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107541] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4563), 1,
      sym_field_declaration_list,
    STATE(4644), 1,
      sym_attribute_specifier,
    STATE(7479), 1,
      sym_virtual_specifier,
    STATE(8265), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5313), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4095), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7579), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [107677] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6249), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6251), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [107747] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2879), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [107863] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5548), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [107925] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6218), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6220), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [107997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [108113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7346), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    ACTIONS(5368), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4161), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [108235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6382), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108351] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4350), 1,
      sym_field_declaration_list,
    STATE(7573), 1,
      sym_virtual_specifier,
    STATE(8111), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5313), 37,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [108425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6693), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [108483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5213), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108541] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5185), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108599] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(5026), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5019), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [108663] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7583), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [108721] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [108793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6392), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6394), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108851] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6214), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6216), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [108923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5205), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [108981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7589), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7587), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [109039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6481), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109097] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6672), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [109199] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_DASH_GT_STAR,
  [109293] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6172), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6174), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_GT_STAR,
  [109363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6378), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109421] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7591), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [109503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5021), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6390), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6342), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [109677] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_EQ,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_DASH_GT_STAR,
  [109777] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 3,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_EQ,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_DASH_GT_STAR,
  [109867] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4123), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6019), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7593), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6021), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [109929] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4131), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7595), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [109991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6418), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6420), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6461), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110107] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6162), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6164), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110179] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7597), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5282), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5284), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [110241] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_DASH_GT_STAR,
  [110327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5418), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110385] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ,
    ACTIONS(6152), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6198), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6200), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6449), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110643] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110701] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7600), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [110783] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_EQ,
    ACTIONS(6152), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6412), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [110921] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(6150), 9,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(6152), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_GT_STAR,
  [110997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6455), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6457), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111055] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7602), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111137] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7606), 1,
      anon_sym___attribute__,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    STATE(5359), 1,
      sym__function_attributes_start,
    STATE(5457), 1,
      sym_ref_qualifier,
    STATE(6292), 1,
      sym_trailing_return_type,
    STATE(6347), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5874), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6489), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6402), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111357] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6993), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
    ACTIONS(6432), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6434), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111419] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6614), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [111521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6204), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111579] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7618), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    ACTIONS(5019), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5026), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [111643] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7621), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7625), 1,
      anon_sym_or,
    ACTIONS(7627), 1,
      anon_sym_and,
    ACTIONS(6135), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6137), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111709] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7629), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111791] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(4161), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5368), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [111855] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7631), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [111937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6372), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6374), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [111995] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5996), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6439), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6441), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6185), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6187), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112173] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6652), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [112279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4065), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7569), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5988), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6178), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6180), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6477), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112457] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7606), 1,
      anon_sym___attribute__,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7636), 1,
      anon_sym_requires,
    STATE(5341), 1,
      sym__function_attributes_start,
    STATE(5454), 1,
      sym_ref_qualifier,
    STATE(6301), 1,
      sym_trailing_return_type,
    STATE(6346), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5880), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [112561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5252), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112619] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      anon_sym_EQ,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [112725] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7646), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7642), 4,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7644), 5,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_explicit,
      anon_sym_operator,
    ACTIONS(7649), 11,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_auto,
      anon_sym_typename,
    ACTIONS(7639), 28,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
  [112789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4018), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7651), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5819), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112851] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7623), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7627), 1,
      anon_sym_and,
    ACTIONS(6253), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6255), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [112913] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(4219), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5689), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [112979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(3832), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7323), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [113041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6320), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6312), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6308), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113215] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6473), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6666), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7199), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(7243), 1,
      anon_sym_QMARK,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [113379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2134), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6281), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6277), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113553] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7665), 1,
      anon_sym___attribute__,
    ACTIONS(7668), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7671), 1,
      anon_sym___declspec,
    ACTIONS(7674), 1,
      anon_sym_virtual,
    ACTIONS(7677), 1,
      anon_sym_alignas,
    ACTIONS(7680), 1,
      anon_sym_explicit,
    ACTIONS(7657), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(7655), 7,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(7662), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4114), 11,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      sym_explicit_function_specifier,
      sym__constructor_specifiers,
      aux_sym_operator_cast_definition_repeat1,
    ACTIONS(7659), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [113629] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      anon_sym_EQ,
    ACTIONS(6845), 1,
      anon_sym_LBRACK,
    ACTIONS(7004), 1,
      anon_sym_DOT_STAR,
    ACTIONS(7265), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(7536), 1,
      anon_sym_PIPE,
    ACTIONS(7538), 1,
      anon_sym_CARET,
    ACTIONS(7540), 1,
      anon_sym_AMP,
    ACTIONS(7546), 1,
      anon_sym_GT_EQ,
    ACTIONS(7550), 1,
      anon_sym_bitor,
    ACTIONS(7552), 1,
      anon_sym_xor,
    ACTIONS(7554), 1,
      anon_sym_bitand,
    STATE(3781), 1,
      sym_argument_list,
    STATE(3782), 1,
      sym_subscript_argument_list,
    ACTIONS(6889), 2,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(7279), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7528), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7532), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7534), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(7548), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(7530), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(7542), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(7544), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_DASH_GT_STAR,
  [113731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(2184), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6493), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6426), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113905] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6416), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [113963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6428), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6430), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114021] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6483), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6485), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114079] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4005), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5817), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7581), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5819), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5994), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5996), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114203] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6358), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4016), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4014), 44,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_typename,
      anon_sym_template,
      anon_sym_operator,
  [114319] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7095), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7689), 1,
      anon_sym___attribute__,
    ACTIONS(7692), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7695), 1,
      anon_sym___declspec,
    ACTIONS(7698), 1,
      anon_sym_virtual,
    ACTIONS(7701), 1,
      anon_sym_alignas,
    ACTIONS(7686), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4126), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7683), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(7093), 14,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [114393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6297), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(5169), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(6293), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [114567] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6913), 1,
      sym_auto,
    ACTIONS(6915), 1,
      anon_sym_decltype,
    ACTIONS(7704), 1,
      anon_sym_SEMI,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6931), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
    ACTIONS(6929), 6,
      anon_sym_AMP,
      anon_sym___based,
      anon_sym_LBRACK,
      sym_identifier,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5334), 9,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(3559), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(5332), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114649] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5986), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7565), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5988), 41,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [114711] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7711), 1,
      anon_sym_requires,
    STATE(5393), 1,
      sym__function_attributes_start,
    STATE(5567), 1,
      sym_ref_qualifier,
    STATE(6340), 1,
      sym_trailing_return_type,
    STATE(6421), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5905), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 23,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      sym_literal_suffix,
    ACTIONS(6704), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [114871] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7711), 1,
      anon_sym_requires,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    STATE(5382), 1,
      sym__function_attributes_start,
    STATE(5556), 1,
      sym_ref_qualifier,
    STATE(6319), 1,
      sym__function_attributes_end,
    STATE(6340), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7714), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5892), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [114974] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6001), 1,
      anon_sym_EQ,
    ACTIONS(6003), 13,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_and_eq,
      anon_sym_or_eq,
      anon_sym_xor_eq,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_xor,
      anon_sym_DOT,
    ACTIONS(4137), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7585), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7583), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [115092] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4137), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7719), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5282), 20,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      sym_primitive_type,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6236), 33,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [115210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_LBRACE,
    ACTIONS(7724), 1,
      anon_sym_COLON,
    STATE(4319), 1,
      sym__enum_base_clause,
    STATE(4379), 1,
      sym_enumerator_list,
    STATE(4552), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115279] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7636), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    STATE(5389), 1,
      sym__function_attributes_start,
    STATE(5566), 1,
      sym_ref_qualifier,
    STATE(6301), 1,
      sym_trailing_return_type,
    STATE(6411), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5908), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115382] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7636), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    STATE(5391), 1,
      sym__function_attributes_start,
    STATE(5521), 1,
      sym_ref_qualifier,
    STATE(6301), 1,
      sym_trailing_return_type,
    STATE(6312), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7714), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5909), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115485] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    STATE(5397), 1,
      sym__function_attributes_start,
    STATE(5535), 1,
      sym_ref_qualifier,
    STATE(6328), 1,
      sym_trailing_return_type,
    STATE(6396), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5885), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [115588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5051), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4993), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115704] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    STATE(4224), 1,
      sym_new_declarator,
    ACTIONS(6118), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6120), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5005), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5001), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4997), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5009), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [115993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5013), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5017), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116107] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    STATE(5394), 1,
      sym__function_attributes_start,
    STATE(5527), 1,
      sym_ref_qualifier,
    STATE(6292), 1,
      sym_trailing_return_type,
    STATE(6321), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7714), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5912), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116210] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_LBRACE,
    ACTIONS(7724), 1,
      anon_sym_COLON,
    STATE(4303), 1,
      sym__enum_base_clause,
    STATE(4399), 1,
      sym_enumerator_list,
    STATE(4576), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6096), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116336] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7736), 1,
      sym_identifier,
    ACTIONS(7741), 1,
      sym_primitive_type,
    STATE(4170), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7739), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5600), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5580), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5039), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [116517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116574] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    STATE(5388), 1,
      sym__function_attributes_start,
    STATE(5560), 1,
      sym_ref_qualifier,
    STATE(6305), 1,
      sym__function_attributes_end,
    STATE(6328), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7714), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5899), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [116677] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7589), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7587), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [116734] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(5019), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5026), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [116797] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7743), 1,
      anon_sym_LT,
    STATE(4219), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4317), 1,
      sym_template_argument_list,
    ACTIONS(7653), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(4143), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [116921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5407), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [116978] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_COLON,
    STATE(3646), 1,
      sym_attribute_specifier,
    STATE(4256), 1,
      sym__enum_base_clause,
    STATE(4388), 1,
      sym_enumerator_list,
    ACTIONS(6096), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6094), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [117047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [117104] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117163] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 23,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117222] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    ACTIONS(7573), 1,
      anon_sym_EQ,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(7571), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(4161), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5368), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [117289] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5282), 1,
      sym_primitive_type,
    STATE(4137), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7719), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5763), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117352] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7747), 1,
      anon_sym_COLON,
    STATE(3679), 1,
      sym_attribute_specifier,
    STATE(4267), 1,
      sym__enum_base_clause,
    STATE(4398), 1,
      sym_enumerator_list,
    ACTIONS(6090), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6088), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [117421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6047), 1,
      sym_literal_suffix,
    ACTIONS(4145), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(4137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117480] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    STATE(3852), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(5090), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(5092), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [117545] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    STATE(5387), 1,
      sym__function_attributes_start,
    STATE(5542), 1,
      sym_ref_qualifier,
    STATE(6292), 1,
      sym_trailing_return_type,
    STATE(6430), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5898), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [117648] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(5368), 5,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4161), 41,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [117711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4018), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7651), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [117772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5252), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6277), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [117884] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7749), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [117958] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5205), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118014] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7751), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [118088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2879), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(3920), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6354), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118256] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5268), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5266), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [118312] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6449), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5217), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 22,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [118480] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [118550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6378), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6390), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [118718] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6214), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6216), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [118788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6465), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6358), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6461), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [118956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6338), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5299), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [119068] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7757), 1,
      anon_sym_requires,
    STATE(5435), 1,
      sym__function_attributes_start,
    STATE(5586), 1,
      sym_ref_qualifier,
    STATE(6511), 1,
      sym__function_attributes_end,
    STATE(6653), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5935), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [119170] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7760), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(7762), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6135), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6137), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119230] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6328), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119286] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7766), 1,
      sym_auto,
    ACTIONS(7768), 1,
      anon_sym_decltype,
    STATE(4391), 1,
      sym_new_declarator,
    STATE(4543), 1,
      sym_decltype_auto,
    STATE(4343), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5358), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [119358] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5272), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [119414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [119470] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6218), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6220), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [119540] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7770), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [119614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6382), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119670] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6332), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119726] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6281), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119782] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(4001), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(7131), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 36,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [119848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6297), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6386), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [119960] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    STATE(5431), 1,
      sym__function_attributes_start,
    STATE(5636), 1,
      sym_ref_qualifier,
    STATE(6552), 1,
      sym__function_attributes_end,
    STATE(6696), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5932), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2184), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120118] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5972), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120178] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7706), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    STATE(5428), 1,
      sym__function_attributes_start,
    STATE(5579), 1,
      sym_ref_qualifier,
    STATE(6543), 1,
      sym__function_attributes_end,
    STATE(6709), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5948), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [120280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5233), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5221), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120392] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5966), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120452] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6174), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [120520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120576] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120632] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6293), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120688] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6236), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4250), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7780), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6021), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6469), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120860] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4254), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7782), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6015), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [120920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5169), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [120976] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7784), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5282), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5284), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121036] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7787), 1,
      anon_sym_LT,
    STATE(4317), 1,
      sym_template_argument_list,
    ACTIONS(5019), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5026), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6390), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6263), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6412), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5272), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [121322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6320), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121378] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7790), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7792), 1,
      anon_sym_requires,
    STATE(5413), 1,
      sym__function_attributes_start,
    STATE(5596), 1,
      sym_ref_qualifier,
    STATE(6559), 1,
      sym__function_attributes_end,
    STATE(6692), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7398), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5926), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [121554] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2134), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(2879), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [121666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7743), 1,
      anon_sym_LT,
    STATE(4317), 1,
      sym_template_argument_list,
    ACTIONS(5368), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4161), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121728] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7766), 1,
      sym_auto,
    ACTIONS(7768), 1,
      anon_sym_decltype,
    STATE(4396), 1,
      sym_new_declarator,
    STATE(4543), 1,
      sym_decltype_auto,
    STATE(4338), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5384), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7795), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [121874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [121930] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6469), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [121986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6493), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5229), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6426), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122154] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7766), 1,
      sym_auto,
    ACTIONS(7768), 1,
      anon_sym_decltype,
    STATE(4373), 1,
      sym_new_declarator,
    STATE(4543), 1,
      sym_decltype_auto,
    STATE(4315), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5374), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122226] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6285), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5996), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5181), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6316), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122454] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6453), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122510] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4229), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7776), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5988), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6312), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [122626] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    STATE(3662), 1,
      sym_attribute_specifier,
    STATE(4395), 1,
      sym_enumerator_list,
    ACTIONS(5808), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5806), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [122690] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7797), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [122764] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6378), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122820] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4215), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7799), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5817), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5819), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [122880] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7801), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [122954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5185), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123010] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6304), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123066] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6162), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6164), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [123136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5213), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123192] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6308), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123248] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6473), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123304] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_attribute_specifier,
    STATE(4376), 1,
      sym_enumerator_list,
    ACTIONS(5707), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5705), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6398), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5209), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6489), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7803), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    ACTIONS(5019), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5026), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [123598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5280), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5278), 45,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___cdecl,
      anon_sym___clrcall,
      anon_sym___stdcall,
      anon_sym___fastcall,
      anon_sym___thiscall,
      anon_sym___vectorcall,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [123654] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7468), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    ACTIONS(5368), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4161), 36,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [123716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5189), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6342), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [123828] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7806), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [123902] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [123970] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6259), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124026] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7766), 1,
      sym_auto,
    ACTIONS(7768), 1,
      anon_sym_decltype,
    STATE(4358), 1,
      sym_new_declarator,
    STATE(4543), 1,
      sym_decltype_auto,
    STATE(4299), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5392), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5280), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124154] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6477), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6273), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124266] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7808), 1,
      anon_sym_SEMI,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [124340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6481), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(5268), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124452] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7762), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6253), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(6255), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124510] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
    ACTIONS(5225), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [124566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5580), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124678] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5272), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [124733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5013), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6426), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5009), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6308), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [124953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4997), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5001), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125118] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4135), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [125183] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125238] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5005), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125293] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7812), 1,
      anon_sym_requires,
    STATE(5470), 1,
      sym__function_attributes_start,
    STATE(5740), 1,
      sym_ref_qualifier,
    STATE(6730), 1,
      sym__function_attributes_end,
    STATE(6856), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7398), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5964), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [125394] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5056), 1,
      anon_sym_SEMI,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4513), 1,
      sym_template_argument_list,
    ACTIONS(4158), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [125465] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_LBRACE,
    STATE(4362), 1,
      sym_enumerator_list,
    STATE(4567), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5808), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125528] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6281), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6312), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6398), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6465), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [125913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5280), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [125968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6263), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6277), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6382), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126188] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5017), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5044), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5299), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [126353] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    ACTIONS(7722), 1,
      anon_sym_LBRACE,
    STATE(4392), 1,
      sym_enumerator_list,
    STATE(4577), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5707), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126416] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    STATE(3662), 1,
      sym_attribute_specifier,
    STATE(4383), 1,
      sym_enumerator_list,
    ACTIONS(5806), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5808), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6449), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126534] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(2892), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5084), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5687), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5689), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [126597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6297), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6285), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    STATE(3655), 1,
      sym_attribute_specifier,
    STATE(4369), 1,
      sym_enumerator_list,
    ACTIONS(5705), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5707), 39,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [126825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5407), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [126880] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    STATE(5453), 1,
      sym__function_attributes_start,
    STATE(5825), 1,
      sym_ref_qualifier,
    STATE(6711), 1,
      sym__function_attributes_end,
    STATE(6854), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4772), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5302), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5961), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7357), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [126981] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127038] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3920), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6316), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127260] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6386), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127370] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(7558), 1,
      anon_sym_LBRACK,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4739), 1,
      sym_template_argument_list,
    ACTIONS(4158), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [127439] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    ACTIONS(7817), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_COLON,
    STATE(4407), 1,
      sym__enum_base_clause,
    STATE(4564), 1,
      sym_enumerator_list,
    STATE(4663), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6090), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6338), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127561] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(7821), 1,
      anon_sym_COLON,
    STATE(2230), 1,
      sym_attribute_specifier,
    STATE(2805), 1,
      sym__enum_base_clause,
    STATE(2908), 1,
      sym_enumerator_list,
    ACTIONS(6094), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6096), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [127628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4161), 1,
      anon_sym_SEMI,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4135), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [127750] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4215), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(7799), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(5268), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_GT2,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [127919] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    ACTIONS(7817), 1,
      anon_sym_LBRACE,
    ACTIONS(7819), 1,
      anon_sym_COLON,
    STATE(4434), 1,
      sym__enum_base_clause,
    STATE(4539), 1,
      sym_enumerator_list,
    STATE(4683), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(6096), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [127986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 22,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(4993), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128041] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(7821), 1,
      anon_sym_COLON,
    STATE(2207), 1,
      sym_attribute_specifier,
    STATE(2833), 1,
      sym__enum_base_clause,
    STATE(2880), 1,
      sym_enumerator_list,
    ACTIONS(6088), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6090), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
  [128108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128163] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3621), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5916), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128276] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3712), 1,
      sym_attribute_specifier,
    ACTIONS(5897), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5895), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 21,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5424), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4652), 1,
      sym_new_declarator,
    STATE(4315), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5374), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128458] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3592), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5846), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128516] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(5026), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5019), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128576] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3645), 1,
      sym_attribute_specifier,
    ACTIONS(5823), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5821), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3593), 1,
      sym_attribute_specifier,
    ACTIONS(5850), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5848), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128692] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    STATE(4335), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6027), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128752] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3621), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5914), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128810] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3645), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5823), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [128868] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3597), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5881), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [128926] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4545), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [128984] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4547), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5883), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3618), 1,
      sym_attribute_specifier,
    ACTIONS(5920), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5918), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129100] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3593), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5850), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129158] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7833), 1,
      sym_auto,
    ACTIONS(7835), 1,
      anon_sym_decltype,
    STATE(4677), 1,
      sym_new_declarator,
    STATE(4680), 1,
      sym_decltype_auto,
    STATE(4793), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5358), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_template_argument_list,
    ACTIONS(4161), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    ACTIONS(5368), 36,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129288] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4672), 1,
      sym_new_declarator,
    STATE(4338), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5384), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129358] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3648), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5864), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129416] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3592), 1,
      sym_attribute_specifier,
    ACTIONS(5846), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5844), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3668), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5893), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4518), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5850), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    STATE(4310), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5928), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129650] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4554), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5897), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3653), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5910), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [129766] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3648), 1,
      sym_attribute_specifier,
    ACTIONS(5864), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5862), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [129824] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4573), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5823), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129882] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4520), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5846), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4578), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5910), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [129998] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4550), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5889), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130056] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7833), 1,
      sym_auto,
    ACTIONS(7835), 1,
      anon_sym_decltype,
    STATE(4655), 1,
      sym_new_declarator,
    STATE(4680), 1,
      sym_decltype_auto,
    STATE(4813), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5384), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130126] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4673), 1,
      sym_new_declarator,
    STATE(4343), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5358), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130196] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3718), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5868), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130254] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7833), 1,
      sym_auto,
    ACTIONS(7835), 1,
      anon_sym_decltype,
    STATE(4638), 1,
      sym_new_declarator,
    STATE(4680), 1,
      sym_decltype_auto,
    STATE(4848), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5392), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130324] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4512), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5916), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130382] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4570), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5920), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130440] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7839), 1,
      anon_sym_RPAREN,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7835), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [130538] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3668), 1,
      sym_attribute_specifier,
    ACTIONS(5893), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5891), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [130596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3677), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5889), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130654] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7845), 1,
      anon_sym_LT,
    STATE(2892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_template_argument_list,
    ACTIONS(5084), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(4143), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [130718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    STATE(4333), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5932), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130778] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4515), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [130836] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3618), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5920), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [130894] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3677), 1,
      sym_attribute_specifier,
    ACTIONS(5889), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5887), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [130952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3718), 1,
      sym_attribute_specifier,
    ACTIONS(5868), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5866), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131010] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    STATE(4334), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5984), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131070] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    ACTIONS(7833), 1,
      sym_auto,
    ACTIONS(7835), 1,
      anon_sym_decltype,
    STATE(4680), 1,
      sym_decltype_auto,
    STATE(4684), 1,
      sym_new_declarator,
    STATE(4786), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5374), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131140] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    STATE(3653), 1,
      sym_attribute_specifier,
    ACTIONS(5910), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5908), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [131198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7332), 1,
      anon_sym___attribute__,
    STATE(4537), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5893), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131256] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3712), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5897), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(3597), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(5883), 40,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [131372] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4664), 1,
      sym_new_declarator,
    STATE(4299), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5392), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131442] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6428), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131537] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8848), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131632] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8961), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131727] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8825), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131822] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    ACTIONS(7817), 1,
      anon_sym_LBRACE,
    STATE(4533), 1,
      sym_enumerator_list,
    STATE(4681), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5707), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [131883] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4703), 1,
      sym__type_specifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4514), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [131978] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6471), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym_LBRACE,
    ACTIONS(5550), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [132128] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(3940), 1,
      anon_sym_enum,
    ACTIONS(3942), 1,
      anon_sym_class,
    ACTIONS(3944), 1,
      anon_sym_struct,
    ACTIONS(3946), 1,
      anon_sym_union,
    ACTIONS(3948), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(5058), 1,
      sym__type_specifier,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4525), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132223] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6447), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132318] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132371] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6393), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132466] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6412), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132561] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6384), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5656), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [132709] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8767), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132804] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9341), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132899] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6439), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [132994] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8916), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7792), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    STATE(5651), 1,
      sym__function_attributes_start,
    STATE(5878), 1,
      sym_ref_qualifier,
    STATE(6692), 1,
      sym_trailing_return_type,
    STATE(6893), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7357), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7398), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6028), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133188] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9277), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133283] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7891), 1,
      anon_sym_COLON,
    STATE(3679), 1,
      sym_attribute_specifier,
    STATE(4267), 1,
      sym__enum_base_clause,
    STATE(4398), 1,
      sym_enumerator_list,
    ACTIONS(6090), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6088), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [133348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8610), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133443] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7893), 1,
      sym_identifier,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7899), 1,
      sym_primitive_type,
    ACTIONS(7901), 1,
      anon_sym_enum,
    ACTIONS(7903), 1,
      anon_sym_class,
    ACTIONS(7905), 1,
      anon_sym_struct,
    ACTIONS(7907), 1,
      anon_sym_union,
    ACTIONS(7909), 1,
      sym_auto,
    ACTIONS(7911), 1,
      anon_sym_decltype,
    ACTIONS(7913), 1,
      anon_sym_typename,
    STATE(4745), 1,
      sym__type_specifier,
    STATE(5269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5745), 1,
      sym_qualified_type_identifier,
    STATE(5768), 1,
      sym_decltype_auto,
    STATE(6742), 1,
      sym_type_descriptor,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4571), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5635), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5828), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133538] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4878), 1,
      sym__type_specifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4568), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133633] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    STATE(5599), 1,
      sym__function_attributes_start,
    STATE(5870), 1,
      sym_ref_qualifier,
    STATE(6827), 1,
      sym__function_attributes_end,
    STATE(6927), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7357), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6029), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133732] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6414), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [133827] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7766), 1,
      sym_auto,
    ACTIONS(7768), 1,
      anon_sym_decltype,
    STATE(4543), 1,
      sym_decltype_auto,
    ACTIONS(5508), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5510), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [133886] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    STATE(3937), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5094), 1,
      sym_template_argument_list,
    ACTIONS(4158), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4143), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(4163), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [133953] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8495), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134048] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8621), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134143] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    ACTIONS(7817), 1,
      anon_sym_LBRACE,
    STATE(4523), 1,
      sym_enumerator_list,
    STATE(4653), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5808), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [134204] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8835), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134299] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6400), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134394] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5255), 1,
      sym__type_specifier,
    STATE(6742), 1,
      sym_type_descriptor,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4555), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134489] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6450), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134584] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9028), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134679] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8113), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134774] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8491), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [134869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5550), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [134922] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6432), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135017] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8617), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135112] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8923), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135207] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9314), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135302] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8476), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135397] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5640), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135450] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9395), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3590), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [135598] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5404), 1,
      sym__type_specifier,
    STATE(6742), 1,
      sym_type_descriptor,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4536), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135693] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8947), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135788] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135843] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4801), 1,
      sym__type_specifier,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4572), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [135938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5819), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [135991] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6410), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 1,
      anon_sym_LBRACE,
    ACTIONS(5550), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [136143] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6464), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136238] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6458), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136333] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6441), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [136481] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8639), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136576] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9348), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136671] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136766] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6387), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136861] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7609), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7935), 1,
      anon_sym_requires,
    STATE(5610), 1,
      sym__function_attributes_start,
    STATE(5883), 1,
      sym_ref_qualifier,
    STATE(6762), 1,
      sym__function_attributes_end,
    STATE(6960), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7357), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7633), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6429), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6004), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [136960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7008), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(7006), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [137013] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4712), 1,
      sym__type_specifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4561), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137108] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6454), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137203] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7891), 1,
      anon_sym_COLON,
    STATE(3646), 1,
      sym_attribute_specifier,
    STATE(4256), 1,
      sym__enum_base_clause,
    STATE(4388), 1,
      sym_enumerator_list,
    ACTIONS(6096), 7,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6094), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [137268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6433), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3342), 1,
      anon_sym_enum,
    ACTIONS(3344), 1,
      anon_sym_class,
    ACTIONS(3346), 1,
      anon_sym_struct,
    ACTIONS(3348), 1,
      anon_sym_union,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(3376), 1,
      anon_sym_typename,
    ACTIONS(7938), 1,
      sym_identifier,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7942), 1,
      sym_primitive_type,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(5337), 1,
      sym__type_specifier,
    STATE(6742), 1,
      sym_type_descriptor,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    STATE(4524), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137458] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9013), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6695), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(6693), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [137606] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9216), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137701] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9167), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137796] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9162), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8611), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [137986] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9019), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7944), 1,
      anon_sym_LT,
    STATE(2996), 1,
      sym_template_argument_list,
    ACTIONS(5019), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(5026), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [138140] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8662), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138235] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9099), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138330] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7845), 1,
      anon_sym_LT,
    STATE(2996), 1,
      sym_template_argument_list,
    ACTIONS(5368), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(4161), 31,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
  [138389] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4700), 1,
      sym__type_specifier,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4541), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138484] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9149), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138579] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8827), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138674] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6385), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138769] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9144), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138864] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6445), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [138959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139012] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6395), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139107] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8554), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139202] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9131), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139297] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5030), 1,
      anon_sym_LBRACK,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(4513), 1,
      sym_template_argument_list,
    ACTIONS(5023), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5026), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_EQ,
    ACTIONS(5019), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [139360] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9126), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139455] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9112), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139550] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9107), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 20,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5757), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [139698] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8707), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139793] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9086), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139888] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8754), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [139983] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5911), 1,
      sym__type_specifier,
    STATE(6419), 1,
      sym__type_definition_type,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140078] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7947), 1,
      sym_identifier,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7951), 1,
      anon_sym_enum,
    ACTIONS(7953), 1,
      anon_sym_class,
    ACTIONS(7955), 1,
      anon_sym_struct,
    ACTIONS(7957), 1,
      anon_sym_union,
    ACTIONS(7959), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5349), 1,
      sym__type_specifier,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(6407), 1,
      sym_type_descriptor,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(4528), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140173] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8798), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140268] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9091), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140363] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9281), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140458] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8693), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140553] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(8908), 1,
      sym_type_descriptor,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140648] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5576), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9069), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4542), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140743] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7367), 1,
      anon_sym_LBRACK,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    STATE(5671), 1,
      sym__function_attributes_start,
    STATE(5882), 1,
      sym_ref_qualifier,
    STATE(6696), 1,
      sym_trailing_return_type,
    STATE(6842), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7357), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5042), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5380), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6698), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5978), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140842] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5419), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(9064), 1,
      sym_type_descriptor,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(4535), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [140937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5745), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [140989] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_LBRACK,
    ACTIONS(5051), 1,
      anon_sym_SEMI,
    ACTIONS(5041), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5044), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
    ACTIONS(5039), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [141047] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4734), 1,
      sym__type_specifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141139] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5741), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141191] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(7961), 1,
      anon_sym_COLON,
    STATE(3004), 1,
      sym__enum_base_clause,
    STATE(3120), 1,
      sym_enumerator_list,
    STATE(3294), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6090), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [141255] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(7961), 1,
      anon_sym_COLON,
    STATE(3026), 1,
      sym__enum_base_clause,
    STATE(3081), 1,
      sym_enumerator_list,
    STATE(3275), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6096), 27,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [141319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141371] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4679), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5883), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5729), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141531] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3342), 1,
      anon_sym_enum,
    ACTIONS(3344), 1,
      anon_sym_class,
    ACTIONS(3346), 1,
      anon_sym_struct,
    ACTIONS(3348), 1,
      anon_sym_union,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(3376), 1,
      anon_sym_typename,
    ACTIONS(7938), 1,
      sym_identifier,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7942), 1,
      sym_primitive_type,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(5422), 1,
      sym__type_specifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4678), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5868), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141679] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3342), 1,
      anon_sym_enum,
    ACTIONS(3344), 1,
      anon_sym_class,
    ACTIONS(3346), 1,
      anon_sym_struct,
    ACTIONS(3348), 1,
      anon_sym_union,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(3376), 1,
      anon_sym_typename,
    ACTIONS(7938), 1,
      sym_identifier,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7942), 1,
      sym_primitive_type,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(5312), 1,
      sym__type_specifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141771] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(3940), 1,
      anon_sym_enum,
    ACTIONS(3942), 1,
      anon_sym_class,
    ACTIONS(3944), 1,
      anon_sym_struct,
    ACTIONS(3946), 1,
      anon_sym_union,
    ACTIONS(3948), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(5070), 1,
      sym__type_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [141863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5703), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141915] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4373), 1,
      sym_new_declarator,
    STATE(4315), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5374), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [141983] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7947), 1,
      sym_identifier,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7951), 1,
      anon_sym_enum,
    ACTIONS(7953), 1,
      anon_sym_class,
    ACTIONS(7955), 1,
      anon_sym_struct,
    ACTIONS(7957), 1,
      anon_sym_union,
    ACTIONS(7959), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5361), 1,
      sym__type_specifier,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142127] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4391), 1,
      sym_new_declarator,
    STATE(4343), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5358), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142195] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4647), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5846), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142251] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4649), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5850), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142307] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4650), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5864), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142363] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5648), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142415] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5406), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142507] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5381), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5753), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4654), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5893), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5679), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [142811] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4707), 1,
      sym__type_specifier,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142903] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5563), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [142995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5791), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7963), 1,
      anon_sym_COLON,
    STATE(3679), 1,
      sym_attribute_specifier,
    STATE(4326), 1,
      sym__enum_base_clause,
    STATE(4375), 1,
      sym_enumerator_list,
    ACTIONS(6088), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6090), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [143111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5636), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143163] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7963), 1,
      anon_sym_COLON,
    STATE(3646), 1,
      sym_attribute_specifier,
    STATE(4320), 1,
      sym__enum_base_clause,
    STATE(4371), 1,
      sym_enumerator_list,
    ACTIONS(6094), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym___inline,
      anon_sym_const,
    ACTIONS(6096), 34,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym_LBRACK_LBRACK,
      anon_sym___declspec,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_try,
      anon_sym_requires,
  [143227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143279] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143331] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(3708), 1,
      sym_attribute_specifier,
    STATE(4359), 1,
      sym_field_declaration_list,
    STATE(7512), 1,
      sym_virtual_specifier,
    STATE(8098), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5311), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [143399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5685), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143451] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4358), 1,
      sym_new_declarator,
    STATE(4299), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5392), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5592), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143571] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5775), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143675] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(5189), 1,
      sym__type_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5771), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5804), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [143871] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5900), 1,
      sym__type_specifier,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [143963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144067] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4697), 1,
      sym__type_specifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144159] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4670), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5920), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144215] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4671), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5916), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4682), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5910), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144327] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7734), 1,
      anon_sym_LBRACK,
    ACTIONS(7764), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4396), 1,
      sym_new_declarator,
    STATE(4338), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5384), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144395] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4639), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5823), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144451] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5749), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144503] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4803), 1,
      sym__type_specifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5761), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144699] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7893), 1,
      sym_identifier,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7899), 1,
      sym_primitive_type,
    ACTIONS(7901), 1,
      anon_sym_enum,
    ACTIONS(7903), 1,
      anon_sym_class,
    ACTIONS(7905), 1,
      anon_sym_struct,
    ACTIONS(7907), 1,
      anon_sym_union,
    ACTIONS(7909), 1,
      sym_auto,
    ACTIONS(7911), 1,
      anon_sym_decltype,
    ACTIONS(7913), 1,
      anon_sym_typename,
    STATE(4773), 1,
      sym__type_specifier,
    STATE(5269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5745), 1,
      sym_qualified_type_identifier,
    STATE(5768), 1,
      sym_decltype_auto,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5635), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5828), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144791] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4940), 1,
      sym__type_specifier,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [144883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5644), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144935] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [144987] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4643), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5897), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5652), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5699), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 19,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5695), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7575), 1,
      anon_sym___attribute__,
    STATE(4661), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5889), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145255] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6740), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145340] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6722), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145425] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4820), 1,
      sym_new_declarator,
    STATE(5335), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5372), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5374), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [145492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145543] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6916), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145628] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5757), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [145679] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7971), 1,
      anon_sym___declspec,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(7977), 1,
      anon_sym_virtual,
    ACTIONS(7979), 1,
      anon_sym_alignas,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6909), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6911), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4769), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145756] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6731), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [145841] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6102), 1,
      anon_sym_STAR,
    ACTIONS(6104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(7981), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6877), 1,
      sym__declarator,
    STATE(6909), 1,
      sym__abstract_declarator,
    STATE(7714), 1,
      sym_variadic_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7983), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [145936] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6847), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146021] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6982), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146106] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4825), 1,
      sym_new_declarator,
    STATE(5299), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5390), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5392), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [146173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146226] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7833), 1,
      sym_auto,
    ACTIONS(7835), 1,
      anon_sym_decltype,
    STATE(4680), 1,
      sym_decltype_auto,
    ACTIONS(5508), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5510), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146283] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6614), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [146382] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6639), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146467] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7123), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146552] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6949), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5713), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146688] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8021), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6652), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [146791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5819), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [146842] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6916), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [146927] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6672), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [147026] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8021), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6666), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [147129] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5640), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [147180] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4866), 1,
      sym_new_declarator,
    STATE(5297), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5382), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5384), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [147247] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7971), 1,
      anon_sym___declspec,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(7977), 1,
      anon_sym_virtual,
    ACTIONS(7979), 1,
      anon_sym_alignas,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(6929), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(6931), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4758), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147324] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [147399] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6949), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [147484] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 10,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [147563] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 9,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6152), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [147646] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(7981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8029), 1,
      anon_sym_EQ,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7031), 1,
      sym__declarator,
    STATE(7218), 1,
      sym__abstract_declarator,
    STATE(7281), 1,
      sym_abstract_reference_declarator,
    STATE(7878), 1,
      sym_variadic_declarator,
    STATE(7884), 1,
      sym_variadic_reference_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(8023), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [147747] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6648), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [147846] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8021), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8031), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8033), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [147949] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 7,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6152), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [148034] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [148123] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 4,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [148214] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6691), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148299] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 3,
      aux_sym_preproc_elif_token1,
      anon_sym_or,
      sym_identifier,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [148394] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7100), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [148599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6700), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148684] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [148755] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7089), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148840] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6882), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [148925] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5656), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [148976] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6891), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149061] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 13,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [149134] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6982), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [149219] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6461), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149270] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6676), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_QMARK,
  [149369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5506), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 19,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5717), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6412), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149522] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7989), 1,
      anon_sym_SLASH,
    ACTIONS(7991), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(7993), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7997), 1,
      anon_sym_CARET,
    ACTIONS(8005), 1,
      anon_sym_GT_EQ,
    ACTIONS(8009), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8011), 1,
      anon_sym_or,
    ACTIONS(8013), 1,
      anon_sym_and,
    ACTIONS(8015), 1,
      anon_sym_xor,
    ACTIONS(8017), 1,
      anon_sym_not_eq,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8021), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6340), 2,
      aux_sym_preproc_elif_token1,
      sym_identifier,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(7985), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(7987), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(7995), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(7999), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8001), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8007), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8003), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [149625] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4845), 1,
      sym_new_declarator,
    STATE(5305), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5356), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5358), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [149692] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_STAR,
    ACTIONS(7981), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8025), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8027), 1,
      anon_sym_AMP,
    ACTIONS(8035), 1,
      anon_sym_EQ,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7007), 1,
      sym__declarator,
    STATE(7196), 1,
      sym__abstract_declarator,
    STATE(7288), 1,
      sym_abstract_reference_declarator,
    STATE(7878), 1,
      sym_variadic_declarator,
    STATE(7884), 1,
      sym_variadic_reference_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(8023), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [149793] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    STATE(4794), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6027), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5644), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5703), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5725), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [149999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5775), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5771), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5721), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150249] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5729), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5628), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5737), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5741), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5648), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150499] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(4310), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5928), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5749), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5753), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150655] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    STATE(4787), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5984), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5660), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5679), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150811] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5021), 1,
      anon_sym_SEMI,
    ACTIONS(5030), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4513), 1,
      sym_template_argument_list,
    ACTIONS(5023), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5026), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(5019), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [150873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5596), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [150923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8037), 1,
      anon_sym_typedef,
    ACTIONS(3592), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [150975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5685), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    ACTIONS(4145), 17,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4137), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5592), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151127] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(4335), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6027), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151183] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8039), 1,
      anon_sym_typedef,
    ACTIONS(3592), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3590), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [151235] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5550), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5804), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5761), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5745), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151535] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(4334), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5984), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151591] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(4333), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(5932), 29,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 18,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6704), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151697] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5030), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4739), 1,
      sym_template_argument_list,
    ACTIONS(5023), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5026), 4,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5019), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [151757] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5733), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151807] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    STATE(4877), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5932), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5636), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5664), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [151963] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5791), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5699), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5695), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
    ACTIONS(5652), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152163] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(7829), 1,
      anon_sym_LPAREN2,
    STATE(4885), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5928), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152219] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(8041), 1,
      anon_sym_COLON,
    STATE(3646), 1,
      sym_attribute_specifier,
    STATE(4256), 1,
      sym__enum_base_clause,
    STATE(4388), 1,
      sym_enumerator_list,
    ACTIONS(6096), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6094), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [152280] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [152347] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8075), 1,
      anon_sym_SEMI,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7309), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8750), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [152450] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [152519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8089), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8087), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [152568] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(8041), 1,
      anon_sym_COLON,
    STATE(3679), 1,
      sym_attribute_specifier,
    STATE(4267), 1,
      sym__enum_base_clause,
    STATE(4398), 1,
      sym_enumerator_list,
    ACTIONS(6090), 5,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6088), 30,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [152629] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6251), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [152690] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [152761] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    ACTIONS(4145), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152812] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6253), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6255), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [152863] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6150), 2,
      anon_sym_or,
      sym_identifier,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
  [152956] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2963), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2961), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [153005] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6578), 1,
      sym__abstract_declarator,
    STATE(4980), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153082] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6614), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [153179] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    ACTIONS(8137), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7276), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9138), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [153282] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(3599), 1,
      sym_decltype_auto,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6565), 1,
      sym__abstract_declarator,
    STATE(4976), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8139), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153359] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(6150), 3,
      anon_sym_or,
      anon_sym_and,
      sym_identifier,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [153448] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 1,
      sym_identifier,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    ACTIONS(8147), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [153549] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6611), 1,
      sym__abstract_declarator,
    STATE(5031), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8139), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [153626] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      sym_identifier,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
  [153713] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6652), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    ACTIONS(8147), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [153814] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6666), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    ACTIONS(8147), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [153915] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(3599), 1,
      sym_decltype_auto,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6555), 1,
      sym__abstract_declarator,
    STATE(4973), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [153992] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      sym_identifier,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [154075] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 8,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      sym_identifier,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
  [154156] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8031), 1,
      sym_identifier,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    ACTIONS(8147), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8149), 1,
      anon_sym_QMARK,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8033), 4,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [154257] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6150), 9,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
  [154334] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6584), 1,
      sym__abstract_declarator,
    STATE(4982), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8139), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [154411] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6704), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2975), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2973), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [154509] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 12,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_QMARK,
  [154582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3320), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3318), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [154631] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    ACTIONS(8157), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7308), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8746), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [154734] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8093), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8159), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6135), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6137), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_RBRACE,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [154787] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [154850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2971), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2969), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [154899] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6102), 1,
      anon_sym_STAR,
    ACTIONS(6104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6106), 1,
      anon_sym_AMP,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6877), 1,
      sym__declarator,
    STATE(6909), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7983), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [154988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3259), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3257), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [155037] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8163), 1,
      anon_sym_and,
    ACTIONS(6253), 16,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6255), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155090] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6648), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [155187] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6162), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6164), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155250] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6218), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6220), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5051), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155364] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6214), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6216), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
  [155427] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6672), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [155524] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      sym_identifier,
    ACTIONS(6174), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [155585] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    ACTIONS(6676), 1,
      sym_identifier,
    ACTIONS(6757), 1,
      anon_sym_LBRACK,
    ACTIONS(6767), 1,
      anon_sym_DOT,
    ACTIONS(8045), 1,
      anon_sym_SLASH,
    ACTIONS(8095), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8099), 1,
      anon_sym_CARET,
    ACTIONS(8107), 1,
      anon_sym_GT_EQ,
    ACTIONS(8109), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8111), 1,
      anon_sym_and,
    ACTIONS(8113), 1,
      anon_sym_xor,
    ACTIONS(8115), 1,
      anon_sym_not_eq,
    ACTIONS(8133), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8135), 1,
      anon_sym_or,
    STATE(3416), 1,
      sym_argument_list,
    STATE(3417), 1,
      sym_subscript_argument_list,
    ACTIONS(6769), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8043), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8047), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8085), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8091), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8097), 2,
      anon_sym_PIPE,
      anon_sym_bitor,
    ACTIONS(8101), 2,
      anon_sym_AMP,
      anon_sym_bitand,
    ACTIONS(8103), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(8105), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_QMARK,
  [155682] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2919), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2917), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [155731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3225), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3223), 39,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_typename,
      anon_sym_template,
  [155780] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6603), 1,
      sym__abstract_declarator,
    STATE(5036), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8117), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [155857] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8161), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8163), 1,
      anon_sym_and,
    ACTIONS(8165), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8167), 1,
      anon_sym_or,
    ACTIONS(6135), 15,
      aux_sym_preproc_elif_token1,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6137), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155914] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7831), 1,
      anon_sym_LBRACK,
    STATE(4762), 1,
      sym_new_declarator,
    ACTIONS(6118), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6120), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [155967] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    ACTIONS(8169), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7280), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8903), 1,
      sym_attribute_specifier,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [156070] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [156160] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5048), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5044), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5039), 32,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [156212] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156284] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
  [156372] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [156462] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(5228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8201), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [156590] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8213), 1,
      sym_auto,
    ACTIONS(8215), 1,
      anon_sym_decltype,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(5729), 1,
      sym_decltype_auto,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6708), 1,
      sym__abstract_declarator,
    STATE(5212), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8139), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [156666] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156734] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [156810] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [156888] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [156970] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [157054] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6668), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [157148] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [157234] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [157300] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [157390] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 1,
      anon_sym_SEMI,
    ACTIONS(5550), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [157442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym_SEMI,
    ACTIONS(5550), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [157492] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6342), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [157586] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7971), 1,
      anon_sym___declspec,
    ACTIONS(7977), 1,
      anon_sym_virtual,
    ACTIONS(7979), 1,
      anon_sym_alignas,
    ACTIONS(7133), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7135), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4759), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157654] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7683), 1,
      anon_sym_const,
    ACTIONS(7686), 1,
      anon_sym___inline,
    ACTIONS(8225), 1,
      anon_sym___attribute__,
    ACTIONS(8228), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8231), 1,
      anon_sym___declspec,
    ACTIONS(8234), 1,
      anon_sym_virtual,
    ACTIONS(8237), 1,
      anon_sym_alignas,
    ACTIONS(7093), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7095), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(8222), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4759), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(8219), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [157722] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(5094), 1,
      sym_template_argument_list,
    ACTIONS(5023), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5026), 3,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
    ACTIONS(5019), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [157780] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(5228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5687), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8201), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5689), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [157838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6236), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [157886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(5368), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4161), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [157940] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8240), 1,
      anon_sym_COMMA,
    ACTIONS(8242), 1,
      anon_sym_SEMI,
    ACTIONS(8244), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7685), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158040] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(4001), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(7131), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 29,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5624), 1,
      sym_literal_suffix,
    ACTIONS(4145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(4137), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158148] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6656), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [158242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
      sym_literal_suffix,
    ACTIONS(6704), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158290] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(57), 1,
      anon_sym___inline,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7971), 1,
      anon_sym___declspec,
    ACTIONS(7977), 1,
      anon_sym_virtual,
    ACTIONS(7979), 1,
      anon_sym_alignas,
    ACTIONS(7137), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    ACTIONS(7139), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
    ACTIONS(7969), 8,
      anon_sym_extern,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
    STATE(4759), 9,
      sym__declaration_modifiers,
      sym_attribute_specifier,
      sym_attribute_declaration,
      sym_ms_declspec_modifier,
      sym_storage_class_specifier,
      sym_type_qualifier,
      sym_virtual,
      sym_alignas_specifier,
      aux_sym__declaration_specifiers_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158358] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(5019), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5026), 33,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [158412] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
  [158502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8248), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(5328), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8246), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [158560] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8213), 1,
      sym_auto,
    ACTIONS(8215), 1,
      anon_sym_decltype,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(5729), 1,
      sym_decltype_auto,
    STATE(6647), 1,
      sym__abstract_declarator,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(5237), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8117), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [158636] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7986), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2879), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [158780] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8280), 1,
      anon_sym_RBRACK,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7768), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158877] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8328), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7905), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [158974] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6328), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159021] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7692), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159118] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7106), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5530), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [159195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5252), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [159242] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8344), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7831), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6378), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159386] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6358), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5189), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [159480] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6382), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6386), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [159574] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [159641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5233), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [159688] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6656), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159781] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8346), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7770), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159878] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8348), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7936), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [159975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6477), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160022] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6481), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160069] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [160158] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8350), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7788), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160255] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8352), 1,
      anon_sym_COMMA,
    ACTIONS(8354), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7867), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6489), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [160399] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8356), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7851), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160496] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8358), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7755), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160593] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(3599), 1,
      sym_decltype_auto,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6789), 1,
      sym__abstract_declarator,
    STATE(5323), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8139), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5213), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160715] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6824), 1,
      sym__abstract_declarator,
    STATE(5282), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8117), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [160790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5185), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [160837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1590), 1,
      sym__fold_operator,
    ACTIONS(8374), 13,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_EQ,
    ACTIONS(8372), 25,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT_STAR,
  [160886] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8376), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7805), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [160983] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8378), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7683), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161080] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8380), 1,
      anon_sym_COMMA,
    ACTIONS(8382), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7813), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6390), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161224] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7815), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161321] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5229), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [161368] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(8039), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6338), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5205), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161559] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8388), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8392), 1,
      anon_sym_or,
    ACTIONS(8394), 1,
      anon_sym_and,
    ACTIONS(6135), 14,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161614] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8396), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [161709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5181), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [161756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6332), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5217), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [161850] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    STATE(5284), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5926), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5928), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [161903] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7116), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4856), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5558), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [161980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8398), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5282), 25,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [162031] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8401), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7646), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162128] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8405), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8403), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    STATE(5292), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(6025), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6027), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [162276] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8396), 1,
      anon_sym_SEMI,
    ACTIONS(8407), 1,
      anon_sym_COMMA,
    ACTIONS(8410), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162373] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8412), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7649), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162470] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5169), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [162680] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162751] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(8044), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [162848] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [162923] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [163000] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [163081] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [163164] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [163249] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8416), 1,
      anon_sym_COMMA,
    ACTIONS(8418), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7733), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163346] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_or,
  [163433] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8420), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7729), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163530] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [163595] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7657), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [163692] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6412), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163739] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    STATE(5285), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5930), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5932), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [163792] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6398), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6263), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6453), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [163933] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7108), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4780), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5557), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164010] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8424), 1,
      anon_sym_COMMA,
    ACTIONS(8426), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7758), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164107] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8428), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [164200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6342), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164247] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6342), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164340] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8430), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7845), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164437] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8398), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5766), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [164490] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7108), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5557), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [164567] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8432), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7810), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [164664] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5181), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6304), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164758] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8436), 1,
      anon_sym_LPAREN2,
    ACTIONS(8438), 5,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8434), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [164807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5229), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [164854] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6366), 1,
      anon_sym_STAR,
    ACTIONS(6368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6370), 1,
      anon_sym_AMP,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6877), 1,
      sym__declarator,
    STATE(7167), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(7983), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [164941] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(8440), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [165034] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8442), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7746), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165131] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6404), 1,
      anon_sym_STAR,
    ACTIONS(6406), 1,
      anon_sym_AMP_AMP,
    ACTIONS(6408), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6877), 1,
      sym__declarator,
    STATE(7182), 1,
      sym__abstract_declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    ACTIONS(7983), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [165218] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(7965), 1,
      anon_sym_LPAREN2,
    STATE(5334), 2,
      sym_argument_list,
      sym_initializer_list,
    ACTIONS(5982), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5984), 24,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [165271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8446), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8444), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_explicit,
      anon_sym_template,
      anon_sym_operator,
  [165318] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8448), 1,
      anon_sym_COMMA,
    ACTIONS(8450), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(8002), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6706), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5551), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [165492] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8448), 1,
      anon_sym_COMMA,
    ACTIONS(8460), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8462), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7730), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165589] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8242), 1,
      anon_sym_SEMI,
    ACTIONS(8464), 1,
      anon_sym_COMMA,
    ACTIONS(8467), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165686] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8469), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7981), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [165783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5550), 5,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5548), 33,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_LBRACK,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_template,
      anon_sym_operator,
  [165832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5221), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5233), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [165926] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [166015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6354), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166062] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6780), 1,
      sym__abstract_declarator,
    STATE(5318), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8139), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [166137] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8471), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(8029), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166234] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8473), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7985), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166331] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8077), 1,
      anon_sym_QMARK,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6668), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6316), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166471] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2184), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(2134), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6465), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [166612] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8475), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7836), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166709] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8477), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7777), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166806] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8479), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7957), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [166903] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8481), 1,
      sym_identifier,
    ACTIONS(8485), 1,
      sym_primitive_type,
    STATE(4855), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
    ACTIONS(5602), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [166958] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8487), 1,
      anon_sym_RPAREN,
    ACTIONS(8489), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6449), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(3920), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167149] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8493), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7980), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5169), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [167293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5169), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [167340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5169), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [167387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8394), 1,
      anon_sym_and,
    ACTIONS(6253), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6255), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6259), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167485] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8495), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7971), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [167582] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6320), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6312), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6469), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167723] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6308), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5209), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [167817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6281), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6277), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [167911] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8497), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7941), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168008] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6493), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5209), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168102] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5252), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168149] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8499), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7844), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5189), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168293] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8501), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7954), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168390] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [168479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6426), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168526] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8055), 1,
      anon_sym_SLASH,
    ACTIONS(8061), 1,
      anon_sym_PIPE,
    ACTIONS(8065), 1,
      anon_sym_AMP,
    ACTIONS(8071), 1,
      anon_sym_GT_EQ,
    ACTIONS(8079), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8081), 1,
      anon_sym_bitor,
    ACTIONS(8083), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8051), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8053), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8057), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8059), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8063), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8073), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8067), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8069), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_QMARK,
  [168615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5213), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5185), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6473), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [168756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5217), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168803] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8503), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(8003), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [168900] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2134), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [168947] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8505), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7784), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169044] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8507), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(8034), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169141] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8509), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7928), 1,
      aux_sym_subscript_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169238] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8511), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(8021), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169335] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8513), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(8008), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169432] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8244), 1,
      anon_sym_RBRACE,
    ACTIONS(8515), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7685), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169529] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8517), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7828), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2184), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169673] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6273), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5221), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [169767] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6642), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4955), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5543), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [169844] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8519), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7988), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [169941] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6285), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [169988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5205), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [170035] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8521), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(8028), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170132] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8523), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7899), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(5225), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170276] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(3599), 1,
      sym_decltype_auto,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6800), 1,
      sym__abstract_declarator,
    STATE(5308), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8117), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [170351] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8525), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7902), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170448] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(8527), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7681), 1,
      aux_sym_generic_expression_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170545] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8529), 1,
      anon_sym_COMMA,
    ACTIONS(8531), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(8042), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170642] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8533), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7967), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170739] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8535), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7850), 1,
      aux_sym_initializer_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170836] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8539), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7946), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [170933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6461), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [170980] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5225), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [171027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6297), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171074] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8541), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7922), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_identifier,
    ACTIONS(6293), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [171218] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8448), 1,
      anon_sym_COMMA,
    ACTIONS(8543), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7730), 1,
      aux_sym_lambda_capture_specifier_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171315] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    ACTIONS(8545), 1,
      anon_sym_GT2,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    STATE(7896), 1,
      aux_sym_template_argument_list_repeat1,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171412] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6637), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4869), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5546), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171489] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6637), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    ACTIONS(3464), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5546), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(3462), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171566] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8547), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    STATE(7673), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171663] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2332), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8689), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5049), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5581), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [171737] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [171807] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8563), 1,
      anon_sym_COMMA,
    ACTIONS(8565), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [171901] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6650), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [171989] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(5340), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5687), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5689), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [172045] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6174), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [172103] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6656), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172195] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6674), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172283] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6883), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5649), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [172357] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8571), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172451] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8573), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172543] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6616), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [172631] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6668), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172723] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8575), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [172817] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6214), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6216), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [172877] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6218), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6220), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [172937] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6553), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8577), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173005] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6554), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173073] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(3027), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9128), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5014), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5658), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173147] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6558), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8589), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173215] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6562), 1,
      sym__abstract_declarator,
    STATE(4974), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173283] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(3027), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9128), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5658), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173357] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8591), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173451] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6576), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8577), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173519] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6577), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173587] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6579), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8589), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [173655] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6583), 1,
      sym__abstract_declarator,
    STATE(4981), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173723] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6896), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4965), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173797] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6678), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [173885] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6896), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5642), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [173959] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [174027] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8593), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174121] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [174187] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6754), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5628), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174261] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [174355] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6754), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4994), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5628), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174429] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [174499] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6755), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5662), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [174573] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6251), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_GT2,
  [174631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [174705] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [174781] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [174861] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [174943] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [175027] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4405), 1,
      anon_sym_LPAREN2,
    ACTIONS(4407), 1,
      anon_sym_STAR,
    ACTIONS(4409), 1,
      anon_sym_AMP_AMP,
    ACTIONS(4411), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6110), 1,
      anon_sym_LBRACK,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7983), 1,
      anon_sym_RPAREN,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6953), 1,
      sym__declarator,
    STATE(7167), 1,
      sym__abstract_declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [175113] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_or,
  [175199] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [175263] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8607), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175357] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8609), 1,
      anon_sym_COMMA,
    ACTIONS(8611), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175451] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6342), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175543] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8613), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175637] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6678), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [175725] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8615), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175817] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6851), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4986), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5595), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [175891] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8617), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [175985] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6590), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5074), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5659), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176059] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3205), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8489), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5638), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176133] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(2995), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9128), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5592), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176207] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8631), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176301] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8633), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176393] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2332), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8689), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5581), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [176467] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8635), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176559] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8637), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176653] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8639), 1,
      anon_sym_COMMA,
    ACTIONS(8641), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176747] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8643), 1,
      anon_sym_COMMA,
    ACTIONS(8645), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [176841] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6674), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [176929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5388), 1,
      sym_literal_suffix,
    ACTIONS(4145), 16,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [176977] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8403), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8615), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177161] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7155), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5032), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5613), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177235] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2295), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8689), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5017), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5591), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177309] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8649), 1,
      anon_sym_COMMA,
    ACTIONS(8651), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177403] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8653), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [177495] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6608), 1,
      sym__abstract_declarator,
    STATE(5033), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177563] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6605), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8589), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177631] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7169), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5589), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6601), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177773] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [177837] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7169), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5037), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5589), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [177911] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6600), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8577), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [177979] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(7185), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5617), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178053] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8655), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178145] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8657), 1,
      anon_sym_COMMA,
    ACTIONS(8659), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178239] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8661), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178333] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3180), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8489), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5050), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5661), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178407] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8248), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5379), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5401), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8246), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [178463] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8663), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178557] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8665), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178651] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8667), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178745] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3358), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8467), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5086), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5626), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [178819] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8679), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [178913] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6668), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179005] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2408), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8689), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5654), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179079] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3237), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8489), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5585), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179153] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8681), 1,
      anon_sym_COMMA,
    ACTIONS(8683), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179247] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179339] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8687), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179433] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8685), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179525] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8242), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    STATE(5191), 1,
      sym_new_declarator,
    ACTIONS(6118), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6120), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179669] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3237), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8489), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5013), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5585), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179743] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(3599), 1,
      sym_decltype_auto,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6846), 1,
      sym__abstract_declarator,
    STATE(5350), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8139), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [179817] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8695), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [179911] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 2,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
    ACTIONS(5046), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(5051), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [179959] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym___attribute__,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6704), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [180005] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6650), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180093] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(6616), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_GT2,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180181] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6342), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180273] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8697), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180367] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3261), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8467), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5583), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180441] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180535] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8701), 1,
      anon_sym_COMMA,
    ACTIONS(8703), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6656), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180721] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(3599), 1,
      sym_decltype_auto,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6844), 1,
      sym__abstract_declarator,
    STATE(5339), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8117), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [180795] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8705), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180889] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8707), 1,
      anon_sym_COMMA,
    ACTIONS(8709), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [180983] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8489), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181077] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6589), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181151] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181243] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6589), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5080), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5663), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181317] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181409] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8685), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181501] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181595] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6599), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5620), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181669] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6162), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6164), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [181729] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(3033), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(9128), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4978), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5615), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181803] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8290), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8318), 1,
      anon_sym_QMARK,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8300), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8685), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [181895] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3322), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8467), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5066), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5629), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [181969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5056), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5409), 1,
      anon_sym_LPAREN2,
    ACTIONS(5415), 1,
      anon_sym_LBRACK,
    ACTIONS(4145), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(4137), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [182021] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3322), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(8467), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5629), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182095] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8713), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182187] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(6818), 1,
      sym__type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    ACTIONS(8557), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(4990), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    STATE(5612), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8555), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [182261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8715), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182353] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8033), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182445] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 10,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6152), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [182505] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8302), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_GT2,
  [182591] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8304), 1,
      anon_sym_PIPE,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8322), 1,
      anon_sym_bitor,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_GT2,
  [182675] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5046), 1,
      anon_sym_LBRACK,
    ACTIONS(5041), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5044), 4,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
    ACTIONS(5039), 31,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym_extern,
      anon_sym___attribute__,
      anon_sym___declspec,
      anon_sym___based,
      anon_sym_static,
      anon_sym_register,
      anon_sym_inline,
      anon_sym___inline,
      anon_sym___inline__,
      anon_sym___forceinline,
      anon_sym_thread_local,
      anon_sym___thread,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_alignas,
      anon_sym_operator,
  [182725] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8306), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 9,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_GT2,
  [182807] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(7144), 1,
      anon_sym_COMMA,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8717), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [182901] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8308), 1,
      anon_sym_AMP,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8324), 1,
      anon_sym_bitand,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_GT2,
  [182981] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8310), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_GT2,
  [183057] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8312), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183131] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    ACTIONS(8314), 1,
      anon_sym_LT_LT,
    ACTIONS(8316), 1,
      anon_sym_GT_GT,
    ACTIONS(8320), 1,
      anon_sym_LT_EQ_GT,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 6,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183203] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    ACTIONS(7179), 1,
      anon_sym_LBRACK,
    ACTIONS(7195), 1,
      anon_sym_DOT,
    ACTIONS(8298), 1,
      anon_sym_SLASH,
    STATE(4090), 1,
      sym_argument_list,
    STATE(4092), 1,
      sym_subscript_argument_list,
    ACTIONS(7197), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(8294), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8296), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8326), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 7,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
    ACTIONS(6152), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_GT2,
  [183269] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8719), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183360] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8721), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183451] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8723), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183542] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8749), 1,
      anon_sym_COLON,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183633] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8759), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183724] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4855), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183815] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4913), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183906] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8761), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [183997] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8763), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184088] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8765), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8767), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184270] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4698), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184361] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8769), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184452] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8771), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184543] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8773), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184634] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(8775), 1,
      anon_sym_COLON,
    STATE(3646), 1,
      sym_attribute_specifier,
    STATE(4320), 1,
      sym__enum_base_clause,
    STATE(4371), 1,
      sym_enumerator_list,
    ACTIONS(6094), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6096), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [184691] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4909), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184782] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8777), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184873] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4692), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [184964] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8779), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185055] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8781), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185146] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8783), 1,
      anon_sym_LT,
    STATE(5340), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5374), 1,
      sym_template_argument_list,
    ACTIONS(4135), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(8567), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185201] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8785), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185292] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(8775), 1,
      anon_sym_COLON,
    STATE(3679), 1,
      sym_attribute_specifier,
    STATE(4326), 1,
      sym__enum_base_clause,
    STATE(4375), 1,
      sym_enumerator_list,
    ACTIONS(6088), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6090), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [185349] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6249), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6251), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [185406] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8787), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185497] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4903), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185588] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185679] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8791), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185770] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8793), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185861] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8795), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [185952] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8797), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186043] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8799), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186134] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8801), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186225] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8803), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186316] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6658), 1,
      sym__abstract_declarator,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(5220), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [186383] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8805), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186474] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8807), 1,
      anon_sym_RBRACE,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8809), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186656] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8811), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186747] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8813), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186838] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8815), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [186929] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8817), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187020] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6218), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6220), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [187079] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4690), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187170] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187261] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4682), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187352] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8821), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187443] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6214), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6216), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [187502] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8823), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187593] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8825), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187684] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8830), 1,
      anon_sym_const,
    ACTIONS(5569), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8827), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5571), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [187735] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8833), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187826] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8835), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [187917] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8837), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188008] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8839), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188099] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(6172), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6174), 22,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
  [188156] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6150), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [188215] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8841), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188306] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8843), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188397] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8845), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188488] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8847), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188579] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6674), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188666] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8849), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188757] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(6162), 8,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6164), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [188816] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8851), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188907] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8853), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [188998] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4702), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8855), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189180] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8857), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189271] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8859), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189362] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8861), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189453] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8863), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189544] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8865), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189635] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8867), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189726] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8869), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189817] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8871), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189908] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8873), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [189999] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8875), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190090] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6073), 1,
      sym_literal_suffix,
    ACTIONS(4145), 17,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
    ACTIONS(4137), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [190137] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4861), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190228] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8877), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190319] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8879), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190410] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4672), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190501] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8881), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190592] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8883), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190683] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4865), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190774] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6923), 1,
      sym__abstract_declarator,
    STATE(5403), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8117), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [190847] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8891), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [190938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6234), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6236), 26,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [190983] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8893), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191074] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8895), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191165] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8897), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191256] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4871), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191347] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4915), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191438] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8899), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8901), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191620] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8903), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191711] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8405), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191802] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8905), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191893] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8907), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [191984] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8909), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192075] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DOT,
      sym_literal_suffix,
    ACTIONS(6704), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [192120] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8911), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192211] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8913), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192302] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6656), 1,
      anon_sym_COLON,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192393] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8915), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192484] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8917), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192575] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8919), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192666] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8921), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192757] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6649), 1,
      sym__abstract_declarator,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8589), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [192824] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8923), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [192915] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4776), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193006] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8925), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193097] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8927), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193188] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8929), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193279] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8931), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193370] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8933), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193461] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6622), 1,
      sym__abstract_declarator,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [193528] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8935), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193619] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5225), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5548), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8937), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [193668] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8939), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193759] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8941), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193850] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5974), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [193899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8945), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [193990] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
  [194075] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5968), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194124] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8947), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194215] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8949), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194306] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4873), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194397] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8951), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194488] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4875), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194579] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4796), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194670] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6668), 1,
      anon_sym_COLON,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5260), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6019), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8953), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6021), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [194810] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6641), 1,
      sym__abstract_declarator,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8577), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [194877] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6616), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [194964] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4853), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195055] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5265), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8955), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [195104] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6678), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195191] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8957), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195282] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4846), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195373] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6342), 1,
      anon_sym_COLON,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195464] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8959), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195555] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8460), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8961), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195646] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8963), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195737] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 7,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [195800] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8965), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6650), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COLON,
      anon_sym_QMARK,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [195978] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    ACTIONS(8967), 1,
      anon_sym_RBRACK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196069] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5252), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5284), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5282), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [196118] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 7,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
  [196201] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8972), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196292] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6932), 1,
      sym__abstract_declarator,
    STATE(5378), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8139), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [196365] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8974), 1,
      anon_sym_COMMA,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196456] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
  [196537] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8976), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196628] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8978), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5994), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5996), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [196768] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 16,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [196835] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8980), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [196926] = 6,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5252), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5282), 2,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(8969), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5763), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5766), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [196977] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8735), 1,
      anon_sym_PIPE,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8751), 1,
      anon_sym_QMARK,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8755), 1,
      anon_sym_bitor,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    ACTIONS(8982), 1,
      anon_sym_COLON,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8731), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8733), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8737), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(4822), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5986), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8943), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5988), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [197117] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8984), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197208] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [197273] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(6150), 5,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [197342] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8986), 1,
      sym_identifier,
    ACTIONS(8990), 1,
      sym_primitive_type,
    STATE(5263), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(8988), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5600), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(5602), 20,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [197395] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8992), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197486] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6150), 1,
      anon_sym_PIPE,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8739), 1,
      anon_sym_AMP,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8757), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
  [197565] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197656] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8783), 1,
      anon_sym_LT,
    STATE(5374), 1,
      sym_template_argument_list,
    ACTIONS(5019), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5026), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197707] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5225), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5817), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(8937), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5819), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [197756] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4810), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197847] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8783), 1,
      anon_sym_LT,
    STATE(5374), 1,
      sym_template_argument_list,
    ACTIONS(5368), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4161), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [197898] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4704), 1,
      anon_sym_RBRACK,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8260), 1,
      anon_sym_SLASH,
    ACTIONS(8266), 1,
      anon_sym_PIPE,
    ACTIONS(8270), 1,
      anon_sym_AMP,
    ACTIONS(8276), 1,
      anon_sym_GT_EQ,
    ACTIONS(8282), 1,
      anon_sym_QMARK,
    ACTIONS(8284), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8286), 1,
      anon_sym_bitor,
    ACTIONS(8288), 1,
      anon_sym_bitand,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8256), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8258), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8262), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8264), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8268), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8278), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8272), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8274), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [197989] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8741), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 11,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
  [198064] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    ACTIONS(8996), 1,
      anon_sym_SEMI,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(7383), 1,
      anon_sym_DOT,
    ACTIONS(8729), 1,
      anon_sym_SLASH,
    ACTIONS(8745), 1,
      anon_sym_GT_EQ,
    ACTIONS(8753), 1,
      anon_sym_LT_EQ_GT,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6150), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(7385), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8725), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8727), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8747), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8743), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(6152), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_COLON,
      anon_sym_QMARK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
  [198228] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(6154), 1,
      anon_sym_LBRACK,
    ACTIONS(6158), 1,
      anon_sym_DOT,
    ACTIONS(8019), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(8175), 1,
      anon_sym_SLASH,
    ACTIONS(8181), 1,
      anon_sym_PIPE,
    ACTIONS(8185), 1,
      anon_sym_AMP,
    ACTIONS(8191), 1,
      anon_sym_GT_EQ,
    ACTIONS(8195), 1,
      anon_sym_LT_EQ_GT,
    ACTIONS(8197), 1,
      anon_sym_bitor,
    ACTIONS(8199), 1,
      anon_sym_bitand,
    ACTIONS(8217), 1,
      anon_sym_QMARK,
    STATE(2837), 1,
      sym_subscript_argument_list,
    STATE(2843), 1,
      sym_argument_list,
    ACTIONS(6160), 2,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
    ACTIONS(7753), 2,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
    ACTIONS(8171), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(8173), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(8177), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(8179), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(8183), 2,
      anon_sym_CARET,
      anon_sym_xor,
    ACTIONS(8193), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(8187), 3,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_not_eq,
    ACTIONS(8189), 3,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [198316] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6769), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8577), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [198382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6467), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6469), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6463), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6465), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198470] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6352), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6354), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198514] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3924), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(3920), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198558] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8998), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(9000), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6135), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6137), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198606] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6424), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6426), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198650] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6491), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6493), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198694] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6447), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6449), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198738] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(5407), 1,
      sym_ref_qualifier,
    STATE(6370), 1,
      sym__function_attributes_end,
    STATE(6486), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5837), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [198820] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6479), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6481), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198864] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6295), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6297), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6410), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6412), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6356), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6358), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [198996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6291), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6293), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6336), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6338), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6261), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6263), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6451), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6453), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199172] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9009), 1,
      anon_sym_requires,
    STATE(5415), 1,
      sym_ref_qualifier,
    STATE(6371), 1,
      sym__function_attributes_end,
    STATE(6527), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5838), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [199254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6330), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6332), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8248), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8246), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [199348] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6802), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6283), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6285), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6475), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6477), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199502] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9000), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6253), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6255), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199548] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9016), 1,
      anon_sym___attribute__,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9014), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9012), 30,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [199596] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6808), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8577), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199662] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6388), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6390), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6275), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6277), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6279), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6281), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199794] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7003), 1,
      sym__abstract_declarator,
    STATE(5417), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8117), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6396), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6398), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [199910] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6785), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [199976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6471), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6473), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6306), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6308), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6310), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6312), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200108] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6793), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8589), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200174] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6773), 1,
      sym__abstract_declarator,
    STATE(5314), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200240] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6314), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6316), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200284] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(2440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5687), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5689), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [200338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6318), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6320), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200382] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6798), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8589), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6257), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6259), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200492] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6459), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6461), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5348), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(2879), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6487), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6489), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200624] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(9027), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9025), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [200674] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5408), 1,
      sym_field_declaration_list,
    STATE(5471), 1,
      sym_attribute_specifier,
    STATE(7532), 1,
      sym_virtual_specifier,
    STATE(8216), 1,
      sym_base_class_clause,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5313), 24,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_try,
      anon_sym_requires,
  [200734] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6302), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6304), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200778] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6794), 1,
      sym__abstract_declarator,
    STATE(5303), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [200844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6271), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6273), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6376), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6378), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6384), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6386), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [200976] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6380), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6382), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6326), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6328), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201064] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6998), 1,
      sym__abstract_declarator,
    STATE(5424), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8139), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6340), 11,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_GT_GT,
      anon_sym_DOT,
    ACTIONS(6342), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_LT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
      anon_sym_GT2,
  [201180] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6838), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8577), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201245] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5252), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5968), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5966), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201292] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9033), 1,
      anon_sym___attribute__,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(5451), 1,
      sym_ref_qualifier,
    STATE(6242), 1,
      sym__function_attributes_end,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5884), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [201373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5005), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5001), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4997), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201502] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5009), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5013), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201588] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5017), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [201631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6245), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6247), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [201674] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7044), 1,
      sym__abstract_declarator,
    STATE(5446), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8139), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201745] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6871), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8589), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [201810] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9051), 1,
      anon_sym_SEMI,
    ACTIONS(6271), 9,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_DOT,
    ACTIONS(6273), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_LBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ_GT,
      anon_sym_or,
      anon_sym_and,
      anon_sym_bitor,
      anon_sym_xor,
      anon_sym_bitand,
      anon_sym_not_eq,
      anon_sym_DASH_DASH,
      anon_sym_PLUS_PLUS,
      anon_sym_DOT_STAR,
      anon_sym_DASH_GT,
  [201855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6192), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6194), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [201898] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9055), 1,
      anon_sym_COLON,
    STATE(5399), 1,
      sym__enum_base_clause,
    STATE(5426), 1,
      sym_enumerator_list,
    STATE(5463), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6090), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [201953] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9055), 1,
      anon_sym_COLON,
    STATE(5405), 1,
      sym__enum_base_clause,
    STATE(5414), 1,
      sym_enumerator_list,
    STATE(5468), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6096), 26,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [202008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5817), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5819), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202055] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6873), 1,
      sym__abstract_declarator,
    STATE(5360), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202120] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5577), 1,
      sym_field_declaration_list,
    STATE(5761), 1,
      sym_attribute_specifier,
    STATE(7605), 1,
      sym_virtual_specifier,
    STATE(8430), 1,
      sym_base_class_clause,
    ACTIONS(5311), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5313), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5405), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5407), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202222] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9033), 1,
      anon_sym___attribute__,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5480), 1,
      sym_ref_qualifier,
    STATE(6273), 1,
      sym__function_attributes_end,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5868), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [202303] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6843), 1,
      sym__abstract_declarator,
    STATE(5153), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
    ACTIONS(7363), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202368] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(5495), 1,
      sym_decltype_auto,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7033), 1,
      sym__abstract_declarator,
    STATE(5512), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8117), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [202439] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5252), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5986), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5988), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202486] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5252), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5994), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5996), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202533] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    STATE(2440), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5058), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 24,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [202586] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5578), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5580), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5424), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202676] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5422), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5424), 31,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202721] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(2892), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5687), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5084), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5689), 25,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [202774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4993), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202817] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9068), 1,
      anon_sym_const,
    ACTIONS(5569), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9065), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5571), 19,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [202866] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5596), 32,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [202909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6206), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6208), 32,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [202952] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5252), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5974), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9031), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5972), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [202999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5039), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5044), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203042] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5362), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6013), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9071), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6015), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203089] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5363), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6019), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9073), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6021), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3592), 13,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(3590), 22,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
      anon_sym_operator,
      anon_sym_try,
      anon_sym_requires,
  [203179] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6922), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8589), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203243] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(9027), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(9025), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [203291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8248), 2,
      anon_sym_AMP,
      anon_sym_LBRACK,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(8246), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [203339] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_const,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7113), 1,
      sym__abstract_declarator,
    STATE(5540), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8117), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203409] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(5516), 1,
      sym_ref_qualifier,
    STATE(6314), 1,
      sym__function_attributes_end,
    STATE(6342), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5895), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6917), 1,
      sym__abstract_declarator,
    STATE(5398), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [203553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5422), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5424), 32,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203595] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    ACTIONS(5368), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4161), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [203643] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      anon_sym_COLON,
    STATE(5462), 1,
      sym__enum_base_clause,
    STATE(5559), 1,
      sym_enumerator_list,
    STATE(5756), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6090), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [203697] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5564), 1,
      sym_ref_qualifier,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(6404), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5910), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203777] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5537), 1,
      sym_ref_qualifier,
    STATE(6315), 1,
      sym__function_attributes_end,
    STATE(6358), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5888), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [203857] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(5529), 1,
      sym_ref_qualifier,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(6398), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5889), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [203937] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      anon_sym_LT,
    STATE(2996), 1,
      sym_template_argument_list,
    ACTIONS(5368), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(4161), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [203985] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(5538), 1,
      sym_ref_qualifier,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(6300), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5915), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204065] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    ACTIONS(9096), 1,
      anon_sym_COLON,
    STATE(5506), 1,
      sym__enum_base_clause,
    STATE(5526), 1,
      sym_enumerator_list,
    STATE(5771), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6096), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204119] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(5574), 1,
      sym_ref_qualifier,
    STATE(6342), 1,
      sym_trailing_return_type,
    STATE(6423), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5906), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [204199] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5570), 1,
      sym_ref_qualifier,
    STATE(6243), 1,
      sym__function_attributes_end,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5890), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [204279] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5373), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(9057), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [204325] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2004), 1,
      anon_sym_enum,
    ACTIONS(2006), 1,
      anon_sym_class,
    ACTIONS(2008), 1,
      anon_sym_struct,
    ACTIONS(2010), 1,
      anon_sym_union,
    ACTIONS(2012), 1,
      anon_sym_typename,
    ACTIONS(3025), 1,
      sym_primitive_type,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9100), 1,
      sym_identifier,
    ACTIONS(9102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9106), 1,
      anon_sym_EQ,
    STATE(3571), 1,
      sym__type_specifier,
    STATE(3616), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4442), 1,
      sym_qualified_type_identifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    ACTIONS(9104), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [204409] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5525), 1,
      sym_ref_qualifier,
    STATE(6358), 1,
      sym_trailing_return_type,
    STATE(6397), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5921), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [204489] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6936), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204553] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    STATE(5436), 1,
      sym_enumerator_list,
    STATE(5485), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5707), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204603] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
    ACTIONS(5019), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5026), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [204651] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9108), 1,
      anon_sym___attribute__,
    STATE(5401), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    ACTIONS(9014), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(9012), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [204697] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      anon_sym_LT,
    STATE(2996), 1,
      sym_template_argument_list,
    ACTIONS(5019), 3,
      anon_sym_AMP,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(5026), 28,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_or,
      anon_sym_and,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [204745] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6941), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8577), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204809] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_const,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7102), 1,
      sym__abstract_declarator,
    STATE(5533), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8139), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204879] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    STATE(5418), 1,
      sym_enumerator_list,
    STATE(5494), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5808), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [204929] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7184), 1,
      sym__abstract_declarator,
    STATE(5598), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8117), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [204998] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6369), 1,
      sym__function_attributes_end,
    STATE(6500), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5845), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [205071] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5504), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5916), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205116] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5448), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5883), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205161] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9009), 1,
      anon_sym_requires,
    STATE(6371), 1,
      sym__function_attributes_end,
    STATE(6527), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5838), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [205234] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9098), 1,
      anon_sym_LT,
    STATE(2892), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2996), 1,
      sym_template_argument_list,
    ACTIONS(4135), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5084), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [205285] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5489), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5889), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205330] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(5588), 1,
      sym_ref_qualifier,
    STATE(6572), 1,
      sym__function_attributes_end,
    STATE(6725), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5937), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [205409] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5490), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5893), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205454] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_requires,
    STATE(6366), 1,
      sym__function_attributes_end,
    STATE(6488), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5850), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [205527] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9106), 1,
      anon_sym_EQ,
    ACTIONS(9124), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6116), 1,
      sym_ms_declspec_modifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9104), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6112), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5867), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [205616] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7009), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8577), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205679] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5450), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5868), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205724] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7160), 1,
      sym__abstract_declarator,
    STATE(5640), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8139), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5439), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5850), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5508), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5846), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [205883] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7176), 1,
      sym__abstract_declarator,
    STATE(5660), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8117), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [205952] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7005), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6923), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206015] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7002), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8589), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206078] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5466), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5823), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206123] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5481), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5910), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206168] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5461), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5897), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206213] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5665), 1,
      sym_ref_qualifier,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(6659), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5930), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [206292] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8129), 1,
      sym_auto,
    ACTIONS(8131), 1,
      anon_sym_decltype,
    STATE(5495), 1,
      sym_decltype_auto,
    ACTIONS(5508), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5510), 27,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206339] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6370), 1,
      sym__function_attributes_end,
    STATE(6486), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5837), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [206412] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(5622), 1,
      sym_ref_qualifier,
    STATE(6567), 1,
      sym__function_attributes_end,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5928), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [206491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(3592), 30,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [206532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5500), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5920), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206577] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(6917), 1,
      sym_auto,
    ACTIONS(6919), 1,
      anon_sym_decltype,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(3305), 1,
      sym_decltype_auto,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7166), 1,
      sym__abstract_declarator,
    STATE(5593), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8139), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206646] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9132), 1,
      anon_sym_requires,
    STATE(5655), 1,
      sym_ref_qualifier,
    STATE(6508), 1,
      sym__function_attributes_end,
    STATE(6661), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5938), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [206725] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    STATE(5503), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5864), 28,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206770] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7000), 1,
      sym__abstract_declarator,
    STATE(5423), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(6100), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [206833] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2263), 1,
      sym_attribute_specifier,
    STATE(5951), 1,
      sym_field_declaration_list,
    STATE(7338), 1,
      sym_virtual_specifier,
    STATE(8171), 1,
      sym_base_class_clause,
    ACTIONS(5313), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(5311), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [206889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5737), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [206929] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(5228), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4135), 4,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
      anon_sym_COLON,
    ACTIONS(8201), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4143), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [206979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5721), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207019] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9141), 1,
      sym_primitive_type,
    ACTIONS(9143), 1,
      anon_sym_enum,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9155), 1,
      anon_sym_typename,
    STATE(2072), 1,
      sym__type_specifier,
    STATE(2350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(5657), 1,
      sym_argument_list,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207099] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9157), 1,
      sym_identifier,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9163), 1,
      sym_primitive_type,
    ACTIONS(9165), 1,
      anon_sym_enum,
    ACTIONS(9167), 1,
      anon_sym_class,
    ACTIONS(9169), 1,
      anon_sym_struct,
    ACTIONS(9171), 1,
      anon_sym_union,
    ACTIONS(9173), 1,
      sym_auto,
    ACTIONS(9175), 1,
      anon_sym_decltype,
    ACTIONS(9177), 1,
      anon_sym_typename,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(3731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4241), 1,
      sym__type_specifier,
    STATE(4526), 1,
      sym_decltype_auto,
    STATE(5675), 1,
      sym_argument_list,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4453), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9161), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4529), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5804), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207219] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9179), 1,
      sym_identifier,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9185), 1,
      sym_primitive_type,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_class,
    ACTIONS(9191), 1,
      anon_sym_struct,
    ACTIONS(9193), 1,
      anon_sym_union,
    ACTIONS(9195), 1,
      sym_auto,
    ACTIONS(9197), 1,
      anon_sym_decltype,
    ACTIONS(9199), 1,
      anon_sym_typename,
    STATE(2702), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2942), 1,
      sym__type_specifier,
    STATE(3348), 1,
      sym_decltype_auto,
    STATE(3372), 1,
      sym_qualified_type_identifier,
    STATE(5637), 1,
      sym_argument_list,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3170), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3350), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [207299] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7061), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8589), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5656), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5664), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207441] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7062), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6923), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [207503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5636), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207543] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym___attribute__,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5871), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [207615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5703), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207655] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(5818), 1,
      sym_ref_qualifier,
    STATE(6712), 1,
      sym__function_attributes_end,
    STATE(6857), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5960), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [207733] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9033), 1,
      anon_sym___attribute__,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6242), 1,
      sym__function_attributes_end,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5884), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [207805] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5733), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5550), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207885] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9033), 1,
      anon_sym___attribute__,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6273), 1,
      sym__function_attributes_end,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5868), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [207957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5717), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [207997] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9213), 1,
      sym_identifier,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9219), 1,
      sym_primitive_type,
    ACTIONS(9221), 1,
      anon_sym_enum,
    ACTIONS(9223), 1,
      anon_sym_class,
    ACTIONS(9225), 1,
      anon_sym_struct,
    ACTIONS(9227), 1,
      anon_sym_union,
    ACTIONS(9229), 1,
      sym_auto,
    ACTIONS(9231), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_typename,
    STATE(2912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3166), 1,
      sym__type_specifier,
    STATE(3837), 1,
      sym_decltype_auto,
    STATE(3843), 1,
      sym_qualified_type_identifier,
    STATE(5633), 1,
      sym_argument_list,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3587), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9217), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3840), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5721), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5775), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208157] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    STATE(5520), 1,
      sym_enumerator_list,
    STATE(5776), 1,
      sym_attribute_specifier,
    ACTIONS(5705), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5707), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [208205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5592), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208245] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4551), 1,
      sym__type_specifier,
    STATE(5587), 1,
      sym_argument_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5640), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5644), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208405] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9255), 1,
      sym_primitive_type,
    ACTIONS(9257), 1,
      anon_sym_enum,
    ACTIONS(9259), 1,
      anon_sym_class,
    ACTIONS(9261), 1,
      anon_sym_struct,
    ACTIONS(9263), 1,
      anon_sym_union,
    ACTIONS(9265), 1,
      sym_auto,
    ACTIONS(9267), 1,
      anon_sym_decltype,
    ACTIONS(9269), 1,
      anon_sym_typename,
    STATE(2760), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2973), 1,
      sym__type_specifier,
    STATE(3457), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_decltype_auto,
    STATE(5624), 1,
      sym_argument_list,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3344), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5652), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208525] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      sym_identifier,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_typename,
    STATE(2072), 1,
      sym__type_specifier,
    STATE(2331), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(5594), 1,
      sym_argument_list,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208605] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(5735), 1,
      sym_ref_qualifier,
    STATE(6735), 1,
      sym__function_attributes_end,
    STATE(6886), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5966), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [208683] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5771), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208723] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7942), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      sym_identifier,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9288), 1,
      anon_sym_enum,
    ACTIONS(9290), 1,
      anon_sym_class,
    ACTIONS(9292), 1,
      anon_sym_struct,
    ACTIONS(9294), 1,
      anon_sym_union,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(4591), 1,
      sym__type_specifier,
    STATE(5652), 1,
      sym_argument_list,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5721), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [208843] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9141), 1,
      sym_primitive_type,
    ACTIONS(9143), 1,
      anon_sym_enum,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9155), 1,
      anon_sym_typename,
    STATE(2066), 1,
      sym__type_specifier,
    STATE(2350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(5644), 1,
      sym_argument_list,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [208923] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9157), 1,
      sym_identifier,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9163), 1,
      sym_primitive_type,
    ACTIONS(9165), 1,
      anon_sym_enum,
    ACTIONS(9167), 1,
      anon_sym_class,
    ACTIONS(9169), 1,
      anon_sym_struct,
    ACTIONS(9171), 1,
      anon_sym_union,
    ACTIONS(9173), 1,
      sym_auto,
    ACTIONS(9175), 1,
      anon_sym_decltype,
    ACTIONS(9177), 1,
      anon_sym_typename,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(3731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4279), 1,
      sym__type_specifier,
    STATE(4526), 1,
      sym_decltype_auto,
    STATE(5679), 1,
      sym_argument_list,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4453), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9161), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4529), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209003] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      sym_identifier,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_typename,
    STATE(2066), 1,
      sym__type_specifier,
    STATE(2331), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(5680), 1,
      sym_argument_list,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9298), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(6192), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6194), 27,
      anon_sym_LPAREN2,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [209125] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9213), 1,
      sym_identifier,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9219), 1,
      sym_primitive_type,
    ACTIONS(9221), 1,
      anon_sym_enum,
    ACTIONS(9223), 1,
      anon_sym_class,
    ACTIONS(9225), 1,
      anon_sym_struct,
    ACTIONS(9227), 1,
      anon_sym_union,
    ACTIONS(9229), 1,
      sym_auto,
    ACTIONS(9231), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_typename,
    STATE(2912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3215), 1,
      sym__type_specifier,
    STATE(3837), 1,
      sym_decltype_auto,
    STATE(3843), 1,
      sym_qualified_type_identifier,
    STATE(5643), 1,
      sym_argument_list,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3587), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9217), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3840), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209205] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5819), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209245] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym___attribute__,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6251), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5879), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [209317] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5695), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209357] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5757), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209397] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7942), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      sym_identifier,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9288), 1,
      anon_sym_enum,
    ACTIONS(9290), 1,
      anon_sym_class,
    ACTIONS(9292), 1,
      anon_sym_struct,
    ACTIONS(9294), 1,
      anon_sym_union,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(4605), 1,
      sym__type_specifier,
    STATE(5630), 1,
      sym_argument_list,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209477] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9307), 1,
      sym_primitive_type,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2895), 1,
      sym__type_specifier,
    STATE(3034), 1,
      sym_decltype_auto,
    STATE(3142), 1,
      sym_qualified_type_identifier,
    STATE(5590), 1,
      sym_argument_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9305), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209557] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5699), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209597] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5733), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209637] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9329), 1,
      sym_primitive_type,
    ACTIONS(9331), 1,
      anon_sym_enum,
    ACTIONS(9333), 1,
      anon_sym_class,
    ACTIONS(9335), 1,
      anon_sym_struct,
    ACTIONS(9337), 1,
      anon_sym_union,
    ACTIONS(9339), 1,
      sym_auto,
    ACTIONS(9341), 1,
      anon_sym_decltype,
    ACTIONS(9343), 1,
      anon_sym_typename,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4381), 1,
      sym__type_specifier,
    STATE(4640), 1,
      sym_decltype_auto,
    STATE(4666), 1,
      sym_qualified_type_identifier,
    STATE(5673), 1,
      sym_argument_list,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4592), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9327), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4667), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209717] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9179), 1,
      sym_identifier,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9185), 1,
      sym_primitive_type,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_class,
    ACTIONS(9191), 1,
      anon_sym_struct,
    ACTIONS(9193), 1,
      anon_sym_union,
    ACTIONS(9195), 1,
      sym_auto,
    ACTIONS(9197), 1,
      anon_sym_decltype,
    ACTIONS(9199), 1,
      anon_sym_typename,
    STATE(2702), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2947), 1,
      sym__type_specifier,
    STATE(3348), 1,
      sym_decltype_auto,
    STATE(3372), 1,
      sym_qualified_type_identifier,
    STATE(5606), 1,
      sym_argument_list,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3170), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3350), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5685), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5753), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [209877] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9255), 1,
      sym_primitive_type,
    ACTIONS(9257), 1,
      anon_sym_enum,
    ACTIONS(9259), 1,
      anon_sym_class,
    ACTIONS(9261), 1,
      anon_sym_struct,
    ACTIONS(9263), 1,
      anon_sym_union,
    ACTIONS(9265), 1,
      sym_auto,
    ACTIONS(9267), 1,
      anon_sym_decltype,
    ACTIONS(9269), 1,
      anon_sym_typename,
    STATE(2760), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2978), 1,
      sym__type_specifier,
    STATE(3457), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_decltype_auto,
    STATE(5625), 1,
      sym_argument_list,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3344), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [209957] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4402), 1,
      sym__type_specifier,
    STATE(5664), 1,
      sym_argument_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210037] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5725), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5749), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5791), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5660), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210197] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5571), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(8830), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5569), 15,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      anon_sym_enum,
      anon_sym_class,
      anon_sym_struct,
      anon_sym_union,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_typename,
      anon_sym_template,
  [210241] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4368), 1,
      sym__type_specifier,
    STATE(5605), 1,
      sym_argument_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210321] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4565), 1,
      sym__type_specifier,
    STATE(5604), 1,
      sym_argument_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5761), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210441] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5713), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5648), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210521] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5741), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5745), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5679), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210641] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    STATE(5575), 1,
      sym_enumerator_list,
    STATE(5814), 1,
      sym_attribute_specifier,
    ACTIONS(5806), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5808), 26,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [210689] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9307), 1,
      sym_primitive_type,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2866), 1,
      sym__type_specifier,
    STATE(3034), 1,
      sym_decltype_auto,
    STATE(3142), 1,
      sym_qualified_type_identifier,
    STATE(5600), 1,
      sym_argument_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9305), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [210769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5729), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(5628), 29,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [210849] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5727), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9352), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5510), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(9349), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9347), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9345), 18,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [210897] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7053), 1,
      sym__abstract_declarator,
    STATE(5449), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6100), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [210959] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7612), 1,
      anon_sym_const,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7067), 1,
      sym__abstract_declarator,
    STATE(5370), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8577), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7604), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211021] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9329), 1,
      sym_primitive_type,
    ACTIONS(9331), 1,
      anon_sym_enum,
    ACTIONS(9333), 1,
      anon_sym_class,
    ACTIONS(9335), 1,
      anon_sym_struct,
    ACTIONS(9337), 1,
      anon_sym_union,
    ACTIONS(9339), 1,
      sym_auto,
    ACTIONS(9341), 1,
      anon_sym_decltype,
    ACTIONS(9343), 1,
      anon_sym_typename,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4384), 1,
      sym__type_specifier,
    STATE(4640), 1,
      sym_decltype_auto,
    STATE(4666), 1,
      sym_qualified_type_identifier,
    STATE(5672), 1,
      sym_argument_list,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4592), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9327), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4667), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [211101] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5770), 1,
      sym_attribute_specifier,
    ACTIONS(5821), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5823), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211144] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6466), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8494), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211217] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    STATE(6310), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5901), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [211288] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6215), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8713), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211361] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_COLON,
    STATE(2207), 1,
      sym_attribute_specifier,
    STATE(2833), 1,
      sym__enum_base_clause,
    STATE(2880), 1,
      sym_enumerator_list,
    ACTIONS(6088), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6090), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [211412] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_STAR,
    ACTIONS(9368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9370), 1,
      anon_sym_AMP,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6976), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6923), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5819), 1,
      sym_attribute_specifier,
    ACTIONS(5862), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5864), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211516] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(6300), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5915), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211587] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6182), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8545), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [211660] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_const,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7144), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6923), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [211721] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_COLON,
    STATE(3004), 1,
      sym__enum_base_clause,
    STATE(3120), 1,
      sym_enumerator_list,
    STATE(3294), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6090), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [211772] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6338), 1,
      sym_trailing_return_type,
    STATE(6413), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5920), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [211843] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5812), 1,
      sym_attribute_specifier,
    ACTIONS(5891), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5893), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [211886] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6243), 1,
      sym__function_attributes_end,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5890), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [211957] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6214), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9146), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212030] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(6382), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5891), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212101] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(7104), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212162] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6167), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9116), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212235] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5827), 1,
      sym_attribute_specifier,
    ACTIONS(5881), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5883), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_const,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7112), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8589), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5750), 1,
      sym_attribute_specifier,
    ACTIONS(5887), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5889), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212382] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6358), 1,
      sym_trailing_return_type,
    STATE(6397), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5921), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [212453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5760), 1,
      sym_attribute_specifier,
    ACTIONS(5895), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5897), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [212496] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6316), 1,
      sym__function_attributes_end,
    STATE(6338), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5902), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [212567] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6298), 1,
      sym__function_attributes_end,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5913), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [212638] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6232), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9155), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212711] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_const,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7147), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8577), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212772] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6466), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9248), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [212845] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(6404), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5910), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [212916] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(6637), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [212977] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6466), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9155), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213050] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6466), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9116), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213123] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(6706), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213184] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6173), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8509), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213257] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6112), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(9364), 1,
      anon_sym_COLON,
    STATE(2230), 1,
      sym_attribute_specifier,
    STATE(2805), 1,
      sym__enum_base_clause,
    STATE(2908), 1,
      sym_enumerator_list,
    ACTIONS(6094), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6096), 23,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [213308] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(4161), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5368), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [213353] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6218), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9248), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213426] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(6689), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213487] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6509), 1,
      anon_sym___attribute__,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(9372), 1,
      anon_sym_COLON,
    STATE(3026), 1,
      sym__enum_base_clause,
    STATE(3081), 1,
      sym_enumerator_list,
    STATE(3275), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6096), 23,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [213538] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_STAR,
    ACTIONS(9368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9370), 1,
      anon_sym_AMP,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6990), 1,
      sym__abstract_declarator,
    STATE(5519), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6100), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6409), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8936), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [213672] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    ACTIONS(5026), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5019), 25,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      anon_sym_COLON,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
  [213717] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(6314), 1,
      sym__function_attributes_end,
    STATE(6342), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5895), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [213788] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(7106), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213849] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(7108), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
    ACTIONS(3460), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [213910] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5772), 1,
      sym_attribute_specifier,
    ACTIONS(5908), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5910), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [213953] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6315), 1,
      sym__function_attributes_end,
    STATE(6358), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5888), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [214024] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6466), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(9146), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214097] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5821), 1,
      sym_attribute_specifier,
    ACTIONS(5844), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5846), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214140] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8117), 1,
      anon_sym_COLON,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_const,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7301), 1,
      sym__abstract_declarator,
    STATE(5858), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214207] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    STATE(6386), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5887), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214278] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    ACTIONS(9083), 1,
      anon_sym_const,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7105), 1,
      sym__abstract_declarator,
    STATE(5523), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6100), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [214339] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(6398), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5889), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [214410] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(6342), 1,
      sym_trailing_return_type,
    STATE(6423), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5906), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [214481] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6204), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8941), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214554] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6379), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    STATE(8936), 1,
      sym__declaration_declarator,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214627] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    STATE(6355), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5914), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [214698] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6154), 1,
      sym__declarator,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8494), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214771] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6466), 1,
      sym__declarator,
    STATE(7951), 1,
      sym_init_declarator,
    STATE(8936), 1,
      sym__declaration_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [214844] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5820), 1,
      sym_attribute_specifier,
    ACTIONS(5848), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5850), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [214887] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    STATE(6343), 1,
      sym_trailing_return_type,
    STATE(6434), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5907), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [214958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5824), 1,
      sym_attribute_specifier,
    ACTIONS(5866), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5868), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215001] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7825), 1,
      sym_auto,
    ACTIONS(7827), 1,
      anon_sym_decltype,
    ACTIONS(8139), 1,
      anon_sym_COLON,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_const,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(2269), 1,
      sym_decltype_auto,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7259), 1,
      sym__abstract_declarator,
    STATE(5842), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215068] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5781), 1,
      sym_attribute_specifier,
    ACTIONS(5914), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5916), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9059), 1,
      anon_sym___attribute__,
    STATE(5798), 1,
      sym_attribute_specifier,
    ACTIONS(5918), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5920), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [215154] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(6659), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5930), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [215224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3571), 1,
      sym__type_specifier,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [215298] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2408), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215356] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9179), 1,
      sym_identifier,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9185), 1,
      sym_primitive_type,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_class,
    ACTIONS(9191), 1,
      anon_sym_struct,
    ACTIONS(9193), 1,
      anon_sym_union,
    ACTIONS(9195), 1,
      sym_auto,
    ACTIONS(9197), 1,
      anon_sym_decltype,
    ACTIONS(9199), 1,
      anon_sym_typename,
    STATE(2702), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3187), 1,
      sym__type_specifier,
    STATE(3348), 1,
      sym_decltype_auto,
    STATE(3372), 1,
      sym_qualified_type_identifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3170), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3350), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [215430] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3300), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(8467), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215488] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_enum,
    ACTIONS(67), 1,
      anon_sym_class,
    ACTIONS(69), 1,
      anon_sym_struct,
    ACTIONS(71), 1,
      anon_sym_union,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(127), 1,
      anon_sym_typename,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3025), 1,
      sym_primitive_type,
    ACTIONS(5094), 1,
      sym_identifier,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    STATE(3571), 1,
      sym__type_specifier,
    STATE(3616), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4442), 1,
      sym_qualified_type_identifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [215562] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3205), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215620] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9132), 1,
      anon_sym_requires,
    STATE(6508), 1,
      sym__function_attributes_end,
    STATE(6661), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5938), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [215690] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4530), 1,
      sym__type_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [215764] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9380), 1,
      anon_sym_requires,
    STATE(6607), 1,
      sym__function_attributes_end,
    STATE(6664), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5942), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [215834] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7185), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [215892] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9307), 1,
      sym_primitive_type,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2900), 1,
      sym__type_specifier,
    STATE(3034), 1,
      sym_decltype_auto,
    STATE(3142), 1,
      sym_qualified_type_identifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9305), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [215966] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2332), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216024] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(2987), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(9128), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7175), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8589), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      sym_identifier,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_typename,
    STATE(2060), 1,
      sym__type_specifier,
    STATE(2331), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216216] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6896), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216274] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(6572), 1,
      sym__function_attributes_end,
    STATE(6725), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5937), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [216344] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5755), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5757), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216382] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7154), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8577), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [216442] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5876), 1,
      sym_ref_qualifier,
    STATE(6777), 1,
      sym__function_attributes_end,
    STATE(6925), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5973), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [216518] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9307), 1,
      sym_primitive_type,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2874), 1,
      sym__type_specifier,
    STATE(3034), 1,
      sym_decltype_auto,
    STATE(3142), 1,
      sym_qualified_type_identifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9305), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5504), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5506), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [216630] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9255), 1,
      sym_primitive_type,
    ACTIONS(9257), 1,
      anon_sym_enum,
    ACTIONS(9259), 1,
      anon_sym_class,
    ACTIONS(9261), 1,
      anon_sym_struct,
    ACTIONS(9263), 1,
      anon_sym_union,
    ACTIONS(9265), 1,
      sym_auto,
    ACTIONS(9267), 1,
      anon_sym_decltype,
    ACTIONS(9269), 1,
      anon_sym_typename,
    STATE(2760), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3270), 1,
      sym__type_specifier,
    STATE(3457), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_decltype_auto,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3344), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216704] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9141), 1,
      sym_primitive_type,
    ACTIONS(9143), 1,
      anon_sym_enum,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9155), 1,
      anon_sym_typename,
    STATE(2350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2398), 1,
      sym__type_specifier,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216778] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4527), 1,
      sym__type_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216852] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4353), 1,
      sym__type_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [216926] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9179), 1,
      sym_identifier,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9185), 1,
      sym_primitive_type,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_class,
    ACTIONS(9191), 1,
      anon_sym_struct,
    ACTIONS(9193), 1,
      anon_sym_union,
    ACTIONS(9195), 1,
      sym_auto,
    ACTIONS(9197), 1,
      anon_sym_decltype,
    ACTIONS(9199), 1,
      anon_sym_typename,
    STATE(2702), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2957), 1,
      sym__type_specifier,
    STATE(3348), 1,
      sym_decltype_auto,
    STATE(3372), 1,
      sym_qualified_type_identifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3170), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3350), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217000] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5715), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5717), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [217038] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2128), 1,
      sym__type_specifier,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217112] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7947), 1,
      sym_identifier,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7951), 1,
      anon_sym_enum,
    ACTIONS(7953), 1,
      anon_sym_class,
    ACTIONS(7955), 1,
      anon_sym_struct,
    ACTIONS(7957), 1,
      anon_sym_union,
    ACTIONS(7959), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5429), 1,
      sym__type_specifier,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217186] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9383), 1,
      anon_sym_requires,
    STATE(5869), 1,
      sym_ref_qualifier,
    STATE(6765), 1,
      sym__function_attributes_end,
    STATE(6961), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6001), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [217262] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(7296), 1,
      sym__type_specifier,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217336] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(6754), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217394] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7169), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217452] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3928), 1,
      sym_identifier,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(3940), 1,
      anon_sym_enum,
    ACTIONS(3942), 1,
      anon_sym_class,
    ACTIONS(3944), 1,
      anon_sym_struct,
    ACTIONS(3946), 1,
      anon_sym_union,
    ACTIONS(3948), 1,
      anon_sym_typename,
    STATE(3571), 1,
      sym__type_specifier,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217526] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(3027), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(9128), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217584] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2004), 1,
      anon_sym_enum,
    ACTIONS(2006), 1,
      anon_sym_class,
    ACTIONS(2008), 1,
      anon_sym_struct,
    ACTIONS(2010), 1,
      anon_sym_union,
    ACTIONS(2012), 1,
      anon_sym_typename,
    ACTIONS(3025), 1,
      sym_primitive_type,
    ACTIONS(5067), 1,
      sym_identifier,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    STATE(3571), 1,
      sym__type_specifier,
    STATE(3616), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4442), 1,
      sym_qualified_type_identifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217658] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7194), 1,
      sym__type_declarator,
    STATE(9061), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217716] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5618), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5569), 6,
      anon_sym_AMP,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
    ACTIONS(5571), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
    ACTIONS(9386), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217758] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3938), 1,
      sym_primitive_type,
    ACTIONS(7921), 1,
      sym_identifier,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7925), 1,
      anon_sym_enum,
    ACTIONS(7927), 1,
      anon_sym_class,
    ACTIONS(7929), 1,
      anon_sym_struct,
    ACTIONS(7931), 1,
      anon_sym_union,
    ACTIONS(7933), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(7277), 1,
      sym__type_specifier,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [217832] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(6616), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217890] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7183), 1,
      sym__abstract_declarator,
    STATE(5627), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6100), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [217950] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6615), 1,
      sym__function_attributes_end,
    STATE(6688), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5931), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [218020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5654), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5656), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218058] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9255), 1,
      sym_primitive_type,
    ACTIONS(9257), 1,
      anon_sym_enum,
    ACTIONS(9259), 1,
      anon_sym_class,
    ACTIONS(9261), 1,
      anon_sym_struct,
    ACTIONS(9263), 1,
      anon_sym_union,
    ACTIONS(9265), 1,
      sym_auto,
    ACTIONS(9267), 1,
      anon_sym_decltype,
    ACTIONS(9269), 1,
      anon_sym_typename,
    STATE(2760), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2986), 1,
      sym__type_specifier,
    STATE(3457), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_decltype_auto,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3344), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218132] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9249), 1,
      sym_identifier,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9255), 1,
      sym_primitive_type,
    ACTIONS(9257), 1,
      anon_sym_enum,
    ACTIONS(9259), 1,
      anon_sym_class,
    ACTIONS(9261), 1,
      anon_sym_struct,
    ACTIONS(9263), 1,
      anon_sym_union,
    ACTIONS(9265), 1,
      sym_auto,
    ACTIONS(9267), 1,
      anon_sym_decltype,
    ACTIONS(9269), 1,
      anon_sym_typename,
    STATE(2760), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2981), 1,
      sym__type_specifier,
    STATE(3457), 1,
      sym_qualified_type_identifier,
    STATE(3564), 1,
      sym_decltype_auto,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3344), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3560), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218206] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3322), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(8467), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218264] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7181), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6923), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218324] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(6755), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218382] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8669), 1,
      sym_identifier,
    ACTIONS(8671), 1,
      anon_sym_LPAREN2,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(8677), 1,
      sym_primitive_type,
    STATE(3261), 1,
      sym__type_declarator,
    STATE(3741), 1,
      sym_pointer_type_declarator,
    STATE(8467), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8675), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3739), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218440] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(7942), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      sym_identifier,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9288), 1,
      anon_sym_enum,
    ACTIONS(9290), 1,
      anon_sym_class,
    ACTIONS(9292), 1,
      anon_sym_struct,
    ACTIONS(9294), 1,
      anon_sym_union,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(4582), 1,
      sym__type_specifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218514] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 1,
      anon_sym_AMP,
    ACTIONS(9386), 1,
      anon_sym_const,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9389), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
    ACTIONS(5571), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218558] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7171), 1,
      sym__abstract_declarator,
    STATE(5668), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6100), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [218618] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9213), 1,
      sym_identifier,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9219), 1,
      sym_primitive_type,
    ACTIONS(9221), 1,
      anon_sym_enum,
    ACTIONS(9223), 1,
      anon_sym_class,
    ACTIONS(9225), 1,
      anon_sym_struct,
    ACTIONS(9227), 1,
      anon_sym_union,
    ACTIONS(9229), 1,
      sym_auto,
    ACTIONS(9231), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_typename,
    STATE(2912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3199), 1,
      sym__type_specifier,
    STATE(3837), 1,
      sym_decltype_auto,
    STATE(3843), 1,
      sym_qualified_type_identifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3587), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9217), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3840), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218692] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9301), 1,
      sym_identifier,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9307), 1,
      sym_primitive_type,
    ACTIONS(9309), 1,
      anon_sym_enum,
    ACTIONS(9311), 1,
      anon_sym_class,
    ACTIONS(9313), 1,
      anon_sym_struct,
    ACTIONS(9315), 1,
      anon_sym_union,
    ACTIONS(9317), 1,
      sym_auto,
    ACTIONS(9319), 1,
      anon_sym_decltype,
    ACTIONS(9321), 1,
      anon_sym_typename,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3019), 1,
      sym__type_specifier,
    STATE(3034), 1,
      sym_decltype_auto,
    STATE(3142), 1,
      sym_qualified_type_identifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2970), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9305), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3068), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5550), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [218806] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6567), 1,
      sym__function_attributes_end,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5928), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [218876] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9179), 1,
      sym_identifier,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9185), 1,
      sym_primitive_type,
    ACTIONS(9187), 1,
      anon_sym_enum,
    ACTIONS(9189), 1,
      anon_sym_class,
    ACTIONS(9191), 1,
      anon_sym_struct,
    ACTIONS(9193), 1,
      anon_sym_union,
    ACTIONS(9195), 1,
      sym_auto,
    ACTIONS(9197), 1,
      anon_sym_decltype,
    ACTIONS(9199), 1,
      anon_sym_typename,
    STATE(2702), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2952), 1,
      sym__type_specifier,
    STATE(3348), 1,
      sym_decltype_auto,
    STATE(3372), 1,
      sym_qualified_type_identifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3170), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3350), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [218950] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3200), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219008] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7865), 1,
      sym_identifier,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7871), 1,
      sym_primitive_type,
    ACTIONS(7873), 1,
      anon_sym_enum,
    ACTIONS(7875), 1,
      anon_sym_class,
    ACTIONS(7877), 1,
      anon_sym_struct,
    ACTIONS(7879), 1,
      anon_sym_union,
    ACTIONS(7881), 1,
      sym_auto,
    ACTIONS(7883), 1,
      anon_sym_decltype,
    ACTIONS(7885), 1,
      anon_sym_typename,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5429), 1,
      sym__type_specifier,
    STATE(5452), 1,
      sym_decltype_auto,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5456), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219082] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7193), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8589), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219142] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9329), 1,
      sym_primitive_type,
    ACTIONS(9331), 1,
      anon_sym_enum,
    ACTIONS(9333), 1,
      anon_sym_class,
    ACTIONS(9335), 1,
      anon_sym_struct,
    ACTIONS(9337), 1,
      anon_sym_union,
    ACTIONS(9339), 1,
      sym_auto,
    ACTIONS(9341), 1,
      anon_sym_decltype,
    ACTIONS(9343), 1,
      anon_sym_typename,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4593), 1,
      sym__type_specifier,
    STATE(4640), 1,
      sym_decltype_auto,
    STATE(4666), 1,
      sym_qualified_type_identifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4592), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9327), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4667), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219216] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6883), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219274] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9213), 1,
      sym_identifier,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9219), 1,
      sym_primitive_type,
    ACTIONS(9221), 1,
      anon_sym_enum,
    ACTIONS(9223), 1,
      anon_sym_class,
    ACTIONS(9225), 1,
      anon_sym_struct,
    ACTIONS(9227), 1,
      anon_sym_union,
    ACTIONS(9229), 1,
      sym_auto,
    ACTIONS(9231), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_typename,
    STATE(2912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3169), 1,
      sym__type_specifier,
    STATE(3837), 1,
      sym_decltype_auto,
    STATE(3843), 1,
      sym_qualified_type_identifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3587), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9217), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3840), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219348] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9141), 1,
      sym_primitive_type,
    ACTIONS(9143), 1,
      anon_sym_enum,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9155), 1,
      anon_sym_typename,
    STATE(2063), 1,
      sym__type_specifier,
    STATE(2350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219422] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8213), 1,
      sym_auto,
    ACTIONS(8215), 1,
      anon_sym_decltype,
    STATE(5729), 1,
      sym_decltype_auto,
    ACTIONS(5508), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5510), 25,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [219466] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      sym_identifier,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_typename,
    STATE(2331), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2398), 1,
      sym__type_specifier,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219540] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(7942), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      sym_identifier,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9288), 1,
      anon_sym_enum,
    ACTIONS(9290), 1,
      anon_sym_class,
    ACTIONS(9292), 1,
      anon_sym_struct,
    ACTIONS(9294), 1,
      anon_sym_union,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3208), 1,
      sym__type_specifier,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219614] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3342), 1,
      anon_sym_enum,
    ACTIONS(3344), 1,
      anon_sym_class,
    ACTIONS(3346), 1,
      anon_sym_struct,
    ACTIONS(3348), 1,
      anon_sym_union,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(3376), 1,
      anon_sym_typename,
    ACTIONS(7938), 1,
      sym_identifier,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7942), 1,
      sym_primitive_type,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3208), 1,
      sym__type_specifier,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219688] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6853), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [219746] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7847), 1,
      sym_identifier,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7853), 1,
      sym_primitive_type,
    ACTIONS(7855), 1,
      anon_sym_enum,
    ACTIONS(7857), 1,
      anon_sym_class,
    ACTIONS(7859), 1,
      anon_sym_struct,
    ACTIONS(7861), 1,
      anon_sym_union,
    ACTIONS(7863), 1,
      anon_sym_typename,
    STATE(2128), 1,
      sym__type_specifier,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(3579), 1,
      sym_qualified_type_identifier,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219820] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(5881), 1,
      sym_ref_qualifier,
    STATE(6725), 1,
      sym_trailing_return_type,
    STATE(6908), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6026), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [219896] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3372), 1,
      sym_auto,
    ACTIONS(3374), 1,
      anon_sym_decltype,
    ACTIONS(7942), 1,
      sym_primitive_type,
    ACTIONS(9284), 1,
      sym_identifier,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9288), 1,
      anon_sym_enum,
    ACTIONS(9290), 1,
      anon_sym_class,
    ACTIONS(9292), 1,
      anon_sym_struct,
    ACTIONS(9294), 1,
      anon_sym_union,
    ACTIONS(9296), 1,
      anon_sym_typename,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3368), 1,
      sym_qualified_type_identifier,
    STATE(3379), 1,
      sym_decltype_auto,
    STATE(4636), 1,
      sym__type_specifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3176), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3276), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [219970] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(9392), 1,
      anon_sym_LPAREN2,
    STATE(2872), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4034), 1,
      sym_argument_list,
    STATE(5315), 1,
      sym_initializer_list,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(6517), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 19,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [220020] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(8561), 1,
      sym_primitive_type,
    STATE(2319), 1,
      sym__type_declarator,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220078] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_requires,
    STATE(6531), 1,
      sym__function_attributes_end,
    STATE(6662), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5924), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [220148] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(7893), 1,
      sym_identifier,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7899), 1,
      sym_primitive_type,
    ACTIONS(7901), 1,
      anon_sym_enum,
    ACTIONS(7903), 1,
      anon_sym_class,
    ACTIONS(7905), 1,
      anon_sym_struct,
    ACTIONS(7907), 1,
      anon_sym_union,
    ACTIONS(7909), 1,
      sym_auto,
    ACTIONS(7911), 1,
      anon_sym_decltype,
    ACTIONS(7913), 1,
      anon_sym_typename,
    STATE(5269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(5645), 1,
      sym__type_specifier,
    STATE(5745), 1,
      sym_qualified_type_identifier,
    STATE(5768), 1,
      sym_decltype_auto,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(5635), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(7897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(5828), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220222] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9135), 1,
      sym_identifier,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9141), 1,
      sym_primitive_type,
    ACTIONS(9143), 1,
      anon_sym_enum,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9155), 1,
      anon_sym_typename,
    STATE(2060), 1,
      sym__type_specifier,
    STATE(2350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220296] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8579), 1,
      sym_identifier,
    ACTIONS(8581), 1,
      anon_sym_LPAREN2,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(8587), 1,
      sym_primitive_type,
    STATE(2995), 1,
      sym__type_declarator,
    STATE(3343), 1,
      sym_pointer_type_declarator,
    STATE(9128), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8585), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3341), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220354] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(6589), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220412] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7187), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8577), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220472] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8621), 1,
      sym_identifier,
    ACTIONS(8623), 1,
      anon_sym_LPAREN2,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(8629), 1,
      sym_primitive_type,
    STATE(3237), 1,
      sym__type_declarator,
    STATE(3601), 1,
      sym_pointer_type_declarator,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8627), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3606), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220530] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(8603), 1,
      sym_primitive_type,
    STATE(6772), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(8570), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220588] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8595), 1,
      sym_identifier,
    ACTIONS(8597), 1,
      anon_sym_LPAREN2,
    ACTIONS(8603), 1,
      sym_primitive_type,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    STATE(6599), 1,
      sym__type_declarator,
    STATE(6811), 1,
      sym_pointer_type_declarator,
    STATE(9185), 1,
      sym_ms_based_modifier,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(8601), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(6776), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220646] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(7843), 1,
      sym_primitive_type,
    ACTIONS(9235), 1,
      sym_identifier,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9239), 1,
      anon_sym_enum,
    ACTIONS(9241), 1,
      anon_sym_class,
    ACTIONS(9243), 1,
      anon_sym_struct,
    ACTIONS(9245), 1,
      anon_sym_union,
    ACTIONS(9247), 1,
      anon_sym_typename,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(4382), 1,
      sym__type_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220720] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6502), 1,
      sym__function_attributes_end,
    STATE(6632), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5941), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [220790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5638), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5640), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [220828] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2086), 1,
      anon_sym_enum,
    ACTIONS(2088), 1,
      anon_sym_class,
    ACTIONS(2090), 1,
      anon_sym_struct,
    ACTIONS(2092), 1,
      anon_sym_union,
    ACTIONS(2116), 1,
      sym_auto,
    ACTIONS(2118), 1,
      anon_sym_decltype,
    ACTIONS(2120), 1,
      anon_sym_typename,
    ACTIONS(7837), 1,
      sym_identifier,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7843), 1,
      sym_primitive_type,
    STATE(2128), 1,
      sym__type_specifier,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2245), 1,
      sym_decltype_auto,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2153), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2201), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [220902] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3460), 1,
      anon_sym_const,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7158), 1,
      sym__abstract_declarator,
    STATE(5631), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(6923), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(8209), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [220962] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9157), 1,
      sym_identifier,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9163), 1,
      sym_primitive_type,
    ACTIONS(9165), 1,
      anon_sym_enum,
    ACTIONS(9167), 1,
      anon_sym_class,
    ACTIONS(9169), 1,
      anon_sym_struct,
    ACTIONS(9171), 1,
      anon_sym_union,
    ACTIONS(9173), 1,
      sym_auto,
    ACTIONS(9175), 1,
      anon_sym_decltype,
    ACTIONS(9177), 1,
      anon_sym_typename,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(3731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4430), 1,
      sym__type_specifier,
    STATE(4526), 1,
      sym_decltype_auto,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4453), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9161), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4529), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5817), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5819), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221074] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7359), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7361), 1,
      anon_sym_AMP,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(5873), 1,
      sym_ref_qualifier,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [221150] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9329), 1,
      sym_primitive_type,
    ACTIONS(9331), 1,
      anon_sym_enum,
    ACTIONS(9333), 1,
      anon_sym_class,
    ACTIONS(9335), 1,
      anon_sym_struct,
    ACTIONS(9337), 1,
      anon_sym_union,
    ACTIONS(9339), 1,
      sym_auto,
    ACTIONS(9341), 1,
      anon_sym_decltype,
    ACTIONS(9343), 1,
      anon_sym_typename,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4366), 1,
      sym__type_specifier,
    STATE(4640), 1,
      sym_decltype_auto,
    STATE(4666), 1,
      sym_qualified_type_identifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4592), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9327), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4667), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221224] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9323), 1,
      sym_identifier,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9329), 1,
      sym_primitive_type,
    ACTIONS(9331), 1,
      anon_sym_enum,
    ACTIONS(9333), 1,
      anon_sym_class,
    ACTIONS(9335), 1,
      anon_sym_struct,
    ACTIONS(9337), 1,
      anon_sym_union,
    ACTIONS(9339), 1,
      sym_auto,
    ACTIONS(9341), 1,
      anon_sym_decltype,
    ACTIONS(9343), 1,
      anon_sym_typename,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4397), 1,
      sym__type_specifier,
    STATE(4640), 1,
      sym_decltype_auto,
    STATE(4666), 1,
      sym_qualified_type_identifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4592), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9327), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4667), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5711), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5713), 28,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [221336] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9157), 1,
      sym_identifier,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9163), 1,
      sym_primitive_type,
    ACTIONS(9165), 1,
      anon_sym_enum,
    ACTIONS(9167), 1,
      anon_sym_class,
    ACTIONS(9169), 1,
      anon_sym_struct,
    ACTIONS(9171), 1,
      anon_sym_union,
    ACTIONS(9173), 1,
      sym_auto,
    ACTIONS(9175), 1,
      anon_sym_decltype,
    ACTIONS(9177), 1,
      anon_sym_typename,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(3731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4248), 1,
      sym__type_specifier,
    STATE(4526), 1,
      sym_decltype_auto,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4453), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9161), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4529), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221410] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6544), 1,
      sym__declarator,
    STATE(8271), 1,
      sym_init_declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [221480] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(117), 1,
      sym_auto,
    ACTIONS(119), 1,
      anon_sym_decltype,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(3025), 1,
      sym_primitive_type,
    ACTIONS(3027), 1,
      anon_sym_enum,
    ACTIONS(3029), 1,
      anon_sym_class,
    ACTIONS(3031), 1,
      anon_sym_struct,
    ACTIONS(3033), 1,
      anon_sym_union,
    ACTIONS(3035), 1,
      anon_sym_typename,
    ACTIONS(5094), 1,
      sym_identifier,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    STATE(3571), 1,
      sym__type_specifier,
    STATE(3616), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3720), 1,
      sym_decltype_auto,
    STATE(4442), 1,
      sym_qualified_type_identifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3541), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3613), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221554] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9213), 1,
      sym_identifier,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9219), 1,
      sym_primitive_type,
    ACTIONS(9221), 1,
      anon_sym_enum,
    ACTIONS(9223), 1,
      anon_sym_class,
    ACTIONS(9225), 1,
      anon_sym_struct,
    ACTIONS(9227), 1,
      anon_sym_union,
    ACTIONS(9229), 1,
      sym_auto,
    ACTIONS(9231), 1,
      anon_sym_decltype,
    ACTIONS(9233), 1,
      anon_sym_typename,
    STATE(2912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3627), 1,
      sym__type_specifier,
    STATE(3837), 1,
      sym_decltype_auto,
    STATE(3843), 1,
      sym_qualified_type_identifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(3587), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9217), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(3840), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221628] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9157), 1,
      sym_identifier,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9163), 1,
      sym_primitive_type,
    ACTIONS(9165), 1,
      anon_sym_enum,
    ACTIONS(9167), 1,
      anon_sym_class,
    ACTIONS(9169), 1,
      anon_sym_struct,
    ACTIONS(9171), 1,
      anon_sym_union,
    ACTIONS(9173), 1,
      sym_auto,
    ACTIONS(9175), 1,
      anon_sym_decltype,
    ACTIONS(9177), 1,
      anon_sym_typename,
    STATE(2345), 1,
      sym_qualified_type_identifier,
    STATE(3731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(4202), 1,
      sym__type_specifier,
    STATE(4526), 1,
      sym_decltype_auto,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(4453), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9161), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(4529), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221702] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9145), 1,
      anon_sym_class,
    ACTIONS(9147), 1,
      anon_sym_struct,
    ACTIONS(9149), 1,
      anon_sym_union,
    ACTIONS(9151), 1,
      sym_auto,
    ACTIONS(9153), 1,
      anon_sym_decltype,
    ACTIONS(9271), 1,
      sym_identifier,
    ACTIONS(9275), 1,
      sym_primitive_type,
    ACTIONS(9277), 1,
      anon_sym_enum,
    ACTIONS(9279), 1,
      anon_sym_typename,
    STATE(2063), 1,
      sym__type_specifier,
    STATE(2331), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(2468), 1,
      sym_decltype_auto,
    STATE(2485), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_dependent_type_identifier,
    STATE(2308), 2,
      sym_decltype,
      sym_template_type,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2486), 7,
      sym_sized_type_specifier,
      sym_enum_specifier,
      sym_struct_specifier,
      sym_union_specifier,
      sym_placeholder_type_specifier,
      sym_class_specifier,
      sym_dependent_type,
  [221776] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4283), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221855] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3354), 1,
      sym__class_declaration_item,
    STATE(3382), 1,
      sym__class_declaration,
    STATE(6041), 1,
      sym_ms_declspec_modifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5844), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [221934] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7138), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222001] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5709), 1,
      sym__class_declaration_item,
    STATE(5723), 1,
      sym__class_declaration,
    STATE(6131), 1,
      sym_ms_declspec_modifier,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6133), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5863), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222080] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4534), 1,
      sym__class_declaration_item,
    STATE(4540), 1,
      sym__class_declaration,
    STATE(6092), 1,
      sym_ms_declspec_modifier,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6100), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5851), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222159] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6968), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222226] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222305] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6953), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [222372] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222451] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4534), 1,
      sym__class_declaration_item,
    STATE(4548), 1,
      sym__class_declaration,
    STATE(6092), 1,
      sym_ms_declspec_modifier,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6100), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5851), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222530] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4276), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222609] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym__class_declaration_item,
    STATE(5509), 1,
      sym__class_declaration,
    STATE(6138), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5852), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222688] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5496), 1,
      sym__class_declaration,
    STATE(5502), 1,
      sym__class_declaration_item,
    STATE(6138), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5852), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222767] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5698), 1,
      sym__class_declaration,
    STATE(5709), 1,
      sym__class_declaration_item,
    STATE(6131), 1,
      sym_ms_declspec_modifier,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6133), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5863), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222846] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5709), 1,
      sym__class_declaration_item,
    STATE(5721), 1,
      sym__class_declaration,
    STATE(6131), 1,
      sym_ms_declspec_modifier,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6133), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5863), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [222925] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2223), 1,
      sym__class_declaration,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(6106), 1,
      sym_ms_declspec_modifier,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6040), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5854), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223004] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym__class_declaration_item,
    STATE(5505), 1,
      sym__class_declaration,
    STATE(6138), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6134), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5852), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5626), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5628), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223120] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6129), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6126), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5859), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223199] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4648), 1,
      sym__class_declaration,
    STATE(4651), 1,
      sym__class_declaration_item,
    STATE(6058), 1,
      sym_ms_declspec_modifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5856), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223278] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4651), 1,
      sym__class_declaration_item,
    STATE(4656), 1,
      sym__class_declaration,
    STATE(6058), 1,
      sym_ms_declspec_modifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5856), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223357] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4651), 1,
      sym__class_declaration_item,
    STATE(4657), 1,
      sym__class_declaration,
    STATE(6058), 1,
      sym_ms_declspec_modifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6141), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5856), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223436] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6129), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6126), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5859), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223515] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6129), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6126), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5859), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223594] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3568), 1,
      sym__class_declaration,
    STATE(3573), 1,
      sym__class_declaration_item,
    STATE(6061), 1,
      sym_ms_declspec_modifier,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6052), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5840), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223673] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3569), 1,
      sym__class_declaration,
    STATE(3573), 1,
      sym__class_declaration_item,
    STATE(6061), 1,
      sym_ms_declspec_modifier,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6052), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5840), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223752] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3573), 1,
      sym__class_declaration_item,
    STATE(3574), 1,
      sym__class_declaration,
    STATE(6061), 1,
      sym_ms_declspec_modifier,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6052), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5840), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9418), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9416), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [223868] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5646), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5648), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [223905] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [223984] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(7111), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [224051] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6926), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [224118] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3070), 1,
      sym__class_declaration,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(6123), 1,
      sym_ms_declspec_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5849), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224197] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(3079), 1,
      sym__class_declaration,
    STATE(6123), 1,
      sym_ms_declspec_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5849), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224276] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3072), 1,
      sym__class_declaration_item,
    STATE(3086), 1,
      sym__class_declaration,
    STATE(6123), 1,
      sym_ms_declspec_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6125), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5849), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224355] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym__class_declaration_item,
    STATE(5505), 1,
      sym__class_declaration,
    STATE(6121), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6124), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5862), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224434] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5496), 1,
      sym__class_declaration,
    STATE(5502), 1,
      sym__class_declaration_item,
    STATE(6121), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6124), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5862), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224513] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7338), 1,
      anon_sym_STAR,
    ACTIONS(7340), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7342), 1,
      anon_sym_AMP,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6623), 1,
      sym__declarator,
    STATE(9266), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [224659] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5502), 1,
      sym__class_declaration_item,
    STATE(5509), 1,
      sym__class_declaration,
    STATE(6121), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6124), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5862), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224738] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5658), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5660), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224775] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4257), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224854] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5677), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5679), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [224891] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6116), 1,
      sym_ms_declspec_modifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6112), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5867), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [224970] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6116), 1,
      sym_ms_declspec_modifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6112), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5867), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225049] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6116), 1,
      sym_ms_declspec_modifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6112), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5867), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 6,
      anon_sym_LPAREN2,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK,
    ACTIONS(9424), 23,
      anon_sym_AMP,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [225165] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6963), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [225232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5789), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5791), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [225269] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225348] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225427] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4206), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225506] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3847), 1,
      sym__class_declaration_item,
    STATE(3849), 1,
      sym__class_declaration,
    STATE(6062), 1,
      sym_ms_declspec_modifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6059), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5848), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225585] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(7023), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [225652] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(6738), 1,
      sym__function_attributes_end,
    STATE(6888), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5956), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [225721] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6111), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6113), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5847), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225800] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6111), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6113), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5847), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225879] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6111), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6113), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5847), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [225958] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3847), 1,
      sym__class_declaration_item,
    STATE(3848), 1,
      sym__class_declaration,
    STATE(6062), 1,
      sym_ms_declspec_modifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6059), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5848), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226037] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(6735), 1,
      sym__function_attributes_end,
    STATE(6886), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5966), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [226106] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3846), 1,
      sym__class_declaration,
    STATE(3847), 1,
      sym__class_declaration_item,
    STATE(6062), 1,
      sym_ms_declspec_modifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6059), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5848), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226185] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4242), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226264] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6956), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226331] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4242), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226410] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5550), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226447] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(5904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5689), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5687), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [226492] = 7,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5916), 1,
      sym_ms_unaligned_ptr_modifier,
    ACTIONS(9347), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9436), 2,
      anon_sym__unaligned,
      anon_sym___unaligned,
    STATE(5747), 2,
      sym_ms_pointer_modifier,
      aux_sym_pointer_declarator_repeat1,
    ACTIONS(9433), 3,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
    ACTIONS(9345), 19,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
  [226537] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4236), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226616] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4236), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5683), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5685), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [226732] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4236), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226811] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(6953), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [226878] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3317), 1,
      sym__class_declaration,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym_ms_declspec_modifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5853), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [226957] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3318), 1,
      sym__class_declaration,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(6148), 1,
      sym_ms_declspec_modifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5853), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227036] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(3383), 1,
      sym__class_declaration,
    STATE(6148), 1,
      sym_ms_declspec_modifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6140), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5853), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227115] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5590), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5592), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227152] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6934), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227219] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4181), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227298] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5721), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5773), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5775), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227372] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5769), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5771), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227409] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7481), 1,
      anon_sym_STAR,
    ACTIONS(7483), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7485), 1,
      anon_sym_AMP,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6710), 1,
      sym__declarator,
    STATE(8519), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5721), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5719), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5721), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227550] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5594), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5596), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227587] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4283), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227666] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6989), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [227733] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5701), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5703), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227770] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4283), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [227849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5642), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5644), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5650), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5652), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5693), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5695), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [227960] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(7115), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228027] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(7093), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228094] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2233), 1,
      sym__class_declaration,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(6106), 1,
      sym_ms_declspec_modifier,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6040), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5854), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5697), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5699), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228210] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(7128), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228277] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2237), 1,
      sym__class_declaration,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(6106), 1,
      sym_ms_declspec_modifier,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6040), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5854), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5733), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228393] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_COLON,
    STATE(5405), 1,
      sym__enum_base_clause,
    STATE(5414), 1,
      sym_enumerator_list,
    STATE(5468), 1,
      sym_attribute_specifier,
    ACTIONS(6094), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6096), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [228442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5743), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5745), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [228479] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4257), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228558] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9441), 1,
      anon_sym_COLON,
    STATE(5399), 1,
      sym__enum_base_clause,
    STATE(5426), 1,
      sym_enumerator_list,
    STATE(5463), 1,
      sym_attribute_specifier,
    ACTIONS(6088), 3,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_const,
    ACTIONS(6090), 20,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [228607] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3317), 1,
      sym__class_declaration,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(6050), 1,
      sym_ms_declspec_modifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6064), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5865), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228686] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4179), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228765] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4179), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228844] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6987), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [228911] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3318), 1,
      sym__class_declaration,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(6050), 1,
      sym_ms_declspec_modifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6064), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5865), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [228990] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4179), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229069] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3347), 1,
      sym__class_declaration_item,
    STATE(3383), 1,
      sym__class_declaration,
    STATE(6050), 1,
      sym_ms_declspec_modifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6064), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5865), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229148] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(7137), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229215] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229294] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4260), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229373] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(29), 1,
      anon_sym_AMP_AMP,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3013), 1,
      anon_sym_STAR,
    ACTIONS(3015), 1,
      anon_sym_AMP,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(7135), 1,
      sym__declarator,
    STATE(9242), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229440] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4260), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229519] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4260), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229598] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6098), 1,
      sym_identifier,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7408), 1,
      anon_sym_STAR,
    ACTIONS(7410), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7412), 1,
      anon_sym_AMP,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6877), 1,
      sym__declarator,
    STATE(8601), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [229665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5759), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5761), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5731), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5733), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [229739] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2237), 1,
      sym__class_declaration,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6084), 1,
      sym_ms_declspec_modifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6079), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5860), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229818] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2233), 1,
      sym__class_declaration,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6084), 1,
      sym_ms_declspec_modifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6079), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5860), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229897] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4534), 1,
      sym__class_declaration_item,
    STATE(4538), 1,
      sym__class_declaration,
    STATE(6092), 1,
      sym_ms_declspec_modifier,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6100), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5851), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [229976] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2223), 1,
      sym__class_declaration,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6084), 1,
      sym_ms_declspec_modifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6079), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5860), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230055] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6981), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [230122] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7495), 1,
      sym_identifier,
    ACTIONS(7497), 1,
      anon_sym_STAR,
    ACTIONS(7499), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7501), 1,
      anon_sym_AMP,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(6931), 1,
      sym__declarator,
    STATE(8512), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [230189] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3296), 1,
      sym__class_declaration,
    STATE(3354), 1,
      sym__class_declaration_item,
    STATE(6041), 1,
      sym_ms_declspec_modifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5844), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230268] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5802), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5804), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230305] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6047), 1,
      sym_ms_declspec_modifier,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6049), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5866), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230384] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3354), 1,
      sym__class_declaration_item,
    STATE(3366), 1,
      sym__class_declaration,
    STATE(6041), 1,
      sym_ms_declspec_modifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6093), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5844), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230463] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230542] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3623), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6047), 1,
      sym_ms_declspec_modifier,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6049), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5866), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5751), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5753), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230658] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6047), 1,
      sym_ms_declspec_modifier,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6049), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5866), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230737] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5747), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5749), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [230774] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      anon_sym_COLON,
    STATE(2207), 1,
      sym_attribute_specifier,
    STATE(5877), 1,
      sym__enum_base_clause,
    STATE(5955), 1,
      sym_enumerator_list,
    ACTIONS(6090), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6088), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [230823] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230902] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3614), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4257), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [230981] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6717), 1,
      sym__function_attributes_end,
    STATE(6863), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5958), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9111), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5739), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5741), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5735), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5737), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5727), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5729), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5723), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5725), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231198] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2422), 1,
      sym__class_declaration_item,
    STATE(2446), 1,
      sym__class_declaration,
    STATE(6081), 1,
      sym_ms_declspec_modifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6083), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5839), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5634), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5636), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231314] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6712), 1,
      sym__function_attributes_end,
    STATE(6857), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5960), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
    ACTIONS(9002), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [231383] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3600), 1,
      sym__class_declaration_item,
    STATE(3629), 1,
      sym__class_declaration,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6087), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4242), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6073), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5843), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231462] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5662), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5664), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5550), 27,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___extension__,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [231536] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2422), 1,
      sym__class_declaration_item,
    STATE(2423), 1,
      sym__class_declaration,
    STATE(6081), 1,
      sym_ms_declspec_modifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6083), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5839), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231615] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2417), 1,
      sym__class_declaration,
    STATE(2422), 1,
      sym__class_declaration_item,
    STATE(6081), 1,
      sym_ms_declspec_modifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6083), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5839), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231694] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3009), 1,
      anon_sym_LPAREN2,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5330), 1,
      sym_identifier,
    ACTIONS(7344), 1,
      anon_sym_LBRACK,
    ACTIONS(7414), 1,
      anon_sym_STAR,
    ACTIONS(7416), 1,
      anon_sym_AMP_AMP,
    ACTIONS(7418), 1,
      anon_sym_AMP,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(7109), 1,
      sym__declarator,
    STATE(8661), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    STATE(6828), 11,
      sym_parenthesized_declarator,
      sym_attributed_declarator,
      sym_pointer_declarator,
      sym_function_declarator,
      sym_array_declarator,
      sym_reference_declarator,
      sym_structured_binding_declarator,
      sym_template_function,
      sym_destructor_name,
      sym_qualified_identifier,
      sym_operator_name,
  [231761] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2237), 1,
      sym__class_declaration,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6105), 1,
      sym_ms_declspec_modifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5864), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231840] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2233), 1,
      sym__class_declaration,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6105), 1,
      sym_ms_declspec_modifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5864), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231919] = 24,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2223), 1,
      sym__class_declaration,
    STATE(2229), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6105), 1,
      sym_ms_declspec_modifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6054), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5864), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [231998] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(9449), 1,
      anon_sym_COLON,
    STATE(2230), 1,
      sym_attribute_specifier,
    STATE(5875), 1,
      sym__enum_base_clause,
    STATE(5940), 1,
      sym_enumerator_list,
    ACTIONS(6096), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(6094), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [232047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(7473), 1,
      anon_sym_LPAREN2,
    STATE(2441), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(3761), 1,
      sym_argument_list,
    STATE(3763), 1,
      sym_initializer_list,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5946), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5550), 17,
      anon_sym_RPAREN,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [232095] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6369), 1,
      sym__function_attributes_end,
    STATE(6500), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232157] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9121), 1,
      anon_sym_requires,
    STATE(6366), 1,
      sym__function_attributes_end,
    STATE(6488), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232219] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2435), 1,
      sym__class_declaration_item,
    STATE(6088), 1,
      sym_ms_declspec_modifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6086), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232295] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3493), 1,
      sym__class_declaration_item,
    STATE(6043), 1,
      sym_ms_declspec_modifier,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6044), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232371] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6370), 1,
      sym__function_attributes_end,
    STATE(6486), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232433] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8589), 1,
      anon_sym_COLON,
    ACTIONS(9083), 1,
      anon_sym_const,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7261), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [232491] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3719), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6065), 1,
      sym_ms_declspec_modifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6137), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232567] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3324), 1,
      sym__class_declaration_item,
    STATE(6078), 1,
      sym_ms_declspec_modifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6082), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232643] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6368), 1,
      sym__function_attributes_end,
    STATE(6482), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [232705] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(6100), 1,
      anon_sym_COLON,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_const,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7249), 1,
      sym__abstract_declarator,
    STATE(5855), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [232763] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3719), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6142), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232839] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3880), 1,
      sym__class_declaration_item,
    STATE(6091), 1,
      sym_ms_declspec_modifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6042), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232915] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3118), 1,
      sym__class_declaration_item,
    STATE(6132), 1,
      sym_ms_declspec_modifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6128), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [232991] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9462), 1,
      anon_sym_requires,
    STATE(6373), 1,
      sym__function_attributes_end,
    STATE(6506), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233053] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4560), 1,
      sym__class_declaration_item,
    STATE(6117), 1,
      sym_ms_declspec_modifier,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6115), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233129] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5441), 1,
      sym__class_declaration_item,
    STATE(6075), 1,
      sym_ms_declspec_modifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6071), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233205] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3279), 1,
      sym__class_declaration_item,
    STATE(6119), 1,
      sym_ms_declspec_modifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6122), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233281] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2276), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(6146), 1,
      sym_ms_declspec_modifier,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233357] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(6923), 1,
      anon_sym_COLON,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9083), 1,
      anon_sym_const,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7317), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [233415] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4646), 1,
      sym__class_declaration_item,
    STATE(6046), 1,
      sym_ms_declspec_modifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6045), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9465), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5961), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_GT2,
    ACTIONS(5959), 15,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_virtual,
      anon_sym_template,
      anon_sym_try,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
      anon_sym_requires,
  [233531] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8577), 1,
      anon_sym_COLON,
    ACTIONS(9083), 1,
      anon_sym_const,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7303), 1,
      sym__abstract_declarator,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(9081), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [233589] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3719), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(6143), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6130), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233665] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2276), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6085), 1,
      sym_ms_declspec_modifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6051), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233741] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9009), 1,
      anon_sym_requires,
    STATE(6371), 1,
      sym__function_attributes_end,
    STATE(6527), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 8,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [233803] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5441), 1,
      sym__class_declaration_item,
    STATE(6076), 1,
      sym_ms_declspec_modifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6101), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233879] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5764), 1,
      sym__class_declaration_item,
    STATE(6149), 1,
      sym_ms_declspec_modifier,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6150), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [233955] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2276), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(6099), 1,
      sym_ms_declspec_modifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6094), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234031] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3279), 1,
      sym__class_declaration_item,
    STATE(6068), 1,
      sym_ms_declspec_modifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234107] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3719), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6139), 1,
      sym_ms_declspec_modifier,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6135), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234183] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5336), 1,
      anon_sym___attribute__,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5342), 1,
      anon_sym___declspec,
    ACTIONS(5346), 1,
      anon_sym_alignas,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3719), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(6053), 1,
      sym_ms_declspec_modifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6056), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
  [234259] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym___attribute__,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6251), 1,
      sym__function_attributes_end,
    STATE(6322), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234320] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_requires,
    STATE(6767), 1,
      sym__function_attributes_end,
    STATE(6964), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5994), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [234387] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6777), 1,
      sym__function_attributes_end,
    STATE(6925), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5973), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [234454] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym___attribute__,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    STATE(6268), 1,
      sym_trailing_return_type,
    STATE(6332), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234515] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(5904), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(4143), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9483), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(4135), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [234560] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6688), 1,
      sym_trailing_return_type,
    STATE(6867), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5975), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [234627] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9033), 1,
      anon_sym___attribute__,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6273), 1,
      sym__function_attributes_end,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234688] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    STATE(2256), 1,
      sym_attribute_specifier,
    STATE(5936), 1,
      sym_enumerator_list,
    ACTIONS(5808), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5806), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [234731] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6753), 1,
      sym__function_attributes_end,
    STATE(6924), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(5999), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [234798] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    STATE(2244), 1,
      sym_attribute_specifier,
    STATE(5944), 1,
      sym_enumerator_list,
    ACTIONS(5707), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5705), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [234841] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(6725), 1,
      sym_trailing_return_type,
    STATE(6908), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6026), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [234908] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9471), 1,
      anon_sym___attribute__,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6285), 1,
      sym__function_attributes_end,
    STATE(6335), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [234969] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9033), 1,
      anon_sym___attribute__,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6242), 1,
      sym__function_attributes_end,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235030] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9380), 1,
      anon_sym_requires,
    STATE(6664), 1,
      sym_trailing_return_type,
    STATE(6907), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6014), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [235097] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6039), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [235164] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7375), 1,
      anon_sym_noexcept,
    ACTIONS(7377), 1,
      anon_sym_throw,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9383), 1,
      anon_sym_requires,
    STATE(6765), 1,
      sym__function_attributes_end,
    STATE(6961), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    STATE(6001), 3,
      sym__function_exception_specification,
      sym_noexcept,
      sym_throw_specifier,
  [235231] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9201), 1,
      anon_sym___attribute__,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6333), 1,
      sym__function_attributes_end,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235292] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6358), 1,
      sym_trailing_return_type,
    STATE(6397), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [235352] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5763), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9485), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5766), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [235390] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6335), 1,
      sym_trailing_return_type,
    STATE(6426), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235450] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6316), 1,
      sym__function_attributes_end,
    STATE(6338), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235510] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(6382), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235570] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    STATE(6355), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [235630] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    STATE(6268), 1,
      sym_trailing_return_type,
    STATE(6391), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [235690] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(6314), 1,
      sym__function_attributes_end,
    STATE(6342), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235750] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9489), 1,
      sym_identifier,
    ACTIONS(9495), 1,
      sym_primitive_type,
    STATE(5886), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5600), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9492), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5602), 16,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
  [235792] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5988), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9498), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5986), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [235830] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    STATE(6310), 1,
      sym__function_attributes_end,
    STATE(6343), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [235890] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5996), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9501), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5994), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [235928] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5972), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9504), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5974), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [235966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(6404), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236026] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6315), 1,
      sym__function_attributes_end,
    STATE(6358), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236086] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_auto,
    ACTIONS(5514), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    ACTIONS(9509), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5969), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9507), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [236130] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9511), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_requires,
    STATE(6307), 1,
      sym__function_attributes_end,
    STATE(6344), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9514), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236190] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9511), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6320), 1,
      sym__function_attributes_end,
    STATE(6334), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9514), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [236250] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5819), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(5817), 22,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [236286] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(2941), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5966), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9520), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5968), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [236324] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(6342), 1,
      sym_trailing_return_type,
    STATE(6423), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [236384] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    STATE(6343), 1,
      sym_trailing_return_type,
    STATE(6434), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [236444] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9511), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_requires,
    STATE(6344), 1,
      sym_trailing_return_type,
    STATE(6435), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [236504] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(6398), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236564] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    STATE(6300), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [236624] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    STATE(6386), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [236684] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5512), 1,
      sym_auto,
    ACTIONS(5514), 1,
      anon_sym_decltype,
    STATE(2269), 1,
      sym_decltype_auto,
    ACTIONS(9525), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5967), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9523), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [236728] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6243), 1,
      sym__function_attributes_end,
    STATE(6317), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9088), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [236788] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    STATE(6268), 1,
      sym_trailing_return_type,
    STATE(6297), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9514), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [236848] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6331), 1,
      sym__function_attributes_end,
    STATE(6335), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9514), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [236908] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6298), 1,
      sym__function_attributes_end,
    STATE(6351), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9358), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
  [236968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9426), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9424), 24,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
  [237002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9418), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9416), 24,
      anon_sym___extension__,
      anon_sym___based,
      sym_ms_restrict_modifier,
      sym_ms_unsigned_ptr_modifier,
      sym_ms_signed_ptr_modifier,
      anon_sym__unaligned,
      anon_sym___unaligned,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
  [237036] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5896), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6021), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9527), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6019), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237074] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5894), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(6015), 3,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
    ACTIONS(9530), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(6013), 18,
      anon_sym___extension__,
      anon_sym___attribute__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237112] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9511), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6334), 1,
      sym_trailing_return_type,
    STATE(6402), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [237172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6338), 1,
      sym_trailing_return_type,
    STATE(6413), 1,
      sym__function_attributes_end,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [237232] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    ACTIONS(9533), 1,
      anon_sym_LPAREN2,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    ACTIONS(9539), 1,
      anon_sym_requires,
    STATE(2914), 1,
      sym_template_type,
    STATE(3772), 1,
      sym_requirement_seq,
    STATE(6422), 1,
      sym_lambda_capture_specifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(8418), 1,
      sym_requires_parameter_list,
    ACTIONS(9537), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3774), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2227), 1,
      sym_attribute_specifier,
    ACTIONS(5823), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5821), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237330] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9511), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9541), 1,
      anon_sym_requires,
    STATE(6546), 1,
      sym__function_attributes_end,
    STATE(6663), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [237389] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    ACTIONS(9544), 1,
      anon_sym_LPAREN2,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    ACTIONS(9550), 1,
      anon_sym_requires,
    STATE(3016), 1,
      sym_template_type,
    STATE(4936), 1,
      sym_requirement_seq,
    STATE(6444), 1,
      sym_lambda_capture_specifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(8437), 1,
      sym_requires_parameter_list,
    ACTIONS(9548), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5287), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237450] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(6572), 1,
      sym__function_attributes_end,
    STATE(6725), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [237509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2264), 1,
      sym_attribute_specifier,
    ACTIONS(5897), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5895), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237546] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6615), 1,
      sym__function_attributes_end,
    STATE(6688), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [237605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2240), 1,
      sym_attribute_specifier,
    ACTIONS(5889), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5887), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [237642] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6502), 1,
      sym__function_attributes_end,
    STATE(6632), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [237701] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6550), 1,
      sym__function_attributes_end,
    STATE(6640), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [237760] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6567), 1,
      sym__function_attributes_end,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [237819] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    ACTIONS(9552), 1,
      anon_sym_LPAREN2,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(9558), 1,
      anon_sym_requires,
    STATE(2858), 1,
      sym_template_type,
    STATE(3509), 1,
      sym_requirement_seq,
    STATE(6451), 1,
      sym_lambda_capture_specifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(8294), 1,
      sym_requires_parameter_list,
    ACTIONS(9556), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3514), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237880] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9560), 1,
      anon_sym_LPAREN2,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9566), 1,
      anon_sym_requires,
    STATE(2185), 1,
      sym_template_type,
    STATE(3966), 1,
      sym_requirement_seq,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(8086), 1,
      sym_requires_parameter_list,
    ACTIONS(9564), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4718), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [237941] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9132), 1,
      anon_sym_requires,
    STATE(6508), 1,
      sym__function_attributes_end,
    STATE(6661), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238000] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2225), 1,
      sym_attribute_specifier,
    ACTIONS(5868), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5866), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238037] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9380), 1,
      anon_sym_requires,
    STATE(6607), 1,
      sym__function_attributes_end,
    STATE(6664), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [238096] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9355), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_requires,
    STATE(6531), 1,
      sym__function_attributes_end,
    STATE(6662), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238155] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9568), 1,
      anon_sym_LPAREN2,
    ACTIONS(9570), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_requires,
    STATE(2192), 1,
      sym_template_type,
    STATE(2800), 1,
      sym_requirement_seq,
    STATE(6416), 1,
      sym_lambda_capture_specifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(8138), 1,
      sym_requires_parameter_list,
    ACTIONS(9572), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2799), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [238216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2257), 1,
      sym_attribute_specifier,
    ACTIONS(5893), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5891), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238253] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9511), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6481), 1,
      sym__function_attributes_end,
    STATE(6636), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238312] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_requires,
    STATE(6592), 1,
      sym__function_attributes_end,
    STATE(6719), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [238371] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    ACTIONS(9579), 1,
      anon_sym_LPAREN2,
    ACTIONS(9581), 1,
      anon_sym_LBRACE,
    ACTIONS(9585), 1,
      anon_sym_requires,
    STATE(2954), 1,
      sym_template_type,
    STATE(4047), 1,
      sym_requirement_seq,
    STATE(6469), 1,
      sym_lambda_capture_specifier,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(8162), 1,
      sym_requires_parameter_list,
    ACTIONS(9583), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4086), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [238432] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2254), 1,
      sym_attribute_specifier,
    ACTIONS(5864), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5862), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238469] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    ACTIONS(9560), 1,
      anon_sym_LPAREN2,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(9566), 1,
      anon_sym_requires,
    STATE(3966), 1,
      sym_requirement_seq,
    STATE(4156), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(8086), 1,
      sym_requires_parameter_list,
    ACTIONS(9587), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4735), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [238530] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    ACTIONS(9589), 1,
      anon_sym_LPAREN2,
    ACTIONS(9591), 1,
      anon_sym_LBRACE,
    ACTIONS(9595), 1,
      anon_sym_requires,
    STATE(3035), 1,
      sym_template_type,
    STATE(4180), 1,
      sym_requirement_seq,
    STATE(6455), 1,
      sym_lambda_capture_specifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(8147), 1,
      sym_requires_parameter_list,
    ACTIONS(9593), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4200), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [238591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2253), 1,
      sym_attribute_specifier,
    ACTIONS(5850), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5848), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238628] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9085), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6539), 1,
      sym__function_attributes_end,
    STATE(6659), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [238687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2251), 1,
      sym_attribute_specifier,
    ACTIONS(5846), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5844), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238724] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2260), 1,
      sym_attribute_specifier,
    ACTIONS(5920), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5918), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2255), 1,
      sym_attribute_specifier,
    ACTIONS(5916), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5914), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2234), 1,
      sym_attribute_specifier,
    ACTIONS(5883), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5881), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238835] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    ACTIONS(9597), 1,
      anon_sym_LPAREN2,
    ACTIONS(9599), 1,
      anon_sym_LBRACE,
    ACTIONS(9603), 1,
      anon_sym_requires,
    STATE(4288), 1,
      sym_template_type,
    STATE(4814), 1,
      sym_requirement_seq,
    STATE(6408), 1,
      sym_lambda_capture_specifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(8377), 1,
      sym_requires_parameter_list,
    ACTIONS(9601), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4815), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [238896] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5580), 1,
      anon_sym_LBRACE,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5550), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [238933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    STATE(2243), 1,
      sym_attribute_specifier,
    ACTIONS(5910), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(5908), 21,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [238970] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9605), 1,
      anon_sym_requires,
    STATE(6741), 1,
      sym__function_attributes_end,
    STATE(6890), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239028] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8121), 1,
      anon_sym_STAR,
    ACTIONS(8123), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8125), 1,
      anon_sym_AMP,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6582), 1,
      sym__abstract_declarator,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239076] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6720), 1,
      sym__function_attributes_end,
    STATE(6865), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239134] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8141), 1,
      anon_sym_STAR,
    ACTIONS(8143), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8145), 1,
      anon_sym_AMP,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6560), 1,
      sym__abstract_declarator,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [239182] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6717), 1,
      sym__function_attributes_end,
    STATE(6863), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239240] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6712), 1,
      sym__function_attributes_end,
    STATE(6857), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239298] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5580), 1,
      anon_sym_LBRACE,
    ACTIONS(5548), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(5550), 21,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_auto,
      anon_sym_decltype,
      anon_sym_GT2,
  [239332] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(5897), 1,
      aux_sym_sized_type_specifier_repeat1,
    ACTIONS(5550), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    ACTIONS(9608), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    ACTIONS(5548), 17,
      anon_sym___extension__,
      anon_sym___based,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      sym_primitive_type,
      sym_identifier,
      sym_auto,
      anon_sym_decltype,
  [239368] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(6735), 1,
      sym__function_attributes_end,
    STATE(6886), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239426] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8151), 1,
      anon_sym_STAR,
    ACTIONS(8153), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8155), 1,
      anon_sym_AMP,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6606), 1,
      sym__abstract_declarator,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [239474] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(6738), 1,
      sym__function_attributes_end,
    STATE(6888), 1,
      sym_trailing_return_type,
    STATE(7245), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6000), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6248), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 4,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_GT2,
  [239532] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9613), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9611), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [239567] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8203), 1,
      anon_sym_STAR,
    ACTIONS(8205), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8207), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6657), 1,
      sym__abstract_declarator,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [239614] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9617), 2,
      anon_sym_LPAREN2,
      anon_sym_STAR,
    STATE(5497), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(9615), 7,
      anon_sym___based,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
      sym_primitive_type,
      sym_identifier,
    ACTIONS(61), 12,
      anon_sym___extension__,
      anon_sym_const,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [239649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5569), 1,
      anon_sym_AMP,
    ACTIONS(9622), 1,
      anon_sym_const,
    STATE(5970), 2,
      sym_type_qualifier,
      aux_sym__type_definition_type_repeat1,
    ACTIONS(5571), 8,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    ACTIONS(9619), 11,
      anon_sym___extension__,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
  [239686] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9402), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      anon_sym_LPAREN2,
    ACTIONS(9629), 1,
      anon_sym_requires,
    STATE(5365), 1,
      sym_template_type,
    STATE(6406), 1,
      sym_lambda_capture_specifier,
    STATE(7078), 1,
      sym__scope_resolution,
    ACTIONS(9627), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6499), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [239738] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6427), 1,
      sym_lambda_capture_specifier,
    STATE(7034), 1,
      sym__scope_resolution,
    ACTIONS(9633), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [239790] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6753), 1,
      sym__function_attributes_end,
    STATE(6924), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
  [239846] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    ACTIONS(9639), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7070), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [239898] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6640), 1,
      sym_trailing_return_type,
    STATE(6887), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9455), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
  [239954] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(9641), 1,
      sym_identifier,
    ACTIONS(9643), 1,
      anon_sym_TILDE,
    ACTIONS(9645), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9647), 1,
      anon_sym_template,
    ACTIONS(9649), 1,
      anon_sym_operator,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(5976), 1,
      sym__scope_resolution,
    STATE(7506), 1,
      sym_operator_cast,
    STATE(7567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [240024] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6448), 1,
      sym_lambda_capture_specifier,
    STATE(7036), 1,
      sym__scope_resolution,
    ACTIONS(9653), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6977), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240076] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6654), 1,
      sym_trailing_return_type,
    STATE(6839), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
  [240132] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6427), 1,
      sym_lambda_capture_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    ACTIONS(9657), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6667), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240184] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_requires,
    ACTIONS(9659), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      sym_template_type,
    STATE(6444), 1,
      sym_lambda_capture_specifier,
    STATE(7040), 1,
      sym__scope_resolution,
    ACTIONS(9661), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6885), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240236] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9665), 1,
      anon_sym_SEMI,
    ACTIONS(9667), 1,
      anon_sym_LBRACE,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9671), 1,
      anon_sym_EQ,
    ACTIONS(9673), 1,
      anon_sym_COLON,
    ACTIONS(9675), 1,
      anon_sym_try,
    STATE(2075), 1,
      sym_try_statement,
    STATE(2124), 1,
      sym_compound_statement,
    STATE(2125), 1,
      sym_default_method_clause,
    STATE(2126), 1,
      sym_delete_method_clause,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7290), 1,
      sym_bitfield_clause,
    STATE(7291), 1,
      sym_initializer_list,
    STATE(7298), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8690), 1,
      sym_attribute_specifier,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [240304] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9679), 1,
      anon_sym_LPAREN2,
    STATE(6217), 1,
      sym_preproc_argument_list,
    ACTIONS(9681), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9677), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [240338] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(4156), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7043), 1,
      sym__scope_resolution,
    ACTIONS(9683), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4723), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240390] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    ACTIONS(9539), 1,
      anon_sym_requires,
    ACTIONS(9685), 1,
      anon_sym_LPAREN2,
    STATE(2914), 1,
      sym_template_type,
    STATE(6422), 1,
      sym_lambda_capture_specifier,
    STATE(7066), 1,
      sym__scope_resolution,
    ACTIONS(9687), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3942), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240442] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9402), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      anon_sym_LPAREN2,
    ACTIONS(9629), 1,
      anon_sym_requires,
    STATE(5365), 1,
      sym_template_type,
    STATE(6406), 1,
      sym_lambda_capture_specifier,
    STATE(7078), 1,
      sym__scope_resolution,
    ACTIONS(9689), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6492), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240494] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_requires,
    ACTIONS(9659), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      sym_template_type,
    STATE(6444), 1,
      sym_lambda_capture_specifier,
    STATE(7040), 1,
      sym__scope_resolution,
    ACTIONS(9691), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4785), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240546] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_requires,
    ACTIONS(9659), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      sym_template_type,
    STATE(6444), 1,
      sym_lambda_capture_specifier,
    STATE(7040), 1,
      sym__scope_resolution,
    ACTIONS(9693), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6858), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240598] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    ACTIONS(9603), 1,
      anon_sym_requires,
    ACTIONS(9695), 1,
      anon_sym_LPAREN2,
    STATE(4288), 1,
      sym_template_type,
    STATE(6408), 1,
      sym_lambda_capture_specifier,
    STATE(7050), 1,
      sym__scope_resolution,
    ACTIONS(9697), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4912), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240650] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    ACTIONS(9603), 1,
      anon_sym_requires,
    ACTIONS(9695), 1,
      anon_sym_LPAREN2,
    STATE(4288), 1,
      sym_template_type,
    STATE(6408), 1,
      sym_lambda_capture_specifier,
    STATE(7050), 1,
      sym__scope_resolution,
    ACTIONS(9699), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4897), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240702] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_requires,
    ACTIONS(9701), 1,
      anon_sym_LPAREN2,
    STATE(2858), 1,
      sym_template_type,
    STATE(6451), 1,
      sym_lambda_capture_specifier,
    STATE(7058), 1,
      sym__scope_resolution,
    ACTIONS(9703), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3508), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240754] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    ACTIONS(9705), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_COLON_COLON,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7035), 1,
      sym__scope_resolution,
    ACTIONS(9709), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6727), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240806] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6448), 1,
      sym_lambda_capture_specifier,
    STATE(7045), 1,
      sym__scope_resolution,
    ACTIONS(9711), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6286), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240858] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9402), 1,
      sym_identifier,
    ACTIONS(9625), 1,
      anon_sym_LPAREN2,
    ACTIONS(9629), 1,
      anon_sym_requires,
    STATE(5365), 1,
      sym_template_type,
    STATE(6406), 1,
      sym_lambda_capture_specifier,
    STATE(7078), 1,
      sym__scope_resolution,
    ACTIONS(9713), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6530), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [240910] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9715), 1,
      anon_sym_requires,
    STATE(6779), 1,
      sym__function_attributes_end,
    STATE(6966), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9455), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
  [240966] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(9720), 1,
      anon_sym_LBRACK,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6349), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9718), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241004] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3964), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(9722), 1,
      sym_identifier,
    ACTIONS(9724), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(5996), 1,
      sym__scope_resolution,
    STATE(7506), 1,
      sym_operator_cast,
    STATE(7567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [241074] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    ACTIONS(9558), 1,
      anon_sym_requires,
    ACTIONS(9701), 1,
      anon_sym_LPAREN2,
    STATE(2858), 1,
      sym_template_type,
    STATE(6451), 1,
      sym_lambda_capture_specifier,
    STATE(7058), 1,
      sym__scope_resolution,
    ACTIONS(9726), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3444), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241126] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9673), 1,
      anon_sym_COLON,
    ACTIONS(9728), 1,
      anon_sym_SEMI,
    ACTIONS(9730), 1,
      anon_sym_LBRACE,
    ACTIONS(9732), 1,
      anon_sym_EQ,
    ACTIONS(9734), 1,
      anon_sym_try,
    STATE(2378), 1,
      sym_try_statement,
    STATE(2379), 1,
      sym_delete_method_clause,
    STATE(2380), 1,
      sym_default_method_clause,
    STATE(2381), 1,
      sym_compound_statement,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7264), 1,
      sym_bitfield_clause,
    STATE(7266), 1,
      sym_initializer_list,
    STATE(7267), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9002), 1,
      sym_attribute_specifier,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241194] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9474), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6756), 1,
      sym__function_attributes_end,
    STATE(6921), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9455), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
  [241250] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9736), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [241288] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9204), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_requires,
    STATE(6767), 1,
      sym__function_attributes_end,
    STATE(6964), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
  [241344] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    ACTIONS(9740), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4694), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241396] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9574), 1,
      anon_sym_requires,
    ACTIONS(9742), 1,
      anon_sym_LPAREN2,
    STATE(2192), 1,
      sym_template_type,
    STATE(6416), 1,
      sym_lambda_capture_specifier,
    STATE(7054), 1,
      sym__scope_resolution,
    ACTIONS(9744), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2848), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241448] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9383), 1,
      anon_sym_requires,
    STATE(6765), 1,
      sym__function_attributes_end,
    STATE(6961), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
  [241504] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9673), 1,
      anon_sym_COLON,
    ACTIONS(9746), 1,
      anon_sym_SEMI,
    ACTIONS(9748), 1,
      anon_sym_LBRACE,
    ACTIONS(9750), 1,
      anon_sym_EQ,
    ACTIONS(9752), 1,
      anon_sym_try,
    STATE(2500), 1,
      sym_try_statement,
    STATE(2672), 1,
      sym_compound_statement,
    STATE(2673), 1,
      sym_default_method_clause,
    STATE(2674), 1,
      sym_delete_method_clause,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7322), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7323), 1,
      sym_initializer_list,
    STATE(7324), 1,
      sym_bitfield_clause,
    STATE(8787), 1,
      sym_attribute_specifier,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [241572] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3967), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241624] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_requires,
    ACTIONS(9756), 1,
      anon_sym_LPAREN2,
    STATE(3035), 1,
      sym_template_type,
    STATE(6455), 1,
      sym_lambda_capture_specifier,
    STATE(7056), 1,
      sym__scope_resolution,
    ACTIONS(9758), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4274), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241676] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    ACTIONS(9595), 1,
      anon_sym_requires,
    ACTIONS(9756), 1,
      anon_sym_LPAREN2,
    STATE(3035), 1,
      sym_template_type,
    STATE(6455), 1,
      sym_lambda_capture_specifier,
    STATE(7056), 1,
      sym__scope_resolution,
    ACTIONS(9760), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4286), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241728] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6427), 1,
      sym_lambda_capture_specifier,
    STATE(7034), 1,
      sym__scope_resolution,
    ACTIONS(9762), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6299), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241780] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7068), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3967), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241832] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    ACTIONS(9539), 1,
      anon_sym_requires,
    ACTIONS(9685), 1,
      anon_sym_LPAREN2,
    STATE(2914), 1,
      sym_template_type,
    STATE(6422), 1,
      sym_lambda_capture_specifier,
    STATE(7066), 1,
      sym__scope_resolution,
    ACTIONS(9764), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3943), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241884] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6448), 1,
      sym_lambda_capture_specifier,
    STATE(7036), 1,
      sym__scope_resolution,
    ACTIONS(9766), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6311), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241936] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_requires,
    ACTIONS(9659), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      sym_template_type,
    STATE(6444), 1,
      sym_lambda_capture_specifier,
    STATE(7073), 1,
      sym__scope_resolution,
    ACTIONS(9691), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4785), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [241988] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_requires,
    STATE(6719), 1,
      sym_trailing_return_type,
    STATE(6905), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9455), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
  [242044] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6448), 1,
      sym_lambda_capture_specifier,
    STATE(7036), 1,
      sym__scope_resolution,
    ACTIONS(9768), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6971), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242096] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    ACTIONS(9550), 1,
      anon_sym_requires,
    ACTIONS(9659), 1,
      anon_sym_LPAREN2,
    STATE(3016), 1,
      sym_template_type,
    STATE(6444), 1,
      sym_lambda_capture_specifier,
    STATE(7073), 1,
      sym__scope_resolution,
    ACTIONS(9770), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(5306), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242148] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6427), 1,
      sym_lambda_capture_specifier,
    STATE(7034), 1,
      sym__scope_resolution,
    ACTIONS(9772), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6255), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242200] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    ACTIONS(9705), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_COLON_COLON,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7035), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3967), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242252] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6427), 1,
      sym_lambda_capture_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    ACTIONS(9774), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6690), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242304] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9673), 1,
      anon_sym_COLON,
    ACTIONS(9776), 1,
      anon_sym_SEMI,
    ACTIONS(9778), 1,
      anon_sym_LBRACE,
    ACTIONS(9780), 1,
      anon_sym_EQ,
    ACTIONS(9782), 1,
      anon_sym_try,
    STATE(2567), 1,
      sym_default_method_clause,
    STATE(2571), 1,
      sym_delete_method_clause,
    STATE(2572), 1,
      sym_try_statement,
    STATE(2597), 1,
      sym_compound_statement,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7293), 1,
      aux_sym_field_declaration_repeat1,
    STATE(7294), 1,
      sym_initializer_list,
    STATE(7295), 1,
      sym_bitfield_clause,
    STATE(8889), 1,
      sym_attribute_specifier,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [242372] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    ACTIONS(9784), 1,
      sym_identifier,
    ACTIONS(9786), 1,
      anon_sym_COLON_COLON,
    STATE(2700), 1,
      sym_template_type,
    STATE(6457), 1,
      sym_lambda_capture_specifier,
    STATE(7084), 1,
      sym__scope_resolution,
    ACTIONS(9633), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242424] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6448), 1,
      sym_lambda_capture_specifier,
    STATE(7045), 1,
      sym__scope_resolution,
    ACTIONS(9766), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6311), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242476] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    ACTIONS(9705), 1,
      sym_identifier,
    ACTIONS(9707), 1,
      anon_sym_COLON_COLON,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7035), 1,
      sym__scope_resolution,
    ACTIONS(9788), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6743), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242528] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(2185), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7080), 1,
      sym__scope_resolution,
    ACTIONS(9790), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(7059), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242580] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    ACTIONS(9651), 1,
      anon_sym_LPAREN2,
    ACTIONS(9655), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6448), 1,
      sym_lambda_capture_specifier,
    STATE(7045), 1,
      sym__scope_resolution,
    ACTIONS(9792), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(6284), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242632] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9380), 1,
      anon_sym_requires,
    STATE(6664), 1,
      sym_trailing_return_type,
    STATE(6907), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
  [242688] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_requires,
    ACTIONS(9794), 1,
      anon_sym_LPAREN2,
    STATE(2954), 1,
      sym_template_type,
    STATE(6469), 1,
      sym_lambda_capture_specifier,
    STATE(7051), 1,
      sym__scope_resolution,
    ACTIONS(9796), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3992), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242740] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(6725), 1,
      sym_trailing_return_type,
    STATE(6908), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
  [242796] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9036), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6777), 1,
      sym__function_attributes_end,
    STATE(6925), 1,
      sym_trailing_return_type,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(9002), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
  [242852] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    STATE(3130), 1,
      sym_template_type,
    STATE(6427), 1,
      sym_lambda_capture_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    ACTIONS(9633), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(1984), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242904] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    ACTIONS(9566), 1,
      anon_sym_requires,
    ACTIONS(9637), 1,
      anon_sym_LPAREN2,
    STATE(4156), 1,
      sym_template_type,
    STATE(6438), 1,
      sym_lambda_capture_specifier,
    STATE(7043), 1,
      sym__scope_resolution,
    ACTIONS(9754), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(3967), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [242956] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8366), 1,
      anon_sym_STAR,
    ACTIONS(8368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8370), 1,
      anon_sym_AMP,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6804), 1,
      sym__abstract_declarator,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [243002] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    ACTIONS(9574), 1,
      anon_sym_requires,
    ACTIONS(9742), 1,
      anon_sym_LPAREN2,
    STATE(2192), 1,
      sym_template_type,
    STATE(6416), 1,
      sym_lambda_capture_specifier,
    STATE(7054), 1,
      sym__scope_resolution,
    ACTIONS(9798), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2847), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243054] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    ACTIONS(9784), 1,
      sym_identifier,
    ACTIONS(9786), 1,
      anon_sym_COLON_COLON,
    STATE(2700), 1,
      sym_template_type,
    STATE(6457), 1,
      sym_lambda_capture_specifier,
    STATE(7084), 1,
      sym__scope_resolution,
    ACTIONS(9800), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2694), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243106] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9631), 1,
      anon_sym_LPAREN2,
    ACTIONS(9635), 1,
      anon_sym_requires,
    ACTIONS(9784), 1,
      sym_identifier,
    ACTIONS(9786), 1,
      anon_sym_COLON_COLON,
    STATE(2700), 1,
      sym_template_type,
    STATE(6457), 1,
      sym_lambda_capture_specifier,
    STATE(7084), 1,
      sym__scope_resolution,
    ACTIONS(9802), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(2752), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243158] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8360), 1,
      anon_sym_STAR,
    ACTIONS(8362), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8364), 1,
      anon_sym_AMP,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6797), 1,
      sym__abstract_declarator,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [243204] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(2846), 1,
      anon_sym_LBRACK,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    ACTIONS(9585), 1,
      anon_sym_requires,
    ACTIONS(9794), 1,
      anon_sym_LPAREN2,
    STATE(2954), 1,
      sym_template_type,
    STATE(6469), 1,
      sym_lambda_capture_specifier,
    STATE(7051), 1,
      sym__scope_resolution,
    ACTIONS(9804), 2,
      sym_true,
      sym_false,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    STATE(4103), 8,
      sym__class_name,
      sym_constraint_conjunction,
      sym_constraint_disjunction,
      sym__requirement_clause_constraint,
      sym_requires_expression,
      sym_lambda_expression,
      sym_fold_expression,
      sym_qualified_type_identifier,
  [243256] = 23,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(3021), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(9806), 1,
      sym_identifier,
    ACTIONS(9808), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6038), 1,
      sym__scope_resolution,
    STATE(7506), 1,
      sym_operator_cast,
    STATE(7567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [243326] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6688), 1,
      sym_trailing_return_type,
    STATE(6867), 1,
      sym__function_attributes_end,
    STATE(7248), 1,
      sym_gnu_asm_expression,
    ACTIONS(7369), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    ACTIONS(9111), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6213), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6376), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
  [243382] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2270), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243441] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3333), 1,
      sym__class_declaration_item,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6082), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243500] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3917), 1,
      sym__class_declaration_item,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243559] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3426), 1,
      sym__class_declaration_item,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6057), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243618] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3433), 1,
      sym__class_declaration_item,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243677] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4676), 1,
      sym__class_declaration_item,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243736] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4669), 1,
      sym__class_declaration_item,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6048), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243795] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3698), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6135), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243854] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4641), 1,
      sym__class_declaration_item,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243913] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3713), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [243972] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3289), 1,
      sym__class_declaration_item,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6066), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244031] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2252), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244090] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3494), 1,
      sym__class_declaration_item,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244149] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3588), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6095), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244208] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2270), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244267] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(131), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(5338), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(9810), 1,
      sym_identifier,
    ACTIONS(9812), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6055), 1,
      sym__scope_resolution,
    STATE(7506), 1,
      sym_operator_cast,
    STATE(7567), 1,
      sym_qualified_operator_cast_identifier,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [244330] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3620), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244389] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3408), 1,
      sym__class_declaration_item,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244448] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4642), 1,
      sym__class_declaration_item,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6045), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3879), 1,
      sym__class_declaration_item,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244566] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9816), 1,
      anon_sym_RPAREN,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9826), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6077), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [244609] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3252), 1,
      sym_field_declaration_list,
    STATE(3501), 1,
      sym__class_declaration_item,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(7401), 1,
      sym_virtual_specifier,
    STATE(8269), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2838), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6044), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244668] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3897), 1,
      sym__class_declaration_item,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6042), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244727] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4521), 1,
      sym__class_declaration_item,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244786] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3284), 1,
      sym__class_declaration_item,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244845] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3588), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6110), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244904] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3295), 1,
      sym__class_declaration_item,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [244963] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3352), 1,
      sym__class_declaration_item,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245022] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3315), 1,
      sym__class_declaration_item,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6090), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245081] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2250), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3590), 2,
      anon_sym_AMP,
      anon_sym_const,
    ACTIONS(3592), 19,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym___extension__,
      anon_sym_LBRACK,
      anon_sym_constexpr,
      anon_sym_volatile,
      anon_sym_restrict,
      anon_sym___restrict__,
      anon_sym__Atomic,
      anon_sym__Noreturn,
      anon_sym_noreturn,
      anon_sym_mutable,
      anon_sym_constinit,
      anon_sym_consteval,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [245169] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5455), 1,
      sym__class_declaration_item,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245228] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3591), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245287] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3713), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245346] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(8689), 1,
      anon_sym_STAR,
    ACTIONS(8691), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8693), 1,
      anon_sym_AMP,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(6884), 1,
      sym__abstract_declarator,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [245391] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5486), 1,
      sym__class_declaration_item,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6127), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245450] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5486), 1,
      sym__class_declaration_item,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6104), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245509] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9832), 1,
      anon_sym_RPAREN,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9840), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    STATE(7972), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [245564] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3290), 1,
      sym__class_declaration_item,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6067), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245623] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2270), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245682] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3591), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245741] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2416), 1,
      sym__class_declaration_item,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6086), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245800] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3282), 1,
      sym__class_declaration_item,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245859] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2418), 1,
      sym__class_declaration_item,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245918] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2249), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6051), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [245977] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2261), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6114), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246036] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2489), 1,
      sym__class_declaration_item,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3698), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6137), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246154] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2439), 1,
      sym__class_declaration_item,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6089), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246213] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2347), 1,
      sym_field_declaration_list,
    STATE(2458), 1,
      sym__class_declaration_item,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(7607), 1,
      sym_virtual_specifier,
    STATE(8394), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2031), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246272] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3373), 1,
      sym__class_declaration_item,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246331] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3921), 1,
      sym__class_declaration_item,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6103), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246390] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4553), 1,
      sym__class_declaration_item,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6115), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246449] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3049), 1,
      sym_field_declaration_list,
    STATE(3326), 1,
      sym__class_declaration_item,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(7433), 1,
      sym_virtual_specifier,
    STATE(8173), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2744), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246508] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2252), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246567] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3591), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246626] = 5,
    ACTIONS(9677), 1,
      anon_sym_LF,
    ACTIONS(9858), 1,
      anon_sym_LPAREN2,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(6274), 1,
      sym_preproc_argument_list,
    ACTIONS(9681), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246659] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9862), 1,
      anon_sym_RPAREN,
    ACTIONS(9864), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6102), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [246702] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9866), 1,
      anon_sym_RPAREN,
    ACTIONS(9868), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6107), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [246745] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2261), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6108), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246804] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4559), 1,
      sym__class_declaration_item,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246863] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5455), 1,
      sym__class_declaration_item,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [246922] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9840), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9870), 1,
      anon_sym_RPAREN,
    STATE(7774), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [246977] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3530), 1,
      sym_field_declaration_list,
    STATE(3953), 1,
      sym__class_declaration_item,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(7552), 1,
      sym_virtual_specifier,
    STATE(8123), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2932), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247036] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5493), 1,
      sym__class_declaration_item,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247095] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2249), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6094), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247154] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2249), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6145), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247213] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9840), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9872), 1,
      anon_sym_RPAREN,
    STATE(7912), 1,
      aux_sym_preproc_argument_list_repeat1,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [247268] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2250), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9876), 1,
      anon_sym_LBRACK,
    ACTIONS(9874), 20,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_noexcept,
      anon_sym_throw,
      anon_sym_requires,
  [247356] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3591), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247415] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3698), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6120), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247474] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3713), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247533] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3713), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247592] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2250), 1,
      sym__class_declaration_item,
    STATE(2875), 1,
      sym_field_declaration_list,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(7554), 1,
      sym_virtual_specifier,
    STATE(8384), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2628), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247651] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4574), 1,
      sym__class_declaration_item,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247710] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3698), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6056), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247769] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4374), 1,
      sym_field_declaration_list,
    STATE(4569), 1,
      sym__class_declaration_item,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(7586), 1,
      sym_virtual_specifier,
    STATE(8379), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3723), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6063), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247828] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3373), 1,
      sym__class_declaration_item,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247887] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3315), 1,
      sym__class_declaration_item,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6118), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [247946] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3620), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248005] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5460), 1,
      sym__class_declaration_item,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6101), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248064] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3295), 1,
      sym__class_declaration_item,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248123] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3112), 1,
      sym__class_declaration_item,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6128), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248182] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5473), 1,
      sym__class_declaration_item,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248241] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3116), 1,
      sym__class_declaration_item,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248300] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3713), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248359] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5493), 1,
      sym__class_declaration_item,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248418] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3154), 1,
      sym__class_declaration_item,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248477] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3698), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6130), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248536] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3620), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248595] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5759), 1,
      sym__class_declaration_item,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6150), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248654] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3158), 1,
      sym__class_declaration_item,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6136), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248713] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5763), 1,
      sym__class_declaration_item,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248772] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5473), 1,
      sym__class_declaration_item,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248831] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3620), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248890] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2964), 1,
      sym_field_declaration_list,
    STATE(3110), 1,
      sym__class_declaration_item,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(7445), 1,
      sym_virtual_specifier,
    STATE(8182), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2463), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [248949] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3620), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(3519), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249008] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5427), 1,
      sym_field_declaration_list,
    STATE(5460), 1,
      sym__class_declaration_item,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7526), 1,
      sym_virtual_specifier,
    STATE(8202), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5329), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6071), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249067] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(3588), 1,
      sym__class_declaration_item,
    STATE(4351), 1,
      sym_field_declaration_list,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(7622), 1,
      sym_virtual_specifier,
    STATE(8417), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4549), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6080), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249126] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3284), 1,
      sym__class_declaration_item,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249185] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4575), 1,
      sym_field_declaration_list,
    STATE(4645), 1,
      sym__class_declaration_item,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(7501), 1,
      sym_virtual_specifier,
    STATE(8298), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4025), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249244] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3588), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6147), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249303] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3588), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6072), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249362] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5822), 1,
      sym__class_declaration_item,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249421] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2252), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249480] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2261), 1,
      sym__class_declaration_item,
    STATE(5927), 1,
      sym_field_declaration_list,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(7345), 1,
      sym_virtual_specifier,
    STATE(8175), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5438), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6069), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249539] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(3591), 1,
      sym__class_declaration_item,
    STATE(4400), 1,
      sym_field_declaration_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(7588), 1,
      sym_virtual_specifier,
    STATE(8118), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(4038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249598] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3150), 1,
      sym_field_declaration_list,
    STATE(3289), 1,
      sym__class_declaration_item,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(7483), 1,
      sym_virtual_specifier,
    STATE(8159), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(2869), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6122), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249657] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5799), 1,
      sym__class_declaration_item,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(6144), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249716] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7126), 1,
      anon_sym_COLON,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5536), 1,
      sym_field_declaration_list,
    STATE(5779), 1,
      sym__class_declaration_item,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(7566), 1,
      sym_virtual_specifier,
    STATE(8401), 1,
      sym_base_class_clause,
    ACTIONS(5321), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(5357), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [249775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9888), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6264), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [249815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9894), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9892), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [249855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9896), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6290), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [249895] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9904), 1,
      anon_sym_LBRACE,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(9912), 1,
      anon_sym_try,
    STATE(908), 1,
      sym_compound_statement,
    STATE(909), 1,
      sym_try_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [249953] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9894), 2,
      anon_sym_PIPE,
      anon_sym_AMP,
    ACTIONS(9892), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [249995] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(9914), 1,
      sym_identifier,
    ACTIONS(9916), 1,
      anon_sym_TILDE,
    ACTIONS(9918), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9920), 1,
      anon_sym_template,
    ACTIONS(9922), 1,
      anon_sym_operator,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2789), 1,
      sym_template_function,
    STATE(2791), 1,
      sym_destructor_name,
    STATE(2793), 1,
      sym_dependent_identifier,
    STATE(2795), 1,
      sym_qualified_identifier,
    STATE(2798), 1,
      sym_operator_name,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(6156), 1,
      sym__scope_resolution,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [250059] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(9924), 1,
      sym_identifier,
    ACTIONS(9926), 1,
      anon_sym_TILDE,
    ACTIONS(9928), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9930), 1,
      anon_sym_template,
    ACTIONS(9932), 1,
      anon_sym_operator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3859), 1,
      sym_pointer_type_declarator,
    STATE(3860), 1,
      sym_template_function,
    STATE(3862), 1,
      sym_destructor_name,
    STATE(3863), 1,
      sym_dependent_identifier,
    STATE(3866), 1,
      sym_qualified_identifier,
    STATE(3867), 1,
      sym_operator_name,
    STATE(6157), 1,
      sym__scope_resolution,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [250123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9934), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6166), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250163] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9894), 1,
      anon_sym_PIPE,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9892), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
  [250207] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(9936), 1,
      sym_identifier,
    ACTIONS(9938), 1,
      anon_sym_TILDE,
    ACTIONS(9940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9942), 1,
      anon_sym_template,
    ACTIONS(9944), 1,
      anon_sym_operator,
    STATE(3014), 1,
      sym_dependent_type_identifier,
    STATE(3015), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_qualified_type_identifier,
    STATE(3988), 1,
      sym_pointer_type_declarator,
    STATE(4004), 1,
      sym_template_function,
    STATE(4015), 1,
      sym_destructor_name,
    STATE(4029), 1,
      sym_dependent_identifier,
    STATE(4036), 1,
      sym_qualified_identifier,
    STATE(4055), 1,
      sym_operator_name,
    STATE(6160), 1,
      sym__scope_resolution,
    STATE(8467), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [250271] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9946), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6270), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250311] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9948), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6244), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9952), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9950), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9954), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6326), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250419] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(9956), 1,
      anon_sym_SEMI,
    STATE(6005), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8677), 1,
      sym_attribute_specifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [250471] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9894), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9892), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [250507] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(9958), 1,
      anon_sym_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_try,
    STATE(553), 1,
      sym_try_statement,
    STATE(554), 1,
      sym_compound_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [250565] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9894), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9892), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [250599] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(9962), 1,
      anon_sym_SEMI,
    STATE(5998), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(9288), 1,
      sym_attribute_specifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [250651] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9964), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6275), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250691] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9966), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6303), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250731] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(9916), 1,
      anon_sym_TILDE,
    ACTIONS(9922), 1,
      anon_sym_operator,
    ACTIONS(9968), 1,
      sym_identifier,
    ACTIONS(9970), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9972), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2789), 1,
      sym_template_function,
    STATE(2791), 1,
      sym_destructor_name,
    STATE(2793), 1,
      sym_dependent_identifier,
    STATE(2795), 1,
      sym_qualified_identifier,
    STATE(2798), 1,
      sym_operator_name,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(6172), 1,
      sym__scope_resolution,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [250795] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9734), 1,
      anon_sym_try,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(9974), 1,
      anon_sym_LBRACE,
    STATE(2323), 1,
      sym_try_statement,
    STATE(2327), 1,
      sym_compound_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [250853] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9976), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6337), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250893] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9978), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6271), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [250933] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9894), 1,
      anon_sym_PIPE,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9892), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [250979] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(9980), 1,
      sym_identifier,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(9984), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9986), 1,
      anon_sym_template,
    ACTIONS(9988), 1,
      anon_sym_operator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3590), 1,
      sym_destructor_name,
    STATE(3631), 1,
      sym_operator_name,
    STATE(3649), 1,
      sym_qualified_identifier,
    STATE(3658), 1,
      sym_dependent_identifier,
    STATE(3667), 1,
      sym_template_function,
    STATE(3672), 1,
      sym_pointer_type_declarator,
    STATE(6177), 1,
      sym__scope_resolution,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [251043] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9990), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6152), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251083] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(9992), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6295), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251123] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(9994), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6155), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251163] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(9916), 1,
      anon_sym_TILDE,
    ACTIONS(9922), 1,
      anon_sym_operator,
    ACTIONS(9996), 1,
      sym_identifier,
    ACTIONS(9998), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10000), 1,
      anon_sym_template,
    STATE(2777), 1,
      sym_pointer_type_declarator,
    STATE(2789), 1,
      sym_template_function,
    STATE(2791), 1,
      sym_destructor_name,
    STATE(2793), 1,
      sym_dependent_identifier,
    STATE(2795), 1,
      sym_qualified_identifier,
    STATE(2798), 1,
      sym_operator_name,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(6181), 1,
      sym__scope_resolution,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [251227] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9752), 1,
      anon_sym_try,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10002), 1,
      anon_sym_LBRACE,
    STATE(2645), 1,
      sym_try_statement,
    STATE(2651), 1,
      sym_compound_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [251285] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10004), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6277), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251325] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10006), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6159), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251365] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10008), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6176), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251405] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(10010), 1,
      anon_sym_SEMI,
    STATE(5981), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(8609), 1,
      sym_attribute_specifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [251457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10012), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6356), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251497] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10014), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6261), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251537] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10016), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6168), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251577] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10018), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6360), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251617] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(9926), 1,
      anon_sym_TILDE,
    ACTIONS(9932), 1,
      anon_sym_operator,
    ACTIONS(10020), 1,
      sym_identifier,
    ACTIONS(10022), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10024), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3859), 1,
      sym_pointer_type_declarator,
    STATE(3860), 1,
      sym_template_function,
    STATE(3862), 1,
      sym_destructor_name,
    STATE(3863), 1,
      sym_dependent_identifier,
    STATE(3866), 1,
      sym_qualified_identifier,
    STATE(3867), 1,
      sym_operator_name,
    STATE(6191), 1,
      sym__scope_resolution,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [251681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6702), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(6704), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [251709] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10026), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6200), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10030), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10028), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [251777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10034), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10032), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [251805] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10036), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6225), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251845] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8673), 1,
      anon_sym_STAR,
    ACTIONS(9938), 1,
      anon_sym_TILDE,
    ACTIONS(9944), 1,
      anon_sym_operator,
    ACTIONS(10038), 1,
      sym_identifier,
    ACTIONS(10040), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10042), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3988), 1,
      sym_pointer_type_declarator,
    STATE(4004), 1,
      sym_template_function,
    STATE(4015), 1,
      sym_destructor_name,
    STATE(4029), 1,
      sym_dependent_identifier,
    STATE(4036), 1,
      sym_qualified_identifier,
    STATE(4055), 1,
      sym_operator_name,
    STATE(6197), 1,
      sym__scope_resolution,
    STATE(8467), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [251909] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10044), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6253), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251949] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10046), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6327), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [251989] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9892), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [252035] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym___attribute__,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    ACTIONS(10048), 1,
      anon_sym_SEMI,
    STATE(6020), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8579), 1,
      sym_attribute_specifier,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [252087] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10050), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6352), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252127] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(9926), 1,
      anon_sym_TILDE,
    ACTIONS(9932), 1,
      anon_sym_operator,
    ACTIONS(10052), 1,
      sym_identifier,
    ACTIONS(10054), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10056), 1,
      anon_sym_template,
    STATE(2145), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2202), 1,
      sym_qualified_type_identifier,
    STATE(3859), 1,
      sym_pointer_type_declarator,
    STATE(3860), 1,
      sym_template_function,
    STATE(3862), 1,
      sym_destructor_name,
    STATE(3863), 1,
      sym_dependent_identifier,
    STATE(3866), 1,
      sym_qualified_identifier,
    STATE(3867), 1,
      sym_operator_name,
    STATE(6203), 1,
      sym__scope_resolution,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [252191] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10058), 1,
      anon_sym_LBRACE,
    STATE(2523), 1,
      sym_compound_statement,
    STATE(2524), 1,
      sym_try_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [252249] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10060), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6266), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252289] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10062), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6226), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252329] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10064), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6339), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252369] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(8885), 1,
      anon_sym_STAR,
    ACTIONS(8887), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8889), 1,
      anon_sym_AMP,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6918), 1,
      sym__abstract_declarator,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [252413] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_LBRACK,
    STATE(5401), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6367), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9718), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252449] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10066), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6341), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252489] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10068), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6365), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252529] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8553), 1,
      anon_sym_STAR,
    ACTIONS(9643), 1,
      anon_sym_TILDE,
    ACTIONS(10070), 1,
      sym_identifier,
    ACTIONS(10072), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10074), 1,
      anon_sym_template,
    ACTIONS(10076), 1,
      anon_sym_operator,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6212), 1,
      sym__scope_resolution,
    STATE(8689), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [252593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    STATE(5401), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9736), 13,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [252629] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10078), 1,
      anon_sym_LBRACE,
    ACTIONS(10080), 1,
      anon_sym_try,
    STATE(409), 1,
      sym_try_statement,
    STATE(411), 1,
      sym_compound_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [252687] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9675), 1,
      anon_sym_try,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10082), 1,
      anon_sym_LBRACE,
    STATE(2181), 1,
      sym_try_statement,
    STATE(2186), 1,
      sym_compound_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [252745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10084), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6276), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252785] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10088), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10086), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [252813] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(2002), 1,
      anon_sym_LBRACE,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10090), 1,
      anon_sym_try,
    STATE(1036), 1,
      sym_compound_statement,
    STATE(1041), 1,
      sym_try_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [252871] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10092), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6325), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [252911] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4989), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(10094), 1,
      sym_identifier,
    ACTIONS(10096), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6220), 1,
      sym__scope_resolution,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [252975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10098), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6229), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253015] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10100), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6237), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253055] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9814), 1,
      sym_identifier,
    ACTIONS(9818), 1,
      anon_sym_LPAREN2,
    ACTIONS(9820), 1,
      anon_sym_defined,
    ACTIONS(10102), 1,
      sym_number_literal,
    ACTIONS(9822), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9824), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9828), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6240), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253095] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8583), 1,
      anon_sym_STAR,
    ACTIONS(10104), 1,
      sym_identifier,
    ACTIONS(10106), 1,
      anon_sym_TILDE,
    ACTIONS(10108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10110), 1,
      anon_sym_template,
    ACTIONS(10112), 1,
      anon_sym_operator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3538), 1,
      sym_operator_name,
    STATE(3540), 1,
      sym_qualified_identifier,
    STATE(3542), 1,
      sym_dependent_identifier,
    STATE(3543), 1,
      sym_destructor_name,
    STATE(3544), 1,
      sym_template_function,
    STATE(3547), 1,
      sym_pointer_type_declarator,
    STATE(6224), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
    STATE(9128), 1,
      sym_ms_based_modifier,
  [253159] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9892), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
  [253207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9894), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9892), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253235] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(8625), 1,
      anon_sym_STAR,
    ACTIONS(9982), 1,
      anon_sym_TILDE,
    ACTIONS(9988), 1,
      anon_sym_operator,
    ACTIONS(10114), 1,
      sym_identifier,
    ACTIONS(10116), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10118), 1,
      anon_sym_template,
    STATE(2145), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2202), 1,
      sym_qualified_type_identifier,
    STATE(3590), 1,
      sym_destructor_name,
    STATE(3631), 1,
      sym_operator_name,
    STATE(3649), 1,
      sym_qualified_identifier,
    STATE(3658), 1,
      sym_dependent_identifier,
    STATE(3667), 1,
      sym_template_function,
    STATE(3672), 1,
      sym_pointer_type_declarator,
    STATE(6227), 1,
      sym__scope_resolution,
    STATE(8489), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [253299] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10120), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6324), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10124), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10122), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253367] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10128), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10126), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253395] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10130), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6283), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253435] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10132), 1,
      anon_sym_LBRACE,
    ACTIONS(10134), 1,
      anon_sym_try,
    STATE(920), 1,
      sym_try_statement,
    STATE(921), 1,
      sym_compound_statement,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [253493] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10136), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6308), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253533] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10138), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6354), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253573] = 21,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(4413), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(10140), 1,
      sym_identifier,
    ACTIONS(10142), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3111), 1,
      sym_template_type,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6235), 1,
      sym__scope_resolution,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 1,
      sym_decltype,
  [253637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10146), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10144), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9894), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9892), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10150), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(10148), 15,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [253725] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10152), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6357), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253765] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9840), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10154), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [253815] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9878), 1,
      sym_identifier,
    ACTIONS(9880), 1,
      anon_sym_LPAREN2,
    ACTIONS(9882), 1,
      anon_sym_defined,
    ACTIONS(10156), 1,
      sym_number_literal,
    ACTIONS(9884), 2,
      anon_sym_BANG,
      anon_sym_TILDE,
    ACTIONS(9886), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9890), 5,
      anon_sym_L_SQUOTE,
      anon_sym_u_SQUOTE,
      anon_sym_U_SQUOTE,
      anon_sym_u8_SQUOTE,
      anon_sym_SQUOTE,
    STATE(6304), 7,
      sym__preproc_expression,
      sym_preproc_parenthesized_expression,
      sym_preproc_defined,
      sym_preproc_unary_expression,
      sym_preproc_call_expression,
      sym_preproc_binary_expression,
      sym_char_literal,
  [253855] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6351), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [253894] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [253933] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10158), 1,
      anon_sym_LF,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [253978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [254013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5203), 1,
      anon_sym_LBRACK,
    ACTIONS(5205), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254040] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2136), 1,
      anon_sym_LBRACK,
    ACTIONS(2134), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254067] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9736), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254098] = 3,
    ACTIONS(6704), 1,
      anon_sym_LF,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(6702), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [254125] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2186), 1,
      anon_sym_LBRACK,
    ACTIONS(2184), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254152] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6335), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [254191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5211), 1,
      anon_sym_LBRACK,
    ACTIONS(5213), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254218] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10122), 1,
      anon_sym_LF,
    ACTIONS(10124), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [254245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5215), 1,
      anon_sym_LBRACK,
    ACTIONS(5217), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254272] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    ACTIONS(10180), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10182), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6137), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254303] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9019), 1,
      anon_sym_STAR,
    ACTIONS(9021), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9023), 1,
      anon_sym_AMP,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7001), 1,
      sym__abstract_declarator,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
    ACTIONS(7983), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [254346] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7503), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(10184), 1,
      sym_identifier,
    ACTIONS(10186), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6257), 1,
      sym__scope_resolution,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [254403] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10144), 1,
      anon_sym_LF,
    ACTIONS(10146), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [254430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10190), 1,
      anon_sym_LBRACK,
    ACTIONS(10188), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254457] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6108), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8619), 1,
      anon_sym_STAR,
    ACTIONS(10192), 1,
      sym_identifier,
    ACTIONS(10194), 1,
      anon_sym_template,
    STATE(6260), 1,
      sym__scope_resolution,
    STATE(6745), 1,
      sym_template_function,
    STATE(6763), 1,
      sym_pointer_type_declarator,
    STATE(6809), 1,
      sym_destructor_name,
    STATE(6814), 1,
      sym_dependent_identifier,
    STATE(6815), 1,
      sym_qualified_identifier,
    STATE(6822), 1,
      sym_operator_name,
    STATE(9185), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [254514] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9840), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(10196), 1,
      anon_sym_RPAREN,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [254563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5183), 1,
      anon_sym_LBRACK,
    ACTIONS(5185), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [254590] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10148), 1,
      anon_sym_LF,
    ACTIONS(10150), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [254617] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10198), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [254662] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(6495), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(9810), 1,
      sym_identifier,
    ACTIONS(9812), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6265), 1,
      sym__scope_resolution,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [254719] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10200), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [254764] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(6903), 1,
      sym_access_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7440), 1,
      sym_virtual,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7904), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10202), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [254815] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10211), 1,
      anon_sym_requires,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [254850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10216), 1,
      anon_sym_LPAREN2,
    ACTIONS(10218), 1,
      anon_sym_LBRACK,
    ACTIONS(10214), 17,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [254879] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10220), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [254924] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10222), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [254969] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(6836), 1,
      sym_access_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7614), 1,
      sym_virtual,
    STATE(6288), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7599), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10202), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255020] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [255059] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10086), 1,
      anon_sym_LF,
    ACTIONS(10088), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255086] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10224), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [255131] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10226), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [255176] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9894), 15,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255205] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10028), 1,
      anon_sym_LF,
    ACTIONS(10030), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [255232] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5250), 1,
      anon_sym_LBRACK,
    ACTIONS(5252), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [255259] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(10235), 1,
      anon_sym_requires,
    ACTIONS(10232), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [255294] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [255329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7487), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8599), 1,
      anon_sym_STAR,
    ACTIONS(10192), 1,
      sym_identifier,
    ACTIONS(10194), 1,
      anon_sym_template,
    STATE(6282), 1,
      sym__scope_resolution,
    STATE(6745), 1,
      sym_template_function,
    STATE(6763), 1,
      sym_pointer_type_declarator,
    STATE(6809), 1,
      sym_destructor_name,
    STATE(6814), 1,
      sym_dependent_identifier,
    STATE(6815), 1,
      sym_qualified_identifier,
    STATE(6822), 1,
      sym_operator_name,
    STATE(8570), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [255386] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10238), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [255431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(10240), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 16,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [255460] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6281), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [255499] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    ACTIONS(10240), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10242), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6137), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [255530] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    ACTIONS(10244), 1,
      sym_identifier,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10248), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8904), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [255587] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(6899), 1,
      sym_access_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7491), 1,
      sym_virtual,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(7555), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10202), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5169), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [255665] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10250), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [255710] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5169), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [255737] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [255772] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(121), 1,
      anon_sym_virtual,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(6869), 1,
      sym_access_specifier,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7478), 1,
      sym_virtual,
    STATE(6267), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8038), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
    ACTIONS(10202), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [255823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9718), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255854] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10252), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [255899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10256), 1,
      anon_sym_LBRACK,
    ACTIONS(10254), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [255926] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10211), 1,
      anon_sym_requires,
    STATE(6280), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [255965] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    STATE(6268), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(10182), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256033] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6351), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256072] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256107] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10126), 1,
      anon_sym_LF,
    ACTIONS(10128), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256134] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10258), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [256179] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10260), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [256224] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6358), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10264), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6361), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10262), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256294] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_requires,
    STATE(6345), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256333] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9894), 13,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5167), 1,
      anon_sym_LBRACK,
    ACTIONS(5169), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256391] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_requires,
    STATE(6344), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5187), 1,
      anon_sym_LBRACK,
    ACTIONS(5189), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256457] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256496] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10271), 1,
      anon_sym_LBRACK,
    ACTIONS(10269), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [256523] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    STATE(6343), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256562] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6338), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256601] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6334), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256640] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5179), 1,
      anon_sym_LBRACK,
    ACTIONS(5181), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [256702] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(6342), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256741] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7717), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6330), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256780] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6317), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [256819] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [256854] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10032), 1,
      anon_sym_LF,
    ACTIONS(10034), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256881] = 6,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9894), 11,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [256914] = 7,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9894), 7,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [256949] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9838), 1,
      anon_sym_SLASH,
    ACTIONS(9840), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(9842), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9844), 1,
      anon_sym_PIPE,
    ACTIONS(9846), 1,
      anon_sym_CARET,
    ACTIONS(9848), 1,
      anon_sym_AMP,
    ACTIONS(10273), 1,
      anon_sym_RPAREN,
    ACTIONS(9834), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(9836), 2,
      anon_sym_STAR,
      anon_sym_PERCENT,
    ACTIONS(9850), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(9852), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(9854), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(9856), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [256998] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10275), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257043] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5223), 1,
      anon_sym_LBRACK,
    ACTIONS(5225), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257105] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257140] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6281), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [257179] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10211), 1,
      anon_sym_requires,
    STATE(6280), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257218] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    STATE(6268), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257257] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257292] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [257327] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3011), 1,
      anon_sym_TILDE,
    ACTIONS(7420), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8647), 1,
      anon_sym_STAR,
    ACTIONS(9810), 1,
      sym_identifier,
    ACTIONS(9812), 1,
      anon_sym_template,
    STATE(3108), 1,
      sym_pointer_type_declarator,
    STATE(3122), 1,
      sym_template_function,
    STATE(3127), 1,
      sym_destructor_name,
    STATE(3131), 1,
      sym_qualified_identifier,
    STATE(3133), 1,
      sym_operator_name,
    STATE(3135), 1,
      sym_dependent_identifier,
    STATE(6336), 1,
      sym__scope_resolution,
    STATE(9061), 1,
      sym_ms_based_modifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [257384] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10277), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257429] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257464] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10279), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257509] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257544] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10164), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10281), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [257589] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257624] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_requires,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257659] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_requires,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(10283), 1,
      anon_sym_requires,
    ACTIONS(10232), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [257729] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257768] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7614), 1,
      anon_sym_DASH_GT,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6317), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [257807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5231), 1,
      anon_sym_LBRACK,
    ACTIONS(5233), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257834] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10288), 1,
      anon_sym_LBRACK,
    STATE(5857), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10286), 15,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [257865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5227), 1,
      anon_sym_LBRACK,
    ACTIONS(5229), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257892] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 11,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [257927] = 8,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(9894), 5,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
  [257964] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5207), 1,
      anon_sym_LBRACK,
    ACTIONS(5209), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [257991] = 9,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(9894), 4,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258030] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7730), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6335), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [258069] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(9894), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258096] = 10,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(9894), 3,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258137] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [258172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10292), 1,
      anon_sym_LBRACK,
    ACTIONS(10290), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258199] = 12,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(9894), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(10166), 1,
      anon_sym_AMP_AMP,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258244] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10296), 1,
      anon_sym_LBRACK,
    ACTIONS(10298), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6361), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10294), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258275] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10303), 1,
      anon_sym_LBRACK,
    ACTIONS(10301), 18,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258302] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5219), 1,
      anon_sym_LBRACK,
    ACTIONS(5221), 18,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_and,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258329] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9950), 1,
      anon_sym_LF,
    ACTIONS(9952), 18,
      anon_sym_DASH,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [258356] = 11,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9892), 1,
      anon_sym_LF,
    ACTIONS(10168), 1,
      anon_sym_PIPE,
    ACTIONS(10170), 1,
      anon_sym_CARET,
    ACTIONS(10172), 1,
      anon_sym_AMP,
    ACTIONS(9894), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(10160), 2,
      anon_sym_DASH,
      anon_sym_PLUS,
    ACTIONS(10174), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(10178), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(10162), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(10176), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [258399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(9462), 1,
      anon_sym_requires,
    STATE(6506), 1,
      sym_trailing_return_type,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258435] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10288), 1,
      anon_sym_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10286), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258465] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    STATE(6477), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258501] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    STATE(6482), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258537] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    STATE(6500), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258573] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(9121), 1,
      anon_sym_requires,
    STATE(6488), 1,
      sym_trailing_return_type,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258609] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(9009), 1,
      anon_sym_requires,
    STATE(6527), 1,
      sym_trailing_return_type,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258645] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(10308), 1,
      anon_sym_requires,
    STATE(6512), 1,
      sym_trailing_return_type,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258681] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8119), 1,
      anon_sym_LPAREN2,
    ACTIONS(8127), 1,
      anon_sym_LBRACK,
    ACTIONS(9045), 1,
      anon_sym_STAR,
    ACTIONS(9047), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9049), 1,
      anon_sym_AMP,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6449), 1,
      sym__function_declarator_seq,
    STATE(7057), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6456), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258723] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7371), 1,
      anon_sym_DASH_GT,
    ACTIONS(7379), 1,
      anon_sym_requires,
    STATE(6486), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [258759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9738), 1,
      anon_sym_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9736), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258789] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(10311), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5961), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258819] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9720), 1,
      anon_sym_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(9718), 14,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [258849] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    ACTIONS(10314), 1,
      anon_sym_COLON,
    STATE(4152), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [258901] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    ACTIONS(10318), 1,
      anon_sym_requires,
    STATE(3960), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6564), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7421), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [258950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10322), 1,
      anon_sym_LBRACK,
    ACTIONS(10320), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [258975] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9480), 1,
      anon_sym_requires,
    STATE(6268), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259012] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(3981), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6573), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7540), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259061] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7570), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [259104] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7471), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [259147] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6335), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259184] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7561), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [259227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10328), 1,
      anon_sym_LBRACK,
    ACTIONS(10326), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259252] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9075), 1,
      anon_sym_STAR,
    ACTIONS(9077), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9079), 1,
      anon_sym_AMP,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7107), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10204), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259318] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10211), 1,
      anon_sym_requires,
    STATE(6280), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259355] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6501), 1,
      sym_compound_statement,
    STATE(6588), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7538), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259404] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7487), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [259447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10334), 1,
      anon_sym_LBRACK,
    ACTIONS(10332), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259472] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7591), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [259515] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6358), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [259552] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6338), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [259589] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9210), 1,
      anon_sym_requires,
    STATE(6351), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9455), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259651] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7632), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [259694] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(6635), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [259737] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6330), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [259774] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9111), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259799] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6322), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [259836] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    STATE(2856), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6563), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7340), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259885] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_LT,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6392), 1,
      sym_template_parameter_list,
    STATE(6490), 1,
      sym_compound_statement,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7572), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [259934] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10342), 1,
      anon_sym_LBRACK,
    ACTIONS(10340), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [259959] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10344), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4819), 1,
      sym_compound_statement,
    STATE(6424), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7488), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260008] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10346), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7750), 1,
      sym_initializer_list,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    STATE(8359), 1,
      sym_argument_list,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [260059] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7417), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [260102] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9042), 1,
      anon_sym_requires,
    STATE(6245), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260139] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7530), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [260182] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(7732), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6334), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [260219] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7484), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [260262] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10348), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6348), 1,
      sym_compound_statement,
    STATE(6549), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7467), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260311] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_LT,
    STATE(2757), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6405), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7387), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260360] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(3762), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6571), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7564), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260409] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4217), 1,
      sym_compound_statement,
    STATE(6598), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7513), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260458] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7376), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [260501] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_STAR,
    ACTIONS(9368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9370), 1,
      anon_sym_AMP,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(6909), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260542] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9091), 1,
      anon_sym_requires,
    STATE(6342), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [260579] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(3788), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6417), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7592), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260628] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9361), 1,
      anon_sym_requires,
    STATE(6343), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [260665] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10344), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4875), 1,
      sym_compound_statement,
    STATE(6581), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7325), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260714] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5019), 1,
      anon_sym_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
    ACTIONS(5026), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [260745] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6281), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260782] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    STATE(1992), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6462), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7584), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [260831] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7618), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [260874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9002), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260899] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7616), 1,
      anon_sym_requires,
    ACTIONS(7728), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6317), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [260936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10356), 1,
      anon_sym_LBRACK,
    ACTIONS(10354), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [260961] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7602), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261004] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7531), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261047] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9517), 1,
      anon_sym_requires,
    STATE(6344), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [261084] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7709), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10266), 1,
      anon_sym_requires,
    STATE(6345), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [261121] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(7110), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [261164] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10360), 1,
      anon_sym_LBRACK,
    ACTIONS(10358), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_LT,
    STATE(3963), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6380), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7486), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261238] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7550), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261281] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10364), 1,
      anon_sym_LBRACK,
    ACTIONS(10362), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261306] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7351), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10368), 1,
      anon_sym_LBRACK,
    ACTIONS(10366), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261374] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10372), 1,
      anon_sym_LBRACK,
    ACTIONS(10370), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261399] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10374), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4920), 1,
      sym_compound_statement,
    STATE(6453), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7520), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261448] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7426), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261491] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10378), 1,
      anon_sym_LBRACK,
    ACTIONS(10376), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261516] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7475), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261559] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10348), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6254), 1,
      sym_compound_statement,
    STATE(6415), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7419), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261608] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10382), 1,
      anon_sym_LBRACK,
    ACTIONS(10380), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261633] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7637), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261676] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(3537), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6463), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7437), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(10228), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261750] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10374), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4789), 1,
      sym_compound_statement,
    STATE(6556), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7492), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261799] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7581), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [261842] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(4187), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6418), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7525), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261891] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10388), 1,
      anon_sym_LBRACK,
    ACTIONS(10386), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [261916] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10338), 1,
      anon_sym_LT,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1992), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6470), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7533), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [261965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7455), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262008] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8332), 1,
      sym_identifier,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8336), 1,
      anon_sym_STAR,
    ACTIONS(8338), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8340), 1,
      anon_sym_AMP,
    STATE(7097), 1,
      sym__field_declarator,
    STATE(7225), 1,
      sym_operator_name,
    STATE(8939), 1,
      sym_ms_based_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [262051] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(8334), 1,
      anon_sym_LPAREN2,
    ACTIONS(8452), 1,
      sym_identifier,
    ACTIONS(8454), 1,
      anon_sym_STAR,
    ACTIONS(8456), 1,
      anon_sym_AMP_AMP,
    ACTIONS(8458), 1,
      anon_sym_AMP,
    STATE(6604), 1,
      sym__field_declarator,
    STATE(6881), 1,
      sym_operator_name,
    STATE(8581), 1,
      sym_ms_based_modifier,
    STATE(6965), 7,
      sym_parenthesized_field_declarator,
      sym_attributed_field_declarator,
      sym_pointer_field_declarator,
      sym_function_field_declarator,
      sym_array_field_declarator,
      sym_reference_field_declarator,
      sym_template_method,
  [262094] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5368), 1,
      anon_sym_COLON,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
    ACTIONS(4161), 13,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [262125] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    STATE(1996), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6551), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7628), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262174] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(3390), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6610), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7416), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262223] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7373), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262266] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10394), 1,
      anon_sym_LBRACK,
    ACTIONS(10392), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262291] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(7743), 1,
      aux_sym__declaration_declarator_repeat1,
    STATE(7818), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [262340] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10398), 1,
      anon_sym_LBRACK,
    ACTIONS(10396), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10402), 1,
      anon_sym_LBRACK,
    ACTIONS(10400), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262390] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    ACTIONS(10338), 1,
      anon_sym_LT,
    STATE(3978), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6383), 1,
      sym_template_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7519), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262439] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10318), 1,
      anon_sym_requires,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1996), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6597), 1,
      sym_requires_clause,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7429), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [262488] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(6996), 1,
      sym__type_declarator,
    STATE(7463), 1,
      sym__type_definition_declarators,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5209), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10404), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6473), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10294), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262579] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7159), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [262619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5181), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262641] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10407), 1,
      sym_identifier,
    ACTIONS(5193), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6513), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [262671] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6660), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2184), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2134), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262745] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(6728), 1,
      sym_template_argument_list,
    ACTIONS(7919), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5056), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [262775] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6685), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [262811] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262841] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4018), 1,
      anon_sym_LBRACK,
    ACTIONS(4020), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [262865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262887] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262909] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5169), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [262961] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9462), 1,
      anon_sym_requires,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [262991] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10413), 1,
      sym_identifier,
    ACTIONS(10415), 1,
      sym_primitive_type,
    STATE(5269), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(5670), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7897), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5217), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5229), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263075] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10417), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10419), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6137), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5221), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5205), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263145] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10421), 1,
      sym_identifier,
    ACTIONS(10423), 1,
      sym_primitive_type,
    STATE(2331), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(2480), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9273), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263185] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10425), 1,
      sym_identifier,
    ACTIONS(10427), 1,
      sym_primitive_type,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(3666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263225] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10429), 1,
      sym_identifier,
    ACTIONS(10431), 1,
      sym_primitive_type,
    STATE(2912), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(3659), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9217), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263265] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6473), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    ACTIONS(10262), 12,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10419), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263315] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5233), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [263367] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6636), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [263403] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10433), 1,
      sym_identifier,
    ACTIONS(10435), 1,
      sym_primitive_type,
    STATE(2350), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(2480), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9139), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263443] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10437), 1,
      sym_identifier,
    ACTIONS(10439), 1,
      sym_primitive_type,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(2284), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263483] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7191), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263523] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10308), 1,
      anon_sym_requires,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263553] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10441), 1,
      sym_identifier,
    ACTIONS(10443), 1,
      sym_primitive_type,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(5479), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263593] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_requires,
    STATE(6662), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [263629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9009), 1,
      anon_sym_requires,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4014), 1,
      anon_sym_LBRACK,
    ACTIONS(4016), 15,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_DASH_GT,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [263683] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9132), 1,
      anon_sym_requires,
    STATE(6661), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [263719] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10448), 1,
      anon_sym_requires,
    ACTIONS(10445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6660), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [263749] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10451), 1,
      sym_identifier,
    ACTIONS(5199), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6521), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [263779] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10439), 1,
      sym_primitive_type,
    ACTIONS(10453), 1,
      sym_identifier,
    STATE(2211), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(2284), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(2080), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263819] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10441), 1,
      sym_identifier,
    ACTIONS(10443), 1,
      sym_primitive_type,
    STATE(4889), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(5479), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7869), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263859] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10455), 1,
      sym_identifier,
    ACTIONS(10457), 1,
      sym_primitive_type,
    STATE(4155), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(4600), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9327), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [263899] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7179), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [263939] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7167), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [263979] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10459), 1,
      sym_identifier,
    ACTIONS(10461), 1,
      sym_primitive_type,
    STATE(3616), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(3666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264019] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7178), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10463), 1,
      sym_identifier,
    ACTIONS(5240), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    STATE(6521), 3,
      sym_string_literal,
      sym_raw_string_literal,
      aux_sym_concatenated_string_repeat1,
    ACTIONS(10466), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10469), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [264089] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7157), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264129] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10472), 1,
      sym_identifier,
    ACTIONS(10474), 1,
      sym_primitive_type,
    STATE(2518), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(2982), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9305), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264169] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10476), 1,
      sym_identifier,
    ACTIONS(10478), 1,
      sym_primitive_type,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(3248), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5252), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_LBRACK,
    ACTIONS(10480), 1,
      anon_sym_LBRACK_RBRACK,
    ACTIONS(6131), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [264257] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9121), 1,
      anon_sym_requires,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264287] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(6728), 1,
      sym_template_argument_list,
    ACTIONS(5028), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5021), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [264317] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10482), 1,
      sym_identifier,
    ACTIONS(10484), 1,
      sym_primitive_type,
    STATE(2702), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(3241), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9183), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5189), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264379] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9541), 1,
      anon_sym_requires,
    STATE(6663), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [264415] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10425), 1,
      sym_identifier,
    ACTIONS(10427), 1,
      sym_primitive_type,
    STATE(3635), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(3666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3936), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264455] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10486), 1,
      sym_identifier,
    ACTIONS(10488), 1,
      sym_primitive_type,
    STATE(5893), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(2284), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(7851), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5225), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264517] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      anon_sym___based,
    ACTIONS(8549), 1,
      sym_identifier,
    ACTIONS(8551), 1,
      anon_sym_LPAREN2,
    ACTIONS(8561), 1,
      sym_primitive_type,
    ACTIONS(8569), 1,
      anon_sym_STAR,
    STATE(2432), 1,
      sym_pointer_type_declarator,
    STATE(7082), 1,
      sym__type_declarator,
    STATE(8904), 1,
      sym_ms_based_modifier,
    ACTIONS(8559), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
    STATE(2449), 4,
      sym_parenthesized_type_declarator,
      sym_attributed_type_declarator,
      sym_function_type_declarator,
      sym_array_type_declarator,
  [264557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5213), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5185), 16,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_or,
      anon_sym_and,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [264601] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10490), 1,
      sym_identifier,
    ACTIONS(10492), 1,
      sym_primitive_type,
    STATE(3731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(4455), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9161), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264641] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6632), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [264677] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9126), 1,
      anon_sym_STAR,
    ACTIONS(9128), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9130), 1,
      anon_sym_AMP,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7182), 1,
      sym__abstract_declarator,
    ACTIONS(7983), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [264717] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10478), 1,
      sym_primitive_type,
    ACTIONS(10494), 1,
      sym_identifier,
    STATE(2731), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(3248), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(3338), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264757] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10496), 1,
      sym_identifier,
    ACTIONS(10498), 1,
      sym_primitive_type,
    STATE(2760), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(3328), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(9253), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264797] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6659), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [264833] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(9900), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9908), 1,
      anon_sym_EQ,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(8197), 1,
      sym_gnu_asm_expression,
    ACTIONS(9910), 2,
      anon_sym_asm,
      anon_sym___asm__,
    ACTIONS(10500), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    STATE(8359), 2,
      sym_argument_list,
      sym_initializer_list,
  [264877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7379), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [264907] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7755), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10502), 1,
      anon_sym_requires,
    STATE(6665), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [264943] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10459), 1,
      sym_identifier,
    ACTIONS(10461), 1,
      sym_primitive_type,
    STATE(3616), 1,
      aux_sym_sized_type_specifier_repeat1,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(3666), 2,
      sym_sized_type_specifier,
      sym_qualified_type_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
    ACTIONS(53), 4,
      anon_sym_signed,
      anon_sym_unsigned,
      anon_sym_long,
      anon_sym_short,
  [264983] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10505), 1,
      anon_sym_RPAREN,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    STATE(7782), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265014] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10348), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6262), 1,
      sym_compound_statement,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7496), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265057] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    STATE(6673), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [265090] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    STATE(1983), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7630), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265133] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    STATE(6654), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [265166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265195] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265224] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265253] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10374), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4804), 1,
      sym_compound_statement,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7380), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265296] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10517), 1,
      anon_sym_RPAREN,
    STATE(7808), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265327] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265356] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(6725), 1,
      sym_trailing_return_type,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [265389] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265418] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6414), 1,
      anon_sym_LBRACK,
    ACTIONS(6416), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265441] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265470] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    STATE(2827), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7392), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265513] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    STATE(3902), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7370), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4134), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265585] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10527), 1,
      anon_sym_RPAREN,
    STATE(7958), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    STATE(6688), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [265649] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10529), 1,
      anon_sym_RPAREN,
    STATE(7751), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265680] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10531), 1,
      anon_sym_RPAREN,
    STATE(7799), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265711] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10533), 1,
      anon_sym_RPAREN,
    STATE(7994), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [265742] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(3957), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7510), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265785] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9380), 1,
      anon_sym_requires,
    STATE(6664), 1,
      sym_trailing_return_type,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [265818] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(4041), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7382), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [265861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(6728), 1,
      sym_template_argument_list,
    ACTIONS(6124), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265888] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6129), 1,
      anon_sym_LBRACK,
    ACTIONS(6131), 14,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [265911] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265940] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265969] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [265998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266027] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10535), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266058] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10344), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4918), 1,
      sym_compound_statement,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7460), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [266101] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4098), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [266188] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10537), 1,
      anon_sym_RPAREN,
    STATE(7675), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10539), 1,
      anon_sym_RPAREN,
    STATE(7664), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266250] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5959), 1,
      anon_sym_LBRACK,
    ACTIONS(10541), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5961), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266277] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6537), 1,
      sym_compound_statement,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(7521), 1,
      sym_abstract_function_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [266320] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5879), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266351] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5827), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266382] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10546), 1,
      anon_sym_RPAREN,
    STATE(7857), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266413] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(10548), 1,
      anon_sym_requires,
    STATE(6630), 1,
      sym_trailing_return_type,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [266446] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266477] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10553), 1,
      anon_sym_RPAREN,
    STATE(7891), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266508] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    STATE(7827), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10557), 1,
      anon_sym_RPAREN,
    STATE(7888), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266570] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1983), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7344), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [266613] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(4261), 1,
      sym_compound_statement,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7329), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [266656] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5924), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [266687] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266716] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266745] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    STATE(7998), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266776] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266805] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(9673), 1,
      anon_sym_COLON,
    ACTIONS(10563), 1,
      anon_sym_EQ,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7809), 1,
      sym_initializer_list,
    STATE(7870), 1,
      sym_bitfield_clause,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10561), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [266848] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266877] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_requires,
    STATE(6719), 1,
      sym_trailing_return_type,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [266939] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [266968] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_RPAREN,
    STATE(7659), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [266999] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(5071), 1,
      anon_sym_STAR,
    ACTIONS(5073), 1,
      anon_sym_AMP_AMP,
    ACTIONS(5075), 1,
      anon_sym_AMP,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(3516), 1,
      sym_compound_statement,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7411), 1,
      sym_abstract_function_declarator,
    STATE(7464), 1,
      sym__abstract_declarator,
    STATE(6676), 4,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [267042] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4141), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [267071] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10569), 1,
      anon_sym___attribute__,
    ACTIONS(10574), 1,
      anon_sym_alignas,
    ACTIONS(10572), 3,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
    STATE(6612), 3,
      sym_attribute_specifier,
      sym_alignas_specifier,
      aux_sym__class_declaration_repeat1,
    ACTIONS(10567), 7,
      anon_sym___declspec,
      anon_sym_COLON,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_final,
      anon_sym_override,
      anon_sym_template,
  [267100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10577), 1,
      anon_sym_RPAREN,
    STATE(8005), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267131] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10579), 1,
      anon_sym_RPAREN,
    STATE(7647), 1,
      sym_gnu_asm_output_operand_list,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267162] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7772), 1,
      anon_sym_DASH_GT,
    ACTIONS(7774), 1,
      anon_sym_requires,
    STATE(6640), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [267195] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6736), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5860), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267226] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5412), 1,
      sym_enumerator_list,
    STATE(7036), 1,
      sym__scope_resolution,
    ACTIONS(10581), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5783), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267266] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3531), 1,
      sym_enumerator_list,
    STATE(7056), 1,
      sym__scope_resolution,
    ACTIONS(10583), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(3096), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267306] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8740), 1,
      sym_concatenated_string,
    STATE(6761), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267334] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6613), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7894), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267364] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6609), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7648), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [267422] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10589), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [267454] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10593), 1,
      anon_sym_LBRACK,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10591), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [267480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8781), 1,
      sym_concatenated_string,
    STATE(6771), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267508] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10595), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [267540] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3249), 1,
      sym_enumerator_list,
    STATE(7051), 1,
      sym__scope_resolution,
    ACTIONS(10597), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2950), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267580] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8698), 1,
      sym_concatenated_string,
    STATE(6831), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267608] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6594), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7740), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267638] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10599), 1,
      anon_sym_requires,
    ACTIONS(10445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6660), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [267666] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(7983), 1,
      anon_sym_COLON,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9374), 1,
      anon_sym_STAR,
    ACTIONS(9376), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9378), 1,
      anon_sym_AMP,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7319), 1,
      sym__abstract_declarator,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [267704] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267734] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(4394), 1,
      sym_enumerator_list,
    STATE(7064), 1,
      sym__scope_resolution,
    ACTIONS(10602), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4690), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267774] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6580), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7892), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [267804] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10604), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267836] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [267866] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10606), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [267898] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_enumerator_list,
    STATE(7045), 1,
      sym__scope_resolution,
    ACTIONS(10608), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5125), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [267938] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10610), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [267970] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [267998] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10612), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [268058] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8816), 1,
      sym_concatenated_string,
    STATE(6774), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268086] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3140), 1,
      sym_enumerator_list,
    STATE(7073), 1,
      sym__scope_resolution,
    ACTIONS(10614), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4516), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268126] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6566), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7964), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268156] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5534), 1,
      sym_enumerator_list,
    STATE(7078), 1,
      sym__scope_resolution,
    ACTIONS(10616), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5386), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268196] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10362), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268244] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10358), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268292] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3048), 1,
      sym_enumerator_list,
    STATE(7066), 1,
      sym__scope_resolution,
    ACTIONS(10618), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2913), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10320), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268352] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9132), 1,
      anon_sym_requires,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268382] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [268410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10400), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268430] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5412), 1,
      sym_enumerator_list,
    STATE(7045), 1,
      sym__scope_resolution,
    ACTIONS(10620), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5353), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268470] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268498] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268526] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10354), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268576] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9395), 1,
      anon_sym_requires,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9541), 1,
      anon_sym_requires,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268636] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10502), 1,
      anon_sym_requires,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268666] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9576), 1,
      anon_sym_requires,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [268694] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(10622), 1,
      anon_sym_requires,
    ACTIONS(10232), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [268724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10326), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268744] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    ACTIONS(10625), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10627), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6137), 9,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [268770] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6596), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7679), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7722), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4380), 1,
      sym_enumerator_list,
    STATE(7043), 1,
      sym__scope_resolution,
    ACTIONS(10629), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4139), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268840] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8646), 1,
      sym_concatenated_string,
    STATE(6805), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10370), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [268888] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(5929), 1,
      sym_enumerator_list,
    STATE(7037), 1,
      sym__scope_resolution,
    ACTIONS(10631), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5815), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [268928] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6660), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [268956] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6557), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7852), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [268986] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2343), 1,
      sym_enumerator_list,
    STATE(7054), 1,
      sym__scope_resolution,
    ACTIONS(10633), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2623), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10386), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269046] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6586), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7937), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10376), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10380), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10204), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10392), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269156] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6591), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7955), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10396), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269206] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3140), 1,
      sym_enumerator_list,
    STATE(7040), 1,
      sym__scope_resolution,
    ACTIONS(10635), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5524), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269246] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [269276] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6585), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7855), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269306] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2891), 1,
      sym_enumerator_list,
    STATE(7068), 1,
      sym__scope_resolution,
    ACTIONS(10637), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4347), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269346] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [269374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10639), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269406] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(10627), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 11,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [269430] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10641), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [269462] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9115), 1,
      anon_sym_requires,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [269490] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8573), 1,
      sym_concatenated_string,
    STATE(6751), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269518] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4579), 1,
      sym_enumerator_list,
    STATE(7050), 1,
      sym__scope_resolution,
    ACTIONS(10643), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4337), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10228), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269578] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [269606] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6570), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7802), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9002), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269656] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2343), 1,
      sym_enumerator_list,
    STATE(7054), 1,
      sym__scope_resolution,
    ACTIONS(10645), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2786), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269696] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10641), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [269728] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4394), 1,
      sym_enumerator_list,
    STATE(7042), 1,
      sym__scope_resolution,
    ACTIONS(10647), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4424), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269768] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10649), 1,
      sym_identifier,
    ACTIONS(10651), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10653), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10655), 1,
      aux_sym_preproc_elif_token1,
    STATE(6935), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(6937), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7153), 1,
      sym_enumerator,
    STATE(8806), 1,
      sym_preproc_elifdef,
    ACTIONS(10657), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8872), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(8878), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [269808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10332), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269828] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6548), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7806), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [269858] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2958), 1,
      sym_enumerator_list,
    STATE(7058), 1,
      sym__scope_resolution,
    ACTIONS(10659), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(2849), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [269898] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    STATE(4079), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(6852), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10661), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [269930] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10595), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [269962] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3751), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [269990] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7778), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 6,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [270020] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10589), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [270052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    STATE(6857), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270084] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    STATE(6863), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270116] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2891), 1,
      sym_enumerator_list,
    STATE(7080), 1,
      sym__scope_resolution,
    ACTIONS(10663), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(5518), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270156] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6614), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7678), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270186] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6595), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7699), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9111), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270236] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    STATE(6865), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270268] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6593), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7900), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270298] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10548), 1,
      anon_sym_requires,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [270326] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(7815), 1,
      anon_sym_requires,
    STATE(6868), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270358] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6569), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7754), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270388] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10610), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [270420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10366), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270440] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4394), 1,
      sym_enumerator_list,
    STATE(7076), 1,
      sym__scope_resolution,
    ACTIONS(10665), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4171), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270480] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9380), 1,
      anon_sym_requires,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [270508] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8471), 1,
      sym_concatenated_string,
    STATE(6782), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10667), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(10669), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6137), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [270560] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5046), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5051), 11,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270584] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6568), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(7654), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270614] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9281), 1,
      anon_sym_requires,
    STATE(6886), 1,
      sym_trailing_return_type,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270646] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4152), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10671), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [270678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9455), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8948), 1,
      sym_concatenated_string,
    STATE(6820), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270726] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4389), 1,
      sym_enumerator_list,
    STATE(7036), 1,
      sym__scope_resolution,
    ACTIONS(10673), 2,
      anon_sym_class,
      anon_sym_struct,
    STATE(4544), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [270766] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9430), 1,
      anon_sym_requires,
    STATE(6888), 1,
      sym_trailing_return_type,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6029), 1,
      anon_sym_LBRACK,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [270824] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(6602), 1,
      sym_string_literal,
    STATE(6840), 1,
      sym_raw_string_literal,
    STATE(8030), 1,
      sym_concatenated_string,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270854] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(9605), 1,
      anon_sym_requires,
    STATE(6890), 1,
      sym_trailing_return_type,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270886] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10585), 1,
      sym_identifier,
    STATE(8865), 1,
      sym_concatenated_string,
    STATE(6783), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(151), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [270914] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4159), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10671), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_try,
  [270946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7810), 1,
      anon_sym_DASH_GT,
    ACTIONS(10675), 1,
      anon_sym_requires,
    STATE(6892), 1,
      sym_trailing_return_type,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [270978] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10340), 14,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_try,
      anon_sym_requires,
  [270998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10669), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [271020] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10680), 1,
      anon_sym_LBRACK,
    ACTIONS(10678), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271041] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(5021), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271062] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6287), 1,
      anon_sym_LBRACK,
    ACTIONS(6289), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271083] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10682), 1,
      anon_sym_SEMI,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10688), 1,
      anon_sym_try,
    STATE(880), 1,
      sym_compound_statement,
    STATE(8421), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(878), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [271120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5270), 1,
      sym_identifier,
    ACTIONS(5272), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271141] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6033), 1,
      anon_sym_LBRACK,
    ACTIONS(6035), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6043), 1,
      anon_sym_LBRACK,
    ACTIONS(6045), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6039), 1,
      anon_sym_LBRACK,
    ACTIONS(6041), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271229] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    STATE(6921), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271262] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6904), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5879), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271291] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6904), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5924), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271320] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    STATE(6920), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271353] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10692), 1,
      anon_sym_SEMI,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    ACTIONS(10696), 1,
      anon_sym_EQ,
    ACTIONS(10698), 1,
      anon_sym_try,
    STATE(2675), 1,
      sym_compound_statement,
    STATE(8408), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2676), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [271390] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5069), 1,
      anon_sym_LPAREN2,
    ACTIONS(8211), 1,
      anon_sym_LBRACK,
    ACTIONS(9366), 1,
      anon_sym_STAR,
    ACTIONS(9368), 1,
      anon_sym_AMP_AMP,
    ACTIONS(9370), 1,
      anon_sym_AMP,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6679), 1,
      sym__function_declarator_seq,
    STATE(7133), 1,
      sym__abstract_declarator,
    STATE(6676), 5,
      sym_abstract_parenthesized_declarator,
      sym_abstract_pointer_declarator,
      sym_abstract_function_declarator,
      sym_abstract_array_declarator,
      sym_abstract_reference_declarator,
  [271425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5297), 1,
      sym_identifier,
    ACTIONS(5299), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271446] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10702), 1,
      anon_sym_LBRACK,
    ACTIONS(10700), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271467] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10704), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271492] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9383), 1,
      anon_sym_requires,
    STATE(6961), 1,
      sym_trailing_return_type,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(5021), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271546] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10706), 1,
      sym_identifier,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    STATE(6795), 1,
      sym__scope_resolution,
    STATE(7712), 1,
      sym_field_initializer,
    STATE(8329), 1,
      sym_operator_name,
    STATE(7542), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [271583] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_requires,
    STATE(6964), 1,
      sym_trailing_return_type,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271616] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10710), 1,
      anon_sym_SEMI,
    ACTIONS(10712), 1,
      anon_sym_EQ,
    ACTIONS(10714), 1,
      anon_sym_try,
    STATE(960), 1,
      sym_compound_statement,
    STATE(8132), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(961), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [271653] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      anon_sym_requires,
    STATE(6966), 1,
      sym_trailing_return_type,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271686] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10716), 1,
      anon_sym_SEMI,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_EQ,
    ACTIONS(10722), 1,
      anon_sym_try,
    STATE(2140), 1,
      sym_compound_statement,
    STATE(8221), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2138), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [271723] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [271750] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10726), 1,
      anon_sym_LBRACK,
    ACTIONS(10724), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10728), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271796] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6904), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5860), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [271825] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [271852] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [271877] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10732), 1,
      anon_sym_SEMI,
    ACTIONS(10734), 1,
      anon_sym_EQ,
    ACTIONS(10736), 1,
      anon_sym_try,
    STATE(557), 1,
      sym_compound_statement,
    STATE(8142), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(558), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [271914] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5978), 1,
      anon_sym_LBRACK,
    ACTIONS(5980), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271935] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    STATE(6924), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [271968] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10740), 1,
      anon_sym_LBRACK,
    ACTIONS(10738), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [271989] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_requires,
    STATE(6967), 1,
      sym_trailing_return_type,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [272022] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [272049] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10745), 1,
      anon_sym_SEMI,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    ACTIONS(10749), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_try,
    STATE(2318), 1,
      sym_compound_statement,
    STATE(8382), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2317), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272086] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272136] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10757), 1,
      anon_sym_SEMI,
    ACTIONS(10759), 1,
      anon_sym_EQ,
    ACTIONS(10761), 1,
      anon_sym_try,
    STATE(867), 1,
      sym_compound_statement,
    STATE(8154), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(868), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [272200] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10765), 1,
      anon_sym_LBRACK,
    ACTIONS(10763), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272221] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5266), 1,
      sym_identifier,
    ACTIONS(5268), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10769), 1,
      anon_sym_LBRACK,
    ACTIONS(10767), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272263] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272290] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    ACTIONS(10696), 1,
      anon_sym_EQ,
    ACTIONS(10698), 1,
      anon_sym_try,
    ACTIONS(10771), 1,
      anon_sym_SEMI,
    STATE(2632), 1,
      sym_compound_statement,
    STATE(8444), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2627), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272327] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6005), 1,
      anon_sym_LBRACK,
    ACTIONS(6007), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272348] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10773), 1,
      anon_sym_SEMI,
    ACTIONS(10775), 1,
      anon_sym_EQ,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(376), 1,
      sym_compound_statement,
    STATE(8135), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(378), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272385] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [272412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272439] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10779), 1,
      sym_identifier,
    ACTIONS(10781), 1,
      anon_sym_template,
    STATE(6795), 1,
      sym__scope_resolution,
    STATE(8253), 1,
      sym_dependent_field_identifier,
    STATE(8254), 1,
      sym_template_method,
    STATE(8262), 1,
      sym_qualified_field_identifier,
    STATE(8329), 1,
      sym_operator_name,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [272478] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10706), 1,
      sym_identifier,
    ACTIONS(10708), 1,
      anon_sym_COLON_COLON,
    STATE(6795), 1,
      sym__scope_resolution,
    STATE(8191), 1,
      sym_field_initializer,
    STATE(8329), 1,
      sym_operator_name,
    STATE(7542), 2,
      sym_template_method,
      sym_qualified_field_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [272515] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272542] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272569] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    ACTIONS(10749), 1,
      anon_sym_EQ,
    ACTIONS(10751), 1,
      anon_sym_try,
    ACTIONS(10783), 1,
      anon_sym_SEMI,
    STATE(2409), 1,
      sym_compound_statement,
    STATE(8289), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2410), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272633] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10759), 1,
      anon_sym_EQ,
    ACTIONS(10761), 1,
      anon_sym_try,
    ACTIONS(10785), 1,
      anon_sym_SEMI,
    STATE(848), 1,
      sym_compound_statement,
    STATE(8131), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(850), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272670] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5948), 1,
      anon_sym_LBRACK,
    ACTIONS(5950), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272718] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [272745] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10787), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5934), 1,
      anon_sym_LBRACK,
    ACTIONS(5936), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272791] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5938), 1,
      anon_sym_LBRACK,
    ACTIONS(5940), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272812] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4132), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 9,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [272839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(5021), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5942), 1,
      anon_sym_LBRACK,
    ACTIONS(5944), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272881] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5952), 1,
      anon_sym_LBRACK,
    ACTIONS(5954), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272902] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5278), 1,
      sym_identifier,
    ACTIONS(5280), 12,
      anon_sym_RPAREN,
      anon_sym_COLON,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [272923] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10789), 1,
      anon_sym_SEMI,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    ACTIONS(10793), 1,
      anon_sym_EQ,
    ACTIONS(10795), 1,
      anon_sym_try,
    STATE(2601), 1,
      sym_compound_statement,
    STATE(8442), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2600), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [272960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(5021), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [272981] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(5021), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10799), 1,
      anon_sym_LBRACK,
    ACTIONS(10797), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273023] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10775), 1,
      anon_sym_EQ,
    ACTIONS(10777), 1,
      anon_sym_try,
    ACTIONS(10801), 1,
      anon_sym_SEMI,
    STATE(400), 1,
      sym_compound_statement,
    STATE(8056), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(392), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273060] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10544), 1,
      anon_sym_LBRACK,
    STATE(6752), 1,
      sym_parameter_list,
    STATE(6904), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5827), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [273089] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10805), 1,
      anon_sym_LBRACK,
    ACTIONS(10803), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273110] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10807), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273135] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    ACTIONS(10720), 1,
      anon_sym_EQ,
    ACTIONS(10722), 1,
      anon_sym_try,
    ACTIONS(10809), 1,
      anon_sym_SEMI,
    STATE(2150), 1,
      sym_compound_statement,
    STATE(8207), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2151), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273172] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(5021), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273193] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10688), 1,
      anon_sym_try,
    ACTIONS(10811), 1,
      anon_sym_SEMI,
    STATE(944), 1,
      sym_compound_statement,
    STATE(8369), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(948), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4140), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 9,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273257] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      anon_sym_EQ,
    ACTIONS(10736), 1,
      anon_sym_try,
    ACTIONS(10813), 1,
      anon_sym_SEMI,
    STATE(585), 1,
      sym_compound_statement,
    STATE(8094), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(586), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273294] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    ACTIONS(10793), 1,
      anon_sym_EQ,
    ACTIONS(10795), 1,
      anon_sym_try,
    ACTIONS(10815), 1,
      anon_sym_SEMI,
    STATE(2502), 1,
      sym_compound_statement,
    STATE(8334), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(2677), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273331] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7915), 1,
      anon_sym_DASH_GT,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    STATE(6925), 1,
      sym_trailing_return_type,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [273364] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(5056), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273385] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10712), 1,
      anon_sym_EQ,
    ACTIONS(10714), 1,
      anon_sym_try,
    ACTIONS(10817), 1,
      anon_sym_SEMI,
    STATE(1001), 1,
      sym_compound_statement,
    STATE(8174), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1003), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5420), 1,
      anon_sym_LBRACK,
    ACTIONS(5418), 12,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
      anon_sym_GT2,
      anon_sym_try,
  [273443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10819), 1,
      anon_sym_RPAREN,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6555), 1,
      anon_sym_LBRACE,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9400), 1,
      sym_identifier,
    STATE(2914), 1,
      sym_template_type,
    STATE(3064), 1,
      sym_enumerator_list,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(2911), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273504] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6689), 1,
      anon_sym_LBRACE,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9428), 1,
      sym_identifier,
    STATE(3035), 1,
      sym_template_type,
    STATE(3388), 1,
      sym_enumerator_list,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(3036), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273540] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10712), 1,
      anon_sym_EQ,
    ACTIONS(10714), 1,
      anon_sym_try,
    STATE(1001), 1,
      sym_compound_statement,
    STATE(8174), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(1003), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [273574] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9439), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_enumerator_list,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(4517), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273610] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7024), 1,
      sym_virtual,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7555), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273646] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7722), 1,
      anon_sym_LBRACE,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9404), 1,
      sym_identifier,
    STATE(4156), 1,
      sym_template_type,
    STATE(4377), 1,
      sym_enumerator_list,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(4153), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    STATE(6688), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [273738] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6476), 2,
      sym_string_literal,
      sym_raw_string_literal,
    ACTIONS(10409), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
    ACTIONS(10411), 5,
      anon_sym_R_DQUOTE,
      anon_sym_LR_DQUOTE,
      anon_sym_uR_DQUOTE,
      anon_sym_UR_DQUOTE,
      anon_sym_u8R_DQUOTE,
  [273760] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(9398), 1,
      sym_identifier,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    STATE(3130), 1,
      sym_template_type,
    STATE(4356), 1,
      sym_enumerator_list,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(4685), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273796] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    STATE(6654), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [273826] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273852] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273878] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_enumerator_list,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(2624), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [273914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [273940] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10641), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [273970] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10775), 1,
      anon_sym_EQ,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(376), 1,
      sym_compound_statement,
    STATE(8135), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(378), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274004] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5709), 1,
      anon_sym_LBRACE,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9451), 1,
      sym_identifier,
    STATE(2192), 1,
      sym_template_type,
    STATE(2285), 1,
      sym_enumerator_list,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(2835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274040] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10595), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [274070] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5827), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [274098] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10823), 1,
      anon_sym_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10821), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [274122] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5860), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [274150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [274176] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5425), 1,
      sym_enumerator_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(5780), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9281), 1,
      anon_sym_requires,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [274238] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [274264] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10825), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 10,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [274284] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10712), 1,
      anon_sym_EQ,
    ACTIONS(10714), 1,
      anon_sym_try,
    STATE(960), 1,
      sym_compound_statement,
    STATE(8132), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(961), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274318] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10688), 1,
      anon_sym_try,
    STATE(944), 1,
      sym_compound_statement,
    STATE(8369), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(948), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274352] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4360), 1,
      sym_enumerator_list,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(4546), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274388] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9094), 1,
      anon_sym_LBRACE,
    ACTIONS(9402), 1,
      sym_identifier,
    STATE(5365), 1,
      sym_template_type,
    STATE(5514), 1,
      sym_enumerator_list,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(5392), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274424] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [274450] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10759), 1,
      anon_sym_EQ,
    ACTIONS(10761), 1,
      anon_sym_try,
    STATE(848), 1,
      sym_compound_statement,
    STATE(8131), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(850), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [274510] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7817), 1,
      anon_sym_LBRACE,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9412), 1,
      sym_identifier,
    STATE(4288), 1,
      sym_template_type,
    STATE(4566), 1,
      sym_enumerator_list,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(4345), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274546] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    STATE(6640), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [274576] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7815), 1,
      anon_sym_requires,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6660), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [274602] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(6999), 1,
      sym_virtual,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7904), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274638] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4360), 1,
      sym_enumerator_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(5117), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274674] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274700] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10593), 1,
      anon_sym_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10591), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [274724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [274750] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6360), 1,
      anon_sym_LBRACE,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9420), 1,
      sym_identifier,
    STATE(2858), 1,
      sym_template_type,
    STATE(2949), 1,
      sym_enumerator_list,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(2804), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274786] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10829), 1,
      anon_sym_LT,
    ACTIONS(10831), 1,
      anon_sym_LBRACK,
    STATE(6947), 1,
      sym_template_argument_list,
    ACTIONS(10827), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [274810] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(9398), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4356), 1,
      sym_enumerator_list,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(4470), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274846] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10589), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [274876] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      anon_sym_EQ,
    ACTIONS(10736), 1,
      anon_sym_try,
    STATE(557), 1,
      sym_compound_statement,
    STATE(8142), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(558), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274910] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10759), 1,
      anon_sym_EQ,
    ACTIONS(10761), 1,
      anon_sym_try,
    STATE(867), 1,
      sym_compound_statement,
    STATE(8154), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(868), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [274944] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9408), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(5923), 1,
      sym_enumerator_list,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(5835), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [274980] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10829), 1,
      anon_sym_LT,
    ACTIONS(10835), 1,
      anon_sym_LBRACK,
    STATE(6943), 1,
      sym_template_argument_list,
    ACTIONS(10833), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [275004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10671), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [275034] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5924), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [275062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4199), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 8,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_try,
      anon_sym_requires,
  [275088] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10825), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10837), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6137), 8,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [275110] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9430), 1,
      anon_sym_requires,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [275136] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7774), 1,
      anon_sym_requires,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    STATE(6673), 1,
      sym_trailing_return_type,
    ACTIONS(7373), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [275166] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9605), 1,
      anon_sym_requires,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [275192] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6670), 1,
      anon_sym_LBRACE,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9443), 1,
      sym_identifier,
    STATE(3016), 1,
      sym_template_type,
    STATE(3129), 1,
      sym_enumerator_list,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(5552), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275228] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10675), 1,
      anon_sym_requires,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [275254] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10610), 5,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
  [275284] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10839), 1,
      anon_sym_requires,
    ACTIONS(10445), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6660), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 5,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [275310] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9115), 1,
      anon_sym_requires,
    STATE(6725), 1,
      sym_trailing_return_type,
    ACTIONS(9006), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6716), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [275340] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10775), 1,
      anon_sym_EQ,
    ACTIONS(10777), 1,
      anon_sym_try,
    STATE(400), 1,
      sym_compound_statement,
    STATE(8056), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(392), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275374] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9053), 1,
      anon_sym_LBRACE,
    ACTIONS(9410), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(5425), 1,
      sym_enumerator_list,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(5354), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275410] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(5879), 6,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [275438] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10684), 1,
      anon_sym_EQ,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10688), 1,
      anon_sym_try,
    STATE(880), 1,
      sym_compound_statement,
    STATE(8421), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(878), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275472] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    ACTIONS(10734), 1,
      anon_sym_EQ,
    ACTIONS(10736), 1,
      anon_sym_try,
    STATE(585), 1,
      sym_compound_statement,
    STATE(8094), 1,
      sym_field_initializer_list,
    ACTIONS(5056), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
    STATE(586), 3,
      sym_constructor_try_statement,
      sym_default_method_clause,
      sym_delete_method_clause,
  [275506] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7021), 1,
      sym_virtual,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7518), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275542] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9445), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2885), 1,
      sym_enumerator_list,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(5548), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275578] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7745), 1,
      anon_sym_LBRACE,
    ACTIONS(9422), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(4356), 1,
      sym_enumerator_list,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(4165), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275614] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6364), 1,
      anon_sym_LBRACE,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9453), 1,
      sym_identifier,
    STATE(2185), 1,
      sym_template_type,
    STATE(2885), 1,
      sym_enumerator_list,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(4339), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275650] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5344), 1,
      anon_sym_virtual,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7030), 1,
      sym_virtual,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275686] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym_LBRACK,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 8,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_asm,
      anon_sym___asm__,
  [275710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(10548), 1,
      anon_sym_requires,
    STATE(6630), 1,
      sym_trailing_return_type,
    ACTIONS(10305), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6695), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [275740] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(6598), 1,
      anon_sym_LBRACE,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9414), 1,
      sym_identifier,
    STATE(2954), 1,
      sym_template_type,
    STATE(3233), 1,
      sym_enumerator_list,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(2946), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [275776] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9576), 1,
      anon_sym_requires,
    STATE(6719), 1,
      sym_trailing_return_type,
    ACTIONS(9459), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6680), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [275806] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7889), 1,
      anon_sym_DASH_GT,
    ACTIONS(9380), 1,
      anon_sym_requires,
    STATE(6664), 1,
      sym_trailing_return_type,
    ACTIONS(9118), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6498), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6732), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_COLON,
  [275836] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [275861] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6029), 1,
      anon_sym_LBRACK,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(6031), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACE,
      anon_sym_try,
  [275884] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10844), 1,
      anon_sym_LBRACK,
    ACTIONS(10842), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [275903] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10848), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    STATE(6937), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8996), 1,
      sym_enumerator,
    ACTIONS(10657), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8872), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [275934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10858), 1,
      anon_sym_RBRACE,
    STATE(8126), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9179), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6980), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
    STATE(8427), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8480), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [275992] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10864), 1,
      anon_sym_LBRACK,
    ACTIONS(10862), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [276011] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10610), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [276040] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276065] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276090] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10866), 1,
      anon_sym_RBRACE,
    STATE(8214), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8921), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6928), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276119] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276146] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276173] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276198] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276223] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276250] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276277] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10080), 1,
      anon_sym_try,
    STATE(371), 1,
      sym_try_statement,
    STATE(372), 1,
      sym_compound_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276312] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7917), 1,
      anon_sym_requires,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(6116), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [276339] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10868), 1,
      anon_sym_RBRACE,
    STATE(8225), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8879), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276368] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10870), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8503), 1,
      sym_qualified_identifier,
    ACTIONS(10872), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276399] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10874), 1,
      anon_sym_RBRACE,
    STATE(8078), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9299), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276428] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9675), 1,
      anon_sym_try,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    STATE(2136), 1,
      sym_compound_statement,
    STATE(2149), 1,
      sym_try_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276463] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10878), 1,
      anon_sym_LBRACK,
    ACTIONS(10876), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [276507] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    STATE(2537), 1,
      sym_compound_statement,
    STATE(2538), 1,
      sym_try_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [276542] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10649), 1,
      sym_identifier,
    ACTIONS(10880), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10882), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10884), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10657), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(7141), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9000), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [276571] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276596] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10852), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10886), 1,
      aux_sym_preproc_if_token2,
    STATE(7140), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8996), 1,
      sym_enumerator,
    ACTIONS(10657), 2,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
    STATE(8995), 3,
      sym_preproc_elifdef,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [276627] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10653), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10888), 1,
      sym_identifier,
    ACTIONS(10890), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(10892), 1,
      aux_sym_preproc_elif_token1,
    STATE(7134), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7136), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7314), 1,
      sym_enumerator,
    STATE(8983), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(8984), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [276660] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10894), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8514), 1,
      sym_qualified_identifier,
    ACTIONS(10896), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276691] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10653), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10888), 1,
      sym_identifier,
    ACTIONS(10892), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(10898), 1,
      aux_sym_preproc_if_token2,
    STATE(7143), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(7145), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7314), 1,
      sym_enumerator,
    STATE(9239), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
    STATE(9241), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [276724] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4237), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [276749] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10900), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8721), 1,
      sym_qualified_identifier,
    ACTIONS(10902), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [276780] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6202), 1,
      anon_sym_LBRACK,
    ACTIONS(6204), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [276799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10904), 1,
      anon_sym_RBRACE,
    STATE(8308), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8671), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6954), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10595), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [276857] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10906), 1,
      anon_sym_RBRACE,
    STATE(8145), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9108), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6400), 1,
      anon_sym_LBRACK,
    ACTIONS(6402), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [276905] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10908), 1,
      anon_sym_RBRACE,
    STATE(8101), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9251), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6930), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276934] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10671), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [276963] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10910), 1,
      anon_sym_RBRACE,
    STATE(8170), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9016), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6946), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [276992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10912), 1,
      anon_sym_RBRACE,
    STATE(8156), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9054), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277021] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10914), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8946), 1,
      sym_qualified_identifier,
    ACTIONS(10916), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [277052] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10589), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [277081] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10918), 1,
      anon_sym_RBRACE,
    STATE(8323), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8640), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277110] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10920), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9164), 1,
      sym_qualified_identifier,
    ACTIONS(10922), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [277141] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9734), 1,
      anon_sym_try,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    STATE(2348), 1,
      sym_compound_statement,
    STATE(2405), 1,
      sym_try_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10926), 1,
      anon_sym_LBRACK,
    ACTIONS(10924), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [277195] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10930), 1,
      anon_sym_LBRACK,
    ACTIONS(10928), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [277214] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10932), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9096), 1,
      sym_qualified_identifier,
    ACTIONS(10934), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [277245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9004), 1,
      anon_sym_LBRACK,
    ACTIONS(9383), 1,
      anon_sym_requires,
    ACTIONS(9039), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6403), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9002), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [277272] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9113), 1,
      anon_sym_LBRACK,
    ACTIONS(9468), 1,
      anon_sym_requires,
    ACTIONS(9207), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6399), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9111), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [277299] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10936), 1,
      anon_sym_RBRACE,
    STATE(8261), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8751), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277328] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9960), 1,
      anon_sym_try,
    STATE(521), 1,
      sym_try_statement,
    STATE(522), 1,
      sym_compound_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277363] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9457), 1,
      anon_sym_LBRACK,
    ACTIONS(9715), 1,
      anon_sym_requires,
    ACTIONS(9477), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6390), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(9455), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [277390] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10835), 1,
      anon_sym_LBRACK,
    ACTIONS(10833), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [277409] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10206), 1,
      anon_sym_LBRACK,
    ACTIONS(10742), 1,
      anon_sym_requires,
    ACTIONS(10208), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6452), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10204), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [277436] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10230), 1,
      anon_sym_LBRACK,
    ACTIONS(10938), 1,
      anon_sym_requires,
    ACTIONS(10232), 2,
      anon_sym_final,
      anon_sym_override,
    STATE(6306), 2,
      sym_virtual_specifier,
      aux_sym__function_postfix_repeat1,
    STATE(6431), 2,
      sym__function_postfix,
      sym_requires_clause,
    ACTIONS(10228), 3,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [277463] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10090), 1,
      anon_sym_try,
    STATE(1032), 1,
      sym_try_statement,
    STATE(1033), 1,
      sym_compound_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277498] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10941), 1,
      anon_sym_RBRACE,
    STATE(8281), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8731), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6962), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277527] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10945), 1,
      anon_sym_LBRACK,
    ACTIONS(10943), 10,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [277546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_LBRACK,
    ACTIONS(10947), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 8,
      anon_sym_LPAREN2,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_or,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [277567] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10949), 1,
      anon_sym_RBRACE,
    STATE(8306), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8669), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277596] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10951), 1,
      anon_sym_RBRACE,
    STATE(8447), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8523), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6984), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277625] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10953), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8493), 1,
      sym_qualified_identifier,
    ACTIONS(10955), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [277656] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10957), 1,
      anon_sym_RBRACE,
    STATE(8425), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8488), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6988), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277685] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [277710] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_LBRACK,
    ACTIONS(10947), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(10959), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(6137), 6,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [277733] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10961), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9368), 1,
      sym_qualified_identifier,
    ACTIONS(10963), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [277764] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(10965), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9118), 1,
      sym_qualified_identifier,
    ACTIONS(10967), 2,
      anon_sym_enum,
      anon_sym_namespace,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [277795] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10969), 1,
      anon_sym_RBRACE,
    STATE(8084), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9285), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277824] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9752), 1,
      anon_sym_try,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    STATE(2570), 1,
      sym_try_statement,
    STATE(2573), 1,
      sym_compound_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [277859] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(10641), 4,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_try,
  [277888] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10971), 1,
      anon_sym_RBRACE,
    STATE(8346), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8608), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277917] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10973), 1,
      anon_sym_RBRACE,
    STATE(8352), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8595), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277946] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10975), 1,
      anon_sym_RBRACE,
    STATE(8363), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8561), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6983), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [277975] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10977), 1,
      anon_sym_RBRACE,
    STATE(8143), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(9122), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6951), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [278004] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(9912), 1,
      anon_sym_try,
    STATE(855), 1,
      sym_try_statement,
    STATE(858), 1,
      sym_compound_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [278039] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10979), 1,
      anon_sym_RBRACE,
    STATE(8445), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8454), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [278068] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10134), 1,
      anon_sym_try,
    STATE(881), 1,
      sym_try_statement,
    STATE(888), 1,
      sym_compound_statement,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [278103] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 7,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_GT2,
      anon_sym_try,
  [278128] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10981), 1,
      anon_sym_RBRACE,
    STATE(8179), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8992), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6914), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [278157] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10854), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(10983), 1,
      anon_sym_RBRACE,
    STATE(8391), 1,
      sym_enumerator,
    ACTIONS(10856), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(8516), 2,
      sym_preproc_if_in_enumerator_list_no_comma,
      sym_preproc_ifdef_in_enumerator_list_no_comma,
    STATE(6972), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [278186] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10985), 1,
      sym_identifier,
    ACTIONS(10987), 1,
      anon_sym_COLON_COLON,
    STATE(3061), 1,
      sym_template_type,
    STATE(7046), 1,
      sym__scope_resolution,
    STATE(3097), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278216] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10993), 1,
      anon_sym_delete,
    ACTIONS(10995), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10997), 1,
      anon_sym_delete,
    ACTIONS(10999), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278260] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(11001), 1,
      anon_sym_COMMA,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(7571), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11003), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [278290] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11005), 1,
      anon_sym_delete,
    ACTIONS(11007), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278336] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7734), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278366] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278414] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278438] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278462] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11009), 1,
      anon_sym_delete,
    ACTIONS(11011), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278484] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278508] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10999), 1,
      anon_sym_new,
    ACTIONS(11013), 1,
      anon_sym_delete,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278530] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11017), 1,
      anon_sym_EQ,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    ACTIONS(11015), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [278560] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11019), 1,
      anon_sym_delete,
    ACTIONS(11021), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278582] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4301), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 6,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_final,
      anon_sym_override,
      anon_sym_GT2,
      anon_sym_requires,
  [278606] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11023), 1,
      anon_sym_delete,
    ACTIONS(11025), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278628] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11029), 1,
      anon_sym_LBRACK,
    STATE(7558), 1,
      sym_gnu_asm_output_operand,
    STATE(8926), 1,
      sym_string_literal,
    ACTIONS(11027), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [278652] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4991), 1,
      anon_sym_LBRACK,
    ACTIONS(4993), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278670] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11031), 1,
      anon_sym_delete,
    ACTIONS(11033), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278692] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11035), 1,
      anon_sym_delete,
    ACTIONS(11037), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278714] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5003), 1,
      anon_sym_LBRACK,
    ACTIONS(5005), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278732] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11021), 1,
      anon_sym_new,
    ACTIONS(11039), 1,
      anon_sym_delete,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4999), 1,
      anon_sym_LBRACK,
    ACTIONS(5001), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278772] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4995), 1,
      anon_sym_LBRACK,
    ACTIONS(4997), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5007), 1,
      anon_sym_LBRACK,
    ACTIONS(5009), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278808] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5011), 1,
      anon_sym_LBRACK,
    ACTIONS(5013), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278826] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7439), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5015), 1,
      anon_sym_LBRACK,
    ACTIONS(5017), 9,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_COLON,
      anon_sym_try,
  [278874] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11041), 1,
      anon_sym_EQ,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(9030), 1,
      sym_initializer_list,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [278906] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7518), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [278936] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11043), 1,
      anon_sym_delete,
    ACTIONS(11045), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278958] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11047), 1,
      anon_sym_delete,
    ACTIONS(11049), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [278980] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11053), 1,
      anon_sym_LBRACK,
    STATE(7503), 1,
      sym_gnu_asm_input_operand,
    STATE(9041), 1,
      sym_string_literal,
    ACTIONS(11051), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [279004] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11025), 1,
      anon_sym_new,
    ACTIONS(11055), 1,
      anon_sym_delete,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [279026] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11025), 1,
      anon_sym_new,
    ACTIONS(11057), 1,
      anon_sym_delete,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [279048] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(9406), 1,
      sym_identifier,
    STATE(3130), 1,
      sym_template_type,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(7811), 2,
      sym__class_name,
      sym_qualified_type_identifier,
    STATE(9051), 2,
      sym_decltype,
      sym_dependent_type_identifier,
  [279078] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11059), 1,
      anon_sym_EQ,
    STATE(4142), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    ACTIONS(11015), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [279108] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11061), 1,
      anon_sym_delete,
    ACTIONS(11063), 1,
      anon_sym_new,
    ACTIONS(10991), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(10989), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [279130] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279153] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7923), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11065), 1,
      sym_identifier,
    ACTIONS(11067), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(7034), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279184] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9707), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11069), 1,
      sym_identifier,
    ACTIONS(11071), 1,
      anon_sym_template,
    STATE(2145), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2202), 1,
      sym_qualified_type_identifier,
    STATE(7035), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279215] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7949), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11073), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3692), 1,
      sym_qualified_type_identifier,
    STATE(7036), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279246] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7849), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11075), 1,
      sym_identifier,
    ACTIONS(11077), 1,
      anon_sym_template,
    STATE(2145), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2202), 1,
      sym_qualified_type_identifier,
    STATE(7037), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11079), 1,
      sym_identifier,
    ACTIONS(11083), 1,
      sym_system_lib_string,
    STATE(8574), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11081), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [279298] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11085), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8572), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [279325] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7940), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11087), 1,
      sym_identifier,
    ACTIONS(11089), 1,
      anon_sym_template,
    STATE(3014), 1,
      sym_dependent_type_identifier,
    STATE(3015), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_qualified_type_identifier,
    STATE(7040), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279356] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11091), 1,
      sym_identifier,
    ACTIONS(11093), 1,
      sym_system_lib_string,
    STATE(9003), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11081), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [279377] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5096), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11095), 1,
      sym_identifier,
    ACTIONS(11097), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(7042), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279408] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9159), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11099), 1,
      sym_identifier,
    ACTIONS(11101), 1,
      anon_sym_template,
    STATE(4167), 1,
      sym_dependent_type_identifier,
    STATE(4168), 1,
      sym_template_type,
    STATE(4188), 1,
      sym_qualified_type_identifier,
    STATE(7043), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279439] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279462] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7867), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11065), 1,
      sym_identifier,
    ACTIONS(11067), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3692), 1,
      sym_qualified_type_identifier,
    STATE(7045), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279493] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10987), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11103), 1,
      sym_identifier,
    ACTIONS(11105), 1,
      anon_sym_template,
    STATE(3078), 1,
      sym_qualified_type_identifier,
    STATE(3092), 1,
      sym_dependent_type_identifier,
    STATE(3093), 1,
      sym_template_type,
    STATE(7046), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279524] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11107), 1,
      sym_identifier,
    ACTIONS(11109), 1,
      sym_system_lib_string,
    STATE(8988), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11081), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [279545] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(9926), 1,
      anon_sym_TILDE,
    ACTIONS(11111), 1,
      sym_identifier,
    ACTIONS(11113), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11116), 1,
      anon_sym_template,
    STATE(8057), 1,
      sym_operator_name,
    STATE(3748), 3,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
  [279572] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11118), 1,
      sym_identifier,
    ACTIONS(11120), 1,
      sym_system_lib_string,
    STATE(8631), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11081), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [279593] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9325), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11122), 1,
      sym_identifier,
    ACTIONS(11124), 1,
      anon_sym_template,
    STATE(4329), 1,
      sym_dependent_type_identifier,
    STATE(4330), 1,
      sym_template_type,
    STATE(4352), 1,
      sym_qualified_type_identifier,
    STATE(7050), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279624] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9251), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11126), 1,
      sym_identifier,
    ACTIONS(11128), 1,
      anon_sym_template,
    STATE(2956), 1,
      sym_template_type,
    STATE(2960), 1,
      sym_dependent_type_identifier,
    STATE(2989), 1,
      sym_qualified_type_identifier,
    STATE(7051), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279655] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11130), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9227), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [279682] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279705] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9137), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11132), 1,
      sym_identifier,
    ACTIONS(11134), 1,
      anon_sym_template,
    STATE(2086), 1,
      sym_dependent_type_identifier,
    STATE(2087), 1,
      sym_template_type,
    STATE(2198), 1,
      sym_qualified_type_identifier,
    STATE(7054), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279736] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11136), 1,
      sym_identifier,
    ACTIONS(11139), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11145), 1,
      anon_sym_RBRACE,
    STATE(8884), 1,
      sym_enumerator,
    ACTIONS(11142), 2,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
    STATE(7055), 3,
      sym_preproc_if_in_enumerator_list,
      sym_preproc_ifdef_in_enumerator_list,
      aux_sym_enumerator_list_repeat1,
  [279761] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9215), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11147), 1,
      sym_identifier,
    ACTIONS(11149), 1,
      anon_sym_template,
    STATE(3163), 1,
      sym_template_type,
    STATE(3164), 1,
      sym_dependent_type_identifier,
    STATE(3247), 1,
      sym_qualified_type_identifier,
    STATE(7056), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279792] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279815] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11151), 1,
      sym_identifier,
    ACTIONS(11153), 1,
      anon_sym_template,
    STATE(2829), 1,
      sym_dependent_type_identifier,
    STATE(2836), 1,
      sym_template_type,
    STATE(2876), 1,
      sym_qualified_type_identifier,
    STATE(7058), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279846] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6135), 1,
      anon_sym_AMP,
    ACTIONS(11155), 2,
      anon_sym_PIPE_PIPE,
      anon_sym_or,
    ACTIONS(11157), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6137), 4,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [279867] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11159), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9313), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [279894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279917] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [279940] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11161), 1,
      sym_identifier,
    ACTIONS(11163), 1,
      sym_system_lib_string,
    STATE(8955), 2,
      sym_preproc_call_expression,
      sym_string_literal,
    ACTIONS(11081), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [279961] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9447), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11095), 1,
      sym_identifier,
    ACTIONS(11097), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3692), 1,
      sym_qualified_type_identifier,
    STATE(7064), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [279992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11165), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8507), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280019] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9181), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11167), 1,
      sym_identifier,
    ACTIONS(11169), 1,
      anon_sym_template,
    STATE(2929), 1,
      sym_dependent_type_identifier,
    STATE(2937), 1,
      sym_template_type,
    STATE(2948), 1,
      sym_qualified_type_identifier,
    STATE(7066), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280050] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10511), 1,
      anon_sym_LBRACK,
    STATE(4466), 1,
      sym_parameter_list,
    STATE(6467), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 5,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280073] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9237), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11171), 1,
      sym_identifier,
    ACTIONS(11173), 1,
      anon_sym_template,
    STATE(2145), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2202), 1,
      sym_qualified_type_identifier,
    STATE(7068), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280104] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11175), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9087), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280131] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6253), 1,
      anon_sym_AMP,
    ACTIONS(11157), 2,
      anon_sym_AMP_AMP,
      anon_sym_and,
    ACTIONS(6255), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_PIPE_PIPE,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_or,
  [280150] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(3066), 1,
      sym_template_argument_list,
    ACTIONS(7919), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5056), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [280173] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11177), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8901), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280200] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9286), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11089), 1,
      anon_sym_template,
    ACTIONS(11179), 1,
      sym_identifier,
    STATE(3014), 1,
      sym_dependent_type_identifier,
    STATE(3015), 1,
      sym_template_type,
    STATE(3113), 1,
      sym_qualified_type_identifier,
    STATE(7073), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280231] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(3934), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11073), 1,
      sym_identifier,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(7074), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280262] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(3066), 1,
      sym_template_argument_list,
    ACTIONS(5028), 2,
      anon_sym_LBRACK,
      anon_sym_COLON,
    ACTIONS(5021), 4,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [280285] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(5077), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11181), 1,
      sym_identifier,
    ACTIONS(11183), 1,
      anon_sym_template,
    STATE(3111), 1,
      sym_template_type,
    STATE(3128), 1,
      sym_dependent_type_identifier,
    STATE(3132), 1,
      sym_qualified_type_identifier,
    STATE(7076), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280316] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11185), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8659), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280343] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7895), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11187), 1,
      sym_identifier,
    ACTIONS(11189), 1,
      anon_sym_template,
    STATE(5366), 1,
      sym_dependent_type_identifier,
    STATE(5367), 1,
      sym_template_type,
    STATE(5384), 1,
      sym_qualified_type_identifier,
    STATE(7078), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280374] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11191), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(9071), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280401] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(7841), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11173), 1,
      anon_sym_template,
    ACTIONS(11193), 1,
      sym_identifier,
    STATE(2145), 1,
      sym_template_type,
    STATE(2174), 1,
      sym_dependent_type_identifier,
    STATE(2202), 1,
      sym_qualified_type_identifier,
    STATE(7080), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280432] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_template,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(10246), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11195), 1,
      sym_identifier,
    STATE(6287), 1,
      sym__scope_resolution,
    STATE(8466), 1,
      sym_qualified_identifier,
    STATE(9051), 3,
      sym_decltype,
      sym_template_type,
      sym_dependent_type_identifier,
  [280459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
    ACTIONS(11197), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [280484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11201), 1,
      anon_sym_AMP,
    ACTIONS(11203), 2,
      anon_sym_EQ,
      anon_sym_DOT,
    ACTIONS(11199), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [280503] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2172), 1,
      anon_sym_decltype,
    ACTIONS(9786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11205), 1,
      sym_identifier,
    ACTIONS(11207), 1,
      anon_sym_template,
    STATE(2696), 1,
      sym_qualified_type_identifier,
    STATE(2701), 1,
      sym_template_type,
    STATE(2717), 1,
      sym_dependent_type_identifier,
    STATE(7084), 1,
      sym__scope_resolution,
    STATE(9051), 1,
      sym_decltype,
  [280534] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11209), 1,
      anon_sym_SEMI,
    ACTIONS(11211), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280560] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11213), 1,
      anon_sym_SEMI,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280586] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11217), 1,
      anon_sym_SEMI,
    ACTIONS(11219), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7523), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280612] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11221), 1,
      anon_sym_SEMI,
    ACTIONS(11223), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7631), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280638] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10610), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280664] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(7919), 1,
      anon_sym_LBRACK,
    STATE(6728), 1,
      sym_template_argument_list,
    ACTIONS(5056), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [280686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11227), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11225), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [280702] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11229), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280728] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11231), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280754] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(9916), 1,
      anon_sym_TILDE,
    ACTIONS(11233), 1,
      sym_identifier,
    ACTIONS(11235), 1,
      anon_sym_template,
    STATE(8398), 1,
      sym_operator_name,
    STATE(2859), 3,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
  [280778] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11237), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280804] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(9938), 1,
      anon_sym_TILDE,
    ACTIONS(11239), 1,
      sym_identifier,
    ACTIONS(11241), 1,
      anon_sym_template,
    STATE(8353), 1,
      sym_operator_name,
    STATE(4121), 3,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
  [280828] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(11243), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280854] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10888), 1,
      sym_identifier,
    ACTIONS(11245), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11247), 1,
      aux_sym_preproc_elif_token1,
    STATE(7145), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9241), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [280878] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11251), 3,
      anon_sym_TILDE,
      anon_sym_STAR,
      anon_sym_COLON_COLON,
    ACTIONS(11249), 5,
      anon_sym___based,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_template,
      anon_sym_operator,
  [280894] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10641), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280920] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(9916), 1,
      anon_sym_TILDE,
    ACTIONS(11253), 1,
      sym_identifier,
    ACTIONS(11255), 1,
      anon_sym_template,
    STATE(8345), 1,
      sym_operator_name,
    STATE(2859), 3,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
  [280944] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [280966] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11257), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [280992] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10639), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281018] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281040] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10661), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281066] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281088] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10606), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281114] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11259), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281140] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10604), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281166] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11261), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281192] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281214] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281236] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(3066), 1,
      sym_template_argument_list,
    ACTIONS(6124), 5,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
      anon_sym_COLON,
  [281256] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11263), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281282] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9669), 1,
      anon_sym_LBRACK,
    ACTIONS(10612), 1,
      anon_sym_RPAREN,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6933), 1,
      sym__function_declarator_seq,
    STATE(7209), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281308] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11265), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281334] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11267), 1,
      anon_sym_SEMI,
    ACTIONS(11269), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7621), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281360] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11271), 1,
      anon_sym_SEMI,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7574), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281386] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11275), 1,
      anon_sym_SEMI,
    ACTIONS(11277), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7539), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281412] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5028), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(6728), 1,
      sym_template_argument_list,
    ACTIONS(5021), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [281434] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(9926), 1,
      anon_sym_TILDE,
    ACTIONS(11111), 1,
      sym_identifier,
    ACTIONS(11116), 1,
      anon_sym_template,
    STATE(8057), 1,
      sym_operator_name,
    STATE(3748), 3,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
  [281458] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10671), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281484] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11279), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11281), 1,
      aux_sym_preproc_elif_token1,
    STATE(7134), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9386), 1,
      sym_enumerator,
    STATE(8983), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [281510] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(10106), 1,
      anon_sym_TILDE,
    ACTIONS(11283), 1,
      sym_identifier,
    ACTIONS(11285), 1,
      anon_sym_template,
    STATE(8102), 1,
      sym_operator_name,
    STATE(3415), 3,
      sym_template_method,
      sym_destructor_name,
      sym_dependent_field_identifier,
  [281534] = 4,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7594), 1,
      sym_string_literal,
    ACTIONS(11287), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [281552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11291), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11293), 1,
      anon_sym_EQ,
    ACTIONS(11289), 6,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [281570] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11295), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281596] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11029), 1,
      anon_sym_LBRACK,
    STATE(7653), 1,
      sym_gnu_asm_output_operand,
    STATE(8926), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [281616] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11297), 1,
      anon_sym_SEMI,
    ACTIONS(11299), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281642] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11301), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281668] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11053), 1,
      anon_sym_LBRACK,
    STATE(7859), 1,
      sym_gnu_asm_input_operand,
    STATE(9041), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [281688] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(3733), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(11303), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [281710] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11281), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11305), 1,
      aux_sym_preproc_if_token2,
    STATE(7212), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9386), 1,
      sym_enumerator,
    STATE(9092), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [281736] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11307), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281762] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10888), 1,
      sym_identifier,
    ACTIONS(11247), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11309), 1,
      aux_sym_preproc_if_token2,
    STATE(7222), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9098), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [281786] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(11311), 1,
      anon_sym_SEMI,
    STATE(4216), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281812] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10589), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281838] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11313), 1,
      anon_sym_SEMI,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    STATE(1974), 1,
      sym_template_argument_list,
    STATE(7378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281864] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      sym_identifier,
    ACTIONS(11322), 1,
      aux_sym_preproc_elif_token1,
    STATE(7140), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8996), 1,
      sym_enumerator,
    ACTIONS(11320), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [281886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11324), 1,
      sym_identifier,
    ACTIONS(11329), 1,
      aux_sym_preproc_elif_token1,
    STATE(7141), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11327), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
  [281906] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    ACTIONS(10595), 1,
      anon_sym_COLON,
    STATE(4428), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6872), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [281932] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(11281), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11331), 1,
      aux_sym_preproc_if_token2,
    STATE(7212), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9386), 1,
      sym_enumerator,
    STATE(9300), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [281958] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [281980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10882), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10888), 1,
      sym_identifier,
    ACTIONS(11247), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11333), 1,
      aux_sym_preproc_if_token2,
    STATE(7222), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(9303), 2,
      sym_preproc_else_in_enumerator_list_no_comma,
      sym_preproc_elif_in_enumerator_list_no_comma,
  [282004] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(10850), 1,
      aux_sym_preproc_else_token1,
    ACTIONS(10898), 1,
      aux_sym_preproc_if_token2,
    ACTIONS(11281), 1,
      aux_sym_preproc_elif_token1,
    STATE(7143), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9386), 1,
      sym_enumerator,
    STATE(9239), 2,
      sym_preproc_else_in_enumerator_list,
      sym_preproc_elif_in_enumerator_list,
  [282030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4422), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 4,
      anon_sym_COLON,
      anon_sym_final,
      anon_sym_override,
      anon_sym_requires,
  [282052] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11335), 1,
      anon_sym_LBRACK,
    ACTIONS(11337), 1,
      anon_sym_EQ,
    ACTIONS(11339), 1,
      anon_sym_DOT,
    STATE(7165), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [282071] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(7926), 1,
      sym_template_argument_list,
    STATE(7925), 2,
      sym_argument_list,
      sym_initializer_list,
  [282094] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6543), 1,
      anon_sym_AMP,
    ACTIONS(6545), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [282109] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11343), 1,
      anon_sym_AMP,
    ACTIONS(11341), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [282124] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(6728), 1,
      sym_template_argument_list,
    ACTIONS(6124), 4,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
      anon_sym_LBRACE,
      anon_sym_try,
  [282143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
    ACTIONS(11349), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11345), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [282160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282181] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5827), 1,
      anon_sym_COLON,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(7203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282204] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6521), 1,
      anon_sym_AMP,
    ACTIONS(6523), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [282219] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(11351), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282263] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(11353), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282286] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282307] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6547), 1,
      anon_sym_AMP,
    ACTIONS(6549), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
      anon_sym_requires,
  [282322] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(11355), 1,
      sym_identifier,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    STATE(901), 1,
      sym_declaration_list,
    STATE(8409), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282347] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4469), 1,
      anon_sym_AMP,
    ACTIONS(4467), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [282362] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11361), 1,
      sym_identifier,
    STATE(842), 1,
      sym_declaration_list,
    STATE(8446), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282387] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11363), 1,
      anon_sym_LBRACK,
    ACTIONS(11366), 1,
      anon_sym_EQ,
    ACTIONS(11368), 1,
      anon_sym_DOT,
    STATE(7165), 4,
      sym_subscript_designator,
      sym_subscript_range_designator,
      sym_field_designator,
      aux_sym_initializer_pair_repeat1,
  [282406] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10525), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282427] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282448] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11373), 1,
      anon_sym_AMP,
    ACTIONS(11371), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [282463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(5879), 1,
      anon_sym_COLON,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(7203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282486] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11375), 1,
      sym_identifier,
    STATE(941), 1,
      sym_declaration_list,
    STATE(8129), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282511] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282532] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11377), 1,
      sym_identifier,
    STATE(583), 1,
      sym_declaration_list,
    STATE(8397), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282557] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11379), 1,
      sym_identifier,
    STATE(992), 1,
      sym_declaration_list,
    STATE(8200), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282582] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(9906), 1,
      anon_sym_LBRACK,
    STATE(4174), 1,
      sym_parameter_list,
    STATE(6770), 1,
      sym__function_declarator_seq,
    STATE(6624), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282605] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282626] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282647] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11201), 1,
      anon_sym_AMP,
    ACTIONS(11199), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [282662] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(11381), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282685] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(11383), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282708] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11385), 1,
      sym_identifier,
    STATE(404), 1,
      sym_declaration_list,
    STATE(8106), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282733] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10513), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282754] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10521), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282775] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10523), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282796] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10515), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [282817] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(5924), 1,
      anon_sym_COLON,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(7203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282840] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11387), 1,
      sym_identifier,
    STATE(525), 1,
      sym_declaration_list,
    STATE(8410), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282865] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10509), 3,
      anon_sym_DOT_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_GT2,
  [282886] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11389), 1,
      sym_identifier,
    STATE(995), 1,
      sym_declaration_list,
    STATE(8062), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282911] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11391), 1,
      sym_identifier,
    STATE(350), 1,
      sym_declaration_list,
    STATE(8146), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282936] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LBRACE,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11393), 1,
      sym_identifier,
    STATE(857), 1,
      sym_declaration_list,
    STATE(8153), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [282961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(11395), 1,
      anon_sym_RPAREN,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(6910), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [282984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11399), 1,
      anon_sym_AMP,
    ACTIONS(11397), 6,
      anon_sym_LPAREN2,
      anon_sym_STAR,
      anon_sym_AMP_AMP,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_LBRACK,
  [282999] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(10519), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [283020] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5833), 1,
      anon_sym_LBRACK,
    ACTIONS(5860), 1,
      anon_sym_COLON,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(2473), 1,
      sym_parameter_list,
    STATE(7203), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283043] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11401), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283059] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4328), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(11015), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [283079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10090), 1,
      anon_sym_try,
    ACTIONS(11405), 1,
      anon_sym_SEMI,
    ACTIONS(11407), 1,
      anon_sym_EQ,
    STATE(1025), 2,
      sym_compound_statement,
      sym_try_statement,
  [283099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11409), 1,
      anon_sym_LPAREN2,
    STATE(7204), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283115] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9734), 1,
      anon_sym_try,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    ACTIONS(11411), 1,
      anon_sym_SEMI,
    ACTIONS(11413), 1,
      anon_sym_EQ,
    STATE(2382), 2,
      sym_compound_statement,
      sym_try_statement,
  [283135] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9675), 1,
      anon_sym_try,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    ACTIONS(11415), 1,
      anon_sym_SEMI,
    ACTIONS(11417), 1,
      anon_sym_EQ,
    STATE(2155), 2,
      sym_compound_statement,
      sym_try_statement,
  [283155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11419), 1,
      anon_sym_LPAREN2,
    STATE(7195), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11421), 1,
      anon_sym_EQ,
    ACTIONS(11289), 5,
      anon_sym_COMMA,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [283185] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6029), 1,
      anon_sym_LBRACK,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(6031), 2,
      anon_sym_LPAREN2,
      anon_sym_COLON,
    STATE(6377), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11423), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11425), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283235] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11427), 1,
      anon_sym_LPAREN2,
    STATE(7211), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283251] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11429), 1,
      anon_sym_LPAREN2,
    STATE(7234), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283267] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9734), 1,
      anon_sym_try,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    ACTIONS(11431), 1,
      anon_sym_SEMI,
    ACTIONS(11433), 1,
      anon_sym_EQ,
    STATE(2311), 2,
      sym_compound_statement,
      sym_try_statement,
  [283287] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(10823), 1,
      anon_sym_LBRACK,
    ACTIONS(10821), 2,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283305] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4513), 1,
      sym_template_argument_list,
    ACTIONS(6124), 3,
      anon_sym_LPAREN2,
      anon_sym_SEMI,
      anon_sym_LBRACK_LBRACK,
  [283323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11435), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283339] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11317), 1,
      sym_identifier,
    STATE(7212), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(9386), 1,
      sym_enumerator,
    ACTIONS(11320), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [283357] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_try,
    ACTIONS(11437), 1,
      anon_sym_SEMI,
    ACTIONS(11439), 1,
      anon_sym_EQ,
    STATE(588), 2,
      sym_compound_statement,
      sym_try_statement,
  [283377] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10080), 1,
      anon_sym_try,
    ACTIONS(11441), 1,
      anon_sym_SEMI,
    ACTIONS(11443), 1,
      anon_sym_EQ,
    STATE(381), 2,
      sym_compound_statement,
      sym_try_statement,
  [283397] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11445), 1,
      anon_sym_LPAREN2,
    STATE(7221), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11447), 1,
      anon_sym_LPAREN2,
    STATE(7243), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283429] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    ACTIONS(9960), 1,
      anon_sym_try,
    ACTIONS(11449), 1,
      anon_sym_SEMI,
    ACTIONS(11451), 1,
      anon_sym_EQ,
    STATE(563), 2,
      sym_compound_statement,
      sym_try_statement,
  [283449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
    ACTIONS(11015), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [283469] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(10134), 1,
      anon_sym_try,
    ACTIONS(11453), 1,
      anon_sym_SEMI,
    ACTIONS(11455), 1,
      anon_sym_EQ,
    STATE(852), 2,
      sym_compound_statement,
      sym_try_statement,
  [283489] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    ACTIONS(10134), 1,
      anon_sym_try,
    ACTIONS(11457), 1,
      anon_sym_SEMI,
    ACTIONS(11459), 1,
      anon_sym_EQ,
    STATE(871), 2,
      sym_compound_statement,
      sym_try_statement,
  [283509] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11461), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11463), 1,
      sym_identifier,
    STATE(7222), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    ACTIONS(11327), 3,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
  [283541] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    ACTIONS(11466), 1,
      anon_sym_SEMI,
    ACTIONS(11468), 1,
      anon_sym_EQ,
    STATE(2582), 2,
      sym_compound_statement,
      sym_try_statement,
  [283561] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7933), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [283575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(10835), 1,
      anon_sym_LBRACK,
    STATE(6943), 1,
      sym_template_argument_list,
    ACTIONS(10833), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [283593] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9912), 1,
      anon_sym_try,
    ACTIONS(11470), 1,
      anon_sym_SEMI,
    ACTIONS(11472), 1,
      anon_sym_EQ,
    STATE(950), 2,
      sym_compound_statement,
      sym_try_statement,
  [283613] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9752), 1,
      anon_sym_try,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    ACTIONS(11474), 1,
      anon_sym_SEMI,
    ACTIONS(11476), 1,
      anon_sym_EQ,
    STATE(2617), 2,
      sym_compound_statement,
      sym_try_statement,
  [283633] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(4513), 1,
      sym_template_argument_list,
    ACTIONS(6124), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [283651] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9752), 1,
      anon_sym_try,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    ACTIONS(11478), 1,
      anon_sym_SEMI,
    ACTIONS(11480), 1,
      anon_sym_EQ,
    STATE(2681), 2,
      sym_compound_statement,
      sym_try_statement,
  [283671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11482), 1,
      anon_sym_LPAREN2,
    STATE(7231), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11484), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283703] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11486), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11488), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11491), 1,
      anon_sym_LPAREN2,
    STATE(7240), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11493), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283751] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(10831), 1,
      anon_sym_LBRACK,
    STATE(6947), 1,
      sym_template_argument_list,
    ACTIONS(10827), 3,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [283769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11322), 1,
      aux_sym_preproc_elif_token1,
    ACTIONS(11320), 5,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elifdef_token1,
      aux_sym_preproc_elifdef_token2,
      sym_identifier,
  [283783] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    ACTIONS(10080), 1,
      anon_sym_try,
    ACTIONS(11495), 1,
      anon_sym_SEMI,
    ACTIONS(11497), 1,
      anon_sym_EQ,
    STATE(383), 2,
      sym_compound_statement,
      sym_try_statement,
  [283803] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    ACTIONS(9912), 1,
      anon_sym_try,
    ACTIONS(11499), 1,
      anon_sym_SEMI,
    ACTIONS(11501), 1,
      anon_sym_EQ,
    STATE(947), 2,
      sym_compound_statement,
      sym_try_statement,
  [283823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9324), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [283837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11503), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11505), 1,
      anon_sym_LPAREN2,
    STATE(7205), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283869] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9782), 1,
      anon_sym_try,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    ACTIONS(11507), 1,
      anon_sym_SEMI,
    ACTIONS(11509), 1,
      anon_sym_EQ,
    STATE(2507), 2,
      sym_compound_statement,
      sym_try_statement,
  [283889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11511), 1,
      anon_sym_LPAREN2,
    STATE(7232), 2,
      sym_gnu_asm_qualifier,
      aux_sym_gnu_asm_expression_repeat1,
    ACTIONS(11403), 3,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [283905] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10090), 1,
      anon_sym_try,
    ACTIONS(11513), 1,
      anon_sym_SEMI,
    ACTIONS(11515), 1,
      anon_sym_EQ,
    STATE(967), 2,
      sym_compound_statement,
      sym_try_statement,
  [283925] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5340), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    STATE(5995), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6294), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(9283), 1,
      sym_string_literal,
    ACTIONS(111), 5,
      anon_sym_L_DQUOTE,
      anon_sym_u_DQUOTE,
      anon_sym_U_DQUOTE,
      anon_sym_u8_DQUOTE,
      anon_sym_DQUOTE,
  [283957] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9675), 1,
      anon_sym_try,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    ACTIONS(11517), 1,
      anon_sym_SEMI,
    ACTIONS(11519), 1,
      anon_sym_EQ,
    STATE(2081), 2,
      sym_compound_statement,
      sym_try_statement,
  [283977] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7726), 1,
      anon_sym___attribute__,
    ACTIONS(7887), 1,
      anon_sym_LBRACK_LBRACK,
    STATE(6209), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
    STATE(6378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [283995] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10523), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11523), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11521), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284027] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8777), 1,
      anon_sym_RPAREN,
    STATE(2807), 1,
      sym_argument_list,
    STATE(4348), 1,
      sym_initializer_list,
  [284046] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9102), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(9106), 1,
      anon_sym_EQ,
    ACTIONS(11525), 1,
      sym_identifier,
    ACTIONS(9104), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [284063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11529), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11527), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284076] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(11531), 1,
      anon_sym_RPAREN,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284095] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11533), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11145), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284108] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    ACTIONS(11535), 1,
      anon_sym_RPAREN,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11539), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11537), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284140] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11541), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8917), 1,
      sym_attribute_specifier,
  [284159] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10525), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284178] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11545), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11543), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10519), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11547), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284223] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11551), 1,
      sym_identifier,
    STATE(8638), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [284242] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11553), 1,
      anon_sym_SEMI,
    STATE(7299), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8951), 1,
      sym_attribute_specifier,
  [284261] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11555), 1,
      sym_identifier,
    STATE(7807), 1,
      sym__namespace_specifier,
    STATE(8194), 1,
      sym_nested_namespace_specifier,
  [284280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11557), 1,
      anon_sym_SEMI,
    STATE(7292), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8950), 1,
      sym_attribute_specifier,
  [284299] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11559), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8449), 1,
      sym_attribute_specifier,
  [284318] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11561), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9264), 1,
      sym_attribute_specifier,
  [284337] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11563), 1,
      sym_identifier,
    STATE(8753), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [284356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11565), 1,
      anon_sym_SEMI,
    STATE(7268), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9147), 1,
      sym_attribute_specifier,
  [284375] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    ACTIONS(8819), 1,
      anon_sym_RPAREN,
    STATE(2807), 1,
      sym_argument_list,
    STATE(4348), 1,
      sym_initializer_list,
  [284394] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11567), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8929), 1,
      sym_attribute_specifier,
  [284413] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4739), 1,
      sym_template_argument_list,
    ACTIONS(6124), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [284430] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11569), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9070), 1,
      sym_attribute_specifier,
  [284449] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11555), 1,
      sym_identifier,
    STATE(7881), 1,
      sym__namespace_specifier,
    STATE(8293), 1,
      sym_nested_namespace_specifier,
  [284468] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11571), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9262), 1,
      sym_attribute_specifier,
  [284487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(11573), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [284504] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11575), 1,
      sym_identifier,
    STATE(8685), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [284523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11539), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11537), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284536] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11577), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8928), 1,
      sym_attribute_specifier,
  [284555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11579), 1,
      anon_sym_EQ,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [284568] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    ACTIONS(11583), 1,
      anon_sym_COLON_COLON,
    STATE(8235), 1,
      sym_argument_list,
    ACTIONS(11581), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [284585] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11585), 1,
      sym_identifier,
    STATE(9328), 1,
      sym__namespace_specifier,
    STATE(9345), 1,
      sym_nested_namespace_specifier,
  [284604] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11587), 1,
      anon_sym_SEMI,
    STATE(7304), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8741), 1,
      sym_attribute_specifier,
  [284623] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11549), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11547), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284636] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11357), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11359), 1,
      anon_sym_inline,
    ACTIONS(11589), 1,
      sym_identifier,
    STATE(9190), 1,
      sym_nested_namespace_specifier,
    STATE(9328), 1,
      sym__namespace_specifier,
  [284655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11593), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11591), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284668] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11595), 1,
      anon_sym_EQ,
    ACTIONS(10386), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
      anon_sym_GT2,
  [284681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11597), 2,
      anon_sym_class,
      anon_sym_typename,
    STATE(8208), 3,
      sym_type_parameter_declaration,
      sym_variadic_type_parameter_declaration,
      sym_optional_type_parameter_declaration,
  [284694] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11599), 1,
      anon_sym_SEMI,
    STATE(7302), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8735), 1,
      sym_attribute_specifier,
  [284713] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11601), 1,
      anon_sym_SEMI,
    STATE(7306), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8739), 1,
      sym_attribute_specifier,
  [284732] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11603), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8725), 1,
      sym_attribute_specifier,
  [284751] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11605), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9020), 1,
      sym_attribute_specifier,
  [284770] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11607), 1,
      anon_sym_SEMI,
    STATE(7305), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9011), 1,
      sym_attribute_specifier,
  [284789] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11609), 1,
      anon_sym_SEMI,
    STATE(7274), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9009), 1,
      sym_attribute_specifier,
  [284808] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7973), 1,
      sym_auto,
    ACTIONS(7975), 1,
      anon_sym_decltype,
    STATE(3599), 1,
      sym_decltype_auto,
    ACTIONS(11611), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [284825] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11615), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11613), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [284838] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11617), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8743), 1,
      sym_attribute_specifier,
  [284857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11619), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8732), 1,
      sym_attribute_specifier,
  [284876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11621), 1,
      anon_sym_SEMI,
    STATE(7321), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8752), 1,
      sym_attribute_specifier,
  [284895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10515), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11623), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8757), 1,
      sym_attribute_specifier,
  [284933] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10509), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [284952] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11625), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8691), 1,
      sym_attribute_specifier,
  [284971] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11627), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(9156), 1,
      sym_attribute_specifier,
  [284990] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11629), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8763), 1,
      sym_attribute_specifier,
  [285009] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11631), 1,
      sym_identifier,
    STATE(2718), 1,
      sym_template_method,
    STATE(3137), 1,
      sym_template_type,
    STATE(8329), 1,
      sym_operator_name,
  [285028] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11633), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8692), 1,
      sym_attribute_specifier,
  [285047] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11635), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8768), 1,
      sym_attribute_specifier,
  [285066] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11637), 4,
      sym_identifier,
      anon_sym_decltype,
      anon_sym_virtual,
      anon_sym_template,
  [285079] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10649), 1,
      sym_identifier,
    ACTIONS(11641), 1,
      aux_sym_preproc_if_token2,
    STATE(7153), 1,
      sym_enumerator,
    STATE(7431), 1,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
    STATE(7461), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
  [285098] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11615), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11613), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [285111] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11643), 1,
      anon_sym_SEMI,
    STATE(7272), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8907), 1,
      sym_attribute_specifier,
  [285130] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
    ACTIONS(11345), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [285143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6122), 1,
      anon_sym_LBRACK,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(5094), 1,
      sym_template_argument_list,
    ACTIONS(6124), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK_LBRACK,
  [285160] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11647), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8918), 1,
      sym_attribute_specifier,
  [285179] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10513), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [285198] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(7926), 1,
      sym_template_argument_list,
    ACTIONS(11649), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [285215] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10521), 1,
      anon_sym_COLON,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4510), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [285234] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11653), 1,
      aux_sym_preproc_if_token1,
    ACTIONS(11651), 4,
      aux_sym_preproc_ifdef_token1,
      aux_sym_preproc_ifdef_token2,
      anon_sym_RBRACE,
      sym_identifier,
  [285247] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11655), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8769), 1,
      sym_attribute_specifier,
  [285266] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11657), 1,
      anon_sym_SEMI,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8866), 1,
      sym_attribute_specifier,
  [285285] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11659), 1,
      anon_sym_SEMI,
    STATE(7316), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8842), 1,
      sym_attribute_specifier,
  [285304] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(8049), 1,
      anon_sym_COMMA,
    ACTIONS(11661), 1,
      anon_sym_SEMI,
    STATE(7258), 1,
      aux_sym_field_declaration_repeat1,
    STATE(8837), 1,
      sym_attribute_specifier,
  [285323] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_LBRACE,
    STATE(4917), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [285337] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1057), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [285353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11665), 1,
      anon_sym_COMMA,
    STATE(7327), 1,
      aux_sym_field_declaration_repeat1,
    ACTIONS(11668), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [285367] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11670), 1,
      anon_sym_DQUOTE,
    ACTIONS(11672), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11674), 1,
      sym_escape_sequence,
    STATE(7453), 1,
      aux_sym_string_literal_repeat1,
  [285383] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(4287), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [285397] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11676), 1,
      anon_sym_DQUOTE,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [285413] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11682), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [285427] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11684), 1,
      anon_sym_DQUOTE,
    ACTIONS(11686), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11688), 1,
      sym_escape_sequence,
    STATE(7330), 1,
      aux_sym_string_literal_repeat1,
  [285443] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11692), 1,
      anon_sym_GT2,
    STATE(8035), 1,
      aux_sym_template_argument_list_repeat1,
  [285459] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11694), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [285475] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11696), 1,
      anon_sym_DQUOTE,
    ACTIONS(11698), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11700), 1,
      sym_escape_sequence,
    STATE(7334), 1,
      aux_sym_string_literal_repeat1,
  [285491] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11702), 1,
      sym_identifier,
    STATE(4069), 1,
      sym_template_method,
    STATE(8353), 1,
      sym_operator_name,
  [285507] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11704), 1,
      anon_sym_GT2,
    STATE(8022), 1,
      aux_sym_template_argument_list_repeat1,
  [285523] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(5947), 1,
      sym_field_declaration_list,
    STATE(8166), 1,
      sym_base_class_clause,
  [285539] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11706), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [285555] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    STATE(2754), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [285569] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11708), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [285585] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11710), 1,
      anon_sym_DQUOTE,
    ACTIONS(11712), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11714), 1,
      sym_escape_sequence,
    STATE(7339), 1,
      aux_sym_string_literal_repeat1,
  [285601] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11716), 1,
      anon_sym_GT2,
    STATE(8009), 1,
      aux_sym_template_argument_list_repeat1,
  [285617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1994), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [285631] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(5950), 1,
      sym_field_declaration_list,
    STATE(8167), 1,
      sym_base_class_clause,
  [285647] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11718), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [285661] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11720), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [285677] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11724), 1,
      anon_sym_EQ,
    STATE(933), 1,
      sym_declaration_list,
  [285693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11320), 4,
      aux_sym_preproc_if_token2,
      aux_sym_preproc_else_token1,
      aux_sym_preproc_elif_token1,
      sym_identifier,
  [285703] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11726), 1,
      anon_sym_DQUOTE,
    ACTIONS(11728), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11730), 1,
      sym_escape_sequence,
    STATE(7347), 1,
      aux_sym_string_literal_repeat1,
  [285719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11732), 1,
      anon_sym_SEMI,
    STATE(7408), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [285733] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11734), 1,
      anon_sym_COMMA,
    STATE(7352), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(11737), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [285747] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11739), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [285761] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(3966), 1,
      sym_requirement_seq,
    STATE(8086), 1,
      sym_requires_parameter_list,
  [285777] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11743), 1,
      anon_sym_GT2,
    STATE(7989), 1,
      aux_sym_template_argument_list_repeat1,
  [285793] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11745), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [285809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11747), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285823] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11749), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [285837] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11751), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [285853] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11753), 1,
      anon_sym_DQUOTE,
    ACTIONS(11755), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11757), 1,
      sym_escape_sequence,
    STATE(7359), 1,
      aux_sym_string_literal_repeat1,
  [285869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11759), 1,
      anon_sym_EQ,
    STATE(996), 1,
      sym_declaration_list,
  [285885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7641), 1,
      sym_compound_statement,
    STATE(8242), 1,
      sym_field_initializer_list,
  [285901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11215), 1,
      anon_sym_EQ,
    STATE(7598), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [285915] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11761), 1,
      anon_sym_GT2,
    STATE(7953), 1,
      aux_sym_template_argument_list_repeat1,
  [285931] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11763), 1,
      anon_sym_GT2,
    STATE(7968), 1,
      aux_sym_template_argument_list_repeat1,
  [285947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3119), 1,
      sym_field_declaration_list,
    STATE(8085), 1,
      sym_base_class_clause,
  [285963] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11765), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [285979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11767), 1,
      anon_sym_GT2,
    STATE(7846), 1,
      aux_sym_template_argument_list_repeat1,
  [285995] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11769), 1,
      anon_sym_DQUOTE,
    ACTIONS(11771), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11773), 1,
      sym_escape_sequence,
    STATE(7367), 1,
      aux_sym_string_literal_repeat1,
  [286011] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    STATE(3874), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11775), 1,
      anon_sym___except,
    ACTIONS(11777), 1,
      anon_sym___finally,
    STATE(320), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [286039] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11779), 1,
      anon_sym_GT2,
    STATE(7947), 1,
      aux_sym_template_argument_list_repeat1,
  [286055] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11781), 1,
      anon_sym_SEMI,
    STATE(7353), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286069] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11783), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [286085] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11785), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11789), 1,
      anon_sym_SEMI,
    STATE(7603), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    STATE(4034), 1,
      sym_argument_list,
    STATE(4109), 1,
      sym_initializer_list,
  [286129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11791), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [286143] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11793), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286157] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10374), 1,
      anon_sym_LBRACE,
    STATE(4948), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286171] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11795), 1,
      anon_sym_DQUOTE,
    ACTIONS(11797), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11799), 1,
      sym_escape_sequence,
    STATE(7404), 1,
      aux_sym_string_literal_repeat1,
  [286187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(3987), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286201] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11801), 1,
      anon_sym_DQUOTE,
    ACTIONS(11803), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11805), 1,
      sym_escape_sequence,
    STATE(7374), 1,
      aux_sym_string_literal_repeat1,
  [286217] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11807), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11810), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [286231] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11812), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(11816), 1,
      sym_preproc_arg,
    STATE(8320), 1,
      sym_preproc_params,
  [286247] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1062), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [286263] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    STATE(2785), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286277] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7688), 1,
      sym_compound_statement,
    STATE(8183), 1,
      sym_field_initializer_list,
  [286293] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11818), 1,
      anon_sym_GT2,
    STATE(7923), 1,
      aux_sym_template_argument_list_repeat1,
  [286309] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7824), 1,
      sym_compound_statement,
    STATE(8252), 1,
      sym_field_initializer_list,
  [286325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11820), 1,
      anon_sym_COMMA,
    STATE(7391), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(11823), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [286339] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10336), 1,
      anon_sym_LBRACE,
    STATE(2813), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286353] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    STATE(3397), 1,
      sym_initializer_list,
    STATE(3427), 1,
      sym_argument_list,
  [286369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11825), 1,
      anon_sym_GT2,
    STATE(7863), 1,
      aux_sym_template_argument_list_repeat1,
  [286385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11827), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(11641), 1,
      aux_sym_preproc_if_token2,
    STATE(7461), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8996), 1,
      sym_enumerator,
  [286415] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11829), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [286431] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3479), 1,
      sym_field_declaration_list,
    STATE(8158), 1,
      sym_base_class_clause,
  [286447] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11831), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286461] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    STATE(3761), 1,
      sym_argument_list,
    STATE(3763), 1,
      sym_initializer_list,
  [286477] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3207), 1,
      sym_field_declaration_list,
    STATE(8314), 1,
      sym_base_class_clause,
  [286493] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    ACTIONS(11833), 1,
      anon_sym_LBRACE,
    STATE(1988), 1,
      sym_requirement_seq,
    STATE(8206), 1,
      sym_requires_parameter_list,
  [286509] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11835), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286523] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11837), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [286539] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1056), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [286555] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9570), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(2800), 1,
      sym_requirement_seq,
    STATE(8138), 1,
      sym_requires_parameter_list,
  [286571] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11839), 1,
      anon_sym_DQUOTE,
    ACTIONS(11841), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11843), 1,
      sym_escape_sequence,
    STATE(7397), 1,
      aux_sym_string_literal_repeat1,
  [286587] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11845), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286601] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11273), 1,
      anon_sym_EQ,
    STATE(7574), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [286615] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7875), 1,
      sym_compound_statement,
    STATE(8282), 1,
      sym_field_initializer_list,
  [286631] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(3524), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286645] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11299), 1,
      anon_sym_EQ,
    STATE(7357), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [286659] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9581), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(4047), 1,
      sym_requirement_seq,
    STATE(8162), 1,
      sym_requires_parameter_list,
  [286675] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11847), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [286691] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11849), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286705] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(3515), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286719] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11851), 1,
      anon_sym_SEMI,
    STATE(7346), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286733] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11853), 1,
      anon_sym_EQ,
    STATE(424), 1,
      sym_declaration_list,
  [286749] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_LBRACE,
    STATE(6363), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11855), 1,
      anon_sym_GT2,
    STATE(7897), 1,
      aux_sym_template_argument_list_repeat1,
  [286779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    STATE(3911), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286793] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11857), 1,
      anon_sym___except,
    ACTIONS(11859), 1,
      anon_sym___finally,
    STATE(681), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [286807] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1061), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [286823] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11861), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [286839] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    STATE(2963), 1,
      sym_field_declaration_list,
    STATE(8144), 1,
      sym_base_class_clause,
  [286855] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11863), 1,
      anon_sym_SEMI,
    STATE(7472), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [286869] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7762), 1,
      sym_compound_statement,
    STATE(8328), 1,
      sym_field_initializer_list,
  [286885] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1055), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [286901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [286915] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11865), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [286929] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10649), 1,
      sym_identifier,
    ACTIONS(11867), 1,
      aux_sym_preproc_if_token2,
    STATE(7141), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [286943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11869), 4,
      anon_sym_LPAREN2,
      anon_sym_inline,
      anon_sym_volatile,
      anon_sym_goto,
  [286953] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3077), 1,
      sym_field_declaration_list,
    STATE(8095), 1,
      sym_base_class_clause,
  [286969] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7868), 1,
      sym_compound_statement,
    STATE(8299), 1,
      sym_field_initializer_list,
  [286985] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11871), 1,
      anon_sym_COMMA,
    STATE(7384), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(11873), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [286999] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(11875), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11877), 1,
      sym_preproc_arg,
    STATE(8137), 1,
      sym_preproc_params,
  [287015] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10384), 1,
      anon_sym_LBRACE,
    STATE(3387), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11879), 1,
      sym_identifier,
    ACTIONS(11881), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [287041] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11883), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(11887), 1,
      anon_sym_LBRACE,
    STATE(7663), 1,
      aux_sym_base_class_clause_repeat1,
  [287057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7030), 1,
      sym_access_specifier,
    ACTIONS(11889), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [287069] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11891), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [287085] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11893), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287099] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3189), 1,
      sym_field_declaration_list,
    STATE(8331), 1,
      sym_base_class_clause,
  [287115] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11895), 1,
      anon_sym___except,
    ACTIONS(11897), 1,
      anon_sym___finally,
    STATE(1146), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [287129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    STATE(2939), 1,
      sym_field_declaration_list,
    STATE(8160), 1,
      sym_base_class_clause,
  [287145] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(11899), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11901), 1,
      sym_preproc_arg,
    STATE(8119), 1,
      sym_preproc_params,
  [287161] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11903), 1,
      anon_sym_DQUOTE,
    ACTIONS(11905), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11907), 1,
      sym_escape_sequence,
    STATE(7441), 1,
      aux_sym_string_literal_repeat1,
  [287177] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(11909), 1,
      sym_identifier,
    STATE(2718), 1,
      sym_template_method,
    STATE(8398), 1,
      sym_operator_name,
  [287193] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11911), 1,
      anon_sym_DQUOTE,
    ACTIONS(11913), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11915), 1,
      sym_escape_sequence,
    STATE(7511), 1,
      aux_sym_string_literal_repeat1,
  [287209] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11917), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287223] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11919), 1,
      anon_sym_GT2,
    STATE(7803), 1,
      aux_sym_template_argument_list_repeat1,
  [287239] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11921), 1,
      anon_sym_DQUOTE,
    ACTIONS(11923), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11925), 1,
      sym_escape_sequence,
    STATE(7424), 1,
      aux_sym_string_literal_repeat1,
  [287255] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11927), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [287271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11315), 1,
      anon_sym_EQ,
    STATE(7378), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287285] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11929), 1,
      anon_sym_SEMI,
    STATE(7379), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11931), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [287315] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11933), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287329] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11935), 1,
      anon_sym_DQUOTE,
    ACTIONS(11937), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11939), 1,
      sym_escape_sequence,
    STATE(7547), 1,
      aux_sym_string_literal_repeat1,
  [287345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11941), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287359] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_LBRACE,
    STATE(4939), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10846), 1,
      sym_identifier,
    ACTIONS(11943), 1,
      aux_sym_preproc_if_token2,
    STATE(7140), 1,
      aux_sym_preproc_if_in_enumerator_list_repeat1,
    STATE(8996), 1,
      sym_enumerator,
  [287389] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11945), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11947), 1,
      anon_sym_SEMI,
    STATE(7459), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287417] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    ACTIONS(10587), 1,
      anon_sym_LBRACK,
    STATE(4213), 1,
      sym_parameter_list,
    STATE(6683), 1,
      sym__function_declarator_seq,
  [287433] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(11949), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [287449] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    STATE(2807), 1,
      sym_argument_list,
    STATE(4348), 1,
      sym_initializer_list,
  [287465] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_LBRACE,
    STATE(6252), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287479] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(11951), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11953), 1,
      sym_preproc_arg,
    STATE(8212), 1,
      sym_preproc_params,
  [287495] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11955), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287509] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1063), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [287525] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11957), 1,
      anon_sym_SEMI,
    STATE(7498), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11959), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287553] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11219), 1,
      anon_sym_EQ,
    STATE(7523), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287567] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11961), 1,
      anon_sym_GT2,
    STATE(7829), 1,
      aux_sym_template_argument_list_repeat1,
  [287583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11963), 1,
      anon_sym_SEMI,
    STATE(7600), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287597] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11965), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287611] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11967), 1,
      anon_sym_DQUOTE,
    ACTIONS(11969), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11972), 1,
      sym_escape_sequence,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [287627] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(6999), 1,
      sym_access_specifier,
    ACTIONS(11889), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [287639] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4532), 1,
      sym_field_declaration_list,
    STATE(8257), 1,
      sym_base_class_clause,
  [287655] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(11975), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(11977), 1,
      sym_preproc_arg,
    STATE(8422), 1,
      sym_preproc_params,
  [287671] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1058), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [287687] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11979), 1,
      anon_sym_EQ,
    STATE(7485), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287701] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3101), 1,
      sym_field_declaration_list,
    STATE(8122), 1,
      sym_base_class_clause,
  [287717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11981), 1,
      anon_sym_SEMI,
    STATE(7395), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287731] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11983), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [287745] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10316), 1,
      anon_sym_LBRACE,
    STATE(3962), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11985), 1,
      anon_sym_SEMI,
    STATE(7462), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287773] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10344), 1,
      anon_sym_LBRACE,
    STATE(4874), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7764), 1,
      sym_compound_statement,
    STATE(8326), 1,
      sym_field_initializer_list,
  [287803] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(3509), 1,
      sym_requirement_seq,
    STATE(8294), 1,
      sym_requires_parameter_list,
  [287819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7021), 1,
      sym_access_specifier,
    ACTIONS(11889), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [287831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10374), 1,
      anon_sym_LBRACE,
    STATE(4802), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10649), 1,
      sym_identifier,
    ACTIONS(11987), 1,
      aux_sym_preproc_if_token2,
    STATE(7431), 2,
      sym_enumerator,
      aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1,
  [287859] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(11989), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [287875] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11991), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [287889] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10348), 1,
      anon_sym_LBRACE,
    STATE(6329), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [287903] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(11993), 1,
      anon_sym_GT2,
    STATE(8025), 1,
      aux_sym_template_argument_list_repeat1,
  [287919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(11995), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [287933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11997), 1,
      anon_sym_COMMA,
    STATE(7613), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(11999), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [287947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(12001), 1,
      sym_identifier,
    STATE(3442), 1,
      sym_template_method,
    STATE(8102), 1,
      sym_operator_name,
  [287963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4562), 1,
      sym_field_declaration_list,
    STATE(8277), 1,
      sym_base_class_clause,
  [287979] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12003), 1,
      anon_sym_DQUOTE,
    ACTIONS(12005), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12007), 1,
      sym_escape_sequence,
    STATE(7414), 1,
      aux_sym_string_literal_repeat1,
  [287995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COMMA,
    STATE(7596), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12011), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [288009] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    ACTIONS(6499), 1,
      anon_sym_LPAREN2,
    STATE(3427), 1,
      sym_argument_list,
    STATE(4919), 1,
      sym_initializer_list,
  [288025] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12013), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [288049] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12017), 1,
      anon_sym_DQUOTE,
    ACTIONS(12019), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12021), 1,
      sym_escape_sequence,
    STATE(7590), 1,
      aux_sym_string_literal_repeat1,
  [288065] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12023), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288079] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12025), 1,
      anon_sym_DQUOTE,
    ACTIONS(12027), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12029), 1,
      sym_escape_sequence,
    STATE(7494), 1,
      aux_sym_string_literal_repeat1,
  [288095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(3835), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288109] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12031), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [288125] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4357), 1,
      sym_field_declaration_list,
    STATE(8338), 1,
      sym_base_class_clause,
  [288141] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(4264), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288155] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12033), 1,
      anon_sym_DQUOTE,
    ACTIONS(12035), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12037), 1,
      sym_escape_sequence,
    STATE(7611), 1,
      aux_sym_string_literal_repeat1,
  [288171] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12039), 1,
      anon_sym_SEMI,
    ACTIONS(12041), 1,
      anon_sym_DASH_GT,
    ACTIONS(12043), 1,
      anon_sym_noexcept,
    STATE(9031), 1,
      sym_trailing_return_type,
  [288187] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12045), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288201] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12047), 1,
      anon_sym_DQUOTE,
    ACTIONS(12049), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12051), 1,
      sym_escape_sequence,
    STATE(7557), 1,
      aux_sym_string_literal_repeat1,
  [288217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12053), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12055), 1,
      anon_sym_LBRACE,
    STATE(7853), 1,
      aux_sym_base_class_clause_repeat1,
  [288233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(3980), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10374), 1,
      anon_sym_LBRACE,
    STATE(4932), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288261] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    STATE(6534), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288275] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12057), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12059), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288289] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12062), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288303] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(12064), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [288319] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10352), 1,
      anon_sym_LBRACE,
    STATE(4218), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288333] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5433), 1,
      sym_field_declaration_list,
    STATE(8217), 1,
      sym_base_class_clause,
  [288349] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(12066), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12068), 1,
      sym_preproc_arg,
    STATE(8424), 1,
      sym_preproc_params,
  [288365] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(12070), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [288381] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12072), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12074), 1,
      anon_sym_SEMI,
    STATE(7516), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288409] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12076), 1,
      anon_sym_SEMI,
    STATE(7476), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288423] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5420), 1,
      sym_field_declaration_list,
    STATE(8227), 1,
      sym_base_class_clause,
  [288439] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10390), 1,
      anon_sym_LBRACE,
    STATE(1993), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288453] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACE,
    ACTIONS(5360), 1,
      anon_sym_LPAREN2,
    STATE(2807), 1,
      sym_argument_list,
    STATE(2854), 1,
      sym_initializer_list,
  [288469] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9591), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(4180), 1,
      sym_requirement_seq,
    STATE(8147), 1,
      sym_requires_parameter_list,
  [288485] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(12078), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12080), 1,
      sym_preproc_arg,
    STATE(8429), 1,
      sym_preproc_params,
  [288501] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12082), 1,
      anon_sym_GT2,
    STATE(7907), 1,
      aux_sym_template_argument_list_repeat1,
  [288517] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    STATE(6536), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12084), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288545] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10324), 1,
      anon_sym_LBRACE,
    STATE(4040), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288559] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1059), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [288575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(7935), 2,
      sym_argument_list,
      sym_initializer_list,
  [288589] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12086), 1,
      anon_sym_DQUOTE,
    ACTIONS(12088), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12090), 1,
      sym_escape_sequence,
    STATE(7569), 1,
      aux_sym_string_literal_repeat1,
  [288605] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    STATE(2309), 1,
      sym_field_declaration_list,
    STATE(8304), 1,
      sym_base_class_clause,
  [288621] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12092), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288635] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(7763), 1,
      sym_compound_statement,
    STATE(8370), 1,
      sym_field_initializer_list,
  [288651] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12094), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [288667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11277), 1,
      anon_sym_EQ,
    STATE(7539), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [288681] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(12096), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12098), 1,
      sym_preproc_arg,
    STATE(8412), 1,
      sym_preproc_params,
  [288697] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12100), 1,
      anon_sym_SEMI,
    STATE(7358), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288711] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12102), 1,
      anon_sym_GT2,
    STATE(7747), 1,
      aux_sym_template_argument_list_repeat1,
  [288727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3395), 1,
      sym_field_declaration_list,
    STATE(8151), 1,
      sym_base_class_clause,
  [288743] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(12104), 1,
      sym_identifier,
    STATE(2718), 1,
      sym_template_method,
    STATE(8345), 1,
      sym_operator_name,
  [288759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
    STATE(8389), 1,
      sym_base_class_clause,
  [288775] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12106), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12108), 1,
      anon_sym_LBRACE,
    STATE(7837), 1,
      aux_sym_base_class_clause_repeat1,
  [288791] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12110), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288805] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12112), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [288821] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11997), 1,
      anon_sym_COMMA,
    STATE(7499), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12114), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [288835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12116), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288849] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4372), 1,
      sym_field_declaration_list,
    STATE(8343), 1,
      sym_base_class_clause,
  [288865] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12118), 1,
      anon_sym_SEMI,
    STATE(7508), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [288879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12120), 1,
      anon_sym___except,
    ACTIONS(12122), 1,
      anon_sym___finally,
    STATE(641), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [288893] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11814), 1,
      anon_sym_LPAREN,
    ACTIONS(12124), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12126), 1,
      sym_preproc_arg,
    STATE(8139), 1,
      sym_preproc_params,
  [288909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(3958), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [288923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12128), 1,
      anon_sym___except,
    ACTIONS(12130), 1,
      anon_sym___finally,
    STATE(448), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [288937] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5578), 1,
      sym_field_declaration_list,
    STATE(8431), 1,
      sym_base_class_clause,
  [288953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12015), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_EQ,
      anon_sym_try,
  [288963] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12132), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [288977] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12134), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [288993] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12136), 1,
      anon_sym_SEMI,
    STATE(7529), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289007] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11001), 1,
      anon_sym_COMMA,
    STATE(7352), 1,
      aux_sym__type_definition_declarators_repeat1,
    ACTIONS(12138), 2,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [289021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10330), 1,
      anon_sym_LBRACE,
    STATE(6493), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289035] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_field_declaration_list,
    STATE(8109), 1,
      sym_base_class_clause,
  [289051] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12140), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289065] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12142), 1,
      anon_sym_EQ,
    STATE(883), 1,
      sym_declaration_list,
  [289081] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11269), 1,
      anon_sym_EQ,
    STATE(7621), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289095] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(4814), 1,
      sym_requirement_seq,
    STATE(8377), 1,
      sym_requires_parameter_list,
  [289111] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    ACTIONS(12144), 1,
      anon_sym_LBRACE,
    STATE(6494), 1,
      sym_requirement_seq,
    STATE(8404), 1,
      sym_requires_parameter_list,
  [289127] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    ACTIONS(6606), 1,
      anon_sym_LPAREN2,
    STATE(4034), 1,
      sym_argument_list,
    STATE(5315), 1,
      sym_initializer_list,
  [289143] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(7289), 1,
      sym_template_parameter_list,
  [289159] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12146), 1,
      anon_sym_SEMI,
    STATE(7450), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289173] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12148), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [289189] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12150), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [289203] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1993), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289217] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(12152), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [289233] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4386), 1,
      sym_field_declaration_list,
    STATE(8360), 1,
      sym_base_class_clause,
  [289249] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    ACTIONS(6588), 1,
      anon_sym_LPAREN2,
    STATE(3761), 1,
      sym_argument_list,
    STATE(4266), 1,
      sym_initializer_list,
  [289265] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4393), 1,
      sym_field_declaration_list,
    STATE(8110), 1,
      sym_base_class_clause,
  [289281] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(3772), 1,
      sym_requirement_seq,
    STATE(8418), 1,
      sym_requires_parameter_list,
  [289297] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12154), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [289313] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12156), 1,
      anon_sym_SEMI,
    STATE(7633), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10350), 1,
      anon_sym_LBRACE,
    STATE(3759), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289341] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12158), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [289355] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11871), 1,
      anon_sym_COMMA,
    STATE(7435), 1,
      aux_sym_gnu_asm_clobber_list_repeat1,
    ACTIONS(12160), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [289369] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2122), 1,
      anon_sym_operator,
    ACTIONS(12162), 1,
      sym_identifier,
    STATE(3956), 1,
      sym_template_method,
    STATE(8057), 1,
      sym_operator_name,
  [289385] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12009), 1,
      anon_sym_COMMA,
    STATE(7391), 1,
      aux_sym_gnu_asm_input_operand_list_repeat1,
    ACTIONS(12164), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [289399] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    ACTIONS(12166), 1,
      anon_sym_LBRACE,
    STATE(6246), 1,
      sym_requirement_seq,
    STATE(8286), 1,
      sym_requires_parameter_list,
  [289415] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12168), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289429] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12170), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12172), 1,
      anon_sym_LBRACE,
    STATE(7639), 1,
      aux_sym_base_class_clause_repeat1,
  [289445] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12174), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289459] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12176), 1,
      anon_sym_EQ,
    STATE(7469), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289473] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12178), 1,
      anon_sym_SEMI,
    STATE(7505), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12180), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289501] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12182), 1,
      anon_sym_DQUOTE,
    ACTIONS(12184), 1,
      aux_sym_string_literal_token1,
    ACTIONS(12186), 1,
      sym_escape_sequence,
    STATE(7582), 1,
      aux_sym_string_literal_repeat1,
  [289517] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5573), 1,
      sym_field_declaration_list,
    STATE(8436), 1,
      sym_base_class_clause,
  [289533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12188), 1,
      anon_sym_GT2,
    STATE(7906), 1,
      aux_sym_template_argument_list_repeat1,
  [289549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    STATE(2407), 1,
      sym_field_declaration_list,
    STATE(8375), 1,
      sym_base_class_clause,
  [289565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12190), 1,
      anon_sym___except,
    ACTIONS(12192), 1,
      anon_sym___finally,
    STATE(681), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [289579] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12194), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289593] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12196), 1,
      anon_sym_SQUOTE,
    STATE(7522), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(11787), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [289607] = 5,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(11678), 1,
      aux_sym_string_literal_token1,
    ACTIONS(11680), 1,
      sym_escape_sequence,
    ACTIONS(12198), 1,
      anon_sym_DQUOTE,
    STATE(7477), 1,
      aux_sym_string_literal_repeat1,
  [289623] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12200), 1,
      anon_sym_GT2,
    STATE(7650), 1,
      aux_sym_template_argument_list_repeat1,
  [289639] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12202), 1,
      anon_sym_COMMA,
    STATE(7613), 1,
      aux_sym_gnu_asm_output_operand_list_repeat1,
    ACTIONS(12205), 2,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [289653] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(7024), 1,
      sym_access_specifier,
    ACTIONS(11889), 3,
      anon_sym_public,
      anon_sym_private,
      anon_sym_protected,
  [289665] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5021), 1,
      anon_sym_SEMI,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(2056), 1,
      sym_template_argument_list,
  [289681] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12207), 1,
      anon_sym_EQ,
    STATE(575), 1,
      sym_declaration_list,
  [289697] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [289713] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12211), 1,
      anon_sym_SEMI,
    STATE(7559), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289727] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4156), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7089), 1,
      anon_sym_LT,
    ACTIONS(12213), 1,
      anon_sym_SEMI,
    STATE(1974), 1,
      sym_template_argument_list,
  [289743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11211), 1,
      anon_sym_EQ,
    STATE(7609), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12215), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289771] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4364), 1,
      sym_field_declaration_list,
    STATE(8093), 1,
      sym_base_class_clause,
  [289787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2903), 1,
      sym_field_declaration_list,
    STATE(8341), 1,
      sym_base_class_clause,
  [289803] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12217), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289817] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12219), 1,
      anon_sym___except,
    ACTIONS(12221), 1,
      anon_sym___finally,
    STATE(628), 2,
      sym_seh_except_clause,
      sym_seh_finally_clause,
  [289831] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    ACTIONS(10686), 1,
      anon_sym_COLON,
    STATE(8027), 1,
      sym_compound_statement,
    STATE(8448), 1,
      sym_field_initializer_list,
  [289847] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(11223), 1,
      anon_sym_EQ,
    STATE(7631), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289861] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1991), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    ACTIONS(11741), 1,
      anon_sym_LPAREN2,
    STATE(4936), 1,
      sym_requirement_seq,
    STATE(8437), 1,
      sym_requires_parameter_list,
  [289891] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1994), 1,
      sym_compound_statement,
    ACTIONS(10386), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACK,
  [289905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      anon_sym_LBRACK_LBRACK,
    ACTIONS(12223), 1,
      anon_sym_EQ,
    STATE(6587), 2,
      sym_attribute_declaration,
      aux_sym_attributed_declarator_repeat1,
  [289919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12225), 1,
      anon_sym_SEMI,
    STATE(7624), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289933] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12227), 1,
      anon_sym_SEMI,
    STATE(5307), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [289947] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5319), 1,
      anon_sym_COLON,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3042), 1,
      sym_field_declaration_list,
    STATE(8083), 1,
      sym_base_class_clause,
  [289963] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12229), 1,
      anon_sym_GT2,
    STATE(7756), 1,
      aux_sym_template_argument_list_repeat1,
  [289979] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4987), 1,
      anon_sym_LT,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(1060), 1,
      sym_template_parameter_list,
    STATE(3137), 1,
      sym_template_type,
  [289995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7365), 1,
      anon_sym___attribute__,
    ACTIONS(12231), 1,
      anon_sym_SEMI,
    STATE(7331), 2,
      sym_attribute_specifier,
      aux_sym_type_definition_repeat1,
  [290009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8241), 1,
      sym_argument_list,
    ACTIONS(12233), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [290023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12108), 1,
      anon_sym_LBRACE,
    STATE(7786), 1,
      aux_sym_base_class_clause_repeat1,
  [290036] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8244), 1,
      anon_sym_RBRACE,
    ACTIONS(8515), 1,
      anon_sym_COMMA,
    STATE(7685), 1,
      aux_sym_initializer_list_repeat1,
  [290049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_catch,
    STATE(2282), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12239), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7713), 1,
      aux_sym_attribute_declaration_repeat1,
  [290073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    STATE(918), 1,
      sym_declaration_list,
  [290086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8416), 1,
      anon_sym_COMMA,
    ACTIONS(8418), 1,
      anon_sym_RBRACE,
    STATE(7733), 1,
      aux_sym_initializer_list_repeat1,
  [290099] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11690), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12241), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [290110] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8422), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [290123] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12243), 1,
      anon_sym_RPAREN,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    STATE(7658), 1,
      sym_gnu_asm_input_operand_list,
  [290136] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10565), 1,
      anon_sym_RPAREN,
    STATE(7659), 1,
      sym_gnu_asm_output_operand_list,
  [290149] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12247), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [290162] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12249), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [290175] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12251), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [290188] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2865), 1,
      anon_sym_while,
    ACTIONS(12253), 1,
      anon_sym_else,
    STATE(601), 1,
      sym_else_clause,
  [290201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12255), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [290210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10529), 1,
      anon_sym_RPAREN,
    STATE(7751), 1,
      sym_gnu_asm_output_operand_list,
  [290223] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_catch,
    STATE(2200), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12257), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(6746), 1,
      sym_template_function,
  [290247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12259), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [290260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12261), 1,
      anon_sym_RPAREN,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    STATE(7661), 1,
      sym_gnu_asm_clobber_list,
  [290273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12265), 1,
      anon_sym_RPAREN,
    STATE(7662), 1,
      sym_gnu_asm_input_operand_list,
  [290286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12267), 1,
      anon_sym_GT2,
    STATE(7757), 1,
      aux_sym_template_argument_list_repeat1,
  [290299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12269), 1,
      anon_sym_RPAREN,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    STATE(8499), 1,
      sym_gnu_asm_goto_list,
  [290312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12273), 1,
      anon_sym_RPAREN,
    STATE(7666), 1,
      sym_gnu_asm_clobber_list,
  [290325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12275), 1,
      anon_sym_LBRACE,
    STATE(7786), 1,
      aux_sym_base_class_clause_repeat1,
  [290338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12277), 1,
      anon_sym_RPAREN,
    STATE(7996), 1,
      sym_gnu_asm_input_operand_list,
  [290351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12279), 1,
      anon_sym_COMMA,
    ACTIONS(12281), 1,
      anon_sym_GT2,
    STATE(7766), 1,
      aux_sym_template_parameter_list_repeat1,
  [290364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12283), 1,
      anon_sym_RPAREN,
    STATE(8505), 1,
      sym_gnu_asm_goto_list,
  [290377] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7415), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12285), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290388] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12287), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [290401] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12289), 1,
      anon_sym_COMMA,
    ACTIONS(12292), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [290414] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12294), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [290427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 1,
      anon_sym_catch,
    STATE(240), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290438] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12300), 1,
      anon_sym_RPAREN,
    ACTIONS(12298), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [290449] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8252), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [290462] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_GT2,
    STATE(7651), 1,
      aux_sym_template_argument_list_repeat1,
  [290475] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12304), 1,
      anon_sym_RPAREN,
    STATE(7760), 1,
      sym_gnu_asm_input_operand_list,
  [290488] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12306), 1,
      anon_sym_COMMA,
    ACTIONS(12309), 1,
      anon_sym_RBRACK,
    STATE(7676), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [290501] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12313), 1,
      anon_sym_RPAREN,
    STATE(7767), 1,
      aux_sym_parameter_list_repeat1,
  [290514] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10579), 1,
      anon_sym_RPAREN,
    STATE(7647), 1,
      sym_gnu_asm_output_operand_list,
  [290527] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10557), 1,
      anon_sym_RPAREN,
    STATE(7888), 1,
      sym_gnu_asm_output_operand_list,
  [290540] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7430), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12315), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290551] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12317), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [290564] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8655), 1,
      anon_sym_RBRACK,
    ACTIONS(12319), 1,
      anon_sym_COMMA,
    STATE(7682), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [290577] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12322), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [290590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12324), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [290599] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4199), 1,
      anon_sym_RBRACE,
    ACTIONS(12326), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [290612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12328), 1,
      anon_sym_RPAREN,
    STATE(7956), 1,
      sym_gnu_asm_clobber_list,
  [290625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12332), 1,
      anon_sym_constexpr,
    STATE(204), 1,
      sym_condition_clause,
  [290638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_catch,
    STATE(439), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290649] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8280), 1,
      anon_sym_RBRACK,
    STATE(7768), 1,
      aux_sym_subscript_argument_list_repeat1,
  [290662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8401), 1,
      anon_sym_RPAREN,
    STATE(7646), 1,
      aux_sym_argument_list_repeat1,
  [290675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12336), 1,
      sym_identifier,
    STATE(2168), 1,
      sym_template_type,
    STATE(3688), 1,
      sym_template_function,
  [290688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8471), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [290701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12338), 1,
      anon_sym_GT2,
    STATE(7910), 1,
      aux_sym_template_argument_list_repeat1,
  [290714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12340), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7823), 1,
      aux_sym_attribute_declaration_repeat1,
  [290727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12342), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [290740] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12344), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12346), 1,
      anon_sym_LPAREN2,
    STATE(8465), 1,
      sym_preproc_argument_list,
  [290753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12348), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [290766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8547), 1,
      anon_sym_RPAREN,
    STATE(7673), 1,
      aux_sym_argument_list_repeat1,
  [290779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10555), 1,
      anon_sym_RPAREN,
    STATE(7827), 1,
      sym_gnu_asm_output_operand_list,
  [290792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8414), 1,
      anon_sym_RPAREN,
    STATE(8044), 1,
      aux_sym_argument_list_repeat1,
  [290805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12350), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(3688), 1,
      sym_template_function,
  [290818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8535), 1,
      anon_sym_COMMA,
    ACTIONS(8537), 1,
      anon_sym_RBRACE,
    STATE(7850), 1,
      aux_sym_initializer_list_repeat1,
  [290831] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_catch,
    STATE(2070), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290842] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12354), 1,
      anon_sym_RPAREN,
    STATE(8938), 1,
      sym_gnu_asm_goto_list,
  [290855] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12235), 1,
      anon_sym_catch,
    STATE(2219), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12356), 1,
      anon_sym_RPAREN,
    STATE(9292), 1,
      sym_gnu_asm_goto_list,
  [290879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12358), 1,
      anon_sym_constexpr,
    STATE(190), 1,
      sym_condition_clause,
  [290892] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12360), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [290901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12362), 1,
      anon_sym_catch,
    STATE(2204), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290912] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12364), 1,
      anon_sym_COMMA,
    ACTIONS(12367), 1,
      anon_sym_RPAREN,
    STATE(7710), 1,
      aux_sym_throw_specifier_repeat1,
  [290925] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7610), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12369), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [290936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12371), 1,
      anon_sym_COMMA,
    ACTIONS(12373), 1,
      anon_sym_LBRACE,
    STATE(7931), 1,
      aux_sym_field_initializer_list_repeat1,
  [290949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12375), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [290962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12377), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [290971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12379), 1,
      sym_identifier,
    STATE(2168), 1,
      sym_template_type,
    STATE(3899), 1,
      sym_template_function,
  [290984] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_catch,
    STATE(2071), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [290995] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12381), 1,
      anon_sym_RPAREN,
    STATE(7920), 1,
      aux_sym_parameter_list_repeat1,
  [291008] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12383), 1,
      anon_sym_RPAREN,
    STATE(8001), 1,
      aux_sym_parameter_list_repeat1,
  [291021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8356), 1,
      anon_sym_RPAREN,
    STATE(7851), 1,
      aux_sym_argument_list_repeat1,
  [291034] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_catch,
    STATE(410), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [291045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7573), 1,
      anon_sym_EQ,
    ACTIONS(7571), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [291056] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(12385), 1,
      anon_sym_RBRACK,
    STATE(7676), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [291069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12387), 1,
      anon_sym_catch,
    STATE(1076), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [291080] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    STATE(532), 1,
      sym_declaration_list,
  [291093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    STATE(907), 1,
      sym_declaration_list,
  [291106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8475), 1,
      anon_sym_RPAREN,
    STATE(7836), 1,
      aux_sym_argument_list_repeat1,
  [291119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12389), 1,
      anon_sym_COMMA,
    ACTIONS(12392), 1,
      anon_sym_GT2,
    STATE(7727), 1,
      aux_sym_template_parameter_list_repeat1,
  [291132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12394), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7695), 1,
      aux_sym_attribute_declaration_repeat1,
  [291145] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8477), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [291158] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8448), 1,
      anon_sym_COMMA,
    ACTIONS(12396), 1,
      anon_sym_RBRACK,
    STATE(7682), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [291171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8352), 1,
      anon_sym_COMMA,
    ACTIONS(8354), 1,
      anon_sym_RBRACE,
    STATE(7867), 1,
      aux_sym_initializer_list_repeat1,
  [291184] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12398), 1,
      anon_sym_GT2,
    STATE(7748), 1,
      aux_sym_template_argument_list_repeat1,
  [291197] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4393), 1,
      anon_sym_RBRACE,
    ACTIONS(12400), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [291210] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12402), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12404), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [291221] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8529), 1,
      anon_sym_COMMA,
    ACTIONS(8531), 1,
      anon_sym_RBRACE,
    STATE(8042), 1,
      aux_sym_initializer_list_repeat1,
  [291234] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12041), 1,
      anon_sym_DASH_GT,
    ACTIONS(12406), 1,
      anon_sym_SEMI,
    STATE(9228), 1,
      sym_trailing_return_type,
  [291247] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    STATE(1031), 1,
      sym_declaration_list,
  [291260] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12408), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [291273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12410), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7668), 1,
      aux_sym_attribute_declaration_repeat1,
  [291286] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10553), 1,
      anon_sym_RPAREN,
    STATE(7891), 1,
      sym_gnu_asm_output_operand_list,
  [291299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12412), 1,
      anon_sym_GT2,
    STATE(7909), 1,
      aux_sym_template_argument_list_repeat1,
  [291312] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(12414), 1,
      anon_sym_SEMI,
    STATE(7918), 1,
      aux_sym__declaration_declarator_repeat1,
  [291325] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(12414), 1,
      anon_sym_SEMI,
    STATE(7918), 1,
      aux_sym__declaration_declarator_repeat1,
  [291338] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12416), 1,
      anon_sym_COMMA,
    ACTIONS(12419), 1,
      anon_sym_RPAREN,
    STATE(7744), 1,
      aux_sym_requires_parameter_list_repeat1,
  [291351] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2859), 1,
      anon_sym_while,
    ACTIONS(12253), 1,
      anon_sym_else,
    STATE(779), 1,
      sym_else_clause,
  [291364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12421), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12423), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12425), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291403] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12346), 1,
      anon_sym_LPAREN2,
    ACTIONS(12427), 1,
      aux_sym_preproc_include_token2,
    STATE(8465), 1,
      sym_preproc_argument_list,
  [291416] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12431), 1,
      anon_sym_RPAREN,
    ACTIONS(12429), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [291427] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12433), 1,
      anon_sym_RPAREN,
    STATE(7797), 1,
      sym_gnu_asm_input_operand_list,
  [291440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    ACTIONS(12437), 1,
      anon_sym_RPAREN,
    STATE(7710), 1,
      aux_sym_throw_specifier_repeat1,
  [291453] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12055), 1,
      anon_sym_LBRACE,
    STATE(7853), 1,
      aux_sym_base_class_clause_repeat1,
  [291466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10531), 1,
      anon_sym_RPAREN,
    STATE(7799), 1,
      sym_gnu_asm_output_operand_list,
  [291479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12439), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12441), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12443), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4397), 1,
      anon_sym_RBRACE,
    ACTIONS(12445), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [291531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12447), 1,
      anon_sym_constexpr,
    STATE(167), 1,
      sym_condition_clause,
  [291544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12449), 1,
      anon_sym_RPAREN,
    STATE(7706), 1,
      sym_gnu_asm_clobber_list,
  [291557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12451), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7697), 1,
      aux_sym_attribute_declaration_repeat1,
  [291570] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_catch,
    STATE(897), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [291581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12362), 1,
      anon_sym_catch,
    STATE(2208), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [291592] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 1,
      anon_sym_catch,
    STATE(303), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [291603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12455), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [291612] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12279), 1,
      anon_sym_COMMA,
    ACTIONS(12457), 1,
      anon_sym_GT2,
    STATE(7727), 1,
      aux_sym_template_parameter_list_repeat1,
  [291625] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12459), 1,
      anon_sym_RPAREN,
    STATE(7775), 1,
      aux_sym_parameter_list_repeat1,
  [291638] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(12461), 1,
      anon_sym_RBRACK,
    STATE(7812), 1,
      aux_sym_subscript_argument_list_repeat1,
  [291651] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7457), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12463), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [291662] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12465), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [291675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12467), 1,
      anon_sym_RPAREN,
    STATE(8598), 1,
      sym_gnu_asm_goto_list,
  [291688] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12469), 1,
      anon_sym_constexpr,
    STATE(192), 1,
      sym_condition_clause,
  [291701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6124), 1,
      anon_sym_SEMI,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(2056), 1,
      sym_template_argument_list,
  [291714] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(12471), 1,
      anon_sym_RPAREN,
    STATE(7817), 1,
      aux_sym_preproc_argument_list_repeat1,
  [291727] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12473), 1,
      anon_sym_COMMA,
    ACTIONS(12476), 1,
      anon_sym_RPAREN,
    STATE(7775), 1,
      aux_sym_parameter_list_repeat1,
  [291740] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12478), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [291753] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12480), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [291766] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12108), 1,
      anon_sym_LBRACE,
    STATE(7837), 1,
      aux_sym_base_class_clause_repeat1,
  [291779] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8497), 1,
      anon_sym_RBRACK,
    STATE(7941), 1,
      aux_sym_subscript_argument_list_repeat1,
  [291792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12482), 1,
      anon_sym_RPAREN,
    STATE(7771), 1,
      sym_gnu_asm_clobber_list,
  [291805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12484), 1,
      anon_sym_RPAREN,
    STATE(8603), 1,
      sym_gnu_asm_goto_list,
  [291818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12486), 1,
      anon_sym_RPAREN,
    STATE(7780), 1,
      sym_gnu_asm_input_operand_list,
  [291831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8440), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [291840] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12488), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [291853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12490), 1,
      anon_sym_RPAREN,
    STATE(7781), 1,
      sym_gnu_asm_clobber_list,
  [291866] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12492), 1,
      anon_sym_COMMA,
    ACTIONS(12495), 1,
      anon_sym_LBRACE,
    STATE(7786), 1,
      aux_sym_base_class_clause_repeat1,
  [291879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8348), 1,
      anon_sym_RBRACK,
    STATE(7936), 1,
      aux_sym_subscript_argument_list_repeat1,
  [291892] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12497), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [291905] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8330), 1,
      anon_sym_RPAREN,
    STATE(7692), 1,
      aux_sym_argument_list_repeat1,
  [291918] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12499), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [291931] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12501), 1,
      anon_sym_RPAREN,
    STATE(7919), 1,
      aux_sym_parameter_list_repeat1,
  [291944] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12503), 1,
      anon_sym_COMMA,
    ACTIONS(12506), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [291957] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12508), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7843), 1,
      aux_sym_attribute_declaration_repeat1,
  [291970] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12510), 1,
      anon_sym_COMMA,
    ACTIONS(12513), 1,
      anon_sym_LBRACE,
    STATE(7794), 1,
      aux_sym_field_initializer_list_repeat1,
  [291983] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12515), 1,
      anon_sym_RPAREN,
    STATE(8684), 1,
      sym_gnu_asm_goto_list,
  [291996] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12517), 1,
      anon_sym_GT2,
    STATE(8019), 1,
      aux_sym_template_argument_list_repeat1,
  [292009] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12519), 1,
      anon_sym_RPAREN,
    STATE(7816), 1,
      sym_gnu_asm_clobber_list,
  [292022] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12521), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [292035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12523), 1,
      anon_sym_RPAREN,
    STATE(7819), 1,
      sym_gnu_asm_input_operand_list,
  [292048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12525), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12527), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292070] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10533), 1,
      anon_sym_RPAREN,
    STATE(7994), 1,
      sym_gnu_asm_output_operand_list,
  [292083] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12529), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292096] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12531), 1,
      anon_sym_constexpr,
    STATE(211), 1,
      sym_condition_clause,
  [292109] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12533), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292122] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10505), 1,
      anon_sym_RPAREN,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    STATE(7782), 1,
      sym_gnu_asm_output_operand_list,
  [292135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12535), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [292146] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12539), 1,
      anon_sym_RPAREN,
    STATE(7785), 1,
      sym_gnu_asm_input_operand_list,
  [292159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12541), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [292168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12543), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12545), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12547), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [292192] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8635), 1,
      anon_sym_RBRACK,
    ACTIONS(12549), 1,
      anon_sym_COMMA,
    STATE(7812), 1,
      aux_sym_subscript_argument_list_repeat1,
  [292205] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4383), 1,
      anon_sym_RBRACE,
    ACTIONS(12552), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [292218] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12554), 1,
      anon_sym_GT2,
    STATE(7830), 1,
      aux_sym_template_argument_list_repeat1,
  [292231] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8350), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [292244] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12556), 1,
      anon_sym_RPAREN,
    STATE(8766), 1,
      sym_gnu_asm_goto_list,
  [292257] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10154), 1,
      anon_sym_RPAREN,
    ACTIONS(12558), 1,
      anon_sym_COMMA,
    STATE(7817), 1,
      aux_sym_preproc_argument_list_repeat1,
  [292270] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(12561), 1,
      anon_sym_SEMI,
    STATE(7915), 1,
      aux_sym__declaration_declarator_repeat1,
  [292283] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12563), 1,
      anon_sym_RPAREN,
    STATE(7826), 1,
      sym_gnu_asm_clobber_list,
  [292296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12565), 1,
      anon_sym_LBRACE,
    STATE(7786), 1,
      aux_sym_base_class_clause_repeat1,
  [292309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_catch,
    STATE(446), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [292320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 3,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
  [292329] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12569), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [292342] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12352), 1,
      anon_sym_catch,
    STATE(2067), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [292353] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12334), 1,
      anon_sym_catch,
    STATE(435), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [292364] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12571), 1,
      anon_sym_RPAREN,
    STATE(8773), 1,
      sym_gnu_asm_goto_list,
  [292377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12573), 1,
      anon_sym_RPAREN,
    STATE(7686), 1,
      sym_gnu_asm_input_operand_list,
  [292390] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12575), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292403] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12577), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12579), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12581), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [292442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12583), 1,
      anon_sym_COMMA,
    ACTIONS(12586), 1,
      anon_sym_RPAREN,
    STATE(7832), 1,
      aux_sym_preproc_params_repeat1,
  [292455] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7593), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12588), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [292466] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12590), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [292479] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12435), 1,
      anon_sym_COMMA,
    ACTIONS(12592), 1,
      anon_sym_RPAREN,
    STATE(7752), 1,
      aux_sym_throw_specifier_repeat1,
  [292492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8386), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [292505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12055), 1,
      anon_sym_LBRACE,
    STATE(7786), 1,
      aux_sym_base_class_clause_repeat1,
  [292518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12594), 1,
      anon_sym_constexpr,
    STATE(216), 1,
      sym_condition_clause,
  [292531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12596), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7880), 1,
      aux_sym_attribute_declaration_repeat1,
  [292544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12598), 1,
      anon_sym_RPAREN,
    STATE(7795), 1,
      sym_gnu_asm_clobber_list,
  [292557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12600), 1,
      anon_sym_RPAREN,
    STATE(8697), 1,
      sym_gnu_asm_goto_list,
  [292570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8420), 1,
      anon_sym_RPAREN,
    STATE(7729), 1,
      aux_sym_argument_list_repeat1,
  [292583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12602), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [292596] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12604), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [292609] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12606), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292622] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12608), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12610), 1,
      anon_sym_GT2,
    STATE(7800), 1,
      aux_sym_template_argument_list_repeat1,
  [292648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11203), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [292657] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12612), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292670] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4387), 1,
      anon_sym_RBRACE,
    ACTIONS(12614), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [292683] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8378), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [292696] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10517), 1,
      anon_sym_RPAREN,
    STATE(7808), 1,
      sym_gnu_asm_output_operand_list,
  [292709] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(11887), 1,
      anon_sym_LBRACE,
    STATE(7786), 1,
      aux_sym_base_class_clause_repeat1,
  [292722] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12346), 1,
      anon_sym_LPAREN2,
    ACTIONS(12616), 1,
      aux_sym_preproc_include_token2,
    STATE(8465), 1,
      sym_preproc_argument_list,
  [292735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10537), 1,
      anon_sym_RPAREN,
    STATE(7675), 1,
      sym_gnu_asm_output_operand_list,
  [292748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12618), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292757] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12620), 1,
      anon_sym_RPAREN,
    STATE(7840), 1,
      sym_gnu_asm_input_operand_list,
  [292770] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12622), 1,
      anon_sym_COMMA,
    ACTIONS(12624), 1,
      anon_sym_RPAREN,
    STATE(7934), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [292783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12626), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [292792] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(12275), 1,
      anon_sym_LBRACE,
    STATE(7820), 1,
      aux_sym_base_class_clause_repeat1,
  [292805] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12628), 1,
      anon_sym_RPAREN,
    STATE(7841), 1,
      sym_gnu_asm_clobber_list,
  [292818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11885), 1,
      anon_sym_COMMA,
    ACTIONS(11887), 1,
      anon_sym_LBRACE,
    STATE(7663), 1,
      aux_sym_base_class_clause_repeat1,
  [292831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12630), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12632), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7942), 1,
      aux_sym_attribute_declaration_repeat1,
  [292857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12634), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [292870] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12636), 1,
      sym_identifier,
    ACTIONS(12638), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [292881] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4377), 1,
      anon_sym_RBRACE,
    ACTIONS(12640), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [292894] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_catch,
    STATE(445), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [292905] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12346), 1,
      anon_sym_LPAREN2,
    ACTIONS(12642), 1,
      aux_sym_preproc_include_token2,
    STATE(8465), 1,
      sym_preproc_argument_list,
  [292918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12644), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym___attribute__,
  [292927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12646), 3,
      anon_sym_LBRACK,
      anon_sym_EQ,
      anon_sym_DOT,
  [292936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12648), 1,
      sym_identifier,
    STATE(2773), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [292949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8380), 1,
      anon_sym_COMMA,
    ACTIONS(8382), 1,
      anon_sym_RBRACE,
    STATE(7813), 1,
      aux_sym_initializer_list_repeat1,
  [292962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12279), 1,
      anon_sym_COMMA,
    ACTIONS(12650), 1,
      anon_sym_GT2,
    STATE(7727), 1,
      aux_sym_template_parameter_list_repeat1,
  [292975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12652), 1,
      anon_sym_catch,
    STATE(2033), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [292986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12279), 1,
      anon_sym_COMMA,
    ACTIONS(12654), 1,
      anon_sym_GT2,
    STATE(7874), 1,
      aux_sym_template_parameter_list_repeat1,
  [292999] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8384), 1,
      anon_sym_RPAREN,
    STATE(7815), 1,
      aux_sym_argument_list_repeat1,
  [293012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12656), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [293021] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12622), 1,
      anon_sym_COMMA,
    ACTIONS(12658), 1,
      anon_sym_RPAREN,
    STATE(7858), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [293034] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12660), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [293047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12662), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [293058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8424), 1,
      anon_sym_COMMA,
    ACTIONS(8426), 1,
      anon_sym_RBRACE,
    STATE(7758), 1,
      aux_sym_initializer_list_repeat1,
  [293071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12664), 1,
      anon_sym_RPAREN,
    STATE(7704), 1,
      sym_gnu_asm_clobber_list,
  [293084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12656), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_GT2,
  [293093] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8715), 1,
      anon_sym_RPAREN,
    ACTIONS(12666), 1,
      anon_sym_COMMA,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [293106] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12669), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(3899), 1,
      sym_template_function,
  [293119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12671), 1,
      anon_sym_GT2,
    STATE(7898), 1,
      aux_sym_template_argument_list_repeat1,
  [293132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12673), 1,
      anon_sym_RPAREN,
    STATE(8014), 1,
      sym_gnu_asm_input_operand_list,
  [293145] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      anon_sym_catch,
    STATE(229), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293156] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7545), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12677), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [293167] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12679), 1,
      anon_sym_RPAREN,
    STATE(7963), 1,
      sym_gnu_asm_input_operand_list,
  [293180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10535), 1,
      anon_sym_RPAREN,
    STATE(7965), 1,
      sym_gnu_asm_output_operand_list,
  [293193] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12681), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [293206] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10577), 1,
      anon_sym_RPAREN,
    STATE(8005), 1,
      sym_gnu_asm_output_operand_list,
  [293219] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_COMMA,
    ACTIONS(12685), 1,
      anon_sym_RPAREN,
    STATE(7744), 1,
      aux_sym_requires_parameter_list_repeat1,
  [293232] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12687), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293245] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12689), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12691), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293271] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12693), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293284] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10551), 1,
      anon_sym_RPAREN,
    STATE(8032), 1,
      sym_gnu_asm_output_operand_list,
  [293297] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12695), 1,
      anon_sym_COMMA,
    ACTIONS(12697), 1,
      anon_sym_RPAREN,
    STATE(7977), 1,
      aux_sym_preproc_params_repeat1,
  [293310] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12699), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [293323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12701), 1,
      anon_sym_EQ,
    ACTIONS(11289), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [293334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12703), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12705), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [293345] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12707), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293358] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12709), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293371] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12711), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12652), 1,
      anon_sym_catch,
    STATE(2036), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293395] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12713), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293408] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12715), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293421] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12717), 1,
      anon_sym_COMMA,
    ACTIONS(12720), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [293434] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(12722), 1,
      anon_sym_RPAREN,
    STATE(7817), 1,
      aux_sym_preproc_argument_list_repeat1,
  [293447] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5615), 1,
      anon_sym_COMMA,
    ACTIONS(12724), 1,
      anon_sym_RBRACK,
    STATE(7722), 1,
      aux_sym_structured_binding_declarator_repeat1,
  [293460] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7403), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12726), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [293471] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(12728), 1,
      anon_sym_SEMI,
    STATE(7918), 1,
      aux_sym__declaration_declarator_repeat1,
  [293484] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12730), 1,
      sym_identifier,
    STATE(3013), 1,
      sym_template_type,
    STATE(3983), 1,
      sym_template_function,
  [293497] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12732), 1,
      anon_sym_RPAREN,
    STATE(8925), 1,
      sym_gnu_asm_goto_list,
  [293510] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12734), 1,
      anon_sym_COMMA,
    ACTIONS(12737), 1,
      anon_sym_SEMI,
    STATE(7918), 1,
      aux_sym__declaration_declarator_repeat1,
  [293523] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12739), 1,
      anon_sym_RPAREN,
    STATE(7775), 1,
      aux_sym_parameter_list_repeat1,
  [293536] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12741), 1,
      anon_sym_RPAREN,
    STATE(7775), 1,
      aux_sym_parameter_list_repeat1,
  [293549] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12743), 1,
      anon_sym_GT2,
    STATE(7924), 1,
      aux_sym_template_argument_list_repeat1,
  [293562] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12745), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12747), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293588] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12749), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12751), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12753), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [293612] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5044), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6402), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [293623] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12755), 1,
      sym_identifier,
    STATE(2773), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [293636] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(12757), 1,
      anon_sym_RBRACK,
    STATE(7812), 1,
      aux_sym_subscript_argument_list_repeat1,
  [293649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      anon_sym_catch,
    STATE(232), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293660] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12759), 1,
      anon_sym_RPAREN,
    STATE(7775), 1,
      aux_sym_parameter_list_repeat1,
  [293673] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12371), 1,
      anon_sym_COMMA,
    ACTIONS(12761), 1,
      anon_sym_LBRACE,
    STATE(7794), 1,
      aux_sym_field_initializer_list_repeat1,
  [293686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12362), 1,
      anon_sym_catch,
    STATE(2232), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12763), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [293706] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12765), 1,
      anon_sym_COMMA,
    ACTIONS(12768), 1,
      anon_sym_RPAREN,
    STATE(7934), 1,
      aux_sym_gnu_asm_goto_list_repeat1,
  [293719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12770), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12772), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [293730] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(12774), 1,
      anon_sym_RBRACK,
    STATE(7812), 1,
      aux_sym_subscript_argument_list_repeat1,
  [293743] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10539), 1,
      anon_sym_RPAREN,
    STATE(7664), 1,
      sym_gnu_asm_output_operand_list,
  [293756] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_catch,
    STATE(953), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [293767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12776), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [293776] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12778), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [293789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(12780), 1,
      anon_sym_RBRACK,
    STATE(7812), 1,
      aux_sym_subscript_argument_list_repeat1,
  [293802] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12782), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7669), 1,
      aux_sym_attribute_declaration_repeat1,
  [293815] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8473), 1,
      anon_sym_RPAREN,
    STATE(7985), 1,
      aux_sym_argument_list_repeat1,
  [293828] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12683), 1,
      anon_sym_COMMA,
    ACTIONS(12784), 1,
      anon_sym_RPAREN,
    STATE(7895), 1,
      aux_sym_requires_parameter_list_repeat1,
  [293841] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12786), 1,
      anon_sym_GT2,
    STATE(7948), 1,
      aux_sym_template_argument_list_repeat1,
  [293854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12788), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293867] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12790), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293880] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12792), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293893] = 4,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12346), 1,
      anon_sym_LPAREN2,
    ACTIONS(12794), 1,
      aux_sym_preproc_include_token2,
    STATE(8465), 1,
      sym_preproc_argument_list,
  [293906] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    STATE(352), 1,
      sym_declaration_list,
  [293919] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9898), 1,
      anon_sym_COMMA,
    ACTIONS(9902), 1,
      anon_sym_SEMI,
    STATE(7742), 1,
      aux_sym__declaration_declarator_repeat1,
  [293932] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12796), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293945] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12798), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293958] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12800), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [293971] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10546), 1,
      anon_sym_RPAREN,
    STATE(7857), 1,
      sym_gnu_asm_output_operand_list,
  [293984] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12802), 1,
      anon_sym_RPAREN,
    STATE(9159), 1,
      sym_gnu_asm_goto_list,
  [293997] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12804), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [294010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12806), 1,
      anon_sym_RPAREN,
    STATE(7861), 1,
      sym_gnu_asm_input_operand_list,
  [294023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8491), 1,
      anon_sym_COMMA,
    ACTIONS(8493), 1,
      anon_sym_RBRACE,
    STATE(7980), 1,
      aux_sym_initializer_list_repeat1,
  [294036] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7568), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12808), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12810), 1,
      anon_sym_RPAREN,
    STATE(9349), 1,
      sym_gnu_asm_goto_list,
  [294060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12812), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(3899), 1,
      sym_template_function,
  [294073] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12814), 1,
      anon_sym_RPAREN,
    STATE(7917), 1,
      sym_gnu_asm_clobber_list,
  [294086] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10527), 1,
      anon_sym_RPAREN,
    STATE(7958), 1,
      sym_gnu_asm_output_operand_list,
  [294099] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12816), 1,
      anon_sym_RPAREN,
    STATE(7883), 1,
      sym_gnu_asm_input_operand_list,
  [294112] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12818), 1,
      anon_sym_GT2,
    STATE(7969), 1,
      aux_sym_template_argument_list_repeat1,
  [294125] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12820), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294138] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12822), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294151] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12824), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12826), 3,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_COLON,
  [294173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12828), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [294186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9830), 1,
      anon_sym_COMMA,
    ACTIONS(12830), 1,
      anon_sym_RPAREN,
    STATE(7817), 1,
      aux_sym_preproc_argument_list_repeat1,
  [294199] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7556), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12832), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294210] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12834), 1,
      anon_sym_GT2,
    STATE(7849), 1,
      aux_sym_template_argument_list_repeat1,
  [294223] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    ACTIONS(12836), 1,
      anon_sym_constexpr,
    STATE(176), 1,
      sym_condition_clause,
  [294236] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12838), 1,
      anon_sym_GT2,
    STATE(7952), 1,
      aux_sym_template_argument_list_repeat1,
  [294249] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12695), 1,
      anon_sym_COMMA,
    ACTIONS(12840), 1,
      anon_sym_RPAREN,
    STATE(7832), 1,
      aux_sym_preproc_params_repeat1,
  [294262] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12842), 1,
      anon_sym_RPAREN,
    STATE(9007), 1,
      sym_gnu_asm_goto_list,
  [294275] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12844), 1,
      anon_sym_RPAREN,
    STATE(7978), 1,
      sym_gnu_asm_clobber_list,
  [294288] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4395), 1,
      anon_sym_RBRACE,
    ACTIONS(12846), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [294301] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8342), 1,
      anon_sym_COMMA,
    ACTIONS(12848), 1,
      anon_sym_RPAREN,
    STATE(7911), 1,
      aux_sym_generic_expression_repeat1,
  [294314] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12850), 1,
      anon_sym_RPAREN,
    STATE(8811), 1,
      sym_gnu_asm_goto_list,
  [294327] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12852), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [294340] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12854), 1,
      anon_sym_RPAREN,
    STATE(9008), 1,
      sym_gnu_asm_goto_list,
  [294353] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8525), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [294366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12856), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [294379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12858), 1,
      anon_sym_GT2,
    STATE(7990), 1,
      aux_sym_template_argument_list_repeat1,
  [294392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12860), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294405] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12862), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294418] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12864), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294431] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12866), 1,
      anon_sym_RPAREN,
    STATE(7930), 1,
      aux_sym_parameter_list_repeat1,
  [294444] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12868), 1,
      anon_sym_RPAREN,
    STATE(7961), 1,
      sym_gnu_asm_clobber_list,
  [294457] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7583), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12870), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12872), 1,
      anon_sym_RPAREN,
    STATE(7979), 1,
      sym_gnu_asm_input_operand_list,
  [294481] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12874), 1,
      anon_sym_RPAREN,
    STATE(7982), 1,
      sym_gnu_asm_clobber_list,
  [294494] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12876), 1,
      anon_sym_RPAREN,
    STATE(7984), 1,
      sym_gnu_asm_clobber_list,
  [294507] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12878), 1,
      anon_sym_RPAREN,
    STATE(8812), 1,
      sym_gnu_asm_goto_list,
  [294520] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12880), 1,
      anon_sym_RPAREN,
    STATE(7995), 1,
      sym_gnu_asm_input_operand_list,
  [294533] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12271), 1,
      anon_sym_COLON,
    ACTIONS(12882), 1,
      anon_sym_RPAREN,
    STATE(9359), 1,
      sym_gnu_asm_goto_list,
  [294546] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12884), 1,
      anon_sym_RPAREN,
    STATE(7997), 1,
      sym_gnu_asm_clobber_list,
  [294559] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12311), 1,
      anon_sym_COMMA,
    ACTIONS(12886), 1,
      anon_sym_RPAREN,
    STATE(7775), 1,
      aux_sym_parameter_list_repeat1,
  [294572] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8448), 1,
      anon_sym_COMMA,
    ACTIONS(12888), 1,
      anon_sym_RBRACK,
    STATE(7682), 1,
      aux_sym_lambda_capture_specifier_repeat1,
  [294585] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12890), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [294598] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12892), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(3983), 1,
      sym_template_function,
  [294611] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12894), 1,
      anon_sym_RPAREN,
    STATE(7992), 1,
      sym_gnu_asm_input_operand_list,
  [294624] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7495), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12896), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294635] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12898), 1,
      anon_sym_GT2,
    STATE(8010), 1,
      aux_sym_template_argument_list_repeat1,
  [294648] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12900), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294661] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12902), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294674] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12904), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12453), 1,
      anon_sym_catch,
    STATE(354), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294698] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12237), 1,
      anon_sym_COMMA,
    ACTIONS(12906), 1,
      anon_sym_RBRACK_RBRACK,
    STATE(7738), 1,
      aux_sym_attribute_declaration_repeat1,
  [294711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12652), 1,
      anon_sym_catch,
    STATE(2032), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12263), 1,
      anon_sym_COLON,
    ACTIONS(12908), 1,
      anon_sym_RPAREN,
    STATE(7999), 1,
      sym_gnu_asm_clobber_list,
  [294735] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8410), 1,
      anon_sym_RBRACE,
    ACTIONS(12910), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [294748] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7442), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12913), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294759] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12915), 1,
      sym_identifier,
    STATE(2773), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [294772] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7399), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12917), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [294783] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12919), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12921), 1,
      anon_sym_GT2,
    STATE(8023), 1,
      aux_sym_template_argument_list_repeat1,
  [294809] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12923), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294822] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12925), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294835] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12927), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294848] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12296), 1,
      anon_sym_catch,
    STATE(286), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294859] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12929), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8254), 1,
      anon_sym_COMMA,
    ACTIONS(8509), 1,
      anon_sym_RBRACK,
    STATE(7928), 1,
      aux_sym_subscript_argument_list_repeat1,
  [294885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12675), 1,
      anon_sym_catch,
    STATE(233), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [294896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12931), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12933), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [294922] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10507), 1,
      anon_sym_COLON,
    ACTIONS(10559), 1,
      anon_sym_RPAREN,
    STATE(7998), 1,
      sym_gnu_asm_output_operand_list,
  [294935] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12935), 1,
      sym_identifier,
    STATE(3100), 1,
      sym_template_function,
    STATE(3137), 1,
      sym_template_type,
  [294948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12245), 1,
      anon_sym_COLON,
    ACTIONS(12937), 1,
      anon_sym_RPAREN,
    STATE(8000), 1,
      sym_gnu_asm_input_operand_list,
  [294961] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12939), 1,
      anon_sym_GT2,
    STATE(8036), 1,
      aux_sym_template_argument_list_repeat1,
  [294974] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12941), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [294987] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12943), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [295000] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12945), 1,
      anon_sym_GT2,
    STATE(7792), 1,
      aux_sym_template_argument_list_repeat1,
  [295013] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    STATE(7375), 1,
      aux_sym_char_literal_repeat1,
    ACTIONS(12947), 2,
      aux_sym_char_literal_token1,
      sym_escape_sequence,
  [295024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12949), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(12495), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [295035] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(12951), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [295048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8292), 1,
      anon_sym_COMMA,
    ACTIONS(12953), 1,
      anon_sym_GT2,
    STATE(7865), 1,
      aux_sym_template_argument_list_repeat1,
  [295061] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12955), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
    STATE(3462), 1,
      sym_template_function,
  [295074] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4389), 1,
      anon_sym_RBRACE,
    ACTIONS(12957), 1,
      anon_sym_COMMA,
    STATE(8015), 1,
      aux_sym_initializer_list_repeat1,
  [295087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12567), 1,
      anon_sym_catch,
    STATE(355), 2,
      sym_catch_clause,
      aux_sym_constructor_try_statement_repeat1,
  [295098] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8250), 1,
      anon_sym_COMMA,
    ACTIONS(8503), 1,
      anon_sym_RPAREN,
    STATE(7885), 1,
      aux_sym_argument_list_repeat1,
  [295111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6259), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [295119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6312), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [295127] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12959), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(12961), 1,
      sym_preproc_arg,
  [295137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(447), 1,
      sym_compound_statement,
  [295147] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12963), 1,
      anon_sym_LPAREN2,
    ACTIONS(12965), 1,
      sym_raw_string_delimiter,
  [295157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12967), 1,
      anon_sym_LPAREN2,
    ACTIONS(12969), 1,
      sym_raw_string_delimiter,
  [295167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12971), 1,
      anon_sym_LPAREN2,
    ACTIONS(12973), 1,
      sym_raw_string_delimiter,
  [295177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12975), 1,
      anon_sym_LPAREN2,
    ACTIONS(12977), 1,
      sym_raw_string_delimiter,
  [295187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12979), 1,
      anon_sym_LPAREN2,
    ACTIONS(12981), 1,
      sym_raw_string_delimiter,
  [295197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12983), 1,
      anon_sym_LPAREN2,
    ACTIONS(12985), 1,
      sym_raw_string_delimiter,
  [295207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12987), 1,
      anon_sym_LPAREN2,
    ACTIONS(12989), 1,
      sym_raw_string_delimiter,
  [295217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(360), 1,
      sym_compound_statement,
  [295227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_LT,
    STATE(3970), 1,
      sym_template_argument_list,
  [295237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12993), 1,
      anon_sym_LPAREN2,
    ACTIONS(12995), 1,
      sym_raw_string_delimiter,
  [295247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12997), 1,
      anon_sym_LPAREN2,
    ACTIONS(12999), 1,
      sym_raw_string_delimiter,
  [295257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13001), 1,
      anon_sym_LPAREN2,
    ACTIONS(13003), 1,
      sym_raw_string_delimiter,
  [295267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13005), 1,
      anon_sym_LPAREN2,
    ACTIONS(13007), 1,
      sym_raw_string_delimiter,
  [295277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LBRACE,
    STATE(998), 1,
      sym_declaration_list,
  [295287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13009), 1,
      anon_sym_LPAREN2,
    ACTIONS(13011), 1,
      sym_raw_string_delimiter,
  [295297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13013), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [295305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13015), 1,
      anon_sym_SEMI,
  [295315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13017), 1,
      anon_sym_LPAREN2,
    ACTIONS(13019), 1,
      sym_raw_string_delimiter,
  [295325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8620), 1,
      sym_parenthesized_expression,
  [295335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(565), 1,
      sym_compound_statement,
  [295345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13023), 1,
      anon_sym_LPAREN2,
    ACTIONS(13025), 1,
      sym_raw_string_delimiter,
  [295355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8487), 1,
      anon_sym_RPAREN,
    ACTIONS(8489), 1,
      anon_sym_SEMI,
  [295365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13027), 1,
      anon_sym_LPAREN2,
    ACTIONS(13029), 1,
      sym_raw_string_delimiter,
  [295375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7739), 1,
      sym_attribute,
  [295385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13033), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [295393] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13035), 1,
      anon_sym_LT,
    STATE(2850), 1,
      sym_template_argument_list,
  [295403] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(806), 1,
      sym_compound_statement,
  [295413] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13037), 1,
      anon_sym_LPAREN2,
    ACTIONS(13039), 1,
      sym_raw_string_delimiter,
  [295423] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7793), 1,
      sym_attribute,
  [295433] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13043), 1,
      anon_sym_RBRACE,
  [295443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(8392), 1,
      sym_condition_clause,
  [295453] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13045), 1,
      anon_sym_LPAREN2,
    ACTIONS(13047), 1,
      sym_raw_string_delimiter,
  [295463] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(169), 1,
      sym_condition_clause,
  [295473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8596), 1,
      sym_argument_list,
  [295483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3060), 1,
      sym_field_declaration_list,
  [295493] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13049), 1,
      anon_sym_RBRACE,
  [295503] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3149), 1,
      sym_field_declaration_list,
  [295513] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9562), 1,
      anon_sym_LBRACE,
    STATE(3864), 1,
      sym_requirement_seq,
  [295523] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7720), 1,
      sym_compound_statement,
  [295533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_compound_statement,
  [295543] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13051), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13053), 1,
      sym_preproc_arg,
  [295553] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(8383), 1,
      sym_condition_clause,
  [295563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(215), 1,
      sym_condition_clause,
  [295573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12547), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [295581] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4370), 1,
      sym_field_declaration_list,
  [295591] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(574), 1,
      sym_compound_statement,
  [295601] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3121), 1,
      sym_field_declaration_list,
  [295611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3119), 1,
      sym_field_declaration_list,
  [295621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13055), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
  [295631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4357), 1,
      sym_field_declaration_list,
  [295641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8011), 1,
      sym_compound_statement,
  [295651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13057), 1,
      anon_sym_LT,
    STATE(4317), 1,
      sym_template_argument_list,
  [295661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [295671] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_LT,
    STATE(3518), 1,
      sym_template_argument_list,
  [295681] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13061), 1,
      anon_sym_LPAREN2,
    ACTIONS(13063), 1,
      sym_raw_string_delimiter,
  [295691] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8464), 1,
      sym_argument_list,
  [295701] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2709), 1,
      anon_sym_LBRACE,
    STATE(4109), 1,
      sym_initializer_list,
  [295711] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
    STATE(348), 1,
      sym_declaration_list,
  [295721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13065), 1,
      sym_identifier,
    STATE(2722), 1,
      sym_template_type,
  [295731] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7625), 1,
      sym_compound_statement,
  [295741] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4401), 1,
      sym_field_declaration_list,
  [295751] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4354), 1,
      sym_field_declaration_list,
  [295761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4365), 1,
      sym_field_declaration_list,
  [295771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(247), 1,
      sym_compound_statement,
  [295781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12367), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [295789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(224), 1,
      sym_condition_clause,
  [295799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13067), 1,
      anon_sym_SEMI,
  [295809] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13069), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
  [295819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_template_argument_list,
  [295829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4393), 1,
      sym_field_declaration_list,
  [295839] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13071), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13073), 1,
      sym_preproc_arg,
  [295849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13075), 1,
      sym_identifier,
    ACTIONS(13077), 1,
      anon_sym_RPAREN,
  [295859] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13079), 1,
      anon_sym_LPAREN2,
    ACTIONS(13081), 1,
      sym_raw_string_delimiter,
  [295869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3045), 1,
      sym_field_declaration_list,
  [295879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3395), 1,
      sym_field_declaration_list,
  [295889] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3042), 1,
      sym_field_declaration_list,
  [295899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1179), 1,
      sym_compound_statement,
  [295909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [295919] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT,
    STATE(4081), 1,
      sym_template_argument_list,
  [295929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13085), 1,
      anon_sym_default,
    ACTIONS(13087), 1,
      anon_sym_delete,
  [295939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LBRACE,
    STATE(906), 1,
      sym_declaration_list,
  [295949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12404), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [295957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(866), 1,
      sym_compound_statement,
  [295967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(979), 1,
      sym_compound_statement,
  [295977] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8783), 1,
      anon_sym_LT,
    STATE(5374), 1,
      sym_template_argument_list,
  [295987] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13089), 1,
      anon_sym_default,
    ACTIONS(13091), 1,
      anon_sym_delete,
  [295997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(408), 1,
      sym_compound_statement,
  [296007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_LT,
    STATE(2935), 1,
      sym_template_argument_list,
  [296017] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13093), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13095), 1,
      sym_preproc_arg,
  [296027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9570), 1,
      anon_sym_LBRACE,
    STATE(2782), 1,
      sym_requirement_seq,
  [296037] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13097), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13099), 1,
      sym_preproc_arg,
  [296047] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13101), 1,
      sym_identifier,
    STATE(2826), 1,
      sym_template_type,
  [296057] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_LT,
    STATE(2171), 1,
      sym_template_argument_list,
  [296067] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(584), 1,
      sym_compound_statement,
  [296077] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10912), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [296087] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    STATE(2955), 1,
      sym_field_declaration_list,
  [296097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13105), 1,
      anon_sym_RBRACE,
  [296107] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5102), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_declaration_list,
  [296117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9591), 1,
      anon_sym_LBRACE,
    STATE(4246), 1,
      sym_requirement_seq,
  [296127] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3479), 1,
      sym_field_declaration_list,
  [296137] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(610), 1,
      sym_compound_statement,
  [296147] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13107), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13109), 1,
      sym_preproc_arg,
  [296157] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3481), 1,
      sym_field_declaration_list,
  [296167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3614), 1,
      anon_sym_LBRACE,
    STATE(4348), 1,
      sym_initializer_list,
  [296177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5106), 1,
      anon_sym_LBRACE,
    STATE(929), 1,
      sym_declaration_list,
  [296187] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(890), 1,
      sym_compound_statement,
  [296197] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(682), 1,
      sym_compound_statement,
  [296207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13111), 1,
      anon_sym_RBRACE,
  [296217] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(633), 1,
      sym_compound_statement,
  [296227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6583), 1,
      anon_sym_LBRACE,
    STATE(3553), 1,
      sym_field_declaration_list,
  [296237] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6511), 1,
      anon_sym_LBRACE,
    STATE(3101), 1,
      sym_field_declaration_list,
  [296247] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    STATE(2945), 1,
      sym_field_declaration_list,
  [296257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    STATE(2963), 1,
      sym_field_declaration_list,
  [296267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9581), 1,
      anon_sym_LBRACE,
    STATE(4014), 1,
      sym_requirement_seq,
  [296277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8615), 1,
      sym_parenthesized_expression,
  [296287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12705), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [296295] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1080), 1,
      anon_sym_LBRACE,
    STATE(809), 1,
      sym_compound_statement,
  [296305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(5952), 1,
      sym_field_declaration_list,
  [296315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(5949), 1,
      sym_field_declaration_list,
  [296325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(284), 1,
      sym_compound_statement,
  [296335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8325), 1,
      sym_parameter_list,
  [296345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10906), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [296355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(5947), 1,
      sym_field_declaration_list,
  [296365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(210), 1,
      sym_condition_clause,
  [296375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6243), 1,
      anon_sym_LBRACE,
    STATE(3077), 1,
      sym_field_declaration_list,
  [296385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(1010), 1,
      sym_compound_statement,
  [296395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(5950), 1,
      sym_field_declaration_list,
  [296405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    STATE(2488), 1,
      sym_compound_statement,
  [296415] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13113), 1,
      sym_identifier,
    STATE(3013), 1,
      sym_template_type,
  [296425] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT,
    STATE(2951), 1,
      sym_template_argument_list,
  [296435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [296445] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13115), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13117), 1,
      sym_preproc_arg,
  [296455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_LBRACE,
    STATE(4266), 1,
      sym_initializer_list,
  [296465] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6011), 1,
      anon_sym_LBRACE,
    STATE(2939), 1,
      sym_field_declaration_list,
  [296475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7825), 1,
      sym_compound_statement,
  [296485] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8302), 1,
      sym_parameter_list,
  [296495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3738), 1,
      anon_sym_LBRACE,
    STATE(4919), 1,
      sym_initializer_list,
  [296505] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13119), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13121), 1,
      sym_preproc_arg,
  [296515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13123), 1,
      sym_identifier,
    STATE(3074), 1,
      sym_template_type,
  [296525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8635), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [296533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(7926), 1,
      sym_template_argument_list,
  [296543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13125), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [296551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12513), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [296559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13127), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
  [296567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13129), 1,
      sym_identifier,
    STATE(2916), 1,
      sym_template_type,
  [296577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12535), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [296585] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13131), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13133), 1,
      sym_preproc_arg,
  [296595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12476), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [296603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13135), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [296611] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13137), 1,
      sym_identifier,
    STATE(4327), 1,
      sym_template_type,
  [296621] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2148), 1,
      anon_sym_LBRACE,
    STATE(2854), 1,
      sym_initializer_list,
  [296631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5100), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_declaration_list,
  [296641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8305), 1,
      sym_parenthesized_expression,
  [296651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5433), 1,
      sym_field_declaration_list,
  [296661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12419), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [296669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12586), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [296677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12392), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11833), 1,
      anon_sym_LBRACE,
    STATE(1995), 1,
      sym_requirement_seq,
  [296695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    STATE(2176), 1,
      sym_compound_statement,
  [296705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13139), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296713] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(214), 1,
      sym_condition_clause,
  [296723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13141), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13143), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [296739] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13145), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13147), 1,
      sym_preproc_arg,
  [296749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(4157), 1,
      sym_template_argument_list,
  [296759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [296769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8396), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [296777] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5420), 1,
      sym_field_declaration_list,
  [296787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5421), 1,
      sym_field_declaration_list,
  [296797] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13149), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13151), 1,
      sym_preproc_arg,
  [296807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13153), 1,
      sym_identifier,
    ACTIONS(13155), 1,
      anon_sym_LPAREN2,
  [296817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7422), 1,
      sym_compound_statement,
  [296827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    STATE(2085), 1,
      sym_compound_statement,
  [296837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
  [296847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1121), 1,
      sym_compound_statement,
  [296857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(8440), 1,
      sym_attribute,
  [296867] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13157), 1,
      anon_sym_RBRACE,
  [296877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11663), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
  [296887] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9029), 1,
      anon_sym_LBRACE,
    STATE(5409), 1,
      sym_field_declaration_list,
  [296897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1104), 1,
      sym_compound_statement,
  [296907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8994), 1,
      sym_argument_list,
  [296917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8573), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [296925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8410), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [296933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8705), 1,
      sym_argument_list,
  [296943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8467), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [296951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1888), 1,
      anon_sym_LBRACE,
    STATE(1139), 1,
      sym_compound_statement,
  [296961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13159), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [296969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8340), 1,
      sym_parameter_list,
  [296979] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym_compound_statement,
  [296989] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8547), 1,
      sym_argument_list,
  [296999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7705), 1,
      sym_compound_statement,
  [297009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8715), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [297017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13161), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [297025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7655), 1,
      sym_compound_statement,
  [297035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8434), 1,
      sym_parameter_list,
  [297045] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13163), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13165), 1,
      sym_preproc_arg,
  [297055] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13167), 1,
      anon_sym_default,
    ACTIONS(13169), 1,
      anon_sym_delete,
  [297065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13171), 2,
      anon_sym_DOT_DOT_DOT,
      sym_identifier,
  [297073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8492), 1,
      sym_argument_list,
  [297083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7716), 1,
      sym_compound_statement,
  [297093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7728), 1,
      sym_attribute,
  [297103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_LT,
    STATE(2820), 1,
      sym_template_argument_list,
  [297113] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13173), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13175), 1,
      sym_preproc_arg,
  [297123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7703), 1,
      sym_compound_statement,
  [297133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [297141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [297149] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_LT,
    STATE(3522), 1,
      sym_template_argument_list,
  [297159] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8335), 1,
      sym_parameter_list,
  [297169] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4519), 1,
      sym_field_declaration_list,
  [297179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2218), 1,
      anon_sym_LBRACE,
    STATE(3397), 1,
      sym_initializer_list,
  [297189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13179), 1,
      sym_identifier,
    STATE(3089), 1,
      sym_template_type,
  [297199] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13181), 1,
      anon_sym_default,
    ACTIONS(13183), 1,
      anon_sym_delete,
  [297209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13185), 1,
      anon_sym_RBRACE,
  [297219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13177), 2,
      anon_sym_LPAREN2,
      anon_sym_LBRACE,
  [297227] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8688), 1,
      sym_argument_list,
  [297237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6297), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297245] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4532), 1,
      sym_field_declaration_list,
  [297255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8403), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [297263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13187), 1,
      anon_sym_SEMI,
  [297273] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7908), 1,
      sym_compound_statement,
  [297283] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3207), 1,
      sym_field_declaration_list,
  [297293] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7839), 1,
      sym_attribute,
  [297303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10500), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [297311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6426), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6493), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6277), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6281), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297343] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6308), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4531), 1,
      sym_field_declaration_list,
  [297361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13189), 1,
      sym_identifier,
    STATE(5358), 1,
      sym_template_type,
  [297371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8234), 1,
      sym_parenthesized_expression,
  [297381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(403), 1,
      sym_compound_statement,
  [297391] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10936), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [297401] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8013), 1,
      sym_compound_statement,
  [297411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6320), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8228), 1,
      sym_parameter_list,
  [297429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6293), 2,
      anon_sym___attribute__,
      anon_sym_LBRACK_LBRACK,
  [297437] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12166), 1,
      anon_sym_LBRACE,
    STATE(6350), 1,
      sym_requirement_seq,
  [297447] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13191), 1,
      anon_sym_default,
    ACTIONS(13193), 1,
      anon_sym_delete,
  [297457] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8930), 1,
      sym_argument_list,
  [297467] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    STATE(2320), 1,
      sym_compound_statement,
  [297477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7723), 1,
      sym_compound_statement,
  [297487] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
  [297497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7761), 1,
      sym_attribute,
  [297507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12662), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [297515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9554), 1,
      anon_sym_LBRACE,
    STATE(3526), 1,
      sym_requirement_seq,
  [297525] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(283), 1,
      sym_compound_statement,
  [297535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8165), 1,
      sym_parenthesized_expression,
  [297545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9098), 1,
      anon_sym_LT,
    STATE(2996), 1,
      sym_template_argument_list,
  [297555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7577), 1,
      anon_sym_LBRACE,
    STATE(4562), 1,
      sym_field_declaration_list,
  [297565] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7821), 1,
      sym_compound_statement,
  [297575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13195), 1,
      anon_sym_SEMI,
  [297585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8176), 1,
      sym_parameter_list,
  [297595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(592), 1,
      sym_compound_statement,
  [297605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(9040), 1,
      sym_parenthesized_expression,
  [297615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2336), 1,
      sym_field_declaration_list,
  [297625] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(672), 1,
      sym_compound_statement,
  [297635] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13197), 1,
      anon_sym_RBRACE,
  [297645] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13199), 1,
      anon_sym_default,
    ACTIONS(13201), 1,
      anon_sym_delete,
  [297655] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10918), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [297665] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(291), 1,
      anon_sym_LBRACE,
    STATE(324), 1,
      sym_compound_statement,
  [297675] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3189), 1,
      sym_field_declaration_list,
  [297685] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7444), 1,
      sym_compound_statement,
  [297695] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(9129), 1,
      sym_argument_list,
  [297705] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13203), 1,
      sym_identifier,
    STATE(4164), 1,
      sym_template_type,
  [297715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3186), 1,
      sym_field_declaration_list,
  [297725] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13205), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13207), 1,
      sym_preproc_arg,
  [297735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12991), 1,
      anon_sym_LT,
    STATE(3729), 1,
      sym_template_argument_list,
  [297745] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7709), 1,
      sym_compound_statement,
  [297755] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(8125), 1,
      sym_condition_clause,
  [297765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7694), 1,
      sym_attribute,
  [297775] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13209), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13211), 1,
      sym_preproc_arg,
  [297785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13213), 2,
      anon_sym_COMMA,
      anon_sym_GT2,
  [297793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8048), 1,
      sym_parenthesized_expression,
  [297803] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13215), 1,
      anon_sym_RBRACE,
  [297813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13217), 1,
      anon_sym_SEMI,
  [297823] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(593), 1,
      sym_compound_statement,
  [297833] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8024), 1,
      sym_compound_statement,
  [297843] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8789), 1,
      sym_argument_list,
  [297853] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7938), 1,
      sym_compound_statement,
  [297863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(2719), 1,
      sym_template_argument_list,
  [297873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(3886), 1,
      anon_sym_LBRACE,
    STATE(5315), 1,
      sym_initializer_list,
  [297883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6445), 1,
      anon_sym_LBRACE,
    STATE(3171), 1,
      sym_field_declaration_list,
  [297893] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8068), 1,
      sym_parameter_list,
  [297903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(9290), 1,
      sym_parenthesized_expression,
  [297913] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    STATE(2637), 1,
      sym_compound_statement,
  [297923] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10718), 1,
      anon_sym_LBRACE,
    STATE(2068), 1,
      sym_compound_statement,
  [297933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13219), 1,
      anon_sym_default,
    ACTIONS(13221), 1,
      anon_sym_delete,
  [297943] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13223), 1,
      sym_identifier,
    STATE(2168), 1,
      sym_template_type,
  [297953] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4361), 1,
      sym_field_declaration_list,
  [297963] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13225), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13227), 1,
      sym_preproc_arg,
  [297973] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    STATE(2442), 1,
      sym_compound_statement,
  [297983] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2878), 1,
      sym_field_declaration_list,
  [297993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5992), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
  [298003] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4363), 1,
      sym_field_declaration_list,
  [298013] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(172), 1,
      sym_condition_clause,
  [298023] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13059), 1,
      anon_sym_LT,
    STATE(2719), 1,
      sym_template_argument_list,
  [298033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13229), 1,
      anon_sym_RBRACE,
  [298043] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7562), 1,
      sym_compound_statement,
  [298053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(9153), 1,
      sym_argument_list,
  [298063] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(189), 1,
      sym_condition_clause,
  [298073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(8043), 1,
      sym_compound_statement,
  [298083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13231), 1,
      sym_identifier,
    STATE(2077), 1,
      sym_template_type,
  [298093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13233), 1,
      anon_sym_RBRACE,
  [298103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13083), 1,
      anon_sym_LT,
    STATE(4084), 1,
      sym_template_argument_list,
  [298113] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(168), 1,
      sym_condition_clause,
  [298123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7608), 1,
      sym_compound_statement,
  [298133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym_compound_statement,
  [298143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(8157), 1,
      sym_condition_clause,
  [298153] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(8012), 1,
      sym_attribute,
  [298163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12429), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [298171] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4378), 1,
      sym_field_declaration_list,
  [298181] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4372), 1,
      sym_field_declaration_list,
  [298191] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7089), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
  [298201] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10971), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [298211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2280), 1,
      anon_sym_LBRACE,
    STATE(3763), 1,
      sym_initializer_list,
  [298221] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13235), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13237), 1,
      sym_preproc_arg,
  [298231] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13239), 1,
      sym_identifier,
    ACTIONS(13241), 1,
      anon_sym_LPAREN2,
  [298241] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13243), 1,
      sym_identifier,
    STATE(2168), 1,
      sym_template_type,
  [298251] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8295), 1,
      sym_parenthesized_expression,
  [298261] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(853), 1,
      sym_compound_statement,
  [298271] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7932), 1,
      sym_compound_statement,
  [298281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4653), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [298289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8280), 1,
      sym_parameter_list,
  [298299] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8686), 1,
      sym_parenthesized_expression,
  [298309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6596), 1,
      anon_sym_LT,
    STATE(3160), 1,
      sym_template_argument_list,
  [298319] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2305), 1,
      sym_field_declaration_list,
  [298329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2309), 1,
      sym_field_declaration_list,
  [298339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9599), 1,
      anon_sym_LBRACE,
    STATE(4861), 1,
      sym_requirement_seq,
  [298349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8543), 1,
      anon_sym_RBRACK,
    ACTIONS(13245), 1,
      anon_sym_COMMA,
  [298359] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7334), 1,
      anon_sym_LBRACE,
    STATE(4386), 1,
      sym_field_declaration_list,
  [298369] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13247), 1,
      anon_sym_default,
    ACTIONS(13249), 1,
      anon_sym_delete,
  [298379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13251), 1,
      sym_identifier,
    STATE(2944), 1,
      sym_template_type,
  [298389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    STATE(2401), 1,
      sym_compound_statement,
  [298399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(673), 1,
      sym_compound_statement,
  [298409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2870), 1,
      sym_field_declaration_list,
  [298419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(179), 1,
      sym_condition_clause,
  [298429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7565), 1,
      sym_compound_statement,
  [298439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(222), 1,
      sym_condition_clause,
  [298449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(8513), 1,
      sym_argument_list,
  [298459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2863), 1,
      sym_field_declaration_list,
  [298469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7864), 1,
      sym_attribute,
  [298479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10949), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [298489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(825), 1,
      sym_compound_statement,
  [298499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(8168), 1,
      sym_condition_clause,
  [298509] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5317), 1,
      anon_sym_LBRACE,
    STATE(2407), 1,
      sym_field_declaration_list,
  [298519] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(203), 1,
      sym_condition_clause,
  [298529] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13253), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
  [298539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
    STATE(531), 1,
      sym_declaration_list,
  [298549] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13103), 1,
      anon_sym_LT,
    STATE(2719), 1,
      sym_template_argument_list,
  [298559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(218), 1,
      sym_condition_clause,
  [298569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7889), 1,
      sym_compound_statement,
  [298579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5578), 1,
      sym_field_declaration_list,
  [298589] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7671), 1,
      sym_compound_statement,
  [298599] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 1,
      anon_sym_LBRACE,
    STATE(430), 1,
      sym_compound_statement,
  [298609] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12144), 1,
      anon_sym_LBRACE,
    STATE(6491), 1,
      sym_requirement_seq,
  [298619] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(186), 1,
      sym_condition_clause,
  [298629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(8403), 1,
      sym_condition_clause,
  [298639] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13255), 1,
      sym_identifier,
    STATE(3137), 1,
      sym_template_type,
  [298649] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    STATE(2644), 1,
      sym_compound_statement,
  [298659] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    STATE(894), 1,
      sym_declaration_list,
  [298669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5098), 1,
      anon_sym_LBRACE,
    STATE(556), 1,
      sym_declaration_list,
  [298679] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13031), 1,
      sym_identifier,
    STATE(7642), 1,
      sym_attribute,
  [298689] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13257), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13259), 1,
      sym_preproc_arg,
  [298699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13261), 1,
      anon_sym_LT,
    STATE(2966), 1,
      sym_template_argument_list,
  [298709] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7823), 1,
      anon_sym_LPAREN2,
    STATE(9229), 1,
      sym_argument_list,
  [298719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7371), 1,
      sym_compound_statement,
  [298729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12330), 1,
      anon_sym_LPAREN2,
    STATE(160), 1,
      sym_condition_clause,
  [298739] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7124), 1,
      anon_sym_LBRACE,
    STATE(4364), 1,
      sym_field_declaration_list,
  [298749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9535), 1,
      anon_sym_LBRACE,
    STATE(3916), 1,
      sym_requirement_seq,
  [298759] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7509), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
  [298769] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13263), 1,
      sym_identifier,
    STATE(2168), 1,
      sym_template_type,
  [298779] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_compound_statement,
  [298789] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13265), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13267), 1,
      sym_preproc_arg,
  [298799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(2217), 1,
      sym_template_argument_list,
  [298809] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13269), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13271), 1,
      sym_preproc_arg,
  [298819] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10979), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [298829] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13273), 1,
      anon_sym_default,
    ACTIONS(13275), 1,
      anon_sym_delete,
  [298839] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13277), 1,
      anon_sym_RBRACE,
  [298849] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9063), 1,
      anon_sym_LT,
    STATE(1974), 1,
      sym_template_argument_list,
  [298859] = 3,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13279), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(13281), 1,
      sym_preproc_arg,
  [298869] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5573), 1,
      sym_field_declaration_list,
  [298879] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5562), 1,
      sym_field_declaration_list,
  [298889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12309), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [298897] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6114), 1,
      anon_sym_LBRACE,
    STATE(2903), 1,
      sym_field_declaration_list,
  [298907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10747), 1,
      anon_sym_LBRACE,
    STATE(2206), 1,
      sym_compound_statement,
  [298917] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LBRACE,
    STATE(694), 1,
      sym_compound_statement,
  [298927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9061), 1,
      anon_sym_LBRACE,
    STATE(5532), 1,
      sym_field_declaration_list,
  [298937] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9546), 1,
      anon_sym_LBRACE,
    STATE(4811), 1,
      sym_requirement_seq,
  [298947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(9254), 1,
      sym_parenthesized_expression,
  [298957] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8237), 1,
      sym_parenthesized_expression,
  [298967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12292), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK_RBRACK,
  [298975] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13021), 1,
      anon_sym_LPAREN2,
    STATE(8149), 1,
      sym_parenthesized_expression,
  [298985] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10791), 1,
      anon_sym_LBRACE,
    STATE(2505), 1,
      sym_compound_statement,
  [298995] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(9663), 1,
      anon_sym_LPAREN2,
    STATE(8112), 1,
      sym_parameter_list,
  [299005] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10694), 1,
      anon_sym_LBRACE,
    STATE(2563), 1,
      sym_compound_statement,
  [299015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
    ACTIONS(13283), 1,
      anon_sym_RBRACE,
  [299025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5104), 1,
      anon_sym_LBRACE,
    STATE(917), 1,
      sym_declaration_list,
  [299035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10973), 1,
      anon_sym_RBRACE,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [299045] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(51), 1,
      anon_sym_LBRACE,
    STATE(7929), 1,
      sym_compound_statement,
  [299055] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13285), 1,
      anon_sym_SEMI,
  [299062] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13287), 1,
      anon_sym_RPAREN,
  [299069] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13289), 1,
      aux_sym_preproc_include_token2,
  [299076] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8418), 1,
      anon_sym_RBRACE,
  [299083] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13291), 1,
      anon_sym_RPAREN,
  [299090] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13283), 1,
      anon_sym_RBRACE,
  [299097] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13293), 1,
      anon_sym_SEMI,
  [299104] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13295), 1,
      anon_sym_COLON,
  [299111] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13297), 1,
      sym_auto,
  [299118] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13299), 1,
      sym_identifier,
  [299125] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13301), 1,
      anon_sym_RPAREN,
  [299132] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13303), 1,
      anon_sym_RPAREN,
  [299139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4841), 1,
      anon_sym_SEMI,
  [299146] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13305), 1,
      anon_sym_SEMI,
  [299153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13307), 1,
      sym_identifier,
  [299160] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13309), 1,
      anon_sym_RPAREN,
  [299167] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10086), 1,
      aux_sym_preproc_include_token2,
  [299174] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12209), 1,
      anon_sym_SEMI,
  [299181] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13311), 1,
      anon_sym_STAR,
  [299188] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13313), 1,
      anon_sym_RPAREN,
  [299195] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13315), 1,
      sym_identifier,
  [299202] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7118), 1,
      sym_identifier,
  [299209] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10753), 1,
      anon_sym_RPAREN,
  [299216] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13317), 1,
      anon_sym_RPAREN,
  [299223] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13319), 1,
      sym_raw_string_delimiter,
  [299230] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13321), 1,
      aux_sym_preproc_include_token2,
  [299237] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13323), 1,
      anon_sym_RPAREN,
  [299244] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13325), 1,
      anon_sym_SEMI,
  [299251] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13327), 1,
      anon_sym_RPAREN,
  [299258] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13329), 1,
      aux_sym_preproc_include_token2,
  [299265] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13331), 1,
      anon_sym_RPAREN,
  [299272] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13277), 1,
      anon_sym_RBRACE,
  [299279] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13333), 1,
      aux_sym_preproc_if_token2,
  [299286] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13335), 1,
      anon_sym_LPAREN2,
  [299293] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13337), 1,
      anon_sym_SEMI,
  [299300] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13339), 1,
      aux_sym_preproc_if_token2,
  [299307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13341), 1,
      anon_sym_RPAREN,
  [299314] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13343), 1,
      anon_sym_LPAREN2,
  [299321] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13345), 1,
      aux_sym_preproc_include_token2,
  [299328] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10979), 1,
      anon_sym_RBRACE,
  [299335] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13347), 1,
      anon_sym_STAR,
  [299342] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13349), 1,
      anon_sym_DQUOTE,
  [299349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13351), 1,
      anon_sym_RPAREN,
  [299356] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13353), 1,
      anon_sym_RPAREN,
  [299363] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11297), 1,
      anon_sym_SEMI,
  [299370] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13355), 1,
      anon_sym_SEMI,
  [299377] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13357), 1,
      anon_sym_SEMI,
  [299384] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13359), 1,
      anon_sym_SEMI,
  [299391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13361), 1,
      anon_sym_DQUOTE,
  [299398] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13363), 1,
      anon_sym_RPAREN,
  [299405] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13365), 1,
      anon_sym_RPAREN,
  [299412] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13367), 1,
      aux_sym_preproc_include_token2,
  [299419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13369), 1,
      sym_identifier,
  [299426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13371), 1,
      sym_identifier,
  [299433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11275), 1,
      anon_sym_SEMI,
  [299440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13373), 1,
      sym_identifier,
  [299447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13375), 1,
      anon_sym_RPAREN,
  [299454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6133), 1,
      sym_identifier,
  [299461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12213), 1,
      anon_sym_SEMI,
  [299468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13377), 1,
      anon_sym_SEMI,
  [299475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13379), 1,
      anon_sym_SEMI,
  [299482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8665), 1,
      anon_sym_SEMI,
  [299489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13381), 1,
      sym_identifier,
  [299496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13383), 1,
      anon_sym_STAR,
  [299503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13385), 1,
      anon_sym_RPAREN,
  [299510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11209), 1,
      anon_sym_SEMI,
  [299517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13387), 1,
      anon_sym_SEMI,
  [299524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10949), 1,
      anon_sym_RBRACE,
  [299531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13389), 1,
      anon_sym_SEMI,
  [299538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13391), 1,
      anon_sym_SEMI,
  [299545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13393), 1,
      anon_sym_STAR,
  [299552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8354), 1,
      anon_sym_RBRACE,
  [299559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13395), 1,
      anon_sym_RPAREN,
  [299566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13397), 1,
      sym_identifier,
  [299573] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10973), 1,
      anon_sym_RBRACE,
  [299580] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8667), 1,
      anon_sym_SEMI,
  [299587] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13399), 1,
      anon_sym_RPAREN,
  [299594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13401), 1,
      anon_sym_RPAREN,
  [299601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13403), 1,
      anon_sym_RPAREN,
  [299608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13405), 1,
      sym_identifier,
  [299615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13407), 1,
      sym_identifier,
  [299622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13409), 1,
      anon_sym_RPAREN,
  [299629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13411), 1,
      anon_sym_RPAREN,
  [299636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13413), 1,
      anon_sym_RPAREN,
  [299643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13415), 1,
      anon_sym_RPAREN,
  [299650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8661), 1,
      anon_sym_SEMI,
  [299657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13417), 1,
      anon_sym_SEMI,
  [299664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13419), 1,
      anon_sym_SEMI,
  [299671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13421), 1,
      anon_sym_SEMI,
  [299678] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13423), 1,
      aux_sym_preproc_include_token2,
  [299685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13425), 1,
      anon_sym_LPAREN2,
  [299692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13427), 1,
      sym_identifier,
  [299699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8679), 1,
      anon_sym_SEMI,
  [299706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13429), 1,
      anon_sym_SEMI,
  [299713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13431), 1,
      anon_sym_COLON,
  [299720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13433), 1,
      sym_identifier,
  [299727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13435), 1,
      anon_sym_SEMI,
  [299734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13437), 1,
      anon_sym_RPAREN,
  [299741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13439), 1,
      anon_sym_RPAREN,
  [299748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13441), 1,
      anon_sym_RPAREN,
  [299755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13443), 1,
      anon_sym_RPAREN,
  [299762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13445), 1,
      sym_identifier,
  [299769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13447), 1,
      sym_identifier,
  [299776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13449), 1,
      anon_sym_RPAREN,
  [299783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13451), 1,
      anon_sym_RPAREN,
  [299790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13453), 1,
      anon_sym_RPAREN,
  [299797] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13455), 1,
      aux_sym_preproc_include_token2,
  [299804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13457), 1,
      anon_sym_RPAREN,
  [299811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13459), 1,
      anon_sym_RPAREN,
  [299818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13461), 1,
      anon_sym_RPAREN,
  [299825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13463), 1,
      anon_sym_RPAREN,
  [299832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13465), 1,
      anon_sym_RPAREN,
  [299839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10971), 1,
      anon_sym_RBRACE,
  [299846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13467), 1,
      anon_sym_RPAREN,
  [299853] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13469), 1,
      aux_sym_preproc_include_token2,
  [299860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13471), 1,
      anon_sym_RPAREN,
  [299867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6907), 1,
      anon_sym_RPAREN,
  [299874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13473), 1,
      anon_sym_RPAREN,
  [299881] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13475), 1,
      aux_sym_preproc_include_token2,
  [299888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13477), 1,
      sym_identifier,
  [299895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8242), 1,
      anon_sym_SEMI,
  [299902] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13479), 1,
      anon_sym_STAR,
  [299909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13481), 1,
      aux_sym_preproc_if_token2,
  [299916] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12070), 1,
      anon_sym_SEMI,
  [299923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10690), 1,
      anon_sym_RPAREN,
  [299930] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12427), 1,
      aux_sym_preproc_include_token2,
  [299937] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13483), 1,
      sym_raw_string_delimiter,
  [299944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13485), 1,
      sym_identifier,
  [299951] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13487), 1,
      anon_sym_SEMI,
  [299958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13489), 1,
      aux_sym_preproc_if_token2,
  [299965] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13491), 1,
      anon_sym_SEMI,
  [299972] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13493), 1,
      aux_sym_preproc_if_token2,
  [299979] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13495), 1,
      anon_sym_STAR,
  [299986] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13497), 1,
      anon_sym_RPAREN,
  [299993] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13499), 1,
      anon_sym_RPAREN,
  [300000] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13501), 1,
      sym_identifier,
  [300007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13503), 1,
      sym_identifier,
  [300014] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13505), 1,
      anon_sym_SEMI,
  [300021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13507), 1,
      anon_sym_SEMI,
  [300028] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_CARET_EQ,
  [300035] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13511), 1,
      anon_sym_SEMI,
  [300042] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4806), 1,
      anon_sym_SEMI,
  [300049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13513), 1,
      anon_sym_RPAREN,
  [300056] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13515), 1,
      anon_sym_RPAREN,
  [300063] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6921), 1,
      anon_sym_RPAREN,
  [300070] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13517), 1,
      sym_identifier,
  [300077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13233), 1,
      anon_sym_RBRACE,
  [300084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13519), 1,
      anon_sym_STAR,
  [300091] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13521), 1,
      anon_sym_SEMI,
  [300098] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
  [300105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13525), 1,
      sym_identifier,
  [300112] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13527), 1,
      aux_sym_preproc_include_token2,
  [300119] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13529), 1,
      anon_sym_STAR,
  [300126] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13531), 1,
      anon_sym_COLON,
  [300133] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13533), 1,
      anon_sym_RPAREN,
  [300140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13535), 1,
      sym_auto,
  [300147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13537), 1,
      anon_sym_DQUOTE,
  [300154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13539), 1,
      anon_sym_SEMI,
  [300161] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13541), 1,
      sym_auto,
  [300168] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13229), 1,
      anon_sym_RBRACE,
  [300175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13543), 1,
      anon_sym_SEMI,
  [300182] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13545), 1,
      anon_sym_SEMI,
  [300189] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13547), 1,
      anon_sym_SEMI,
  [300196] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13549), 1,
      anon_sym_RPAREN,
  [300203] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13551), 1,
      anon_sym_DQUOTE,
  [300210] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13553), 1,
      anon_sym_SEMI,
  [300217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13555), 1,
      anon_sym_SEMI,
  [300224] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13557), 1,
      anon_sym_DQUOTE,
  [300231] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13559), 1,
      anon_sym_SEMI,
  [300238] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13561), 1,
      anon_sym_LPAREN2,
  [300245] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13563), 1,
      anon_sym_RPAREN,
  [300252] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13565), 1,
      anon_sym_SEMI,
  [300259] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13567), 1,
      anon_sym_SEMI,
  [300266] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8695), 1,
      anon_sym_RPAREN,
  [300273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13569), 1,
      anon_sym_RPAREN,
  [300280] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13571), 1,
      sym_identifier,
  [300287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13573), 1,
      anon_sym_DQUOTE,
  [300294] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13575), 1,
      anon_sym_RPAREN,
  [300301] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13577), 1,
      anon_sym_RPAREN,
  [300308] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13579), 1,
      sym_identifier,
  [300315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8593), 1,
      anon_sym_SEMI,
  [300322] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13581), 1,
      aux_sym_preproc_if_token2,
  [300329] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12344), 1,
      aux_sym_preproc_include_token2,
  [300336] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8575), 1,
      anon_sym_SEMI,
  [300343] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13583), 1,
      aux_sym_preproc_include_token2,
  [300350] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13585), 1,
      sym_auto,
  [300357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13587), 1,
      anon_sym_RPAREN,
  [300364] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13589), 1,
      anon_sym_SEMI,
  [300371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13591), 1,
      anon_sym_SEMI,
  [300378] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13593), 1,
      anon_sym_SEMI,
  [300385] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13595), 1,
      anon_sym_SEMI,
  [300392] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13215), 1,
      anon_sym_RBRACE,
  [300399] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13597), 1,
      anon_sym_DOT_DOT_DOT,
  [300406] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13599), 1,
      aux_sym_preproc_if_token2,
  [300413] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13601), 1,
      sym_identifier,
  [300420] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13603), 1,
      anon_sym_RPAREN,
  [300427] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13605), 1,
      anon_sym_SEMI,
  [300434] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10787), 1,
      anon_sym_RPAREN,
  [300441] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13607), 1,
      aux_sym_preproc_include_token2,
  [300448] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13609), 1,
      sym_raw_string_delimiter,
  [300455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13611), 1,
      anon_sym_DQUOTE,
  [300462] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13613), 1,
      sym_identifier,
  [300469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13615), 1,
      aux_sym_preproc_if_token2,
  [300476] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13617), 1,
      anon_sym_SEMI,
  [300483] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13619), 1,
      sym_auto,
  [300490] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13621), 1,
      sym_auto,
  [300497] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13623), 1,
      sym_identifier,
  [300504] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4901), 1,
      anon_sym_SEMI,
  [300511] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13625), 1,
      anon_sym_COLON,
  [300518] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13627), 1,
      anon_sym_SEMI,
  [300525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11931), 1,
      anon_sym_SEMI,
  [300532] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13629), 1,
      anon_sym_RPAREN,
  [300539] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13631), 1,
      anon_sym_STAR,
  [300546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13633), 1,
      anon_sym_RPAREN,
  [300553] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13635), 1,
      anon_sym_RPAREN,
  [300560] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13637), 1,
      anon_sym_RPAREN,
  [300567] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13639), 1,
      anon_sym_RPAREN,
  [300574] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13641), 1,
      aux_sym_preproc_if_token2,
  [300581] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13643), 1,
      anon_sym_RPAREN,
  [300588] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13645), 1,
      anon_sym_RPAREN,
  [300595] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13197), 1,
      anon_sym_RBRACE,
  [300602] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_DASH_GT_STAR,
  [300609] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10918), 1,
      anon_sym_RBRACE,
  [300616] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_DOT_STAR,
  [300623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13647), 1,
      anon_sym_RPAREN,
  [300630] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13649), 1,
      anon_sym_LPAREN2,
  [300637] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8382), 1,
      anon_sym_RBRACE,
  [300644] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13651), 1,
      anon_sym_SEMI,
  [300651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13653), 1,
      anon_sym_SEMI,
  [300658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_not_eq,
  [300665] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13655), 1,
      anon_sym_DQUOTE,
  [300672] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_bitand,
  [300679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13657), 1,
      sym_identifier,
  [300686] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13659), 1,
      aux_sym_preproc_if_token2,
  [300693] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_xor,
  [300700] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13661), 1,
      anon_sym_RPAREN,
  [300707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13663), 1,
      anon_sym_SEMI,
  [300714] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13665), 1,
      anon_sym_SEMI,
  [300721] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13667), 1,
      anon_sym_RPAREN,
  [300728] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13669), 1,
      anon_sym_RPAREN,
  [300735] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13671), 1,
      anon_sym_STAR,
  [300742] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13673), 1,
      anon_sym_SEMI,
  [300749] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13675), 1,
      anon_sym_SEMI,
  [300756] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13677), 1,
      anon_sym_SEMI,
  [300763] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13679), 1,
      anon_sym_SEMI,
  [300770] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13681), 1,
      anon_sym_SEMI,
  [300777] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13683), 1,
      sym_identifier,
  [300784] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13685), 1,
      sym_identifier,
  [300791] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13687), 1,
      anon_sym_RPAREN,
  [300798] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10819), 1,
      anon_sym_RPAREN,
  [300805] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4510), 1,
      anon_sym_DOT_DOT_DOT,
  [300812] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13689), 1,
      sym_raw_string_delimiter,
  [300819] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13691), 1,
      anon_sym_LBRACE,
  [300826] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13693), 1,
      sym_identifier,
  [300833] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13695), 1,
      anon_sym_RPAREN,
  [300840] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13697), 1,
      aux_sym_preproc_include_token2,
  [300847] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13699), 1,
      anon_sym_RPAREN,
  [300854] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13701), 1,
      anon_sym_RPAREN,
  [300861] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13703), 1,
      anon_sym_SEMI,
  [300868] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4650), 1,
      anon_sym_DOT_DOT_DOT,
  [300875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_bitor,
  [300882] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13705), 1,
      anon_sym_RPAREN,
  [300889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4494), 1,
      anon_sym_DOT_DOT_DOT,
  [300896] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13707), 1,
      sym_identifier,
  [300903] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13709), 1,
      anon_sym_SEMI,
  [300910] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4499), 1,
      anon_sym_DOT_DOT_DOT,
  [300917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_and,
  [300924] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13711), 1,
      aux_sym_preproc_if_token2,
  [300931] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13713), 1,
      anon_sym_LPAREN2,
  [300938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4502), 1,
      anon_sym_DOT_DOT_DOT,
  [300945] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4505), 1,
      anon_sym_DOT_DOT_DOT,
  [300952] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_or,
  [300959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11221), 1,
      anon_sym_SEMI,
  [300966] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4513), 1,
      anon_sym_DOT_DOT_DOT,
  [300973] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13715), 1,
      sym_identifier,
  [300980] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4518), 1,
      anon_sym_DOT_DOT_DOT,
  [300987] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13717), 1,
      anon_sym_SEMI,
  [300994] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4521), 1,
      anon_sym_DOT_DOT_DOT,
  [301001] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4491), 1,
      anon_sym_DOT_DOT_DOT,
  [301008] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4541), 1,
      anon_sym_DOT_DOT_DOT,
  [301015] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13719), 1,
      anon_sym_RPAREN,
  [301022] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13721), 1,
      aux_sym_preproc_if_token2,
  [301029] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10936), 1,
      anon_sym_RBRACE,
  [301036] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13723), 1,
      anon_sym_SEMI,
  [301043] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PIPE_EQ,
  [301050] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13725), 1,
      anon_sym_DQUOTE,
  [301057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13727), 1,
      anon_sym_SEMI,
  [301064] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13729), 1,
      anon_sym_RPAREN,
  [301071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13731), 1,
      sym_identifier,
  [301078] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13733), 1,
      anon_sym_RPAREN,
  [301085] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13735), 1,
      anon_sym_SEMI,
  [301092] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10704), 1,
      anon_sym_RPAREN,
  [301099] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13737), 1,
      anon_sym_SEMI,
  [301106] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13739), 1,
      sym_raw_string_delimiter,
  [301113] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13741), 1,
      anon_sym_SEMI,
  [301120] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13743), 1,
      sym_identifier,
  [301127] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13745), 1,
      sym_auto,
  [301134] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13747), 1,
      anon_sym_SEMI,
  [301141] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13749), 1,
      anon_sym_SEMI,
  [301148] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13751), 1,
      anon_sym_DQUOTE,
  [301155] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13753), 1,
      aux_sym_preproc_if_token2,
  [301162] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13755), 1,
      anon_sym_SEMI,
  [301169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13185), 1,
      anon_sym_RBRACE,
  [301176] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13757), 1,
      anon_sym_SEMI,
  [301183] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13759), 1,
      anon_sym_SEMI,
  [301190] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13761), 1,
      anon_sym_SEMI,
  [301197] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13763), 1,
      anon_sym_SEMI,
  [301204] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13765), 1,
      anon_sym_DQUOTE,
  [301211] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13767), 1,
      anon_sym_SEMI,
  [301218] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13769), 1,
      anon_sym_RPAREN,
  [301225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13771), 1,
      anon_sym_LPAREN2,
  [301232] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13773), 1,
      anon_sym_RPAREN,
  [301239] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13775), 1,
      anon_sym_RPAREN,
  [301246] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13777), 1,
      anon_sym_RPAREN,
  [301253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13779), 1,
      anon_sym_SEMI,
  [301260] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13781), 1,
      aux_sym_preproc_include_token2,
  [301267] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13783), 1,
      sym_identifier,
  [301274] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13785), 1,
      anon_sym_RPAREN,
  [301281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13787), 1,
      anon_sym_SEMI,
  [301288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13789), 1,
      anon_sym_SEMI,
  [301295] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13791), 1,
      anon_sym_SEMI,
  [301302] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13793), 1,
      anon_sym_DQUOTE,
  [301309] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13795), 1,
      anon_sym_RPAREN,
  [301316] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13797), 1,
      anon_sym_LPAREN2,
  [301323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13799), 1,
      anon_sym_RPAREN,
  [301330] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13801), 1,
      anon_sym_DOT_DOT_DOT,
  [301337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13804), 1,
      aux_sym_preproc_if_token2,
  [301344] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PLUS,
  [301351] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_AMP_EQ,
  [301358] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13806), 1,
      sym_identifier,
  [301365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13808), 1,
      anon_sym_SEMI,
  [301372] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13810), 1,
      aux_sym_preproc_if_token2,
  [301379] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10728), 1,
      anon_sym_RPAREN,
  [301386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4528), 1,
      anon_sym_DOT_DOT_DOT,
  [301393] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13812), 1,
      sym_raw_string_delimiter,
  [301400] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13814), 1,
      anon_sym_LBRACE,
  [301407] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13816), 1,
      sym_identifier,
  [301414] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_GT_GT_EQ,
  [301421] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13818), 1,
      anon_sym_SEMI,
  [301428] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_LT_LT_EQ,
  [301435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13820), 1,
      anon_sym_RPAREN,
  [301442] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10126), 1,
      aux_sym_preproc_include_token2,
  [301449] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13822), 1,
      anon_sym_RPAREN,
  [301456] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_DASH_EQ,
  [301463] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13824), 1,
      aux_sym_preproc_if_token2,
  [301470] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13826), 1,
      anon_sym_RPAREN,
  [301477] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13828), 1,
      sym_identifier,
  [301484] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PLUS_EQ,
  [301491] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PERCENT_EQ,
  [301498] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13830), 1,
      anon_sym_SEMI,
  [301505] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13832), 1,
      anon_sym_LPAREN2,
  [301512] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_SLASH_EQ,
  [301519] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13834), 1,
      aux_sym_preproc_if_token2,
  [301526] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13836), 1,
      anon_sym_RPAREN,
  [301533] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13838), 1,
      aux_sym_preproc_if_token2,
  [301540] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_STAR_EQ,
  [301547] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13840), 1,
      aux_sym_preproc_if_token2,
  [301554] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13842), 1,
      aux_sym_preproc_if_token2,
  [301561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13844), 1,
      anon_sym_RPAREN,
  [301568] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13846), 1,
      anon_sym_RPAREN,
  [301575] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8925), 1,
      anon_sym_RPAREN,
  [301582] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13848), 1,
      anon_sym_RPAREN,
  [301589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13850), 1,
      anon_sym_RPAREN,
  [301596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13852), 1,
      anon_sym_RPAREN,
  [301603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_EQ,
  [301610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13854), 1,
      anon_sym_RPAREN,
  [301617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13856), 1,
      aux_sym_preproc_if_token2,
  [301624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10730), 1,
      anon_sym_RPAREN,
  [301631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_GT_GT,
  [301638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13858), 1,
      sym_raw_string_delimiter,
  [301645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13860), 1,
      anon_sym_DQUOTE,
  [301652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_LT_LT,
  [301659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13862), 1,
      anon_sym_SEMI,
  [301666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_LT,
  [301673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6807), 1,
      anon_sym_RPAREN,
  [301680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13864), 1,
      anon_sym_LPAREN2,
  [301687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13866), 1,
      anon_sym_SEMI,
  [301694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_GT_EQ,
  [301701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13868), 1,
      anon_sym_SEMI,
  [301708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13870), 1,
      anon_sym_RPAREN,
  [301715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13872), 1,
      anon_sym_RPAREN,
  [301722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_GT,
  [301729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13874), 1,
      sym_raw_string_delimiter,
  [301736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_BANG_EQ,
  [301743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_EQ_EQ,
  [301750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_AMP,
  [301757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13876), 1,
      anon_sym_COLON,
  [301764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13878), 1,
      anon_sym_LPAREN2,
  [301771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13880), 1,
      anon_sym_SEMI,
  [301778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PIPE,
  [301785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13882), 1,
      anon_sym_RPAREN,
  [301792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13884), 1,
      anon_sym_DQUOTE,
  [301799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13886), 1,
      sym_raw_string_delimiter,
  [301806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13888), 1,
      anon_sym_SEMI,
  [301813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13890), 1,
      sym_raw_string_delimiter,
  [301820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13892), 1,
      anon_sym_SEMI,
  [301827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13894), 1,
      anon_sym_LPAREN2,
  [301834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13896), 1,
      anon_sym_RPAREN,
  [301841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13898), 1,
      sym_raw_string_delimiter,
  [301848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13900), 1,
      anon_sym_SEMI,
  [301855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13902), 1,
      anon_sym_RPAREN,
  [301862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13904), 1,
      sym_raw_string_delimiter,
  [301869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_AMP_AMP,
  [301876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13906), 1,
      anon_sym_RPAREN,
  [301883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13908), 1,
      sym_raw_string_delimiter,
  [301890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13910), 1,
      anon_sym_RPAREN,
  [301897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13912), 1,
      sym_raw_string_delimiter,
  [301904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13914), 1,
      anon_sym_RPAREN,
  [301911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13916), 1,
      sym_raw_string_delimiter,
  [301918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13918), 1,
      anon_sym_RPAREN,
  [301925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13920), 1,
      sym_raw_string_delimiter,
  [301932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13922), 1,
      anon_sym_RPAREN,
  [301939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13924), 1,
      sym_raw_string_delimiter,
  [301946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13926), 1,
      anon_sym_RPAREN,
  [301953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13928), 1,
      sym_raw_string_delimiter,
  [301960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13930), 1,
      anon_sym_RPAREN,
  [301967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10755), 1,
      anon_sym_RPAREN,
  [301974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13932), 1,
      anon_sym_SEMI,
  [301981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13934), 1,
      anon_sym_LPAREN2,
  [301988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13936), 1,
      anon_sym_SEMI,
  [301995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13938), 1,
      anon_sym_LPAREN2,
  [302002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13940), 1,
      anon_sym_LPAREN2,
  [302009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8591), 1,
      anon_sym_SEMI,
  [302016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13942), 1,
      aux_sym_preproc_if_token2,
  [302023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13944), 1,
      anon_sym_LPAREN2,
  [302030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PIPE_PIPE,
  [302037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13946), 1,
      anon_sym_LPAREN2,
  [302044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13948), 1,
      anon_sym_LPAREN2,
  [302051] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13950), 1,
      aux_sym_preproc_include_token2,
  [302058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13952), 1,
      aux_sym_preproc_if_token2,
  [302065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13157), 1,
      anon_sym_RBRACE,
  [302072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_PERCENT,
  [302079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13954), 1,
      anon_sym_RPAREN,
  [302086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13956), 1,
      anon_sym_SLASH,
  [302093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13958), 1,
      sym_identifier,
  [302100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13041), 1,
      anon_sym_COMMA,
  [302107] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(13960), 1,
      aux_sym_preproc_include_token2,
  [302114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13962), 1,
      aux_sym_preproc_if_token2,
  [302121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13964), 1,
      anon_sym_SEMI,
  [302128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_STAR,
  [302135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13966), 1,
      anon_sym_SEMI,
  [302142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13968), 1,
      anon_sym_RPAREN,
  [302149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13970), 1,
      anon_sym_DQUOTE,
  [302156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13972), 1,
      anon_sym_while,
  [302163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13974), 1,
      sym_auto,
  [302170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13976), 1,
      anon_sym_LPAREN2,
  [302177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(4879), 1,
      anon_sym_SEMI,
  [302184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13978), 1,
      anon_sym_DQUOTE,
  [302191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13980), 1,
      anon_sym_SEMI,
  [302198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13982), 1,
      aux_sym_preproc_if_token2,
  [302205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13984), 1,
      anon_sym_EQ,
  [302212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13986), 1,
      sym_raw_string_content,
  [302219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11949), 1,
      anon_sym_SEMI,
  [302226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13988), 1,
      anon_sym_RPAREN,
  [302233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13990), 1,
      anon_sym_SEMI,
  [302240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13992), 1,
      anon_sym_STAR,
  [302247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13994), 1,
      sym_raw_string_delimiter,
  [302254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13996), 1,
      anon_sym_RPAREN,
  [302261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13998), 1,
      anon_sym_SEMI,
  [302268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14000), 1,
      anon_sym_RPAREN,
  [302275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14002), 1,
      anon_sym_RPAREN,
  [302282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_DASH,
  [302289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14004), 1,
      anon_sym_DQUOTE,
  [302296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8637), 1,
      anon_sym_RPAREN,
  [302303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8617), 1,
      anon_sym_RPAREN,
  [302310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14006), 1,
      sym_identifier,
  [302317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14008), 1,
      anon_sym_RPAREN,
  [302324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14010), 1,
      anon_sym_COMMA,
  [302331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14012), 1,
      anon_sym_SEMI,
  [302338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14014), 1,
      anon_sym_SEMI,
  [302345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8631), 1,
      anon_sym_SEMI,
  [302352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14016), 1,
      anon_sym_SEMI,
  [302359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10868), 1,
      anon_sym_RBRACE,
  [302366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14018), 1,
      anon_sym_RPAREN,
  [302373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14020), 1,
      anon_sym_COLON,
  [302380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14022), 1,
      sym_identifier,
  [302387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14024), 1,
      anon_sym_RPAREN,
  [302394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14026), 1,
      anon_sym_LPAREN2,
  [302401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8531), 1,
      anon_sym_RBRACE,
  [302408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14028), 1,
      anon_sym_SEMI,
  [302415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14030), 1,
      anon_sym_SEMI,
  [302422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14032), 1,
      anon_sym_RPAREN,
  [302429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14034), 1,
      anon_sym_COLON,
  [302436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14036), 1,
      anon_sym_RPAREN,
  [302443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14038), 1,
      sym_identifier,
  [302450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14040), 1,
      anon_sym_LPAREN2,
  [302457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14042), 1,
      anon_sym_SEMI,
  [302464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14044), 1,
      anon_sym_SEMI,
  [302471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_CARET,
  [302478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14046), 1,
      anon_sym_RPAREN,
  [302485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14048), 1,
      anon_sym_STAR,
  [302492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14050), 1,
      anon_sym_SEMI,
  [302499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14052), 1,
      anon_sym_SEMI,
  [302506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14054), 1,
      anon_sym_SEMI,
  [302513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14056), 1,
      sym_raw_string_content,
  [302520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14058), 1,
      anon_sym_RPAREN,
  [302527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_COMMA,
  [302534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11267), 1,
      anon_sym_SEMI,
  [302541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14060), 1,
      anon_sym_SEMI,
  [302548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10807), 1,
      anon_sym_RPAREN,
  [302555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6952), 1,
      sym_identifier,
  [302562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14062), 1,
      anon_sym_SEMI,
  [302569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14064), 1,
      anon_sym_SEMI,
  [302576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14066), 1,
      anon_sym_LBRACE,
  [302583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14068), 1,
      aux_sym_preproc_if_token2,
  [302590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14070), 1,
      aux_sym_preproc_if_token2,
  [302597] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12616), 1,
      aux_sym_preproc_include_token2,
  [302604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8244), 1,
      anon_sym_RBRACE,
  [302611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14072), 1,
      anon_sym_RPAREN,
  [302618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8489), 1,
      anon_sym_SEMI,
  [302625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14074), 1,
      sym_identifier,
  [302632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14076), 1,
      sym_identifier,
  [302639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14078), 1,
      anon_sym_SEMI,
  [302646] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14080), 1,
      aux_sym_preproc_include_token2,
  [302653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14082), 1,
      anon_sym_RPAREN,
  [302660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(6933), 1,
      anon_sym_RPAREN,
  [302667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14084), 1,
      anon_sym_RPAREN,
  [302674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14086), 1,
      anon_sym_RPAREN,
  [302681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14088), 1,
      anon_sym_RPAREN,
  [302688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14090), 1,
      anon_sym_RPAREN,
  [302695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14092), 1,
      anon_sym_RPAREN,
  [302702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14094), 1,
      anon_sym_RPAREN,
  [302709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14096), 1,
      anon_sym_RPAREN,
  [302716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14098), 1,
      anon_sym_RPAREN,
  [302723] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(10028), 1,
      aux_sym_preproc_include_token2,
  [302730] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14100), 1,
      aux_sym_preproc_include_token2,
  [302737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14102), 1,
      anon_sym_COLON,
  [302744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13509), 1,
      anon_sym_LT_EQ,
  [302751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14104), 1,
      sym_identifier,
  [302758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14106), 1,
      aux_sym_preproc_if_token2,
  [302765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14108), 1,
      aux_sym_preproc_if_token2,
  [302772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14110), 1,
      anon_sym_SEMI,
  [302779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14112), 1,
      anon_sym_SEMI,
  [302786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14114), 1,
      anon_sym_RPAREN,
  [302793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14116), 1,
      aux_sym_preproc_if_token2,
  [302800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14118), 1,
      aux_sym_preproc_if_token2,
  [302807] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14120), 1,
      anon_sym_LPAREN2,
  [302814] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14122), 1,
      sym_identifier,
  [302821] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14124), 1,
      anon_sym_SEMI,
  [302828] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12642), 1,
      aux_sym_preproc_include_token2,
  [302835] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14126), 1,
      sym_identifier,
  [302842] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14128), 1,
      aux_sym_preproc_include_token2,
  [302849] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14130), 1,
      anon_sym_RBRACE,
  [302856] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10860), 1,
      anon_sym_RBRACE,
  [302863] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8607), 1,
      anon_sym_SEMI,
  [302870] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14132), 1,
      anon_sym_RPAREN,
  [302877] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14134), 1,
      aux_sym_preproc_if_token2,
  [302884] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11347), 1,
      anon_sym_COMMA,
  [302891] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14136), 1,
      anon_sym_RPAREN,
  [302898] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14138), 1,
      anon_sym_RBRACE,
  [302905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14140), 1,
      anon_sym_RPAREN,
  [302912] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14142), 1,
      aux_sym_preproc_if_token2,
  [302919] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14144), 1,
      anon_sym_RPAREN,
  [302926] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14146), 1,
      anon_sym_SEMI,
  [302933] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(12794), 1,
      aux_sym_preproc_include_token2,
  [302940] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14148), 1,
      aux_sym_preproc_if_token2,
  [302947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14150), 1,
      aux_sym_preproc_if_token2,
  [302954] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14152), 1,
      sym_identifier,
  [302961] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14154), 1,
      anon_sym_RPAREN,
  [302968] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14156), 1,
      anon_sym_RPAREN,
  [302975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14158), 1,
      anon_sym_SEMI,
  [302982] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14160), 1,
      anon_sym_DQUOTE,
  [302989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14162), 1,
      anon_sym_SEMI,
  [302996] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14164), 1,
      anon_sym_SEMI,
  [303003] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14166), 1,
      anon_sym_SEMI,
  [303010] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14168), 1,
      anon_sym_RPAREN,
  [303017] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14170), 1,
      anon_sym_RPAREN,
  [303024] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10906), 1,
      anon_sym_RBRACE,
  [303031] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8613), 1,
      anon_sym_SEMI,
  [303038] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14172), 1,
      sym_identifier,
  [303045] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14174), 1,
      anon_sym_COMMA,
  [303052] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14176), 1,
      anon_sym_SEMI,
  [303059] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14178), 1,
      anon_sym_RPAREN,
  [303066] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14180), 1,
      anon_sym_RPAREN,
  [303073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14182), 1,
      anon_sym_RPAREN,
  [303080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14184), 1,
      anon_sym_SEMI,
  [303087] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8711), 1,
      anon_sym_SEMI,
  [303094] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14186), 1,
      anon_sym_DQUOTE,
  [303101] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14188), 1,
      anon_sym_SEMI,
  [303108] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14190), 1,
      anon_sym_SEMI,
  [303115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8697), 1,
      anon_sym_RPAREN,
  [303122] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12431), 1,
      anon_sym_RPAREN,
  [303129] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12406), 1,
      anon_sym_SEMI,
  [303136] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8699), 1,
      anon_sym_RPAREN,
  [303143] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8994), 1,
      anon_sym_RPAREN,
  [303150] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8705), 1,
      anon_sym_RPAREN,
  [303157] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14192), 1,
      anon_sym_RBRACK,
  [303164] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14194), 1,
      anon_sym_SEMI,
  [303171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14196), 1,
      anon_sym_RPAREN,
  [303178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14198), 1,
      sym_identifier,
  [303185] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14200), 1,
      sym_identifier,
  [303192] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14202), 1,
      anon_sym_SEMI,
  [303199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14204), 1,
      anon_sym_LPAREN2,
  [303206] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14206), 1,
      aux_sym_preproc_if_token2,
  [303213] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14208), 1,
      anon_sym_RPAREN,
  [303220] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14210), 1,
      anon_sym_LPAREN2,
  [303227] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14212), 1,
      anon_sym_LPAREN2,
  [303234] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14214), 1,
      anon_sym_LPAREN2,
  [303241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14216), 1,
      sym_identifier,
  [303248] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14218), 1,
      anon_sym_LPAREN2,
  [303255] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14220), 1,
      anon_sym_SEMI,
  [303262] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14222), 1,
      anon_sym_RPAREN,
  [303269] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5426), 1,
      anon_sym_COLON_COLON,
  [303276] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14224), 1,
      anon_sym_RPAREN,
  [303283] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14226), 1,
      anon_sym_while,
  [303290] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13111), 1,
      anon_sym_RBRACE,
  [303297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14228), 1,
      anon_sym_LPAREN2,
  [303304] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14230), 1,
      anon_sym_RPAREN,
  [303311] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14232), 1,
      anon_sym_SEMI,
  [303318] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14234), 1,
      anon_sym_DQUOTE,
  [303325] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14236), 1,
      anon_sym_EQ,
  [303332] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14238), 1,
      sym_raw_string_content,
  [303339] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14240), 1,
      anon_sym_STAR,
  [303346] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8717), 1,
      anon_sym_SEMI,
  [303353] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14242), 1,
      anon_sym_RPAREN,
  [303360] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14244), 1,
      anon_sym_COMMA,
  [303367] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14246), 1,
      anon_sym_SEMI,
  [303374] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14248), 1,
      aux_sym_preproc_include_token2,
  [303381] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14250), 1,
      sym_auto,
  [303388] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14252), 1,
      anon_sym_RPAREN,
  [303395] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14254), 1,
      anon_sym_COLON,
  [303402] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14256), 1,
      anon_sym_SEMI,
  [303409] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12064), 1,
      anon_sym_SEMI,
  [303416] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14258), 1,
      anon_sym_LPAREN2,
  [303423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14260), 1,
      anon_sym_LPAREN2,
  [303430] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14262), 1,
      anon_sym_RPAREN,
  [303437] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14264), 1,
      anon_sym_LPAREN2,
  [303444] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14266), 1,
      aux_sym_preproc_if_token2,
  [303451] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14268), 1,
      sym_auto,
  [303458] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14270), 1,
      anon_sym_while,
  [303465] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14272), 1,
      anon_sym_SEMI,
  [303472] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14274), 1,
      anon_sym_LPAREN2,
  [303479] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14276), 1,
      anon_sym_SEMI,
  [303486] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7330), 1,
      sym_identifier,
  [303493] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14278), 1,
      anon_sym_EQ,
  [303500] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14280), 1,
      sym_raw_string_content,
  [303507] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14282), 1,
      anon_sym_RBRACE,
  [303514] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14284), 1,
      anon_sym_COMMA,
  [303521] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11708), 1,
      anon_sym_SEMI,
  [303528] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7071), 1,
      sym_identifier,
  [303535] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14286), 1,
      anon_sym_RPAREN,
  [303542] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14288), 1,
      anon_sym_RPAREN,
  [303549] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14290), 1,
      anon_sym_COLON,
  [303556] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14292), 1,
      aux_sym_preproc_if_token2,
  [303563] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14294), 1,
      anon_sym_RBRACE,
  [303570] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14296), 1,
      anon_sym_LPAREN2,
  [303577] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14298), 1,
      anon_sym_LPAREN2,
  [303584] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11217), 1,
      anon_sym_SEMI,
  [303591] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14300), 1,
      anon_sym_LPAREN2,
  [303598] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14302), 1,
      aux_sym_preproc_if_token2,
  [303605] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14304), 1,
      anon_sym_RPAREN,
  [303612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14306), 1,
      anon_sym_while,
  [303619] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14308), 1,
      aux_sym_preproc_if_token2,
  [303626] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14310), 1,
      anon_sym_LPAREN2,
  [303633] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14312), 1,
      anon_sym_RPAREN,
  [303640] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14314), 1,
      aux_sym_preproc_include_token2,
  [303647] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14316), 1,
      anon_sym_EQ,
  [303654] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14318), 1,
      sym_raw_string_content,
  [303661] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14320), 1,
      anon_sym_COMMA,
  [303668] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13105), 1,
      anon_sym_RBRACE,
  [303675] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14322), 1,
      sym_identifier,
  [303682] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14324), 1,
      anon_sym_RBRACE,
  [303689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14326), 1,
      anon_sym_RPAREN,
  [303696] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14328), 1,
      anon_sym_COLON,
  [303703] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14330), 1,
      sym_identifier,
  [303710] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14332), 1,
      anon_sym_LPAREN2,
  [303717] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14334), 1,
      anon_sym_LPAREN2,
  [303724] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14336), 1,
      anon_sym_SEMI,
  [303731] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14338), 1,
      anon_sym_LPAREN2,
  [303738] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11213), 1,
      anon_sym_SEMI,
  [303745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14340), 1,
      aux_sym_preproc_if_token2,
  [303752] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14342), 1,
      anon_sym_while,
  [303759] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14344), 1,
      anon_sym_LPAREN2,
  [303766] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10912), 1,
      anon_sym_RBRACE,
  [303773] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14346), 1,
      anon_sym_DQUOTE,
  [303780] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14348), 1,
      anon_sym_EQ,
  [303787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14350), 1,
      sym_raw_string_content,
  [303794] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14352), 1,
      anon_sym_COMMA,
  [303801] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8426), 1,
      anon_sym_RBRACE,
  [303808] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14354), 1,
      anon_sym_STAR,
  [303815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14356), 1,
      anon_sym_RPAREN,
  [303822] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14358), 1,
      anon_sym_RPAREN,
  [303829] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14360), 1,
      anon_sym_COLON,
  [303836] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14362), 1,
      aux_sym_preproc_include_token2,
  [303843] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14364), 1,
      anon_sym_LPAREN2,
  [303850] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14366), 1,
      anon_sym_LPAREN2,
  [303857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14368), 1,
      anon_sym_DQUOTE,
  [303864] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14370), 1,
      anon_sym_LPAREN2,
  [303871] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14372), 1,
      aux_sym_preproc_if_token2,
  [303878] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14374), 1,
      anon_sym_SEMI,
  [303885] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14376), 1,
      anon_sym_LPAREN2,
  [303892] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14378), 1,
      aux_sym_preproc_include_token2,
  [303899] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14380), 1,
      anon_sym_while,
  [303906] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14382), 1,
      anon_sym_EQ,
  [303913] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14384), 1,
      sym_raw_string_content,
  [303920] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14386), 1,
      anon_sym_COMMA,
  [303927] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14388), 1,
      aux_sym_preproc_if_token2,
  [303934] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14390), 1,
      anon_sym_SEMI,
  [303941] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14392), 1,
      anon_sym_SEMI,
  [303948] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14394), 1,
      anon_sym_RPAREN,
  [303955] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14396), 1,
      anon_sym_COLON,
  [303962] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14398), 1,
      anon_sym_DQUOTE,
  [303969] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14400), 1,
      anon_sym_LPAREN2,
  [303976] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14402), 1,
      anon_sym_LPAREN2,
  [303983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14404), 1,
      anon_sym_RPAREN,
  [303990] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14406), 1,
      anon_sym_LPAREN2,
  [303997] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14408), 1,
      anon_sym_SEMI,
  [304004] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14410), 1,
      anon_sym_SEMI,
  [304011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14412), 1,
      anon_sym_LPAREN2,
  [304018] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11639), 1,
      anon_sym_COLON,
  [304025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14414), 1,
      anon_sym_RPAREN,
  [304032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14416), 1,
      anon_sym_EQ,
  [304039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14418), 1,
      sym_raw_string_content,
  [304046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14420), 1,
      anon_sym_COMMA,
  [304053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14422), 1,
      sym_identifier,
  [304060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11271), 1,
      anon_sym_SEMI,
  [304067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14424), 1,
      anon_sym_LPAREN2,
  [304074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14426), 1,
      anon_sym_RPAREN,
  [304081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14428), 1,
      anon_sym_COLON,
  [304088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14430), 1,
      anon_sym_DQUOTE,
  [304095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14432), 1,
      anon_sym_LPAREN2,
  [304102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8537), 1,
      anon_sym_RBRACE,
  [304109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14434), 1,
      anon_sym_LPAREN2,
  [304116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7355), 1,
      sym_identifier,
  [304123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14436), 1,
      anon_sym_COLON,
  [304130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14438), 1,
      anon_sym_SEMI,
  [304137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8605), 1,
      anon_sym_RPAREN,
  [304144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14440), 1,
      anon_sym_EQ,
  [304151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14442), 1,
      sym_raw_string_content,
  [304158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8687), 1,
      anon_sym_SEMI,
  [304165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10969), 1,
      anon_sym_RBRACE,
  [304172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8992), 1,
      anon_sym_RPAREN,
  [304179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14444), 1,
      anon_sym_RPAREN,
  [304186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14446), 1,
      anon_sym_DQUOTE,
  [304193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14448), 1,
      anon_sym_LPAREN2,
  [304200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14450), 1,
      anon_sym_LPAREN2,
  [304207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14452), 1,
      anon_sym_STAR,
  [304214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14454), 1,
      sym_raw_string_content,
  [304221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14456), 1,
      anon_sym_SEMI,
  [304228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14458), 1,
      aux_sym_preproc_if_token2,
  [304235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14460), 1,
      anon_sym_RPAREN,
  [304242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14462), 1,
      anon_sym_SEMI,
  [304249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14464), 1,
      anon_sym_LPAREN2,
  [304256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14466), 1,
      anon_sym_LPAREN2,
  [304263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14468), 1,
      anon_sym_RPAREN,
  [304270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14470), 1,
      sym_raw_string_content,
  [304277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14472), 1,
      anon_sym_RPAREN,
  [304284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14474), 1,
      anon_sym_RPAREN,
  [304291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14476), 1,
      anon_sym_LPAREN2,
  [304298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14478), 1,
      anon_sym_LPAREN2,
  [304305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14480), 1,
      sym_raw_string_content,
  [304312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14482), 1,
      anon_sym_RPAREN,
  [304319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14484), 1,
      sym_raw_string_content,
  [304326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14486), 1,
      anon_sym_RPAREN,
  [304333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14488), 1,
      sym_raw_string_content,
  [304340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14490), 1,
      anon_sym_RPAREN,
  [304347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14492), 1,
      sym_raw_string_content,
  [304354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14494), 1,
      anon_sym_RPAREN,
  [304361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14496), 1,
      sym_raw_string_content,
  [304368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14498), 1,
      anon_sym_RPAREN,
  [304375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14500), 1,
      sym_raw_string_content,
  [304382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14502), 1,
      anon_sym_RPAREN,
  [304389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14504), 1,
      sym_raw_string_content,
  [304396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14506), 1,
      anon_sym_RPAREN,
  [304403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14508), 1,
      sym_raw_string_content,
  [304410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14510), 1,
      anon_sym_RPAREN,
  [304417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14512), 1,
      anon_sym_RBRACK,
  [304424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14514), 1,
      anon_sym_RPAREN,
  [304431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14516), 1,
      anon_sym_LPAREN2,
  [304438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14518), 1,
      anon_sym_LPAREN2,
  [304445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14520), 1,
      sym_identifier,
  [304452] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14522), 1,
      aux_sym_preproc_include_token2,
  [304459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8663), 1,
      anon_sym_SEMI,
  [304466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14524), 1,
      anon_sym_SEMI,
  [304473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10480), 1,
      sym_identifier,
  [304480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14526), 1,
      anon_sym_RPAREN,
  [304487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14528), 1,
      aux_sym_preproc_if_token2,
  [304494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14530), 1,
      sym_identifier,
  [304501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12152), 1,
      anon_sym_SEMI,
  [304508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14532), 1,
      anon_sym_SEMI,
  [304515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14534), 1,
      anon_sym_RPAREN,
  [304522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14536), 1,
      anon_sym_RPAREN,
  [304529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14538), 1,
      anon_sym_RPAREN,
  [304536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14540), 1,
      anon_sym_DQUOTE,
  [304543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14542), 1,
      anon_sym_DQUOTE,
  [304550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14544), 1,
      sym_identifier,
  [304557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14546), 1,
      sym_raw_string_content,
  [304564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14548), 1,
      anon_sym_RPAREN,
  [304571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14550), 1,
      anon_sym_RPAREN,
  [304578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14552), 1,
      anon_sym_RBRACE,
  [304585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14554), 1,
      aux_sym_preproc_if_token2,
  [304592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14556), 1,
      anon_sym_RPAREN,
  [304599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14558), 1,
      aux_sym_preproc_if_token2,
  [304606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14560), 1,
      anon_sym_STAR,
  [304613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14562), 1,
      sym_identifier,
  [304620] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14564), 1,
      aux_sym_preproc_include_token2,
  [304627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14566), 1,
      ts_builtin_sym_end,
  [304634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14568), 1,
      anon_sym_SEMI,
  [304641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8493), 1,
      anon_sym_RBRACE,
  [304648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14570), 1,
      anon_sym_SEMI,
  [304655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14572), 1,
      sym_identifier,
  [304662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14574), 1,
      anon_sym_LPAREN2,
  [304669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(10874), 1,
      anon_sym_RBRACE,
  [304676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14576), 1,
      sym_auto,
  [304683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14578), 1,
      anon_sym_COLON,
  [304690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14580), 1,
      anon_sym_SEMI,
  [304697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14582), 1,
      aux_sym_preproc_if_token2,
  [304704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14584), 1,
      anon_sym_LPAREN2,
  [304711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14586), 1,
      anon_sym_RPAREN,
  [304718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14588), 1,
      anon_sym_RPAREN,
  [304725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14590), 1,
      anon_sym_SEMI,
  [304732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14592), 1,
      anon_sym_LPAREN2,
  [304739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14594), 1,
      anon_sym_SEMI,
  [304746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14596), 1,
      anon_sym_SEMI,
  [304753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14598), 1,
      anon_sym_RPAREN,
  [304760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14600), 1,
      anon_sym_SEMI,
  [304767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14602), 1,
      anon_sym_COLON,
  [304774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14604), 1,
      anon_sym_STAR,
  [304781] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14606), 1,
      aux_sym_preproc_include_token2,
  [304788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14608), 1,
      anon_sym_LPAREN2,
  [304795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14610), 1,
      anon_sym_LPAREN2,
  [304802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14612), 1,
      anon_sym_LPAREN2,
  [304809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14614), 1,
      sym_identifier,
  [304816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14616), 1,
      anon_sym_SEMI,
  [304823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14618), 1,
      anon_sym_SEMI,
  [304830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14620), 1,
      anon_sym_LPAREN2,
  [304837] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(9950), 1,
      aux_sym_preproc_include_token2,
  [304844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14622), 1,
      anon_sym_COLON,
  [304851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14624), 1,
      anon_sym_RPAREN,
  [304858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14626), 1,
      aux_sym_preproc_if_token2,
  [304865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14628), 1,
      aux_sym_preproc_if_token2,
  [304872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14630), 1,
      anon_sym_DQUOTE,
  [304879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14632), 1,
      anon_sym_RPAREN,
  [304886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14634), 1,
      anon_sym_DQUOTE,
  [304893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14636), 1,
      anon_sym_LPAREN2,
  [304900] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14638), 1,
      anon_sym_RPAREN,
  [304907] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13049), 1,
      anon_sym_RBRACE,
  [304914] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14640), 1,
      sym_identifier,
  [304921] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14642), 1,
      anon_sym_SEMI,
  [304928] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14644), 1,
      anon_sym_SEMI,
  [304935] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8571), 1,
      anon_sym_SEMI,
  [304942] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14646), 1,
      anon_sym_SEMI,
  [304949] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14648), 1,
      sym_identifier,
  [304956] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14650), 1,
      anon_sym_RPAREN,
  [304963] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14652), 1,
      anon_sym_RPAREN,
  [304970] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14654), 1,
      anon_sym_LPAREN2,
  [304977] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14656), 1,
      anon_sym_LPAREN2,
  [304984] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14658), 1,
      anon_sym_LPAREN2,
  [304991] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14660), 1,
      sym_identifier,
  [304998] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14662), 1,
      anon_sym_SEMI,
  [305005] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(13043), 1,
      anon_sym_RBRACE,
  [305012] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14664), 1,
      aux_sym_preproc_if_token2,
  [305019] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14666), 1,
      sym_identifier,
  [305026] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14668), 1,
      sym_raw_string_content,
  [305033] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14670), 1,
      aux_sym_preproc_if_token2,
  [305040] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14672), 1,
      anon_sym_RPAREN,
  [305047] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14674), 1,
      sym_identifier,
  [305054] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14676), 1,
      anon_sym_LPAREN2,
  [305061] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14678), 1,
      anon_sym_LPAREN2,
  [305068] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14680), 1,
      sym_identifier,
  [305075] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14682), 1,
      anon_sym_RPAREN,
  [305082] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14684), 1,
      aux_sym_preproc_if_token2,
  [305089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14686), 1,
      sym_identifier,
  [305096] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14688), 1,
      sym_raw_string_content,
  [305103] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11745), 1,
      anon_sym_SEMI,
  [305110] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14690), 1,
      anon_sym_COLON,
  [305117] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14692), 1,
      anon_sym_LPAREN2,
  [305124] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14694), 1,
      anon_sym_LPAREN2,
  [305131] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14696), 1,
      anon_sym_LPAREN2,
  [305138] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14698), 1,
      sym_identifier,
  [305145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14700), 1,
      anon_sym_DQUOTE,
  [305152] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14702), 1,
      anon_sym_DQUOTE,
  [305159] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14704), 1,
      sym_identifier,
  [305166] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14706), 1,
      sym_raw_string_content,
  [305173] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14708), 1,
      sym_identifier,
  [305180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14710), 1,
      anon_sym_LPAREN2,
  [305187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(8487), 1,
      anon_sym_RPAREN,
  [305194] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14712), 1,
      anon_sym_LPAREN2,
  [305201] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14714), 1,
      sym_identifier,
  [305208] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(12537), 1,
      anon_sym_COLON_COLON,
  [305215] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14716), 1,
      sym_identifier,
  [305222] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14718), 1,
      sym_identifier,
  [305229] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14720), 1,
      sym_raw_string_content,
  [305236] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14722), 1,
      sym_identifier,
  [305243] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14724), 1,
      sym_identifier,
  [305250] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14726), 1,
      anon_sym_LPAREN2,
  [305257] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14728), 1,
      sym_identifier,
  [305264] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14730), 1,
      aux_sym_preproc_if_token2,
  [305271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14732), 1,
      anon_sym_RPAREN,
  [305278] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14734), 1,
      sym_identifier,
  [305285] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14736), 1,
      sym_raw_string_content,
  [305292] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14738), 1,
      anon_sym_RPAREN,
  [305299] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14740), 1,
      anon_sym_SEMI,
  [305306] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14742), 1,
      anon_sym_LPAREN2,
  [305313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14744), 1,
      sym_identifier,
  [305320] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14746), 1,
      anon_sym_SEMI,
  [305327] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14748), 1,
      anon_sym_SEMI,
  [305334] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14750), 1,
      sym_identifier,
  [305341] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14752), 1,
      sym_raw_string_content,
  [305348] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14754), 1,
      anon_sym_SEMI,
  [305355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14756), 1,
      anon_sym_RPAREN,
  [305362] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14758), 1,
      anon_sym_LPAREN2,
  [305369] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14760), 1,
      sym_identifier,
  [305376] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14762), 1,
      anon_sym_DQUOTE,
  [305383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14764), 1,
      sym_identifier,
  [305390] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14766), 1,
      sym_raw_string_content,
  [305397] = 2,
    ACTIONS(5268), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9860), 1,
      sym_comment,
  [305404] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14768), 1,
      anon_sym_EQ,
  [305411] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14770), 1,
      sym_identifier,
  [305418] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14772), 1,
      sym_raw_string_content,
  [305425] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14774), 1,
      anon_sym_RPAREN,
  [305432] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14776), 1,
      anon_sym_LPAREN2,
  [305439] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14778), 1,
      sym_raw_string_content,
  [305446] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14780), 1,
      anon_sym_SEMI,
  [305453] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14782), 1,
      sym_raw_string_content,
  [305460] = 2,
    ACTIONS(9860), 1,
      sym_comment,
    ACTIONS(14784), 1,
      aux_sym_preproc_include_token2,
  [305467] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14786), 1,
      sym_raw_string_content,
  [305474] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14788), 1,
      sym_raw_string_content,
  [305481] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14790), 1,
      sym_raw_string_content,
  [305488] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11313), 1,
      anon_sym_SEMI,
  [305495] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14792), 1,
      sym_raw_string_content,
  [305502] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14794), 1,
      anon_sym_DQUOTE,
  [305509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14796), 1,
      sym_raw_string_content,
  [305516] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14798), 1,
      anon_sym_DQUOTE,
  [305523] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14800), 1,
      sym_raw_string_content,
  [305530] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14802), 1,
      sym_auto,
  [305537] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14804), 1,
      sym_raw_string_content,
  [305544] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14806), 1,
      aux_sym_preproc_if_token2,
  [305551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14808), 1,
      sym_raw_string_content,
  [305558] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14810), 1,
      anon_sym_LPAREN2,
  [305565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14812), 1,
      anon_sym_LPAREN2,
  [305572] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14814), 1,
      anon_sym_SEMI,
  [305579] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14816), 1,
      anon_sym_LPAREN2,
  [305586] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14818), 1,
      anon_sym_LPAREN2,
  [305593] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14820), 1,
      anon_sym_DQUOTE,
  [305600] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14822), 1,
      anon_sym_LPAREN2,
  [305607] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14824), 1,
      anon_sym_LPAREN2,
  [305614] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(11645), 1,
      anon_sym_COMMA,
  [305621] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14826), 1,
      anon_sym_LPAREN2,
  [305628] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14828), 1,
      anon_sym_LPAREN2,
  [305635] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14830), 1,
      anon_sym_SEMI,
  [305642] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14832), 1,
      anon_sym_LPAREN2,
  [305649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14834), 1,
      anon_sym_LPAREN2,
  [305656] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14836), 1,
      anon_sym_DQUOTE,
  [305663] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14838), 1,
      anon_sym_LPAREN2,
  [305670] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14840), 1,
      anon_sym_LPAREN2,
  [305677] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14842), 1,
      anon_sym_SEMI,
  [305684] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14844), 1,
      anon_sym_LPAREN2,
  [305691] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14846), 1,
      anon_sym_LPAREN2,
  [305698] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14848), 1,
      anon_sym_RPAREN,
  [305705] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14850), 1,
      anon_sym_LPAREN2,
  [305712] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14852), 1,
      anon_sym_LPAREN2,
  [305719] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14854), 1,
      anon_sym_LPAREN2,
  [305726] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14856), 1,
      anon_sym_LPAREN2,
  [305733] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14858), 1,
      anon_sym_LPAREN2,
  [305740] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14860), 1,
      anon_sym_LPAREN2,
  [305747] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14862), 1,
      anon_sym_LPAREN2,
  [305754] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14864), 1,
      anon_sym_LPAREN2,
  [305761] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14866), 1,
      anon_sym_LPAREN2,
  [305768] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14868), 1,
      anon_sym_LPAREN2,
  [305775] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14870), 1,
      anon_sym_LPAREN2,
  [305782] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14872), 1,
      anon_sym_RPAREN,
  [305789] = 2,
    ACTIONS(5280), 1,
      aux_sym_preproc_include_token2,
    ACTIONS(9860), 1,
      sym_comment,
  [305796] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14874), 1,
      anon_sym_DQUOTE,
  [305803] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14876), 1,
      sym_identifier,
  [305810] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14878), 1,
      sym_identifier,
  [305817] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14880), 1,
      anon_sym_DQUOTE,
  [305824] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14882), 1,
      anon_sym_SEMI,
  [305831] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14884), 1,
      anon_sym_LPAREN2,
  [305838] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14886), 1,
      anon_sym_LPAREN2,
  [305845] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14888), 1,
      anon_sym_LPAREN2,
  [305852] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14890), 1,
      anon_sym_LPAREN2,
  [305859] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14892), 1,
      anon_sym_LPAREN2,
  [305866] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14894), 1,
      anon_sym_LPAREN2,
  [305873] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(14896), 1,
      anon_sym_LPAREN2,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2500)] = 0,
  [SMALL_STATE(2501)] = 71,
  [SMALL_STATE(2502)] = 146,
  [SMALL_STATE(2503)] = 217,
  [SMALL_STATE(2504)] = 292,
  [SMALL_STATE(2505)] = 363,
  [SMALL_STATE(2506)] = 434,
  [SMALL_STATE(2507)] = 505,
  [SMALL_STATE(2508)] = 576,
  [SMALL_STATE(2509)] = 651,
  [SMALL_STATE(2510)] = 722,
  [SMALL_STATE(2511)] = 793,
  [SMALL_STATE(2512)] = 864,
  [SMALL_STATE(2513)] = 935,
  [SMALL_STATE(2514)] = 1006,
  [SMALL_STATE(2515)] = 1077,
  [SMALL_STATE(2516)] = 1156,
  [SMALL_STATE(2517)] = 1227,
  [SMALL_STATE(2518)] = 1298,
  [SMALL_STATE(2519)] = 1377,
  [SMALL_STATE(2520)] = 1452,
  [SMALL_STATE(2521)] = 1523,
  [SMALL_STATE(2522)] = 1602,
  [SMALL_STATE(2523)] = 1673,
  [SMALL_STATE(2524)] = 1744,
  [SMALL_STATE(2525)] = 1815,
  [SMALL_STATE(2526)] = 1890,
  [SMALL_STATE(2527)] = 1965,
  [SMALL_STATE(2528)] = 2036,
  [SMALL_STATE(2529)] = 2107,
  [SMALL_STATE(2530)] = 2186,
  [SMALL_STATE(2531)] = 2261,
  [SMALL_STATE(2532)] = 2336,
  [SMALL_STATE(2533)] = 2411,
  [SMALL_STATE(2534)] = 2482,
  [SMALL_STATE(2535)] = 2553,
  [SMALL_STATE(2536)] = 2632,
  [SMALL_STATE(2537)] = 2703,
  [SMALL_STATE(2538)] = 2774,
  [SMALL_STATE(2539)] = 2845,
  [SMALL_STATE(2540)] = 2916,
  [SMALL_STATE(2541)] = 2987,
  [SMALL_STATE(2542)] = 3058,
  [SMALL_STATE(2543)] = 3129,
  [SMALL_STATE(2544)] = 3200,
  [SMALL_STATE(2545)] = 3271,
  [SMALL_STATE(2546)] = 3342,
  [SMALL_STATE(2547)] = 3413,
  [SMALL_STATE(2548)] = 3484,
  [SMALL_STATE(2549)] = 3555,
  [SMALL_STATE(2550)] = 3626,
  [SMALL_STATE(2551)] = 3697,
  [SMALL_STATE(2552)] = 3768,
  [SMALL_STATE(2553)] = 3839,
  [SMALL_STATE(2554)] = 3910,
  [SMALL_STATE(2555)] = 3981,
  [SMALL_STATE(2556)] = 4052,
  [SMALL_STATE(2557)] = 4123,
  [SMALL_STATE(2558)] = 4194,
  [SMALL_STATE(2559)] = 4265,
  [SMALL_STATE(2560)] = 4336,
  [SMALL_STATE(2561)] = 4407,
  [SMALL_STATE(2562)] = 4478,
  [SMALL_STATE(2563)] = 4553,
  [SMALL_STATE(2564)] = 4624,
  [SMALL_STATE(2565)] = 4695,
  [SMALL_STATE(2566)] = 4766,
  [SMALL_STATE(2567)] = 4837,
  [SMALL_STATE(2568)] = 4908,
  [SMALL_STATE(2569)] = 4979,
  [SMALL_STATE(2570)] = 5050,
  [SMALL_STATE(2571)] = 5121,
  [SMALL_STATE(2572)] = 5192,
  [SMALL_STATE(2573)] = 5263,
  [SMALL_STATE(2574)] = 5334,
  [SMALL_STATE(2575)] = 5405,
  [SMALL_STATE(2576)] = 5476,
  [SMALL_STATE(2577)] = 5547,
  [SMALL_STATE(2578)] = 5618,
  [SMALL_STATE(2579)] = 5689,
  [SMALL_STATE(2580)] = 5760,
  [SMALL_STATE(2581)] = 5831,
  [SMALL_STATE(2582)] = 5902,
  [SMALL_STATE(2583)] = 5973,
  [SMALL_STATE(2584)] = 6044,
  [SMALL_STATE(2585)] = 6115,
  [SMALL_STATE(2586)] = 6186,
  [SMALL_STATE(2587)] = 6257,
  [SMALL_STATE(2588)] = 6328,
  [SMALL_STATE(2589)] = 6399,
  [SMALL_STATE(2590)] = 6470,
  [SMALL_STATE(2591)] = 6541,
  [SMALL_STATE(2592)] = 6612,
  [SMALL_STATE(2593)] = 6683,
  [SMALL_STATE(2594)] = 6754,
  [SMALL_STATE(2595)] = 6835,
  [SMALL_STATE(2596)] = 6906,
  [SMALL_STATE(2597)] = 6977,
  [SMALL_STATE(2598)] = 7048,
  [SMALL_STATE(2599)] = 7119,
  [SMALL_STATE(2600)] = 7190,
  [SMALL_STATE(2601)] = 7261,
  [SMALL_STATE(2602)] = 7332,
  [SMALL_STATE(2603)] = 7403,
  [SMALL_STATE(2604)] = 7474,
  [SMALL_STATE(2605)] = 7545,
  [SMALL_STATE(2606)] = 7616,
  [SMALL_STATE(2607)] = 7687,
  [SMALL_STATE(2608)] = 7758,
  [SMALL_STATE(2609)] = 7829,
  [SMALL_STATE(2610)] = 7900,
  [SMALL_STATE(2611)] = 7971,
  [SMALL_STATE(2612)] = 8042,
  [SMALL_STATE(2613)] = 8113,
  [SMALL_STATE(2614)] = 8184,
  [SMALL_STATE(2615)] = 8255,
  [SMALL_STATE(2616)] = 8326,
  [SMALL_STATE(2617)] = 8397,
  [SMALL_STATE(2618)] = 8468,
  [SMALL_STATE(2619)] = 8539,
  [SMALL_STATE(2620)] = 8610,
  [SMALL_STATE(2621)] = 8681,
  [SMALL_STATE(2622)] = 8752,
  [SMALL_STATE(2623)] = 8823,
  [SMALL_STATE(2624)] = 8906,
  [SMALL_STATE(2625)] = 8989,
  [SMALL_STATE(2626)] = 9060,
  [SMALL_STATE(2627)] = 9183,
  [SMALL_STATE(2628)] = 9254,
  [SMALL_STATE(2629)] = 9341,
  [SMALL_STATE(2630)] = 9418,
  [SMALL_STATE(2631)] = 9489,
  [SMALL_STATE(2632)] = 9560,
  [SMALL_STATE(2633)] = 9631,
  [SMALL_STATE(2634)] = 9702,
  [SMALL_STATE(2635)] = 9773,
  [SMALL_STATE(2636)] = 9844,
  [SMALL_STATE(2637)] = 9915,
  [SMALL_STATE(2638)] = 9986,
  [SMALL_STATE(2639)] = 10057,
  [SMALL_STATE(2640)] = 10128,
  [SMALL_STATE(2641)] = 10199,
  [SMALL_STATE(2642)] = 10272,
  [SMALL_STATE(2643)] = 10343,
  [SMALL_STATE(2644)] = 10414,
  [SMALL_STATE(2645)] = 10485,
  [SMALL_STATE(2646)] = 10556,
  [SMALL_STATE(2647)] = 10627,
  [SMALL_STATE(2648)] = 10698,
  [SMALL_STATE(2649)] = 10769,
  [SMALL_STATE(2650)] = 10840,
  [SMALL_STATE(2651)] = 10911,
  [SMALL_STATE(2652)] = 10982,
  [SMALL_STATE(2653)] = 11053,
  [SMALL_STATE(2654)] = 11124,
  [SMALL_STATE(2655)] = 11195,
  [SMALL_STATE(2656)] = 11266,
  [SMALL_STATE(2657)] = 11337,
  [SMALL_STATE(2658)] = 11408,
  [SMALL_STATE(2659)] = 11479,
  [SMALL_STATE(2660)] = 11550,
  [SMALL_STATE(2661)] = 11621,
  [SMALL_STATE(2662)] = 11692,
  [SMALL_STATE(2663)] = 11763,
  [SMALL_STATE(2664)] = 11834,
  [SMALL_STATE(2665)] = 11905,
  [SMALL_STATE(2666)] = 11976,
  [SMALL_STATE(2667)] = 12047,
  [SMALL_STATE(2668)] = 12118,
  [SMALL_STATE(2669)] = 12189,
  [SMALL_STATE(2670)] = 12260,
  [SMALL_STATE(2671)] = 12331,
  [SMALL_STATE(2672)] = 12402,
  [SMALL_STATE(2673)] = 12473,
  [SMALL_STATE(2674)] = 12544,
  [SMALL_STATE(2675)] = 12615,
  [SMALL_STATE(2676)] = 12686,
  [SMALL_STATE(2677)] = 12757,
  [SMALL_STATE(2678)] = 12828,
  [SMALL_STATE(2679)] = 12899,
  [SMALL_STATE(2680)] = 12970,
  [SMALL_STATE(2681)] = 13041,
  [SMALL_STATE(2682)] = 13112,
  [SMALL_STATE(2683)] = 13183,
  [SMALL_STATE(2684)] = 13254,
  [SMALL_STATE(2685)] = 13325,
  [SMALL_STATE(2686)] = 13396,
  [SMALL_STATE(2687)] = 13471,
  [SMALL_STATE(2688)] = 13542,
  [SMALL_STATE(2689)] = 13613,
  [SMALL_STATE(2690)] = 13683,
  [SMALL_STATE(2691)] = 13753,
  [SMALL_STATE(2692)] = 13827,
  [SMALL_STATE(2693)] = 13897,
  [SMALL_STATE(2694)] = 13969,
  [SMALL_STATE(2695)] = 14047,
  [SMALL_STATE(2696)] = 14121,
  [SMALL_STATE(2697)] = 14191,
  [SMALL_STATE(2698)] = 14275,
  [SMALL_STATE(2699)] = 14359,
  [SMALL_STATE(2700)] = 14429,
  [SMALL_STATE(2701)] = 14501,
  [SMALL_STATE(2702)] = 14573,
  [SMALL_STATE(2703)] = 14651,
  [SMALL_STATE(2704)] = 14721,
  [SMALL_STATE(2705)] = 14803,
  [SMALL_STATE(2706)] = 14873,
  [SMALL_STATE(2707)] = 14943,
  [SMALL_STATE(2708)] = 15013,
  [SMALL_STATE(2709)] = 15083,
  [SMALL_STATE(2710)] = 15161,
  [SMALL_STATE(2711)] = 15231,
  [SMALL_STATE(2712)] = 15307,
  [SMALL_STATE(2713)] = 15377,
  [SMALL_STATE(2714)] = 15447,
  [SMALL_STATE(2715)] = 15521,
  [SMALL_STATE(2716)] = 15591,
  [SMALL_STATE(2717)] = 15665,
  [SMALL_STATE(2718)] = 15737,
  [SMALL_STATE(2719)] = 15807,
  [SMALL_STATE(2720)] = 15877,
  [SMALL_STATE(2721)] = 15947,
  [SMALL_STATE(2722)] = 16023,
  [SMALL_STATE(2723)] = 16093,
  [SMALL_STATE(2724)] = 16177,
  [SMALL_STATE(2725)] = 16261,
  [SMALL_STATE(2726)] = 16337,
  [SMALL_STATE(2727)] = 16407,
  [SMALL_STATE(2728)] = 16491,
  [SMALL_STATE(2729)] = 16561,
  [SMALL_STATE(2730)] = 16631,
  [SMALL_STATE(2731)] = 16701,
  [SMALL_STATE(2732)] = 16779,
  [SMALL_STATE(2733)] = 16849,
  [SMALL_STATE(2734)] = 16919,
  [SMALL_STATE(2735)] = 16989,
  [SMALL_STATE(2736)] = 17059,
  [SMALL_STATE(2737)] = 17133,
  [SMALL_STATE(2738)] = 17207,
  [SMALL_STATE(2739)] = 17281,
  [SMALL_STATE(2740)] = 17355,
  [SMALL_STATE(2741)] = 17425,
  [SMALL_STATE(2742)] = 17495,
  [SMALL_STATE(2743)] = 17569,
  [SMALL_STATE(2744)] = 17639,
  [SMALL_STATE(2745)] = 17725,
  [SMALL_STATE(2746)] = 17795,
  [SMALL_STATE(2747)] = 17865,
  [SMALL_STATE(2748)] = 17939,
  [SMALL_STATE(2749)] = 18021,
  [SMALL_STATE(2750)] = 18091,
  [SMALL_STATE(2751)] = 18165,
  [SMALL_STATE(2752)] = 18241,
  [SMALL_STATE(2753)] = 18315,
  [SMALL_STATE(2754)] = 18385,
  [SMALL_STATE(2755)] = 18454,
  [SMALL_STATE(2756)] = 18523,
  [SMALL_STATE(2757)] = 18592,
  [SMALL_STATE(2758)] = 18661,
  [SMALL_STATE(2759)] = 18730,
  [SMALL_STATE(2760)] = 18799,
  [SMALL_STATE(2761)] = 18876,
  [SMALL_STATE(2762)] = 18945,
  [SMALL_STATE(2763)] = 19014,
  [SMALL_STATE(2764)] = 19083,
  [SMALL_STATE(2765)] = 19152,
  [SMALL_STATE(2766)] = 19221,
  [SMALL_STATE(2767)] = 19290,
  [SMALL_STATE(2768)] = 19359,
  [SMALL_STATE(2769)] = 19428,
  [SMALL_STATE(2770)] = 19497,
  [SMALL_STATE(2771)] = 19566,
  [SMALL_STATE(2772)] = 19635,
  [SMALL_STATE(2773)] = 19704,
  [SMALL_STATE(2774)] = 19773,
  [SMALL_STATE(2775)] = 19842,
  [SMALL_STATE(2776)] = 19911,
  [SMALL_STATE(2777)] = 19986,
  [SMALL_STATE(2778)] = 20055,
  [SMALL_STATE(2779)] = 20124,
  [SMALL_STATE(2780)] = 20193,
  [SMALL_STATE(2781)] = 20262,
  [SMALL_STATE(2782)] = 20331,
  [SMALL_STATE(2783)] = 20400,
  [SMALL_STATE(2784)] = 20469,
  [SMALL_STATE(2785)] = 20538,
  [SMALL_STATE(2786)] = 20607,
  [SMALL_STATE(2787)] = 20688,
  [SMALL_STATE(2788)] = 20761,
  [SMALL_STATE(2789)] = 20830,
  [SMALL_STATE(2790)] = 20899,
  [SMALL_STATE(2791)] = 20968,
  [SMALL_STATE(2792)] = 21037,
  [SMALL_STATE(2793)] = 21116,
  [SMALL_STATE(2794)] = 21185,
  [SMALL_STATE(2795)] = 21254,
  [SMALL_STATE(2796)] = 21323,
  [SMALL_STATE(2797)] = 21392,
  [SMALL_STATE(2798)] = 21461,
  [SMALL_STATE(2799)] = 21530,
  [SMALL_STATE(2800)] = 21607,
  [SMALL_STATE(2801)] = 21676,
  [SMALL_STATE(2802)] = 21745,
  [SMALL_STATE(2803)] = 21814,
  [SMALL_STATE(2804)] = 21883,
  [SMALL_STATE(2805)] = 21964,
  [SMALL_STATE(2806)] = 22041,
  [SMALL_STATE(2807)] = 22162,
  [SMALL_STATE(2808)] = 22231,
  [SMALL_STATE(2809)] = 22300,
  [SMALL_STATE(2810)] = 22369,
  [SMALL_STATE(2811)] = 22438,
  [SMALL_STATE(2812)] = 22515,
  [SMALL_STATE(2813)] = 22584,
  [SMALL_STATE(2814)] = 22653,
  [SMALL_STATE(2815)] = 22722,
  [SMALL_STATE(2816)] = 22791,
  [SMALL_STATE(2817)] = 22860,
  [SMALL_STATE(2818)] = 22929,
  [SMALL_STATE(2819)] = 22998,
  [SMALL_STATE(2820)] = 23067,
  [SMALL_STATE(2821)] = 23136,
  [SMALL_STATE(2822)] = 23257,
  [SMALL_STATE(2823)] = 23326,
  [SMALL_STATE(2824)] = 23395,
  [SMALL_STATE(2825)] = 23464,
  [SMALL_STATE(2826)] = 23533,
  [SMALL_STATE(2827)] = 23602,
  [SMALL_STATE(2828)] = 23671,
  [SMALL_STATE(2829)] = 23748,
  [SMALL_STATE(2830)] = 23819,
  [SMALL_STATE(2831)] = 23888,
  [SMALL_STATE(2832)] = 23957,
  [SMALL_STATE(2833)] = 24026,
  [SMALL_STATE(2834)] = 24103,
  [SMALL_STATE(2835)] = 24176,
  [SMALL_STATE(2836)] = 24257,
  [SMALL_STATE(2837)] = 24328,
  [SMALL_STATE(2838)] = 24397,
  [SMALL_STATE(2839)] = 24482,
  [SMALL_STATE(2840)] = 24551,
  [SMALL_STATE(2841)] = 24620,
  [SMALL_STATE(2842)] = 24689,
  [SMALL_STATE(2843)] = 24758,
  [SMALL_STATE(2844)] = 24827,
  [SMALL_STATE(2845)] = 24900,
  [SMALL_STATE(2846)] = 24969,
  [SMALL_STATE(2847)] = 25038,
  [SMALL_STATE(2848)] = 25107,
  [SMALL_STATE(2849)] = 25180,
  [SMALL_STATE(2850)] = 25261,
  [SMALL_STATE(2851)] = 25330,
  [SMALL_STATE(2852)] = 25399,
  [SMALL_STATE(2853)] = 25468,
  [SMALL_STATE(2854)] = 25537,
  [SMALL_STATE(2855)] = 25606,
  [SMALL_STATE(2856)] = 25675,
  [SMALL_STATE(2857)] = 25744,
  [SMALL_STATE(2858)] = 25813,
  [SMALL_STATE(2859)] = 25884,
  [SMALL_STATE(2860)] = 25953,
  [SMALL_STATE(2861)] = 26022,
  [SMALL_STATE(2862)] = 26091,
  [SMALL_STATE(2863)] = 26160,
  [SMALL_STATE(2864)] = 26232,
  [SMALL_STATE(2865)] = 26352,
  [SMALL_STATE(2866)] = 26424,
  [SMALL_STATE(2867)] = 26508,
  [SMALL_STATE(2868)] = 26586,
  [SMALL_STATE(2869)] = 26658,
  [SMALL_STATE(2870)] = 26742,
  [SMALL_STATE(2871)] = 26814,
  [SMALL_STATE(2872)] = 26886,
  [SMALL_STATE(2873)] = 26958,
  [SMALL_STATE(2874)] = 27034,
  [SMALL_STATE(2875)] = 27118,
  [SMALL_STATE(2876)] = 27190,
  [SMALL_STATE(2877)] = 27258,
  [SMALL_STATE(2878)] = 27326,
  [SMALL_STATE(2879)] = 27398,
  [SMALL_STATE(2880)] = 27470,
  [SMALL_STATE(2881)] = 27542,
  [SMALL_STATE(2882)] = 27614,
  [SMALL_STATE(2883)] = 27682,
  [SMALL_STATE(2884)] = 27754,
  [SMALL_STATE(2885)] = 27822,
  [SMALL_STATE(2886)] = 27894,
  [SMALL_STATE(2887)] = 27966,
  [SMALL_STATE(2888)] = 28042,
  [SMALL_STATE(2889)] = 28110,
  [SMALL_STATE(2890)] = 28182,
  [SMALL_STATE(2891)] = 28256,
  [SMALL_STATE(2892)] = 28328,
  [SMALL_STATE(2893)] = 28400,
  [SMALL_STATE(2894)] = 28472,
  [SMALL_STATE(2895)] = 28544,
  [SMALL_STATE(2896)] = 28628,
  [SMALL_STATE(2897)] = 28700,
  [SMALL_STATE(2898)] = 28772,
  [SMALL_STATE(2899)] = 28848,
  [SMALL_STATE(2900)] = 28916,
  [SMALL_STATE(2901)] = 29000,
  [SMALL_STATE(2902)] = 29068,
  [SMALL_STATE(2903)] = 29136,
  [SMALL_STATE(2904)] = 29208,
  [SMALL_STATE(2905)] = 29280,
  [SMALL_STATE(2906)] = 29352,
  [SMALL_STATE(2907)] = 29426,
  [SMALL_STATE(2908)] = 29498,
  [SMALL_STATE(2909)] = 29570,
  [SMALL_STATE(2910)] = 29637,
  [SMALL_STATE(2911)] = 29704,
  [SMALL_STATE(2912)] = 29783,
  [SMALL_STATE(2913)] = 29858,
  [SMALL_STATE(2914)] = 29937,
  [SMALL_STATE(2915)] = 30006,
  [SMALL_STATE(2916)] = 30077,
  [SMALL_STATE(2917)] = 30144,
  [SMALL_STATE(2918)] = 30211,
  [SMALL_STATE(2919)] = 30284,
  [SMALL_STATE(2920)] = 30355,
  [SMALL_STATE(2921)] = 30428,
  [SMALL_STATE(2922)] = 30499,
  [SMALL_STATE(2923)] = 30566,
  [SMALL_STATE(2924)] = 30637,
  [SMALL_STATE(2925)] = 30712,
  [SMALL_STATE(2926)] = 30783,
  [SMALL_STATE(2927)] = 30854,
  [SMALL_STATE(2928)] = 30929,
  [SMALL_STATE(2929)] = 31000,
  [SMALL_STATE(2930)] = 31069,
  [SMALL_STATE(2931)] = 31140,
  [SMALL_STATE(2932)] = 31215,
  [SMALL_STATE(2933)] = 31298,
  [SMALL_STATE(2934)] = 31369,
  [SMALL_STATE(2935)] = 31440,
  [SMALL_STATE(2936)] = 31507,
  [SMALL_STATE(2937)] = 31580,
  [SMALL_STATE(2938)] = 31649,
  [SMALL_STATE(2939)] = 31719,
  [SMALL_STATE(2940)] = 31789,
  [SMALL_STATE(2941)] = 31859,
  [SMALL_STATE(2942)] = 31929,
  [SMALL_STATE(2943)] = 32011,
  [SMALL_STATE(2944)] = 32083,
  [SMALL_STATE(2945)] = 32149,
  [SMALL_STATE(2946)] = 32219,
  [SMALL_STATE(2947)] = 32297,
  [SMALL_STATE(2948)] = 32379,
  [SMALL_STATE(2949)] = 32445,
  [SMALL_STATE(2950)] = 32515,
  [SMALL_STATE(2951)] = 32593,
  [SMALL_STATE(2952)] = 32659,
  [SMALL_STATE(2953)] = 32741,
  [SMALL_STATE(2954)] = 32811,
  [SMALL_STATE(2955)] = 32879,
  [SMALL_STATE(2956)] = 32949,
  [SMALL_STATE(2957)] = 33017,
  [SMALL_STATE(2958)] = 33099,
  [SMALL_STATE(2959)] = 33169,
  [SMALL_STATE(2960)] = 33239,
  [SMALL_STATE(2961)] = 33307,
  [SMALL_STATE(2962)] = 33379,
  [SMALL_STATE(2963)] = 33449,
  [SMALL_STATE(2964)] = 33519,
  [SMALL_STATE(2965)] = 33589,
  [SMALL_STATE(2966)] = 33665,
  [SMALL_STATE(2967)] = 33731,
  [SMALL_STATE(2968)] = 33801,
  [SMALL_STATE(2969)] = 33870,
  [SMALL_STATE(2970)] = 33935,
  [SMALL_STATE(2971)] = 34002,
  [SMALL_STATE(2972)] = 34067,
  [SMALL_STATE(2973)] = 34132,
  [SMALL_STATE(2974)] = 34213,
  [SMALL_STATE(2975)] = 34322,
  [SMALL_STATE(2976)] = 34387,
  [SMALL_STATE(2977)] = 34452,
  [SMALL_STATE(2978)] = 34517,
  [SMALL_STATE(2979)] = 34598,
  [SMALL_STATE(2980)] = 34663,
  [SMALL_STATE(2981)] = 34772,
  [SMALL_STATE(2982)] = 34853,
  [SMALL_STATE(2983)] = 34918,
  [SMALL_STATE(2984)] = 34983,
  [SMALL_STATE(2985)] = 35048,
  [SMALL_STATE(2986)] = 35161,
  [SMALL_STATE(2987)] = 35242,
  [SMALL_STATE(2988)] = 35317,
  [SMALL_STATE(2989)] = 35404,
  [SMALL_STATE(2990)] = 35469,
  [SMALL_STATE(2991)] = 35560,
  [SMALL_STATE(2992)] = 35655,
  [SMALL_STATE(2993)] = 35752,
  [SMALL_STATE(2994)] = 35851,
  [SMALL_STATE(2995)] = 35952,
  [SMALL_STATE(2996)] = 36027,
  [SMALL_STATE(2997)] = 36092,
  [SMALL_STATE(2998)] = 36157,
  [SMALL_STATE(2999)] = 36222,
  [SMALL_STATE(3000)] = 36327,
  [SMALL_STATE(3001)] = 36440,
  [SMALL_STATE(3002)] = 36553,
  [SMALL_STATE(3003)] = 36618,
  [SMALL_STATE(3004)] = 36683,
  [SMALL_STATE(3005)] = 36756,
  [SMALL_STATE(3006)] = 36821,
  [SMALL_STATE(3007)] = 36930,
  [SMALL_STATE(3008)] = 37003,
  [SMALL_STATE(3009)] = 37112,
  [SMALL_STATE(3010)] = 37177,
  [SMALL_STATE(3011)] = 37242,
  [SMALL_STATE(3012)] = 37307,
  [SMALL_STATE(3013)] = 37376,
  [SMALL_STATE(3014)] = 37441,
  [SMALL_STATE(3015)] = 37508,
  [SMALL_STATE(3016)] = 37575,
  [SMALL_STATE(3017)] = 37642,
  [SMALL_STATE(3018)] = 37711,
  [SMALL_STATE(3019)] = 37776,
  [SMALL_STATE(3020)] = 37847,
  [SMALL_STATE(3021)] = 37912,
  [SMALL_STATE(3022)] = 37993,
  [SMALL_STATE(3023)] = 38076,
  [SMALL_STATE(3024)] = 38161,
  [SMALL_STATE(3025)] = 38230,
  [SMALL_STATE(3026)] = 38299,
  [SMALL_STATE(3027)] = 38372,
  [SMALL_STATE(3028)] = 38447,
  [SMALL_STATE(3029)] = 38520,
  [SMALL_STATE(3030)] = 38591,
  [SMALL_STATE(3031)] = 38660,
  [SMALL_STATE(3032)] = 38731,
  [SMALL_STATE(3033)] = 38800,
  [SMALL_STATE(3034)] = 38875,
  [SMALL_STATE(3035)] = 38939,
  [SMALL_STATE(3036)] = 39005,
  [SMALL_STATE(3037)] = 39081,
  [SMALL_STATE(3038)] = 39153,
  [SMALL_STATE(3039)] = 39217,
  [SMALL_STATE(3040)] = 39281,
  [SMALL_STATE(3041)] = 39345,
  [SMALL_STATE(3042)] = 39409,
  [SMALL_STATE(3043)] = 39477,
  [SMALL_STATE(3044)] = 39545,
  [SMALL_STATE(3045)] = 39613,
  [SMALL_STATE(3046)] = 39681,
  [SMALL_STATE(3047)] = 39749,
  [SMALL_STATE(3048)] = 39821,
  [SMALL_STATE(3049)] = 39889,
  [SMALL_STATE(3050)] = 39957,
  [SMALL_STATE(3051)] = 40029,
  [SMALL_STATE(3052)] = 40093,
  [SMALL_STATE(3053)] = 40157,
  [SMALL_STATE(3054)] = 40221,
  [SMALL_STATE(3055)] = 40285,
  [SMALL_STATE(3056)] = 40349,
  [SMALL_STATE(3057)] = 40413,
  [SMALL_STATE(3058)] = 40481,
  [SMALL_STATE(3059)] = 40545,
  [SMALL_STATE(3060)] = 40609,
  [SMALL_STATE(3061)] = 40677,
  [SMALL_STATE(3062)] = 40743,
  [SMALL_STATE(3063)] = 40811,
  [SMALL_STATE(3064)] = 40875,
  [SMALL_STATE(3065)] = 40943,
  [SMALL_STATE(3066)] = 41009,
  [SMALL_STATE(3067)] = 41075,
  [SMALL_STATE(3068)] = 41139,
  [SMALL_STATE(3069)] = 41203,
  [SMALL_STATE(3070)] = 41267,
  [SMALL_STATE(3071)] = 41331,
  [SMALL_STATE(3072)] = 41395,
  [SMALL_STATE(3073)] = 41459,
  [SMALL_STATE(3074)] = 41527,
  [SMALL_STATE(3075)] = 41591,
  [SMALL_STATE(3076)] = 41655,
  [SMALL_STATE(3077)] = 41723,
  [SMALL_STATE(3078)] = 41791,
  [SMALL_STATE(3079)] = 41855,
  [SMALL_STATE(3080)] = 41919,
  [SMALL_STATE(3081)] = 41987,
  [SMALL_STATE(3082)] = 42055,
  [SMALL_STATE(3083)] = 42119,
  [SMALL_STATE(3084)] = 42183,
  [SMALL_STATE(3085)] = 42247,
  [SMALL_STATE(3086)] = 42311,
  [SMALL_STATE(3087)] = 42375,
  [SMALL_STATE(3088)] = 42439,
  [SMALL_STATE(3089)] = 42503,
  [SMALL_STATE(3090)] = 42567,
  [SMALL_STATE(3091)] = 42631,
  [SMALL_STATE(3092)] = 42701,
  [SMALL_STATE(3093)] = 42767,
  [SMALL_STATE(3094)] = 42833,
  [SMALL_STATE(3095)] = 42897,
  [SMALL_STATE(3096)] = 42961,
  [SMALL_STATE(3097)] = 43037,
  [SMALL_STATE(3098)] = 43101,
  [SMALL_STATE(3099)] = 43171,
  [SMALL_STATE(3100)] = 43239,
  [SMALL_STATE(3101)] = 43303,
  [SMALL_STATE(3102)] = 43371,
  [SMALL_STATE(3103)] = 43439,
  [SMALL_STATE(3104)] = 43503,
  [SMALL_STATE(3105)] = 43571,
  [SMALL_STATE(3106)] = 43639,
  [SMALL_STATE(3107)] = 43703,
  [SMALL_STATE(3108)] = 43767,
  [SMALL_STATE(3109)] = 43831,
  [SMALL_STATE(3110)] = 43895,
  [SMALL_STATE(3111)] = 43959,
  [SMALL_STATE(3112)] = 44025,
  [SMALL_STATE(3113)] = 44089,
  [SMALL_STATE(3114)] = 44153,
  [SMALL_STATE(3115)] = 44217,
  [SMALL_STATE(3116)] = 44281,
  [SMALL_STATE(3117)] = 44345,
  [SMALL_STATE(3118)] = 44413,
  [SMALL_STATE(3119)] = 44477,
  [SMALL_STATE(3120)] = 44545,
  [SMALL_STATE(3121)] = 44613,
  [SMALL_STATE(3122)] = 44681,
  [SMALL_STATE(3123)] = 44745,
  [SMALL_STATE(3124)] = 44815,
  [SMALL_STATE(3125)] = 44883,
  [SMALL_STATE(3126)] = 44947,
  [SMALL_STATE(3127)] = 45011,
  [SMALL_STATE(3128)] = 45075,
  [SMALL_STATE(3129)] = 45141,
  [SMALL_STATE(3130)] = 45209,
  [SMALL_STATE(3131)] = 45275,
  [SMALL_STATE(3132)] = 45339,
  [SMALL_STATE(3133)] = 45403,
  [SMALL_STATE(3134)] = 45467,
  [SMALL_STATE(3135)] = 45531,
  [SMALL_STATE(3136)] = 45595,
  [SMALL_STATE(3137)] = 45659,
  [SMALL_STATE(3138)] = 45723,
  [SMALL_STATE(3139)] = 45787,
  [SMALL_STATE(3140)] = 45851,
  [SMALL_STATE(3141)] = 45919,
  [SMALL_STATE(3142)] = 45983,
  [SMALL_STATE(3143)] = 46047,
  [SMALL_STATE(3144)] = 46111,
  [SMALL_STATE(3145)] = 46175,
  [SMALL_STATE(3146)] = 46239,
  [SMALL_STATE(3147)] = 46303,
  [SMALL_STATE(3148)] = 46367,
  [SMALL_STATE(3149)] = 46431,
  [SMALL_STATE(3150)] = 46499,
  [SMALL_STATE(3151)] = 46567,
  [SMALL_STATE(3152)] = 46631,
  [SMALL_STATE(3153)] = 46695,
  [SMALL_STATE(3154)] = 46759,
  [SMALL_STATE(3155)] = 46823,
  [SMALL_STATE(3156)] = 46887,
  [SMALL_STATE(3157)] = 46951,
  [SMALL_STATE(3158)] = 47019,
  [SMALL_STATE(3159)] = 47083,
  [SMALL_STATE(3160)] = 47147,
  [SMALL_STATE(3161)] = 47211,
  [SMALL_STATE(3162)] = 47279,
  [SMALL_STATE(3163)] = 47349,
  [SMALL_STATE(3164)] = 47415,
  [SMALL_STATE(3165)] = 47481,
  [SMALL_STATE(3166)] = 47545,
  [SMALL_STATE(3167)] = 47624,
  [SMALL_STATE(3168)] = 47727,
  [SMALL_STATE(3169)] = 47794,
  [SMALL_STATE(3170)] = 47873,
  [SMALL_STATE(3171)] = 47938,
  [SMALL_STATE(3172)] = 48005,
  [SMALL_STATE(3173)] = 48080,
  [SMALL_STATE(3174)] = 48143,
  [SMALL_STATE(3175)] = 48220,
  [SMALL_STATE(3176)] = 48297,
  [SMALL_STATE(3177)] = 48362,
  [SMALL_STATE(3178)] = 48471,
  [SMALL_STATE(3179)] = 48632,
  [SMALL_STATE(3180)] = 48695,
  [SMALL_STATE(3181)] = 48768,
  [SMALL_STATE(3182)] = 48877,
  [SMALL_STATE(3183)] = 48954,
  [SMALL_STATE(3184)] = 49017,
  [SMALL_STATE(3185)] = 49124,
  [SMALL_STATE(3186)] = 49199,
  [SMALL_STATE(3187)] = 49266,
  [SMALL_STATE(3188)] = 49335,
  [SMALL_STATE(3189)] = 49406,
  [SMALL_STATE(3190)] = 49473,
  [SMALL_STATE(3191)] = 49556,
  [SMALL_STATE(3192)] = 49619,
  [SMALL_STATE(3193)] = 49684,
  [SMALL_STATE(3194)] = 49751,
  [SMALL_STATE(3195)] = 49818,
  [SMALL_STATE(3196)] = 49899,
  [SMALL_STATE(3197)] = 49964,
  [SMALL_STATE(3198)] = 50027,
  [SMALL_STATE(3199)] = 50094,
  [SMALL_STATE(3200)] = 50173,
  [SMALL_STATE(3201)] = 50246,
  [SMALL_STATE(3202)] = 50355,
  [SMALL_STATE(3203)] = 50468,
  [SMALL_STATE(3204)] = 50629,
  [SMALL_STATE(3205)] = 50714,
  [SMALL_STATE(3206)] = 50787,
  [SMALL_STATE(3207)] = 50850,
  [SMALL_STATE(3208)] = 50917,
  [SMALL_STATE(3209)] = 50986,
  [SMALL_STATE(3210)] = 51053,
  [SMALL_STATE(3211)] = 51116,
  [SMALL_STATE(3212)] = 51229,
  [SMALL_STATE(3213)] = 51308,
  [SMALL_STATE(3214)] = 51387,
  [SMALL_STATE(3215)] = 51492,
  [SMALL_STATE(3216)] = 51571,
  [SMALL_STATE(3217)] = 51672,
  [SMALL_STATE(3218)] = 51833,
  [SMALL_STATE(3219)] = 51930,
  [SMALL_STATE(3220)] = 52025,
  [SMALL_STATE(3221)] = 52092,
  [SMALL_STATE(3222)] = 52201,
  [SMALL_STATE(3223)] = 52308,
  [SMALL_STATE(3224)] = 52371,
  [SMALL_STATE(3225)] = 52434,
  [SMALL_STATE(3226)] = 52525,
  [SMALL_STATE(3227)] = 52588,
  [SMALL_STATE(3228)] = 52677,
  [SMALL_STATE(3229)] = 52762,
  [SMALL_STATE(3230)] = 52843,
  [SMALL_STATE(3231)] = 52954,
  [SMALL_STATE(3232)] = 53037,
  [SMALL_STATE(3233)] = 53114,
  [SMALL_STATE(3234)] = 53181,
  [SMALL_STATE(3235)] = 53288,
  [SMALL_STATE(3236)] = 53399,
  [SMALL_STATE(3237)] = 53462,
  [SMALL_STATE(3238)] = 53535,
  [SMALL_STATE(3239)] = 53642,
  [SMALL_STATE(3240)] = 53727,
  [SMALL_STATE(3241)] = 53820,
  [SMALL_STATE(3242)] = 53883,
  [SMALL_STATE(3243)] = 53968,
  [SMALL_STATE(3244)] = 54081,
  [SMALL_STATE(3245)] = 54152,
  [SMALL_STATE(3246)] = 54251,
  [SMALL_STATE(3247)] = 54348,
  [SMALL_STATE(3248)] = 54411,
  [SMALL_STATE(3249)] = 54474,
  [SMALL_STATE(3250)] = 54541,
  [SMALL_STATE(3251)] = 54630,
  [SMALL_STATE(3252)] = 54693,
  [SMALL_STATE(3253)] = 54760,
  [SMALL_STATE(3254)] = 54921,
  [SMALL_STATE(3255)] = 54998,
  [SMALL_STATE(3256)] = 55061,
  [SMALL_STATE(3257)] = 55128,
  [SMALL_STATE(3258)] = 55223,
  [SMALL_STATE(3259)] = 55330,
  [SMALL_STATE(3260)] = 55441,
  [SMALL_STATE(3261)] = 55503,
  [SMALL_STATE(3262)] = 55575,
  [SMALL_STATE(3263)] = 55637,
  [SMALL_STATE(3264)] = 55703,
  [SMALL_STATE(3265)] = 55765,
  [SMALL_STATE(3266)] = 55833,
  [SMALL_STATE(3267)] = 55895,
  [SMALL_STATE(3268)] = 55957,
  [SMALL_STATE(3269)] = 56019,
  [SMALL_STATE(3270)] = 56085,
  [SMALL_STATE(3271)] = 56153,
  [SMALL_STATE(3272)] = 56217,
  [SMALL_STATE(3273)] = 56279,
  [SMALL_STATE(3274)] = 56341,
  [SMALL_STATE(3275)] = 56403,
  [SMALL_STATE(3276)] = 56465,
  [SMALL_STATE(3277)] = 56527,
  [SMALL_STATE(3278)] = 56589,
  [SMALL_STATE(3279)] = 56651,
  [SMALL_STATE(3280)] = 56713,
  [SMALL_STATE(3281)] = 56775,
  [SMALL_STATE(3282)] = 56837,
  [SMALL_STATE(3283)] = 56899,
  [SMALL_STATE(3284)] = 56961,
  [SMALL_STATE(3285)] = 57023,
  [SMALL_STATE(3286)] = 57085,
  [SMALL_STATE(3287)] = 57147,
  [SMALL_STATE(3288)] = 57209,
  [SMALL_STATE(3289)] = 57271,
  [SMALL_STATE(3290)] = 57333,
  [SMALL_STATE(3291)] = 57395,
  [SMALL_STATE(3292)] = 57457,
  [SMALL_STATE(3293)] = 57519,
  [SMALL_STATE(3294)] = 57583,
  [SMALL_STATE(3295)] = 57645,
  [SMALL_STATE(3296)] = 57707,
  [SMALL_STATE(3297)] = 57769,
  [SMALL_STATE(3298)] = 57831,
  [SMALL_STATE(3299)] = 57897,
  [SMALL_STATE(3300)] = 57959,
  [SMALL_STATE(3301)] = 58031,
  [SMALL_STATE(3302)] = 58093,
  [SMALL_STATE(3303)] = 58155,
  [SMALL_STATE(3304)] = 58217,
  [SMALL_STATE(3305)] = 58285,
  [SMALL_STATE(3306)] = 58347,
  [SMALL_STATE(3307)] = 58409,
  [SMALL_STATE(3308)] = 58471,
  [SMALL_STATE(3309)] = 58533,
  [SMALL_STATE(3310)] = 58595,
  [SMALL_STATE(3311)] = 58657,
  [SMALL_STATE(3312)] = 58727,
  [SMALL_STATE(3313)] = 58793,
  [SMALL_STATE(3314)] = 58861,
  [SMALL_STATE(3315)] = 58927,
  [SMALL_STATE(3316)] = 58989,
  [SMALL_STATE(3317)] = 59051,
  [SMALL_STATE(3318)] = 59113,
  [SMALL_STATE(3319)] = 59175,
  [SMALL_STATE(3320)] = 59237,
  [SMALL_STATE(3321)] = 59299,
  [SMALL_STATE(3322)] = 59361,
  [SMALL_STATE(3323)] = 59433,
  [SMALL_STATE(3324)] = 59495,
  [SMALL_STATE(3325)] = 59557,
  [SMALL_STATE(3326)] = 59619,
  [SMALL_STATE(3327)] = 59681,
  [SMALL_STATE(3328)] = 59743,
  [SMALL_STATE(3329)] = 59805,
  [SMALL_STATE(3330)] = 59867,
  [SMALL_STATE(3331)] = 59929,
  [SMALL_STATE(3332)] = 59991,
  [SMALL_STATE(3333)] = 60053,
  [SMALL_STATE(3334)] = 60115,
  [SMALL_STATE(3335)] = 60177,
  [SMALL_STATE(3336)] = 60245,
  [SMALL_STATE(3337)] = 60307,
  [SMALL_STATE(3338)] = 60369,
  [SMALL_STATE(3339)] = 60431,
  [SMALL_STATE(3340)] = 60493,
  [SMALL_STATE(3341)] = 60555,
  [SMALL_STATE(3342)] = 60617,
  [SMALL_STATE(3343)] = 60679,
  [SMALL_STATE(3344)] = 60741,
  [SMALL_STATE(3345)] = 60805,
  [SMALL_STATE(3346)] = 60871,
  [SMALL_STATE(3347)] = 60933,
  [SMALL_STATE(3348)] = 60995,
  [SMALL_STATE(3349)] = 61057,
  [SMALL_STATE(3350)] = 61123,
  [SMALL_STATE(3351)] = 61185,
  [SMALL_STATE(3352)] = 61247,
  [SMALL_STATE(3353)] = 61309,
  [SMALL_STATE(3354)] = 61371,
  [SMALL_STATE(3355)] = 61433,
  [SMALL_STATE(3356)] = 61499,
  [SMALL_STATE(3357)] = 61561,
  [SMALL_STATE(3358)] = 61623,
  [SMALL_STATE(3359)] = 61695,
  [SMALL_STATE(3360)] = 61757,
  [SMALL_STATE(3361)] = 61819,
  [SMALL_STATE(3362)] = 61881,
  [SMALL_STATE(3363)] = 61951,
  [SMALL_STATE(3364)] = 62017,
  [SMALL_STATE(3365)] = 62079,
  [SMALL_STATE(3366)] = 62145,
  [SMALL_STATE(3367)] = 62207,
  [SMALL_STATE(3368)] = 62269,
  [SMALL_STATE(3369)] = 62331,
  [SMALL_STATE(3370)] = 62393,
  [SMALL_STATE(3371)] = 62455,
  [SMALL_STATE(3372)] = 62517,
  [SMALL_STATE(3373)] = 62579,
  [SMALL_STATE(3374)] = 62641,
  [SMALL_STATE(3375)] = 62703,
  [SMALL_STATE(3376)] = 62769,
  [SMALL_STATE(3377)] = 62839,
  [SMALL_STATE(3378)] = 62901,
  [SMALL_STATE(3379)] = 62965,
  [SMALL_STATE(3380)] = 63027,
  [SMALL_STATE(3381)] = 63097,
  [SMALL_STATE(3382)] = 63159,
  [SMALL_STATE(3383)] = 63221,
  [SMALL_STATE(3384)] = 63283,
  [SMALL_STATE(3385)] = 63345,
  [SMALL_STATE(3386)] = 63414,
  [SMALL_STATE(3387)] = 63475,
  [SMALL_STATE(3388)] = 63536,
  [SMALL_STATE(3389)] = 63601,
  [SMALL_STATE(3390)] = 63662,
  [SMALL_STATE(3391)] = 63723,
  [SMALL_STATE(3392)] = 63788,
  [SMALL_STATE(3393)] = 63871,
  [SMALL_STATE(3394)] = 63932,
  [SMALL_STATE(3395)] = 63997,
  [SMALL_STATE(3396)] = 64062,
  [SMALL_STATE(3397)] = 64127,
  [SMALL_STATE(3398)] = 64188,
  [SMALL_STATE(3399)] = 64257,
  [SMALL_STATE(3400)] = 64318,
  [SMALL_STATE(3401)] = 64393,
  [SMALL_STATE(3402)] = 64454,
  [SMALL_STATE(3403)] = 64515,
  [SMALL_STATE(3404)] = 64576,
  [SMALL_STATE(3405)] = 64637,
  [SMALL_STATE(3406)] = 64716,
  [SMALL_STATE(3407)] = 64823,
  [SMALL_STATE(3408)] = 64896,
  [SMALL_STATE(3409)] = 64957,
  [SMALL_STATE(3410)] = 65018,
  [SMALL_STATE(3411)] = 65079,
  [SMALL_STATE(3412)] = 65140,
  [SMALL_STATE(3413)] = 65201,
  [SMALL_STATE(3414)] = 65262,
  [SMALL_STATE(3415)] = 65343,
  [SMALL_STATE(3416)] = 65404,
  [SMALL_STATE(3417)] = 65465,
  [SMALL_STATE(3418)] = 65526,
  [SMALL_STATE(3419)] = 65633,
  [SMALL_STATE(3420)] = 65694,
  [SMALL_STATE(3421)] = 65755,
  [SMALL_STATE(3422)] = 65816,
  [SMALL_STATE(3423)] = 65877,
  [SMALL_STATE(3424)] = 65938,
  [SMALL_STATE(3425)] = 65999,
  [SMALL_STATE(3426)] = 66060,
  [SMALL_STATE(3427)] = 66121,
  [SMALL_STATE(3428)] = 66182,
  [SMALL_STATE(3429)] = 66243,
  [SMALL_STATE(3430)] = 66354,
  [SMALL_STATE(3431)] = 66415,
  [SMALL_STATE(3432)] = 66476,
  [SMALL_STATE(3433)] = 66539,
  [SMALL_STATE(3434)] = 66600,
  [SMALL_STATE(3435)] = 66665,
  [SMALL_STATE(3436)] = 66726,
  [SMALL_STATE(3437)] = 66787,
  [SMALL_STATE(3438)] = 66848,
  [SMALL_STATE(3439)] = 66909,
  [SMALL_STATE(3440)] = 66970,
  [SMALL_STATE(3441)] = 67031,
  [SMALL_STATE(3442)] = 67092,
  [SMALL_STATE(3443)] = 67153,
  [SMALL_STATE(3444)] = 67236,
  [SMALL_STATE(3445)] = 67301,
  [SMALL_STATE(3446)] = 67362,
  [SMALL_STATE(3447)] = 67423,
  [SMALL_STATE(3448)] = 67510,
  [SMALL_STATE(3449)] = 67571,
  [SMALL_STATE(3450)] = 67638,
  [SMALL_STATE(3451)] = 67707,
  [SMALL_STATE(3452)] = 67796,
  [SMALL_STATE(3453)] = 67871,
  [SMALL_STATE(3454)] = 67932,
  [SMALL_STATE(3455)] = 67993,
  [SMALL_STATE(3456)] = 68086,
  [SMALL_STATE(3457)] = 68181,
  [SMALL_STATE(3458)] = 68242,
  [SMALL_STATE(3459)] = 68303,
  [SMALL_STATE(3460)] = 68378,
  [SMALL_STATE(3461)] = 68453,
  [SMALL_STATE(3462)] = 68552,
  [SMALL_STATE(3463)] = 68613,
  [SMALL_STATE(3464)] = 68674,
  [SMALL_STATE(3465)] = 68777,
  [SMALL_STATE(3466)] = 68838,
  [SMALL_STATE(3467)] = 68903,
  [SMALL_STATE(3468)] = 68976,
  [SMALL_STATE(3469)] = 69037,
  [SMALL_STATE(3470)] = 69098,
  [SMALL_STATE(3471)] = 69159,
  [SMALL_STATE(3472)] = 69252,
  [SMALL_STATE(3473)] = 69319,
  [SMALL_STATE(3474)] = 69384,
  [SMALL_STATE(3475)] = 69445,
  [SMALL_STATE(3476)] = 69540,
  [SMALL_STATE(3477)] = 69639,
  [SMALL_STATE(3478)] = 69742,
  [SMALL_STATE(3479)] = 69817,
  [SMALL_STATE(3480)] = 69882,
  [SMALL_STATE(3481)] = 69953,
  [SMALL_STATE(3482)] = 70018,
  [SMALL_STATE(3483)] = 70129,
  [SMALL_STATE(3484)] = 70206,
  [SMALL_STATE(3485)] = 70317,
  [SMALL_STATE(3486)] = 70378,
  [SMALL_STATE(3487)] = 70439,
  [SMALL_STATE(3488)] = 70508,
  [SMALL_STATE(3489)] = 70569,
  [SMALL_STATE(3490)] = 70634,
  [SMALL_STATE(3491)] = 70695,
  [SMALL_STATE(3492)] = 70756,
  [SMALL_STATE(3493)] = 70817,
  [SMALL_STATE(3494)] = 70878,
  [SMALL_STATE(3495)] = 70939,
  [SMALL_STATE(3496)] = 71006,
  [SMALL_STATE(3497)] = 71075,
  [SMALL_STATE(3498)] = 71136,
  [SMALL_STATE(3499)] = 71241,
  [SMALL_STATE(3500)] = 71302,
  [SMALL_STATE(3501)] = 71363,
  [SMALL_STATE(3502)] = 71424,
  [SMALL_STATE(3503)] = 71485,
  [SMALL_STATE(3504)] = 71546,
  [SMALL_STATE(3505)] = 71607,
  [SMALL_STATE(3506)] = 71668,
  [SMALL_STATE(3507)] = 71729,
  [SMALL_STATE(3508)] = 71806,
  [SMALL_STATE(3509)] = 71867,
  [SMALL_STATE(3510)] = 71928,
  [SMALL_STATE(3511)] = 71989,
  [SMALL_STATE(3512)] = 72052,
  [SMALL_STATE(3513)] = 72119,
  [SMALL_STATE(3514)] = 72226,
  [SMALL_STATE(3515)] = 72295,
  [SMALL_STATE(3516)] = 72356,
  [SMALL_STATE(3517)] = 72417,
  [SMALL_STATE(3518)] = 72478,
  [SMALL_STATE(3519)] = 72539,
  [SMALL_STATE(3520)] = 72616,
  [SMALL_STATE(3521)] = 72677,
  [SMALL_STATE(3522)] = 72788,
  [SMALL_STATE(3523)] = 72849,
  [SMALL_STATE(3524)] = 72910,
  [SMALL_STATE(3525)] = 72971,
  [SMALL_STATE(3526)] = 73060,
  [SMALL_STATE(3527)] = 73121,
  [SMALL_STATE(3528)] = 73186,
  [SMALL_STATE(3529)] = 73251,
  [SMALL_STATE(3530)] = 73312,
  [SMALL_STATE(3531)] = 73377,
  [SMALL_STATE(3532)] = 73442,
  [SMALL_STATE(3533)] = 73503,
  [SMALL_STATE(3534)] = 73608,
  [SMALL_STATE(3535)] = 73673,
  [SMALL_STATE(3536)] = 73734,
  [SMALL_STATE(3537)] = 73841,
  [SMALL_STATE(3538)] = 73902,
  [SMALL_STATE(3539)] = 73963,
  [SMALL_STATE(3540)] = 74024,
  [SMALL_STATE(3541)] = 74085,
  [SMALL_STATE(3542)] = 74148,
  [SMALL_STATE(3543)] = 74209,
  [SMALL_STATE(3544)] = 74270,
  [SMALL_STATE(3545)] = 74331,
  [SMALL_STATE(3546)] = 74438,
  [SMALL_STATE(3547)] = 74509,
  [SMALL_STATE(3548)] = 74570,
  [SMALL_STATE(3549)] = 74635,
  [SMALL_STATE(3550)] = 74696,
  [SMALL_STATE(3551)] = 74773,
  [SMALL_STATE(3552)] = 74852,
  [SMALL_STATE(3553)] = 74933,
  [SMALL_STATE(3554)] = 74998,
  [SMALL_STATE(3555)] = 75059,
  [SMALL_STATE(3556)] = 75122,
  [SMALL_STATE(3557)] = 75183,
  [SMALL_STATE(3558)] = 75244,
  [SMALL_STATE(3559)] = 75355,
  [SMALL_STATE(3560)] = 75432,
  [SMALL_STATE(3561)] = 75493,
  [SMALL_STATE(3562)] = 75600,
  [SMALL_STATE(3563)] = 75661,
  [SMALL_STATE(3564)] = 75722,
  [SMALL_STATE(3565)] = 75783,
  [SMALL_STATE(3566)] = 75890,
  [SMALL_STATE(3567)] = 76001,
  [SMALL_STATE(3568)] = 76078,
  [SMALL_STATE(3569)] = 76139,
  [SMALL_STATE(3570)] = 76200,
  [SMALL_STATE(3571)] = 76261,
  [SMALL_STATE(3572)] = 76328,
  [SMALL_STATE(3573)] = 76415,
  [SMALL_STATE(3574)] = 76476,
  [SMALL_STATE(3575)] = 76537,
  [SMALL_STATE(3576)] = 76598,
  [SMALL_STATE(3577)] = 76663,
  [SMALL_STATE(3578)] = 76724,
  [SMALL_STATE(3579)] = 76789,
  [SMALL_STATE(3580)] = 76850,
  [SMALL_STATE(3581)] = 76911,
  [SMALL_STATE(3582)] = 76972,
  [SMALL_STATE(3583)] = 77079,
  [SMALL_STATE(3584)] = 77140,
  [SMALL_STATE(3585)] = 77200,
  [SMALL_STATE(3586)] = 77264,
  [SMALL_STATE(3587)] = 77328,
  [SMALL_STATE(3588)] = 77390,
  [SMALL_STATE(3589)] = 77450,
  [SMALL_STATE(3590)] = 77564,
  [SMALL_STATE(3591)] = 77624,
  [SMALL_STATE(3592)] = 77684,
  [SMALL_STATE(3593)] = 77744,
  [SMALL_STATE(3594)] = 77804,
  [SMALL_STATE(3595)] = 77864,
  [SMALL_STATE(3596)] = 77924,
  [SMALL_STATE(3597)] = 77992,
  [SMALL_STATE(3598)] = 78052,
  [SMALL_STATE(3599)] = 78112,
  [SMALL_STATE(3600)] = 78172,
  [SMALL_STATE(3601)] = 78232,
  [SMALL_STATE(3602)] = 78292,
  [SMALL_STATE(3603)] = 78400,
  [SMALL_STATE(3604)] = 78464,
  [SMALL_STATE(3605)] = 78532,
  [SMALL_STATE(3606)] = 78592,
  [SMALL_STATE(3607)] = 78652,
  [SMALL_STATE(3608)] = 78756,
  [SMALL_STATE(3609)] = 78912,
  [SMALL_STATE(3610)] = 78976,
  [SMALL_STATE(3611)] = 79036,
  [SMALL_STATE(3612)] = 79106,
  [SMALL_STATE(3613)] = 79170,
  [SMALL_STATE(3614)] = 79230,
  [SMALL_STATE(3615)] = 79290,
  [SMALL_STATE(3616)] = 79352,
  [SMALL_STATE(3617)] = 79420,
  [SMALL_STATE(3618)] = 79576,
  [SMALL_STATE(3619)] = 79636,
  [SMALL_STATE(3620)] = 79704,
  [SMALL_STATE(3621)] = 79764,
  [SMALL_STATE(3622)] = 79824,
  [SMALL_STATE(3623)] = 79884,
  [SMALL_STATE(3624)] = 79944,
  [SMALL_STATE(3625)] = 80100,
  [SMALL_STATE(3626)] = 80160,
  [SMALL_STATE(3627)] = 80220,
  [SMALL_STATE(3628)] = 80286,
  [SMALL_STATE(3629)] = 80346,
  [SMALL_STATE(3630)] = 80406,
  [SMALL_STATE(3631)] = 80510,
  [SMALL_STATE(3632)] = 80570,
  [SMALL_STATE(3633)] = 80678,
  [SMALL_STATE(3634)] = 80738,
  [SMALL_STATE(3635)] = 80804,
  [SMALL_STATE(3636)] = 80872,
  [SMALL_STATE(3637)] = 80938,
  [SMALL_STATE(3638)] = 81042,
  [SMALL_STATE(3639)] = 81198,
  [SMALL_STATE(3640)] = 81258,
  [SMALL_STATE(3641)] = 81324,
  [SMALL_STATE(3642)] = 81480,
  [SMALL_STATE(3643)] = 81636,
  [SMALL_STATE(3644)] = 81696,
  [SMALL_STATE(3645)] = 81756,
  [SMALL_STATE(3646)] = 81816,
  [SMALL_STATE(3647)] = 81876,
  [SMALL_STATE(3648)] = 81936,
  [SMALL_STATE(3649)] = 81996,
  [SMALL_STATE(3650)] = 82056,
  [SMALL_STATE(3651)] = 82122,
  [SMALL_STATE(3652)] = 82278,
  [SMALL_STATE(3653)] = 82338,
  [SMALL_STATE(3654)] = 82398,
  [SMALL_STATE(3655)] = 82466,
  [SMALL_STATE(3656)] = 82526,
  [SMALL_STATE(3657)] = 82682,
  [SMALL_STATE(3658)] = 82756,
  [SMALL_STATE(3659)] = 82816,
  [SMALL_STATE(3660)] = 82876,
  [SMALL_STATE(3661)] = 83032,
  [SMALL_STATE(3662)] = 83112,
  [SMALL_STATE(3663)] = 83172,
  [SMALL_STATE(3664)] = 83250,
  [SMALL_STATE(3665)] = 83332,
  [SMALL_STATE(3666)] = 83392,
  [SMALL_STATE(3667)] = 83452,
  [SMALL_STATE(3668)] = 83512,
  [SMALL_STATE(3669)] = 83572,
  [SMALL_STATE(3670)] = 83632,
  [SMALL_STATE(3671)] = 83704,
  [SMALL_STATE(3672)] = 83764,
  [SMALL_STATE(3673)] = 83824,
  [SMALL_STATE(3674)] = 83884,
  [SMALL_STATE(3675)] = 83944,
  [SMALL_STATE(3676)] = 84004,
  [SMALL_STATE(3677)] = 84088,
  [SMALL_STATE(3678)] = 84148,
  [SMALL_STATE(3679)] = 84234,
  [SMALL_STATE(3680)] = 84294,
  [SMALL_STATE(3681)] = 84384,
  [SMALL_STATE(3682)] = 84476,
  [SMALL_STATE(3683)] = 84572,
  [SMALL_STATE(3684)] = 84672,
  [SMALL_STATE(3685)] = 84746,
  [SMALL_STATE(3686)] = 84822,
  [SMALL_STATE(3687)] = 84978,
  [SMALL_STATE(3688)] = 85038,
  [SMALL_STATE(3689)] = 85098,
  [SMALL_STATE(3690)] = 85158,
  [SMALL_STATE(3691)] = 85218,
  [SMALL_STATE(3692)] = 85278,
  [SMALL_STATE(3693)] = 85338,
  [SMALL_STATE(3694)] = 85412,
  [SMALL_STATE(3695)] = 85486,
  [SMALL_STATE(3696)] = 85546,
  [SMALL_STATE(3697)] = 85606,
  [SMALL_STATE(3698)] = 85678,
  [SMALL_STATE(3699)] = 85738,
  [SMALL_STATE(3700)] = 85798,
  [SMALL_STATE(3701)] = 85858,
  [SMALL_STATE(3702)] = 85918,
  [SMALL_STATE(3703)] = 86022,
  [SMALL_STATE(3704)] = 86178,
  [SMALL_STATE(3705)] = 86242,
  [SMALL_STATE(3706)] = 86314,
  [SMALL_STATE(3707)] = 86380,
  [SMALL_STATE(3708)] = 86488,
  [SMALL_STATE(3709)] = 86548,
  [SMALL_STATE(3710)] = 86614,
  [SMALL_STATE(3711)] = 86688,
  [SMALL_STATE(3712)] = 86750,
  [SMALL_STATE(3713)] = 86810,
  [SMALL_STATE(3714)] = 86870,
  [SMALL_STATE(3715)] = 86934,
  [SMALL_STATE(3716)] = 86996,
  [SMALL_STATE(3717)] = 87056,
  [SMALL_STATE(3718)] = 87116,
  [SMALL_STATE(3719)] = 87176,
  [SMALL_STATE(3720)] = 87236,
  [SMALL_STATE(3721)] = 87296,
  [SMALL_STATE(3722)] = 87358,
  [SMALL_STATE(3723)] = 87418,
  [SMALL_STATE(3724)] = 87494,
  [SMALL_STATE(3725)] = 87554,
  [SMALL_STATE(3726)] = 87658,
  [SMALL_STATE(3727)] = 87726,
  [SMALL_STATE(3728)] = 87794,
  [SMALL_STATE(3729)] = 87895,
  [SMALL_STATE(3730)] = 87954,
  [SMALL_STATE(3731)] = 88023,
  [SMALL_STATE(3732)] = 88090,
  [SMALL_STATE(3733)] = 88151,
  [SMALL_STATE(3734)] = 88256,
  [SMALL_STATE(3735)] = 88321,
  [SMALL_STATE(3736)] = 88380,
  [SMALL_STATE(3737)] = 88441,
  [SMALL_STATE(3738)] = 88514,
  [SMALL_STATE(3739)] = 88573,
  [SMALL_STATE(3740)] = 88632,
  [SMALL_STATE(3741)] = 88691,
  [SMALL_STATE(3742)] = 88750,
  [SMALL_STATE(3743)] = 88809,
  [SMALL_STATE(3744)] = 88870,
  [SMALL_STATE(3745)] = 88929,
  [SMALL_STATE(3746)] = 88990,
  [SMALL_STATE(3747)] = 89051,
  [SMALL_STATE(3748)] = 89114,
  [SMALL_STATE(3749)] = 89173,
  [SMALL_STATE(3750)] = 89232,
  [SMALL_STATE(3751)] = 89293,
  [SMALL_STATE(3752)] = 89398,
  [SMALL_STATE(3753)] = 89459,
  [SMALL_STATE(3754)] = 89518,
  [SMALL_STATE(3755)] = 89577,
  [SMALL_STATE(3756)] = 89636,
  [SMALL_STATE(3757)] = 89695,
  [SMALL_STATE(3758)] = 89756,
  [SMALL_STATE(3759)] = 89857,
  [SMALL_STATE(3760)] = 89916,
  [SMALL_STATE(3761)] = 89975,
  [SMALL_STATE(3762)] = 90034,
  [SMALL_STATE(3763)] = 90093,
  [SMALL_STATE(3764)] = 90152,
  [SMALL_STATE(3765)] = 90211,
  [SMALL_STATE(3766)] = 90270,
  [SMALL_STATE(3767)] = 90329,
  [SMALL_STATE(3768)] = 90430,
  [SMALL_STATE(3769)] = 90489,
  [SMALL_STATE(3770)] = 90590,
  [SMALL_STATE(3771)] = 90651,
  [SMALL_STATE(3772)] = 90710,
  [SMALL_STATE(3773)] = 90769,
  [SMALL_STATE(3774)] = 90828,
  [SMALL_STATE(3775)] = 90895,
  [SMALL_STATE(3776)] = 90954,
  [SMALL_STATE(3777)] = 91013,
  [SMALL_STATE(3778)] = 91072,
  [SMALL_STATE(3779)] = 91131,
  [SMALL_STATE(3780)] = 91192,
  [SMALL_STATE(3781)] = 91251,
  [SMALL_STATE(3782)] = 91310,
  [SMALL_STATE(3783)] = 91369,
  [SMALL_STATE(3784)] = 91470,
  [SMALL_STATE(3785)] = 91579,
  [SMALL_STATE(3786)] = 91638,
  [SMALL_STATE(3787)] = 91743,
  [SMALL_STATE(3788)] = 91812,
  [SMALL_STATE(3789)] = 91871,
  [SMALL_STATE(3790)] = 91930,
  [SMALL_STATE(3791)] = 92035,
  [SMALL_STATE(3792)] = 92094,
  [SMALL_STATE(3793)] = 92167,
  [SMALL_STATE(3794)] = 92226,
  [SMALL_STATE(3795)] = 92305,
  [SMALL_STATE(3796)] = 92406,
  [SMALL_STATE(3797)] = 92483,
  [SMALL_STATE(3798)] = 92542,
  [SMALL_STATE(3799)] = 92605,
  [SMALL_STATE(3800)] = 92686,
  [SMALL_STATE(3801)] = 92745,
  [SMALL_STATE(3802)] = 92830,
  [SMALL_STATE(3803)] = 92917,
  [SMALL_STATE(3804)] = 93008,
  [SMALL_STATE(3805)] = 93067,
  [SMALL_STATE(3806)] = 93168,
  [SMALL_STATE(3807)] = 93261,
  [SMALL_STATE(3808)] = 93358,
  [SMALL_STATE(3809)] = 93459,
  [SMALL_STATE(3810)] = 93532,
  [SMALL_STATE(3811)] = 93607,
  [SMALL_STATE(3812)] = 93678,
  [SMALL_STATE(3813)] = 93737,
  [SMALL_STATE(3814)] = 93846,
  [SMALL_STATE(3815)] = 93905,
  [SMALL_STATE(3816)] = 93966,
  [SMALL_STATE(3817)] = 94025,
  [SMALL_STATE(3818)] = 94084,
  [SMALL_STATE(3819)] = 94147,
  [SMALL_STATE(3820)] = 94210,
  [SMALL_STATE(3821)] = 94269,
  [SMALL_STATE(3822)] = 94332,
  [SMALL_STATE(3823)] = 94391,
  [SMALL_STATE(3824)] = 94450,
  [SMALL_STATE(3825)] = 94555,
  [SMALL_STATE(3826)] = 94614,
  [SMALL_STATE(3827)] = 94673,
  [SMALL_STATE(3828)] = 94774,
  [SMALL_STATE(3829)] = 94875,
  [SMALL_STATE(3830)] = 94934,
  [SMALL_STATE(3831)] = 94993,
  [SMALL_STATE(3832)] = 95052,
  [SMALL_STATE(3833)] = 95115,
  [SMALL_STATE(3834)] = 95224,
  [SMALL_STATE(3835)] = 95285,
  [SMALL_STATE(3836)] = 95344,
  [SMALL_STATE(3837)] = 95405,
  [SMALL_STATE(3838)] = 95464,
  [SMALL_STATE(3839)] = 95565,
  [SMALL_STATE(3840)] = 95624,
  [SMALL_STATE(3841)] = 95683,
  [SMALL_STATE(3842)] = 95744,
  [SMALL_STATE(3843)] = 95803,
  [SMALL_STATE(3844)] = 95862,
  [SMALL_STATE(3845)] = 95933,
  [SMALL_STATE(3846)] = 95992,
  [SMALL_STATE(3847)] = 96051,
  [SMALL_STATE(3848)] = 96110,
  [SMALL_STATE(3849)] = 96169,
  [SMALL_STATE(3850)] = 96228,
  [SMALL_STATE(3851)] = 96333,
  [SMALL_STATE(3852)] = 96406,
  [SMALL_STATE(3853)] = 96473,
  [SMALL_STATE(3854)] = 96546,
  [SMALL_STATE(3855)] = 96605,
  [SMALL_STATE(3856)] = 96664,
  [SMALL_STATE(3857)] = 96723,
  [SMALL_STATE(3858)] = 96782,
  [SMALL_STATE(3859)] = 96841,
  [SMALL_STATE(3860)] = 96900,
  [SMALL_STATE(3861)] = 96959,
  [SMALL_STATE(3862)] = 97018,
  [SMALL_STATE(3863)] = 97077,
  [SMALL_STATE(3864)] = 97136,
  [SMALL_STATE(3865)] = 97195,
  [SMALL_STATE(3866)] = 97254,
  [SMALL_STATE(3867)] = 97313,
  [SMALL_STATE(3868)] = 97372,
  [SMALL_STATE(3869)] = 97431,
  [SMALL_STATE(3870)] = 97502,
  [SMALL_STATE(3871)] = 97561,
  [SMALL_STATE(3872)] = 97662,
  [SMALL_STATE(3873)] = 97763,
  [SMALL_STATE(3874)] = 97822,
  [SMALL_STATE(3875)] = 97881,
  [SMALL_STATE(3876)] = 97940,
  [SMALL_STATE(3877)] = 97999,
  [SMALL_STATE(3878)] = 98058,
  [SMALL_STATE(3879)] = 98117,
  [SMALL_STATE(3880)] = 98176,
  [SMALL_STATE(3881)] = 98235,
  [SMALL_STATE(3882)] = 98294,
  [SMALL_STATE(3883)] = 98355,
  [SMALL_STATE(3884)] = 98414,
  [SMALL_STATE(3885)] = 98473,
  [SMALL_STATE(3886)] = 98540,
  [SMALL_STATE(3887)] = 98599,
  [SMALL_STATE(3888)] = 98664,
  [SMALL_STATE(3889)] = 98723,
  [SMALL_STATE(3890)] = 98782,
  [SMALL_STATE(3891)] = 98841,
  [SMALL_STATE(3892)] = 98942,
  [SMALL_STATE(3893)] = 99001,
  [SMALL_STATE(3894)] = 99070,
  [SMALL_STATE(3895)] = 99171,
  [SMALL_STATE(3896)] = 99230,
  [SMALL_STATE(3897)] = 99289,
  [SMALL_STATE(3898)] = 99348,
  [SMALL_STATE(3899)] = 99407,
  [SMALL_STATE(3900)] = 99466,
  [SMALL_STATE(3901)] = 99525,
  [SMALL_STATE(3902)] = 99626,
  [SMALL_STATE(3903)] = 99685,
  [SMALL_STATE(3904)] = 99744,
  [SMALL_STATE(3905)] = 99807,
  [SMALL_STATE(3906)] = 99866,
  [SMALL_STATE(3907)] = 99925,
  [SMALL_STATE(3908)] = 99990,
  [SMALL_STATE(3909)] = 100049,
  [SMALL_STATE(3910)] = 100108,
  [SMALL_STATE(3911)] = 100167,
  [SMALL_STATE(3912)] = 100226,
  [SMALL_STATE(3913)] = 100293,
  [SMALL_STATE(3914)] = 100352,
  [SMALL_STATE(3915)] = 100411,
  [SMALL_STATE(3916)] = 100470,
  [SMALL_STATE(3917)] = 100529,
  [SMALL_STATE(3918)] = 100588,
  [SMALL_STATE(3919)] = 100647,
  [SMALL_STATE(3920)] = 100748,
  [SMALL_STATE(3921)] = 100807,
  [SMALL_STATE(3922)] = 100866,
  [SMALL_STATE(3923)] = 100967,
  [SMALL_STATE(3924)] = 101030,
  [SMALL_STATE(3925)] = 101089,
  [SMALL_STATE(3926)] = 101190,
  [SMALL_STATE(3927)] = 101253,
  [SMALL_STATE(3928)] = 101316,
  [SMALL_STATE(3929)] = 101375,
  [SMALL_STATE(3930)] = 101434,
  [SMALL_STATE(3931)] = 101493,
  [SMALL_STATE(3932)] = 101552,
  [SMALL_STATE(3933)] = 101611,
  [SMALL_STATE(3934)] = 101670,
  [SMALL_STATE(3935)] = 101729,
  [SMALL_STATE(3936)] = 101794,
  [SMALL_STATE(3937)] = 101853,
  [SMALL_STATE(3938)] = 101916,
  [SMALL_STATE(3939)] = 101975,
  [SMALL_STATE(3940)] = 102076,
  [SMALL_STATE(3941)] = 102139,
  [SMALL_STATE(3942)] = 102198,
  [SMALL_STATE(3943)] = 102261,
  [SMALL_STATE(3944)] = 102320,
  [SMALL_STATE(3945)] = 102421,
  [SMALL_STATE(3946)] = 102486,
  [SMALL_STATE(3947)] = 102547,
  [SMALL_STATE(3948)] = 102606,
  [SMALL_STATE(3949)] = 102665,
  [SMALL_STATE(3950)] = 102728,
  [SMALL_STATE(3951)] = 102795,
  [SMALL_STATE(3952)] = 102854,
  [SMALL_STATE(3953)] = 102913,
  [SMALL_STATE(3954)] = 102972,
  [SMALL_STATE(3955)] = 103073,
  [SMALL_STATE(3956)] = 103174,
  [SMALL_STATE(3957)] = 103233,
  [SMALL_STATE(3958)] = 103292,
  [SMALL_STATE(3959)] = 103351,
  [SMALL_STATE(3960)] = 103412,
  [SMALL_STATE(3961)] = 103471,
  [SMALL_STATE(3962)] = 103572,
  [SMALL_STATE(3963)] = 103631,
  [SMALL_STATE(3964)] = 103690,
  [SMALL_STATE(3965)] = 103749,
  [SMALL_STATE(3966)] = 103808,
  [SMALL_STATE(3967)] = 103867,
  [SMALL_STATE(3968)] = 103926,
  [SMALL_STATE(3969)] = 104027,
  [SMALL_STATE(3970)] = 104086,
  [SMALL_STATE(3971)] = 104145,
  [SMALL_STATE(3972)] = 104204,
  [SMALL_STATE(3973)] = 104263,
  [SMALL_STATE(3974)] = 104365,
  [SMALL_STATE(3975)] = 104423,
  [SMALL_STATE(3976)] = 104481,
  [SMALL_STATE(3977)] = 104543,
  [SMALL_STATE(3978)] = 104625,
  [SMALL_STATE(3979)] = 104683,
  [SMALL_STATE(3980)] = 104741,
  [SMALL_STATE(3981)] = 104799,
  [SMALL_STATE(3982)] = 104857,
  [SMALL_STATE(3983)] = 104915,
  [SMALL_STATE(3984)] = 104973,
  [SMALL_STATE(3985)] = 105031,
  [SMALL_STATE(3986)] = 105089,
  [SMALL_STATE(3987)] = 105147,
  [SMALL_STATE(3988)] = 105205,
  [SMALL_STATE(3989)] = 105263,
  [SMALL_STATE(3990)] = 105321,
  [SMALL_STATE(3991)] = 105379,
  [SMALL_STATE(3992)] = 105451,
  [SMALL_STATE(3993)] = 105509,
  [SMALL_STATE(3994)] = 105567,
  [SMALL_STATE(3995)] = 105629,
  [SMALL_STATE(3996)] = 105703,
  [SMALL_STATE(3997)] = 105761,
  [SMALL_STATE(3998)] = 105819,
  [SMALL_STATE(3999)] = 105877,
  [SMALL_STATE(4000)] = 105959,
  [SMALL_STATE(4001)] = 106021,
  [SMALL_STATE(4002)] = 106083,
  [SMALL_STATE(4003)] = 106141,
  [SMALL_STATE(4004)] = 106199,
  [SMALL_STATE(4005)] = 106257,
  [SMALL_STATE(4006)] = 106319,
  [SMALL_STATE(4007)] = 106377,
  [SMALL_STATE(4008)] = 106459,
  [SMALL_STATE(4009)] = 106521,
  [SMALL_STATE(4010)] = 106579,
  [SMALL_STATE(4011)] = 106651,
  [SMALL_STATE(4012)] = 106729,
  [SMALL_STATE(4013)] = 106787,
  [SMALL_STATE(4014)] = 106845,
  [SMALL_STATE(4015)] = 106903,
  [SMALL_STATE(4016)] = 106961,
  [SMALL_STATE(4017)] = 107021,
  [SMALL_STATE(4018)] = 107079,
  [SMALL_STATE(4019)] = 107141,
  [SMALL_STATE(4020)] = 107199,
  [SMALL_STATE(4021)] = 107261,
  [SMALL_STATE(4022)] = 107359,
  [SMALL_STATE(4023)] = 107417,
  [SMALL_STATE(4024)] = 107483,
  [SMALL_STATE(4025)] = 107541,
  [SMALL_STATE(4026)] = 107615,
  [SMALL_STATE(4027)] = 107677,
  [SMALL_STATE(4028)] = 107747,
  [SMALL_STATE(4029)] = 107805,
  [SMALL_STATE(4030)] = 107863,
  [SMALL_STATE(4031)] = 107925,
  [SMALL_STATE(4032)] = 107997,
  [SMALL_STATE(4033)] = 108055,
  [SMALL_STATE(4034)] = 108113,
  [SMALL_STATE(4035)] = 108171,
  [SMALL_STATE(4036)] = 108235,
  [SMALL_STATE(4037)] = 108293,
  [SMALL_STATE(4038)] = 108351,
  [SMALL_STATE(4039)] = 108425,
  [SMALL_STATE(4040)] = 108483,
  [SMALL_STATE(4041)] = 108541,
  [SMALL_STATE(4042)] = 108599,
  [SMALL_STATE(4043)] = 108663,
  [SMALL_STATE(4044)] = 108721,
  [SMALL_STATE(4045)] = 108793,
  [SMALL_STATE(4046)] = 108851,
  [SMALL_STATE(4047)] = 108923,
  [SMALL_STATE(4048)] = 108981,
  [SMALL_STATE(4049)] = 109039,
  [SMALL_STATE(4050)] = 109097,
  [SMALL_STATE(4051)] = 109199,
  [SMALL_STATE(4052)] = 109293,
  [SMALL_STATE(4053)] = 109363,
  [SMALL_STATE(4054)] = 109421,
  [SMALL_STATE(4055)] = 109503,
  [SMALL_STATE(4056)] = 109561,
  [SMALL_STATE(4057)] = 109619,
  [SMALL_STATE(4058)] = 109677,
  [SMALL_STATE(4059)] = 109777,
  [SMALL_STATE(4060)] = 109867,
  [SMALL_STATE(4061)] = 109929,
  [SMALL_STATE(4062)] = 109991,
  [SMALL_STATE(4063)] = 110049,
  [SMALL_STATE(4064)] = 110107,
  [SMALL_STATE(4065)] = 110179,
  [SMALL_STATE(4066)] = 110241,
  [SMALL_STATE(4067)] = 110327,
  [SMALL_STATE(4068)] = 110385,
  [SMALL_STATE(4069)] = 110469,
  [SMALL_STATE(4070)] = 110527,
  [SMALL_STATE(4071)] = 110585,
  [SMALL_STATE(4072)] = 110643,
  [SMALL_STATE(4073)] = 110701,
  [SMALL_STATE(4074)] = 110783,
  [SMALL_STATE(4075)] = 110863,
  [SMALL_STATE(4076)] = 110921,
  [SMALL_STATE(4077)] = 110997,
  [SMALL_STATE(4078)] = 111055,
  [SMALL_STATE(4079)] = 111137,
  [SMALL_STATE(4080)] = 111241,
  [SMALL_STATE(4081)] = 111299,
  [SMALL_STATE(4082)] = 111357,
  [SMALL_STATE(4083)] = 111419,
  [SMALL_STATE(4084)] = 111521,
  [SMALL_STATE(4085)] = 111579,
  [SMALL_STATE(4086)] = 111643,
  [SMALL_STATE(4087)] = 111709,
  [SMALL_STATE(4088)] = 111791,
  [SMALL_STATE(4089)] = 111855,
  [SMALL_STATE(4090)] = 111937,
  [SMALL_STATE(4091)] = 111995,
  [SMALL_STATE(4092)] = 112057,
  [SMALL_STATE(4093)] = 112115,
  [SMALL_STATE(4094)] = 112173,
  [SMALL_STATE(4095)] = 112279,
  [SMALL_STATE(4096)] = 112341,
  [SMALL_STATE(4097)] = 112399,
  [SMALL_STATE(4098)] = 112457,
  [SMALL_STATE(4099)] = 112561,
  [SMALL_STATE(4100)] = 112619,
  [SMALL_STATE(4101)] = 112725,
  [SMALL_STATE(4102)] = 112789,
  [SMALL_STATE(4103)] = 112851,
  [SMALL_STATE(4104)] = 112913,
  [SMALL_STATE(4105)] = 112979,
  [SMALL_STATE(4106)] = 113041,
  [SMALL_STATE(4107)] = 113099,
  [SMALL_STATE(4108)] = 113157,
  [SMALL_STATE(4109)] = 113215,
  [SMALL_STATE(4110)] = 113273,
  [SMALL_STATE(4111)] = 113379,
  [SMALL_STATE(4112)] = 113437,
  [SMALL_STATE(4113)] = 113495,
  [SMALL_STATE(4114)] = 113553,
  [SMALL_STATE(4115)] = 113629,
  [SMALL_STATE(4116)] = 113731,
  [SMALL_STATE(4117)] = 113789,
  [SMALL_STATE(4118)] = 113847,
  [SMALL_STATE(4119)] = 113905,
  [SMALL_STATE(4120)] = 113963,
  [SMALL_STATE(4121)] = 114021,
  [SMALL_STATE(4122)] = 114079,
  [SMALL_STATE(4123)] = 114141,
  [SMALL_STATE(4124)] = 114203,
  [SMALL_STATE(4125)] = 114261,
  [SMALL_STATE(4126)] = 114319,
  [SMALL_STATE(4127)] = 114393,
  [SMALL_STATE(4128)] = 114451,
  [SMALL_STATE(4129)] = 114509,
  [SMALL_STATE(4130)] = 114567,
  [SMALL_STATE(4131)] = 114649,
  [SMALL_STATE(4132)] = 114711,
  [SMALL_STATE(4133)] = 114814,
  [SMALL_STATE(4134)] = 114871,
  [SMALL_STATE(4135)] = 114974,
  [SMALL_STATE(4136)] = 115035,
  [SMALL_STATE(4137)] = 115092,
  [SMALL_STATE(4138)] = 115153,
  [SMALL_STATE(4139)] = 115210,
  [SMALL_STATE(4140)] = 115279,
  [SMALL_STATE(4141)] = 115382,
  [SMALL_STATE(4142)] = 115485,
  [SMALL_STATE(4143)] = 115588,
  [SMALL_STATE(4144)] = 115647,
  [SMALL_STATE(4145)] = 115704,
  [SMALL_STATE(4146)] = 115765,
  [SMALL_STATE(4147)] = 115822,
  [SMALL_STATE(4148)] = 115879,
  [SMALL_STATE(4149)] = 115936,
  [SMALL_STATE(4150)] = 115993,
  [SMALL_STATE(4151)] = 116050,
  [SMALL_STATE(4152)] = 116107,
  [SMALL_STATE(4153)] = 116210,
  [SMALL_STATE(4154)] = 116279,
  [SMALL_STATE(4155)] = 116336,
  [SMALL_STATE(4156)] = 116401,
  [SMALL_STATE(4157)] = 116460,
  [SMALL_STATE(4158)] = 116517,
  [SMALL_STATE(4159)] = 116574,
  [SMALL_STATE(4160)] = 116677,
  [SMALL_STATE(4161)] = 116734,
  [SMALL_STATE(4162)] = 116797,
  [SMALL_STATE(4163)] = 116864,
  [SMALL_STATE(4164)] = 116921,
  [SMALL_STATE(4165)] = 116978,
  [SMALL_STATE(4166)] = 117047,
  [SMALL_STATE(4167)] = 117104,
  [SMALL_STATE(4168)] = 117163,
  [SMALL_STATE(4169)] = 117222,
  [SMALL_STATE(4170)] = 117289,
  [SMALL_STATE(4171)] = 117352,
  [SMALL_STATE(4172)] = 117421,
  [SMALL_STATE(4173)] = 117480,
  [SMALL_STATE(4174)] = 117545,
  [SMALL_STATE(4175)] = 117648,
  [SMALL_STATE(4176)] = 117711,
  [SMALL_STATE(4177)] = 117772,
  [SMALL_STATE(4178)] = 117828,
  [SMALL_STATE(4179)] = 117884,
  [SMALL_STATE(4180)] = 117958,
  [SMALL_STATE(4181)] = 118014,
  [SMALL_STATE(4182)] = 118088,
  [SMALL_STATE(4183)] = 118144,
  [SMALL_STATE(4184)] = 118200,
  [SMALL_STATE(4185)] = 118256,
  [SMALL_STATE(4186)] = 118312,
  [SMALL_STATE(4187)] = 118368,
  [SMALL_STATE(4188)] = 118424,
  [SMALL_STATE(4189)] = 118480,
  [SMALL_STATE(4190)] = 118550,
  [SMALL_STATE(4191)] = 118606,
  [SMALL_STATE(4192)] = 118662,
  [SMALL_STATE(4193)] = 118718,
  [SMALL_STATE(4194)] = 118788,
  [SMALL_STATE(4195)] = 118844,
  [SMALL_STATE(4196)] = 118900,
  [SMALL_STATE(4197)] = 118956,
  [SMALL_STATE(4198)] = 119012,
  [SMALL_STATE(4199)] = 119068,
  [SMALL_STATE(4200)] = 119170,
  [SMALL_STATE(4201)] = 119230,
  [SMALL_STATE(4202)] = 119286,
  [SMALL_STATE(4203)] = 119358,
  [SMALL_STATE(4204)] = 119414,
  [SMALL_STATE(4205)] = 119470,
  [SMALL_STATE(4206)] = 119540,
  [SMALL_STATE(4207)] = 119614,
  [SMALL_STATE(4208)] = 119670,
  [SMALL_STATE(4209)] = 119726,
  [SMALL_STATE(4210)] = 119782,
  [SMALL_STATE(4211)] = 119848,
  [SMALL_STATE(4212)] = 119904,
  [SMALL_STATE(4213)] = 119960,
  [SMALL_STATE(4214)] = 120062,
  [SMALL_STATE(4215)] = 120118,
  [SMALL_STATE(4216)] = 120178,
  [SMALL_STATE(4217)] = 120280,
  [SMALL_STATE(4218)] = 120336,
  [SMALL_STATE(4219)] = 120392,
  [SMALL_STATE(4220)] = 120452,
  [SMALL_STATE(4221)] = 120520,
  [SMALL_STATE(4222)] = 120576,
  [SMALL_STATE(4223)] = 120632,
  [SMALL_STATE(4224)] = 120688,
  [SMALL_STATE(4225)] = 120744,
  [SMALL_STATE(4226)] = 120804,
  [SMALL_STATE(4227)] = 120860,
  [SMALL_STATE(4228)] = 120920,
  [SMALL_STATE(4229)] = 120976,
  [SMALL_STATE(4230)] = 121036,
  [SMALL_STATE(4231)] = 121098,
  [SMALL_STATE(4232)] = 121154,
  [SMALL_STATE(4233)] = 121210,
  [SMALL_STATE(4234)] = 121266,
  [SMALL_STATE(4235)] = 121322,
  [SMALL_STATE(4236)] = 121378,
  [SMALL_STATE(4237)] = 121452,
  [SMALL_STATE(4238)] = 121554,
  [SMALL_STATE(4239)] = 121610,
  [SMALL_STATE(4240)] = 121666,
  [SMALL_STATE(4241)] = 121728,
  [SMALL_STATE(4242)] = 121800,
  [SMALL_STATE(4243)] = 121874,
  [SMALL_STATE(4244)] = 121930,
  [SMALL_STATE(4245)] = 121986,
  [SMALL_STATE(4246)] = 122042,
  [SMALL_STATE(4247)] = 122098,
  [SMALL_STATE(4248)] = 122154,
  [SMALL_STATE(4249)] = 122226,
  [SMALL_STATE(4250)] = 122282,
  [SMALL_STATE(4251)] = 122342,
  [SMALL_STATE(4252)] = 122398,
  [SMALL_STATE(4253)] = 122454,
  [SMALL_STATE(4254)] = 122510,
  [SMALL_STATE(4255)] = 122570,
  [SMALL_STATE(4256)] = 122626,
  [SMALL_STATE(4257)] = 122690,
  [SMALL_STATE(4258)] = 122764,
  [SMALL_STATE(4259)] = 122820,
  [SMALL_STATE(4260)] = 122880,
  [SMALL_STATE(4261)] = 122954,
  [SMALL_STATE(4262)] = 123010,
  [SMALL_STATE(4263)] = 123066,
  [SMALL_STATE(4264)] = 123136,
  [SMALL_STATE(4265)] = 123192,
  [SMALL_STATE(4266)] = 123248,
  [SMALL_STATE(4267)] = 123304,
  [SMALL_STATE(4268)] = 123368,
  [SMALL_STATE(4269)] = 123424,
  [SMALL_STATE(4270)] = 123480,
  [SMALL_STATE(4271)] = 123536,
  [SMALL_STATE(4272)] = 123598,
  [SMALL_STATE(4273)] = 123654,
  [SMALL_STATE(4274)] = 123716,
  [SMALL_STATE(4275)] = 123772,
  [SMALL_STATE(4276)] = 123828,
  [SMALL_STATE(4277)] = 123902,
  [SMALL_STATE(4278)] = 123970,
  [SMALL_STATE(4279)] = 124026,
  [SMALL_STATE(4280)] = 124098,
  [SMALL_STATE(4281)] = 124154,
  [SMALL_STATE(4282)] = 124210,
  [SMALL_STATE(4283)] = 124266,
  [SMALL_STATE(4284)] = 124340,
  [SMALL_STATE(4285)] = 124396,
  [SMALL_STATE(4286)] = 124452,
  [SMALL_STATE(4287)] = 124510,
  [SMALL_STATE(4288)] = 124566,
  [SMALL_STATE(4289)] = 124623,
  [SMALL_STATE(4290)] = 124678,
  [SMALL_STATE(4291)] = 124733,
  [SMALL_STATE(4292)] = 124788,
  [SMALL_STATE(4293)] = 124843,
  [SMALL_STATE(4294)] = 124898,
  [SMALL_STATE(4295)] = 124953,
  [SMALL_STATE(4296)] = 125008,
  [SMALL_STATE(4297)] = 125063,
  [SMALL_STATE(4298)] = 125118,
  [SMALL_STATE(4299)] = 125183,
  [SMALL_STATE(4300)] = 125238,
  [SMALL_STATE(4301)] = 125293,
  [SMALL_STATE(4302)] = 125394,
  [SMALL_STATE(4303)] = 125465,
  [SMALL_STATE(4304)] = 125528,
  [SMALL_STATE(4305)] = 125583,
  [SMALL_STATE(4306)] = 125638,
  [SMALL_STATE(4307)] = 125693,
  [SMALL_STATE(4308)] = 125748,
  [SMALL_STATE(4309)] = 125803,
  [SMALL_STATE(4310)] = 125858,
  [SMALL_STATE(4311)] = 125913,
  [SMALL_STATE(4312)] = 125968,
  [SMALL_STATE(4313)] = 126023,
  [SMALL_STATE(4314)] = 126078,
  [SMALL_STATE(4315)] = 126133,
  [SMALL_STATE(4316)] = 126188,
  [SMALL_STATE(4317)] = 126243,
  [SMALL_STATE(4318)] = 126298,
  [SMALL_STATE(4319)] = 126353,
  [SMALL_STATE(4320)] = 126416,
  [SMALL_STATE(4321)] = 126479,
  [SMALL_STATE(4322)] = 126534,
  [SMALL_STATE(4323)] = 126597,
  [SMALL_STATE(4324)] = 126652,
  [SMALL_STATE(4325)] = 126707,
  [SMALL_STATE(4326)] = 126762,
  [SMALL_STATE(4327)] = 126825,
  [SMALL_STATE(4328)] = 126880,
  [SMALL_STATE(4329)] = 126981,
  [SMALL_STATE(4330)] = 127038,
  [SMALL_STATE(4331)] = 127095,
  [SMALL_STATE(4332)] = 127150,
  [SMALL_STATE(4333)] = 127205,
  [SMALL_STATE(4334)] = 127260,
  [SMALL_STATE(4335)] = 127315,
  [SMALL_STATE(4336)] = 127370,
  [SMALL_STATE(4337)] = 127439,
  [SMALL_STATE(4338)] = 127506,
  [SMALL_STATE(4339)] = 127561,
  [SMALL_STATE(4340)] = 127628,
  [SMALL_STATE(4341)] = 127683,
  [SMALL_STATE(4342)] = 127750,
  [SMALL_STATE(4343)] = 127809,
  [SMALL_STATE(4344)] = 127864,
  [SMALL_STATE(4345)] = 127919,
  [SMALL_STATE(4346)] = 127986,
  [SMALL_STATE(4347)] = 128041,
  [SMALL_STATE(4348)] = 128108,
  [SMALL_STATE(4349)] = 128163,
  [SMALL_STATE(4350)] = 128218,
  [SMALL_STATE(4351)] = 128276,
  [SMALL_STATE(4352)] = 128334,
  [SMALL_STATE(4353)] = 128388,
  [SMALL_STATE(4354)] = 128458,
  [SMALL_STATE(4355)] = 128516,
  [SMALL_STATE(4356)] = 128576,
  [SMALL_STATE(4357)] = 128634,
  [SMALL_STATE(4358)] = 128692,
  [SMALL_STATE(4359)] = 128752,
  [SMALL_STATE(4360)] = 128810,
  [SMALL_STATE(4361)] = 128868,
  [SMALL_STATE(4362)] = 128926,
  [SMALL_STATE(4363)] = 128984,
  [SMALL_STATE(4364)] = 129042,
  [SMALL_STATE(4365)] = 129100,
  [SMALL_STATE(4366)] = 129158,
  [SMALL_STATE(4367)] = 129228,
  [SMALL_STATE(4368)] = 129288,
  [SMALL_STATE(4369)] = 129358,
  [SMALL_STATE(4370)] = 129416,
  [SMALL_STATE(4371)] = 129474,
  [SMALL_STATE(4372)] = 129532,
  [SMALL_STATE(4373)] = 129590,
  [SMALL_STATE(4374)] = 129650,
  [SMALL_STATE(4375)] = 129708,
  [SMALL_STATE(4376)] = 129766,
  [SMALL_STATE(4377)] = 129824,
  [SMALL_STATE(4378)] = 129882,
  [SMALL_STATE(4379)] = 129940,
  [SMALL_STATE(4380)] = 129998,
  [SMALL_STATE(4381)] = 130056,
  [SMALL_STATE(4382)] = 130126,
  [SMALL_STATE(4383)] = 130196,
  [SMALL_STATE(4384)] = 130254,
  [SMALL_STATE(4385)] = 130324,
  [SMALL_STATE(4386)] = 130382,
  [SMALL_STATE(4387)] = 130440,
  [SMALL_STATE(4388)] = 130538,
  [SMALL_STATE(4389)] = 130596,
  [SMALL_STATE(4390)] = 130654,
  [SMALL_STATE(4391)] = 130718,
  [SMALL_STATE(4392)] = 130778,
  [SMALL_STATE(4393)] = 130836,
  [SMALL_STATE(4394)] = 130894,
  [SMALL_STATE(4395)] = 130952,
  [SMALL_STATE(4396)] = 131010,
  [SMALL_STATE(4397)] = 131070,
  [SMALL_STATE(4398)] = 131140,
  [SMALL_STATE(4399)] = 131198,
  [SMALL_STATE(4400)] = 131256,
  [SMALL_STATE(4401)] = 131314,
  [SMALL_STATE(4402)] = 131372,
  [SMALL_STATE(4403)] = 131442,
  [SMALL_STATE(4404)] = 131537,
  [SMALL_STATE(4405)] = 131632,
  [SMALL_STATE(4406)] = 131727,
  [SMALL_STATE(4407)] = 131822,
  [SMALL_STATE(4408)] = 131883,
  [SMALL_STATE(4409)] = 131978,
  [SMALL_STATE(4410)] = 132073,
  [SMALL_STATE(4411)] = 132128,
  [SMALL_STATE(4412)] = 132223,
  [SMALL_STATE(4413)] = 132318,
  [SMALL_STATE(4414)] = 132371,
  [SMALL_STATE(4415)] = 132466,
  [SMALL_STATE(4416)] = 132561,
  [SMALL_STATE(4417)] = 132656,
  [SMALL_STATE(4418)] = 132709,
  [SMALL_STATE(4419)] = 132804,
  [SMALL_STATE(4420)] = 132899,
  [SMALL_STATE(4421)] = 132994,
  [SMALL_STATE(4422)] = 133089,
  [SMALL_STATE(4423)] = 133188,
  [SMALL_STATE(4424)] = 133283,
  [SMALL_STATE(4425)] = 133348,
  [SMALL_STATE(4426)] = 133443,
  [SMALL_STATE(4427)] = 133538,
  [SMALL_STATE(4428)] = 133633,
  [SMALL_STATE(4429)] = 133732,
  [SMALL_STATE(4430)] = 133827,
  [SMALL_STATE(4431)] = 133886,
  [SMALL_STATE(4432)] = 133953,
  [SMALL_STATE(4433)] = 134048,
  [SMALL_STATE(4434)] = 134143,
  [SMALL_STATE(4435)] = 134204,
  [SMALL_STATE(4436)] = 134299,
  [SMALL_STATE(4437)] = 134394,
  [SMALL_STATE(4438)] = 134489,
  [SMALL_STATE(4439)] = 134584,
  [SMALL_STATE(4440)] = 134679,
  [SMALL_STATE(4441)] = 134774,
  [SMALL_STATE(4442)] = 134869,
  [SMALL_STATE(4443)] = 134922,
  [SMALL_STATE(4444)] = 135017,
  [SMALL_STATE(4445)] = 135112,
  [SMALL_STATE(4446)] = 135207,
  [SMALL_STATE(4447)] = 135302,
  [SMALL_STATE(4448)] = 135397,
  [SMALL_STATE(4449)] = 135450,
  [SMALL_STATE(4450)] = 135545,
  [SMALL_STATE(4451)] = 135598,
  [SMALL_STATE(4452)] = 135693,
  [SMALL_STATE(4453)] = 135788,
  [SMALL_STATE(4454)] = 135843,
  [SMALL_STATE(4455)] = 135938,
  [SMALL_STATE(4456)] = 135991,
  [SMALL_STATE(4457)] = 136086,
  [SMALL_STATE(4458)] = 136143,
  [SMALL_STATE(4459)] = 136238,
  [SMALL_STATE(4460)] = 136333,
  [SMALL_STATE(4461)] = 136428,
  [SMALL_STATE(4462)] = 136481,
  [SMALL_STATE(4463)] = 136576,
  [SMALL_STATE(4464)] = 136671,
  [SMALL_STATE(4465)] = 136766,
  [SMALL_STATE(4466)] = 136861,
  [SMALL_STATE(4467)] = 136960,
  [SMALL_STATE(4468)] = 137013,
  [SMALL_STATE(4469)] = 137108,
  [SMALL_STATE(4470)] = 137203,
  [SMALL_STATE(4471)] = 137268,
  [SMALL_STATE(4472)] = 137363,
  [SMALL_STATE(4473)] = 137458,
  [SMALL_STATE(4474)] = 137553,
  [SMALL_STATE(4475)] = 137606,
  [SMALL_STATE(4476)] = 137701,
  [SMALL_STATE(4477)] = 137796,
  [SMALL_STATE(4478)] = 137891,
  [SMALL_STATE(4479)] = 137986,
  [SMALL_STATE(4480)] = 138081,
  [SMALL_STATE(4481)] = 138140,
  [SMALL_STATE(4482)] = 138235,
  [SMALL_STATE(4483)] = 138330,
  [SMALL_STATE(4484)] = 138389,
  [SMALL_STATE(4485)] = 138484,
  [SMALL_STATE(4486)] = 138579,
  [SMALL_STATE(4487)] = 138674,
  [SMALL_STATE(4488)] = 138769,
  [SMALL_STATE(4489)] = 138864,
  [SMALL_STATE(4490)] = 138959,
  [SMALL_STATE(4491)] = 139012,
  [SMALL_STATE(4492)] = 139107,
  [SMALL_STATE(4493)] = 139202,
  [SMALL_STATE(4494)] = 139297,
  [SMALL_STATE(4495)] = 139360,
  [SMALL_STATE(4496)] = 139455,
  [SMALL_STATE(4497)] = 139550,
  [SMALL_STATE(4498)] = 139645,
  [SMALL_STATE(4499)] = 139698,
  [SMALL_STATE(4500)] = 139793,
  [SMALL_STATE(4501)] = 139888,
  [SMALL_STATE(4502)] = 139983,
  [SMALL_STATE(4503)] = 140078,
  [SMALL_STATE(4504)] = 140173,
  [SMALL_STATE(4505)] = 140268,
  [SMALL_STATE(4506)] = 140363,
  [SMALL_STATE(4507)] = 140458,
  [SMALL_STATE(4508)] = 140553,
  [SMALL_STATE(4509)] = 140648,
  [SMALL_STATE(4510)] = 140743,
  [SMALL_STATE(4511)] = 140842,
  [SMALL_STATE(4512)] = 140937,
  [SMALL_STATE(4513)] = 140989,
  [SMALL_STATE(4514)] = 141047,
  [SMALL_STATE(4515)] = 141139,
  [SMALL_STATE(4516)] = 141191,
  [SMALL_STATE(4517)] = 141255,
  [SMALL_STATE(4518)] = 141319,
  [SMALL_STATE(4519)] = 141371,
  [SMALL_STATE(4520)] = 141427,
  [SMALL_STATE(4521)] = 141479,
  [SMALL_STATE(4522)] = 141531,
  [SMALL_STATE(4523)] = 141623,
  [SMALL_STATE(4524)] = 141679,
  [SMALL_STATE(4525)] = 141771,
  [SMALL_STATE(4526)] = 141863,
  [SMALL_STATE(4527)] = 141915,
  [SMALL_STATE(4528)] = 141983,
  [SMALL_STATE(4529)] = 142075,
  [SMALL_STATE(4530)] = 142127,
  [SMALL_STATE(4531)] = 142195,
  [SMALL_STATE(4532)] = 142251,
  [SMALL_STATE(4533)] = 142307,
  [SMALL_STATE(4534)] = 142363,
  [SMALL_STATE(4535)] = 142415,
  [SMALL_STATE(4536)] = 142507,
  [SMALL_STATE(4537)] = 142599,
  [SMALL_STATE(4538)] = 142651,
  [SMALL_STATE(4539)] = 142703,
  [SMALL_STATE(4540)] = 142759,
  [SMALL_STATE(4541)] = 142811,
  [SMALL_STATE(4542)] = 142903,
  [SMALL_STATE(4543)] = 142995,
  [SMALL_STATE(4544)] = 143047,
  [SMALL_STATE(4545)] = 143111,
  [SMALL_STATE(4546)] = 143163,
  [SMALL_STATE(4547)] = 143227,
  [SMALL_STATE(4548)] = 143279,
  [SMALL_STATE(4549)] = 143331,
  [SMALL_STATE(4550)] = 143399,
  [SMALL_STATE(4551)] = 143451,
  [SMALL_STATE(4552)] = 143519,
  [SMALL_STATE(4553)] = 143571,
  [SMALL_STATE(4554)] = 143623,
  [SMALL_STATE(4555)] = 143675,
  [SMALL_STATE(4556)] = 143767,
  [SMALL_STATE(4557)] = 143819,
  [SMALL_STATE(4558)] = 143871,
  [SMALL_STATE(4559)] = 143963,
  [SMALL_STATE(4560)] = 144015,
  [SMALL_STATE(4561)] = 144067,
  [SMALL_STATE(4562)] = 144159,
  [SMALL_STATE(4563)] = 144215,
  [SMALL_STATE(4564)] = 144271,
  [SMALL_STATE(4565)] = 144327,
  [SMALL_STATE(4566)] = 144395,
  [SMALL_STATE(4567)] = 144451,
  [SMALL_STATE(4568)] = 144503,
  [SMALL_STATE(4569)] = 144595,
  [SMALL_STATE(4570)] = 144647,
  [SMALL_STATE(4571)] = 144699,
  [SMALL_STATE(4572)] = 144791,
  [SMALL_STATE(4573)] = 144883,
  [SMALL_STATE(4574)] = 144935,
  [SMALL_STATE(4575)] = 144987,
  [SMALL_STATE(4576)] = 145043,
  [SMALL_STATE(4577)] = 145095,
  [SMALL_STATE(4578)] = 145147,
  [SMALL_STATE(4579)] = 145199,
  [SMALL_STATE(4580)] = 145255,
  [SMALL_STATE(4581)] = 145340,
  [SMALL_STATE(4582)] = 145425,
  [SMALL_STATE(4583)] = 145492,
  [SMALL_STATE(4584)] = 145543,
  [SMALL_STATE(4585)] = 145628,
  [SMALL_STATE(4586)] = 145679,
  [SMALL_STATE(4587)] = 145756,
  [SMALL_STATE(4588)] = 145841,
  [SMALL_STATE(4589)] = 145936,
  [SMALL_STATE(4590)] = 146021,
  [SMALL_STATE(4591)] = 146106,
  [SMALL_STATE(4592)] = 146173,
  [SMALL_STATE(4593)] = 146226,
  [SMALL_STATE(4594)] = 146283,
  [SMALL_STATE(4595)] = 146382,
  [SMALL_STATE(4596)] = 146467,
  [SMALL_STATE(4597)] = 146552,
  [SMALL_STATE(4598)] = 146637,
  [SMALL_STATE(4599)] = 146688,
  [SMALL_STATE(4600)] = 146791,
  [SMALL_STATE(4601)] = 146842,
  [SMALL_STATE(4602)] = 146927,
  [SMALL_STATE(4603)] = 147026,
  [SMALL_STATE(4604)] = 147129,
  [SMALL_STATE(4605)] = 147180,
  [SMALL_STATE(4606)] = 147247,
  [SMALL_STATE(4607)] = 147324,
  [SMALL_STATE(4608)] = 147399,
  [SMALL_STATE(4609)] = 147484,
  [SMALL_STATE(4610)] = 147563,
  [SMALL_STATE(4611)] = 147646,
  [SMALL_STATE(4612)] = 147747,
  [SMALL_STATE(4613)] = 147846,
  [SMALL_STATE(4614)] = 147949,
  [SMALL_STATE(4615)] = 148034,
  [SMALL_STATE(4616)] = 148123,
  [SMALL_STATE(4617)] = 148214,
  [SMALL_STATE(4618)] = 148299,
  [SMALL_STATE(4619)] = 148394,
  [SMALL_STATE(4620)] = 148479,
  [SMALL_STATE(4621)] = 148530,
  [SMALL_STATE(4622)] = 148599,
  [SMALL_STATE(4623)] = 148684,
  [SMALL_STATE(4624)] = 148755,
  [SMALL_STATE(4625)] = 148840,
  [SMALL_STATE(4626)] = 148925,
  [SMALL_STATE(4627)] = 148976,
  [SMALL_STATE(4628)] = 149061,
  [SMALL_STATE(4629)] = 149134,
  [SMALL_STATE(4630)] = 149219,
  [SMALL_STATE(4631)] = 149270,
  [SMALL_STATE(4632)] = 149369,
  [SMALL_STATE(4633)] = 149420,
  [SMALL_STATE(4634)] = 149471,
  [SMALL_STATE(4635)] = 149522,
  [SMALL_STATE(4636)] = 149625,
  [SMALL_STATE(4637)] = 149692,
  [SMALL_STATE(4638)] = 149793,
  [SMALL_STATE(4639)] = 149849,
  [SMALL_STATE(4640)] = 149899,
  [SMALL_STATE(4641)] = 149949,
  [SMALL_STATE(4642)] = 149999,
  [SMALL_STATE(4643)] = 150049,
  [SMALL_STATE(4644)] = 150099,
  [SMALL_STATE(4645)] = 150149,
  [SMALL_STATE(4646)] = 150199,
  [SMALL_STATE(4647)] = 150249,
  [SMALL_STATE(4648)] = 150299,
  [SMALL_STATE(4649)] = 150349,
  [SMALL_STATE(4650)] = 150399,
  [SMALL_STATE(4651)] = 150449,
  [SMALL_STATE(4652)] = 150499,
  [SMALL_STATE(4653)] = 150555,
  [SMALL_STATE(4654)] = 150605,
  [SMALL_STATE(4655)] = 150655,
  [SMALL_STATE(4656)] = 150711,
  [SMALL_STATE(4657)] = 150761,
  [SMALL_STATE(4658)] = 150811,
  [SMALL_STATE(4659)] = 150873,
  [SMALL_STATE(4660)] = 150923,
  [SMALL_STATE(4661)] = 150975,
  [SMALL_STATE(4662)] = 151025,
  [SMALL_STATE(4663)] = 151077,
  [SMALL_STATE(4664)] = 151127,
  [SMALL_STATE(4665)] = 151183,
  [SMALL_STATE(4666)] = 151235,
  [SMALL_STATE(4667)] = 151285,
  [SMALL_STATE(4668)] = 151335,
  [SMALL_STATE(4669)] = 151385,
  [SMALL_STATE(4670)] = 151435,
  [SMALL_STATE(4671)] = 151485,
  [SMALL_STATE(4672)] = 151535,
  [SMALL_STATE(4673)] = 151591,
  [SMALL_STATE(4674)] = 151647,
  [SMALL_STATE(4675)] = 151697,
  [SMALL_STATE(4676)] = 151757,
  [SMALL_STATE(4677)] = 151807,
  [SMALL_STATE(4678)] = 151863,
  [SMALL_STATE(4679)] = 151913,
  [SMALL_STATE(4680)] = 151963,
  [SMALL_STATE(4681)] = 152013,
  [SMALL_STATE(4682)] = 152063,
  [SMALL_STATE(4683)] = 152113,
  [SMALL_STATE(4684)] = 152163,
  [SMALL_STATE(4685)] = 152219,
  [SMALL_STATE(4686)] = 152280,
  [SMALL_STATE(4687)] = 152347,
  [SMALL_STATE(4688)] = 152450,
  [SMALL_STATE(4689)] = 152519,
  [SMALL_STATE(4690)] = 152568,
  [SMALL_STATE(4691)] = 152629,
  [SMALL_STATE(4692)] = 152690,
  [SMALL_STATE(4693)] = 152761,
  [SMALL_STATE(4694)] = 152812,
  [SMALL_STATE(4695)] = 152863,
  [SMALL_STATE(4696)] = 152956,
  [SMALL_STATE(4697)] = 153005,
  [SMALL_STATE(4698)] = 153082,
  [SMALL_STATE(4699)] = 153179,
  [SMALL_STATE(4700)] = 153282,
  [SMALL_STATE(4701)] = 153359,
  [SMALL_STATE(4702)] = 153448,
  [SMALL_STATE(4703)] = 153549,
  [SMALL_STATE(4704)] = 153626,
  [SMALL_STATE(4705)] = 153713,
  [SMALL_STATE(4706)] = 153814,
  [SMALL_STATE(4707)] = 153915,
  [SMALL_STATE(4708)] = 153992,
  [SMALL_STATE(4709)] = 154075,
  [SMALL_STATE(4710)] = 154156,
  [SMALL_STATE(4711)] = 154257,
  [SMALL_STATE(4712)] = 154334,
  [SMALL_STATE(4713)] = 154411,
  [SMALL_STATE(4714)] = 154460,
  [SMALL_STATE(4715)] = 154509,
  [SMALL_STATE(4716)] = 154582,
  [SMALL_STATE(4717)] = 154631,
  [SMALL_STATE(4718)] = 154734,
  [SMALL_STATE(4719)] = 154787,
  [SMALL_STATE(4720)] = 154850,
  [SMALL_STATE(4721)] = 154899,
  [SMALL_STATE(4722)] = 154988,
  [SMALL_STATE(4723)] = 155037,
  [SMALL_STATE(4724)] = 155090,
  [SMALL_STATE(4725)] = 155187,
  [SMALL_STATE(4726)] = 155250,
  [SMALL_STATE(4727)] = 155313,
  [SMALL_STATE(4728)] = 155364,
  [SMALL_STATE(4729)] = 155427,
  [SMALL_STATE(4730)] = 155524,
  [SMALL_STATE(4731)] = 155585,
  [SMALL_STATE(4732)] = 155682,
  [SMALL_STATE(4733)] = 155731,
  [SMALL_STATE(4734)] = 155780,
  [SMALL_STATE(4735)] = 155857,
  [SMALL_STATE(4736)] = 155914,
  [SMALL_STATE(4737)] = 155967,
  [SMALL_STATE(4738)] = 156070,
  [SMALL_STATE(4739)] = 156160,
  [SMALL_STATE(4740)] = 156212,
  [SMALL_STATE(4741)] = 156284,
  [SMALL_STATE(4742)] = 156372,
  [SMALL_STATE(4743)] = 156462,
  [SMALL_STATE(4744)] = 156532,
  [SMALL_STATE(4745)] = 156590,
  [SMALL_STATE(4746)] = 156666,
  [SMALL_STATE(4747)] = 156734,
  [SMALL_STATE(4748)] = 156810,
  [SMALL_STATE(4749)] = 156888,
  [SMALL_STATE(4750)] = 156970,
  [SMALL_STATE(4751)] = 157054,
  [SMALL_STATE(4752)] = 157148,
  [SMALL_STATE(4753)] = 157234,
  [SMALL_STATE(4754)] = 157300,
  [SMALL_STATE(4755)] = 157390,
  [SMALL_STATE(4756)] = 157442,
  [SMALL_STATE(4757)] = 157492,
  [SMALL_STATE(4758)] = 157586,
  [SMALL_STATE(4759)] = 157654,
  [SMALL_STATE(4760)] = 157722,
  [SMALL_STATE(4761)] = 157780,
  [SMALL_STATE(4762)] = 157838,
  [SMALL_STATE(4763)] = 157886,
  [SMALL_STATE(4764)] = 157940,
  [SMALL_STATE(4765)] = 158040,
  [SMALL_STATE(4766)] = 158098,
  [SMALL_STATE(4767)] = 158148,
  [SMALL_STATE(4768)] = 158242,
  [SMALL_STATE(4769)] = 158290,
  [SMALL_STATE(4770)] = 158358,
  [SMALL_STATE(4771)] = 158412,
  [SMALL_STATE(4772)] = 158502,
  [SMALL_STATE(4773)] = 158560,
  [SMALL_STATE(4774)] = 158636,
  [SMALL_STATE(4775)] = 158733,
  [SMALL_STATE(4776)] = 158780,
  [SMALL_STATE(4777)] = 158877,
  [SMALL_STATE(4778)] = 158974,
  [SMALL_STATE(4779)] = 159021,
  [SMALL_STATE(4780)] = 159118,
  [SMALL_STATE(4781)] = 159195,
  [SMALL_STATE(4782)] = 159242,
  [SMALL_STATE(4783)] = 159339,
  [SMALL_STATE(4784)] = 159386,
  [SMALL_STATE(4785)] = 159433,
  [SMALL_STATE(4786)] = 159480,
  [SMALL_STATE(4787)] = 159527,
  [SMALL_STATE(4788)] = 159574,
  [SMALL_STATE(4789)] = 159641,
  [SMALL_STATE(4790)] = 159688,
  [SMALL_STATE(4791)] = 159781,
  [SMALL_STATE(4792)] = 159878,
  [SMALL_STATE(4793)] = 159975,
  [SMALL_STATE(4794)] = 160022,
  [SMALL_STATE(4795)] = 160069,
  [SMALL_STATE(4796)] = 160158,
  [SMALL_STATE(4797)] = 160255,
  [SMALL_STATE(4798)] = 160352,
  [SMALL_STATE(4799)] = 160399,
  [SMALL_STATE(4800)] = 160496,
  [SMALL_STATE(4801)] = 160593,
  [SMALL_STATE(4802)] = 160668,
  [SMALL_STATE(4803)] = 160715,
  [SMALL_STATE(4804)] = 160790,
  [SMALL_STATE(4805)] = 160837,
  [SMALL_STATE(4806)] = 160886,
  [SMALL_STATE(4807)] = 160983,
  [SMALL_STATE(4808)] = 161080,
  [SMALL_STATE(4809)] = 161177,
  [SMALL_STATE(4810)] = 161224,
  [SMALL_STATE(4811)] = 161321,
  [SMALL_STATE(4812)] = 161368,
  [SMALL_STATE(4813)] = 161465,
  [SMALL_STATE(4814)] = 161512,
  [SMALL_STATE(4815)] = 161559,
  [SMALL_STATE(4816)] = 161614,
  [SMALL_STATE(4817)] = 161709,
  [SMALL_STATE(4818)] = 161756,
  [SMALL_STATE(4819)] = 161803,
  [SMALL_STATE(4820)] = 161850,
  [SMALL_STATE(4821)] = 161903,
  [SMALL_STATE(4822)] = 161980,
  [SMALL_STATE(4823)] = 162031,
  [SMALL_STATE(4824)] = 162128,
  [SMALL_STATE(4825)] = 162223,
  [SMALL_STATE(4826)] = 162276,
  [SMALL_STATE(4827)] = 162373,
  [SMALL_STATE(4828)] = 162470,
  [SMALL_STATE(4829)] = 162539,
  [SMALL_STATE(4830)] = 162586,
  [SMALL_STATE(4831)] = 162633,
  [SMALL_STATE(4832)] = 162680,
  [SMALL_STATE(4833)] = 162751,
  [SMALL_STATE(4834)] = 162848,
  [SMALL_STATE(4835)] = 162923,
  [SMALL_STATE(4836)] = 163000,
  [SMALL_STATE(4837)] = 163081,
  [SMALL_STATE(4838)] = 163164,
  [SMALL_STATE(4839)] = 163249,
  [SMALL_STATE(4840)] = 163346,
  [SMALL_STATE(4841)] = 163433,
  [SMALL_STATE(4842)] = 163530,
  [SMALL_STATE(4843)] = 163595,
  [SMALL_STATE(4844)] = 163692,
  [SMALL_STATE(4845)] = 163739,
  [SMALL_STATE(4846)] = 163792,
  [SMALL_STATE(4847)] = 163839,
  [SMALL_STATE(4848)] = 163886,
  [SMALL_STATE(4849)] = 163933,
  [SMALL_STATE(4850)] = 164010,
  [SMALL_STATE(4851)] = 164107,
  [SMALL_STATE(4852)] = 164200,
  [SMALL_STATE(4853)] = 164247,
  [SMALL_STATE(4854)] = 164340,
  [SMALL_STATE(4855)] = 164437,
  [SMALL_STATE(4856)] = 164490,
  [SMALL_STATE(4857)] = 164567,
  [SMALL_STATE(4858)] = 164664,
  [SMALL_STATE(4859)] = 164711,
  [SMALL_STATE(4860)] = 164758,
  [SMALL_STATE(4861)] = 164807,
  [SMALL_STATE(4862)] = 164854,
  [SMALL_STATE(4863)] = 164941,
  [SMALL_STATE(4864)] = 165034,
  [SMALL_STATE(4865)] = 165131,
  [SMALL_STATE(4866)] = 165218,
  [SMALL_STATE(4867)] = 165271,
  [SMALL_STATE(4868)] = 165318,
  [SMALL_STATE(4869)] = 165415,
  [SMALL_STATE(4870)] = 165492,
  [SMALL_STATE(4871)] = 165589,
  [SMALL_STATE(4872)] = 165686,
  [SMALL_STATE(4873)] = 165783,
  [SMALL_STATE(4874)] = 165832,
  [SMALL_STATE(4875)] = 165879,
  [SMALL_STATE(4876)] = 165926,
  [SMALL_STATE(4877)] = 166015,
  [SMALL_STATE(4878)] = 166062,
  [SMALL_STATE(4879)] = 166137,
  [SMALL_STATE(4880)] = 166234,
  [SMALL_STATE(4881)] = 166331,
  [SMALL_STATE(4882)] = 166424,
  [SMALL_STATE(4883)] = 166471,
  [SMALL_STATE(4884)] = 166518,
  [SMALL_STATE(4885)] = 166565,
  [SMALL_STATE(4886)] = 166612,
  [SMALL_STATE(4887)] = 166709,
  [SMALL_STATE(4888)] = 166806,
  [SMALL_STATE(4889)] = 166903,
  [SMALL_STATE(4890)] = 166958,
  [SMALL_STATE(4891)] = 167055,
  [SMALL_STATE(4892)] = 167102,
  [SMALL_STATE(4893)] = 167149,
  [SMALL_STATE(4894)] = 167246,
  [SMALL_STATE(4895)] = 167293,
  [SMALL_STATE(4896)] = 167340,
  [SMALL_STATE(4897)] = 167387,
  [SMALL_STATE(4898)] = 167438,
  [SMALL_STATE(4899)] = 167485,
  [SMALL_STATE(4900)] = 167582,
  [SMALL_STATE(4901)] = 167629,
  [SMALL_STATE(4902)] = 167676,
  [SMALL_STATE(4903)] = 167723,
  [SMALL_STATE(4904)] = 167770,
  [SMALL_STATE(4905)] = 167817,
  [SMALL_STATE(4906)] = 167864,
  [SMALL_STATE(4907)] = 167911,
  [SMALL_STATE(4908)] = 168008,
  [SMALL_STATE(4909)] = 168055,
  [SMALL_STATE(4910)] = 168102,
  [SMALL_STATE(4911)] = 168149,
  [SMALL_STATE(4912)] = 168246,
  [SMALL_STATE(4913)] = 168293,
  [SMALL_STATE(4914)] = 168390,
  [SMALL_STATE(4915)] = 168479,
  [SMALL_STATE(4916)] = 168526,
  [SMALL_STATE(4917)] = 168615,
  [SMALL_STATE(4918)] = 168662,
  [SMALL_STATE(4919)] = 168709,
  [SMALL_STATE(4920)] = 168756,
  [SMALL_STATE(4921)] = 168803,
  [SMALL_STATE(4922)] = 168900,
  [SMALL_STATE(4923)] = 168947,
  [SMALL_STATE(4924)] = 169044,
  [SMALL_STATE(4925)] = 169141,
  [SMALL_STATE(4926)] = 169238,
  [SMALL_STATE(4927)] = 169335,
  [SMALL_STATE(4928)] = 169432,
  [SMALL_STATE(4929)] = 169529,
  [SMALL_STATE(4930)] = 169626,
  [SMALL_STATE(4931)] = 169673,
  [SMALL_STATE(4932)] = 169720,
  [SMALL_STATE(4933)] = 169767,
  [SMALL_STATE(4934)] = 169844,
  [SMALL_STATE(4935)] = 169941,
  [SMALL_STATE(4936)] = 169988,
  [SMALL_STATE(4937)] = 170035,
  [SMALL_STATE(4938)] = 170132,
  [SMALL_STATE(4939)] = 170229,
  [SMALL_STATE(4940)] = 170276,
  [SMALL_STATE(4941)] = 170351,
  [SMALL_STATE(4942)] = 170448,
  [SMALL_STATE(4943)] = 170545,
  [SMALL_STATE(4944)] = 170642,
  [SMALL_STATE(4945)] = 170739,
  [SMALL_STATE(4946)] = 170836,
  [SMALL_STATE(4947)] = 170933,
  [SMALL_STATE(4948)] = 170980,
  [SMALL_STATE(4949)] = 171027,
  [SMALL_STATE(4950)] = 171074,
  [SMALL_STATE(4951)] = 171171,
  [SMALL_STATE(4952)] = 171218,
  [SMALL_STATE(4953)] = 171315,
  [SMALL_STATE(4954)] = 171412,
  [SMALL_STATE(4955)] = 171489,
  [SMALL_STATE(4956)] = 171566,
  [SMALL_STATE(4957)] = 171663,
  [SMALL_STATE(4958)] = 171737,
  [SMALL_STATE(4959)] = 171807,
  [SMALL_STATE(4960)] = 171901,
  [SMALL_STATE(4961)] = 171989,
  [SMALL_STATE(4962)] = 172045,
  [SMALL_STATE(4963)] = 172103,
  [SMALL_STATE(4964)] = 172195,
  [SMALL_STATE(4965)] = 172283,
  [SMALL_STATE(4966)] = 172357,
  [SMALL_STATE(4967)] = 172451,
  [SMALL_STATE(4968)] = 172543,
  [SMALL_STATE(4969)] = 172631,
  [SMALL_STATE(4970)] = 172723,
  [SMALL_STATE(4971)] = 172817,
  [SMALL_STATE(4972)] = 172877,
  [SMALL_STATE(4973)] = 172937,
  [SMALL_STATE(4974)] = 173005,
  [SMALL_STATE(4975)] = 173073,
  [SMALL_STATE(4976)] = 173147,
  [SMALL_STATE(4977)] = 173215,
  [SMALL_STATE(4978)] = 173283,
  [SMALL_STATE(4979)] = 173357,
  [SMALL_STATE(4980)] = 173451,
  [SMALL_STATE(4981)] = 173519,
  [SMALL_STATE(4982)] = 173587,
  [SMALL_STATE(4983)] = 173655,
  [SMALL_STATE(4984)] = 173723,
  [SMALL_STATE(4985)] = 173797,
  [SMALL_STATE(4986)] = 173885,
  [SMALL_STATE(4987)] = 173959,
  [SMALL_STATE(4988)] = 174027,
  [SMALL_STATE(4989)] = 174121,
  [SMALL_STATE(4990)] = 174187,
  [SMALL_STATE(4991)] = 174261,
  [SMALL_STATE(4992)] = 174355,
  [SMALL_STATE(4993)] = 174429,
  [SMALL_STATE(4994)] = 174499,
  [SMALL_STATE(4995)] = 174573,
  [SMALL_STATE(4996)] = 174631,
  [SMALL_STATE(4997)] = 174705,
  [SMALL_STATE(4998)] = 174781,
  [SMALL_STATE(4999)] = 174861,
  [SMALL_STATE(5000)] = 174943,
  [SMALL_STATE(5001)] = 175027,
  [SMALL_STATE(5002)] = 175113,
  [SMALL_STATE(5003)] = 175199,
  [SMALL_STATE(5004)] = 175263,
  [SMALL_STATE(5005)] = 175357,
  [SMALL_STATE(5006)] = 175451,
  [SMALL_STATE(5007)] = 175543,
  [SMALL_STATE(5008)] = 175637,
  [SMALL_STATE(5009)] = 175725,
  [SMALL_STATE(5010)] = 175817,
  [SMALL_STATE(5011)] = 175891,
  [SMALL_STATE(5012)] = 175985,
  [SMALL_STATE(5013)] = 176059,
  [SMALL_STATE(5014)] = 176133,
  [SMALL_STATE(5015)] = 176207,
  [SMALL_STATE(5016)] = 176301,
  [SMALL_STATE(5017)] = 176393,
  [SMALL_STATE(5018)] = 176467,
  [SMALL_STATE(5019)] = 176559,
  [SMALL_STATE(5020)] = 176653,
  [SMALL_STATE(5021)] = 176747,
  [SMALL_STATE(5022)] = 176841,
  [SMALL_STATE(5023)] = 176929,
  [SMALL_STATE(5024)] = 176977,
  [SMALL_STATE(5025)] = 177069,
  [SMALL_STATE(5026)] = 177161,
  [SMALL_STATE(5027)] = 177235,
  [SMALL_STATE(5028)] = 177309,
  [SMALL_STATE(5029)] = 177403,
  [SMALL_STATE(5030)] = 177495,
  [SMALL_STATE(5031)] = 177563,
  [SMALL_STATE(5032)] = 177631,
  [SMALL_STATE(5033)] = 177705,
  [SMALL_STATE(5034)] = 177773,
  [SMALL_STATE(5035)] = 177837,
  [SMALL_STATE(5036)] = 177911,
  [SMALL_STATE(5037)] = 177979,
  [SMALL_STATE(5038)] = 178053,
  [SMALL_STATE(5039)] = 178145,
  [SMALL_STATE(5040)] = 178239,
  [SMALL_STATE(5041)] = 178333,
  [SMALL_STATE(5042)] = 178407,
  [SMALL_STATE(5043)] = 178463,
  [SMALL_STATE(5044)] = 178557,
  [SMALL_STATE(5045)] = 178651,
  [SMALL_STATE(5046)] = 178745,
  [SMALL_STATE(5047)] = 178819,
  [SMALL_STATE(5048)] = 178913,
  [SMALL_STATE(5049)] = 179005,
  [SMALL_STATE(5050)] = 179079,
  [SMALL_STATE(5051)] = 179153,
  [SMALL_STATE(5052)] = 179247,
  [SMALL_STATE(5053)] = 179339,
  [SMALL_STATE(5054)] = 179433,
  [SMALL_STATE(5055)] = 179525,
  [SMALL_STATE(5056)] = 179619,
  [SMALL_STATE(5057)] = 179669,
  [SMALL_STATE(5058)] = 179743,
  [SMALL_STATE(5059)] = 179817,
  [SMALL_STATE(5060)] = 179911,
  [SMALL_STATE(5061)] = 179959,
  [SMALL_STATE(5062)] = 180005,
  [SMALL_STATE(5063)] = 180093,
  [SMALL_STATE(5064)] = 180181,
  [SMALL_STATE(5065)] = 180273,
  [SMALL_STATE(5066)] = 180367,
  [SMALL_STATE(5067)] = 180441,
  [SMALL_STATE(5068)] = 180535,
  [SMALL_STATE(5069)] = 180629,
  [SMALL_STATE(5070)] = 180721,
  [SMALL_STATE(5071)] = 180795,
  [SMALL_STATE(5072)] = 180889,
  [SMALL_STATE(5073)] = 180983,
  [SMALL_STATE(5074)] = 181077,
  [SMALL_STATE(5075)] = 181151,
  [SMALL_STATE(5076)] = 181243,
  [SMALL_STATE(5077)] = 181317,
  [SMALL_STATE(5078)] = 181409,
  [SMALL_STATE(5079)] = 181501,
  [SMALL_STATE(5080)] = 181595,
  [SMALL_STATE(5081)] = 181669,
  [SMALL_STATE(5082)] = 181729,
  [SMALL_STATE(5083)] = 181803,
  [SMALL_STATE(5084)] = 181895,
  [SMALL_STATE(5085)] = 181969,
  [SMALL_STATE(5086)] = 182021,
  [SMALL_STATE(5087)] = 182095,
  [SMALL_STATE(5088)] = 182187,
  [SMALL_STATE(5089)] = 182261,
  [SMALL_STATE(5090)] = 182353,
  [SMALL_STATE(5091)] = 182445,
  [SMALL_STATE(5092)] = 182505,
  [SMALL_STATE(5093)] = 182591,
  [SMALL_STATE(5094)] = 182675,
  [SMALL_STATE(5095)] = 182725,
  [SMALL_STATE(5096)] = 182807,
  [SMALL_STATE(5097)] = 182901,
  [SMALL_STATE(5098)] = 182981,
  [SMALL_STATE(5099)] = 183057,
  [SMALL_STATE(5100)] = 183131,
  [SMALL_STATE(5101)] = 183203,
  [SMALL_STATE(5102)] = 183269,
  [SMALL_STATE(5103)] = 183360,
  [SMALL_STATE(5104)] = 183451,
  [SMALL_STATE(5105)] = 183542,
  [SMALL_STATE(5106)] = 183633,
  [SMALL_STATE(5107)] = 183724,
  [SMALL_STATE(5108)] = 183815,
  [SMALL_STATE(5109)] = 183906,
  [SMALL_STATE(5110)] = 183997,
  [SMALL_STATE(5111)] = 184088,
  [SMALL_STATE(5112)] = 184179,
  [SMALL_STATE(5113)] = 184270,
  [SMALL_STATE(5114)] = 184361,
  [SMALL_STATE(5115)] = 184452,
  [SMALL_STATE(5116)] = 184543,
  [SMALL_STATE(5117)] = 184634,
  [SMALL_STATE(5118)] = 184691,
  [SMALL_STATE(5119)] = 184782,
  [SMALL_STATE(5120)] = 184873,
  [SMALL_STATE(5121)] = 184964,
  [SMALL_STATE(5122)] = 185055,
  [SMALL_STATE(5123)] = 185146,
  [SMALL_STATE(5124)] = 185201,
  [SMALL_STATE(5125)] = 185292,
  [SMALL_STATE(5126)] = 185349,
  [SMALL_STATE(5127)] = 185406,
  [SMALL_STATE(5128)] = 185497,
  [SMALL_STATE(5129)] = 185588,
  [SMALL_STATE(5130)] = 185679,
  [SMALL_STATE(5131)] = 185770,
  [SMALL_STATE(5132)] = 185861,
  [SMALL_STATE(5133)] = 185952,
  [SMALL_STATE(5134)] = 186043,
  [SMALL_STATE(5135)] = 186134,
  [SMALL_STATE(5136)] = 186225,
  [SMALL_STATE(5137)] = 186316,
  [SMALL_STATE(5138)] = 186383,
  [SMALL_STATE(5139)] = 186474,
  [SMALL_STATE(5140)] = 186565,
  [SMALL_STATE(5141)] = 186656,
  [SMALL_STATE(5142)] = 186747,
  [SMALL_STATE(5143)] = 186838,
  [SMALL_STATE(5144)] = 186929,
  [SMALL_STATE(5145)] = 187020,
  [SMALL_STATE(5146)] = 187079,
  [SMALL_STATE(5147)] = 187170,
  [SMALL_STATE(5148)] = 187261,
  [SMALL_STATE(5149)] = 187352,
  [SMALL_STATE(5150)] = 187443,
  [SMALL_STATE(5151)] = 187502,
  [SMALL_STATE(5152)] = 187593,
  [SMALL_STATE(5153)] = 187684,
  [SMALL_STATE(5154)] = 187735,
  [SMALL_STATE(5155)] = 187826,
  [SMALL_STATE(5156)] = 187917,
  [SMALL_STATE(5157)] = 188008,
  [SMALL_STATE(5158)] = 188099,
  [SMALL_STATE(5159)] = 188156,
  [SMALL_STATE(5160)] = 188215,
  [SMALL_STATE(5161)] = 188306,
  [SMALL_STATE(5162)] = 188397,
  [SMALL_STATE(5163)] = 188488,
  [SMALL_STATE(5164)] = 188579,
  [SMALL_STATE(5165)] = 188666,
  [SMALL_STATE(5166)] = 188757,
  [SMALL_STATE(5167)] = 188816,
  [SMALL_STATE(5168)] = 188907,
  [SMALL_STATE(5169)] = 188998,
  [SMALL_STATE(5170)] = 189089,
  [SMALL_STATE(5171)] = 189180,
  [SMALL_STATE(5172)] = 189271,
  [SMALL_STATE(5173)] = 189362,
  [SMALL_STATE(5174)] = 189453,
  [SMALL_STATE(5175)] = 189544,
  [SMALL_STATE(5176)] = 189635,
  [SMALL_STATE(5177)] = 189726,
  [SMALL_STATE(5178)] = 189817,
  [SMALL_STATE(5179)] = 189908,
  [SMALL_STATE(5180)] = 189999,
  [SMALL_STATE(5181)] = 190090,
  [SMALL_STATE(5182)] = 190137,
  [SMALL_STATE(5183)] = 190228,
  [SMALL_STATE(5184)] = 190319,
  [SMALL_STATE(5185)] = 190410,
  [SMALL_STATE(5186)] = 190501,
  [SMALL_STATE(5187)] = 190592,
  [SMALL_STATE(5188)] = 190683,
  [SMALL_STATE(5189)] = 190774,
  [SMALL_STATE(5190)] = 190847,
  [SMALL_STATE(5191)] = 190938,
  [SMALL_STATE(5192)] = 190983,
  [SMALL_STATE(5193)] = 191074,
  [SMALL_STATE(5194)] = 191165,
  [SMALL_STATE(5195)] = 191256,
  [SMALL_STATE(5196)] = 191347,
  [SMALL_STATE(5197)] = 191438,
  [SMALL_STATE(5198)] = 191529,
  [SMALL_STATE(5199)] = 191620,
  [SMALL_STATE(5200)] = 191711,
  [SMALL_STATE(5201)] = 191802,
  [SMALL_STATE(5202)] = 191893,
  [SMALL_STATE(5203)] = 191984,
  [SMALL_STATE(5204)] = 192075,
  [SMALL_STATE(5205)] = 192120,
  [SMALL_STATE(5206)] = 192211,
  [SMALL_STATE(5207)] = 192302,
  [SMALL_STATE(5208)] = 192393,
  [SMALL_STATE(5209)] = 192484,
  [SMALL_STATE(5210)] = 192575,
  [SMALL_STATE(5211)] = 192666,
  [SMALL_STATE(5212)] = 192757,
  [SMALL_STATE(5213)] = 192824,
  [SMALL_STATE(5214)] = 192915,
  [SMALL_STATE(5215)] = 193006,
  [SMALL_STATE(5216)] = 193097,
  [SMALL_STATE(5217)] = 193188,
  [SMALL_STATE(5218)] = 193279,
  [SMALL_STATE(5219)] = 193370,
  [SMALL_STATE(5220)] = 193461,
  [SMALL_STATE(5221)] = 193528,
  [SMALL_STATE(5222)] = 193619,
  [SMALL_STATE(5223)] = 193668,
  [SMALL_STATE(5224)] = 193759,
  [SMALL_STATE(5225)] = 193850,
  [SMALL_STATE(5226)] = 193899,
  [SMALL_STATE(5227)] = 193990,
  [SMALL_STATE(5228)] = 194075,
  [SMALL_STATE(5229)] = 194124,
  [SMALL_STATE(5230)] = 194215,
  [SMALL_STATE(5231)] = 194306,
  [SMALL_STATE(5232)] = 194397,
  [SMALL_STATE(5233)] = 194488,
  [SMALL_STATE(5234)] = 194579,
  [SMALL_STATE(5235)] = 194670,
  [SMALL_STATE(5236)] = 194761,
  [SMALL_STATE(5237)] = 194810,
  [SMALL_STATE(5238)] = 194877,
  [SMALL_STATE(5239)] = 194964,
  [SMALL_STATE(5240)] = 195055,
  [SMALL_STATE(5241)] = 195104,
  [SMALL_STATE(5242)] = 195191,
  [SMALL_STATE(5243)] = 195282,
  [SMALL_STATE(5244)] = 195373,
  [SMALL_STATE(5245)] = 195464,
  [SMALL_STATE(5246)] = 195555,
  [SMALL_STATE(5247)] = 195646,
  [SMALL_STATE(5248)] = 195737,
  [SMALL_STATE(5249)] = 195800,
  [SMALL_STATE(5250)] = 195891,
  [SMALL_STATE(5251)] = 195978,
  [SMALL_STATE(5252)] = 196069,
  [SMALL_STATE(5253)] = 196118,
  [SMALL_STATE(5254)] = 196201,
  [SMALL_STATE(5255)] = 196292,
  [SMALL_STATE(5256)] = 196365,
  [SMALL_STATE(5257)] = 196456,
  [SMALL_STATE(5258)] = 196537,
  [SMALL_STATE(5259)] = 196628,
  [SMALL_STATE(5260)] = 196719,
  [SMALL_STATE(5261)] = 196768,
  [SMALL_STATE(5262)] = 196835,
  [SMALL_STATE(5263)] = 196926,
  [SMALL_STATE(5264)] = 196977,
  [SMALL_STATE(5265)] = 197068,
  [SMALL_STATE(5266)] = 197117,
  [SMALL_STATE(5267)] = 197208,
  [SMALL_STATE(5268)] = 197273,
  [SMALL_STATE(5269)] = 197342,
  [SMALL_STATE(5270)] = 197395,
  [SMALL_STATE(5271)] = 197486,
  [SMALL_STATE(5272)] = 197565,
  [SMALL_STATE(5273)] = 197656,
  [SMALL_STATE(5274)] = 197707,
  [SMALL_STATE(5275)] = 197756,
  [SMALL_STATE(5276)] = 197847,
  [SMALL_STATE(5277)] = 197898,
  [SMALL_STATE(5278)] = 197989,
  [SMALL_STATE(5279)] = 198064,
  [SMALL_STATE(5280)] = 198155,
  [SMALL_STATE(5281)] = 198228,
  [SMALL_STATE(5282)] = 198316,
  [SMALL_STATE(5283)] = 198382,
  [SMALL_STATE(5284)] = 198426,
  [SMALL_STATE(5285)] = 198470,
  [SMALL_STATE(5286)] = 198514,
  [SMALL_STATE(5287)] = 198558,
  [SMALL_STATE(5288)] = 198606,
  [SMALL_STATE(5289)] = 198650,
  [SMALL_STATE(5290)] = 198694,
  [SMALL_STATE(5291)] = 198738,
  [SMALL_STATE(5292)] = 198820,
  [SMALL_STATE(5293)] = 198864,
  [SMALL_STATE(5294)] = 198908,
  [SMALL_STATE(5295)] = 198952,
  [SMALL_STATE(5296)] = 198996,
  [SMALL_STATE(5297)] = 199040,
  [SMALL_STATE(5298)] = 199084,
  [SMALL_STATE(5299)] = 199128,
  [SMALL_STATE(5300)] = 199172,
  [SMALL_STATE(5301)] = 199254,
  [SMALL_STATE(5302)] = 199298,
  [SMALL_STATE(5303)] = 199348,
  [SMALL_STATE(5304)] = 199414,
  [SMALL_STATE(5305)] = 199458,
  [SMALL_STATE(5306)] = 199502,
  [SMALL_STATE(5307)] = 199548,
  [SMALL_STATE(5308)] = 199596,
  [SMALL_STATE(5309)] = 199662,
  [SMALL_STATE(5310)] = 199706,
  [SMALL_STATE(5311)] = 199750,
  [SMALL_STATE(5312)] = 199794,
  [SMALL_STATE(5313)] = 199866,
  [SMALL_STATE(5314)] = 199910,
  [SMALL_STATE(5315)] = 199976,
  [SMALL_STATE(5316)] = 200020,
  [SMALL_STATE(5317)] = 200064,
  [SMALL_STATE(5318)] = 200108,
  [SMALL_STATE(5319)] = 200174,
  [SMALL_STATE(5320)] = 200240,
  [SMALL_STATE(5321)] = 200284,
  [SMALL_STATE(5322)] = 200338,
  [SMALL_STATE(5323)] = 200382,
  [SMALL_STATE(5324)] = 200448,
  [SMALL_STATE(5325)] = 200492,
  [SMALL_STATE(5326)] = 200536,
  [SMALL_STATE(5327)] = 200580,
  [SMALL_STATE(5328)] = 200624,
  [SMALL_STATE(5329)] = 200674,
  [SMALL_STATE(5330)] = 200734,
  [SMALL_STATE(5331)] = 200778,
  [SMALL_STATE(5332)] = 200844,
  [SMALL_STATE(5333)] = 200888,
  [SMALL_STATE(5334)] = 200932,
  [SMALL_STATE(5335)] = 200976,
  [SMALL_STATE(5336)] = 201020,
  [SMALL_STATE(5337)] = 201064,
  [SMALL_STATE(5338)] = 201136,
  [SMALL_STATE(5339)] = 201180,
  [SMALL_STATE(5340)] = 201245,
  [SMALL_STATE(5341)] = 201292,
  [SMALL_STATE(5342)] = 201373,
  [SMALL_STATE(5343)] = 201416,
  [SMALL_STATE(5344)] = 201459,
  [SMALL_STATE(5345)] = 201502,
  [SMALL_STATE(5346)] = 201545,
  [SMALL_STATE(5347)] = 201588,
  [SMALL_STATE(5348)] = 201631,
  [SMALL_STATE(5349)] = 201674,
  [SMALL_STATE(5350)] = 201745,
  [SMALL_STATE(5351)] = 201810,
  [SMALL_STATE(5352)] = 201855,
  [SMALL_STATE(5353)] = 201898,
  [SMALL_STATE(5354)] = 201953,
  [SMALL_STATE(5355)] = 202008,
  [SMALL_STATE(5356)] = 202055,
  [SMALL_STATE(5357)] = 202120,
  [SMALL_STATE(5358)] = 202179,
  [SMALL_STATE(5359)] = 202222,
  [SMALL_STATE(5360)] = 202303,
  [SMALL_STATE(5361)] = 202368,
  [SMALL_STATE(5362)] = 202439,
  [SMALL_STATE(5363)] = 202486,
  [SMALL_STATE(5364)] = 202533,
  [SMALL_STATE(5365)] = 202586,
  [SMALL_STATE(5366)] = 202631,
  [SMALL_STATE(5367)] = 202676,
  [SMALL_STATE(5368)] = 202721,
  [SMALL_STATE(5369)] = 202774,
  [SMALL_STATE(5370)] = 202817,
  [SMALL_STATE(5371)] = 202866,
  [SMALL_STATE(5372)] = 202909,
  [SMALL_STATE(5373)] = 202952,
  [SMALL_STATE(5374)] = 202999,
  [SMALL_STATE(5375)] = 203042,
  [SMALL_STATE(5376)] = 203089,
  [SMALL_STATE(5377)] = 203136,
  [SMALL_STATE(5378)] = 203179,
  [SMALL_STATE(5379)] = 203243,
  [SMALL_STATE(5380)] = 203291,
  [SMALL_STATE(5381)] = 203339,
  [SMALL_STATE(5382)] = 203409,
  [SMALL_STATE(5383)] = 203489,
  [SMALL_STATE(5384)] = 203553,
  [SMALL_STATE(5385)] = 203595,
  [SMALL_STATE(5386)] = 203643,
  [SMALL_STATE(5387)] = 203697,
  [SMALL_STATE(5388)] = 203777,
  [SMALL_STATE(5389)] = 203857,
  [SMALL_STATE(5390)] = 203937,
  [SMALL_STATE(5391)] = 203985,
  [SMALL_STATE(5392)] = 204065,
  [SMALL_STATE(5393)] = 204119,
  [SMALL_STATE(5394)] = 204199,
  [SMALL_STATE(5395)] = 204279,
  [SMALL_STATE(5396)] = 204325,
  [SMALL_STATE(5397)] = 204409,
  [SMALL_STATE(5398)] = 204489,
  [SMALL_STATE(5399)] = 204553,
  [SMALL_STATE(5400)] = 204603,
  [SMALL_STATE(5401)] = 204651,
  [SMALL_STATE(5402)] = 204697,
  [SMALL_STATE(5403)] = 204745,
  [SMALL_STATE(5404)] = 204809,
  [SMALL_STATE(5405)] = 204879,
  [SMALL_STATE(5406)] = 204929,
  [SMALL_STATE(5407)] = 204998,
  [SMALL_STATE(5408)] = 205071,
  [SMALL_STATE(5409)] = 205116,
  [SMALL_STATE(5410)] = 205161,
  [SMALL_STATE(5411)] = 205234,
  [SMALL_STATE(5412)] = 205285,
  [SMALL_STATE(5413)] = 205330,
  [SMALL_STATE(5414)] = 205409,
  [SMALL_STATE(5415)] = 205454,
  [SMALL_STATE(5416)] = 205527,
  [SMALL_STATE(5417)] = 205616,
  [SMALL_STATE(5418)] = 205679,
  [SMALL_STATE(5419)] = 205724,
  [SMALL_STATE(5420)] = 205793,
  [SMALL_STATE(5421)] = 205838,
  [SMALL_STATE(5422)] = 205883,
  [SMALL_STATE(5423)] = 205952,
  [SMALL_STATE(5424)] = 206015,
  [SMALL_STATE(5425)] = 206078,
  [SMALL_STATE(5426)] = 206123,
  [SMALL_STATE(5427)] = 206168,
  [SMALL_STATE(5428)] = 206213,
  [SMALL_STATE(5429)] = 206292,
  [SMALL_STATE(5430)] = 206339,
  [SMALL_STATE(5431)] = 206412,
  [SMALL_STATE(5432)] = 206491,
  [SMALL_STATE(5433)] = 206532,
  [SMALL_STATE(5434)] = 206577,
  [SMALL_STATE(5435)] = 206646,
  [SMALL_STATE(5436)] = 206725,
  [SMALL_STATE(5437)] = 206770,
  [SMALL_STATE(5438)] = 206833,
  [SMALL_STATE(5439)] = 206889,
  [SMALL_STATE(5440)] = 206929,
  [SMALL_STATE(5441)] = 206979,
  [SMALL_STATE(5442)] = 207019,
  [SMALL_STATE(5443)] = 207099,
  [SMALL_STATE(5444)] = 207179,
  [SMALL_STATE(5445)] = 207219,
  [SMALL_STATE(5446)] = 207299,
  [SMALL_STATE(5447)] = 207361,
  [SMALL_STATE(5448)] = 207401,
  [SMALL_STATE(5449)] = 207441,
  [SMALL_STATE(5450)] = 207503,
  [SMALL_STATE(5451)] = 207543,
  [SMALL_STATE(5452)] = 207615,
  [SMALL_STATE(5453)] = 207655,
  [SMALL_STATE(5454)] = 207733,
  [SMALL_STATE(5455)] = 207805,
  [SMALL_STATE(5456)] = 207845,
  [SMALL_STATE(5457)] = 207885,
  [SMALL_STATE(5458)] = 207957,
  [SMALL_STATE(5459)] = 207997,
  [SMALL_STATE(5460)] = 208077,
  [SMALL_STATE(5461)] = 208117,
  [SMALL_STATE(5462)] = 208157,
  [SMALL_STATE(5463)] = 208205,
  [SMALL_STATE(5464)] = 208245,
  [SMALL_STATE(5465)] = 208325,
  [SMALL_STATE(5466)] = 208365,
  [SMALL_STATE(5467)] = 208405,
  [SMALL_STATE(5468)] = 208485,
  [SMALL_STATE(5469)] = 208525,
  [SMALL_STATE(5470)] = 208605,
  [SMALL_STATE(5471)] = 208683,
  [SMALL_STATE(5472)] = 208723,
  [SMALL_STATE(5473)] = 208803,
  [SMALL_STATE(5474)] = 208843,
  [SMALL_STATE(5475)] = 208923,
  [SMALL_STATE(5476)] = 209003,
  [SMALL_STATE(5477)] = 209083,
  [SMALL_STATE(5478)] = 209125,
  [SMALL_STATE(5479)] = 209205,
  [SMALL_STATE(5480)] = 209245,
  [SMALL_STATE(5481)] = 209317,
  [SMALL_STATE(5482)] = 209357,
  [SMALL_STATE(5483)] = 209397,
  [SMALL_STATE(5484)] = 209477,
  [SMALL_STATE(5485)] = 209557,
  [SMALL_STATE(5486)] = 209597,
  [SMALL_STATE(5487)] = 209637,
  [SMALL_STATE(5488)] = 209717,
  [SMALL_STATE(5489)] = 209797,
  [SMALL_STATE(5490)] = 209837,
  [SMALL_STATE(5491)] = 209877,
  [SMALL_STATE(5492)] = 209957,
  [SMALL_STATE(5493)] = 210037,
  [SMALL_STATE(5494)] = 210077,
  [SMALL_STATE(5495)] = 210117,
  [SMALL_STATE(5496)] = 210157,
  [SMALL_STATE(5497)] = 210197,
  [SMALL_STATE(5498)] = 210241,
  [SMALL_STATE(5499)] = 210321,
  [SMALL_STATE(5500)] = 210401,
  [SMALL_STATE(5501)] = 210441,
  [SMALL_STATE(5502)] = 210481,
  [SMALL_STATE(5503)] = 210521,
  [SMALL_STATE(5504)] = 210561,
  [SMALL_STATE(5505)] = 210601,
  [SMALL_STATE(5506)] = 210641,
  [SMALL_STATE(5507)] = 210689,
  [SMALL_STATE(5508)] = 210769,
  [SMALL_STATE(5509)] = 210809,
  [SMALL_STATE(5510)] = 210849,
  [SMALL_STATE(5511)] = 210897,
  [SMALL_STATE(5512)] = 210959,
  [SMALL_STATE(5513)] = 211021,
  [SMALL_STATE(5514)] = 211101,
  [SMALL_STATE(5515)] = 211144,
  [SMALL_STATE(5516)] = 211217,
  [SMALL_STATE(5517)] = 211288,
  [SMALL_STATE(5518)] = 211361,
  [SMALL_STATE(5519)] = 211412,
  [SMALL_STATE(5520)] = 211473,
  [SMALL_STATE(5521)] = 211516,
  [SMALL_STATE(5522)] = 211587,
  [SMALL_STATE(5523)] = 211660,
  [SMALL_STATE(5524)] = 211721,
  [SMALL_STATE(5525)] = 211772,
  [SMALL_STATE(5526)] = 211843,
  [SMALL_STATE(5527)] = 211886,
  [SMALL_STATE(5528)] = 211957,
  [SMALL_STATE(5529)] = 212030,
  [SMALL_STATE(5530)] = 212101,
  [SMALL_STATE(5531)] = 212162,
  [SMALL_STATE(5532)] = 212235,
  [SMALL_STATE(5533)] = 212278,
  [SMALL_STATE(5534)] = 212339,
  [SMALL_STATE(5535)] = 212382,
  [SMALL_STATE(5536)] = 212453,
  [SMALL_STATE(5537)] = 212496,
  [SMALL_STATE(5538)] = 212567,
  [SMALL_STATE(5539)] = 212638,
  [SMALL_STATE(5540)] = 212711,
  [SMALL_STATE(5541)] = 212772,
  [SMALL_STATE(5542)] = 212845,
  [SMALL_STATE(5543)] = 212916,
  [SMALL_STATE(5544)] = 212977,
  [SMALL_STATE(5545)] = 213050,
  [SMALL_STATE(5546)] = 213123,
  [SMALL_STATE(5547)] = 213184,
  [SMALL_STATE(5548)] = 213257,
  [SMALL_STATE(5549)] = 213308,
  [SMALL_STATE(5550)] = 213353,
  [SMALL_STATE(5551)] = 213426,
  [SMALL_STATE(5552)] = 213487,
  [SMALL_STATE(5553)] = 213538,
  [SMALL_STATE(5554)] = 213599,
  [SMALL_STATE(5555)] = 213672,
  [SMALL_STATE(5556)] = 213717,
  [SMALL_STATE(5557)] = 213788,
  [SMALL_STATE(5558)] = 213849,
  [SMALL_STATE(5559)] = 213910,
  [SMALL_STATE(5560)] = 213953,
  [SMALL_STATE(5561)] = 214024,
  [SMALL_STATE(5562)] = 214097,
  [SMALL_STATE(5563)] = 214140,
  [SMALL_STATE(5564)] = 214207,
  [SMALL_STATE(5565)] = 214278,
  [SMALL_STATE(5566)] = 214339,
  [SMALL_STATE(5567)] = 214410,
  [SMALL_STATE(5568)] = 214481,
  [SMALL_STATE(5569)] = 214554,
  [SMALL_STATE(5570)] = 214627,
  [SMALL_STATE(5571)] = 214698,
  [SMALL_STATE(5572)] = 214771,
  [SMALL_STATE(5573)] = 214844,
  [SMALL_STATE(5574)] = 214887,
  [SMALL_STATE(5575)] = 214958,
  [SMALL_STATE(5576)] = 215001,
  [SMALL_STATE(5577)] = 215068,
  [SMALL_STATE(5578)] = 215111,
  [SMALL_STATE(5579)] = 215154,
  [SMALL_STATE(5580)] = 215224,
  [SMALL_STATE(5581)] = 215298,
  [SMALL_STATE(5582)] = 215356,
  [SMALL_STATE(5583)] = 215430,
  [SMALL_STATE(5584)] = 215488,
  [SMALL_STATE(5585)] = 215562,
  [SMALL_STATE(5586)] = 215620,
  [SMALL_STATE(5587)] = 215690,
  [SMALL_STATE(5588)] = 215764,
  [SMALL_STATE(5589)] = 215834,
  [SMALL_STATE(5590)] = 215892,
  [SMALL_STATE(5591)] = 215966,
  [SMALL_STATE(5592)] = 216024,
  [SMALL_STATE(5593)] = 216082,
  [SMALL_STATE(5594)] = 216142,
  [SMALL_STATE(5595)] = 216216,
  [SMALL_STATE(5596)] = 216274,
  [SMALL_STATE(5597)] = 216344,
  [SMALL_STATE(5598)] = 216382,
  [SMALL_STATE(5599)] = 216442,
  [SMALL_STATE(5600)] = 216518,
  [SMALL_STATE(5601)] = 216592,
  [SMALL_STATE(5602)] = 216630,
  [SMALL_STATE(5603)] = 216704,
  [SMALL_STATE(5604)] = 216778,
  [SMALL_STATE(5605)] = 216852,
  [SMALL_STATE(5606)] = 216926,
  [SMALL_STATE(5607)] = 217000,
  [SMALL_STATE(5608)] = 217038,
  [SMALL_STATE(5609)] = 217112,
  [SMALL_STATE(5610)] = 217186,
  [SMALL_STATE(5611)] = 217262,
  [SMALL_STATE(5612)] = 217336,
  [SMALL_STATE(5613)] = 217394,
  [SMALL_STATE(5614)] = 217452,
  [SMALL_STATE(5615)] = 217526,
  [SMALL_STATE(5616)] = 217584,
  [SMALL_STATE(5617)] = 217658,
  [SMALL_STATE(5618)] = 217716,
  [SMALL_STATE(5619)] = 217758,
  [SMALL_STATE(5620)] = 217832,
  [SMALL_STATE(5621)] = 217890,
  [SMALL_STATE(5622)] = 217950,
  [SMALL_STATE(5623)] = 218020,
  [SMALL_STATE(5624)] = 218058,
  [SMALL_STATE(5625)] = 218132,
  [SMALL_STATE(5626)] = 218206,
  [SMALL_STATE(5627)] = 218264,
  [SMALL_STATE(5628)] = 218324,
  [SMALL_STATE(5629)] = 218382,
  [SMALL_STATE(5630)] = 218440,
  [SMALL_STATE(5631)] = 218514,
  [SMALL_STATE(5632)] = 218558,
  [SMALL_STATE(5633)] = 218618,
  [SMALL_STATE(5634)] = 218692,
  [SMALL_STATE(5635)] = 218766,
  [SMALL_STATE(5636)] = 218806,
  [SMALL_STATE(5637)] = 218876,
  [SMALL_STATE(5638)] = 218950,
  [SMALL_STATE(5639)] = 219008,
  [SMALL_STATE(5640)] = 219082,
  [SMALL_STATE(5641)] = 219142,
  [SMALL_STATE(5642)] = 219216,
  [SMALL_STATE(5643)] = 219274,
  [SMALL_STATE(5644)] = 219348,
  [SMALL_STATE(5645)] = 219422,
  [SMALL_STATE(5646)] = 219466,
  [SMALL_STATE(5647)] = 219540,
  [SMALL_STATE(5648)] = 219614,
  [SMALL_STATE(5649)] = 219688,
  [SMALL_STATE(5650)] = 219746,
  [SMALL_STATE(5651)] = 219820,
  [SMALL_STATE(5652)] = 219896,
  [SMALL_STATE(5653)] = 219970,
  [SMALL_STATE(5654)] = 220020,
  [SMALL_STATE(5655)] = 220078,
  [SMALL_STATE(5656)] = 220148,
  [SMALL_STATE(5657)] = 220222,
  [SMALL_STATE(5658)] = 220296,
  [SMALL_STATE(5659)] = 220354,
  [SMALL_STATE(5660)] = 220412,
  [SMALL_STATE(5661)] = 220472,
  [SMALL_STATE(5662)] = 220530,
  [SMALL_STATE(5663)] = 220588,
  [SMALL_STATE(5664)] = 220646,
  [SMALL_STATE(5665)] = 220720,
  [SMALL_STATE(5666)] = 220790,
  [SMALL_STATE(5667)] = 220828,
  [SMALL_STATE(5668)] = 220902,
  [SMALL_STATE(5669)] = 220962,
  [SMALL_STATE(5670)] = 221036,
  [SMALL_STATE(5671)] = 221074,
  [SMALL_STATE(5672)] = 221150,
  [SMALL_STATE(5673)] = 221224,
  [SMALL_STATE(5674)] = 221298,
  [SMALL_STATE(5675)] = 221336,
  [SMALL_STATE(5676)] = 221410,
  [SMALL_STATE(5677)] = 221480,
  [SMALL_STATE(5678)] = 221554,
  [SMALL_STATE(5679)] = 221628,
  [SMALL_STATE(5680)] = 221702,
  [SMALL_STATE(5681)] = 221776,
  [SMALL_STATE(5682)] = 221855,
  [SMALL_STATE(5683)] = 221934,
  [SMALL_STATE(5684)] = 222001,
  [SMALL_STATE(5685)] = 222080,
  [SMALL_STATE(5686)] = 222159,
  [SMALL_STATE(5687)] = 222226,
  [SMALL_STATE(5688)] = 222305,
  [SMALL_STATE(5689)] = 222372,
  [SMALL_STATE(5690)] = 222451,
  [SMALL_STATE(5691)] = 222530,
  [SMALL_STATE(5692)] = 222609,
  [SMALL_STATE(5693)] = 222688,
  [SMALL_STATE(5694)] = 222767,
  [SMALL_STATE(5695)] = 222846,
  [SMALL_STATE(5696)] = 222925,
  [SMALL_STATE(5697)] = 223004,
  [SMALL_STATE(5698)] = 223083,
  [SMALL_STATE(5699)] = 223120,
  [SMALL_STATE(5700)] = 223199,
  [SMALL_STATE(5701)] = 223278,
  [SMALL_STATE(5702)] = 223357,
  [SMALL_STATE(5703)] = 223436,
  [SMALL_STATE(5704)] = 223515,
  [SMALL_STATE(5705)] = 223594,
  [SMALL_STATE(5706)] = 223673,
  [SMALL_STATE(5707)] = 223752,
  [SMALL_STATE(5708)] = 223831,
  [SMALL_STATE(5709)] = 223868,
  [SMALL_STATE(5710)] = 223905,
  [SMALL_STATE(5711)] = 223984,
  [SMALL_STATE(5712)] = 224051,
  [SMALL_STATE(5713)] = 224118,
  [SMALL_STATE(5714)] = 224197,
  [SMALL_STATE(5715)] = 224276,
  [SMALL_STATE(5716)] = 224355,
  [SMALL_STATE(5717)] = 224434,
  [SMALL_STATE(5718)] = 224513,
  [SMALL_STATE(5719)] = 224592,
  [SMALL_STATE(5720)] = 224659,
  [SMALL_STATE(5721)] = 224738,
  [SMALL_STATE(5722)] = 224775,
  [SMALL_STATE(5723)] = 224854,
  [SMALL_STATE(5724)] = 224891,
  [SMALL_STATE(5725)] = 224970,
  [SMALL_STATE(5726)] = 225049,
  [SMALL_STATE(5727)] = 225128,
  [SMALL_STATE(5728)] = 225165,
  [SMALL_STATE(5729)] = 225232,
  [SMALL_STATE(5730)] = 225269,
  [SMALL_STATE(5731)] = 225348,
  [SMALL_STATE(5732)] = 225427,
  [SMALL_STATE(5733)] = 225506,
  [SMALL_STATE(5734)] = 225585,
  [SMALL_STATE(5735)] = 225652,
  [SMALL_STATE(5736)] = 225721,
  [SMALL_STATE(5737)] = 225800,
  [SMALL_STATE(5738)] = 225879,
  [SMALL_STATE(5739)] = 225958,
  [SMALL_STATE(5740)] = 226037,
  [SMALL_STATE(5741)] = 226106,
  [SMALL_STATE(5742)] = 226185,
  [SMALL_STATE(5743)] = 226264,
  [SMALL_STATE(5744)] = 226331,
  [SMALL_STATE(5745)] = 226410,
  [SMALL_STATE(5746)] = 226447,
  [SMALL_STATE(5747)] = 226492,
  [SMALL_STATE(5748)] = 226537,
  [SMALL_STATE(5749)] = 226616,
  [SMALL_STATE(5750)] = 226695,
  [SMALL_STATE(5751)] = 226732,
  [SMALL_STATE(5752)] = 226811,
  [SMALL_STATE(5753)] = 226878,
  [SMALL_STATE(5754)] = 226957,
  [SMALL_STATE(5755)] = 227036,
  [SMALL_STATE(5756)] = 227115,
  [SMALL_STATE(5757)] = 227152,
  [SMALL_STATE(5758)] = 227219,
  [SMALL_STATE(5759)] = 227298,
  [SMALL_STATE(5760)] = 227335,
  [SMALL_STATE(5761)] = 227372,
  [SMALL_STATE(5762)] = 227409,
  [SMALL_STATE(5763)] = 227476,
  [SMALL_STATE(5764)] = 227513,
  [SMALL_STATE(5765)] = 227550,
  [SMALL_STATE(5766)] = 227587,
  [SMALL_STATE(5767)] = 227666,
  [SMALL_STATE(5768)] = 227733,
  [SMALL_STATE(5769)] = 227770,
  [SMALL_STATE(5770)] = 227849,
  [SMALL_STATE(5771)] = 227886,
  [SMALL_STATE(5772)] = 227923,
  [SMALL_STATE(5773)] = 227960,
  [SMALL_STATE(5774)] = 228027,
  [SMALL_STATE(5775)] = 228094,
  [SMALL_STATE(5776)] = 228173,
  [SMALL_STATE(5777)] = 228210,
  [SMALL_STATE(5778)] = 228277,
  [SMALL_STATE(5779)] = 228356,
  [SMALL_STATE(5780)] = 228393,
  [SMALL_STATE(5781)] = 228442,
  [SMALL_STATE(5782)] = 228479,
  [SMALL_STATE(5783)] = 228558,
  [SMALL_STATE(5784)] = 228607,
  [SMALL_STATE(5785)] = 228686,
  [SMALL_STATE(5786)] = 228765,
  [SMALL_STATE(5787)] = 228844,
  [SMALL_STATE(5788)] = 228911,
  [SMALL_STATE(5789)] = 228990,
  [SMALL_STATE(5790)] = 229069,
  [SMALL_STATE(5791)] = 229148,
  [SMALL_STATE(5792)] = 229215,
  [SMALL_STATE(5793)] = 229294,
  [SMALL_STATE(5794)] = 229373,
  [SMALL_STATE(5795)] = 229440,
  [SMALL_STATE(5796)] = 229519,
  [SMALL_STATE(5797)] = 229598,
  [SMALL_STATE(5798)] = 229665,
  [SMALL_STATE(5799)] = 229702,
  [SMALL_STATE(5800)] = 229739,
  [SMALL_STATE(5801)] = 229818,
  [SMALL_STATE(5802)] = 229897,
  [SMALL_STATE(5803)] = 229976,
  [SMALL_STATE(5804)] = 230055,
  [SMALL_STATE(5805)] = 230122,
  [SMALL_STATE(5806)] = 230189,
  [SMALL_STATE(5807)] = 230268,
  [SMALL_STATE(5808)] = 230305,
  [SMALL_STATE(5809)] = 230384,
  [SMALL_STATE(5810)] = 230463,
  [SMALL_STATE(5811)] = 230542,
  [SMALL_STATE(5812)] = 230621,
  [SMALL_STATE(5813)] = 230658,
  [SMALL_STATE(5814)] = 230737,
  [SMALL_STATE(5815)] = 230774,
  [SMALL_STATE(5816)] = 230823,
  [SMALL_STATE(5817)] = 230902,
  [SMALL_STATE(5818)] = 230981,
  [SMALL_STATE(5819)] = 231050,
  [SMALL_STATE(5820)] = 231087,
  [SMALL_STATE(5821)] = 231124,
  [SMALL_STATE(5822)] = 231161,
  [SMALL_STATE(5823)] = 231198,
  [SMALL_STATE(5824)] = 231277,
  [SMALL_STATE(5825)] = 231314,
  [SMALL_STATE(5826)] = 231383,
  [SMALL_STATE(5827)] = 231462,
  [SMALL_STATE(5828)] = 231499,
  [SMALL_STATE(5829)] = 231536,
  [SMALL_STATE(5830)] = 231615,
  [SMALL_STATE(5831)] = 231694,
  [SMALL_STATE(5832)] = 231761,
  [SMALL_STATE(5833)] = 231840,
  [SMALL_STATE(5834)] = 231919,
  [SMALL_STATE(5835)] = 231998,
  [SMALL_STATE(5836)] = 232047,
  [SMALL_STATE(5837)] = 232095,
  [SMALL_STATE(5838)] = 232157,
  [SMALL_STATE(5839)] = 232219,
  [SMALL_STATE(5840)] = 232295,
  [SMALL_STATE(5841)] = 232371,
  [SMALL_STATE(5842)] = 232433,
  [SMALL_STATE(5843)] = 232491,
  [SMALL_STATE(5844)] = 232567,
  [SMALL_STATE(5845)] = 232643,
  [SMALL_STATE(5846)] = 232705,
  [SMALL_STATE(5847)] = 232763,
  [SMALL_STATE(5848)] = 232839,
  [SMALL_STATE(5849)] = 232915,
  [SMALL_STATE(5850)] = 232991,
  [SMALL_STATE(5851)] = 233053,
  [SMALL_STATE(5852)] = 233129,
  [SMALL_STATE(5853)] = 233205,
  [SMALL_STATE(5854)] = 233281,
  [SMALL_STATE(5855)] = 233357,
  [SMALL_STATE(5856)] = 233415,
  [SMALL_STATE(5857)] = 233491,
  [SMALL_STATE(5858)] = 233531,
  [SMALL_STATE(5859)] = 233589,
  [SMALL_STATE(5860)] = 233665,
  [SMALL_STATE(5861)] = 233741,
  [SMALL_STATE(5862)] = 233803,
  [SMALL_STATE(5863)] = 233879,
  [SMALL_STATE(5864)] = 233955,
  [SMALL_STATE(5865)] = 234031,
  [SMALL_STATE(5866)] = 234107,
  [SMALL_STATE(5867)] = 234183,
  [SMALL_STATE(5868)] = 234259,
  [SMALL_STATE(5869)] = 234320,
  [SMALL_STATE(5870)] = 234387,
  [SMALL_STATE(5871)] = 234454,
  [SMALL_STATE(5872)] = 234515,
  [SMALL_STATE(5873)] = 234560,
  [SMALL_STATE(5874)] = 234627,
  [SMALL_STATE(5875)] = 234688,
  [SMALL_STATE(5876)] = 234731,
  [SMALL_STATE(5877)] = 234798,
  [SMALL_STATE(5878)] = 234841,
  [SMALL_STATE(5879)] = 234908,
  [SMALL_STATE(5880)] = 234969,
  [SMALL_STATE(5881)] = 235030,
  [SMALL_STATE(5882)] = 235097,
  [SMALL_STATE(5883)] = 235164,
  [SMALL_STATE(5884)] = 235231,
  [SMALL_STATE(5885)] = 235292,
  [SMALL_STATE(5886)] = 235352,
  [SMALL_STATE(5887)] = 235390,
  [SMALL_STATE(5888)] = 235450,
  [SMALL_STATE(5889)] = 235510,
  [SMALL_STATE(5890)] = 235570,
  [SMALL_STATE(5891)] = 235630,
  [SMALL_STATE(5892)] = 235690,
  [SMALL_STATE(5893)] = 235750,
  [SMALL_STATE(5894)] = 235792,
  [SMALL_STATE(5895)] = 235830,
  [SMALL_STATE(5896)] = 235890,
  [SMALL_STATE(5897)] = 235928,
  [SMALL_STATE(5898)] = 235966,
  [SMALL_STATE(5899)] = 236026,
  [SMALL_STATE(5900)] = 236086,
  [SMALL_STATE(5901)] = 236130,
  [SMALL_STATE(5902)] = 236190,
  [SMALL_STATE(5903)] = 236250,
  [SMALL_STATE(5904)] = 236286,
  [SMALL_STATE(5905)] = 236324,
  [SMALL_STATE(5906)] = 236384,
  [SMALL_STATE(5907)] = 236444,
  [SMALL_STATE(5908)] = 236504,
  [SMALL_STATE(5909)] = 236564,
  [SMALL_STATE(5910)] = 236624,
  [SMALL_STATE(5911)] = 236684,
  [SMALL_STATE(5912)] = 236728,
  [SMALL_STATE(5913)] = 236788,
  [SMALL_STATE(5914)] = 236848,
  [SMALL_STATE(5915)] = 236908,
  [SMALL_STATE(5916)] = 236968,
  [SMALL_STATE(5917)] = 237002,
  [SMALL_STATE(5918)] = 237036,
  [SMALL_STATE(5919)] = 237074,
  [SMALL_STATE(5920)] = 237112,
  [SMALL_STATE(5921)] = 237172,
  [SMALL_STATE(5922)] = 237232,
  [SMALL_STATE(5923)] = 237293,
  [SMALL_STATE(5924)] = 237330,
  [SMALL_STATE(5925)] = 237389,
  [SMALL_STATE(5926)] = 237450,
  [SMALL_STATE(5927)] = 237509,
  [SMALL_STATE(5928)] = 237546,
  [SMALL_STATE(5929)] = 237605,
  [SMALL_STATE(5930)] = 237642,
  [SMALL_STATE(5931)] = 237701,
  [SMALL_STATE(5932)] = 237760,
  [SMALL_STATE(5933)] = 237819,
  [SMALL_STATE(5934)] = 237880,
  [SMALL_STATE(5935)] = 237941,
  [SMALL_STATE(5936)] = 238000,
  [SMALL_STATE(5937)] = 238037,
  [SMALL_STATE(5938)] = 238096,
  [SMALL_STATE(5939)] = 238155,
  [SMALL_STATE(5940)] = 238216,
  [SMALL_STATE(5941)] = 238253,
  [SMALL_STATE(5942)] = 238312,
  [SMALL_STATE(5943)] = 238371,
  [SMALL_STATE(5944)] = 238432,
  [SMALL_STATE(5945)] = 238469,
  [SMALL_STATE(5946)] = 238530,
  [SMALL_STATE(5947)] = 238591,
  [SMALL_STATE(5948)] = 238628,
  [SMALL_STATE(5949)] = 238687,
  [SMALL_STATE(5950)] = 238724,
  [SMALL_STATE(5951)] = 238761,
  [SMALL_STATE(5952)] = 238798,
  [SMALL_STATE(5953)] = 238835,
  [SMALL_STATE(5954)] = 238896,
  [SMALL_STATE(5955)] = 238933,
  [SMALL_STATE(5956)] = 238970,
  [SMALL_STATE(5957)] = 239028,
  [SMALL_STATE(5958)] = 239076,
  [SMALL_STATE(5959)] = 239134,
  [SMALL_STATE(5960)] = 239182,
  [SMALL_STATE(5961)] = 239240,
  [SMALL_STATE(5962)] = 239298,
  [SMALL_STATE(5963)] = 239332,
  [SMALL_STATE(5964)] = 239368,
  [SMALL_STATE(5965)] = 239426,
  [SMALL_STATE(5966)] = 239474,
  [SMALL_STATE(5967)] = 239532,
  [SMALL_STATE(5968)] = 239567,
  [SMALL_STATE(5969)] = 239614,
  [SMALL_STATE(5970)] = 239649,
  [SMALL_STATE(5971)] = 239686,
  [SMALL_STATE(5972)] = 239738,
  [SMALL_STATE(5973)] = 239790,
  [SMALL_STATE(5974)] = 239846,
  [SMALL_STATE(5975)] = 239898,
  [SMALL_STATE(5976)] = 239954,
  [SMALL_STATE(5977)] = 240024,
  [SMALL_STATE(5978)] = 240076,
  [SMALL_STATE(5979)] = 240132,
  [SMALL_STATE(5980)] = 240184,
  [SMALL_STATE(5981)] = 240236,
  [SMALL_STATE(5982)] = 240304,
  [SMALL_STATE(5983)] = 240338,
  [SMALL_STATE(5984)] = 240390,
  [SMALL_STATE(5985)] = 240442,
  [SMALL_STATE(5986)] = 240494,
  [SMALL_STATE(5987)] = 240546,
  [SMALL_STATE(5988)] = 240598,
  [SMALL_STATE(5989)] = 240650,
  [SMALL_STATE(5990)] = 240702,
  [SMALL_STATE(5991)] = 240754,
  [SMALL_STATE(5992)] = 240806,
  [SMALL_STATE(5993)] = 240858,
  [SMALL_STATE(5994)] = 240910,
  [SMALL_STATE(5995)] = 240966,
  [SMALL_STATE(5996)] = 241004,
  [SMALL_STATE(5997)] = 241074,
  [SMALL_STATE(5998)] = 241126,
  [SMALL_STATE(5999)] = 241194,
  [SMALL_STATE(6000)] = 241250,
  [SMALL_STATE(6001)] = 241288,
  [SMALL_STATE(6002)] = 241344,
  [SMALL_STATE(6003)] = 241396,
  [SMALL_STATE(6004)] = 241448,
  [SMALL_STATE(6005)] = 241504,
  [SMALL_STATE(6006)] = 241572,
  [SMALL_STATE(6007)] = 241624,
  [SMALL_STATE(6008)] = 241676,
  [SMALL_STATE(6009)] = 241728,
  [SMALL_STATE(6010)] = 241780,
  [SMALL_STATE(6011)] = 241832,
  [SMALL_STATE(6012)] = 241884,
  [SMALL_STATE(6013)] = 241936,
  [SMALL_STATE(6014)] = 241988,
  [SMALL_STATE(6015)] = 242044,
  [SMALL_STATE(6016)] = 242096,
  [SMALL_STATE(6017)] = 242148,
  [SMALL_STATE(6018)] = 242200,
  [SMALL_STATE(6019)] = 242252,
  [SMALL_STATE(6020)] = 242304,
  [SMALL_STATE(6021)] = 242372,
  [SMALL_STATE(6022)] = 242424,
  [SMALL_STATE(6023)] = 242476,
  [SMALL_STATE(6024)] = 242528,
  [SMALL_STATE(6025)] = 242580,
  [SMALL_STATE(6026)] = 242632,
  [SMALL_STATE(6027)] = 242688,
  [SMALL_STATE(6028)] = 242740,
  [SMALL_STATE(6029)] = 242796,
  [SMALL_STATE(6030)] = 242852,
  [SMALL_STATE(6031)] = 242904,
  [SMALL_STATE(6032)] = 242956,
  [SMALL_STATE(6033)] = 243002,
  [SMALL_STATE(6034)] = 243054,
  [SMALL_STATE(6035)] = 243106,
  [SMALL_STATE(6036)] = 243158,
  [SMALL_STATE(6037)] = 243204,
  [SMALL_STATE(6038)] = 243256,
  [SMALL_STATE(6039)] = 243326,
  [SMALL_STATE(6040)] = 243382,
  [SMALL_STATE(6041)] = 243441,
  [SMALL_STATE(6042)] = 243500,
  [SMALL_STATE(6043)] = 243559,
  [SMALL_STATE(6044)] = 243618,
  [SMALL_STATE(6045)] = 243677,
  [SMALL_STATE(6046)] = 243736,
  [SMALL_STATE(6047)] = 243795,
  [SMALL_STATE(6048)] = 243854,
  [SMALL_STATE(6049)] = 243913,
  [SMALL_STATE(6050)] = 243972,
  [SMALL_STATE(6051)] = 244031,
  [SMALL_STATE(6052)] = 244090,
  [SMALL_STATE(6053)] = 244149,
  [SMALL_STATE(6054)] = 244208,
  [SMALL_STATE(6055)] = 244267,
  [SMALL_STATE(6056)] = 244330,
  [SMALL_STATE(6057)] = 244389,
  [SMALL_STATE(6058)] = 244448,
  [SMALL_STATE(6059)] = 244507,
  [SMALL_STATE(6060)] = 244566,
  [SMALL_STATE(6061)] = 244609,
  [SMALL_STATE(6062)] = 244668,
  [SMALL_STATE(6063)] = 244727,
  [SMALL_STATE(6064)] = 244786,
  [SMALL_STATE(6065)] = 244845,
  [SMALL_STATE(6066)] = 244904,
  [SMALL_STATE(6067)] = 244963,
  [SMALL_STATE(6068)] = 245022,
  [SMALL_STATE(6069)] = 245081,
  [SMALL_STATE(6070)] = 245140,
  [SMALL_STATE(6071)] = 245169,
  [SMALL_STATE(6072)] = 245228,
  [SMALL_STATE(6073)] = 245287,
  [SMALL_STATE(6074)] = 245346,
  [SMALL_STATE(6075)] = 245391,
  [SMALL_STATE(6076)] = 245450,
  [SMALL_STATE(6077)] = 245509,
  [SMALL_STATE(6078)] = 245564,
  [SMALL_STATE(6079)] = 245623,
  [SMALL_STATE(6080)] = 245682,
  [SMALL_STATE(6081)] = 245741,
  [SMALL_STATE(6082)] = 245800,
  [SMALL_STATE(6083)] = 245859,
  [SMALL_STATE(6084)] = 245918,
  [SMALL_STATE(6085)] = 245977,
  [SMALL_STATE(6086)] = 246036,
  [SMALL_STATE(6087)] = 246095,
  [SMALL_STATE(6088)] = 246154,
  [SMALL_STATE(6089)] = 246213,
  [SMALL_STATE(6090)] = 246272,
  [SMALL_STATE(6091)] = 246331,
  [SMALL_STATE(6092)] = 246390,
  [SMALL_STATE(6093)] = 246449,
  [SMALL_STATE(6094)] = 246508,
  [SMALL_STATE(6095)] = 246567,
  [SMALL_STATE(6096)] = 246626,
  [SMALL_STATE(6097)] = 246659,
  [SMALL_STATE(6098)] = 246702,
  [SMALL_STATE(6099)] = 246745,
  [SMALL_STATE(6100)] = 246804,
  [SMALL_STATE(6101)] = 246863,
  [SMALL_STATE(6102)] = 246922,
  [SMALL_STATE(6103)] = 246977,
  [SMALL_STATE(6104)] = 247036,
  [SMALL_STATE(6105)] = 247095,
  [SMALL_STATE(6106)] = 247154,
  [SMALL_STATE(6107)] = 247213,
  [SMALL_STATE(6108)] = 247268,
  [SMALL_STATE(6109)] = 247327,
  [SMALL_STATE(6110)] = 247356,
  [SMALL_STATE(6111)] = 247415,
  [SMALL_STATE(6112)] = 247474,
  [SMALL_STATE(6113)] = 247533,
  [SMALL_STATE(6114)] = 247592,
  [SMALL_STATE(6115)] = 247651,
  [SMALL_STATE(6116)] = 247710,
  [SMALL_STATE(6117)] = 247769,
  [SMALL_STATE(6118)] = 247828,
  [SMALL_STATE(6119)] = 247887,
  [SMALL_STATE(6120)] = 247946,
  [SMALL_STATE(6121)] = 248005,
  [SMALL_STATE(6122)] = 248064,
  [SMALL_STATE(6123)] = 248123,
  [SMALL_STATE(6124)] = 248182,
  [SMALL_STATE(6125)] = 248241,
  [SMALL_STATE(6126)] = 248300,
  [SMALL_STATE(6127)] = 248359,
  [SMALL_STATE(6128)] = 248418,
  [SMALL_STATE(6129)] = 248477,
  [SMALL_STATE(6130)] = 248536,
  [SMALL_STATE(6131)] = 248595,
  [SMALL_STATE(6132)] = 248654,
  [SMALL_STATE(6133)] = 248713,
  [SMALL_STATE(6134)] = 248772,
  [SMALL_STATE(6135)] = 248831,
  [SMALL_STATE(6136)] = 248890,
  [SMALL_STATE(6137)] = 248949,
  [SMALL_STATE(6138)] = 249008,
  [SMALL_STATE(6139)] = 249067,
  [SMALL_STATE(6140)] = 249126,
  [SMALL_STATE(6141)] = 249185,
  [SMALL_STATE(6142)] = 249244,
  [SMALL_STATE(6143)] = 249303,
  [SMALL_STATE(6144)] = 249362,
  [SMALL_STATE(6145)] = 249421,
  [SMALL_STATE(6146)] = 249480,
  [SMALL_STATE(6147)] = 249539,
  [SMALL_STATE(6148)] = 249598,
  [SMALL_STATE(6149)] = 249657,
  [SMALL_STATE(6150)] = 249716,
  [SMALL_STATE(6151)] = 249775,
  [SMALL_STATE(6152)] = 249815,
  [SMALL_STATE(6153)] = 249855,
  [SMALL_STATE(6154)] = 249895,
  [SMALL_STATE(6155)] = 249953,
  [SMALL_STATE(6156)] = 249995,
  [SMALL_STATE(6157)] = 250059,
  [SMALL_STATE(6158)] = 250123,
  [SMALL_STATE(6159)] = 250163,
  [SMALL_STATE(6160)] = 250207,
  [SMALL_STATE(6161)] = 250271,
  [SMALL_STATE(6162)] = 250311,
  [SMALL_STATE(6163)] = 250351,
  [SMALL_STATE(6164)] = 250379,
  [SMALL_STATE(6165)] = 250419,
  [SMALL_STATE(6166)] = 250471,
  [SMALL_STATE(6167)] = 250507,
  [SMALL_STATE(6168)] = 250565,
  [SMALL_STATE(6169)] = 250599,
  [SMALL_STATE(6170)] = 250651,
  [SMALL_STATE(6171)] = 250691,
  [SMALL_STATE(6172)] = 250731,
  [SMALL_STATE(6173)] = 250795,
  [SMALL_STATE(6174)] = 250853,
  [SMALL_STATE(6175)] = 250893,
  [SMALL_STATE(6176)] = 250933,
  [SMALL_STATE(6177)] = 250979,
  [SMALL_STATE(6178)] = 251043,
  [SMALL_STATE(6179)] = 251083,
  [SMALL_STATE(6180)] = 251123,
  [SMALL_STATE(6181)] = 251163,
  [SMALL_STATE(6182)] = 251227,
  [SMALL_STATE(6183)] = 251285,
  [SMALL_STATE(6184)] = 251325,
  [SMALL_STATE(6185)] = 251365,
  [SMALL_STATE(6186)] = 251405,
  [SMALL_STATE(6187)] = 251457,
  [SMALL_STATE(6188)] = 251497,
  [SMALL_STATE(6189)] = 251537,
  [SMALL_STATE(6190)] = 251577,
  [SMALL_STATE(6191)] = 251617,
  [SMALL_STATE(6192)] = 251681,
  [SMALL_STATE(6193)] = 251709,
  [SMALL_STATE(6194)] = 251749,
  [SMALL_STATE(6195)] = 251777,
  [SMALL_STATE(6196)] = 251805,
  [SMALL_STATE(6197)] = 251845,
  [SMALL_STATE(6198)] = 251909,
  [SMALL_STATE(6199)] = 251949,
  [SMALL_STATE(6200)] = 251989,
  [SMALL_STATE(6201)] = 252035,
  [SMALL_STATE(6202)] = 252087,
  [SMALL_STATE(6203)] = 252127,
  [SMALL_STATE(6204)] = 252191,
  [SMALL_STATE(6205)] = 252249,
  [SMALL_STATE(6206)] = 252289,
  [SMALL_STATE(6207)] = 252329,
  [SMALL_STATE(6208)] = 252369,
  [SMALL_STATE(6209)] = 252413,
  [SMALL_STATE(6210)] = 252449,
  [SMALL_STATE(6211)] = 252489,
  [SMALL_STATE(6212)] = 252529,
  [SMALL_STATE(6213)] = 252593,
  [SMALL_STATE(6214)] = 252629,
  [SMALL_STATE(6215)] = 252687,
  [SMALL_STATE(6216)] = 252745,
  [SMALL_STATE(6217)] = 252785,
  [SMALL_STATE(6218)] = 252813,
  [SMALL_STATE(6219)] = 252871,
  [SMALL_STATE(6220)] = 252911,
  [SMALL_STATE(6221)] = 252975,
  [SMALL_STATE(6222)] = 253015,
  [SMALL_STATE(6223)] = 253055,
  [SMALL_STATE(6224)] = 253095,
  [SMALL_STATE(6225)] = 253159,
  [SMALL_STATE(6226)] = 253207,
  [SMALL_STATE(6227)] = 253235,
  [SMALL_STATE(6228)] = 253299,
  [SMALL_STATE(6229)] = 253339,
  [SMALL_STATE(6230)] = 253367,
  [SMALL_STATE(6231)] = 253395,
  [SMALL_STATE(6232)] = 253435,
  [SMALL_STATE(6233)] = 253493,
  [SMALL_STATE(6234)] = 253533,
  [SMALL_STATE(6235)] = 253573,
  [SMALL_STATE(6236)] = 253637,
  [SMALL_STATE(6237)] = 253665,
  [SMALL_STATE(6238)] = 253697,
  [SMALL_STATE(6239)] = 253725,
  [SMALL_STATE(6240)] = 253765,
  [SMALL_STATE(6241)] = 253815,
  [SMALL_STATE(6242)] = 253855,
  [SMALL_STATE(6243)] = 253894,
  [SMALL_STATE(6244)] = 253933,
  [SMALL_STATE(6245)] = 253978,
  [SMALL_STATE(6246)] = 254013,
  [SMALL_STATE(6247)] = 254040,
  [SMALL_STATE(6248)] = 254067,
  [SMALL_STATE(6249)] = 254098,
  [SMALL_STATE(6250)] = 254125,
  [SMALL_STATE(6251)] = 254152,
  [SMALL_STATE(6252)] = 254191,
  [SMALL_STATE(6253)] = 254218,
  [SMALL_STATE(6254)] = 254245,
  [SMALL_STATE(6255)] = 254272,
  [SMALL_STATE(6256)] = 254303,
  [SMALL_STATE(6257)] = 254346,
  [SMALL_STATE(6258)] = 254403,
  [SMALL_STATE(6259)] = 254430,
  [SMALL_STATE(6260)] = 254457,
  [SMALL_STATE(6261)] = 254514,
  [SMALL_STATE(6262)] = 254563,
  [SMALL_STATE(6263)] = 254590,
  [SMALL_STATE(6264)] = 254617,
  [SMALL_STATE(6265)] = 254662,
  [SMALL_STATE(6266)] = 254719,
  [SMALL_STATE(6267)] = 254764,
  [SMALL_STATE(6268)] = 254815,
  [SMALL_STATE(6269)] = 254850,
  [SMALL_STATE(6270)] = 254879,
  [SMALL_STATE(6271)] = 254924,
  [SMALL_STATE(6272)] = 254969,
  [SMALL_STATE(6273)] = 255020,
  [SMALL_STATE(6274)] = 255059,
  [SMALL_STATE(6275)] = 255086,
  [SMALL_STATE(6276)] = 255131,
  [SMALL_STATE(6277)] = 255176,
  [SMALL_STATE(6278)] = 255205,
  [SMALL_STATE(6279)] = 255232,
  [SMALL_STATE(6280)] = 255259,
  [SMALL_STATE(6281)] = 255294,
  [SMALL_STATE(6282)] = 255329,
  [SMALL_STATE(6283)] = 255386,
  [SMALL_STATE(6284)] = 255431,
  [SMALL_STATE(6285)] = 255460,
  [SMALL_STATE(6286)] = 255499,
  [SMALL_STATE(6287)] = 255530,
  [SMALL_STATE(6288)] = 255587,
  [SMALL_STATE(6289)] = 255638,
  [SMALL_STATE(6290)] = 255665,
  [SMALL_STATE(6291)] = 255710,
  [SMALL_STATE(6292)] = 255737,
  [SMALL_STATE(6293)] = 255772,
  [SMALL_STATE(6294)] = 255823,
  [SMALL_STATE(6295)] = 255854,
  [SMALL_STATE(6296)] = 255899,
  [SMALL_STATE(6297)] = 255926,
  [SMALL_STATE(6298)] = 255965,
  [SMALL_STATE(6299)] = 256004,
  [SMALL_STATE(6300)] = 256033,
  [SMALL_STATE(6301)] = 256072,
  [SMALL_STATE(6302)] = 256107,
  [SMALL_STATE(6303)] = 256134,
  [SMALL_STATE(6304)] = 256179,
  [SMALL_STATE(6305)] = 256224,
  [SMALL_STATE(6306)] = 256263,
  [SMALL_STATE(6307)] = 256294,
  [SMALL_STATE(6308)] = 256333,
  [SMALL_STATE(6309)] = 256364,
  [SMALL_STATE(6310)] = 256391,
  [SMALL_STATE(6311)] = 256430,
  [SMALL_STATE(6312)] = 256457,
  [SMALL_STATE(6313)] = 256496,
  [SMALL_STATE(6314)] = 256523,
  [SMALL_STATE(6315)] = 256562,
  [SMALL_STATE(6316)] = 256601,
  [SMALL_STATE(6317)] = 256640,
  [SMALL_STATE(6318)] = 256675,
  [SMALL_STATE(6319)] = 256702,
  [SMALL_STATE(6320)] = 256741,
  [SMALL_STATE(6321)] = 256780,
  [SMALL_STATE(6322)] = 256819,
  [SMALL_STATE(6323)] = 256854,
  [SMALL_STATE(6324)] = 256881,
  [SMALL_STATE(6325)] = 256914,
  [SMALL_STATE(6326)] = 256949,
  [SMALL_STATE(6327)] = 256998,
  [SMALL_STATE(6328)] = 257043,
  [SMALL_STATE(6329)] = 257078,
  [SMALL_STATE(6330)] = 257105,
  [SMALL_STATE(6331)] = 257140,
  [SMALL_STATE(6332)] = 257179,
  [SMALL_STATE(6333)] = 257218,
  [SMALL_STATE(6334)] = 257257,
  [SMALL_STATE(6335)] = 257292,
  [SMALL_STATE(6336)] = 257327,
  [SMALL_STATE(6337)] = 257384,
  [SMALL_STATE(6338)] = 257429,
  [SMALL_STATE(6339)] = 257464,
  [SMALL_STATE(6340)] = 257509,
  [SMALL_STATE(6341)] = 257544,
  [SMALL_STATE(6342)] = 257589,
  [SMALL_STATE(6343)] = 257624,
  [SMALL_STATE(6344)] = 257659,
  [SMALL_STATE(6345)] = 257694,
  [SMALL_STATE(6346)] = 257729,
  [SMALL_STATE(6347)] = 257768,
  [SMALL_STATE(6348)] = 257807,
  [SMALL_STATE(6349)] = 257834,
  [SMALL_STATE(6350)] = 257865,
  [SMALL_STATE(6351)] = 257892,
  [SMALL_STATE(6352)] = 257927,
  [SMALL_STATE(6353)] = 257964,
  [SMALL_STATE(6354)] = 257991,
  [SMALL_STATE(6355)] = 258030,
  [SMALL_STATE(6356)] = 258069,
  [SMALL_STATE(6357)] = 258096,
  [SMALL_STATE(6358)] = 258137,
  [SMALL_STATE(6359)] = 258172,
  [SMALL_STATE(6360)] = 258199,
  [SMALL_STATE(6361)] = 258244,
  [SMALL_STATE(6362)] = 258275,
  [SMALL_STATE(6363)] = 258302,
  [SMALL_STATE(6364)] = 258329,
  [SMALL_STATE(6365)] = 258356,
  [SMALL_STATE(6366)] = 258399,
  [SMALL_STATE(6367)] = 258435,
  [SMALL_STATE(6368)] = 258465,
  [SMALL_STATE(6369)] = 258501,
  [SMALL_STATE(6370)] = 258537,
  [SMALL_STATE(6371)] = 258573,
  [SMALL_STATE(6372)] = 258609,
  [SMALL_STATE(6373)] = 258645,
  [SMALL_STATE(6374)] = 258681,
  [SMALL_STATE(6375)] = 258723,
  [SMALL_STATE(6376)] = 258759,
  [SMALL_STATE(6377)] = 258789,
  [SMALL_STATE(6378)] = 258819,
  [SMALL_STATE(6379)] = 258849,
  [SMALL_STATE(6380)] = 258901,
  [SMALL_STATE(6381)] = 258950,
  [SMALL_STATE(6382)] = 258975,
  [SMALL_STATE(6383)] = 259012,
  [SMALL_STATE(6384)] = 259061,
  [SMALL_STATE(6385)] = 259104,
  [SMALL_STATE(6386)] = 259147,
  [SMALL_STATE(6387)] = 259184,
  [SMALL_STATE(6388)] = 259227,
  [SMALL_STATE(6389)] = 259252,
  [SMALL_STATE(6390)] = 259293,
  [SMALL_STATE(6391)] = 259318,
  [SMALL_STATE(6392)] = 259355,
  [SMALL_STATE(6393)] = 259404,
  [SMALL_STATE(6394)] = 259447,
  [SMALL_STATE(6395)] = 259472,
  [SMALL_STATE(6396)] = 259515,
  [SMALL_STATE(6397)] = 259552,
  [SMALL_STATE(6398)] = 259589,
  [SMALL_STATE(6399)] = 259626,
  [SMALL_STATE(6400)] = 259651,
  [SMALL_STATE(6401)] = 259694,
  [SMALL_STATE(6402)] = 259737,
  [SMALL_STATE(6403)] = 259774,
  [SMALL_STATE(6404)] = 259799,
  [SMALL_STATE(6405)] = 259836,
  [SMALL_STATE(6406)] = 259885,
  [SMALL_STATE(6407)] = 259934,
  [SMALL_STATE(6408)] = 259959,
  [SMALL_STATE(6409)] = 260008,
  [SMALL_STATE(6410)] = 260059,
  [SMALL_STATE(6411)] = 260102,
  [SMALL_STATE(6412)] = 260139,
  [SMALL_STATE(6413)] = 260182,
  [SMALL_STATE(6414)] = 260219,
  [SMALL_STATE(6415)] = 260262,
  [SMALL_STATE(6416)] = 260311,
  [SMALL_STATE(6417)] = 260360,
  [SMALL_STATE(6418)] = 260409,
  [SMALL_STATE(6419)] = 260458,
  [SMALL_STATE(6420)] = 260501,
  [SMALL_STATE(6421)] = 260542,
  [SMALL_STATE(6422)] = 260579,
  [SMALL_STATE(6423)] = 260628,
  [SMALL_STATE(6424)] = 260665,
  [SMALL_STATE(6425)] = 260714,
  [SMALL_STATE(6426)] = 260745,
  [SMALL_STATE(6427)] = 260782,
  [SMALL_STATE(6428)] = 260831,
  [SMALL_STATE(6429)] = 260874,
  [SMALL_STATE(6430)] = 260899,
  [SMALL_STATE(6431)] = 260936,
  [SMALL_STATE(6432)] = 260961,
  [SMALL_STATE(6433)] = 261004,
  [SMALL_STATE(6434)] = 261047,
  [SMALL_STATE(6435)] = 261084,
  [SMALL_STATE(6436)] = 261121,
  [SMALL_STATE(6437)] = 261164,
  [SMALL_STATE(6438)] = 261189,
  [SMALL_STATE(6439)] = 261238,
  [SMALL_STATE(6440)] = 261281,
  [SMALL_STATE(6441)] = 261306,
  [SMALL_STATE(6442)] = 261349,
  [SMALL_STATE(6443)] = 261374,
  [SMALL_STATE(6444)] = 261399,
  [SMALL_STATE(6445)] = 261448,
  [SMALL_STATE(6446)] = 261491,
  [SMALL_STATE(6447)] = 261516,
  [SMALL_STATE(6448)] = 261559,
  [SMALL_STATE(6449)] = 261608,
  [SMALL_STATE(6450)] = 261633,
  [SMALL_STATE(6451)] = 261676,
  [SMALL_STATE(6452)] = 261725,
  [SMALL_STATE(6453)] = 261750,
  [SMALL_STATE(6454)] = 261799,
  [SMALL_STATE(6455)] = 261842,
  [SMALL_STATE(6456)] = 261891,
  [SMALL_STATE(6457)] = 261916,
  [SMALL_STATE(6458)] = 261965,
  [SMALL_STATE(6459)] = 262008,
  [SMALL_STATE(6460)] = 262051,
  [SMALL_STATE(6461)] = 262094,
  [SMALL_STATE(6462)] = 262125,
  [SMALL_STATE(6463)] = 262174,
  [SMALL_STATE(6464)] = 262223,
  [SMALL_STATE(6465)] = 262266,
  [SMALL_STATE(6466)] = 262291,
  [SMALL_STATE(6467)] = 262340,
  [SMALL_STATE(6468)] = 262365,
  [SMALL_STATE(6469)] = 262390,
  [SMALL_STATE(6470)] = 262439,
  [SMALL_STATE(6471)] = 262488,
  [SMALL_STATE(6472)] = 262531,
  [SMALL_STATE(6473)] = 262553,
  [SMALL_STATE(6474)] = 262579,
  [SMALL_STATE(6475)] = 262619,
  [SMALL_STATE(6476)] = 262641,
  [SMALL_STATE(6477)] = 262671,
  [SMALL_STATE(6478)] = 262701,
  [SMALL_STATE(6479)] = 262723,
  [SMALL_STATE(6480)] = 262745,
  [SMALL_STATE(6481)] = 262775,
  [SMALL_STATE(6482)] = 262811,
  [SMALL_STATE(6483)] = 262841,
  [SMALL_STATE(6484)] = 262865,
  [SMALL_STATE(6485)] = 262887,
  [SMALL_STATE(6486)] = 262909,
  [SMALL_STATE(6487)] = 262939,
  [SMALL_STATE(6488)] = 262961,
  [SMALL_STATE(6489)] = 262991,
  [SMALL_STATE(6490)] = 263031,
  [SMALL_STATE(6491)] = 263053,
  [SMALL_STATE(6492)] = 263075,
  [SMALL_STATE(6493)] = 263101,
  [SMALL_STATE(6494)] = 263123,
  [SMALL_STATE(6495)] = 263145,
  [SMALL_STATE(6496)] = 263185,
  [SMALL_STATE(6497)] = 263225,
  [SMALL_STATE(6498)] = 263265,
  [SMALL_STATE(6499)] = 263291,
  [SMALL_STATE(6500)] = 263315,
  [SMALL_STATE(6501)] = 263345,
  [SMALL_STATE(6502)] = 263367,
  [SMALL_STATE(6503)] = 263403,
  [SMALL_STATE(6504)] = 263443,
  [SMALL_STATE(6505)] = 263483,
  [SMALL_STATE(6506)] = 263523,
  [SMALL_STATE(6507)] = 263553,
  [SMALL_STATE(6508)] = 263593,
  [SMALL_STATE(6509)] = 263629,
  [SMALL_STATE(6510)] = 263659,
  [SMALL_STATE(6511)] = 263683,
  [SMALL_STATE(6512)] = 263719,
  [SMALL_STATE(6513)] = 263749,
  [SMALL_STATE(6514)] = 263779,
  [SMALL_STATE(6515)] = 263819,
  [SMALL_STATE(6516)] = 263859,
  [SMALL_STATE(6517)] = 263899,
  [SMALL_STATE(6518)] = 263939,
  [SMALL_STATE(6519)] = 263979,
  [SMALL_STATE(6520)] = 264019,
  [SMALL_STATE(6521)] = 264059,
  [SMALL_STATE(6522)] = 264089,
  [SMALL_STATE(6523)] = 264129,
  [SMALL_STATE(6524)] = 264169,
  [SMALL_STATE(6525)] = 264209,
  [SMALL_STATE(6526)] = 264231,
  [SMALL_STATE(6527)] = 264257,
  [SMALL_STATE(6528)] = 264287,
  [SMALL_STATE(6529)] = 264317,
  [SMALL_STATE(6530)] = 264357,
  [SMALL_STATE(6531)] = 264379,
  [SMALL_STATE(6532)] = 264415,
  [SMALL_STATE(6533)] = 264455,
  [SMALL_STATE(6534)] = 264495,
  [SMALL_STATE(6535)] = 264517,
  [SMALL_STATE(6536)] = 264557,
  [SMALL_STATE(6537)] = 264579,
  [SMALL_STATE(6538)] = 264601,
  [SMALL_STATE(6539)] = 264641,
  [SMALL_STATE(6540)] = 264677,
  [SMALL_STATE(6541)] = 264717,
  [SMALL_STATE(6542)] = 264757,
  [SMALL_STATE(6543)] = 264797,
  [SMALL_STATE(6544)] = 264833,
  [SMALL_STATE(6545)] = 264877,
  [SMALL_STATE(6546)] = 264907,
  [SMALL_STATE(6547)] = 264943,
  [SMALL_STATE(6548)] = 264983,
  [SMALL_STATE(6549)] = 265014,
  [SMALL_STATE(6550)] = 265057,
  [SMALL_STATE(6551)] = 265090,
  [SMALL_STATE(6552)] = 265133,
  [SMALL_STATE(6553)] = 265166,
  [SMALL_STATE(6554)] = 265195,
  [SMALL_STATE(6555)] = 265224,
  [SMALL_STATE(6556)] = 265253,
  [SMALL_STATE(6557)] = 265296,
  [SMALL_STATE(6558)] = 265327,
  [SMALL_STATE(6559)] = 265356,
  [SMALL_STATE(6560)] = 265389,
  [SMALL_STATE(6561)] = 265418,
  [SMALL_STATE(6562)] = 265441,
  [SMALL_STATE(6563)] = 265470,
  [SMALL_STATE(6564)] = 265513,
  [SMALL_STATE(6565)] = 265556,
  [SMALL_STATE(6566)] = 265585,
  [SMALL_STATE(6567)] = 265616,
  [SMALL_STATE(6568)] = 265649,
  [SMALL_STATE(6569)] = 265680,
  [SMALL_STATE(6570)] = 265711,
  [SMALL_STATE(6571)] = 265742,
  [SMALL_STATE(6572)] = 265785,
  [SMALL_STATE(6573)] = 265818,
  [SMALL_STATE(6574)] = 265861,
  [SMALL_STATE(6575)] = 265888,
  [SMALL_STATE(6576)] = 265911,
  [SMALL_STATE(6577)] = 265940,
  [SMALL_STATE(6578)] = 265969,
  [SMALL_STATE(6579)] = 265998,
  [SMALL_STATE(6580)] = 266027,
  [SMALL_STATE(6581)] = 266058,
  [SMALL_STATE(6582)] = 266101,
  [SMALL_STATE(6583)] = 266130,
  [SMALL_STATE(6584)] = 266159,
  [SMALL_STATE(6585)] = 266188,
  [SMALL_STATE(6586)] = 266219,
  [SMALL_STATE(6587)] = 266250,
  [SMALL_STATE(6588)] = 266277,
  [SMALL_STATE(6589)] = 266320,
  [SMALL_STATE(6590)] = 266351,
  [SMALL_STATE(6591)] = 266382,
  [SMALL_STATE(6592)] = 266413,
  [SMALL_STATE(6593)] = 266446,
  [SMALL_STATE(6594)] = 266477,
  [SMALL_STATE(6595)] = 266508,
  [SMALL_STATE(6596)] = 266539,
  [SMALL_STATE(6597)] = 266570,
  [SMALL_STATE(6598)] = 266613,
  [SMALL_STATE(6599)] = 266656,
  [SMALL_STATE(6600)] = 266687,
  [SMALL_STATE(6601)] = 266716,
  [SMALL_STATE(6602)] = 266745,
  [SMALL_STATE(6603)] = 266776,
  [SMALL_STATE(6604)] = 266805,
  [SMALL_STATE(6605)] = 266848,
  [SMALL_STATE(6606)] = 266877,
  [SMALL_STATE(6607)] = 266906,
  [SMALL_STATE(6608)] = 266939,
  [SMALL_STATE(6609)] = 266968,
  [SMALL_STATE(6610)] = 266999,
  [SMALL_STATE(6611)] = 267042,
  [SMALL_STATE(6612)] = 267071,
  [SMALL_STATE(6613)] = 267100,
  [SMALL_STATE(6614)] = 267131,
  [SMALL_STATE(6615)] = 267162,
  [SMALL_STATE(6616)] = 267195,
  [SMALL_STATE(6617)] = 267226,
  [SMALL_STATE(6618)] = 267266,
  [SMALL_STATE(6619)] = 267306,
  [SMALL_STATE(6620)] = 267334,
  [SMALL_STATE(6621)] = 267364,
  [SMALL_STATE(6622)] = 267394,
  [SMALL_STATE(6623)] = 267422,
  [SMALL_STATE(6624)] = 267454,
  [SMALL_STATE(6625)] = 267480,
  [SMALL_STATE(6626)] = 267508,
  [SMALL_STATE(6627)] = 267540,
  [SMALL_STATE(6628)] = 267580,
  [SMALL_STATE(6629)] = 267608,
  [SMALL_STATE(6630)] = 267638,
  [SMALL_STATE(6631)] = 267666,
  [SMALL_STATE(6632)] = 267704,
  [SMALL_STATE(6633)] = 267734,
  [SMALL_STATE(6634)] = 267774,
  [SMALL_STATE(6635)] = 267804,
  [SMALL_STATE(6636)] = 267836,
  [SMALL_STATE(6637)] = 267866,
  [SMALL_STATE(6638)] = 267898,
  [SMALL_STATE(6639)] = 267938,
  [SMALL_STATE(6640)] = 267970,
  [SMALL_STATE(6641)] = 267998,
  [SMALL_STATE(6642)] = 268026,
  [SMALL_STATE(6643)] = 268058,
  [SMALL_STATE(6644)] = 268086,
  [SMALL_STATE(6645)] = 268126,
  [SMALL_STATE(6646)] = 268156,
  [SMALL_STATE(6647)] = 268196,
  [SMALL_STATE(6648)] = 268224,
  [SMALL_STATE(6649)] = 268244,
  [SMALL_STATE(6650)] = 268272,
  [SMALL_STATE(6651)] = 268292,
  [SMALL_STATE(6652)] = 268332,
  [SMALL_STATE(6653)] = 268352,
  [SMALL_STATE(6654)] = 268382,
  [SMALL_STATE(6655)] = 268410,
  [SMALL_STATE(6656)] = 268430,
  [SMALL_STATE(6657)] = 268470,
  [SMALL_STATE(6658)] = 268498,
  [SMALL_STATE(6659)] = 268526,
  [SMALL_STATE(6660)] = 268556,
  [SMALL_STATE(6661)] = 268576,
  [SMALL_STATE(6662)] = 268606,
  [SMALL_STATE(6663)] = 268636,
  [SMALL_STATE(6664)] = 268666,
  [SMALL_STATE(6665)] = 268694,
  [SMALL_STATE(6666)] = 268724,
  [SMALL_STATE(6667)] = 268744,
  [SMALL_STATE(6668)] = 268770,
  [SMALL_STATE(6669)] = 268800,
  [SMALL_STATE(6670)] = 268840,
  [SMALL_STATE(6671)] = 268868,
  [SMALL_STATE(6672)] = 268888,
  [SMALL_STATE(6673)] = 268928,
  [SMALL_STATE(6674)] = 268956,
  [SMALL_STATE(6675)] = 268986,
  [SMALL_STATE(6676)] = 269026,
  [SMALL_STATE(6677)] = 269046,
  [SMALL_STATE(6678)] = 269076,
  [SMALL_STATE(6679)] = 269096,
  [SMALL_STATE(6680)] = 269116,
  [SMALL_STATE(6681)] = 269136,
  [SMALL_STATE(6682)] = 269156,
  [SMALL_STATE(6683)] = 269186,
  [SMALL_STATE(6684)] = 269206,
  [SMALL_STATE(6685)] = 269246,
  [SMALL_STATE(6686)] = 269276,
  [SMALL_STATE(6687)] = 269306,
  [SMALL_STATE(6688)] = 269346,
  [SMALL_STATE(6689)] = 269374,
  [SMALL_STATE(6690)] = 269406,
  [SMALL_STATE(6691)] = 269430,
  [SMALL_STATE(6692)] = 269462,
  [SMALL_STATE(6693)] = 269490,
  [SMALL_STATE(6694)] = 269518,
  [SMALL_STATE(6695)] = 269558,
  [SMALL_STATE(6696)] = 269578,
  [SMALL_STATE(6697)] = 269606,
  [SMALL_STATE(6698)] = 269636,
  [SMALL_STATE(6699)] = 269656,
  [SMALL_STATE(6700)] = 269696,
  [SMALL_STATE(6701)] = 269728,
  [SMALL_STATE(6702)] = 269768,
  [SMALL_STATE(6703)] = 269808,
  [SMALL_STATE(6704)] = 269828,
  [SMALL_STATE(6705)] = 269858,
  [SMALL_STATE(6706)] = 269898,
  [SMALL_STATE(6707)] = 269930,
  [SMALL_STATE(6708)] = 269962,
  [SMALL_STATE(6709)] = 269990,
  [SMALL_STATE(6710)] = 270020,
  [SMALL_STATE(6711)] = 270052,
  [SMALL_STATE(6712)] = 270084,
  [SMALL_STATE(6713)] = 270116,
  [SMALL_STATE(6714)] = 270156,
  [SMALL_STATE(6715)] = 270186,
  [SMALL_STATE(6716)] = 270216,
  [SMALL_STATE(6717)] = 270236,
  [SMALL_STATE(6718)] = 270268,
  [SMALL_STATE(6719)] = 270298,
  [SMALL_STATE(6720)] = 270326,
  [SMALL_STATE(6721)] = 270358,
  [SMALL_STATE(6722)] = 270388,
  [SMALL_STATE(6723)] = 270420,
  [SMALL_STATE(6724)] = 270440,
  [SMALL_STATE(6725)] = 270480,
  [SMALL_STATE(6726)] = 270508,
  [SMALL_STATE(6727)] = 270536,
  [SMALL_STATE(6728)] = 270560,
  [SMALL_STATE(6729)] = 270584,
  [SMALL_STATE(6730)] = 270614,
  [SMALL_STATE(6731)] = 270646,
  [SMALL_STATE(6732)] = 270678,
  [SMALL_STATE(6733)] = 270698,
  [SMALL_STATE(6734)] = 270726,
  [SMALL_STATE(6735)] = 270766,
  [SMALL_STATE(6736)] = 270798,
  [SMALL_STATE(6737)] = 270824,
  [SMALL_STATE(6738)] = 270854,
  [SMALL_STATE(6739)] = 270886,
  [SMALL_STATE(6740)] = 270914,
  [SMALL_STATE(6741)] = 270946,
  [SMALL_STATE(6742)] = 270978,
  [SMALL_STATE(6743)] = 270998,
  [SMALL_STATE(6744)] = 271020,
  [SMALL_STATE(6745)] = 271041,
  [SMALL_STATE(6746)] = 271062,
  [SMALL_STATE(6747)] = 271083,
  [SMALL_STATE(6748)] = 271120,
  [SMALL_STATE(6749)] = 271141,
  [SMALL_STATE(6750)] = 271162,
  [SMALL_STATE(6751)] = 271183,
  [SMALL_STATE(6752)] = 271208,
  [SMALL_STATE(6753)] = 271229,
  [SMALL_STATE(6754)] = 271262,
  [SMALL_STATE(6755)] = 271291,
  [SMALL_STATE(6756)] = 271320,
  [SMALL_STATE(6757)] = 271353,
  [SMALL_STATE(6758)] = 271390,
  [SMALL_STATE(6759)] = 271425,
  [SMALL_STATE(6760)] = 271446,
  [SMALL_STATE(6761)] = 271467,
  [SMALL_STATE(6762)] = 271492,
  [SMALL_STATE(6763)] = 271525,
  [SMALL_STATE(6764)] = 271546,
  [SMALL_STATE(6765)] = 271583,
  [SMALL_STATE(6766)] = 271616,
  [SMALL_STATE(6767)] = 271653,
  [SMALL_STATE(6768)] = 271686,
  [SMALL_STATE(6769)] = 271723,
  [SMALL_STATE(6770)] = 271750,
  [SMALL_STATE(6771)] = 271771,
  [SMALL_STATE(6772)] = 271796,
  [SMALL_STATE(6773)] = 271825,
  [SMALL_STATE(6774)] = 271852,
  [SMALL_STATE(6775)] = 271877,
  [SMALL_STATE(6776)] = 271914,
  [SMALL_STATE(6777)] = 271935,
  [SMALL_STATE(6778)] = 271968,
  [SMALL_STATE(6779)] = 271989,
  [SMALL_STATE(6780)] = 272022,
  [SMALL_STATE(6781)] = 272049,
  [SMALL_STATE(6782)] = 272086,
  [SMALL_STATE(6783)] = 272111,
  [SMALL_STATE(6784)] = 272136,
  [SMALL_STATE(6785)] = 272173,
  [SMALL_STATE(6786)] = 272200,
  [SMALL_STATE(6787)] = 272221,
  [SMALL_STATE(6788)] = 272242,
  [SMALL_STATE(6789)] = 272263,
  [SMALL_STATE(6790)] = 272290,
  [SMALL_STATE(6791)] = 272327,
  [SMALL_STATE(6792)] = 272348,
  [SMALL_STATE(6793)] = 272385,
  [SMALL_STATE(6794)] = 272412,
  [SMALL_STATE(6795)] = 272439,
  [SMALL_STATE(6796)] = 272478,
  [SMALL_STATE(6797)] = 272515,
  [SMALL_STATE(6798)] = 272542,
  [SMALL_STATE(6799)] = 272569,
  [SMALL_STATE(6800)] = 272606,
  [SMALL_STATE(6801)] = 272633,
  [SMALL_STATE(6802)] = 272670,
  [SMALL_STATE(6803)] = 272697,
  [SMALL_STATE(6804)] = 272718,
  [SMALL_STATE(6805)] = 272745,
  [SMALL_STATE(6806)] = 272770,
  [SMALL_STATE(6807)] = 272791,
  [SMALL_STATE(6808)] = 272812,
  [SMALL_STATE(6809)] = 272839,
  [SMALL_STATE(6810)] = 272860,
  [SMALL_STATE(6811)] = 272881,
  [SMALL_STATE(6812)] = 272902,
  [SMALL_STATE(6813)] = 272923,
  [SMALL_STATE(6814)] = 272960,
  [SMALL_STATE(6815)] = 272981,
  [SMALL_STATE(6816)] = 273002,
  [SMALL_STATE(6817)] = 273023,
  [SMALL_STATE(6818)] = 273060,
  [SMALL_STATE(6819)] = 273089,
  [SMALL_STATE(6820)] = 273110,
  [SMALL_STATE(6821)] = 273135,
  [SMALL_STATE(6822)] = 273172,
  [SMALL_STATE(6823)] = 273193,
  [SMALL_STATE(6824)] = 273230,
  [SMALL_STATE(6825)] = 273257,
  [SMALL_STATE(6826)] = 273294,
  [SMALL_STATE(6827)] = 273331,
  [SMALL_STATE(6828)] = 273364,
  [SMALL_STATE(6829)] = 273385,
  [SMALL_STATE(6830)] = 273422,
  [SMALL_STATE(6831)] = 273443,
  [SMALL_STATE(6832)] = 273468,
  [SMALL_STATE(6833)] = 273504,
  [SMALL_STATE(6834)] = 273540,
  [SMALL_STATE(6835)] = 273574,
  [SMALL_STATE(6836)] = 273610,
  [SMALL_STATE(6837)] = 273646,
  [SMALL_STATE(6838)] = 273682,
  [SMALL_STATE(6839)] = 273708,
  [SMALL_STATE(6840)] = 273738,
  [SMALL_STATE(6841)] = 273760,
  [SMALL_STATE(6842)] = 273796,
  [SMALL_STATE(6843)] = 273826,
  [SMALL_STATE(6844)] = 273852,
  [SMALL_STATE(6845)] = 273878,
  [SMALL_STATE(6846)] = 273914,
  [SMALL_STATE(6847)] = 273940,
  [SMALL_STATE(6848)] = 273970,
  [SMALL_STATE(6849)] = 274004,
  [SMALL_STATE(6850)] = 274040,
  [SMALL_STATE(6851)] = 274070,
  [SMALL_STATE(6852)] = 274098,
  [SMALL_STATE(6853)] = 274122,
  [SMALL_STATE(6854)] = 274150,
  [SMALL_STATE(6855)] = 274176,
  [SMALL_STATE(6856)] = 274212,
  [SMALL_STATE(6857)] = 274238,
  [SMALL_STATE(6858)] = 274264,
  [SMALL_STATE(6859)] = 274284,
  [SMALL_STATE(6860)] = 274318,
  [SMALL_STATE(6861)] = 274352,
  [SMALL_STATE(6862)] = 274388,
  [SMALL_STATE(6863)] = 274424,
  [SMALL_STATE(6864)] = 274450,
  [SMALL_STATE(6865)] = 274484,
  [SMALL_STATE(6866)] = 274510,
  [SMALL_STATE(6867)] = 274546,
  [SMALL_STATE(6868)] = 274576,
  [SMALL_STATE(6869)] = 274602,
  [SMALL_STATE(6870)] = 274638,
  [SMALL_STATE(6871)] = 274674,
  [SMALL_STATE(6872)] = 274700,
  [SMALL_STATE(6873)] = 274724,
  [SMALL_STATE(6874)] = 274750,
  [SMALL_STATE(6875)] = 274786,
  [SMALL_STATE(6876)] = 274810,
  [SMALL_STATE(6877)] = 274846,
  [SMALL_STATE(6878)] = 274876,
  [SMALL_STATE(6879)] = 274910,
  [SMALL_STATE(6880)] = 274944,
  [SMALL_STATE(6881)] = 274980,
  [SMALL_STATE(6882)] = 275004,
  [SMALL_STATE(6883)] = 275034,
  [SMALL_STATE(6884)] = 275062,
  [SMALL_STATE(6885)] = 275088,
  [SMALL_STATE(6886)] = 275110,
  [SMALL_STATE(6887)] = 275136,
  [SMALL_STATE(6888)] = 275166,
  [SMALL_STATE(6889)] = 275192,
  [SMALL_STATE(6890)] = 275228,
  [SMALL_STATE(6891)] = 275254,
  [SMALL_STATE(6892)] = 275284,
  [SMALL_STATE(6893)] = 275310,
  [SMALL_STATE(6894)] = 275340,
  [SMALL_STATE(6895)] = 275374,
  [SMALL_STATE(6896)] = 275410,
  [SMALL_STATE(6897)] = 275438,
  [SMALL_STATE(6898)] = 275472,
  [SMALL_STATE(6899)] = 275506,
  [SMALL_STATE(6900)] = 275542,
  [SMALL_STATE(6901)] = 275578,
  [SMALL_STATE(6902)] = 275614,
  [SMALL_STATE(6903)] = 275650,
  [SMALL_STATE(6904)] = 275686,
  [SMALL_STATE(6905)] = 275710,
  [SMALL_STATE(6906)] = 275740,
  [SMALL_STATE(6907)] = 275776,
  [SMALL_STATE(6908)] = 275806,
  [SMALL_STATE(6909)] = 275836,
  [SMALL_STATE(6910)] = 275861,
  [SMALL_STATE(6911)] = 275884,
  [SMALL_STATE(6912)] = 275903,
  [SMALL_STATE(6913)] = 275934,
  [SMALL_STATE(6914)] = 275963,
  [SMALL_STATE(6915)] = 275992,
  [SMALL_STATE(6916)] = 276011,
  [SMALL_STATE(6917)] = 276040,
  [SMALL_STATE(6918)] = 276065,
  [SMALL_STATE(6919)] = 276090,
  [SMALL_STATE(6920)] = 276119,
  [SMALL_STATE(6921)] = 276146,
  [SMALL_STATE(6922)] = 276173,
  [SMALL_STATE(6923)] = 276198,
  [SMALL_STATE(6924)] = 276223,
  [SMALL_STATE(6925)] = 276250,
  [SMALL_STATE(6926)] = 276277,
  [SMALL_STATE(6927)] = 276312,
  [SMALL_STATE(6928)] = 276339,
  [SMALL_STATE(6929)] = 276368,
  [SMALL_STATE(6930)] = 276399,
  [SMALL_STATE(6931)] = 276428,
  [SMALL_STATE(6932)] = 276463,
  [SMALL_STATE(6933)] = 276488,
  [SMALL_STATE(6934)] = 276507,
  [SMALL_STATE(6935)] = 276542,
  [SMALL_STATE(6936)] = 276571,
  [SMALL_STATE(6937)] = 276596,
  [SMALL_STATE(6938)] = 276627,
  [SMALL_STATE(6939)] = 276660,
  [SMALL_STATE(6940)] = 276691,
  [SMALL_STATE(6941)] = 276724,
  [SMALL_STATE(6942)] = 276749,
  [SMALL_STATE(6943)] = 276780,
  [SMALL_STATE(6944)] = 276799,
  [SMALL_STATE(6945)] = 276828,
  [SMALL_STATE(6946)] = 276857,
  [SMALL_STATE(6947)] = 276886,
  [SMALL_STATE(6948)] = 276905,
  [SMALL_STATE(6949)] = 276934,
  [SMALL_STATE(6950)] = 276963,
  [SMALL_STATE(6951)] = 276992,
  [SMALL_STATE(6952)] = 277021,
  [SMALL_STATE(6953)] = 277052,
  [SMALL_STATE(6954)] = 277081,
  [SMALL_STATE(6955)] = 277110,
  [SMALL_STATE(6956)] = 277141,
  [SMALL_STATE(6957)] = 277176,
  [SMALL_STATE(6958)] = 277195,
  [SMALL_STATE(6959)] = 277214,
  [SMALL_STATE(6960)] = 277245,
  [SMALL_STATE(6961)] = 277272,
  [SMALL_STATE(6962)] = 277299,
  [SMALL_STATE(6963)] = 277328,
  [SMALL_STATE(6964)] = 277363,
  [SMALL_STATE(6965)] = 277390,
  [SMALL_STATE(6966)] = 277409,
  [SMALL_STATE(6967)] = 277436,
  [SMALL_STATE(6968)] = 277463,
  [SMALL_STATE(6969)] = 277498,
  [SMALL_STATE(6970)] = 277527,
  [SMALL_STATE(6971)] = 277546,
  [SMALL_STATE(6972)] = 277567,
  [SMALL_STATE(6973)] = 277596,
  [SMALL_STATE(6974)] = 277625,
  [SMALL_STATE(6975)] = 277656,
  [SMALL_STATE(6976)] = 277685,
  [SMALL_STATE(6977)] = 277710,
  [SMALL_STATE(6978)] = 277733,
  [SMALL_STATE(6979)] = 277764,
  [SMALL_STATE(6980)] = 277795,
  [SMALL_STATE(6981)] = 277824,
  [SMALL_STATE(6982)] = 277859,
  [SMALL_STATE(6983)] = 277888,
  [SMALL_STATE(6984)] = 277917,
  [SMALL_STATE(6985)] = 277946,
  [SMALL_STATE(6986)] = 277975,
  [SMALL_STATE(6987)] = 278004,
  [SMALL_STATE(6988)] = 278039,
  [SMALL_STATE(6989)] = 278068,
  [SMALL_STATE(6990)] = 278103,
  [SMALL_STATE(6991)] = 278128,
  [SMALL_STATE(6992)] = 278157,
  [SMALL_STATE(6993)] = 278186,
  [SMALL_STATE(6994)] = 278216,
  [SMALL_STATE(6995)] = 278238,
  [SMALL_STATE(6996)] = 278260,
  [SMALL_STATE(6997)] = 278290,
  [SMALL_STATE(6998)] = 278312,
  [SMALL_STATE(6999)] = 278336,
  [SMALL_STATE(7000)] = 278366,
  [SMALL_STATE(7001)] = 278390,
  [SMALL_STATE(7002)] = 278414,
  [SMALL_STATE(7003)] = 278438,
  [SMALL_STATE(7004)] = 278462,
  [SMALL_STATE(7005)] = 278484,
  [SMALL_STATE(7006)] = 278508,
  [SMALL_STATE(7007)] = 278530,
  [SMALL_STATE(7008)] = 278560,
  [SMALL_STATE(7009)] = 278582,
  [SMALL_STATE(7010)] = 278606,
  [SMALL_STATE(7011)] = 278628,
  [SMALL_STATE(7012)] = 278652,
  [SMALL_STATE(7013)] = 278670,
  [SMALL_STATE(7014)] = 278692,
  [SMALL_STATE(7015)] = 278714,
  [SMALL_STATE(7016)] = 278732,
  [SMALL_STATE(7017)] = 278754,
  [SMALL_STATE(7018)] = 278772,
  [SMALL_STATE(7019)] = 278790,
  [SMALL_STATE(7020)] = 278808,
  [SMALL_STATE(7021)] = 278826,
  [SMALL_STATE(7022)] = 278856,
  [SMALL_STATE(7023)] = 278874,
  [SMALL_STATE(7024)] = 278906,
  [SMALL_STATE(7025)] = 278936,
  [SMALL_STATE(7026)] = 278958,
  [SMALL_STATE(7027)] = 278980,
  [SMALL_STATE(7028)] = 279004,
  [SMALL_STATE(7029)] = 279026,
  [SMALL_STATE(7030)] = 279048,
  [SMALL_STATE(7031)] = 279078,
  [SMALL_STATE(7032)] = 279108,
  [SMALL_STATE(7033)] = 279130,
  [SMALL_STATE(7034)] = 279153,
  [SMALL_STATE(7035)] = 279184,
  [SMALL_STATE(7036)] = 279215,
  [SMALL_STATE(7037)] = 279246,
  [SMALL_STATE(7038)] = 279277,
  [SMALL_STATE(7039)] = 279298,
  [SMALL_STATE(7040)] = 279325,
  [SMALL_STATE(7041)] = 279356,
  [SMALL_STATE(7042)] = 279377,
  [SMALL_STATE(7043)] = 279408,
  [SMALL_STATE(7044)] = 279439,
  [SMALL_STATE(7045)] = 279462,
  [SMALL_STATE(7046)] = 279493,
  [SMALL_STATE(7047)] = 279524,
  [SMALL_STATE(7048)] = 279545,
  [SMALL_STATE(7049)] = 279572,
  [SMALL_STATE(7050)] = 279593,
  [SMALL_STATE(7051)] = 279624,
  [SMALL_STATE(7052)] = 279655,
  [SMALL_STATE(7053)] = 279682,
  [SMALL_STATE(7054)] = 279705,
  [SMALL_STATE(7055)] = 279736,
  [SMALL_STATE(7056)] = 279761,
  [SMALL_STATE(7057)] = 279792,
  [SMALL_STATE(7058)] = 279815,
  [SMALL_STATE(7059)] = 279846,
  [SMALL_STATE(7060)] = 279867,
  [SMALL_STATE(7061)] = 279894,
  [SMALL_STATE(7062)] = 279917,
  [SMALL_STATE(7063)] = 279940,
  [SMALL_STATE(7064)] = 279961,
  [SMALL_STATE(7065)] = 279992,
  [SMALL_STATE(7066)] = 280019,
  [SMALL_STATE(7067)] = 280050,
  [SMALL_STATE(7068)] = 280073,
  [SMALL_STATE(7069)] = 280104,
  [SMALL_STATE(7070)] = 280131,
  [SMALL_STATE(7071)] = 280150,
  [SMALL_STATE(7072)] = 280173,
  [SMALL_STATE(7073)] = 280200,
  [SMALL_STATE(7074)] = 280231,
  [SMALL_STATE(7075)] = 280262,
  [SMALL_STATE(7076)] = 280285,
  [SMALL_STATE(7077)] = 280316,
  [SMALL_STATE(7078)] = 280343,
  [SMALL_STATE(7079)] = 280374,
  [SMALL_STATE(7080)] = 280401,
  [SMALL_STATE(7081)] = 280432,
  [SMALL_STATE(7082)] = 280459,
  [SMALL_STATE(7083)] = 280484,
  [SMALL_STATE(7084)] = 280503,
  [SMALL_STATE(7085)] = 280534,
  [SMALL_STATE(7086)] = 280560,
  [SMALL_STATE(7087)] = 280586,
  [SMALL_STATE(7088)] = 280612,
  [SMALL_STATE(7089)] = 280638,
  [SMALL_STATE(7090)] = 280664,
  [SMALL_STATE(7091)] = 280686,
  [SMALL_STATE(7092)] = 280702,
  [SMALL_STATE(7093)] = 280728,
  [SMALL_STATE(7094)] = 280754,
  [SMALL_STATE(7095)] = 280778,
  [SMALL_STATE(7096)] = 280804,
  [SMALL_STATE(7097)] = 280828,
  [SMALL_STATE(7098)] = 280854,
  [SMALL_STATE(7099)] = 280878,
  [SMALL_STATE(7100)] = 280894,
  [SMALL_STATE(7101)] = 280920,
  [SMALL_STATE(7102)] = 280944,
  [SMALL_STATE(7103)] = 280966,
  [SMALL_STATE(7104)] = 280992,
  [SMALL_STATE(7105)] = 281018,
  [SMALL_STATE(7106)] = 281040,
  [SMALL_STATE(7107)] = 281066,
  [SMALL_STATE(7108)] = 281088,
  [SMALL_STATE(7109)] = 281114,
  [SMALL_STATE(7110)] = 281140,
  [SMALL_STATE(7111)] = 281166,
  [SMALL_STATE(7112)] = 281192,
  [SMALL_STATE(7113)] = 281214,
  [SMALL_STATE(7114)] = 281236,
  [SMALL_STATE(7115)] = 281256,
  [SMALL_STATE(7116)] = 281282,
  [SMALL_STATE(7117)] = 281308,
  [SMALL_STATE(7118)] = 281334,
  [SMALL_STATE(7119)] = 281360,
  [SMALL_STATE(7120)] = 281386,
  [SMALL_STATE(7121)] = 281412,
  [SMALL_STATE(7122)] = 281434,
  [SMALL_STATE(7123)] = 281458,
  [SMALL_STATE(7124)] = 281484,
  [SMALL_STATE(7125)] = 281510,
  [SMALL_STATE(7126)] = 281534,
  [SMALL_STATE(7127)] = 281552,
  [SMALL_STATE(7128)] = 281570,
  [SMALL_STATE(7129)] = 281596,
  [SMALL_STATE(7130)] = 281616,
  [SMALL_STATE(7131)] = 281642,
  [SMALL_STATE(7132)] = 281668,
  [SMALL_STATE(7133)] = 281688,
  [SMALL_STATE(7134)] = 281710,
  [SMALL_STATE(7135)] = 281736,
  [SMALL_STATE(7136)] = 281762,
  [SMALL_STATE(7137)] = 281786,
  [SMALL_STATE(7138)] = 281812,
  [SMALL_STATE(7139)] = 281838,
  [SMALL_STATE(7140)] = 281864,
  [SMALL_STATE(7141)] = 281886,
  [SMALL_STATE(7142)] = 281906,
  [SMALL_STATE(7143)] = 281932,
  [SMALL_STATE(7144)] = 281958,
  [SMALL_STATE(7145)] = 281980,
  [SMALL_STATE(7146)] = 282004,
  [SMALL_STATE(7147)] = 282030,
  [SMALL_STATE(7148)] = 282052,
  [SMALL_STATE(7149)] = 282071,
  [SMALL_STATE(7150)] = 282094,
  [SMALL_STATE(7151)] = 282109,
  [SMALL_STATE(7152)] = 282124,
  [SMALL_STATE(7153)] = 282143,
  [SMALL_STATE(7154)] = 282160,
  [SMALL_STATE(7155)] = 282181,
  [SMALL_STATE(7156)] = 282204,
  [SMALL_STATE(7157)] = 282219,
  [SMALL_STATE(7158)] = 282242,
  [SMALL_STATE(7159)] = 282263,
  [SMALL_STATE(7160)] = 282286,
  [SMALL_STATE(7161)] = 282307,
  [SMALL_STATE(7162)] = 282322,
  [SMALL_STATE(7163)] = 282347,
  [SMALL_STATE(7164)] = 282362,
  [SMALL_STATE(7165)] = 282387,
  [SMALL_STATE(7166)] = 282406,
  [SMALL_STATE(7167)] = 282427,
  [SMALL_STATE(7168)] = 282448,
  [SMALL_STATE(7169)] = 282463,
  [SMALL_STATE(7170)] = 282486,
  [SMALL_STATE(7171)] = 282511,
  [SMALL_STATE(7172)] = 282532,
  [SMALL_STATE(7173)] = 282557,
  [SMALL_STATE(7174)] = 282582,
  [SMALL_STATE(7175)] = 282605,
  [SMALL_STATE(7176)] = 282626,
  [SMALL_STATE(7177)] = 282647,
  [SMALL_STATE(7178)] = 282662,
  [SMALL_STATE(7179)] = 282685,
  [SMALL_STATE(7180)] = 282708,
  [SMALL_STATE(7181)] = 282733,
  [SMALL_STATE(7182)] = 282754,
  [SMALL_STATE(7183)] = 282775,
  [SMALL_STATE(7184)] = 282796,
  [SMALL_STATE(7185)] = 282817,
  [SMALL_STATE(7186)] = 282840,
  [SMALL_STATE(7187)] = 282865,
  [SMALL_STATE(7188)] = 282886,
  [SMALL_STATE(7189)] = 282911,
  [SMALL_STATE(7190)] = 282936,
  [SMALL_STATE(7191)] = 282961,
  [SMALL_STATE(7192)] = 282984,
  [SMALL_STATE(7193)] = 282999,
  [SMALL_STATE(7194)] = 283020,
  [SMALL_STATE(7195)] = 283043,
  [SMALL_STATE(7196)] = 283059,
  [SMALL_STATE(7197)] = 283079,
  [SMALL_STATE(7198)] = 283099,
  [SMALL_STATE(7199)] = 283115,
  [SMALL_STATE(7200)] = 283135,
  [SMALL_STATE(7201)] = 283155,
  [SMALL_STATE(7202)] = 283171,
  [SMALL_STATE(7203)] = 283185,
  [SMALL_STATE(7204)] = 283203,
  [SMALL_STATE(7205)] = 283219,
  [SMALL_STATE(7206)] = 283235,
  [SMALL_STATE(7207)] = 283251,
  [SMALL_STATE(7208)] = 283267,
  [SMALL_STATE(7209)] = 283287,
  [SMALL_STATE(7210)] = 283305,
  [SMALL_STATE(7211)] = 283323,
  [SMALL_STATE(7212)] = 283339,
  [SMALL_STATE(7213)] = 283357,
  [SMALL_STATE(7214)] = 283377,
  [SMALL_STATE(7215)] = 283397,
  [SMALL_STATE(7216)] = 283413,
  [SMALL_STATE(7217)] = 283429,
  [SMALL_STATE(7218)] = 283449,
  [SMALL_STATE(7219)] = 283469,
  [SMALL_STATE(7220)] = 283489,
  [SMALL_STATE(7221)] = 283509,
  [SMALL_STATE(7222)] = 283525,
  [SMALL_STATE(7223)] = 283541,
  [SMALL_STATE(7224)] = 283561,
  [SMALL_STATE(7225)] = 283575,
  [SMALL_STATE(7226)] = 283593,
  [SMALL_STATE(7227)] = 283613,
  [SMALL_STATE(7228)] = 283633,
  [SMALL_STATE(7229)] = 283651,
  [SMALL_STATE(7230)] = 283671,
  [SMALL_STATE(7231)] = 283687,
  [SMALL_STATE(7232)] = 283703,
  [SMALL_STATE(7233)] = 283719,
  [SMALL_STATE(7234)] = 283735,
  [SMALL_STATE(7235)] = 283751,
  [SMALL_STATE(7236)] = 283769,
  [SMALL_STATE(7237)] = 283783,
  [SMALL_STATE(7238)] = 283803,
  [SMALL_STATE(7239)] = 283823,
  [SMALL_STATE(7240)] = 283837,
  [SMALL_STATE(7241)] = 283853,
  [SMALL_STATE(7242)] = 283869,
  [SMALL_STATE(7243)] = 283889,
  [SMALL_STATE(7244)] = 283905,
  [SMALL_STATE(7245)] = 283925,
  [SMALL_STATE(7246)] = 283943,
  [SMALL_STATE(7247)] = 283957,
  [SMALL_STATE(7248)] = 283977,
  [SMALL_STATE(7249)] = 283995,
  [SMALL_STATE(7250)] = 284014,
  [SMALL_STATE(7251)] = 284027,
  [SMALL_STATE(7252)] = 284046,
  [SMALL_STATE(7253)] = 284063,
  [SMALL_STATE(7254)] = 284076,
  [SMALL_STATE(7255)] = 284095,
  [SMALL_STATE(7256)] = 284108,
  [SMALL_STATE(7257)] = 284127,
  [SMALL_STATE(7258)] = 284140,
  [SMALL_STATE(7259)] = 284159,
  [SMALL_STATE(7260)] = 284178,
  [SMALL_STATE(7261)] = 284191,
  [SMALL_STATE(7262)] = 284210,
  [SMALL_STATE(7263)] = 284223,
  [SMALL_STATE(7264)] = 284242,
  [SMALL_STATE(7265)] = 284261,
  [SMALL_STATE(7266)] = 284280,
  [SMALL_STATE(7267)] = 284299,
  [SMALL_STATE(7268)] = 284318,
  [SMALL_STATE(7269)] = 284337,
  [SMALL_STATE(7270)] = 284356,
  [SMALL_STATE(7271)] = 284375,
  [SMALL_STATE(7272)] = 284394,
  [SMALL_STATE(7273)] = 284413,
  [SMALL_STATE(7274)] = 284430,
  [SMALL_STATE(7275)] = 284449,
  [SMALL_STATE(7276)] = 284468,
  [SMALL_STATE(7277)] = 284487,
  [SMALL_STATE(7278)] = 284504,
  [SMALL_STATE(7279)] = 284523,
  [SMALL_STATE(7280)] = 284536,
  [SMALL_STATE(7281)] = 284555,
  [SMALL_STATE(7282)] = 284568,
  [SMALL_STATE(7283)] = 284585,
  [SMALL_STATE(7284)] = 284604,
  [SMALL_STATE(7285)] = 284623,
  [SMALL_STATE(7286)] = 284636,
  [SMALL_STATE(7287)] = 284655,
  [SMALL_STATE(7288)] = 284668,
  [SMALL_STATE(7289)] = 284681,
  [SMALL_STATE(7290)] = 284694,
  [SMALL_STATE(7291)] = 284713,
  [SMALL_STATE(7292)] = 284732,
  [SMALL_STATE(7293)] = 284751,
  [SMALL_STATE(7294)] = 284770,
  [SMALL_STATE(7295)] = 284789,
  [SMALL_STATE(7296)] = 284808,
  [SMALL_STATE(7297)] = 284825,
  [SMALL_STATE(7298)] = 284838,
  [SMALL_STATE(7299)] = 284857,
  [SMALL_STATE(7300)] = 284876,
  [SMALL_STATE(7301)] = 284895,
  [SMALL_STATE(7302)] = 284914,
  [SMALL_STATE(7303)] = 284933,
  [SMALL_STATE(7304)] = 284952,
  [SMALL_STATE(7305)] = 284971,
  [SMALL_STATE(7306)] = 284990,
  [SMALL_STATE(7307)] = 285009,
  [SMALL_STATE(7308)] = 285028,
  [SMALL_STATE(7309)] = 285047,
  [SMALL_STATE(7310)] = 285066,
  [SMALL_STATE(7311)] = 285079,
  [SMALL_STATE(7312)] = 285098,
  [SMALL_STATE(7313)] = 285111,
  [SMALL_STATE(7314)] = 285130,
  [SMALL_STATE(7315)] = 285143,
  [SMALL_STATE(7316)] = 285160,
  [SMALL_STATE(7317)] = 285179,
  [SMALL_STATE(7318)] = 285198,
  [SMALL_STATE(7319)] = 285215,
  [SMALL_STATE(7320)] = 285234,
  [SMALL_STATE(7321)] = 285247,
  [SMALL_STATE(7322)] = 285266,
  [SMALL_STATE(7323)] = 285285,
  [SMALL_STATE(7324)] = 285304,
  [SMALL_STATE(7325)] = 285323,
  [SMALL_STATE(7326)] = 285337,
  [SMALL_STATE(7327)] = 285353,
  [SMALL_STATE(7328)] = 285367,
  [SMALL_STATE(7329)] = 285383,
  [SMALL_STATE(7330)] = 285397,
  [SMALL_STATE(7331)] = 285413,
  [SMALL_STATE(7332)] = 285427,
  [SMALL_STATE(7333)] = 285443,
  [SMALL_STATE(7334)] = 285459,
  [SMALL_STATE(7335)] = 285475,
  [SMALL_STATE(7336)] = 285491,
  [SMALL_STATE(7337)] = 285507,
  [SMALL_STATE(7338)] = 285523,
  [SMALL_STATE(7339)] = 285539,
  [SMALL_STATE(7340)] = 285555,
  [SMALL_STATE(7341)] = 285569,
  [SMALL_STATE(7342)] = 285585,
  [SMALL_STATE(7343)] = 285601,
  [SMALL_STATE(7344)] = 285617,
  [SMALL_STATE(7345)] = 285631,
  [SMALL_STATE(7346)] = 285647,
  [SMALL_STATE(7347)] = 285661,
  [SMALL_STATE(7348)] = 285677,
  [SMALL_STATE(7349)] = 285693,
  [SMALL_STATE(7350)] = 285703,
  [SMALL_STATE(7351)] = 285719,
  [SMALL_STATE(7352)] = 285733,
  [SMALL_STATE(7353)] = 285747,
  [SMALL_STATE(7354)] = 285761,
  [SMALL_STATE(7355)] = 285777,
  [SMALL_STATE(7356)] = 285793,
  [SMALL_STATE(7357)] = 285809,
  [SMALL_STATE(7358)] = 285823,
  [SMALL_STATE(7359)] = 285837,
  [SMALL_STATE(7360)] = 285853,
  [SMALL_STATE(7361)] = 285869,
  [SMALL_STATE(7362)] = 285885,
  [SMALL_STATE(7363)] = 285901,
  [SMALL_STATE(7364)] = 285915,
  [SMALL_STATE(7365)] = 285931,
  [SMALL_STATE(7366)] = 285947,
  [SMALL_STATE(7367)] = 285963,
  [SMALL_STATE(7368)] = 285979,
  [SMALL_STATE(7369)] = 285995,
  [SMALL_STATE(7370)] = 286011,
  [SMALL_STATE(7371)] = 286025,
  [SMALL_STATE(7372)] = 286039,
  [SMALL_STATE(7373)] = 286055,
  [SMALL_STATE(7374)] = 286069,
  [SMALL_STATE(7375)] = 286085,
  [SMALL_STATE(7376)] = 286099,
  [SMALL_STATE(7377)] = 286113,
  [SMALL_STATE(7378)] = 286129,
  [SMALL_STATE(7379)] = 286143,
  [SMALL_STATE(7380)] = 286157,
  [SMALL_STATE(7381)] = 286171,
  [SMALL_STATE(7382)] = 286187,
  [SMALL_STATE(7383)] = 286201,
  [SMALL_STATE(7384)] = 286217,
  [SMALL_STATE(7385)] = 286231,
  [SMALL_STATE(7386)] = 286247,
  [SMALL_STATE(7387)] = 286263,
  [SMALL_STATE(7388)] = 286277,
  [SMALL_STATE(7389)] = 286293,
  [SMALL_STATE(7390)] = 286309,
  [SMALL_STATE(7391)] = 286325,
  [SMALL_STATE(7392)] = 286339,
  [SMALL_STATE(7393)] = 286353,
  [SMALL_STATE(7394)] = 286369,
  [SMALL_STATE(7395)] = 286385,
  [SMALL_STATE(7396)] = 286399,
  [SMALL_STATE(7397)] = 286415,
  [SMALL_STATE(7398)] = 286431,
  [SMALL_STATE(7399)] = 286447,
  [SMALL_STATE(7400)] = 286461,
  [SMALL_STATE(7401)] = 286477,
  [SMALL_STATE(7402)] = 286493,
  [SMALL_STATE(7403)] = 286509,
  [SMALL_STATE(7404)] = 286523,
  [SMALL_STATE(7405)] = 286539,
  [SMALL_STATE(7406)] = 286555,
  [SMALL_STATE(7407)] = 286571,
  [SMALL_STATE(7408)] = 286587,
  [SMALL_STATE(7409)] = 286601,
  [SMALL_STATE(7410)] = 286615,
  [SMALL_STATE(7411)] = 286631,
  [SMALL_STATE(7412)] = 286645,
  [SMALL_STATE(7413)] = 286659,
  [SMALL_STATE(7414)] = 286675,
  [SMALL_STATE(7415)] = 286691,
  [SMALL_STATE(7416)] = 286705,
  [SMALL_STATE(7417)] = 286719,
  [SMALL_STATE(7418)] = 286733,
  [SMALL_STATE(7419)] = 286749,
  [SMALL_STATE(7420)] = 286763,
  [SMALL_STATE(7421)] = 286779,
  [SMALL_STATE(7422)] = 286793,
  [SMALL_STATE(7423)] = 286807,
  [SMALL_STATE(7424)] = 286823,
  [SMALL_STATE(7425)] = 286839,
  [SMALL_STATE(7426)] = 286855,
  [SMALL_STATE(7427)] = 286869,
  [SMALL_STATE(7428)] = 286885,
  [SMALL_STATE(7429)] = 286901,
  [SMALL_STATE(7430)] = 286915,
  [SMALL_STATE(7431)] = 286929,
  [SMALL_STATE(7432)] = 286943,
  [SMALL_STATE(7433)] = 286953,
  [SMALL_STATE(7434)] = 286969,
  [SMALL_STATE(7435)] = 286985,
  [SMALL_STATE(7436)] = 286999,
  [SMALL_STATE(7437)] = 287015,
  [SMALL_STATE(7438)] = 287029,
  [SMALL_STATE(7439)] = 287041,
  [SMALL_STATE(7440)] = 287057,
  [SMALL_STATE(7441)] = 287069,
  [SMALL_STATE(7442)] = 287085,
  [SMALL_STATE(7443)] = 287099,
  [SMALL_STATE(7444)] = 287115,
  [SMALL_STATE(7445)] = 287129,
  [SMALL_STATE(7446)] = 287145,
  [SMALL_STATE(7447)] = 287161,
  [SMALL_STATE(7448)] = 287177,
  [SMALL_STATE(7449)] = 287193,
  [SMALL_STATE(7450)] = 287209,
  [SMALL_STATE(7451)] = 287223,
  [SMALL_STATE(7452)] = 287239,
  [SMALL_STATE(7453)] = 287255,
  [SMALL_STATE(7454)] = 287271,
  [SMALL_STATE(7455)] = 287285,
  [SMALL_STATE(7456)] = 287299,
  [SMALL_STATE(7457)] = 287315,
  [SMALL_STATE(7458)] = 287329,
  [SMALL_STATE(7459)] = 287345,
  [SMALL_STATE(7460)] = 287359,
  [SMALL_STATE(7461)] = 287373,
  [SMALL_STATE(7462)] = 287389,
  [SMALL_STATE(7463)] = 287403,
  [SMALL_STATE(7464)] = 287417,
  [SMALL_STATE(7465)] = 287433,
  [SMALL_STATE(7466)] = 287449,
  [SMALL_STATE(7467)] = 287465,
  [SMALL_STATE(7468)] = 287479,
  [SMALL_STATE(7469)] = 287495,
  [SMALL_STATE(7470)] = 287509,
  [SMALL_STATE(7471)] = 287525,
  [SMALL_STATE(7472)] = 287539,
  [SMALL_STATE(7473)] = 287553,
  [SMALL_STATE(7474)] = 287567,
  [SMALL_STATE(7475)] = 287583,
  [SMALL_STATE(7476)] = 287597,
  [SMALL_STATE(7477)] = 287611,
  [SMALL_STATE(7478)] = 287627,
  [SMALL_STATE(7479)] = 287639,
  [SMALL_STATE(7480)] = 287655,
  [SMALL_STATE(7481)] = 287671,
  [SMALL_STATE(7482)] = 287687,
  [SMALL_STATE(7483)] = 287701,
  [SMALL_STATE(7484)] = 287717,
  [SMALL_STATE(7485)] = 287731,
  [SMALL_STATE(7486)] = 287745,
  [SMALL_STATE(7487)] = 287759,
  [SMALL_STATE(7488)] = 287773,
  [SMALL_STATE(7489)] = 287787,
  [SMALL_STATE(7490)] = 287803,
  [SMALL_STATE(7491)] = 287819,
  [SMALL_STATE(7492)] = 287831,
  [SMALL_STATE(7493)] = 287845,
  [SMALL_STATE(7494)] = 287859,
  [SMALL_STATE(7495)] = 287875,
  [SMALL_STATE(7496)] = 287889,
  [SMALL_STATE(7497)] = 287903,
  [SMALL_STATE(7498)] = 287919,
  [SMALL_STATE(7499)] = 287933,
  [SMALL_STATE(7500)] = 287947,
  [SMALL_STATE(7501)] = 287963,
  [SMALL_STATE(7502)] = 287979,
  [SMALL_STATE(7503)] = 287995,
  [SMALL_STATE(7504)] = 288009,
  [SMALL_STATE(7505)] = 288025,
  [SMALL_STATE(7506)] = 288039,
  [SMALL_STATE(7507)] = 288049,
  [SMALL_STATE(7508)] = 288065,
  [SMALL_STATE(7509)] = 288079,
  [SMALL_STATE(7510)] = 288095,
  [SMALL_STATE(7511)] = 288109,
  [SMALL_STATE(7512)] = 288125,
  [SMALL_STATE(7513)] = 288141,
  [SMALL_STATE(7514)] = 288155,
  [SMALL_STATE(7515)] = 288171,
  [SMALL_STATE(7516)] = 288187,
  [SMALL_STATE(7517)] = 288201,
  [SMALL_STATE(7518)] = 288217,
  [SMALL_STATE(7519)] = 288233,
  [SMALL_STATE(7520)] = 288247,
  [SMALL_STATE(7521)] = 288261,
  [SMALL_STATE(7522)] = 288275,
  [SMALL_STATE(7523)] = 288289,
  [SMALL_STATE(7524)] = 288303,
  [SMALL_STATE(7525)] = 288319,
  [SMALL_STATE(7526)] = 288333,
  [SMALL_STATE(7527)] = 288349,
  [SMALL_STATE(7528)] = 288365,
  [SMALL_STATE(7529)] = 288381,
  [SMALL_STATE(7530)] = 288395,
  [SMALL_STATE(7531)] = 288409,
  [SMALL_STATE(7532)] = 288423,
  [SMALL_STATE(7533)] = 288439,
  [SMALL_STATE(7534)] = 288453,
  [SMALL_STATE(7535)] = 288469,
  [SMALL_STATE(7536)] = 288485,
  [SMALL_STATE(7537)] = 288501,
  [SMALL_STATE(7538)] = 288517,
  [SMALL_STATE(7539)] = 288531,
  [SMALL_STATE(7540)] = 288545,
  [SMALL_STATE(7541)] = 288559,
  [SMALL_STATE(7542)] = 288575,
  [SMALL_STATE(7543)] = 288589,
  [SMALL_STATE(7544)] = 288605,
  [SMALL_STATE(7545)] = 288621,
  [SMALL_STATE(7546)] = 288635,
  [SMALL_STATE(7547)] = 288651,
  [SMALL_STATE(7548)] = 288667,
  [SMALL_STATE(7549)] = 288681,
  [SMALL_STATE(7550)] = 288697,
  [SMALL_STATE(7551)] = 288711,
  [SMALL_STATE(7552)] = 288727,
  [SMALL_STATE(7553)] = 288743,
  [SMALL_STATE(7554)] = 288759,
  [SMALL_STATE(7555)] = 288775,
  [SMALL_STATE(7556)] = 288791,
  [SMALL_STATE(7557)] = 288805,
  [SMALL_STATE(7558)] = 288821,
  [SMALL_STATE(7559)] = 288835,
  [SMALL_STATE(7560)] = 288849,
  [SMALL_STATE(7561)] = 288865,
  [SMALL_STATE(7562)] = 288879,
  [SMALL_STATE(7563)] = 288893,
  [SMALL_STATE(7564)] = 288909,
  [SMALL_STATE(7565)] = 288923,
  [SMALL_STATE(7566)] = 288937,
  [SMALL_STATE(7567)] = 288953,
  [SMALL_STATE(7568)] = 288963,
  [SMALL_STATE(7569)] = 288977,
  [SMALL_STATE(7570)] = 288993,
  [SMALL_STATE(7571)] = 289007,
  [SMALL_STATE(7572)] = 289021,
  [SMALL_STATE(7573)] = 289035,
  [SMALL_STATE(7574)] = 289051,
  [SMALL_STATE(7575)] = 289065,
  [SMALL_STATE(7576)] = 289081,
  [SMALL_STATE(7577)] = 289095,
  [SMALL_STATE(7578)] = 289111,
  [SMALL_STATE(7579)] = 289127,
  [SMALL_STATE(7580)] = 289143,
  [SMALL_STATE(7581)] = 289159,
  [SMALL_STATE(7582)] = 289173,
  [SMALL_STATE(7583)] = 289189,
  [SMALL_STATE(7584)] = 289203,
  [SMALL_STATE(7585)] = 289217,
  [SMALL_STATE(7586)] = 289233,
  [SMALL_STATE(7587)] = 289249,
  [SMALL_STATE(7588)] = 289265,
  [SMALL_STATE(7589)] = 289281,
  [SMALL_STATE(7590)] = 289297,
  [SMALL_STATE(7591)] = 289313,
  [SMALL_STATE(7592)] = 289327,
  [SMALL_STATE(7593)] = 289341,
  [SMALL_STATE(7594)] = 289355,
  [SMALL_STATE(7595)] = 289369,
  [SMALL_STATE(7596)] = 289385,
  [SMALL_STATE(7597)] = 289399,
  [SMALL_STATE(7598)] = 289415,
  [SMALL_STATE(7599)] = 289429,
  [SMALL_STATE(7600)] = 289445,
  [SMALL_STATE(7601)] = 289459,
  [SMALL_STATE(7602)] = 289473,
  [SMALL_STATE(7603)] = 289487,
  [SMALL_STATE(7604)] = 289501,
  [SMALL_STATE(7605)] = 289517,
  [SMALL_STATE(7606)] = 289533,
  [SMALL_STATE(7607)] = 289549,
  [SMALL_STATE(7608)] = 289565,
  [SMALL_STATE(7609)] = 289579,
  [SMALL_STATE(7610)] = 289593,
  [SMALL_STATE(7611)] = 289607,
  [SMALL_STATE(7612)] = 289623,
  [SMALL_STATE(7613)] = 289639,
  [SMALL_STATE(7614)] = 289653,
  [SMALL_STATE(7615)] = 289665,
  [SMALL_STATE(7616)] = 289681,
  [SMALL_STATE(7617)] = 289697,
  [SMALL_STATE(7618)] = 289713,
  [SMALL_STATE(7619)] = 289727,
  [SMALL_STATE(7620)] = 289743,
  [SMALL_STATE(7621)] = 289757,
  [SMALL_STATE(7622)] = 289771,
  [SMALL_STATE(7623)] = 289787,
  [SMALL_STATE(7624)] = 289803,
  [SMALL_STATE(7625)] = 289817,
  [SMALL_STATE(7626)] = 289831,
  [SMALL_STATE(7627)] = 289847,
  [SMALL_STATE(7628)] = 289861,
  [SMALL_STATE(7629)] = 289875,
  [SMALL_STATE(7630)] = 289891,
  [SMALL_STATE(7631)] = 289905,
  [SMALL_STATE(7632)] = 289919,
  [SMALL_STATE(7633)] = 289933,
  [SMALL_STATE(7634)] = 289947,
  [SMALL_STATE(7635)] = 289963,
  [SMALL_STATE(7636)] = 289979,
  [SMALL_STATE(7637)] = 289995,
  [SMALL_STATE(7638)] = 290009,
  [SMALL_STATE(7639)] = 290023,
  [SMALL_STATE(7640)] = 290036,
  [SMALL_STATE(7641)] = 290049,
  [SMALL_STATE(7642)] = 290060,
  [SMALL_STATE(7643)] = 290073,
  [SMALL_STATE(7644)] = 290086,
  [SMALL_STATE(7645)] = 290099,
  [SMALL_STATE(7646)] = 290110,
  [SMALL_STATE(7647)] = 290123,
  [SMALL_STATE(7648)] = 290136,
  [SMALL_STATE(7649)] = 290149,
  [SMALL_STATE(7650)] = 290162,
  [SMALL_STATE(7651)] = 290175,
  [SMALL_STATE(7652)] = 290188,
  [SMALL_STATE(7653)] = 290201,
  [SMALL_STATE(7654)] = 290210,
  [SMALL_STATE(7655)] = 290223,
  [SMALL_STATE(7656)] = 290234,
  [SMALL_STATE(7657)] = 290247,
  [SMALL_STATE(7658)] = 290260,
  [SMALL_STATE(7659)] = 290273,
  [SMALL_STATE(7660)] = 290286,
  [SMALL_STATE(7661)] = 290299,
  [SMALL_STATE(7662)] = 290312,
  [SMALL_STATE(7663)] = 290325,
  [SMALL_STATE(7664)] = 290338,
  [SMALL_STATE(7665)] = 290351,
  [SMALL_STATE(7666)] = 290364,
  [SMALL_STATE(7667)] = 290377,
  [SMALL_STATE(7668)] = 290388,
  [SMALL_STATE(7669)] = 290401,
  [SMALL_STATE(7670)] = 290414,
  [SMALL_STATE(7671)] = 290427,
  [SMALL_STATE(7672)] = 290438,
  [SMALL_STATE(7673)] = 290449,
  [SMALL_STATE(7674)] = 290462,
  [SMALL_STATE(7675)] = 290475,
  [SMALL_STATE(7676)] = 290488,
  [SMALL_STATE(7677)] = 290501,
  [SMALL_STATE(7678)] = 290514,
  [SMALL_STATE(7679)] = 290527,
  [SMALL_STATE(7680)] = 290540,
  [SMALL_STATE(7681)] = 290551,
  [SMALL_STATE(7682)] = 290564,
  [SMALL_STATE(7683)] = 290577,
  [SMALL_STATE(7684)] = 290590,
  [SMALL_STATE(7685)] = 290599,
  [SMALL_STATE(7686)] = 290612,
  [SMALL_STATE(7687)] = 290625,
  [SMALL_STATE(7688)] = 290638,
  [SMALL_STATE(7689)] = 290649,
  [SMALL_STATE(7690)] = 290662,
  [SMALL_STATE(7691)] = 290675,
  [SMALL_STATE(7692)] = 290688,
  [SMALL_STATE(7693)] = 290701,
  [SMALL_STATE(7694)] = 290714,
  [SMALL_STATE(7695)] = 290727,
  [SMALL_STATE(7696)] = 290740,
  [SMALL_STATE(7697)] = 290753,
  [SMALL_STATE(7698)] = 290766,
  [SMALL_STATE(7699)] = 290779,
  [SMALL_STATE(7700)] = 290792,
  [SMALL_STATE(7701)] = 290805,
  [SMALL_STATE(7702)] = 290818,
  [SMALL_STATE(7703)] = 290831,
  [SMALL_STATE(7704)] = 290842,
  [SMALL_STATE(7705)] = 290855,
  [SMALL_STATE(7706)] = 290866,
  [SMALL_STATE(7707)] = 290879,
  [SMALL_STATE(7708)] = 290892,
  [SMALL_STATE(7709)] = 290901,
  [SMALL_STATE(7710)] = 290912,
  [SMALL_STATE(7711)] = 290925,
  [SMALL_STATE(7712)] = 290936,
  [SMALL_STATE(7713)] = 290949,
  [SMALL_STATE(7714)] = 290962,
  [SMALL_STATE(7715)] = 290971,
  [SMALL_STATE(7716)] = 290984,
  [SMALL_STATE(7717)] = 290995,
  [SMALL_STATE(7718)] = 291008,
  [SMALL_STATE(7719)] = 291021,
  [SMALL_STATE(7720)] = 291034,
  [SMALL_STATE(7721)] = 291045,
  [SMALL_STATE(7722)] = 291056,
  [SMALL_STATE(7723)] = 291069,
  [SMALL_STATE(7724)] = 291080,
  [SMALL_STATE(7725)] = 291093,
  [SMALL_STATE(7726)] = 291106,
  [SMALL_STATE(7727)] = 291119,
  [SMALL_STATE(7728)] = 291132,
  [SMALL_STATE(7729)] = 291145,
  [SMALL_STATE(7730)] = 291158,
  [SMALL_STATE(7731)] = 291171,
  [SMALL_STATE(7732)] = 291184,
  [SMALL_STATE(7733)] = 291197,
  [SMALL_STATE(7734)] = 291210,
  [SMALL_STATE(7735)] = 291221,
  [SMALL_STATE(7736)] = 291234,
  [SMALL_STATE(7737)] = 291247,
  [SMALL_STATE(7738)] = 291260,
  [SMALL_STATE(7739)] = 291273,
  [SMALL_STATE(7740)] = 291286,
  [SMALL_STATE(7741)] = 291299,
  [SMALL_STATE(7742)] = 291312,
  [SMALL_STATE(7743)] = 291325,
  [SMALL_STATE(7744)] = 291338,
  [SMALL_STATE(7745)] = 291351,
  [SMALL_STATE(7746)] = 291364,
  [SMALL_STATE(7747)] = 291377,
  [SMALL_STATE(7748)] = 291390,
  [SMALL_STATE(7749)] = 291403,
  [SMALL_STATE(7750)] = 291416,
  [SMALL_STATE(7751)] = 291427,
  [SMALL_STATE(7752)] = 291440,
  [SMALL_STATE(7753)] = 291453,
  [SMALL_STATE(7754)] = 291466,
  [SMALL_STATE(7755)] = 291479,
  [SMALL_STATE(7756)] = 291492,
  [SMALL_STATE(7757)] = 291505,
  [SMALL_STATE(7758)] = 291518,
  [SMALL_STATE(7759)] = 291531,
  [SMALL_STATE(7760)] = 291544,
  [SMALL_STATE(7761)] = 291557,
  [SMALL_STATE(7762)] = 291570,
  [SMALL_STATE(7763)] = 291581,
  [SMALL_STATE(7764)] = 291592,
  [SMALL_STATE(7765)] = 291603,
  [SMALL_STATE(7766)] = 291612,
  [SMALL_STATE(7767)] = 291625,
  [SMALL_STATE(7768)] = 291638,
  [SMALL_STATE(7769)] = 291651,
  [SMALL_STATE(7770)] = 291662,
  [SMALL_STATE(7771)] = 291675,
  [SMALL_STATE(7772)] = 291688,
  [SMALL_STATE(7773)] = 291701,
  [SMALL_STATE(7774)] = 291714,
  [SMALL_STATE(7775)] = 291727,
  [SMALL_STATE(7776)] = 291740,
  [SMALL_STATE(7777)] = 291753,
  [SMALL_STATE(7778)] = 291766,
  [SMALL_STATE(7779)] = 291779,
  [SMALL_STATE(7780)] = 291792,
  [SMALL_STATE(7781)] = 291805,
  [SMALL_STATE(7782)] = 291818,
  [SMALL_STATE(7783)] = 291831,
  [SMALL_STATE(7784)] = 291840,
  [SMALL_STATE(7785)] = 291853,
  [SMALL_STATE(7786)] = 291866,
  [SMALL_STATE(7787)] = 291879,
  [SMALL_STATE(7788)] = 291892,
  [SMALL_STATE(7789)] = 291905,
  [SMALL_STATE(7790)] = 291918,
  [SMALL_STATE(7791)] = 291931,
  [SMALL_STATE(7792)] = 291944,
  [SMALL_STATE(7793)] = 291957,
  [SMALL_STATE(7794)] = 291970,
  [SMALL_STATE(7795)] = 291983,
  [SMALL_STATE(7796)] = 291996,
  [SMALL_STATE(7797)] = 292009,
  [SMALL_STATE(7798)] = 292022,
  [SMALL_STATE(7799)] = 292035,
  [SMALL_STATE(7800)] = 292048,
  [SMALL_STATE(7801)] = 292061,
  [SMALL_STATE(7802)] = 292070,
  [SMALL_STATE(7803)] = 292083,
  [SMALL_STATE(7804)] = 292096,
  [SMALL_STATE(7805)] = 292109,
  [SMALL_STATE(7806)] = 292122,
  [SMALL_STATE(7807)] = 292135,
  [SMALL_STATE(7808)] = 292146,
  [SMALL_STATE(7809)] = 292159,
  [SMALL_STATE(7810)] = 292168,
  [SMALL_STATE(7811)] = 292181,
  [SMALL_STATE(7812)] = 292192,
  [SMALL_STATE(7813)] = 292205,
  [SMALL_STATE(7814)] = 292218,
  [SMALL_STATE(7815)] = 292231,
  [SMALL_STATE(7816)] = 292244,
  [SMALL_STATE(7817)] = 292257,
  [SMALL_STATE(7818)] = 292270,
  [SMALL_STATE(7819)] = 292283,
  [SMALL_STATE(7820)] = 292296,
  [SMALL_STATE(7821)] = 292309,
  [SMALL_STATE(7822)] = 292320,
  [SMALL_STATE(7823)] = 292329,
  [SMALL_STATE(7824)] = 292342,
  [SMALL_STATE(7825)] = 292353,
  [SMALL_STATE(7826)] = 292364,
  [SMALL_STATE(7827)] = 292377,
  [SMALL_STATE(7828)] = 292390,
  [SMALL_STATE(7829)] = 292403,
  [SMALL_STATE(7830)] = 292416,
  [SMALL_STATE(7831)] = 292429,
  [SMALL_STATE(7832)] = 292442,
  [SMALL_STATE(7833)] = 292455,
  [SMALL_STATE(7834)] = 292466,
  [SMALL_STATE(7835)] = 292479,
  [SMALL_STATE(7836)] = 292492,
  [SMALL_STATE(7837)] = 292505,
  [SMALL_STATE(7838)] = 292518,
  [SMALL_STATE(7839)] = 292531,
  [SMALL_STATE(7840)] = 292544,
  [SMALL_STATE(7841)] = 292557,
  [SMALL_STATE(7842)] = 292570,
  [SMALL_STATE(7843)] = 292583,
  [SMALL_STATE(7844)] = 292596,
  [SMALL_STATE(7845)] = 292609,
  [SMALL_STATE(7846)] = 292622,
  [SMALL_STATE(7847)] = 292635,
  [SMALL_STATE(7848)] = 292648,
  [SMALL_STATE(7849)] = 292657,
  [SMALL_STATE(7850)] = 292670,
  [SMALL_STATE(7851)] = 292683,
  [SMALL_STATE(7852)] = 292696,
  [SMALL_STATE(7853)] = 292709,
  [SMALL_STATE(7854)] = 292722,
  [SMALL_STATE(7855)] = 292735,
  [SMALL_STATE(7856)] = 292748,
  [SMALL_STATE(7857)] = 292757,
  [SMALL_STATE(7858)] = 292770,
  [SMALL_STATE(7859)] = 292783,
  [SMALL_STATE(7860)] = 292792,
  [SMALL_STATE(7861)] = 292805,
  [SMALL_STATE(7862)] = 292818,
  [SMALL_STATE(7863)] = 292831,
  [SMALL_STATE(7864)] = 292844,
  [SMALL_STATE(7865)] = 292857,
  [SMALL_STATE(7866)] = 292870,
  [SMALL_STATE(7867)] = 292881,
  [SMALL_STATE(7868)] = 292894,
  [SMALL_STATE(7869)] = 292905,
  [SMALL_STATE(7870)] = 292918,
  [SMALL_STATE(7871)] = 292927,
  [SMALL_STATE(7872)] = 292936,
  [SMALL_STATE(7873)] = 292949,
  [SMALL_STATE(7874)] = 292962,
  [SMALL_STATE(7875)] = 292975,
  [SMALL_STATE(7876)] = 292986,
  [SMALL_STATE(7877)] = 292999,
  [SMALL_STATE(7878)] = 293012,
  [SMALL_STATE(7879)] = 293021,
  [SMALL_STATE(7880)] = 293034,
  [SMALL_STATE(7881)] = 293047,
  [SMALL_STATE(7882)] = 293058,
  [SMALL_STATE(7883)] = 293071,
  [SMALL_STATE(7884)] = 293084,
  [SMALL_STATE(7885)] = 293093,
  [SMALL_STATE(7886)] = 293106,
  [SMALL_STATE(7887)] = 293119,
  [SMALL_STATE(7888)] = 293132,
  [SMALL_STATE(7889)] = 293145,
  [SMALL_STATE(7890)] = 293156,
  [SMALL_STATE(7891)] = 293167,
  [SMALL_STATE(7892)] = 293180,
  [SMALL_STATE(7893)] = 293193,
  [SMALL_STATE(7894)] = 293206,
  [SMALL_STATE(7895)] = 293219,
  [SMALL_STATE(7896)] = 293232,
  [SMALL_STATE(7897)] = 293245,
  [SMALL_STATE(7898)] = 293258,
  [SMALL_STATE(7899)] = 293271,
  [SMALL_STATE(7900)] = 293284,
  [SMALL_STATE(7901)] = 293297,
  [SMALL_STATE(7902)] = 293310,
  [SMALL_STATE(7903)] = 293323,
  [SMALL_STATE(7904)] = 293334,
  [SMALL_STATE(7905)] = 293345,
  [SMALL_STATE(7906)] = 293358,
  [SMALL_STATE(7907)] = 293371,
  [SMALL_STATE(7908)] = 293384,
  [SMALL_STATE(7909)] = 293395,
  [SMALL_STATE(7910)] = 293408,
  [SMALL_STATE(7911)] = 293421,
  [SMALL_STATE(7912)] = 293434,
  [SMALL_STATE(7913)] = 293447,
  [SMALL_STATE(7914)] = 293460,
  [SMALL_STATE(7915)] = 293471,
  [SMALL_STATE(7916)] = 293484,
  [SMALL_STATE(7917)] = 293497,
  [SMALL_STATE(7918)] = 293510,
  [SMALL_STATE(7919)] = 293523,
  [SMALL_STATE(7920)] = 293536,
  [SMALL_STATE(7921)] = 293549,
  [SMALL_STATE(7922)] = 293562,
  [SMALL_STATE(7923)] = 293575,
  [SMALL_STATE(7924)] = 293588,
  [SMALL_STATE(7925)] = 293601,
  [SMALL_STATE(7926)] = 293612,
  [SMALL_STATE(7927)] = 293623,
  [SMALL_STATE(7928)] = 293636,
  [SMALL_STATE(7929)] = 293649,
  [SMALL_STATE(7930)] = 293660,
  [SMALL_STATE(7931)] = 293673,
  [SMALL_STATE(7932)] = 293686,
  [SMALL_STATE(7933)] = 293697,
  [SMALL_STATE(7934)] = 293706,
  [SMALL_STATE(7935)] = 293719,
  [SMALL_STATE(7936)] = 293730,
  [SMALL_STATE(7937)] = 293743,
  [SMALL_STATE(7938)] = 293756,
  [SMALL_STATE(7939)] = 293767,
  [SMALL_STATE(7940)] = 293776,
  [SMALL_STATE(7941)] = 293789,
  [SMALL_STATE(7942)] = 293802,
  [SMALL_STATE(7943)] = 293815,
  [SMALL_STATE(7944)] = 293828,
  [SMALL_STATE(7945)] = 293841,
  [SMALL_STATE(7946)] = 293854,
  [SMALL_STATE(7947)] = 293867,
  [SMALL_STATE(7948)] = 293880,
  [SMALL_STATE(7949)] = 293893,
  [SMALL_STATE(7950)] = 293906,
  [SMALL_STATE(7951)] = 293919,
  [SMALL_STATE(7952)] = 293932,
  [SMALL_STATE(7953)] = 293945,
  [SMALL_STATE(7954)] = 293958,
  [SMALL_STATE(7955)] = 293971,
  [SMALL_STATE(7956)] = 293984,
  [SMALL_STATE(7957)] = 293997,
  [SMALL_STATE(7958)] = 294010,
  [SMALL_STATE(7959)] = 294023,
  [SMALL_STATE(7960)] = 294036,
  [SMALL_STATE(7961)] = 294047,
  [SMALL_STATE(7962)] = 294060,
  [SMALL_STATE(7963)] = 294073,
  [SMALL_STATE(7964)] = 294086,
  [SMALL_STATE(7965)] = 294099,
  [SMALL_STATE(7966)] = 294112,
  [SMALL_STATE(7967)] = 294125,
  [SMALL_STATE(7968)] = 294138,
  [SMALL_STATE(7969)] = 294151,
  [SMALL_STATE(7970)] = 294164,
  [SMALL_STATE(7971)] = 294173,
  [SMALL_STATE(7972)] = 294186,
  [SMALL_STATE(7973)] = 294199,
  [SMALL_STATE(7974)] = 294210,
  [SMALL_STATE(7975)] = 294223,
  [SMALL_STATE(7976)] = 294236,
  [SMALL_STATE(7977)] = 294249,
  [SMALL_STATE(7978)] = 294262,
  [SMALL_STATE(7979)] = 294275,
  [SMALL_STATE(7980)] = 294288,
  [SMALL_STATE(7981)] = 294301,
  [SMALL_STATE(7982)] = 294314,
  [SMALL_STATE(7983)] = 294327,
  [SMALL_STATE(7984)] = 294340,
  [SMALL_STATE(7985)] = 294353,
  [SMALL_STATE(7986)] = 294366,
  [SMALL_STATE(7987)] = 294379,
  [SMALL_STATE(7988)] = 294392,
  [SMALL_STATE(7989)] = 294405,
  [SMALL_STATE(7990)] = 294418,
  [SMALL_STATE(7991)] = 294431,
  [SMALL_STATE(7992)] = 294444,
  [SMALL_STATE(7993)] = 294457,
  [SMALL_STATE(7994)] = 294468,
  [SMALL_STATE(7995)] = 294481,
  [SMALL_STATE(7996)] = 294494,
  [SMALL_STATE(7997)] = 294507,
  [SMALL_STATE(7998)] = 294520,
  [SMALL_STATE(7999)] = 294533,
  [SMALL_STATE(8000)] = 294546,
  [SMALL_STATE(8001)] = 294559,
  [SMALL_STATE(8002)] = 294572,
  [SMALL_STATE(8003)] = 294585,
  [SMALL_STATE(8004)] = 294598,
  [SMALL_STATE(8005)] = 294611,
  [SMALL_STATE(8006)] = 294624,
  [SMALL_STATE(8007)] = 294635,
  [SMALL_STATE(8008)] = 294648,
  [SMALL_STATE(8009)] = 294661,
  [SMALL_STATE(8010)] = 294674,
  [SMALL_STATE(8011)] = 294687,
  [SMALL_STATE(8012)] = 294698,
  [SMALL_STATE(8013)] = 294711,
  [SMALL_STATE(8014)] = 294722,
  [SMALL_STATE(8015)] = 294735,
  [SMALL_STATE(8016)] = 294748,
  [SMALL_STATE(8017)] = 294759,
  [SMALL_STATE(8018)] = 294772,
  [SMALL_STATE(8019)] = 294783,
  [SMALL_STATE(8020)] = 294796,
  [SMALL_STATE(8021)] = 294809,
  [SMALL_STATE(8022)] = 294822,
  [SMALL_STATE(8023)] = 294835,
  [SMALL_STATE(8024)] = 294848,
  [SMALL_STATE(8025)] = 294859,
  [SMALL_STATE(8026)] = 294872,
  [SMALL_STATE(8027)] = 294885,
  [SMALL_STATE(8028)] = 294896,
  [SMALL_STATE(8029)] = 294909,
  [SMALL_STATE(8030)] = 294922,
  [SMALL_STATE(8031)] = 294935,
  [SMALL_STATE(8032)] = 294948,
  [SMALL_STATE(8033)] = 294961,
  [SMALL_STATE(8034)] = 294974,
  [SMALL_STATE(8035)] = 294987,
  [SMALL_STATE(8036)] = 295000,
  [SMALL_STATE(8037)] = 295013,
  [SMALL_STATE(8038)] = 295024,
  [SMALL_STATE(8039)] = 295035,
  [SMALL_STATE(8040)] = 295048,
  [SMALL_STATE(8041)] = 295061,
  [SMALL_STATE(8042)] = 295074,
  [SMALL_STATE(8043)] = 295087,
  [SMALL_STATE(8044)] = 295098,
  [SMALL_STATE(8045)] = 295111,
  [SMALL_STATE(8046)] = 295119,
  [SMALL_STATE(8047)] = 295127,
  [SMALL_STATE(8048)] = 295137,
  [SMALL_STATE(8049)] = 295147,
  [SMALL_STATE(8050)] = 295157,
  [SMALL_STATE(8051)] = 295167,
  [SMALL_STATE(8052)] = 295177,
  [SMALL_STATE(8053)] = 295187,
  [SMALL_STATE(8054)] = 295197,
  [SMALL_STATE(8055)] = 295207,
  [SMALL_STATE(8056)] = 295217,
  [SMALL_STATE(8057)] = 295227,
  [SMALL_STATE(8058)] = 295237,
  [SMALL_STATE(8059)] = 295247,
  [SMALL_STATE(8060)] = 295257,
  [SMALL_STATE(8061)] = 295267,
  [SMALL_STATE(8062)] = 295277,
  [SMALL_STATE(8063)] = 295287,
  [SMALL_STATE(8064)] = 295297,
  [SMALL_STATE(8065)] = 295305,
  [SMALL_STATE(8066)] = 295315,
  [SMALL_STATE(8067)] = 295325,
  [SMALL_STATE(8068)] = 295335,
  [SMALL_STATE(8069)] = 295345,
  [SMALL_STATE(8070)] = 295355,
  [SMALL_STATE(8071)] = 295365,
  [SMALL_STATE(8072)] = 295375,
  [SMALL_STATE(8073)] = 295385,
  [SMALL_STATE(8074)] = 295393,
  [SMALL_STATE(8075)] = 295403,
  [SMALL_STATE(8076)] = 295413,
  [SMALL_STATE(8077)] = 295423,
  [SMALL_STATE(8078)] = 295433,
  [SMALL_STATE(8079)] = 295443,
  [SMALL_STATE(8080)] = 295453,
  [SMALL_STATE(8081)] = 295463,
  [SMALL_STATE(8082)] = 295473,
  [SMALL_STATE(8083)] = 295483,
  [SMALL_STATE(8084)] = 295493,
  [SMALL_STATE(8085)] = 295503,
  [SMALL_STATE(8086)] = 295513,
  [SMALL_STATE(8087)] = 295523,
  [SMALL_STATE(8088)] = 295533,
  [SMALL_STATE(8089)] = 295543,
  [SMALL_STATE(8090)] = 295553,
  [SMALL_STATE(8091)] = 295563,
  [SMALL_STATE(8092)] = 295573,
  [SMALL_STATE(8093)] = 295581,
  [SMALL_STATE(8094)] = 295591,
  [SMALL_STATE(8095)] = 295601,
  [SMALL_STATE(8096)] = 295611,
  [SMALL_STATE(8097)] = 295621,
  [SMALL_STATE(8098)] = 295631,
  [SMALL_STATE(8099)] = 295641,
  [SMALL_STATE(8100)] = 295651,
  [SMALL_STATE(8101)] = 295661,
  [SMALL_STATE(8102)] = 295671,
  [SMALL_STATE(8103)] = 295681,
  [SMALL_STATE(8104)] = 295691,
  [SMALL_STATE(8105)] = 295701,
  [SMALL_STATE(8106)] = 295711,
  [SMALL_STATE(8107)] = 295721,
  [SMALL_STATE(8108)] = 295731,
  [SMALL_STATE(8109)] = 295741,
  [SMALL_STATE(8110)] = 295751,
  [SMALL_STATE(8111)] = 295761,
  [SMALL_STATE(8112)] = 295771,
  [SMALL_STATE(8113)] = 295781,
  [SMALL_STATE(8114)] = 295789,
  [SMALL_STATE(8115)] = 295799,
  [SMALL_STATE(8116)] = 295809,
  [SMALL_STATE(8117)] = 295819,
  [SMALL_STATE(8118)] = 295829,
  [SMALL_STATE(8119)] = 295839,
  [SMALL_STATE(8120)] = 295849,
  [SMALL_STATE(8121)] = 295859,
  [SMALL_STATE(8122)] = 295869,
  [SMALL_STATE(8123)] = 295879,
  [SMALL_STATE(8124)] = 295889,
  [SMALL_STATE(8125)] = 295899,
  [SMALL_STATE(8126)] = 295909,
  [SMALL_STATE(8127)] = 295919,
  [SMALL_STATE(8128)] = 295929,
  [SMALL_STATE(8129)] = 295939,
  [SMALL_STATE(8130)] = 295949,
  [SMALL_STATE(8131)] = 295957,
  [SMALL_STATE(8132)] = 295967,
  [SMALL_STATE(8133)] = 295977,
  [SMALL_STATE(8134)] = 295987,
  [SMALL_STATE(8135)] = 295997,
  [SMALL_STATE(8136)] = 296007,
  [SMALL_STATE(8137)] = 296017,
  [SMALL_STATE(8138)] = 296027,
  [SMALL_STATE(8139)] = 296037,
  [SMALL_STATE(8140)] = 296047,
  [SMALL_STATE(8141)] = 296057,
  [SMALL_STATE(8142)] = 296067,
  [SMALL_STATE(8143)] = 296077,
  [SMALL_STATE(8144)] = 296087,
  [SMALL_STATE(8145)] = 296097,
  [SMALL_STATE(8146)] = 296107,
  [SMALL_STATE(8147)] = 296117,
  [SMALL_STATE(8148)] = 296127,
  [SMALL_STATE(8149)] = 296137,
  [SMALL_STATE(8150)] = 296147,
  [SMALL_STATE(8151)] = 296157,
  [SMALL_STATE(8152)] = 296167,
  [SMALL_STATE(8153)] = 296177,
  [SMALL_STATE(8154)] = 296187,
  [SMALL_STATE(8155)] = 296197,
  [SMALL_STATE(8156)] = 296207,
  [SMALL_STATE(8157)] = 296217,
  [SMALL_STATE(8158)] = 296227,
  [SMALL_STATE(8159)] = 296237,
  [SMALL_STATE(8160)] = 296247,
  [SMALL_STATE(8161)] = 296257,
  [SMALL_STATE(8162)] = 296267,
  [SMALL_STATE(8163)] = 296277,
  [SMALL_STATE(8164)] = 296287,
  [SMALL_STATE(8165)] = 296295,
  [SMALL_STATE(8166)] = 296305,
  [SMALL_STATE(8167)] = 296315,
  [SMALL_STATE(8168)] = 296325,
  [SMALL_STATE(8169)] = 296335,
  [SMALL_STATE(8170)] = 296345,
  [SMALL_STATE(8171)] = 296355,
  [SMALL_STATE(8172)] = 296365,
  [SMALL_STATE(8173)] = 296375,
  [SMALL_STATE(8174)] = 296385,
  [SMALL_STATE(8175)] = 296395,
  [SMALL_STATE(8176)] = 296405,
  [SMALL_STATE(8177)] = 296415,
  [SMALL_STATE(8178)] = 296425,
  [SMALL_STATE(8179)] = 296435,
  [SMALL_STATE(8180)] = 296445,
  [SMALL_STATE(8181)] = 296455,
  [SMALL_STATE(8182)] = 296465,
  [SMALL_STATE(8183)] = 296475,
  [SMALL_STATE(8184)] = 296485,
  [SMALL_STATE(8185)] = 296495,
  [SMALL_STATE(8186)] = 296505,
  [SMALL_STATE(8187)] = 296515,
  [SMALL_STATE(8188)] = 296525,
  [SMALL_STATE(8189)] = 296533,
  [SMALL_STATE(8190)] = 296543,
  [SMALL_STATE(8191)] = 296551,
  [SMALL_STATE(8192)] = 296559,
  [SMALL_STATE(8193)] = 296567,
  [SMALL_STATE(8194)] = 296577,
  [SMALL_STATE(8195)] = 296585,
  [SMALL_STATE(8196)] = 296595,
  [SMALL_STATE(8197)] = 296603,
  [SMALL_STATE(8198)] = 296611,
  [SMALL_STATE(8199)] = 296621,
  [SMALL_STATE(8200)] = 296631,
  [SMALL_STATE(8201)] = 296641,
  [SMALL_STATE(8202)] = 296651,
  [SMALL_STATE(8203)] = 296661,
  [SMALL_STATE(8204)] = 296669,
  [SMALL_STATE(8205)] = 296677,
  [SMALL_STATE(8206)] = 296685,
  [SMALL_STATE(8207)] = 296695,
  [SMALL_STATE(8208)] = 296705,
  [SMALL_STATE(8209)] = 296713,
  [SMALL_STATE(8210)] = 296723,
  [SMALL_STATE(8211)] = 296731,
  [SMALL_STATE(8212)] = 296739,
  [SMALL_STATE(8213)] = 296749,
  [SMALL_STATE(8214)] = 296759,
  [SMALL_STATE(8215)] = 296769,
  [SMALL_STATE(8216)] = 296777,
  [SMALL_STATE(8217)] = 296787,
  [SMALL_STATE(8218)] = 296797,
  [SMALL_STATE(8219)] = 296807,
  [SMALL_STATE(8220)] = 296817,
  [SMALL_STATE(8221)] = 296827,
  [SMALL_STATE(8222)] = 296837,
  [SMALL_STATE(8223)] = 296847,
  [SMALL_STATE(8224)] = 296857,
  [SMALL_STATE(8225)] = 296867,
  [SMALL_STATE(8226)] = 296877,
  [SMALL_STATE(8227)] = 296887,
  [SMALL_STATE(8228)] = 296897,
  [SMALL_STATE(8229)] = 296907,
  [SMALL_STATE(8230)] = 296917,
  [SMALL_STATE(8231)] = 296925,
  [SMALL_STATE(8232)] = 296933,
  [SMALL_STATE(8233)] = 296943,
  [SMALL_STATE(8234)] = 296951,
  [SMALL_STATE(8235)] = 296961,
  [SMALL_STATE(8236)] = 296969,
  [SMALL_STATE(8237)] = 296979,
  [SMALL_STATE(8238)] = 296989,
  [SMALL_STATE(8239)] = 296999,
  [SMALL_STATE(8240)] = 297009,
  [SMALL_STATE(8241)] = 297017,
  [SMALL_STATE(8242)] = 297025,
  [SMALL_STATE(8243)] = 297035,
  [SMALL_STATE(8244)] = 297045,
  [SMALL_STATE(8245)] = 297055,
  [SMALL_STATE(8246)] = 297065,
  [SMALL_STATE(8247)] = 297073,
  [SMALL_STATE(8248)] = 297083,
  [SMALL_STATE(8249)] = 297093,
  [SMALL_STATE(8250)] = 297103,
  [SMALL_STATE(8251)] = 297113,
  [SMALL_STATE(8252)] = 297123,
  [SMALL_STATE(8253)] = 297133,
  [SMALL_STATE(8254)] = 297141,
  [SMALL_STATE(8255)] = 297149,
  [SMALL_STATE(8256)] = 297159,
  [SMALL_STATE(8257)] = 297169,
  [SMALL_STATE(8258)] = 297179,
  [SMALL_STATE(8259)] = 297189,
  [SMALL_STATE(8260)] = 297199,
  [SMALL_STATE(8261)] = 297209,
  [SMALL_STATE(8262)] = 297219,
  [SMALL_STATE(8263)] = 297227,
  [SMALL_STATE(8264)] = 297237,
  [SMALL_STATE(8265)] = 297245,
  [SMALL_STATE(8266)] = 297255,
  [SMALL_STATE(8267)] = 297263,
  [SMALL_STATE(8268)] = 297273,
  [SMALL_STATE(8269)] = 297283,
  [SMALL_STATE(8270)] = 297293,
  [SMALL_STATE(8271)] = 297303,
  [SMALL_STATE(8272)] = 297311,
  [SMALL_STATE(8273)] = 297319,
  [SMALL_STATE(8274)] = 297327,
  [SMALL_STATE(8275)] = 297335,
  [SMALL_STATE(8276)] = 297343,
  [SMALL_STATE(8277)] = 297351,
  [SMALL_STATE(8278)] = 297361,
  [SMALL_STATE(8279)] = 297371,
  [SMALL_STATE(8280)] = 297381,
  [SMALL_STATE(8281)] = 297391,
  [SMALL_STATE(8282)] = 297401,
  [SMALL_STATE(8283)] = 297411,
  [SMALL_STATE(8284)] = 297419,
  [SMALL_STATE(8285)] = 297429,
  [SMALL_STATE(8286)] = 297437,
  [SMALL_STATE(8287)] = 297447,
  [SMALL_STATE(8288)] = 297457,
  [SMALL_STATE(8289)] = 297467,
  [SMALL_STATE(8290)] = 297477,
  [SMALL_STATE(8291)] = 297487,
  [SMALL_STATE(8292)] = 297497,
  [SMALL_STATE(8293)] = 297507,
  [SMALL_STATE(8294)] = 297515,
  [SMALL_STATE(8295)] = 297525,
  [SMALL_STATE(8296)] = 297535,
  [SMALL_STATE(8297)] = 297545,
  [SMALL_STATE(8298)] = 297555,
  [SMALL_STATE(8299)] = 297565,
  [SMALL_STATE(8300)] = 297575,
  [SMALL_STATE(8301)] = 297585,
  [SMALL_STATE(8302)] = 297595,
  [SMALL_STATE(8303)] = 297605,
  [SMALL_STATE(8304)] = 297615,
  [SMALL_STATE(8305)] = 297625,
  [SMALL_STATE(8306)] = 297635,
  [SMALL_STATE(8307)] = 297645,
  [SMALL_STATE(8308)] = 297655,
  [SMALL_STATE(8309)] = 297665,
  [SMALL_STATE(8310)] = 297675,
  [SMALL_STATE(8311)] = 297685,
  [SMALL_STATE(8312)] = 297695,
  [SMALL_STATE(8313)] = 297705,
  [SMALL_STATE(8314)] = 297715,
  [SMALL_STATE(8315)] = 297725,
  [SMALL_STATE(8316)] = 297735,
  [SMALL_STATE(8317)] = 297745,
  [SMALL_STATE(8318)] = 297755,
  [SMALL_STATE(8319)] = 297765,
  [SMALL_STATE(8320)] = 297775,
  [SMALL_STATE(8321)] = 297785,
  [SMALL_STATE(8322)] = 297793,
  [SMALL_STATE(8323)] = 297803,
  [SMALL_STATE(8324)] = 297813,
  [SMALL_STATE(8325)] = 297823,
  [SMALL_STATE(8326)] = 297833,
  [SMALL_STATE(8327)] = 297843,
  [SMALL_STATE(8328)] = 297853,
  [SMALL_STATE(8329)] = 297863,
  [SMALL_STATE(8330)] = 297873,
  [SMALL_STATE(8331)] = 297883,
  [SMALL_STATE(8332)] = 297893,
  [SMALL_STATE(8333)] = 297903,
  [SMALL_STATE(8334)] = 297913,
  [SMALL_STATE(8335)] = 297923,
  [SMALL_STATE(8336)] = 297933,
  [SMALL_STATE(8337)] = 297943,
  [SMALL_STATE(8338)] = 297953,
  [SMALL_STATE(8339)] = 297963,
  [SMALL_STATE(8340)] = 297973,
  [SMALL_STATE(8341)] = 297983,
  [SMALL_STATE(8342)] = 297993,
  [SMALL_STATE(8343)] = 298003,
  [SMALL_STATE(8344)] = 298013,
  [SMALL_STATE(8345)] = 298023,
  [SMALL_STATE(8346)] = 298033,
  [SMALL_STATE(8347)] = 298043,
  [SMALL_STATE(8348)] = 298053,
  [SMALL_STATE(8349)] = 298063,
  [SMALL_STATE(8350)] = 298073,
  [SMALL_STATE(8351)] = 298083,
  [SMALL_STATE(8352)] = 298093,
  [SMALL_STATE(8353)] = 298103,
  [SMALL_STATE(8354)] = 298113,
  [SMALL_STATE(8355)] = 298123,
  [SMALL_STATE(8356)] = 298133,
  [SMALL_STATE(8357)] = 298143,
  [SMALL_STATE(8358)] = 298153,
  [SMALL_STATE(8359)] = 298163,
  [SMALL_STATE(8360)] = 298171,
  [SMALL_STATE(8361)] = 298181,
  [SMALL_STATE(8362)] = 298191,
  [SMALL_STATE(8363)] = 298201,
  [SMALL_STATE(8364)] = 298211,
  [SMALL_STATE(8365)] = 298221,
  [SMALL_STATE(8366)] = 298231,
  [SMALL_STATE(8367)] = 298241,
  [SMALL_STATE(8368)] = 298251,
  [SMALL_STATE(8369)] = 298261,
  [SMALL_STATE(8370)] = 298271,
  [SMALL_STATE(8371)] = 298281,
  [SMALL_STATE(8372)] = 298289,
  [SMALL_STATE(8373)] = 298299,
  [SMALL_STATE(8374)] = 298309,
  [SMALL_STATE(8375)] = 298319,
  [SMALL_STATE(8376)] = 298329,
  [SMALL_STATE(8377)] = 298339,
  [SMALL_STATE(8378)] = 298349,
  [SMALL_STATE(8379)] = 298359,
  [SMALL_STATE(8380)] = 298369,
  [SMALL_STATE(8381)] = 298379,
  [SMALL_STATE(8382)] = 298389,
  [SMALL_STATE(8383)] = 298399,
  [SMALL_STATE(8384)] = 298409,
  [SMALL_STATE(8385)] = 298419,
  [SMALL_STATE(8386)] = 298429,
  [SMALL_STATE(8387)] = 298439,
  [SMALL_STATE(8388)] = 298449,
  [SMALL_STATE(8389)] = 298459,
  [SMALL_STATE(8390)] = 298469,
  [SMALL_STATE(8391)] = 298479,
  [SMALL_STATE(8392)] = 298489,
  [SMALL_STATE(8393)] = 298499,
  [SMALL_STATE(8394)] = 298509,
  [SMALL_STATE(8395)] = 298519,
  [SMALL_STATE(8396)] = 298529,
  [SMALL_STATE(8397)] = 298539,
  [SMALL_STATE(8398)] = 298549,
  [SMALL_STATE(8399)] = 298559,
  [SMALL_STATE(8400)] = 298569,
  [SMALL_STATE(8401)] = 298579,
  [SMALL_STATE(8402)] = 298589,
  [SMALL_STATE(8403)] = 298599,
  [SMALL_STATE(8404)] = 298609,
  [SMALL_STATE(8405)] = 298619,
  [SMALL_STATE(8406)] = 298629,
  [SMALL_STATE(8407)] = 298639,
  [SMALL_STATE(8408)] = 298649,
  [SMALL_STATE(8409)] = 298659,
  [SMALL_STATE(8410)] = 298669,
  [SMALL_STATE(8411)] = 298679,
  [SMALL_STATE(8412)] = 298689,
  [SMALL_STATE(8413)] = 298699,
  [SMALL_STATE(8414)] = 298709,
  [SMALL_STATE(8415)] = 298719,
  [SMALL_STATE(8416)] = 298729,
  [SMALL_STATE(8417)] = 298739,
  [SMALL_STATE(8418)] = 298749,
  [SMALL_STATE(8419)] = 298759,
  [SMALL_STATE(8420)] = 298769,
  [SMALL_STATE(8421)] = 298779,
  [SMALL_STATE(8422)] = 298789,
  [SMALL_STATE(8423)] = 298799,
  [SMALL_STATE(8424)] = 298809,
  [SMALL_STATE(8425)] = 298819,
  [SMALL_STATE(8426)] = 298829,
  [SMALL_STATE(8427)] = 298839,
  [SMALL_STATE(8428)] = 298849,
  [SMALL_STATE(8429)] = 298859,
  [SMALL_STATE(8430)] = 298869,
  [SMALL_STATE(8431)] = 298879,
  [SMALL_STATE(8432)] = 298889,
  [SMALL_STATE(8433)] = 298897,
  [SMALL_STATE(8434)] = 298907,
  [SMALL_STATE(8435)] = 298917,
  [SMALL_STATE(8436)] = 298927,
  [SMALL_STATE(8437)] = 298937,
  [SMALL_STATE(8438)] = 298947,
  [SMALL_STATE(8439)] = 298957,
  [SMALL_STATE(8440)] = 298967,
  [SMALL_STATE(8441)] = 298975,
  [SMALL_STATE(8442)] = 298985,
  [SMALL_STATE(8443)] = 298995,
  [SMALL_STATE(8444)] = 299005,
  [SMALL_STATE(8445)] = 299015,
  [SMALL_STATE(8446)] = 299025,
  [SMALL_STATE(8447)] = 299035,
  [SMALL_STATE(8448)] = 299045,
  [SMALL_STATE(8449)] = 299055,
  [SMALL_STATE(8450)] = 299062,
  [SMALL_STATE(8451)] = 299069,
  [SMALL_STATE(8452)] = 299076,
  [SMALL_STATE(8453)] = 299083,
  [SMALL_STATE(8454)] = 299090,
  [SMALL_STATE(8455)] = 299097,
  [SMALL_STATE(8456)] = 299104,
  [SMALL_STATE(8457)] = 299111,
  [SMALL_STATE(8458)] = 299118,
  [SMALL_STATE(8459)] = 299125,
  [SMALL_STATE(8460)] = 299132,
  [SMALL_STATE(8461)] = 299139,
  [SMALL_STATE(8462)] = 299146,
  [SMALL_STATE(8463)] = 299153,
  [SMALL_STATE(8464)] = 299160,
  [SMALL_STATE(8465)] = 299167,
  [SMALL_STATE(8466)] = 299174,
  [SMALL_STATE(8467)] = 299181,
  [SMALL_STATE(8468)] = 299188,
  [SMALL_STATE(8469)] = 299195,
  [SMALL_STATE(8470)] = 299202,
  [SMALL_STATE(8471)] = 299209,
  [SMALL_STATE(8472)] = 299216,
  [SMALL_STATE(8473)] = 299223,
  [SMALL_STATE(8474)] = 299230,
  [SMALL_STATE(8475)] = 299237,
  [SMALL_STATE(8476)] = 299244,
  [SMALL_STATE(8477)] = 299251,
  [SMALL_STATE(8478)] = 299258,
  [SMALL_STATE(8479)] = 299265,
  [SMALL_STATE(8480)] = 299272,
  [SMALL_STATE(8481)] = 299279,
  [SMALL_STATE(8482)] = 299286,
  [SMALL_STATE(8483)] = 299293,
  [SMALL_STATE(8484)] = 299300,
  [SMALL_STATE(8485)] = 299307,
  [SMALL_STATE(8486)] = 299314,
  [SMALL_STATE(8487)] = 299321,
  [SMALL_STATE(8488)] = 299328,
  [SMALL_STATE(8489)] = 299335,
  [SMALL_STATE(8490)] = 299342,
  [SMALL_STATE(8491)] = 299349,
  [SMALL_STATE(8492)] = 299356,
  [SMALL_STATE(8493)] = 299363,
  [SMALL_STATE(8494)] = 299370,
  [SMALL_STATE(8495)] = 299377,
  [SMALL_STATE(8496)] = 299384,
  [SMALL_STATE(8497)] = 299391,
  [SMALL_STATE(8498)] = 299398,
  [SMALL_STATE(8499)] = 299405,
  [SMALL_STATE(8500)] = 299412,
  [SMALL_STATE(8501)] = 299419,
  [SMALL_STATE(8502)] = 299426,
  [SMALL_STATE(8503)] = 299433,
  [SMALL_STATE(8504)] = 299440,
  [SMALL_STATE(8505)] = 299447,
  [SMALL_STATE(8506)] = 299454,
  [SMALL_STATE(8507)] = 299461,
  [SMALL_STATE(8508)] = 299468,
  [SMALL_STATE(8509)] = 299475,
  [SMALL_STATE(8510)] = 299482,
  [SMALL_STATE(8511)] = 299489,
  [SMALL_STATE(8512)] = 299496,
  [SMALL_STATE(8513)] = 299503,
  [SMALL_STATE(8514)] = 299510,
  [SMALL_STATE(8515)] = 299517,
  [SMALL_STATE(8516)] = 299524,
  [SMALL_STATE(8517)] = 299531,
  [SMALL_STATE(8518)] = 299538,
  [SMALL_STATE(8519)] = 299545,
  [SMALL_STATE(8520)] = 299552,
  [SMALL_STATE(8521)] = 299559,
  [SMALL_STATE(8522)] = 299566,
  [SMALL_STATE(8523)] = 299573,
  [SMALL_STATE(8524)] = 299580,
  [SMALL_STATE(8525)] = 299587,
  [SMALL_STATE(8526)] = 299594,
  [SMALL_STATE(8527)] = 299601,
  [SMALL_STATE(8528)] = 299608,
  [SMALL_STATE(8529)] = 299615,
  [SMALL_STATE(8530)] = 299622,
  [SMALL_STATE(8531)] = 299629,
  [SMALL_STATE(8532)] = 299636,
  [SMALL_STATE(8533)] = 299643,
  [SMALL_STATE(8534)] = 299650,
  [SMALL_STATE(8535)] = 299657,
  [SMALL_STATE(8536)] = 299664,
  [SMALL_STATE(8537)] = 299671,
  [SMALL_STATE(8538)] = 299678,
  [SMALL_STATE(8539)] = 299685,
  [SMALL_STATE(8540)] = 299692,
  [SMALL_STATE(8541)] = 299699,
  [SMALL_STATE(8542)] = 299706,
  [SMALL_STATE(8543)] = 299713,
  [SMALL_STATE(8544)] = 299720,
  [SMALL_STATE(8545)] = 299727,
  [SMALL_STATE(8546)] = 299734,
  [SMALL_STATE(8547)] = 299741,
  [SMALL_STATE(8548)] = 299748,
  [SMALL_STATE(8549)] = 299755,
  [SMALL_STATE(8550)] = 299762,
  [SMALL_STATE(8551)] = 299769,
  [SMALL_STATE(8552)] = 299776,
  [SMALL_STATE(8553)] = 299783,
  [SMALL_STATE(8554)] = 299790,
  [SMALL_STATE(8555)] = 299797,
  [SMALL_STATE(8556)] = 299804,
  [SMALL_STATE(8557)] = 299811,
  [SMALL_STATE(8558)] = 299818,
  [SMALL_STATE(8559)] = 299825,
  [SMALL_STATE(8560)] = 299832,
  [SMALL_STATE(8561)] = 299839,
  [SMALL_STATE(8562)] = 299846,
  [SMALL_STATE(8563)] = 299853,
  [SMALL_STATE(8564)] = 299860,
  [SMALL_STATE(8565)] = 299867,
  [SMALL_STATE(8566)] = 299874,
  [SMALL_STATE(8567)] = 299881,
  [SMALL_STATE(8568)] = 299888,
  [SMALL_STATE(8569)] = 299895,
  [SMALL_STATE(8570)] = 299902,
  [SMALL_STATE(8571)] = 299909,
  [SMALL_STATE(8572)] = 299916,
  [SMALL_STATE(8573)] = 299923,
  [SMALL_STATE(8574)] = 299930,
  [SMALL_STATE(8575)] = 299937,
  [SMALL_STATE(8576)] = 299944,
  [SMALL_STATE(8577)] = 299951,
  [SMALL_STATE(8578)] = 299958,
  [SMALL_STATE(8579)] = 299965,
  [SMALL_STATE(8580)] = 299972,
  [SMALL_STATE(8581)] = 299979,
  [SMALL_STATE(8582)] = 299986,
  [SMALL_STATE(8583)] = 299993,
  [SMALL_STATE(8584)] = 300000,
  [SMALL_STATE(8585)] = 300007,
  [SMALL_STATE(8586)] = 300014,
  [SMALL_STATE(8587)] = 300021,
  [SMALL_STATE(8588)] = 300028,
  [SMALL_STATE(8589)] = 300035,
  [SMALL_STATE(8590)] = 300042,
  [SMALL_STATE(8591)] = 300049,
  [SMALL_STATE(8592)] = 300056,
  [SMALL_STATE(8593)] = 300063,
  [SMALL_STATE(8594)] = 300070,
  [SMALL_STATE(8595)] = 300077,
  [SMALL_STATE(8596)] = 300084,
  [SMALL_STATE(8597)] = 300091,
  [SMALL_STATE(8598)] = 300098,
  [SMALL_STATE(8599)] = 300105,
  [SMALL_STATE(8600)] = 300112,
  [SMALL_STATE(8601)] = 300119,
  [SMALL_STATE(8602)] = 300126,
  [SMALL_STATE(8603)] = 300133,
  [SMALL_STATE(8604)] = 300140,
  [SMALL_STATE(8605)] = 300147,
  [SMALL_STATE(8606)] = 300154,
  [SMALL_STATE(8607)] = 300161,
  [SMALL_STATE(8608)] = 300168,
  [SMALL_STATE(8609)] = 300175,
  [SMALL_STATE(8610)] = 300182,
  [SMALL_STATE(8611)] = 300189,
  [SMALL_STATE(8612)] = 300196,
  [SMALL_STATE(8613)] = 300203,
  [SMALL_STATE(8614)] = 300210,
  [SMALL_STATE(8615)] = 300217,
  [SMALL_STATE(8616)] = 300224,
  [SMALL_STATE(8617)] = 300231,
  [SMALL_STATE(8618)] = 300238,
  [SMALL_STATE(8619)] = 300245,
  [SMALL_STATE(8620)] = 300252,
  [SMALL_STATE(8621)] = 300259,
  [SMALL_STATE(8622)] = 300266,
  [SMALL_STATE(8623)] = 300273,
  [SMALL_STATE(8624)] = 300280,
  [SMALL_STATE(8625)] = 300287,
  [SMALL_STATE(8626)] = 300294,
  [SMALL_STATE(8627)] = 300301,
  [SMALL_STATE(8628)] = 300308,
  [SMALL_STATE(8629)] = 300315,
  [SMALL_STATE(8630)] = 300322,
  [SMALL_STATE(8631)] = 300329,
  [SMALL_STATE(8632)] = 300336,
  [SMALL_STATE(8633)] = 300343,
  [SMALL_STATE(8634)] = 300350,
  [SMALL_STATE(8635)] = 300357,
  [SMALL_STATE(8636)] = 300364,
  [SMALL_STATE(8637)] = 300371,
  [SMALL_STATE(8638)] = 300378,
  [SMALL_STATE(8639)] = 300385,
  [SMALL_STATE(8640)] = 300392,
  [SMALL_STATE(8641)] = 300399,
  [SMALL_STATE(8642)] = 300406,
  [SMALL_STATE(8643)] = 300413,
  [SMALL_STATE(8644)] = 300420,
  [SMALL_STATE(8645)] = 300427,
  [SMALL_STATE(8646)] = 300434,
  [SMALL_STATE(8647)] = 300441,
  [SMALL_STATE(8648)] = 300448,
  [SMALL_STATE(8649)] = 300455,
  [SMALL_STATE(8650)] = 300462,
  [SMALL_STATE(8651)] = 300469,
  [SMALL_STATE(8652)] = 300476,
  [SMALL_STATE(8653)] = 300483,
  [SMALL_STATE(8654)] = 300490,
  [SMALL_STATE(8655)] = 300497,
  [SMALL_STATE(8656)] = 300504,
  [SMALL_STATE(8657)] = 300511,
  [SMALL_STATE(8658)] = 300518,
  [SMALL_STATE(8659)] = 300525,
  [SMALL_STATE(8660)] = 300532,
  [SMALL_STATE(8661)] = 300539,
  [SMALL_STATE(8662)] = 300546,
  [SMALL_STATE(8663)] = 300553,
  [SMALL_STATE(8664)] = 300560,
  [SMALL_STATE(8665)] = 300567,
  [SMALL_STATE(8666)] = 300574,
  [SMALL_STATE(8667)] = 300581,
  [SMALL_STATE(8668)] = 300588,
  [SMALL_STATE(8669)] = 300595,
  [SMALL_STATE(8670)] = 300602,
  [SMALL_STATE(8671)] = 300609,
  [SMALL_STATE(8672)] = 300616,
  [SMALL_STATE(8673)] = 300623,
  [SMALL_STATE(8674)] = 300630,
  [SMALL_STATE(8675)] = 300637,
  [SMALL_STATE(8676)] = 300644,
  [SMALL_STATE(8677)] = 300651,
  [SMALL_STATE(8678)] = 300658,
  [SMALL_STATE(8679)] = 300665,
  [SMALL_STATE(8680)] = 300672,
  [SMALL_STATE(8681)] = 300679,
  [SMALL_STATE(8682)] = 300686,
  [SMALL_STATE(8683)] = 300693,
  [SMALL_STATE(8684)] = 300700,
  [SMALL_STATE(8685)] = 300707,
  [SMALL_STATE(8686)] = 300714,
  [SMALL_STATE(8687)] = 300721,
  [SMALL_STATE(8688)] = 300728,
  [SMALL_STATE(8689)] = 300735,
  [SMALL_STATE(8690)] = 300742,
  [SMALL_STATE(8691)] = 300749,
  [SMALL_STATE(8692)] = 300756,
  [SMALL_STATE(8693)] = 300763,
  [SMALL_STATE(8694)] = 300770,
  [SMALL_STATE(8695)] = 300777,
  [SMALL_STATE(8696)] = 300784,
  [SMALL_STATE(8697)] = 300791,
  [SMALL_STATE(8698)] = 300798,
  [SMALL_STATE(8699)] = 300805,
  [SMALL_STATE(8700)] = 300812,
  [SMALL_STATE(8701)] = 300819,
  [SMALL_STATE(8702)] = 300826,
  [SMALL_STATE(8703)] = 300833,
  [SMALL_STATE(8704)] = 300840,
  [SMALL_STATE(8705)] = 300847,
  [SMALL_STATE(8706)] = 300854,
  [SMALL_STATE(8707)] = 300861,
  [SMALL_STATE(8708)] = 300868,
  [SMALL_STATE(8709)] = 300875,
  [SMALL_STATE(8710)] = 300882,
  [SMALL_STATE(8711)] = 300889,
  [SMALL_STATE(8712)] = 300896,
  [SMALL_STATE(8713)] = 300903,
  [SMALL_STATE(8714)] = 300910,
  [SMALL_STATE(8715)] = 300917,
  [SMALL_STATE(8716)] = 300924,
  [SMALL_STATE(8717)] = 300931,
  [SMALL_STATE(8718)] = 300938,
  [SMALL_STATE(8719)] = 300945,
  [SMALL_STATE(8720)] = 300952,
  [SMALL_STATE(8721)] = 300959,
  [SMALL_STATE(8722)] = 300966,
  [SMALL_STATE(8723)] = 300973,
  [SMALL_STATE(8724)] = 300980,
  [SMALL_STATE(8725)] = 300987,
  [SMALL_STATE(8726)] = 300994,
  [SMALL_STATE(8727)] = 301001,
  [SMALL_STATE(8728)] = 301008,
  [SMALL_STATE(8729)] = 301015,
  [SMALL_STATE(8730)] = 301022,
  [SMALL_STATE(8731)] = 301029,
  [SMALL_STATE(8732)] = 301036,
  [SMALL_STATE(8733)] = 301043,
  [SMALL_STATE(8734)] = 301050,
  [SMALL_STATE(8735)] = 301057,
  [SMALL_STATE(8736)] = 301064,
  [SMALL_STATE(8737)] = 301071,
  [SMALL_STATE(8738)] = 301078,
  [SMALL_STATE(8739)] = 301085,
  [SMALL_STATE(8740)] = 301092,
  [SMALL_STATE(8741)] = 301099,
  [SMALL_STATE(8742)] = 301106,
  [SMALL_STATE(8743)] = 301113,
  [SMALL_STATE(8744)] = 301120,
  [SMALL_STATE(8745)] = 301127,
  [SMALL_STATE(8746)] = 301134,
  [SMALL_STATE(8747)] = 301141,
  [SMALL_STATE(8748)] = 301148,
  [SMALL_STATE(8749)] = 301155,
  [SMALL_STATE(8750)] = 301162,
  [SMALL_STATE(8751)] = 301169,
  [SMALL_STATE(8752)] = 301176,
  [SMALL_STATE(8753)] = 301183,
  [SMALL_STATE(8754)] = 301190,
  [SMALL_STATE(8755)] = 301197,
  [SMALL_STATE(8756)] = 301204,
  [SMALL_STATE(8757)] = 301211,
  [SMALL_STATE(8758)] = 301218,
  [SMALL_STATE(8759)] = 301225,
  [SMALL_STATE(8760)] = 301232,
  [SMALL_STATE(8761)] = 301239,
  [SMALL_STATE(8762)] = 301246,
  [SMALL_STATE(8763)] = 301253,
  [SMALL_STATE(8764)] = 301260,
  [SMALL_STATE(8765)] = 301267,
  [SMALL_STATE(8766)] = 301274,
  [SMALL_STATE(8767)] = 301281,
  [SMALL_STATE(8768)] = 301288,
  [SMALL_STATE(8769)] = 301295,
  [SMALL_STATE(8770)] = 301302,
  [SMALL_STATE(8771)] = 301309,
  [SMALL_STATE(8772)] = 301316,
  [SMALL_STATE(8773)] = 301323,
  [SMALL_STATE(8774)] = 301330,
  [SMALL_STATE(8775)] = 301337,
  [SMALL_STATE(8776)] = 301344,
  [SMALL_STATE(8777)] = 301351,
  [SMALL_STATE(8778)] = 301358,
  [SMALL_STATE(8779)] = 301365,
  [SMALL_STATE(8780)] = 301372,
  [SMALL_STATE(8781)] = 301379,
  [SMALL_STATE(8782)] = 301386,
  [SMALL_STATE(8783)] = 301393,
  [SMALL_STATE(8784)] = 301400,
  [SMALL_STATE(8785)] = 301407,
  [SMALL_STATE(8786)] = 301414,
  [SMALL_STATE(8787)] = 301421,
  [SMALL_STATE(8788)] = 301428,
  [SMALL_STATE(8789)] = 301435,
  [SMALL_STATE(8790)] = 301442,
  [SMALL_STATE(8791)] = 301449,
  [SMALL_STATE(8792)] = 301456,
  [SMALL_STATE(8793)] = 301463,
  [SMALL_STATE(8794)] = 301470,
  [SMALL_STATE(8795)] = 301477,
  [SMALL_STATE(8796)] = 301484,
  [SMALL_STATE(8797)] = 301491,
  [SMALL_STATE(8798)] = 301498,
  [SMALL_STATE(8799)] = 301505,
  [SMALL_STATE(8800)] = 301512,
  [SMALL_STATE(8801)] = 301519,
  [SMALL_STATE(8802)] = 301526,
  [SMALL_STATE(8803)] = 301533,
  [SMALL_STATE(8804)] = 301540,
  [SMALL_STATE(8805)] = 301547,
  [SMALL_STATE(8806)] = 301554,
  [SMALL_STATE(8807)] = 301561,
  [SMALL_STATE(8808)] = 301568,
  [SMALL_STATE(8809)] = 301575,
  [SMALL_STATE(8810)] = 301582,
  [SMALL_STATE(8811)] = 301589,
  [SMALL_STATE(8812)] = 301596,
  [SMALL_STATE(8813)] = 301603,
  [SMALL_STATE(8814)] = 301610,
  [SMALL_STATE(8815)] = 301617,
  [SMALL_STATE(8816)] = 301624,
  [SMALL_STATE(8817)] = 301631,
  [SMALL_STATE(8818)] = 301638,
  [SMALL_STATE(8819)] = 301645,
  [SMALL_STATE(8820)] = 301652,
  [SMALL_STATE(8821)] = 301659,
  [SMALL_STATE(8822)] = 301666,
  [SMALL_STATE(8823)] = 301673,
  [SMALL_STATE(8824)] = 301680,
  [SMALL_STATE(8825)] = 301687,
  [SMALL_STATE(8826)] = 301694,
  [SMALL_STATE(8827)] = 301701,
  [SMALL_STATE(8828)] = 301708,
  [SMALL_STATE(8829)] = 301715,
  [SMALL_STATE(8830)] = 301722,
  [SMALL_STATE(8831)] = 301729,
  [SMALL_STATE(8832)] = 301736,
  [SMALL_STATE(8833)] = 301743,
  [SMALL_STATE(8834)] = 301750,
  [SMALL_STATE(8835)] = 301757,
  [SMALL_STATE(8836)] = 301764,
  [SMALL_STATE(8837)] = 301771,
  [SMALL_STATE(8838)] = 301778,
  [SMALL_STATE(8839)] = 301785,
  [SMALL_STATE(8840)] = 301792,
  [SMALL_STATE(8841)] = 301799,
  [SMALL_STATE(8842)] = 301806,
  [SMALL_STATE(8843)] = 301813,
  [SMALL_STATE(8844)] = 301820,
  [SMALL_STATE(8845)] = 301827,
  [SMALL_STATE(8846)] = 301834,
  [SMALL_STATE(8847)] = 301841,
  [SMALL_STATE(8848)] = 301848,
  [SMALL_STATE(8849)] = 301855,
  [SMALL_STATE(8850)] = 301862,
  [SMALL_STATE(8851)] = 301869,
  [SMALL_STATE(8852)] = 301876,
  [SMALL_STATE(8853)] = 301883,
  [SMALL_STATE(8854)] = 301890,
  [SMALL_STATE(8855)] = 301897,
  [SMALL_STATE(8856)] = 301904,
  [SMALL_STATE(8857)] = 301911,
  [SMALL_STATE(8858)] = 301918,
  [SMALL_STATE(8859)] = 301925,
  [SMALL_STATE(8860)] = 301932,
  [SMALL_STATE(8861)] = 301939,
  [SMALL_STATE(8862)] = 301946,
  [SMALL_STATE(8863)] = 301953,
  [SMALL_STATE(8864)] = 301960,
  [SMALL_STATE(8865)] = 301967,
  [SMALL_STATE(8866)] = 301974,
  [SMALL_STATE(8867)] = 301981,
  [SMALL_STATE(8868)] = 301988,
  [SMALL_STATE(8869)] = 301995,
  [SMALL_STATE(8870)] = 302002,
  [SMALL_STATE(8871)] = 302009,
  [SMALL_STATE(8872)] = 302016,
  [SMALL_STATE(8873)] = 302023,
  [SMALL_STATE(8874)] = 302030,
  [SMALL_STATE(8875)] = 302037,
  [SMALL_STATE(8876)] = 302044,
  [SMALL_STATE(8877)] = 302051,
  [SMALL_STATE(8878)] = 302058,
  [SMALL_STATE(8879)] = 302065,
  [SMALL_STATE(8880)] = 302072,
  [SMALL_STATE(8881)] = 302079,
  [SMALL_STATE(8882)] = 302086,
  [SMALL_STATE(8883)] = 302093,
  [SMALL_STATE(8884)] = 302100,
  [SMALL_STATE(8885)] = 302107,
  [SMALL_STATE(8886)] = 302114,
  [SMALL_STATE(8887)] = 302121,
  [SMALL_STATE(8888)] = 302128,
  [SMALL_STATE(8889)] = 302135,
  [SMALL_STATE(8890)] = 302142,
  [SMALL_STATE(8891)] = 302149,
  [SMALL_STATE(8892)] = 302156,
  [SMALL_STATE(8893)] = 302163,
  [SMALL_STATE(8894)] = 302170,
  [SMALL_STATE(8895)] = 302177,
  [SMALL_STATE(8896)] = 302184,
  [SMALL_STATE(8897)] = 302191,
  [SMALL_STATE(8898)] = 302198,
  [SMALL_STATE(8899)] = 302205,
  [SMALL_STATE(8900)] = 302212,
  [SMALL_STATE(8901)] = 302219,
  [SMALL_STATE(8902)] = 302226,
  [SMALL_STATE(8903)] = 302233,
  [SMALL_STATE(8904)] = 302240,
  [SMALL_STATE(8905)] = 302247,
  [SMALL_STATE(8906)] = 302254,
  [SMALL_STATE(8907)] = 302261,
  [SMALL_STATE(8908)] = 302268,
  [SMALL_STATE(8909)] = 302275,
  [SMALL_STATE(8910)] = 302282,
  [SMALL_STATE(8911)] = 302289,
  [SMALL_STATE(8912)] = 302296,
  [SMALL_STATE(8913)] = 302303,
  [SMALL_STATE(8914)] = 302310,
  [SMALL_STATE(8915)] = 302317,
  [SMALL_STATE(8916)] = 302324,
  [SMALL_STATE(8917)] = 302331,
  [SMALL_STATE(8918)] = 302338,
  [SMALL_STATE(8919)] = 302345,
  [SMALL_STATE(8920)] = 302352,
  [SMALL_STATE(8921)] = 302359,
  [SMALL_STATE(8922)] = 302366,
  [SMALL_STATE(8923)] = 302373,
  [SMALL_STATE(8924)] = 302380,
  [SMALL_STATE(8925)] = 302387,
  [SMALL_STATE(8926)] = 302394,
  [SMALL_STATE(8927)] = 302401,
  [SMALL_STATE(8928)] = 302408,
  [SMALL_STATE(8929)] = 302415,
  [SMALL_STATE(8930)] = 302422,
  [SMALL_STATE(8931)] = 302429,
  [SMALL_STATE(8932)] = 302436,
  [SMALL_STATE(8933)] = 302443,
  [SMALL_STATE(8934)] = 302450,
  [SMALL_STATE(8935)] = 302457,
  [SMALL_STATE(8936)] = 302464,
  [SMALL_STATE(8937)] = 302471,
  [SMALL_STATE(8938)] = 302478,
  [SMALL_STATE(8939)] = 302485,
  [SMALL_STATE(8940)] = 302492,
  [SMALL_STATE(8941)] = 302499,
  [SMALL_STATE(8942)] = 302506,
  [SMALL_STATE(8943)] = 302513,
  [SMALL_STATE(8944)] = 302520,
  [SMALL_STATE(8945)] = 302527,
  [SMALL_STATE(8946)] = 302534,
  [SMALL_STATE(8947)] = 302541,
  [SMALL_STATE(8948)] = 302548,
  [SMALL_STATE(8949)] = 302555,
  [SMALL_STATE(8950)] = 302562,
  [SMALL_STATE(8951)] = 302569,
  [SMALL_STATE(8952)] = 302576,
  [SMALL_STATE(8953)] = 302583,
  [SMALL_STATE(8954)] = 302590,
  [SMALL_STATE(8955)] = 302597,
  [SMALL_STATE(8956)] = 302604,
  [SMALL_STATE(8957)] = 302611,
  [SMALL_STATE(8958)] = 302618,
  [SMALL_STATE(8959)] = 302625,
  [SMALL_STATE(8960)] = 302632,
  [SMALL_STATE(8961)] = 302639,
  [SMALL_STATE(8962)] = 302646,
  [SMALL_STATE(8963)] = 302653,
  [SMALL_STATE(8964)] = 302660,
  [SMALL_STATE(8965)] = 302667,
  [SMALL_STATE(8966)] = 302674,
  [SMALL_STATE(8967)] = 302681,
  [SMALL_STATE(8968)] = 302688,
  [SMALL_STATE(8969)] = 302695,
  [SMALL_STATE(8970)] = 302702,
  [SMALL_STATE(8971)] = 302709,
  [SMALL_STATE(8972)] = 302716,
  [SMALL_STATE(8973)] = 302723,
  [SMALL_STATE(8974)] = 302730,
  [SMALL_STATE(8975)] = 302737,
  [SMALL_STATE(8976)] = 302744,
  [SMALL_STATE(8977)] = 302751,
  [SMALL_STATE(8978)] = 302758,
  [SMALL_STATE(8979)] = 302765,
  [SMALL_STATE(8980)] = 302772,
  [SMALL_STATE(8981)] = 302779,
  [SMALL_STATE(8982)] = 302786,
  [SMALL_STATE(8983)] = 302793,
  [SMALL_STATE(8984)] = 302800,
  [SMALL_STATE(8985)] = 302807,
  [SMALL_STATE(8986)] = 302814,
  [SMALL_STATE(8987)] = 302821,
  [SMALL_STATE(8988)] = 302828,
  [SMALL_STATE(8989)] = 302835,
  [SMALL_STATE(8990)] = 302842,
  [SMALL_STATE(8991)] = 302849,
  [SMALL_STATE(8992)] = 302856,
  [SMALL_STATE(8993)] = 302863,
  [SMALL_STATE(8994)] = 302870,
  [SMALL_STATE(8995)] = 302877,
  [SMALL_STATE(8996)] = 302884,
  [SMALL_STATE(8997)] = 302891,
  [SMALL_STATE(8998)] = 302898,
  [SMALL_STATE(8999)] = 302905,
  [SMALL_STATE(9000)] = 302912,
  [SMALL_STATE(9001)] = 302919,
  [SMALL_STATE(9002)] = 302926,
  [SMALL_STATE(9003)] = 302933,
  [SMALL_STATE(9004)] = 302940,
  [SMALL_STATE(9005)] = 302947,
  [SMALL_STATE(9006)] = 302954,
  [SMALL_STATE(9007)] = 302961,
  [SMALL_STATE(9008)] = 302968,
  [SMALL_STATE(9009)] = 302975,
  [SMALL_STATE(9010)] = 302982,
  [SMALL_STATE(9011)] = 302989,
  [SMALL_STATE(9012)] = 302996,
  [SMALL_STATE(9013)] = 303003,
  [SMALL_STATE(9014)] = 303010,
  [SMALL_STATE(9015)] = 303017,
  [SMALL_STATE(9016)] = 303024,
  [SMALL_STATE(9017)] = 303031,
  [SMALL_STATE(9018)] = 303038,
  [SMALL_STATE(9019)] = 303045,
  [SMALL_STATE(9020)] = 303052,
  [SMALL_STATE(9021)] = 303059,
  [SMALL_STATE(9022)] = 303066,
  [SMALL_STATE(9023)] = 303073,
  [SMALL_STATE(9024)] = 303080,
  [SMALL_STATE(9025)] = 303087,
  [SMALL_STATE(9026)] = 303094,
  [SMALL_STATE(9027)] = 303101,
  [SMALL_STATE(9028)] = 303108,
  [SMALL_STATE(9029)] = 303115,
  [SMALL_STATE(9030)] = 303122,
  [SMALL_STATE(9031)] = 303129,
  [SMALL_STATE(9032)] = 303136,
  [SMALL_STATE(9033)] = 303143,
  [SMALL_STATE(9034)] = 303150,
  [SMALL_STATE(9035)] = 303157,
  [SMALL_STATE(9036)] = 303164,
  [SMALL_STATE(9037)] = 303171,
  [SMALL_STATE(9038)] = 303178,
  [SMALL_STATE(9039)] = 303185,
  [SMALL_STATE(9040)] = 303192,
  [SMALL_STATE(9041)] = 303199,
  [SMALL_STATE(9042)] = 303206,
  [SMALL_STATE(9043)] = 303213,
  [SMALL_STATE(9044)] = 303220,
  [SMALL_STATE(9045)] = 303227,
  [SMALL_STATE(9046)] = 303234,
  [SMALL_STATE(9047)] = 303241,
  [SMALL_STATE(9048)] = 303248,
  [SMALL_STATE(9049)] = 303255,
  [SMALL_STATE(9050)] = 303262,
  [SMALL_STATE(9051)] = 303269,
  [SMALL_STATE(9052)] = 303276,
  [SMALL_STATE(9053)] = 303283,
  [SMALL_STATE(9054)] = 303290,
  [SMALL_STATE(9055)] = 303297,
  [SMALL_STATE(9056)] = 303304,
  [SMALL_STATE(9057)] = 303311,
  [SMALL_STATE(9058)] = 303318,
  [SMALL_STATE(9059)] = 303325,
  [SMALL_STATE(9060)] = 303332,
  [SMALL_STATE(9061)] = 303339,
  [SMALL_STATE(9062)] = 303346,
  [SMALL_STATE(9063)] = 303353,
  [SMALL_STATE(9064)] = 303360,
  [SMALL_STATE(9065)] = 303367,
  [SMALL_STATE(9066)] = 303374,
  [SMALL_STATE(9067)] = 303381,
  [SMALL_STATE(9068)] = 303388,
  [SMALL_STATE(9069)] = 303395,
  [SMALL_STATE(9070)] = 303402,
  [SMALL_STATE(9071)] = 303409,
  [SMALL_STATE(9072)] = 303416,
  [SMALL_STATE(9073)] = 303423,
  [SMALL_STATE(9074)] = 303430,
  [SMALL_STATE(9075)] = 303437,
  [SMALL_STATE(9076)] = 303444,
  [SMALL_STATE(9077)] = 303451,
  [SMALL_STATE(9078)] = 303458,
  [SMALL_STATE(9079)] = 303465,
  [SMALL_STATE(9080)] = 303472,
  [SMALL_STATE(9081)] = 303479,
  [SMALL_STATE(9082)] = 303486,
  [SMALL_STATE(9083)] = 303493,
  [SMALL_STATE(9084)] = 303500,
  [SMALL_STATE(9085)] = 303507,
  [SMALL_STATE(9086)] = 303514,
  [SMALL_STATE(9087)] = 303521,
  [SMALL_STATE(9088)] = 303528,
  [SMALL_STATE(9089)] = 303535,
  [SMALL_STATE(9090)] = 303542,
  [SMALL_STATE(9091)] = 303549,
  [SMALL_STATE(9092)] = 303556,
  [SMALL_STATE(9093)] = 303563,
  [SMALL_STATE(9094)] = 303570,
  [SMALL_STATE(9095)] = 303577,
  [SMALL_STATE(9096)] = 303584,
  [SMALL_STATE(9097)] = 303591,
  [SMALL_STATE(9098)] = 303598,
  [SMALL_STATE(9099)] = 303605,
  [SMALL_STATE(9100)] = 303612,
  [SMALL_STATE(9101)] = 303619,
  [SMALL_STATE(9102)] = 303626,
  [SMALL_STATE(9103)] = 303633,
  [SMALL_STATE(9104)] = 303640,
  [SMALL_STATE(9105)] = 303647,
  [SMALL_STATE(9106)] = 303654,
  [SMALL_STATE(9107)] = 303661,
  [SMALL_STATE(9108)] = 303668,
  [SMALL_STATE(9109)] = 303675,
  [SMALL_STATE(9110)] = 303682,
  [SMALL_STATE(9111)] = 303689,
  [SMALL_STATE(9112)] = 303696,
  [SMALL_STATE(9113)] = 303703,
  [SMALL_STATE(9114)] = 303710,
  [SMALL_STATE(9115)] = 303717,
  [SMALL_STATE(9116)] = 303724,
  [SMALL_STATE(9117)] = 303731,
  [SMALL_STATE(9118)] = 303738,
  [SMALL_STATE(9119)] = 303745,
  [SMALL_STATE(9120)] = 303752,
  [SMALL_STATE(9121)] = 303759,
  [SMALL_STATE(9122)] = 303766,
  [SMALL_STATE(9123)] = 303773,
  [SMALL_STATE(9124)] = 303780,
  [SMALL_STATE(9125)] = 303787,
  [SMALL_STATE(9126)] = 303794,
  [SMALL_STATE(9127)] = 303801,
  [SMALL_STATE(9128)] = 303808,
  [SMALL_STATE(9129)] = 303815,
  [SMALL_STATE(9130)] = 303822,
  [SMALL_STATE(9131)] = 303829,
  [SMALL_STATE(9132)] = 303836,
  [SMALL_STATE(9133)] = 303843,
  [SMALL_STATE(9134)] = 303850,
  [SMALL_STATE(9135)] = 303857,
  [SMALL_STATE(9136)] = 303864,
  [SMALL_STATE(9137)] = 303871,
  [SMALL_STATE(9138)] = 303878,
  [SMALL_STATE(9139)] = 303885,
  [SMALL_STATE(9140)] = 303892,
  [SMALL_STATE(9141)] = 303899,
  [SMALL_STATE(9142)] = 303906,
  [SMALL_STATE(9143)] = 303913,
  [SMALL_STATE(9144)] = 303920,
  [SMALL_STATE(9145)] = 303927,
  [SMALL_STATE(9146)] = 303934,
  [SMALL_STATE(9147)] = 303941,
  [SMALL_STATE(9148)] = 303948,
  [SMALL_STATE(9149)] = 303955,
  [SMALL_STATE(9150)] = 303962,
  [SMALL_STATE(9151)] = 303969,
  [SMALL_STATE(9152)] = 303976,
  [SMALL_STATE(9153)] = 303983,
  [SMALL_STATE(9154)] = 303990,
  [SMALL_STATE(9155)] = 303997,
  [SMALL_STATE(9156)] = 304004,
  [SMALL_STATE(9157)] = 304011,
  [SMALL_STATE(9158)] = 304018,
  [SMALL_STATE(9159)] = 304025,
  [SMALL_STATE(9160)] = 304032,
  [SMALL_STATE(9161)] = 304039,
  [SMALL_STATE(9162)] = 304046,
  [SMALL_STATE(9163)] = 304053,
  [SMALL_STATE(9164)] = 304060,
  [SMALL_STATE(9165)] = 304067,
  [SMALL_STATE(9166)] = 304074,
  [SMALL_STATE(9167)] = 304081,
  [SMALL_STATE(9168)] = 304088,
  [SMALL_STATE(9169)] = 304095,
  [SMALL_STATE(9170)] = 304102,
  [SMALL_STATE(9171)] = 304109,
  [SMALL_STATE(9172)] = 304116,
  [SMALL_STATE(9173)] = 304123,
  [SMALL_STATE(9174)] = 304130,
  [SMALL_STATE(9175)] = 304137,
  [SMALL_STATE(9176)] = 304144,
  [SMALL_STATE(9177)] = 304151,
  [SMALL_STATE(9178)] = 304158,
  [SMALL_STATE(9179)] = 304165,
  [SMALL_STATE(9180)] = 304172,
  [SMALL_STATE(9181)] = 304179,
  [SMALL_STATE(9182)] = 304186,
  [SMALL_STATE(9183)] = 304193,
  [SMALL_STATE(9184)] = 304200,
  [SMALL_STATE(9185)] = 304207,
  [SMALL_STATE(9186)] = 304214,
  [SMALL_STATE(9187)] = 304221,
  [SMALL_STATE(9188)] = 304228,
  [SMALL_STATE(9189)] = 304235,
  [SMALL_STATE(9190)] = 304242,
  [SMALL_STATE(9191)] = 304249,
  [SMALL_STATE(9192)] = 304256,
  [SMALL_STATE(9193)] = 304263,
  [SMALL_STATE(9194)] = 304270,
  [SMALL_STATE(9195)] = 304277,
  [SMALL_STATE(9196)] = 304284,
  [SMALL_STATE(9197)] = 304291,
  [SMALL_STATE(9198)] = 304298,
  [SMALL_STATE(9199)] = 304305,
  [SMALL_STATE(9200)] = 304312,
  [SMALL_STATE(9201)] = 304319,
  [SMALL_STATE(9202)] = 304326,
  [SMALL_STATE(9203)] = 304333,
  [SMALL_STATE(9204)] = 304340,
  [SMALL_STATE(9205)] = 304347,
  [SMALL_STATE(9206)] = 304354,
  [SMALL_STATE(9207)] = 304361,
  [SMALL_STATE(9208)] = 304368,
  [SMALL_STATE(9209)] = 304375,
  [SMALL_STATE(9210)] = 304382,
  [SMALL_STATE(9211)] = 304389,
  [SMALL_STATE(9212)] = 304396,
  [SMALL_STATE(9213)] = 304403,
  [SMALL_STATE(9214)] = 304410,
  [SMALL_STATE(9215)] = 304417,
  [SMALL_STATE(9216)] = 304424,
  [SMALL_STATE(9217)] = 304431,
  [SMALL_STATE(9218)] = 304438,
  [SMALL_STATE(9219)] = 304445,
  [SMALL_STATE(9220)] = 304452,
  [SMALL_STATE(9221)] = 304459,
  [SMALL_STATE(9222)] = 304466,
  [SMALL_STATE(9223)] = 304473,
  [SMALL_STATE(9224)] = 304480,
  [SMALL_STATE(9225)] = 304487,
  [SMALL_STATE(9226)] = 304494,
  [SMALL_STATE(9227)] = 304501,
  [SMALL_STATE(9228)] = 304508,
  [SMALL_STATE(9229)] = 304515,
  [SMALL_STATE(9230)] = 304522,
  [SMALL_STATE(9231)] = 304529,
  [SMALL_STATE(9232)] = 304536,
  [SMALL_STATE(9233)] = 304543,
  [SMALL_STATE(9234)] = 304550,
  [SMALL_STATE(9235)] = 304557,
  [SMALL_STATE(9236)] = 304564,
  [SMALL_STATE(9237)] = 304571,
  [SMALL_STATE(9238)] = 304578,
  [SMALL_STATE(9239)] = 304585,
  [SMALL_STATE(9240)] = 304592,
  [SMALL_STATE(9241)] = 304599,
  [SMALL_STATE(9242)] = 304606,
  [SMALL_STATE(9243)] = 304613,
  [SMALL_STATE(9244)] = 304620,
  [SMALL_STATE(9245)] = 304627,
  [SMALL_STATE(9246)] = 304634,
  [SMALL_STATE(9247)] = 304641,
  [SMALL_STATE(9248)] = 304648,
  [SMALL_STATE(9249)] = 304655,
  [SMALL_STATE(9250)] = 304662,
  [SMALL_STATE(9251)] = 304669,
  [SMALL_STATE(9252)] = 304676,
  [SMALL_STATE(9253)] = 304683,
  [SMALL_STATE(9254)] = 304690,
  [SMALL_STATE(9255)] = 304697,
  [SMALL_STATE(9256)] = 304704,
  [SMALL_STATE(9257)] = 304711,
  [SMALL_STATE(9258)] = 304718,
  [SMALL_STATE(9259)] = 304725,
  [SMALL_STATE(9260)] = 304732,
  [SMALL_STATE(9261)] = 304739,
  [SMALL_STATE(9262)] = 304746,
  [SMALL_STATE(9263)] = 304753,
  [SMALL_STATE(9264)] = 304760,
  [SMALL_STATE(9265)] = 304767,
  [SMALL_STATE(9266)] = 304774,
  [SMALL_STATE(9267)] = 304781,
  [SMALL_STATE(9268)] = 304788,
  [SMALL_STATE(9269)] = 304795,
  [SMALL_STATE(9270)] = 304802,
  [SMALL_STATE(9271)] = 304809,
  [SMALL_STATE(9272)] = 304816,
  [SMALL_STATE(9273)] = 304823,
  [SMALL_STATE(9274)] = 304830,
  [SMALL_STATE(9275)] = 304837,
  [SMALL_STATE(9276)] = 304844,
  [SMALL_STATE(9277)] = 304851,
  [SMALL_STATE(9278)] = 304858,
  [SMALL_STATE(9279)] = 304865,
  [SMALL_STATE(9280)] = 304872,
  [SMALL_STATE(9281)] = 304879,
  [SMALL_STATE(9282)] = 304886,
  [SMALL_STATE(9283)] = 304893,
  [SMALL_STATE(9284)] = 304900,
  [SMALL_STATE(9285)] = 304907,
  [SMALL_STATE(9286)] = 304914,
  [SMALL_STATE(9287)] = 304921,
  [SMALL_STATE(9288)] = 304928,
  [SMALL_STATE(9289)] = 304935,
  [SMALL_STATE(9290)] = 304942,
  [SMALL_STATE(9291)] = 304949,
  [SMALL_STATE(9292)] = 304956,
  [SMALL_STATE(9293)] = 304963,
  [SMALL_STATE(9294)] = 304970,
  [SMALL_STATE(9295)] = 304977,
  [SMALL_STATE(9296)] = 304984,
  [SMALL_STATE(9297)] = 304991,
  [SMALL_STATE(9298)] = 304998,
  [SMALL_STATE(9299)] = 305005,
  [SMALL_STATE(9300)] = 305012,
  [SMALL_STATE(9301)] = 305019,
  [SMALL_STATE(9302)] = 305026,
  [SMALL_STATE(9303)] = 305033,
  [SMALL_STATE(9304)] = 305040,
  [SMALL_STATE(9305)] = 305047,
  [SMALL_STATE(9306)] = 305054,
  [SMALL_STATE(9307)] = 305061,
  [SMALL_STATE(9308)] = 305068,
  [SMALL_STATE(9309)] = 305075,
  [SMALL_STATE(9310)] = 305082,
  [SMALL_STATE(9311)] = 305089,
  [SMALL_STATE(9312)] = 305096,
  [SMALL_STATE(9313)] = 305103,
  [SMALL_STATE(9314)] = 305110,
  [SMALL_STATE(9315)] = 305117,
  [SMALL_STATE(9316)] = 305124,
  [SMALL_STATE(9317)] = 305131,
  [SMALL_STATE(9318)] = 305138,
  [SMALL_STATE(9319)] = 305145,
  [SMALL_STATE(9320)] = 305152,
  [SMALL_STATE(9321)] = 305159,
  [SMALL_STATE(9322)] = 305166,
  [SMALL_STATE(9323)] = 305173,
  [SMALL_STATE(9324)] = 305180,
  [SMALL_STATE(9325)] = 305187,
  [SMALL_STATE(9326)] = 305194,
  [SMALL_STATE(9327)] = 305201,
  [SMALL_STATE(9328)] = 305208,
  [SMALL_STATE(9329)] = 305215,
  [SMALL_STATE(9330)] = 305222,
  [SMALL_STATE(9331)] = 305229,
  [SMALL_STATE(9332)] = 305236,
  [SMALL_STATE(9333)] = 305243,
  [SMALL_STATE(9334)] = 305250,
  [SMALL_STATE(9335)] = 305257,
  [SMALL_STATE(9336)] = 305264,
  [SMALL_STATE(9337)] = 305271,
  [SMALL_STATE(9338)] = 305278,
  [SMALL_STATE(9339)] = 305285,
  [SMALL_STATE(9340)] = 305292,
  [SMALL_STATE(9341)] = 305299,
  [SMALL_STATE(9342)] = 305306,
  [SMALL_STATE(9343)] = 305313,
  [SMALL_STATE(9344)] = 305320,
  [SMALL_STATE(9345)] = 305327,
  [SMALL_STATE(9346)] = 305334,
  [SMALL_STATE(9347)] = 305341,
  [SMALL_STATE(9348)] = 305348,
  [SMALL_STATE(9349)] = 305355,
  [SMALL_STATE(9350)] = 305362,
  [SMALL_STATE(9351)] = 305369,
  [SMALL_STATE(9352)] = 305376,
  [SMALL_STATE(9353)] = 305383,
  [SMALL_STATE(9354)] = 305390,
  [SMALL_STATE(9355)] = 305397,
  [SMALL_STATE(9356)] = 305404,
  [SMALL_STATE(9357)] = 305411,
  [SMALL_STATE(9358)] = 305418,
  [SMALL_STATE(9359)] = 305425,
  [SMALL_STATE(9360)] = 305432,
  [SMALL_STATE(9361)] = 305439,
  [SMALL_STATE(9362)] = 305446,
  [SMALL_STATE(9363)] = 305453,
  [SMALL_STATE(9364)] = 305460,
  [SMALL_STATE(9365)] = 305467,
  [SMALL_STATE(9366)] = 305474,
  [SMALL_STATE(9367)] = 305481,
  [SMALL_STATE(9368)] = 305488,
  [SMALL_STATE(9369)] = 305495,
  [SMALL_STATE(9370)] = 305502,
  [SMALL_STATE(9371)] = 305509,
  [SMALL_STATE(9372)] = 305516,
  [SMALL_STATE(9373)] = 305523,
  [SMALL_STATE(9374)] = 305530,
  [SMALL_STATE(9375)] = 305537,
  [SMALL_STATE(9376)] = 305544,
  [SMALL_STATE(9377)] = 305551,
  [SMALL_STATE(9378)] = 305558,
  [SMALL_STATE(9379)] = 305565,
  [SMALL_STATE(9380)] = 305572,
  [SMALL_STATE(9381)] = 305579,
  [SMALL_STATE(9382)] = 305586,
  [SMALL_STATE(9383)] = 305593,
  [SMALL_STATE(9384)] = 305600,
  [SMALL_STATE(9385)] = 305607,
  [SMALL_STATE(9386)] = 305614,
  [SMALL_STATE(9387)] = 305621,
  [SMALL_STATE(9388)] = 305628,
  [SMALL_STATE(9389)] = 305635,
  [SMALL_STATE(9390)] = 305642,
  [SMALL_STATE(9391)] = 305649,
  [SMALL_STATE(9392)] = 305656,
  [SMALL_STATE(9393)] = 305663,
  [SMALL_STATE(9394)] = 305670,
  [SMALL_STATE(9395)] = 305677,
  [SMALL_STATE(9396)] = 305684,
  [SMALL_STATE(9397)] = 305691,
  [SMALL_STATE(9398)] = 305698,
  [SMALL_STATE(9399)] = 305705,
  [SMALL_STATE(9400)] = 305712,
  [SMALL_STATE(9401)] = 305719,
  [SMALL_STATE(9402)] = 305726,
  [SMALL_STATE(9403)] = 305733,
  [SMALL_STATE(9404)] = 305740,
  [SMALL_STATE(9405)] = 305747,
  [SMALL_STATE(9406)] = 305754,
  [SMALL_STATE(9407)] = 305761,
  [SMALL_STATE(9408)] = 305768,
  [SMALL_STATE(9409)] = 305775,
  [SMALL_STATE(9410)] = 305782,
  [SMALL_STATE(9411)] = 305789,
  [SMALL_STATE(9412)] = 305796,
  [SMALL_STATE(9413)] = 305803,
  [SMALL_STATE(9414)] = 305810,
  [SMALL_STATE(9415)] = 305817,
  [SMALL_STATE(9416)] = 305824,
  [SMALL_STATE(9417)] = 305831,
  [SMALL_STATE(9418)] = 305838,
  [SMALL_STATE(9419)] = 305845,
  [SMALL_STATE(9420)] = 305852,
  [SMALL_STATE(9421)] = 305859,
  [SMALL_STATE(9422)] = 305866,
  [SMALL_STATE(9423)] = 305873,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7041),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9414),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6210),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9413),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8047),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1826),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1535),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5752),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1107),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3946),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4502),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3124),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9315),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9294),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8082),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4689),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3743),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3697),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6701),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5816),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5810),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7804),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9276),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8091),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(227),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9274),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9273),
  [91] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9272),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9271),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1488),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9270),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9269),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9268),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7207),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7667),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5351),
  [115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4325),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9260),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3393),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9256),
  [125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4860),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1053),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1887),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1451),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7188),
  [141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6978),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9250),
  [145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9249),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1449),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1879),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1877),
  [155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5492),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5934),
  [159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1182),
  [161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9332),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6231),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9329),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8339),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3736),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4403),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3102),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1340),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3959),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7772),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8079),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1670),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8602),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8349),
  [199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(205),
  [201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8870),
  [203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8589),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9291),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8355),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8959),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4323),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1914),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8087),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7162),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6929),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9218),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9219),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1673),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(444),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2370),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2148),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2048),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1226),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7063),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8529),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6162),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(363),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8528),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(71),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6241),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8576),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8218),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4458),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3080),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7975),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8393),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1741),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8657),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8081),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9217),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8940),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8522),
  [317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8415),
  [319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8987),
  [321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1918),
  [323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8400),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1514),
  [327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7189),
  [329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6979),
  [331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9296),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9297),
  [335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1517),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1726),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(910),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1217),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7049),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8584),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 3, .production_id = 80),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8502),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8195),
  [371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4443),
  [377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3836),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7687),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8406),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8975),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9295),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8652),
  [401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8637),
  [403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8511),
  [405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8386),
  [407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8535),
  [409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1917),
  [411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8402),
  [413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1508),
  [415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7186),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6959),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9317),
  [421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9308),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1507),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1745),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(519),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 10),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(968),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elifdef, 2, .production_id = 10),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(981),
  [445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1226),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7063),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8529),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6162),
  [459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8528),
  [464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8218),
  [467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(150),
  [470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1826),
  [473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1535),
  [476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1826),
  [479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(609),
  [482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5752),
  [485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1107),
  [488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(308),
  [491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3745),
  [494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4458),
  [497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3080),
  [500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9315),
  [503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6995),
  [506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8077),
  [509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9294),
  [512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8082),
  [515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4689),
  [518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(49),
  [521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3616),
  [524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1309),
  [527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4039),
  [530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3882),
  [533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(2238),
  [536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3697),
  [539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6701),
  [542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5816),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5810),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5792),
  [551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7975),
  [554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8393),
  [557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1741),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8657),
  [563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8081),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(180),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9217),
  [572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1262),
  [575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8940),
  [578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8942),
  [581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8522),
  [584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8415),
  [587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8987),
  [590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1908),
  [593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1488),
  [596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9270),
  [599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9269),
  [602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9268),
  [605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7207),
  [608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4693),
  [611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7667),
  [614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7502),
  [617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4323),
  [620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4325),
  [623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3720),
  [626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9260),
  [629] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3393),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9256),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4860),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5584),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1918),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1053),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8400),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1887),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1514),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7189),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6979),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9296),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9297),
  [668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1517),
  [671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1726),
  [674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8103),
  [677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1877),
  [680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5492),
  [683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(5934),
  [686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif, 4, .production_id = 80),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(875),
  [690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(942),
  [692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1217),
  [695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7049),
  [698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8584),
  [701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6161),
  [704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8502),
  [707] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8195),
  [710] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(442),
  [713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3750),
  [716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4443),
  [719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3043),
  [722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(52),
  [725] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3836),
  [728] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7687),
  [731] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8406),
  [734] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1767),
  [737] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8975),
  [740] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8395),
  [743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(178),
  [746] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9295),
  [749] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1256),
  [752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8652),
  [755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8637),
  [758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8511),
  [761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8386),
  [764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8535),
  [767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1917),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8402),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1508),
  [776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7186),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6959),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9317),
  [785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9308),
  [788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1507),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1745),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2712),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2794),
  [804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2771),
  [816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1214),
  [819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7047),
  [822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8650),
  [825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6171),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8585),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8089),
  [834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(639),
  [837] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3752),
  [840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4489),
  [843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3044),
  [846] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(58),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3815),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7707),
  [855] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8357),
  [858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1795),
  [861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9265),
  [864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8405),
  [867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(166),
  [870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9306),
  [873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1268),
  [876] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8980),
  [879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8981),
  [882] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8594),
  [885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8347),
  [888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9024),
  [891] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1916),
  [894] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8350),
  [897] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1436),
  [900] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7190),
  [903] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6955),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9326),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9318),
  [912] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1433),
  [915] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1770),
  [918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(507),
  [922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(510),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1208),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7038),
  [938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9332),
  [941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6231),
  [944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9329),
  [947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8339),
  [950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(659),
  [953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3736),
  [956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(4403),
  [959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3102),
  [962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(45),
  [965] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_repeat1, 2),
  [967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(3959),
  [970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7772),
  [973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8079),
  [976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1670),
  [979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8602),
  [982] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8349),
  [985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(205),
  [988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8870),
  [991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1267),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8589),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8587),
  [1000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9291),
  [1003] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8355),
  [1006] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8577),
  [1009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1914),
  [1012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(8087),
  [1015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1411),
  [1018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(7162),
  [1021] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(6929),
  [1024] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9218),
  [1027] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(9219),
  [1030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1407),
  [1033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_repeat1, 2), SHIFT_REPEAT(1673),
  [1036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [1038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3845),
  [1040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [1042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [1046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [1048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [1050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3441),
  [1054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [1058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1214),
  [1060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7047),
  [1062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8650),
  [1064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6171),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 1),
  [1068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8585),
  [1070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8089),
  [1072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [1074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [1076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4489),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3815),
  [1084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7707),
  [1086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8357),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [1090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9265),
  [1092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8405),
  [1094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [1096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9306),
  [1098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [1100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8980),
  [1102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8981),
  [1104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8594),
  [1106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8347),
  [1108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9024),
  [1110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1916),
  [1112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8350),
  [1114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1436),
  [1116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7190),
  [1118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6955),
  [1120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9326),
  [1122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9318),
  [1124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1433),
  [1126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [1130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2061),
  [1138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [1140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [1142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [1144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [1150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [1152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2280),
  [1154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [1156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3785),
  [1162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else, 2),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2074),
  [1174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [1178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [1180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_translation_unit, 1),
  [1182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2),
  [1184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1229),
  [1187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7041),
  [1190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9414),
  [1193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6210),
  [1196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9413),
  [1199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8047),
  [1202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(150),
  [1205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1826),
  [1208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1535),
  [1211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1826),
  [1214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(609),
  [1217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5752),
  [1220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1107),
  [1223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3946),
  [1226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4502),
  [1229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3124),
  [1232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9315),
  [1235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6995),
  [1238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8077),
  [1241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9294),
  [1244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8082),
  [1247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4689),
  [1250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(83),
  [1253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3616),
  [1256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1309),
  [1259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4039),
  [1262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3743),
  [1265] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(2238),
  [1268] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3697),
  [1271] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6701),
  [1274] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5816),
  [1277] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5810),
  [1280] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5792),
  [1283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7804),
  [1286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8090),
  [1289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1841),
  [1292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9276),
  [1295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8091),
  [1298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(227),
  [1301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9274),
  [1304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1265),
  [1307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9273),
  [1310] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9272),
  [1313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9271),
  [1316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1908),
  [1319] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1488),
  [1322] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9270),
  [1325] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9269),
  [1328] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9268),
  [1331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7207),
  [1334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4693),
  [1337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7667),
  [1340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7502),
  [1343] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5351),
  [1346] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4325),
  [1349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3720),
  [1352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9260),
  [1355] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(3393),
  [1358] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9256),
  [1361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(4860),
  [1364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5584),
  [1367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1915),
  [1370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1053),
  [1373] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8099),
  [1376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1887),
  [1379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1451),
  [1382] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(7188),
  [1385] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(6978),
  [1388] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9250),
  [1391] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(9249),
  [1394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1449),
  [1397] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1879),
  [1400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(8103),
  [1403] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(1877),
  [1406] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5492),
  [1409] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_translation_unit_repeat1, 2), SHIFT_REPEAT(5934),
  [1412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [1414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3),
  [1416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [1420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3),
  [1422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1825),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [1426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [1428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8226),
  [1430] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 4, .production_id = 14),
  [1432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 4, .production_id = 14),
  [1434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 3, .production_id = 14),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 3, .production_id = 14),
  [1438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_case_statement, 2),
  [1440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_case_statement, 2),
  [1442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1194),
  [1445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1447] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(257),
  [1450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1826),
  [1453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1826),
  [1456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1825),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2),
  [1461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1825),
  [1464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(308),
  [1467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3745),
  [1470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4458),
  [1473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4039),
  [1476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9315),
  [1479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6995),
  [1482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8390),
  [1485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9294),
  [1488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(49),
  [1491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3616),
  [1494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1277),
  [1497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(2238),
  [1500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3697),
  [1503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(6701),
  [1506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5816),
  [1509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5810),
  [1512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5792),
  [1515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7975),
  [1518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8393),
  [1521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8081),
  [1524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(180),
  [1527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9217),
  [1530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1262),
  [1533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8940),
  [1536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8942),
  [1539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8522),
  [1542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8415),
  [1545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8987),
  [1548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1908),
  [1551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1488),
  [1554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9270),
  [1557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9269),
  [1560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9268),
  [1563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7207),
  [1566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4693),
  [1569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7667),
  [1572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7502),
  [1575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4323),
  [1578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4325),
  [1581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3720),
  [1584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9260),
  [1587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3393),
  [1590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9256),
  [1593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5584),
  [1596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8226),
  [1599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8400),
  [1602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1887),
  [1605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1514),
  [1608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1517),
  [1611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1726),
  [1614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8103),
  [1617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1877),
  [1620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5492),
  [1623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(5934),
  [1626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [1628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1218),
  [1631] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(442),
  [1634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3750),
  [1637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4443),
  [1640] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(52),
  [1643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7687),
  [1646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8406),
  [1649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8395),
  [1652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(178),
  [1655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9295),
  [1658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1256),
  [1661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8652),
  [1664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8637),
  [1667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8511),
  [1670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8386),
  [1673] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8535),
  [1676] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8402),
  [1679] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1508),
  [1682] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1507),
  [1685] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1745),
  [1688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1202),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [1692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8108),
  [1694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8542),
  [1696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1215),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [1700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1202),
  [1703] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(675),
  [1706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3946),
  [1709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4502),
  [1712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(83),
  [1715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7804),
  [1718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8090),
  [1721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8091),
  [1724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(227),
  [1727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9274),
  [1730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1265),
  [1733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9273),
  [1736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9272),
  [1739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9271),
  [1742] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8108),
  [1745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8542),
  [1748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8099),
  [1751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1451),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1449),
  [1757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1879),
  [1760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1224),
  [1763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(659),
  [1766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3736),
  [1769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4403),
  [1772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(45),
  [1775] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7772),
  [1778] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8079),
  [1781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8349),
  [1784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(205),
  [1787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8870),
  [1790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1267),
  [1793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8589),
  [1796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8587),
  [1799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9291),
  [1802] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8355),
  [1805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8577),
  [1808] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8087),
  [1811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1411),
  [1814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1407),
  [1817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1673),
  [1820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1215),
  [1823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(639),
  [1826] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(3752),
  [1829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4489),
  [1832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(58),
  [1835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7707),
  [1838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8357),
  [1841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8405),
  [1844] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(166),
  [1847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9306),
  [1850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1268),
  [1853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8980),
  [1856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8981),
  [1859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8594),
  [1862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8347),
  [1865] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9024),
  [1868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8350),
  [1871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1436),
  [1874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1433),
  [1877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1770),
  [1880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1189),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4660),
  [1886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4471),
  [1888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [1890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7759),
  [1892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8318),
  [1894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8354),
  [1896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9316),
  [1900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [1902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9261),
  [1904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9259),
  [1906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8655),
  [1908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8311),
  [1910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9222),
  [1912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8290),
  [1914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1418),
  [1916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1419),
  [1918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [1920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1189),
  [1923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1125),
  [1926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4660),
  [1929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(4471),
  [1932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(91),
  [1935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(7759),
  [1938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8318),
  [1941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8354),
  [1944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(161),
  [1947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9316),
  [1950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1270),
  [1953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9261),
  [1956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9259),
  [1959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8655),
  [1962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8311),
  [1965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(9222),
  [1968] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(8290),
  [1971] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1418),
  [1974] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1419),
  [1977] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_case_statement_repeat1, 2), SHIFT_REPEAT(1796),
  [1980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [1984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4665),
  [1986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4412),
  [1988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [1990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9234),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9305),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1238),
  [1996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [1998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [2000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [2004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6724),
  [2006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5724),
  [2008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5725),
  [2010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5726),
  [2012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5616),
  [2014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1196),
  [2016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [2018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [2020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [2022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [2024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1623),
  [2026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [2028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [2030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3811),
  [2032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1621),
  [2034] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [2036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9095),
  [2038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9387),
  [2040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9420),
  [2042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7198),
  [2044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [2046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7890),
  [2048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [2050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4282),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4249),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1595),
  [2056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [2058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1600),
  [2060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [2062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5946),
  [2064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1940),
  [2066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1821),
  [2070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [2072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [2074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1102),
  [2078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [2080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2211),
  [2082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1309),
  [2084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5836),
  [2086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6713),
  [2088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5803),
  [2090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [2092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5800),
  [2094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [2096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1416),
  [2098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8873),
  [2100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9378),
  [2102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9417),
  [2104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7201),
  [2106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [2108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [2110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [2112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3756),
  [2114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [2116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [2118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8875),
  [2120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5667),
  [2122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [2124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1691),
  [2126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [2128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1692),
  [2130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5445),
  [2132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5922),
  [2134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 3),
  [2136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 3),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 4, .production_id = 45),
  [2142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1624),
  [2144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [2146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [2148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1186),
  [2150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7534),
  [2152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1457),
  [2154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9046),
  [2156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9381),
  [2158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9418),
  [2160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7216),
  [2162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3065),
  [2164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [2166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [2168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2764),
  [2170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2770),
  [2172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8772),
  [2174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1899),
  [2176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [2178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1900),
  [2180] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5469),
  [2182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5939),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_statement, 2),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_statement, 2),
  [2188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [2190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1696),
  [2192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [2194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [2196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1513),
  [2198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [2200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [2202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [2204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [2206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [2208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1790),
  [2210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5442),
  [2212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1636),
  [2214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1636),
  [2216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [2218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1190),
  [2220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7393),
  [2222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1398),
  [2224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9152),
  [2226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9396),
  [2228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9423),
  [2230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7233),
  [2232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [2234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [2236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7328),
  [2238] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3401),
  [2240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3402),
  [2242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1814),
  [2244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [2246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [2248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5507),
  [2250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5933),
  [2252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [2254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1598),
  [2256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1598),
  [2258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [2260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1422),
  [2262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [2264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [2266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [2268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1856),
  [2270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8053),
  [2272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1869),
  [2274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2095),
  [2276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7466),
  [2278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2215),
  [2280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [2282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7400),
  [2284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [2286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2273),
  [2288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2213),
  [2290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7838),
  [2292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1723),
  [2294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8931),
  [2296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8209),
  [2298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9045),
  [2300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [2302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2205),
  [2305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(257),
  [2308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1826),
  [2311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1826),
  [2314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1825),
  [2317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1125),
  [2320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(6995),
  [2323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8390),
  [2326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(91),
  [2329] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1277),
  [2332] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7466),
  [2335] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7759),
  [2338] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8318),
  [2341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1723),
  [2344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8931),
  [2347] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8354),
  [2350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(161),
  [2353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9316),
  [2356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1270),
  [2359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9261),
  [2362] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9259),
  [2365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8655),
  [2368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8311),
  [2371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9222),
  [2374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1908),
  [2377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1488),
  [2380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9270),
  [2383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9269),
  [2386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9268),
  [2389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7207),
  [2392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4693),
  [2395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7667),
  [2398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7502),
  [2401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4323),
  [2404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(4325),
  [2407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8772),
  [2410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8226),
  [2413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8290),
  [2416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1887),
  [2419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1418),
  [2422] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1419),
  [2425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1796),
  [2428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8103),
  [2431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1877),
  [2434] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(5492),
  [2437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(5934),
  [2440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2095),
  [2443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(659),
  [2446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(45),
  [2449] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7772),
  [2452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8079),
  [2455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1670),
  [2458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8602),
  [2461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8349),
  [2464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(205),
  [2467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8870),
  [2470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1267),
  [2473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8589),
  [2476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8587),
  [2479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9291),
  [2482] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8355),
  [2485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8577),
  [2488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8087),
  [2491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1411),
  [2494] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1407),
  [2497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1673),
  [2500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [2502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2205),
  [2504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [2506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2210),
  [2509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(639),
  [2512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(58),
  [2515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7707),
  [2518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8357),
  [2521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1795),
  [2524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9265),
  [2527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8405),
  [2530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(166),
  [2533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9306),
  [2536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1268),
  [2539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8980),
  [2542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8981),
  [2545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8594),
  [2548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8347),
  [2551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9024),
  [2554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8350),
  [2557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1436),
  [2560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1433),
  [2563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1770),
  [2566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2273),
  [2569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(442),
  [2572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(52),
  [2575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7687),
  [2578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8406),
  [2581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1767),
  [2584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8975),
  [2587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8395),
  [2590] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(178),
  [2593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9295),
  [2596] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1256),
  [2599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8652),
  [2602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8637),
  [2605] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8511),
  [2608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8386),
  [2611] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8535),
  [2614] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8402),
  [2617] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1508),
  [2620] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1507),
  [2623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1745),
  [2626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2221),
  [2629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(675),
  [2632] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(83),
  [2635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7804),
  [2638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8090),
  [2641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1841),
  [2644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9276),
  [2647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8091),
  [2650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(227),
  [2653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9274),
  [2656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1265),
  [2659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9273),
  [2662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9272),
  [2665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9271),
  [2668] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8108),
  [2671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8542),
  [2674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8099),
  [2677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1451),
  [2680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1449),
  [2683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1879),
  [2686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2213),
  [2689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7838),
  [2692] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8209),
  [2695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9045),
  [2698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8220),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2349),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1605),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1605),
  [2707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7026),
  [2709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7377),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1417),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9115),
  [2717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9390),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9421),
  [2721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7215),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7447),
  [2729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3975),
  [2731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3989),
  [2733] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1768),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [2737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1771),
  [2739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5491),
  [2741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5943),
  [2743] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(2259),
  [2746] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(308),
  [2749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(49),
  [2752] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(7975),
  [2755] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8393),
  [2758] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1741),
  [2761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8657),
  [2764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8081),
  [2767] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(180),
  [2770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(9217),
  [2773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1262),
  [2776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8940),
  [2779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8942),
  [2782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8522),
  [2785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8415),
  [2788] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8987),
  [2791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(8400),
  [2794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1514),
  [2797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1517),
  [2800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT(1726),
  [2803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, .production_id = 9),
  [2805] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, .production_id = 9),
  [2807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8443),
  [2809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1851),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7029),
  [2815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [2817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1881),
  [2819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1882),
  [2821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2),
  [2825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8443),
  [2828] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2830] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 4, .production_id = 46),
  [2832] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 9),
  [2834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_try_statement, 3, .production_id = 9),
  [2836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [2840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7587),
  [2842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [2844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [2848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8372),
  [2850] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8372),
  [2853] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 3, .production_id = 156),
  [2855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 3, .production_id = 156),
  [2857] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 103),
  [2859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 103),
  [2861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [2863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 51),
  [2867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_range_loop, 5, .production_id = 148),
  [2869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_range_loop, 5, .production_id = 148),
  [2871] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 5, .production_id = 147),
  [2873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 5, .production_id = 147),
  [2875] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 3),
  [2877] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 3),
  [2879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 2),
  [2881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_yield_statement, 3),
  [2883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_yield_statement, 3),
  [2885] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4, .production_id = 104),
  [2887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4, .production_id = 104),
  [2889] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [2891] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 3, .production_id = 66),
  [2893] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [2895] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 55),
  [2897] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [2899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_goto_statement, 3, .production_id = 53),
  [2901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3),
  [2903] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3),
  [2905] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [2907] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, .production_id = 52),
  [2909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_except_clause, 3, .production_id = 172),
  [2911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_except_clause, 3, .production_id = 172),
  [2913] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [2915] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3, .production_id = 52),
  [2917] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 6, .production_id = 130),
  [2919] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 6, .production_id = 130),
  [2921] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2),
  [2923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2),
  [2925] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_leave_statement, 2),
  [2927] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_leave_statement, 2),
  [2929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_statement, 2),
  [2931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_statement, 2),
  [2933] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3),
  [2935] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3),
  [2937] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_return_statement, 2),
  [2939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_return_statement, 2),
  [2941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 2),
  [2943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 2),
  [2945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2),
  [2947] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2),
  [2949] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2),
  [2951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2),
  [2953] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2955] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2957] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 1),
  [2959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 1),
  [2961] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, .production_id = 87),
  [2963] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, .production_id = 87),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_try_statement, 3, .production_id = 9),
  [2967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_try_statement, 3, .production_id = 9),
  [2969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 130),
  [2971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 130),
  [2973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, .production_id = 87),
  [2975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, .production_id = 87),
  [2977] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 9),
  [2979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_seh_finally_clause, 2, .production_id = 9),
  [2981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 142),
  [2983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 142),
  [2985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2),
  [2987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2),
  [2989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, .production_id = 143),
  [2991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, .production_id = 143),
  [2993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4431),
  [2995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8702),
  [2997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6153),
  [2999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9047),
  [3003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [3005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6175),
  [3007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8180),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [3015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5752),
  [3017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [3019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4491),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6038),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8696),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4105),
  [3027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6633),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5811),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5808),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5677),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7541),
  [3039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9158),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6952),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9334),
  [3047] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 4, .production_id = 58),
  [3051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 94),
  [3053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 94),
  [3055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 2),
  [3057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 2),
  [3059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 2, .production_id = 9),
  [3061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 2, .production_id = 9),
  [3063] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8184),
  [3066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 4, .production_id = 93),
  [3070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [3072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8184),
  [3074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [3076] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 127),
  [3078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 5, .production_id = 127),
  [3080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 80),
  [3082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 80),
  [3084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 5, .production_id = 126),
  [3086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 5, .production_id = 126),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 5, .production_id = 125),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 5, .production_id = 125),
  [3092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 124),
  [3094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 4, .production_id = 124),
  [3096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 120),
  [3098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 4, .production_id = 120),
  [3100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2321),
  [3102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 10),
  [3104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 10),
  [3106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2387),
  [3108] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 2, .production_id = 3),
  [3112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 81),
  [3114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 4, .production_id = 81),
  [3116] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 4, .production_id = 80),
  [3118] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 4, .production_id = 80),
  [3120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_method_clause, 3),
  [3122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_method_clause, 3),
  [3124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_method_clause, 3),
  [3126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_method_clause, 3),
  [3128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_function_def, 4, .production_id = 79),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_function_def, 4, .production_id = 79),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 115),
  [3134] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 115),
  [3136] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 4),
  [3138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 4),
  [3140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration_list, 3),
  [3142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration_list, 3),
  [3144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 4, .production_id = 57),
  [3148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 26),
  [3150] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 26),
  [3152] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 4, .production_id = 78),
  [3154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 4, .production_id = 78),
  [3156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 23),
  [3158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 2, .production_id = 23),
  [3160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__empty_declaration, 2),
  [3162] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__empty_declaration, 2),
  [3164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 23),
  [3166] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 2, .production_id = 23),
  [3168] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 26),
  [3170] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 2, .production_id = 26),
  [3172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_include, 3, .production_id = 37),
  [3176] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 77),
  [3178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_definition, 3, .production_id = 77),
  [3180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 3, .production_id = 5),
  [3184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8332),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2147),
  [3189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_def, 3, .production_id = 10),
  [3191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_def, 3, .production_id = 10),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 3, .production_id = 5),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 10),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef, 3, .production_id = 10),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call, 3, .production_id = 38),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_linkage_specification, 3, .production_id = 44),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 5),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 157),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 158),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_alias_definition, 5, .production_id = 158),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2664),
  [3223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 5, .production_id = 159),
  [3225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 5, .production_id = 159),
  [3227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 160),
  [3229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 5, .production_id = 160),
  [3231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concept_definition, 5, .production_id = 10),
  [3233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concept_definition, 5, .production_id = 10),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [3237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 77),
  [3239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 77),
  [3241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 169),
  [3243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast_declaration, 5, .production_id = 169),
  [3245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if, 6, .production_id = 170),
  [3247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if, 6, .production_id = 170),
  [3249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 46),
  [3253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 3),
  [3255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 3),
  [3257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_declaration, 6, .production_id = 188),
  [3259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_declaration, 6, .production_id = 188),
  [3261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 199),
  [3263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_assert_declaration, 7, .production_id = 199),
  [3265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 71),
  [3267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_definition, 3, .production_id = 71),
  [3269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 3, .production_id = 67),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8169),
  [3275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8169),
  [3278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(195),
  [3280] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_instantiation, 3, .production_id = 5),
  [3284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [3286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 23),
  [3288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_or_destructor_declaration, 2, .production_id = 23),
  [3290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 2),
  [3292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 2),
  [3294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_friend_declaration, 4),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_friend_declaration, 4),
  [3298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_declaration, 3, .production_id = 57),
  [3302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_using_declaration, 3),
  [3304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_using_declaration, 3),
  [3306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 48),
  [3310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_namespace_definition, 3, .production_id = 60),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [3316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [3318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_init_statement, 1),
  [3320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_statement, 1),
  [3322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [3324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1948),
  [3328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [3330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1660),
  [3334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1683),
  [3336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7032),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5653),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6684),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5790),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5788),
  [3348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1659),
  [3352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1509),
  [3354] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9384),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9419),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7241),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [3370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5304),
  [3372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [3374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9097),
  [3376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5648),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [3380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1582),
  [3382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1581),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5472),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5925),
  [3390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3287),
  [3392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [3394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [3396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [3398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [3400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [3402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3059),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [3406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3020),
  [3408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5369),
  [3410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [3412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [3414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [3418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1941),
  [3420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [3422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [3424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [3426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [3430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3058),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8744),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6207),
  [3436] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 3, .production_id = 80),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8469),
  [3440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8251),
  [3442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3770),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4416),
  [3446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7405),
  [3448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1969),
  [3450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6942),
  [3452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9342),
  [3454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [3456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1640),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5377),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5727),
  [3464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5708),
  [3466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1684),
  [3468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 80),
  [3470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2179),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [3474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4431),
  [3477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8702),
  [3480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6153),
  [3483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9047),
  [3488] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8180),
  [3491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5774),
  [3494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8712),
  [3497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3901),
  [3500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5752),
  [3503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5752),
  [3506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3757),
  [3509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4491),
  [3512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4039),
  [3515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9315),
  [3518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6038),
  [3521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8411),
  [3524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9294),
  [3527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8082),
  [3530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3616),
  [3533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8696),
  [3536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(2238),
  [3539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4105),
  [3542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6633),
  [3545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5813),
  [3548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5811),
  [3551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5808),
  [3554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3720),
  [3557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9260),
  [3560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3393),
  [3563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9256),
  [3566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4860),
  [3569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(5677),
  [3572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7541),
  [3575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1053),
  [3578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1972),
  [3581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9158),
  [3584] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6952),
  [3587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9334),
  [3590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_qualifier, 1),
  [3592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_qualifier, 1),
  [3594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [3596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2616),
  [3598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [3600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2325),
  [3602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2655),
  [3604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [3606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1534),
  [3610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [3612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [3614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1213),
  [3616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4662),
  [3620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [3622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [3624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [3626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8076),
  [3628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1844),
  [3630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5475),
  [3632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5945),
  [3634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8744),
  [3637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6207),
  [3640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8469),
  [3643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8251),
  [3646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3770),
  [3649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4416),
  [3652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7405),
  [3655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1969),
  [3658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6942),
  [3661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9342),
  [3664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8501),
  [3666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6216),
  [3668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9109),
  [3670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8315),
  [3672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3746),
  [3674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4469),
  [3676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5501),
  [3678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7470),
  [3680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [3682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6974),
  [3684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9307),
  [3686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__top_level_expression_statement, 2),
  [3688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__top_level_expression_statement, 2),
  [3690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [3692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [3694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8785),
  [3697] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6199),
  [3700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8544),
  [3703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8365),
  [3706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3779),
  [3709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4414),
  [3712] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7386),
  [3715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1971),
  [3718] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6939),
  [3721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9350),
  [3724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4461),
  [3726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [3728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [3730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [3732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1614),
  [3734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [3736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [3738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1187),
  [3740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7504),
  [3742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1401),
  [3744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9134),
  [3746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9393),
  [3748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9422),
  [3750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7230),
  [3752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [3754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8016),
  [3756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [3758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4931),
  [3760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4935),
  [3762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1886),
  [3764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [3766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [3768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5513),
  [3770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5953),
  [3772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [3774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [3776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8785),
  [3778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6199),
  [3780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 2),
  [3782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8544),
  [3784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8365),
  [3786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3779),
  [3788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4414),
  [3790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7386),
  [3792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1971),
  [3794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6939),
  [3796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9350),
  [3798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2976),
  [3800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3652),
  [3802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [3804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [3806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [3808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3003),
  [3810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [3812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [3814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [3816] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8501),
  [3819] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6216),
  [3822] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9109),
  [3825] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(8315),
  [3828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(3746),
  [3831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(4469),
  [3834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2),
  [3836] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(7470),
  [3839] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1977),
  [3842] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(6974),
  [3845] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_field_declaration_list_repeat1, 2), SHIFT_REPEAT(9307),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [3850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2247),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2248),
  [3854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5674),
  [3860] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_else_in_field_declaration_list, 1),
  [3862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2235),
  [3864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1553),
  [3866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [3868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7006),
  [3870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1455),
  [3872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [3874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [3876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7360),
  [3878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [3880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8054),
  [3882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1828),
  [3884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [3886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [3888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7579),
  [3890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [3892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1840),
  [3894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [3896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [3898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1423),
  [3900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [3902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1846),
  [3904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5464),
  [3906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2461),
  [3908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [3910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1765),
  [3912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [3914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1493),
  [3916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1725),
  [3918] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1672),
  [3920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [3922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [3924] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_pack_expansion, 2, .production_id = 28),
  [3926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [3928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4210),
  [3930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [3932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6575),
  [3934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7074),
  [3936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3635),
  [3938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4030),
  [3940] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6734),
  [3942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5736),
  [3944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5737),
  [3946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5738),
  [3948] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5614),
  [3950] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6526),
  [3952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9223),
  [3954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [3956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3628),
  [3958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3511),
  [3960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [3962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4336),
  [3964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [3966] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7428),
  [3968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1970),
  [3970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9338),
  [3972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6034),
  [3974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9353),
  [3976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9343),
  [3978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7326),
  [3980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1976),
  [3982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9311),
  [3984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7481),
  [3986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1978),
  [3988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9330),
  [3990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9346),
  [3992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9335),
  [3994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7636),
  [3996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1975),
  [3998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8914),
  [4000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7423),
  [4002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1973),
  [4004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9301),
  [4006] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9357),
  [4008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9351),
  [4010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9321),
  [4012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9327),
  [4014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 4),
  [4016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 4),
  [4018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_declaration, 3),
  [4020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_declaration, 3),
  [4022] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1), REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 1),
  [4032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_modifiers, 1),
  [4034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_modifiers, 1),
  [4036] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [4038] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8284),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1495),
  [4043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2286),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6440),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [4051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1526),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2471),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1496),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3309),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2428),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6723),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [4133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(187),
  [4135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression_not_binary, 1),
  [4139] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4145] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression_not_binary, 1),
  [4147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4153] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(562),
  [4156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [4158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [4161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [4163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3937),
  [4165] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1), REDUCE(sym__expression_not_binary, 1),
  [4169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1385),
  [4171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1646),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6525),
  [4181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6993),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [4187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9247),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [4201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [4213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(228),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [4217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(514),
  [4220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [4222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [4224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [4226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [4228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3941),
  [4230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [4232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [4234] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(2175),
  [4237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(257),
  [4240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1826),
  [4243] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1826),
  [4246] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1825),
  [4249] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(3094),
  [4252] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(6995),
  [4255] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1646),
  [4258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2),
  [4260] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1277),
  [4263] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7466),
  [4266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1908),
  [4269] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1488),
  [4272] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9270),
  [4275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9269),
  [4278] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(9268),
  [4281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7207),
  [4284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4693),
  [4287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7667),
  [4290] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(7502),
  [4293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4323),
  [4296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(4325),
  [4299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8772),
  [4302] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(6993),
  [4305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8226),
  [4308] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1887),
  [4311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(8103),
  [4314] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(1877),
  [4317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(5492),
  [4320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requirement_seq_repeat1, 2), SHIFT_REPEAT(5934),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8452),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5326),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(202),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4239),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3856),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4226),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5283),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5333),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3454),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4190),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [4401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3991),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5352),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [4411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5001),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [4415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [4417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [4419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1820),
  [4421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4634),
  [4423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1759),
  [4425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [4427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1707),
  [4429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [4431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [4433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5294),
  [4435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1799),
  [4437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [4439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1807),
  [4441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3146),
  [4443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1542),
  [4445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4075),
  [4447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1785),
  [4449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3765),
  [4451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [4453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [4455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(307),
  [4457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [4459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1797),
  [4461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [4465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [4467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 2),
  [4471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1625),
  [4473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [4475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1376),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7163),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3789),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [4491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8813),
  [4494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8804),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1335),
  [4499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8800),
  [4502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8797),
  [4505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8796),
  [4508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [4510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8792),
  [4513] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8788),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [4518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8786),
  [4521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8777),
  [4524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [4526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [4528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8588),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [4537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8897),
  [4539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1498),
  [4541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8733),
  [4544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [4546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [4548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [4550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1274),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8658),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [4556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8586),
  [4558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1466),
  [4560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [4562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1642),
  [4564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [4566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [4568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2026),
  [4570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [4572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1743),
  [4574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [4576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [4578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [4580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8462),
  [4582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1480),
  [4584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [4586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1342),
  [4588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [4590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [4592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [4594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [4596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [4598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [4600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [4602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [4604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [4606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [4608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [4610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [4612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [4614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [4618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [4620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [4622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [4626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [4628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2, .production_id = 105),
  [4630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1864),
  [4634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [4636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 2),
  [4638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [4640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [4646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 181),
  [4650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8945),
  [4653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_default_capture, 1),
  [4655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [4657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [4659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 105),
  [4661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 80),
  [4663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 146),
  [4665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9157),
  [4667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [4669] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8832),
  [4672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [4674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [4676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [4678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8472),
  [4680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1697),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [4684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8592),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [4688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [4692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [4694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1880),
  [4696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [4698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [4700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8660),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6652),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6650),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [4718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8738),
  [4720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9056),
  [4722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [4724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [4726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [4728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [4730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1622),
  [4732] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8910),
  [4735] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8776),
  [4738] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8888),
  [4741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1713),
  [4743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8890),
  [4745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8882),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8880),
  [4751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [4753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [4757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [4759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8874),
  [4762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9102),
  [4764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [4766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1897),
  [4768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8851),
  [4771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8838),
  [4774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [4776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6970),
  [4778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [4780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8937),
  [4783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8834),
  [4786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [4788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [4790] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8833),
  [4793] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8830),
  [4796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [4798] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8678),
  [4801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8826),
  [4804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [4806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2631),
  [4808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [4810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [4812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8976),
  [4815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1837),
  [4817] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8822),
  [4820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8820),
  [4823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1894),
  [4825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8817),
  [4828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9089),
  [4830] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8720),
  [4833] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8715),
  [4836] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8709),
  [4839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [4841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [4843] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8683),
  [4846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3829),
  [4848] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8680),
  [4851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1679),
  [4853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [4855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [4857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9224),
  [4859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [4861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6381),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6437),
  [4867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1551),
  [4869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [4871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [4873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [4875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [4877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1546),
  [4879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [4881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8562),
  [4883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9309),
  [4885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [4887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [4889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [4891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [4893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1693),
  [4895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9074),
  [4897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [4899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [4901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [4903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [4905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [4907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8498),
  [4909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6791),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [4913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2170),
  [4919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2184),
  [4921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [4923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1314),
  [4925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1307),
  [4927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [4929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [4931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [4933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7251),
  [4935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [4937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7271),
  [4939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [4941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [4945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [4951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [4953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [4955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1302),
  [4957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [4959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [4961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [4963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [4965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1286),
  [4967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [4969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [4971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [4973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [4975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [4977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [4979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [4981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [4983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [4985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4302),
  [4987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [4989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [4991] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 2),
  [4993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 2),
  [4995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [4997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 2),
  [4999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 3),
  [5003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 3, .dynamic_precedence = 1),
  [5007] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5009] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 1),
  [5011] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 3),
  [5015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_argument_list, 4, .dynamic_precedence = 2),
  [5019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34),
  [5030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), REDUCE(sym_qualified_type_identifier, 2, .production_id = 35),
  [5033] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(570),
  [5036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(542),
  [5039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 16),
  [5041] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 16), REDUCE(sym_template_function, 2, .production_id = 17),
  [5044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_type, 2, .production_id = 16),
  [5046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_function, 2, .production_id = 17),
  [5048] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_template_type, 2, .production_id = 16), REDUCE(sym_template_function, 2, .production_id = 17),
  [5051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_function, 2, .production_id = 17),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(542),
  [5056] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declarator, 1),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [5062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [5064] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(540),
  [5067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3893),
  [5069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [5071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [5073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6518),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [5081] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(524),
  [5084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [5086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [5088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1363),
  [5090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [5092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [5094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4298),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [5098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4341),
  [5110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5748),
  [5112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5749),
  [5114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5751),
  [5116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5689),
  [5118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5687),
  [5120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5691),
  [5122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5826),
  [5124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5744),
  [5126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5742),
  [5128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5758),
  [5130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5718),
  [5132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5710),
  [5134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5730),
  [5136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5731),
  [5138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5732),
  [5140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5796),
  [5142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5795),
  [5144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [5146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5785),
  [5148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [5150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5789),
  [5152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5766),
  [5154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5681),
  [5156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5769),
  [5158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5722),
  [5160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [5162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(505),
  [5167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fold_expression, 3, .production_id = 40),
  [5171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5416),
  [5173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5396),
  [5175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7580),
  [5177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [5179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 2),
  [5181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 2),
  [5183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 123),
  [5185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 123),
  [5187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_conjunction, 3, .production_id = 54),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [5193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 2),
  [5195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 2),
  [5197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [5199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_concatenated_string, 3),
  [5201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_concatenated_string, 3),
  [5203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 2, .production_id = 21),
  [5205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 2, .production_id = 21),
  [5207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement_clause_constraint, 3),
  [5211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 4, .production_id = 122),
  [5215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, .production_id = 32),
  [5219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 74),
  [5221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 74),
  [5223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 5, .production_id = 168),
  [5225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 5, .production_id = 168),
  [5227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_expression, 3, .production_id = 65),
  [5231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, .production_id = 75),
  [5233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, .production_id = 75),
  [5235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [5237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(1998),
  [5240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2),
  [5244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7381),
  [5247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8069),
  [5250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requirement_seq, 3),
  [5252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requirement_seq, 3),
  [5254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 4, .production_id = 141),
  [5256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 4, .production_id = 141),
  [5258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_condition_clause, 3, .production_id = 14),
  [5260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_clause, 3, .production_id = 14),
  [5262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3370),
  [5266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 2),
  [5268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 2),
  [5270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 7, .production_id = 200),
  [5272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 7, .production_id = 200),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2715),
  [5278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 3),
  [5280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 3),
  [5282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2012),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [5297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_raw_string_literal, 5),
  [5299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_raw_string_literal, 5),
  [5301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2024),
  [5304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(534),
  [5307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1382),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [5311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 6),
  [5315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9114),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [5321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6388),
  [5323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8256),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [5327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8256),
  [5330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7071),
  [5332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [5334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4474),
  [5336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8867),
  [5338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6055),
  [5340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [5342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8869),
  [5344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4467),
  [5346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8876),
  [5348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 2),
  [5350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(543),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8243),
  [5356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 63),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [5362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1734),
  [5364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2443),
  [5366] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8539),
  [5368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1, .production_id = 1),
  [5370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [5372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 91),
  [5374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 91),
  [5376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(540),
  [5379] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(505),
  [5382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 45),
  [5386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8243),
  [5388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2841),
  [5390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, .production_id = 20),
  [5392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, .production_id = 20),
  [5394] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(537),
  [5397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1357),
  [5399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [5401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 67),
  [5405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type_identifier, 2),
  [5407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type_identifier, 2),
  [5409] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5412] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(570),
  [5415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__expression_not_binary, 1),
  [5418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destructor_name, 2),
  [5420] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destructor_name, 2),
  [5422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 34),
  [5426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [5428] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(509),
  [5431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(566),
  [5434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 7, .production_id = 201),
  [5436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 7, .production_id = 201),
  [5438] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 192),
  [5440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 192),
  [5442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [5444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 191),
  [5446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 191),
  [5448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 201),
  [5450] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 201),
  [5452] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 6, .production_id = 187),
  [5454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 187),
  [5456] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 170),
  [5458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 6, .production_id = 170),
  [5460] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declaration_list_item, 2),
  [5462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declaration_list_item, 2),
  [5464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 174),
  [5466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 174),
  [5468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 192),
  [5470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 192),
  [5472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 173),
  [5474] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 173),
  [5476] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 191),
  [5478] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 191),
  [5480] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 108),
  [5482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 108),
  [5484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 10),
  [5486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 3, .production_id = 10),
  [5488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, .production_id = 56),
  [5492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 56),
  [5496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, .production_id = 108),
  [5498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 108),
  [5500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_inline_method_definition, 3, .production_id = 108),
  [5502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inline_method_definition, 3, .production_id = 108),
  [5504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype, 4),
  [5506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype, 4),
  [5508] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5510] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_type, 2, .dynamic_precedence = -1),
  [5512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [5514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9165),
  [5516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 5, .production_id = 187),
  [5518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 187),
  [5520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 127),
  [5522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 5, .production_id = 127),
  [5524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 80),
  [5526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 80),
  [5528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 126),
  [5530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 5, .production_id = 126),
  [5532] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 174),
  [5534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 174),
  [5536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 173),
  [5538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 173),
  [5540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, .production_id = 108),
  [5542] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 108),
  [5544] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 10),
  [5546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 10),
  [5548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_specifier, 1),
  [5550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_specifier, 1),
  [5552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 81),
  [5554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_field_declaration_list, 4, .production_id = 81),
  [5556] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 80),
  [5558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_field_declaration_list, 4, .production_id = 80),
  [5560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2161),
  [5563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7328),
  [5566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8049),
  [5569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2),
  [5573] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2286),
  [5576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [5578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_name, 1),
  [5580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_name, 1),
  [5582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2099),
  [5584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [5586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8236),
  [5588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8301),
  [5590] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 10),
  [5592] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 10),
  [5594] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_specifier, 4),
  [5596] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_specifier, 4),
  [5598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2498),
  [5600] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 1),
  [5602] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1),
  [5604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [5606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2497),
  [5608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [5610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(513),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [5617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(6816),
  [5620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1395),
  [5622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [5624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [5626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_specifier, 2, .production_id = 12),
  [5628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_specifier, 2, .production_id = 12),
  [5630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [5632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [5634] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 6, .production_id = 137),
  [5636] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 6, .production_id = 137),
  [5638] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 3),
  [5640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 3),
  [5642] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 46),
  [5646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 1, .production_id = 13),
  [5648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 1, .production_id = 13),
  [5650] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 47),
  [5654] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 2),
  [5656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 2),
  [5658] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_specifier, 2, .production_id = 12),
  [5660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_specifier, 2, .production_id = 12),
  [5662] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 5, .production_id = 138),
  [5664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 5, .production_id = 138),
  [5666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1392),
  [5668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [5670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7342),
  [5672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8052),
  [5674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__expression_not_binary, 1), SHIFT(8986),
  [5677] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_specifier, 2, .production_id = 12),
  [5679] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_specifier, 2, .production_id = 12),
  [5681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2275),
  [5683] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 9),
  [5685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 9),
  [5687] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 98),
  [5689] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 98),
  [5691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [5693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 48),
  [5697] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 49),
  [5701] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 1),
  [5705] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 49),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [5711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 3),
  [5713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 3),
  [5715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [5717] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [5719] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 2, .production_id = 12),
  [5721] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 2, .production_id = 12),
  [5723] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 4, .production_id = 139),
  [5725] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 4, .production_id = 139),
  [5727] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5729] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 46),
  [5731] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration, 3, .production_id = 101),
  [5733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration, 3, .production_id = 101),
  [5735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 102),
  [5737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 102),
  [5739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 99),
  [5741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 99),
  [5743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 50),
  [5747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 96),
  [5749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 96),
  [5751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 94),
  [5753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 94),
  [5755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator_list, 4),
  [5757] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator_list, 4),
  [5759] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 9),
  [5761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 9),
  [5763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5766] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2),
  [5769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5771] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 6),
  [5773] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 11),
  [5775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 11),
  [5777] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8301),
  [5780] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2267),
  [5783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7332),
  [5786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8050),
  [5789] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 27),
  [5791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_placeholder_type_specifier, 2, .production_id = 27),
  [5793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2271),
  [5796] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7458),
  [5799] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8071),
  [5802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_decltype_auto, 4),
  [5804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_decltype_auto, 4),
  [5806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 96),
  [5808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 96),
  [5810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [5812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [5814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_constructor_try_statement_repeat1, 2), SHIFT_REPEAT(8236),
  [5817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__enum_base_clause, 2, .production_id = 97),
  [5819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_base_clause, 2, .production_id = 97),
  [5821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [5823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 46),
  [5825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [5827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [5829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2010),
  [5831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [5833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [5835] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2298),
  [5838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7369),
  [5841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8055),
  [5844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [5846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 46),
  [5848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 3, .production_id = 102),
  [5850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 3, .production_id = 102),
  [5852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [5854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [5856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [5858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [5860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [5862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 99),
  [5864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 99),
  [5866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 5, .production_id = 137),
  [5868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 5, .production_id = 137),
  [5870] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2465),
  [5873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [5875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [5877] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [5879] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [5881] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 4, .production_id = 138),
  [5883] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 4, .production_id = 138),
  [5885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2519),
  [5887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 9),
  [5889] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 9),
  [5891] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 4, .production_id = 94),
  [5893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 4, .production_id = 94),
  [5895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 1, .production_id = 11),
  [5897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 1, .production_id = 11),
  [5899] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__expression_not_binary, 1), SHIFT(509),
  [5902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2562),
  [5904] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2376),
  [5906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [5908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [5910] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 48),
  [5912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [5914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [5916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 50),
  [5918] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_declaration_item, 2, .production_id = 9),
  [5922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [5924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [5926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 133),
  [5928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 133),
  [5930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 111),
  [5932] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 111),
  [5934] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [5936] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type_declarator, 3, .dynamic_precedence = -10),
  [5938] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [5940] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 1),
  [5942] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 3, .production_id = 23),
  [5944] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 3, .production_id = 23),
  [5946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [5948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [5950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 42),
  [5952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [5954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1, .production_id = 43),
  [5956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(505),
  [5959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [5961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2),
  [5963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8319),
  [5966] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18),
  [5968] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18),
  [5970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [5972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [5974] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2),
  [5976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2474),
  [5978] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_declarator, 1),
  [5980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_declarator, 1),
  [5982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5984] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 90),
  [5986] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [5988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36),
  [5990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2459),
  [5992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [5994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20),
  [5996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20),
  [5998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2459),
  [6001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [6003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [6005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 116),
  [6007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 116),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9197),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [6013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2452),
  [6019] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20),
  [6021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20),
  [6023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [6025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 62),
  [6029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_type_declarator, 2),
  [6031] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_type_declarator, 2),
  [6033] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 4, .production_id = 23),
  [6035] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 4, .production_id = 23),
  [6037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [6039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type_declarator, 2, .production_id = 88),
  [6041] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type_declarator, 2, .production_id = 88),
  [6043] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type_declarator, 5, .production_id = 165),
  [6045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type_declarator, 5, .production_id = 165),
  [6047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3768),
  [6049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [6051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [6053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2501),
  [6056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2530),
  [6058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2535),
  [6060] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(2739),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [6065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2515),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4077),
  [6075] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2535),
  [6078] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7383),
  [6081] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8058),
  [6084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [6086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [6088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 2, .production_id = 10),
  [6090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 2, .production_id = 10),
  [6092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [6094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_specifier, 3, .production_id = 47),
  [6098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6480),
  [6100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 1, .dynamic_precedence = 1),
  [6102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [6104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [6106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4721),
  [6108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [6110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [6112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9072),
  [6114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [6116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [6118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 3, .production_id = 161),
  [6120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 3, .production_id = 161),
  [6122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76),
  [6124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76),
  [6126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76), SHIFT(505),
  [6129] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 2),
  [6131] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 2),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [6135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_clause, 2, .production_id = 22),
  [6137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_clause, 2, .production_id = 22),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [6141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6021),
  [6143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6035),
  [6145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [6147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2695),
  [6150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 54),
  [6154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [6156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [6158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7094),
  [6160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [6162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, .production_id = 85),
  [6164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, .production_id = 85),
  [6166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2883),
  [6168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2721),
  [6170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [6172] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_co_await_expression, 2, .production_id = 4),
  [6176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2865),
  [6178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, .production_id = 40),
  [6182] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(543),
  [6185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [6187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [6189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2714),
  [6192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [6194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [6196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [6198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_field_identifier, 2),
  [6200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_field_identifier, 2),
  [6202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 17),
  [6204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 17),
  [6206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [6208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [6210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_expression, 2, .production_id = 4),
  [6214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 2, .production_id = 14),
  [6216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 2, .production_id = 14),
  [6218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 4),
  [6222] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [6224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [6226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [6228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2742),
  [6230] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [6232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2747),
  [6234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_declarator, 4, .production_id = 161),
  [6236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_declarator, 4, .production_id = 161),
  [6238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2742),
  [6241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [6243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [6245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [6247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [6249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 4),
  [6253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [6255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constraint_disjunction, 3, .production_id = 54),
  [6257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 106),
  [6259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 4, .production_id = 106),
  [6261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sizeof_expression, 5, .production_id = 149),
  [6263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sizeof_expression, 5, .production_id = 149),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2926),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2776),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2925),
  [6271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [6273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [6275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 197),
  [6277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 197),
  [6279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 198),
  [6281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 7, .production_id = 198),
  [6283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_null, 1),
  [6285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_null, 1),
  [6287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dependent_identifier, 2),
  [6289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dependent_identifier, 2),
  [6291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 151),
  [6295] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 152),
  [6297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 5, .production_id = 152),
  [6299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2787),
  [6302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 8),
  [6304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 8),
  [6306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 205),
  [6308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 205),
  [6310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 206),
  [6312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 8, .production_id = 206),
  [6314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_expression, 9),
  [6316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_expression, 9),
  [6318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 209),
  [6320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 9, .production_id = 209),
  [6322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9114),
  [6324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [6326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [6328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [6330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 85),
  [6332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 4, .production_id = 85),
  [6334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [6336] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [6338] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 89),
  [6340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, .production_id = 54),
  [6344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6003),
  [6346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6033),
  [6348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [6350] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6033),
  [6352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 162),
  [6354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 162),
  [6356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [6358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [6360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [6362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [6364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [6366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [6368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [6370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4862),
  [6372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 7),
  [6374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 7),
  [6376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 4),
  [6378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 4),
  [6380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 132),
  [6384] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 5, .production_id = 131),
  [6388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 3),
  [6390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 3),
  [6392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 4),
  [6394] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 4),
  [6396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_offsetof_expression, 6, .production_id = 182),
  [6398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_offsetof_expression, 6, .production_id = 182),
  [6400] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_method, 2, .production_id = 117),
  [6402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_method, 2, .production_id = 117),
  [6404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [6406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4865),
  [6408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4865),
  [6410] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [6412] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [6414] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_operator_name, 3),
  [6416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_name, 3),
  [6418] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 3),
  [6420] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 3),
  [6422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [6424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 184),
  [6426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 184),
  [6428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_argument_list, 2),
  [6430] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_argument_list, 2),
  [6432] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 72),
  [6434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 72),
  [6436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 72), SHIFT(505),
  [6439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_expression, 2, .production_id = 30),
  [6443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [6445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(975),
  [6447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6449] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, .production_id = 29),
  [6451] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, .production_id = 61),
  [6455] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_user_defined_literal, 2),
  [6457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_user_defined_literal, 2),
  [6459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [6461] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [6463] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 6, .production_id = 171),
  [6465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 6, .production_id = 171),
  [6467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_initializer_list, 5),
  [6469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_list, 5),
  [6471] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 8),
  [6473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_literal_expression, 2, .production_id = 8),
  [6475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 110),
  [6477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 110),
  [6479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 4, .production_id = 109),
  [6483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 73),
  [6485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, .production_id = 73),
  [6487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignof_expression, 4, .production_id = 45),
  [6491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 185),
  [6493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_expression, 6, .production_id = 185),
  [6495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [6497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [6499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [6501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3095),
  [6505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8845),
  [6507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [6511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [6513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2898),
  [6517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2872),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2879),
  [6521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 3),
  [6523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 3),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [6527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(2887),
  [6530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7507),
  [6533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8076),
  [6536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(540),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2896),
  [6541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [6543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 2),
  [6545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 2),
  [6547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_parameter_list, 4),
  [6549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_parameter_list, 4),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2893),
  [6553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [6561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2936),
  [6563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2787),
  [6567] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(509),
  [6570] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2921),
  [6573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3032),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2930),
  [6577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2934),
  [6579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2915),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9151),
  [6583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [6585] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(2941),
  [6588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1255),
  [6590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [6592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [6594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [6596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [6598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [6600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [6602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [6604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [6606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [6608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1801),
  [6610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [6612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [6614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 5),
  [6616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 5),
  [6618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1544),
  [6620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1539),
  [6622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1541),
  [6624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [6626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1547),
  [6628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1548),
  [6630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1552),
  [6632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [6634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1531),
  [6636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [6638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1532),
  [6640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [6642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1541),
  [6644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1543),
  [6646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1739),
  [6648] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 4),
  [6650] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 4),
  [6652] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 4, .production_id = 119),
  [6654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [6656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 4, .production_id = 119),
  [6658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [6660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [6662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [6664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1079),
  [6666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_conditional_expression, 5, .production_id = 166),
  [6668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_conditional_expression, 5, .production_id = 166),
  [6670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [6672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 2),
  [6674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 2),
  [6676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_delete_expression, 3),
  [6678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_delete_expression, 3),
  [6680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3030),
  [6682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2968),
  [6684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3017),
  [6686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(513),
  [6689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [6691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6497),
  [6693] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_storage_class_specifier, 1),
  [6695] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_storage_class_specifier, 1),
  [6697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [6699] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 2, .production_id = 34), SHIFT(543),
  [6702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_char_literal, 3),
  [6704] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_char_literal, 3),
  [6706] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_requirement, 2),
  [6708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_requirement, 2),
  [6710] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 5),
  [6712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 5),
  [6714] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 4),
  [6716] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 4),
  [6718] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__requirement, 1, .production_id = 64),
  [6722] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8249),
  [6725] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compound_requirement, 6),
  [6727] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compound_requirement, 6),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3854),
  [6735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [6737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1583),
  [6739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [6741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [6743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1588),
  [6745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1589),
  [6747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1592),
  [6749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1593),
  [6751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1594),
  [6753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1594),
  [6755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1596),
  [6757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [6759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [6761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1587),
  [6763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1593),
  [6765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [6767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7125),
  [6769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7125),
  [6771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [6773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1773),
  [6775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [6777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [6779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1776),
  [6781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [6783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1778),
  [6785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [6787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1780),
  [6789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [6791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1781),
  [6793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1775),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [6801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [6803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3775),
  [6805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1372),
  [6807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [6809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1435),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1437),
  [6813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1442),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1443),
  [6817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1444),
  [6819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [6821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [6823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1448),
  [6825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1454),
  [6827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1453),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1461),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [6833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1511),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [6837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1524),
  [6839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1522),
  [6841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1521),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1520),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [6847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [6851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [6853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [6855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [6857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1289),
  [6859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1291),
  [6861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [6863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [6865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [6867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [6869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [6871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1381),
  [6873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1782),
  [6875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1506),
  [6877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1505),
  [6879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [6881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [6883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [6885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1500),
  [6887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3780),
  [6889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7122),
  [6891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [6893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8774),
  [6895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [6897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8292),
  [6899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1090),
  [6901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [6903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1586),
  [6905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1403),
  [6907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [6909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 20),
  [6911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 20),
  [6913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3599),
  [6915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8985),
  [6917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [6919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [6921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [6923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1),
  [6925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [6927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [6929] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6931] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 1, .production_id = 2),
  [6933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [6935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [6937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8270),
  [6939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1085),
  [6941] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8292),
  [6944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [6946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [6948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [6950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8506),
  [6952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [6954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [6956] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76), SHIFT(543),
  [6959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [6961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3700),
  [6963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [6965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9088),
  [6967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [6969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3563),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3271),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3776),
  [6977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [6979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [6983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [6985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4003),
  [6987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3732),
  [6989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [6991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [6993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 72), SHIFT(506),
  [6996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3450),
  [6998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [7000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1756),
  [7002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1747),
  [7004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [7006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual, 1),
  [7008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual, 1),
  [7010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8270),
  [7013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [7015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [7017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1753),
  [7019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [7021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1751),
  [7023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [7025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1749),
  [7027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [7029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1755),
  [7031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [7033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [7035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [7037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1619),
  [7039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1618),
  [7041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1617),
  [7043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1616),
  [7045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1613),
  [7047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1611),
  [7049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1609),
  [7051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [7053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [7055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [7057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1606),
  [7059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [7061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1617),
  [7063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1616),
  [7065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [7067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1609),
  [7069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [7071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [7073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76), SHIFT(542),
  [7076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [7078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5990),
  [7080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3450),
  [7083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7335),
  [7086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8051),
  [7089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [7091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [7093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [7095] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2),
  [7097] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4450),
  [7100] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4474),
  [7103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8867),
  [7106] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8072),
  [7109] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8869),
  [7112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4467),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8876),
  [7118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [7120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [7122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5997),
  [7124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [7126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6272),
  [7128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76), SHIFT(570),
  [7131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [7133] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [7135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 2, .production_id = 2),
  [7137] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 20),
  [7139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_specifiers, 3, .production_id = 20),
  [7141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76), SHIFT(540),
  [7144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [7146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [7148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3596),
  [7151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7342),
  [7154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8052),
  [7157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [7159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1675),
  [7161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1671),
  [7163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [7165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [7167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1666),
  [7169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1665),
  [7171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1664),
  [7173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [7175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1662),
  [7177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1661),
  [7179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [7181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [7183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [7185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1669),
  [7187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1667),
  [7189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1666),
  [7191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1664),
  [7193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [7195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7096),
  [7197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [7199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4183),
  [7201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [7203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [7205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1425),
  [7207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1426),
  [7209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1427),
  [7211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1430),
  [7213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1431),
  [7215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1438),
  [7217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [7219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1445),
  [7221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1452),
  [7223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1456),
  [7225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [7227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [7229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1460),
  [7231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [7233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1469),
  [7235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1471),
  [7237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1472),
  [7239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [7241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [7243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [7245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [7247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8714),
  [7249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [7251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [7253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [7255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8722),
  [7257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [7259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8726),
  [7261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [7263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [7265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [7267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [7269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [7271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1478),
  [7273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [7275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [7277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [7279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4186),
  [7281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(3926),
  [7284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [7286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3927),
  [7288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [7290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4008),
  [7292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3938),
  [7294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4061),
  [7296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3640),
  [7298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [7300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [7302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [7304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3998),
  [7306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 128),
  [7308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold_operator, 3, .production_id = 128),
  [7310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2853),
  [7312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3596),
  [7314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [7316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [7318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [7320] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1249),
  [7323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [7325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [7327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 72), SHIFT(540),
  [7330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [7332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [7334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [7336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3654),
  [7338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [7340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5719),
  [7342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5719),
  [7344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [7346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [7348] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4026),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3734),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4000),
  [7355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [7357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24),
  [7359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [7361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6109),
  [7363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9315),
  [7367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24),
  [7369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4426),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6666),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [7381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4465),
  [7383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7101),
  [7385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7101),
  [7387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7173),
  [7389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4460),
  [7391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4459),
  [7393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_expression, 3, .production_id = 72), SHIFT(509),
  [7396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [7398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(6666),
  [7401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(5985),
  [7404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4487),
  [7406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4436),
  [7408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [7410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [7412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [7414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [7416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5683),
  [7418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5683),
  [7420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [7422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4415),
  [7424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5984),
  [7426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6011),
  [7428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5984),
  [7430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6011),
  [7432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4409),
  [7434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [7436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1866),
  [7438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1867),
  [7440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [7442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1872),
  [7444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1873),
  [7446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1874),
  [7448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [7450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [7452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [7454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1878),
  [7456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1473),
  [7458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [7460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [7462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [7464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [7466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [7468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [7470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(3798),
  [7473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1255),
  [7476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7170),
  [7478] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_identifier, 3, .production_id = 76), SHIFT(509),
  [7481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [7483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5762),
  [7485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [7487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [7489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3798),
  [7491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7172),
  [7493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3885),
  [7495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7090),
  [7497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [7499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5688),
  [7501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5688),
  [7503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [7505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7180),
  [7507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3950),
  [7509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [7511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3923),
  [7513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3940),
  [7515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4420),
  [7517] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(3950),
  [7520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7407),
  [7523] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8059),
  [7526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7164),
  [7528] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1559),
  [7530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1635),
  [7532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [7534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1633),
  [7536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1632),
  [7538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1631),
  [7540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1630),
  [7542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1629),
  [7544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1627),
  [7546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [7548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1626),
  [7550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1632),
  [7552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [7554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [7556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [7558] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__declarator, 1), REDUCE(sym__type_specifier, 1, .production_id = 1),
  [7561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [7563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4091),
  [7565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2941),
  [7567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [7569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4065),
  [7571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 2, .production_id = 107),
  [7573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [7575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9191),
  [7577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [7579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4095),
  [7581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [7583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alignas_specifier, 4),
  [7585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alignas_specifier, 4),
  [7587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_declspec_modifier, 4),
  [7591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2392),
  [7593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [7595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [7597] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4065),
  [7600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [7602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [7604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [7606] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(9044),
  [7609] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(8358),
  [7612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5432),
  [7614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [7616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [7618] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(534),
  [7621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6037),
  [7623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6027),
  [7625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6037),
  [7627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6027),
  [7629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [7631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [7633] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(6388),
  [7636] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(5992),
  [7639] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7642] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1),
  [7644] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_specifiers, 1),
  [7646] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__constructor_specifiers, 1), REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7649] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 1),
  [7651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4018),
  [7653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [7655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2),
  [7659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4450),
  [7662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4474),
  [7665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8867),
  [7668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8072),
  [7671] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8869),
  [7674] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4467),
  [7677] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(8876),
  [7680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_operator_cast_definition_repeat1, 2), SHIFT_REPEAT(4860),
  [7683] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2238),
  [7686] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4039),
  [7689] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9315),
  [7692] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8411),
  [7695] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9294),
  [7698] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3393),
  [7701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9256),
  [7704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2512),
  [7706] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(8072),
  [7709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4454),
  [7711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(6017),
  [7714] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(7206),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [7719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4137),
  [7722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [7724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [7726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9044),
  [7728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [7730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [7732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6017),
  [7734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1645),
  [7736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(4227),
  [7739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4170),
  [7741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4225),
  [7743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [7745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [7747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6519),
  [7749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [7751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [7753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [7755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [7757] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(5979),
  [7760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [7762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6007),
  [7764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [7766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4543),
  [7768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8824),
  [7770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(836),
  [7772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [7774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5991),
  [7776] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4229),
  [7778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [7780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4250),
  [7782] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4254),
  [7784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4229),
  [7787] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(537),
  [7790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [7792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(5991),
  [7795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [7797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [7799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4215),
  [7801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1027),
  [7803] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(566),
  [7806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [7808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [7810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [7812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(5980),
  [7815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [7817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [7819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [7821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [7823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [7825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2269),
  [7827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [7829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [7831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [7833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4680),
  [7835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8836),
  [7837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5364),
  [7839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6313),
  [7841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2433),
  [7845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(524),
  [7847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5872),
  [7849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [7851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5963),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6672),
  [7857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5696),
  [7859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5775),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5778),
  [7863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5650),
  [7865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4744),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4889),
  [7871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5222),
  [7873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6656),
  [7875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5720),
  [7877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5717),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5716),
  [7881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5452),
  [7883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9136),
  [7885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5639),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [7889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [7891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6547),
  [7893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5123),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [7897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5269),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5395),
  [7901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6646),
  [7903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5694),
  [7905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5695),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5684),
  [7909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5768),
  [7911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9171),
  [7913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5656),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [7917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [7919] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declarator, 1),
  [7921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4765),
  [7923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [7925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6638),
  [7927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5704),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5703),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5699),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5580),
  [7935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 1, .production_id = 24), SHIFT(5977),
  [7938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5411),
  [7940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [7942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2919),
  [7944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_qualified_type_identifier, 2, .production_id = 35), SHIFT(524),
  [7947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [7949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [7951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6617),
  [7953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5692),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5693),
  [7957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5697),
  [7959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5609),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6524),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [7967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [7969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4039),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9294),
  [7973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8985),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [7979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [7981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [7983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 1),
  [7985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1724),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [7989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1722),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [7995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1716),
  [7997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [7999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1710),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [8003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1706),
  [8005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1701),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [8011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1720),
  [8013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1717),
  [8015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1715),
  [8017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1708),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [8021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [8023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 1, .production_id = 56),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4588),
  [8027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [8029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [8031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 3, .production_id = 136),
  [8033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 3, .production_id = 136),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [8037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [8039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4438),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6547),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1576),
  [8047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4891),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1568),
  [8053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1567),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1567),
  [8057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1564),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1561),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [8069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1558),
  [8071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1470),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1561),
  [8085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1577),
  [8087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_call_modifier, 1),
  [8089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_call_modifier, 1),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1528),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [8097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1573),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [8101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1571),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [8105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1569),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [8111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1574),
  [8113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1572),
  [8115] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [8117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 20),
  [8119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1947),
  [8121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [8123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [8125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5957),
  [8127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [8129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [8131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8717),
  [8133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [8135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1575),
  [8137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2592),
  [8139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 1, .production_id = 2),
  [8141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [8143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [8145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5959),
  [8147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4892),
  [8149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [8151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [8153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5965),
  [8155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5965),
  [8157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [8159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [8161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [8163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6031),
  [8165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [8167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5983),
  [8169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [8171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1657),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [8175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1655),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1654),
  [8179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [8181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1652),
  [8183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [8185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1650),
  [8187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1648),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [8197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [8199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1650),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [8203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [8207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5968),
  [8209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [8211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1086),
  [8213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5729),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [8219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(2238),
  [8222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(4039),
  [8225] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9315),
  [8228] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(8077),
  [8231] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9294),
  [8234] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(3393),
  [8237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_specifiers_repeat1, 2), SHIFT_REPEAT(9256),
  [8240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [8242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [8244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4231),
  [8246] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 1),
  [8248] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 1),
  [8250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [8252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [8254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1388),
  [8256] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1685),
  [8258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1686),
  [8260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1686),
  [8262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1687),
  [8264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1688),
  [8266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1689),
  [8268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [8270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1698),
  [8272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [8274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1700),
  [8276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [8278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [8280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [8282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [8284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [8286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1689),
  [8288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [8290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [8292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [8294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1762),
  [8296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [8298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1744),
  [8300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1742),
  [8302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [8304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1738),
  [8306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [8308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1736),
  [8310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1732),
  [8312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1729),
  [8314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [8316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1727),
  [8318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [8320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [8322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [8324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [8326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5295),
  [8332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7235),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [8340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6436),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4446),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3423),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [8356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [8358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [8360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [8362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6036),
  [8364] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [8366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [8368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [8370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6032),
  [8372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [8374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1590),
  [8376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3011),
  [8378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4630),
  [8380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [8382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3577),
  [8384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [8386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [8388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [8390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [8392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5989),
  [8394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5988),
  [8396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_comma_expression, 3, .production_id = 83),
  [8398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(4822),
  [8401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [8403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 3, .production_id = 112),
  [8405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 4, .production_id = 176),
  [8407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT(1468),
  [8410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2),
  [8412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1954),
  [8414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4195),
  [8416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [8418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [8420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2802),
  [8422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [8424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [8426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [8428] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bitfield_clause, 2),
  [8430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1958),
  [8432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [8434] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 1),
  [8436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [8438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 1),
  [8440] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 4, .production_id = 169),
  [8442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7015),
  [8444] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_function_specifier, 4),
  [8446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_function_specifier, 4),
  [8448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [8450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [8452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6875),
  [8454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4933),
  [8456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [8458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6401),
  [8460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [8462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [8464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 134), SHIFT(1468),
  [8467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 134),
  [8469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [8471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [8473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [8475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [8477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2842),
  [8479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [8481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5240),
  [8483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4855),
  [8485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5236),
  [8487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [8489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [8491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1242),
  [8493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [8495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [8497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2825),
  [8499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [8501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [8503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [8505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2778),
  [8507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2762),
  [8509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [8511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [8513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [8515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [8517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [8519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5342),
  [8521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [8523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3040),
  [8525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3744),
  [8527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [8529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1239),
  [8531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [8533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3056),
  [8535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1237),
  [8537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4191),
  [8539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [8541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [8543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7177),
  [8545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [8547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3041),
  [8549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [8551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5916),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5917),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2431),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6670),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9380),
  [8567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5340),
  [8569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [8571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(488),
  [8573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_initializer_pair, 3, .production_id = 135),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [8577] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 20),
  [8579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3342),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6505),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [8585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3340),
  [8587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3341),
  [8589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 2),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1389),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6807),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [8601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6803),
  [8603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6776),
  [8605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 5, .production_id = 193),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [8609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [8611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8645),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [8615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 3, .production_id = 155),
  [8617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 145),
  [8619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [8623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [8627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3584),
  [8629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3606),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1371),
  [8633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 1),
  [8635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2),
  [8637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 3, .production_id = 144),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8844),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [8647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [8649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [8653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 3),
  [8655] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6625),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8614),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3063),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [8669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3740),
  [8671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [8675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3738),
  [8677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3739),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [8685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_parameter_declaration, 4, .production_id = 187),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6074),
  [8693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6074),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [8697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 177),
  [8699] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 178),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6643),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [8705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_statement_body, 4, .production_id = 180),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [8713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 4),
  [8715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [8725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1904),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [8729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1854),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1905),
  [8733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [8735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [8739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1911),
  [8741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1913),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1892),
  [8745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [8747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [8751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [8757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [8763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1890),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3562),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(398),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [8773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1628),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [8783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [8791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [8793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [8795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [8797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3639),
  [8799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [8801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [8803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [8805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [8815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2969),
  [8817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [8823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [8825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [8827] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2238),
  [8830] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(2238),
  [8833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(831),
  [8835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [8839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [8843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7970),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4867),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2545),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(436),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [8863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3603),
  [8865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [8867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [8869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [8871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2517),
  [8873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4505),
  [8875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4509),
  [8877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [8879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [8881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binary_fold, 3, .production_id = 84),
  [8883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1885),
  [8885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [8887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [8889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6208),
  [8891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [8893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [8895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [8897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [8899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [8901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1896),
  [8903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [8905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [8907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [8909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [8911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [8913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_left_fold, 3, .production_id = 54),
  [8915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [8917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [8919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [8921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [8923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [8925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__assignment_expression_lhs, 3, .production_id = 54),
  [8927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2402),
  [8929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [8931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [8933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [8935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [8937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [8939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [8941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [8943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [8945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6359),
  [8947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [8949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [8951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2625),
  [8953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [8955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [8957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [8959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [8961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [8963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4493),
  [8965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [8967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [8969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT_REPEAT(5252),
  [8972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [8974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [8976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [8978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [8980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [8982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [8984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [8986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5375),
  [8988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5263),
  [8990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5376),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 5, .production_id = 194),
  [8994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__for_range_loop_body, 4, .production_id = 179),
  [8996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6016),
  [9000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24),
  [9004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24),
  [9006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(6666),
  [9009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(5985),
  [9012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [9014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2),
  [9016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9315),
  [9019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [9021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [9023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6256),
  [9025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_start, 2),
  [9027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_start, 2),
  [9029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [9031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [9033] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(9044),
  [9036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(8358),
  [9039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(6388),
  [9042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(5992),
  [9045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5511),
  [9047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6374),
  [9049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6374),
  [9051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [9053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [9055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6507),
  [9057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [9059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [9061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [9063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [9065] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5432),
  [9068] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5432),
  [9071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [9073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [9075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [9077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [9079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6389),
  [9081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6070),
  [9083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6070),
  [9085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(8072),
  [9088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(7206),
  [9091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(6017),
  [9094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [9096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [9098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [9100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4010),
  [9102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [9104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_declaration, 1),
  [9106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [9108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2), SHIFT_REPEAT(9044),
  [9111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24),
  [9113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24),
  [9115] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(5991),
  [9118] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(6666),
  [9121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(5985),
  [9124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4169),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [9130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6540),
  [9132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(5979),
  [9135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2341),
  [9137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [9139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [9141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2526),
  [9143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6699),
  [9145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [9147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [9149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [9151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2468),
  [9153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9075),
  [9155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5603),
  [9157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3730),
  [9159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [9161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3731),
  [9163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4176),
  [9165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6669),
  [9167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5690),
  [9169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5802),
  [9171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5685),
  [9173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4526),
  [9175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9184),
  [9177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5669),
  [9179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [9181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7066),
  [9183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2702),
  [9185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2933),
  [9187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6651),
  [9189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [9191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5806),
  [9193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5682),
  [9195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [9197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9048),
  [9199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5582),
  [9201] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(9044),
  [9204] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(8358),
  [9207] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(6388),
  [9210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(5992),
  [9213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [9215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [9217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2912),
  [9219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [9221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6618),
  [9223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5741),
  [9225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5739),
  [9227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5733),
  [9229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3837),
  [9231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9117),
  [9233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5678),
  [9235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3787),
  [9237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [9239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6687),
  [9241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5834),
  [9243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5833),
  [9245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5832),
  [9247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5608),
  [9249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2867),
  [9251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [9253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2760),
  [9255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [9257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6627),
  [9259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5707),
  [9261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5706),
  [9263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5705),
  [9265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3564),
  [9267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9154),
  [9269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5602),
  [9271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [9273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [9275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2508),
  [9277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6675),
  [9279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5646),
  [9281] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(5980),
  [9284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4390),
  [9286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [9288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6644),
  [9290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5755),
  [9292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5754),
  [9294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5753),
  [9296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5647),
  [9298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_parameter_list, 2), REDUCE(sym_argument_list, 2),
  [9301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [9303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7058),
  [9305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2518),
  [9307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [9309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6705),
  [9311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5713),
  [9313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5714),
  [9315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5715),
  [9317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [9319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9198),
  [9321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5634),
  [9323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4162),
  [9325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [9327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4155),
  [9329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4342),
  [9331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6694),
  [9333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5700),
  [9335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5701),
  [9337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5702),
  [9339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4640),
  [9341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9192),
  [9343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5641),
  [9345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [9347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2),
  [9349] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5727),
  [9352] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5708),
  [9355] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(8072),
  [9358] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(7206),
  [9361] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(6017),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5553),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [9370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6420),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [9374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5846),
  [9376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6631),
  [9378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6631),
  [9380] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(5991),
  [9383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 2, .production_id = 24), SHIFT(5977),
  [9386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5377),
  [9389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(5377),
  [9392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type_specifier, 1), SHIFT(1254),
  [9395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(5979),
  [9398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4367),
  [9400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2906),
  [9402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5276),
  [9404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4035),
  [9406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4175),
  [9408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5549),
  [9410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4763),
  [9412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4240),
  [9414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2918),
  [9416] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [9418] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_unaligned_ptr_modifier, 1),
  [9420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2725),
  [9422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4088),
  [9424] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ms_pointer_modifier, 1),
  [9426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_pointer_modifier, 1),
  [9428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [9430] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(5980),
  [9433] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5916),
  [9436] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_pointer_declarator_repeat1, 2), SHIFT_REPEAT(5917),
  [9439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4483),
  [9441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6515),
  [9443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5390),
  [9445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5385),
  [9447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7064),
  [9449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [9451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [9453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [9455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24),
  [9457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24),
  [9459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(6666),
  [9462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(5985),
  [9465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8072),
  [9468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 3, .production_id = 24), SHIFT(5977),
  [9471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(9044),
  [9474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(8358),
  [9477] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(6388),
  [9480] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(5992),
  [9483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5904),
  [9485] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2), REDUCE(aux_sym_sized_type_specifier_repeat1, 2), SHIFT(2941),
  [9489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(5919),
  [9492] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(5886),
  [9495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 1), SHIFT(5918),
  [9498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .dynamic_precedence = -1, .production_id = 36), SHIFT(2941),
  [9501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 3, .production_id = 20), SHIFT(2941),
  [9504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 2), SHIFT(2941),
  [9507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 20),
  [9509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 20),
  [9511] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(8072),
  [9514] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(7206),
  [9517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(6017),
  [9520] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 18), SHIFT(2941),
  [9523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 1, .production_id = 2),
  [9527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .production_id = 20), SHIFT(5896),
  [9530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_sized_type_specifier, 2, .dynamic_precedence = -1, .production_id = 36), SHIFT(5894),
  [9533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [9535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1192),
  [9537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3774),
  [9539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7589),
  [9541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(5979),
  [9544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [9548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5287),
  [9550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7629),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [9556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3514),
  [9558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7490),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [9566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7354),
  [9568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [9570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7406),
  [9576] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(5991),
  [9579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [9581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1220),
  [9583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4086),
  [9585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7413),
  [9587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4735),
  [9589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [9591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [9593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4200),
  [9595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7535),
  [9597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [9599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [9601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4815),
  [9603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7577),
  [9605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(5980),
  [9608] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type_specifier, 1), SHIFT(5897),
  [9611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 2, .production_id = 2),
  [9615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_definition_type, 3, .production_id = 20),
  [9617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_type, 3, .production_id = 20),
  [9619] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6070),
  [9622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__type_definition_type_repeat1, 2), SHIFT_REPEAT(6070),
  [9625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1257),
  [9627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6499),
  [9629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7578),
  [9631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [9633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [9635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7402),
  [9637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [9639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7070),
  [9641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [9643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [9645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5976),
  [9647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7790),
  [9649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [9651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [9653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6977),
  [9655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7597),
  [9657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6667),
  [9659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1272),
  [9661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6885),
  [9663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [9665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [9667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [9669] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1092),
  [9671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1305),
  [9673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [9675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [9677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__preproc_expression, 1),
  [9679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [9681] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__preproc_expression, 1),
  [9683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4723),
  [9685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [9687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3942),
  [9689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6492),
  [9691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4785),
  [9693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [9695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [9697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4912),
  [9699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4897),
  [9701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1260),
  [9703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [9705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6461),
  [9707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7035),
  [9709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6727),
  [9711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6286),
  [9713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6530),
  [9715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 4, .production_id = 24), SHIFT(5977),
  [9718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 2),
  [9720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 2),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4675),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7940),
  [9726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3444),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [9736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 1),
  [9738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 1),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4694),
  [9742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [9744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2848),
  [9746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2671),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [9754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3967),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [9758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4274),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4286),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6299),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3943),
  [9766] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6311),
  [9768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6971),
  [9770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5306),
  [9772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6255),
  [9774] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6690),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8317),
  [9784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2457),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [9788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6743),
  [9790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7059),
  [9792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6284),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [9796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3992),
  [9798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [9800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2694),
  [9802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [9804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4103),
  [9806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4760),
  [9808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7798),
  [9810] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7075),
  [9812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7670),
  [9814] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5982),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9275),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [9820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8366),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [9824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [9826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6077),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [9838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6206),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [9842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [9844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6185),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6184),
  [9848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6180),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [9852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6158),
  [9854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [9858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6097),
  [9860] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6102),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6163),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6107),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6302),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6230),
  [9874] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ref_qualifier, 1),
  [9876] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ref_qualifier, 1),
  [9878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6096),
  [9880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [9882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8219),
  [9884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [9886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6198),
  [9888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6264),
  [9890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [9892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [9894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_binary_expression, 3, .production_id = 54),
  [9896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6290),
  [9898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5676),
  [9900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [9902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 1, .production_id = 23),
  [9904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [9906] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [9908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1375),
  [9910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [9912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [9914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [9916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [9918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [9920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7872),
  [9922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3269),
  [9924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3376),
  [9926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9006),
  [9928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6157),
  [9930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7886),
  [9932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3355),
  [9934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6166),
  [9936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [9938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9226),
  [9940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [9942] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7916),
  [9944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3363),
  [9946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6270),
  [9948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [9950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 2),
  [9952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 2),
  [9954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6326),
  [9956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [9958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [9960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8402),
  [9962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2372),
  [9964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6275),
  [9966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [9968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [9970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [9972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8017),
  [9974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [9976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [9978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [9980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3244),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8977),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [9986] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7701),
  [9988] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3314),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [9996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2434),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [10000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7927),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6277),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6176),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6356),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6168),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [10020] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [10024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6200),
  [10028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 4),
  [10030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 4),
  [10032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 4),
  [10034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 4),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [10038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3398),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [10042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8004),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [10052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2064),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [10056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7715),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6339),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [10070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3188),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [10074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7893),
  [10076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3298),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [10084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6276),
  [10086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 7),
  [10088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_call_expression, 2, .production_id = 7),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8099),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [10094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4658),
  [10096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7834),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [10104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6224),
  [10110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8041),
  [10112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3349),
  [10114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2045),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [10118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7691),
  [10120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [10122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10124] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_unary_expression, 2, .production_id = 4),
  [10126] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_argument_list, 3),
  [10128] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_argument_list, 3),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6283),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [10138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [10140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [10142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8031),
  [10144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_defined, 2),
  [10146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_defined, 2),
  [10148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_parenthesized_expression, 3),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [10154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [10160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6183),
  [10162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [10164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6190),
  [10166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6211),
  [10168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6239),
  [10170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6234),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6202),
  [10174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6219),
  [10176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6228),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6233),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [10184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7121),
  [10186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7983),
  [10188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 5),
  [10190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 5),
  [10192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6528),
  [10194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7656),
  [10196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6263),
  [10198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [10200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [10202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7310),
  [10204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24),
  [10206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24),
  [10208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(6388),
  [10211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(5992),
  [10214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 1),
  [10216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [10218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 1),
  [10220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [10222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [10224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7124),
  [10226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [10228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24),
  [10230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24),
  [10232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(6388),
  [10235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(5992),
  [10238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [10240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6022),
  [10242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6025),
  [10244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7615),
  [10246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [10248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7776),
  [10250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [10252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [10254] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 3),
  [10256] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 3),
  [10258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [10260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [10262] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_postfix, 1),
  [10264] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_postfix, 1),
  [10266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(6017),
  [10269] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 3),
  [10271] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 3),
  [10273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [10275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [10277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6938),
  [10279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [10281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [10283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(6017),
  [10286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_attributes_end, 3),
  [10288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_attributes_end, 3),
  [10290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_noexcept, 4),
  [10292] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_noexcept, 4),
  [10294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__function_postfix_repeat1, 2),
  [10298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6388),
  [10301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_specifier, 4),
  [10303] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_specifier, 4),
  [10305] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(6666),
  [10308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(5985),
  [10311] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8358),
  [10314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [10316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [10318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6024),
  [10320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 167),
  [10322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 167),
  [10324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [10326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_virtual_specifier, 1),
  [10328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_virtual_specifier, 1),
  [10330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 165),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 5, .production_id = 165),
  [10336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [10338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [10340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_trailing_return_type, 2),
  [10342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_trailing_return_type, 2),
  [10344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [10346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [10348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [10350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [10352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [10354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 24),
  [10356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__function_declarator_seq, 7, .production_id = 24),
  [10358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 116),
  [10360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 116),
  [10362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 23),
  [10364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 4, .production_id = 23),
  [10366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 23),
  [10368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 23),
  [10370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3),
  [10372] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3),
  [10374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [10376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 121),
  [10378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 3, .production_id = 121),
  [10380] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10382] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 1, .production_id = 33),
  [10384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [10386] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_declarator, 1),
  [10388] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__abstract_declarator, 1),
  [10390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [10392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_parenthesized_declarator, 3),
  [10396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 25),
  [10398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_function_declarator, 2, .production_id = 25),
  [10400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_array_declarator, 2),
  [10402] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_abstract_array_declarator, 2),
  [10404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__function_postfix_repeat1, 2), SHIFT_REPEAT(6666),
  [10407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6513),
  [10409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [10411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [10413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4961),
  [10415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5355),
  [10417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [10419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5993),
  [10421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2241),
  [10423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2445),
  [10425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3546),
  [10427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4122),
  [10429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2924),
  [10431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [10433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [10435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2532),
  [10437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [10439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [10441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4761),
  [10443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5274),
  [10445] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(6666),
  [10448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(5985),
  [10451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6521),
  [10453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5321),
  [10455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4104),
  [10457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4259),
  [10459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3480),
  [10461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [10463] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(6521),
  [10466] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(7509),
  [10469] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_concatenated_string_repeat1, 2), SHIFT_REPEAT(8061),
  [10472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2472),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [10476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4322),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [10480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6561),
  [10482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5746),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5903),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4102),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5368),
  [10496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2928),
  [10500] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 5),
  [10502] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(5979),
  [10505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [10507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [10509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 4, .production_id = 129),
  [10511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1100),
  [10513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 62),
  [10517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [10519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 3, .production_id = 82),
  [10521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_reference_declarator, 2),
  [10523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_abstract_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_descriptor, 2, .production_id = 39),
  [10527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2755),
  [10529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [10531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [10533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [10535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [10537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [10539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [10541] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attributed_declarator_repeat1, 2), SHIFT_REPEAT(8077),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2775),
  [10548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(5991),
  [10551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [10553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5324),
  [10555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [10557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4278),
  [10559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [10561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 5),
  [10563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [10565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [10567] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(8867),
  [10572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__class_declaration_repeat1, 2),
  [10574] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__class_declaration_repeat1, 2), SHIFT_REPEAT(8876),
  [10577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [10579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [10581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6855),
  [10583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6833),
  [10585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [10587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1098),
  [10589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_declarator, 2, .dynamic_precedence = 1),
  [10591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_declarator, 2),
  [10593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_declarator, 2),
  [10595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6906),
  [10599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(5991),
  [10602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6841),
  [10604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_reference_field_declarator, 2, .dynamic_precedence = 1),
  [10606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6870),
  [10610] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [10612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 2, .dynamic_precedence = 1, .production_id = 5),
  [10614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6835),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6862),
  [10618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6832),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6895),
  [10622] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(5979),
  [10625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [10627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6030),
  [10629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6837),
  [10631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6880),
  [10633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6845),
  [10635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6889),
  [10637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6902),
  [10639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 5, .dynamic_precedence = 1, .production_id = 164),
  [10641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [10643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6866),
  [10645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6849),
  [10647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6876),
  [10649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [10651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [10653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [10655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6179),
  [10657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [10659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6874),
  [10661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_field_declarator, 4, .dynamic_precedence = 1, .production_id = 86),
  [10663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6900),
  [10665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6901),
  [10667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6023),
  [10669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6018),
  [10671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_declarator, 3, .dynamic_precedence = 1, .production_id = 41),
  [10673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6861),
  [10675] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(5980),
  [10678] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 3, .production_id = 23),
  [10680] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 3, .production_id = 23),
  [10682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [10684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [10686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [10688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7388),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8779),
  [10692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [10696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [10698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [10700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10702] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 4, .dynamic_precedence = -1),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [10706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7149),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7427),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [10718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [10720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [10722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [10724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 25),
  [10726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declarator, 2, .dynamic_precedence = 1, .production_id = 25),
  [10728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [10730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [10732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [10734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [10736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [10738] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 5, .production_id = 165),
  [10740] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 5, .production_id = 165),
  [10742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 5, .production_id = 24), SHIFT(5977),
  [10745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2394),
  [10747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [10749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8260),
  [10751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [10753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8920),
  [10755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8747),
  [10757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [10759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [10761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [10763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10765] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_declarator, 3, .dynamic_precedence = -10),
  [10767] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 116),
  [10769] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 116),
  [10771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2527),
  [10773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [10775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8426),
  [10777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [10779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7318),
  [10781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7307),
  [10783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [10785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [10787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [10789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [10791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [10793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [10795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7546),
  [10797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structured_binding_declarator, 3, .dynamic_precedence = -1),
  [10801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [10803] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_declarator, 4, .production_id = 23),
  [10805] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_declarator, 4, .production_id = 23),
  [10807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [10809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [10811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [10813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [10815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [10817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [10819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9012),
  [10821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attributed_field_declarator, 2),
  [10823] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attributed_field_declarator, 2),
  [10825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5986),
  [10827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1, .production_id = 100),
  [10829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [10831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1, .production_id = 100),
  [10833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__field_declarator, 1),
  [10835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__field_declarator, 1),
  [10837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [10839] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(5980),
  [10842] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 3, .production_id = 23),
  [10844] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 3, .production_id = 23),
  [10846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [10848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [10850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7396),
  [10852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6205),
  [10854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6174),
  [10856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8989),
  [10858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [10860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [10862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [10864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_field_declarator, 3, .dynamic_precedence = -10),
  [10866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [10868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7120),
  [10872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7065),
  [10874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [10876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 25),
  [10878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_field_declarator, 2, .dynamic_precedence = 1, .production_id = 25),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8998),
  [10882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [10884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6151),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [10888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [10890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [10892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7085),
  [10896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7081),
  [10898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 3, .production_id = 80),
  [10900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7088),
  [10902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7077),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2983),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3005),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3671),
  [10914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7118),
  [10916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7072),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [10920] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [10922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7069),
  [10924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 116),
  [10926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 116),
  [10928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 4, .production_id = 23),
  [10930] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 4, .production_id = 23),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7087),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7052),
  [10936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4604),
  [10938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__function_declarator_seq, 6, .production_id = 24), SHIFT(5977),
  [10941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4626),
  [10943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_field_declarator, 5, .production_id = 165),
  [10945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_field_declarator, 5, .production_id = 165),
  [10947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6012),
  [10949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [10951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [10953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7130),
  [10955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7039),
  [10957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [10959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6015),
  [10961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7139),
  [10963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7079),
  [10965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7086),
  [10967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7060),
  [10969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [10971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [10973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [10975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4417),
  [10977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [10979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5666),
  [10981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [10983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2454),
  [10985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [10987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7046),
  [10989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 1),
  [10991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 1),
  [10993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1902),
  [10995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5476),
  [10997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1784),
  [10999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5498),
  [11001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [11003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 1, .production_id = 23),
  [11005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1847),
  [11007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5443),
  [11009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [11011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5484),
  [11013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [11015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 2, .production_id = 108),
  [11017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1643),
  [11019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1901),
  [11021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5499),
  [11023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [11025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5474),
  [11027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 1),
  [11029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8924),
  [11031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1602),
  [11033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5459),
  [11035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1889),
  [11037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5487),
  [11039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1601),
  [11041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1533),
  [11043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1718),
  [11045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5488),
  [11047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1792),
  [11049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5467),
  [11051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 1),
  [11053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9039),
  [11055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [11057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1883),
  [11059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [11061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1580),
  [11063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5483),
  [11065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4770),
  [11067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8396),
  [11069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6425),
  [11071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8420),
  [11073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [11075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5555),
  [11077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8367),
  [11079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7749),
  [11081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7517),
  [11083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [11085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7528),
  [11087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5402),
  [11089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8177),
  [11091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7949),
  [11093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [11095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4355),
  [11097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8097),
  [11099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4085),
  [11101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8313),
  [11103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2943),
  [11105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8259),
  [11107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7869),
  [11109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [11111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3714),
  [11113] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8672),
  [11116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7595),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7696),
  [11120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8631),
  [11122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [11124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8198),
  [11126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [11128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8381),
  [11130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7585),
  [11132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [11134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8351),
  [11136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(7903),
  [11139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(6170),
  [11142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2), SHIFT_REPEAT(8883),
  [11145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [11149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8187),
  [11151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [11153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8140),
  [11155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [11157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6006),
  [11159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7356),
  [11161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7854),
  [11163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8955),
  [11165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7619),
  [11167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [11169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8193),
  [11171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4271),
  [11173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8337),
  [11175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7341),
  [11177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7465),
  [11179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4480),
  [11181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4042),
  [11183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8407),
  [11185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7456),
  [11187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5273),
  [11189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8278),
  [11191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7524),
  [11193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5400),
  [11195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7617),
  [11197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 5),
  [11199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 3),
  [11203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_designator, 3),
  [11205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2453),
  [11207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8107),
  [11209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [11211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [11213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [11215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [11217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [11219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [11221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [11223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [11225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 15),
  [11227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 15),
  [11229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [11231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [11233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2834),
  [11235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7448),
  [11237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [11239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [11241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7336),
  [11243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [11245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 3, .production_id = 80),
  [11247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [11249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__scope_resolution, 2, .production_id = 31),
  [11253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4082),
  [11255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7553),
  [11257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [11259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [11261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [11263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [11265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [11267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2189),
  [11269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4447),
  [11271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(864),
  [11273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [11275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [11277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [11279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [11281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [11283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [11285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7500),
  [11287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 1),
  [11289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enumerator, 1, .production_id = 6),
  [11293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1637),
  [11295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [11297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [11299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4501),
  [11301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [11303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_operator_cast, 3, .production_id = 58),
  [11305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [11307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(899),
  [11309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9093),
  [11311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [11313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [11315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4507),
  [11317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2), SHIFT_REPEAT(7903),
  [11320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_repeat1, 2),
  [11324] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7127),
  [11327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2),
  [11331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 80),
  [11333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 80),
  [11335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [11337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [11339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8959),
  [11341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 5),
  [11345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [11349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 1),
  [11351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6806),
  [11353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [11355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7575),
  [11357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [11359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9286),
  [11361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7643),
  [11363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(1805),
  [11366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2),
  [11368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_pair_repeat1, 2), SHIFT_REPEAT(8959),
  [11371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 4),
  [11375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7725),
  [11377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7724),
  [11379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7737),
  [11381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [11383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2419),
  [11385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7950),
  [11387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7616),
  [11389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7361),
  [11391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7418),
  [11393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7348),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [11397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_capture_specifier, 6),
  [11401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [11403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [11407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1639),
  [11409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6668),
  [11411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [11417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [11421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [11427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [11429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6715),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2315),
  [11433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [11435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [11437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [11439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [11441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6718),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6645),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [11451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [11453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [11457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [11459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [11463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_if_in_enumerator_list_no_comma_repeat1, 2), SHIFT_REPEAT(7202),
  [11466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [11468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [11470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [11472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [11474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [11476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [11478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [11480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [11482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [11484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6704),
  [11486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2),
  [11488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_expression_repeat1, 2), SHIFT_REPEAT(7432),
  [11491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [11493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6686),
  [11495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [11497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1735),
  [11499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [11501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [11503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [11505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6629),
  [11507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2506),
  [11509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [11511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [11513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [11515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [11517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [11519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [11521] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 126),
  [11523] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 126),
  [11525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [11527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 10),
  [11529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 10),
  [11531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [11533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_enumerator_list_repeat1, 2),
  [11535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6465),
  [11537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 80),
  [11539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 4, .production_id = 80),
  [11541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [11543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 170),
  [11545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 6, .production_id = 170),
  [11547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 81),
  [11549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 4, .production_id = 81),
  [11551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8324),
  [11553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [11555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7822),
  [11557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2313),
  [11559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [11561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [11563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8267),
  [11565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2595),
  [11567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2549),
  [11569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2606),
  [11571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [11573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 4, .production_id = 186),
  [11575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8300),
  [11577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2556),
  [11579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [11581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 1, .production_id = 6),
  [11583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [11585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8065),
  [11587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [11589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8115),
  [11591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 80),
  [11593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_if_in_enumerator_list, 5, .production_id = 80),
  [11595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [11597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7252),
  [11599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2143),
  [11601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [11603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2293),
  [11605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [11607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2687),
  [11609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2684),
  [11611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_optional_type_parameter_declaration, 3, .production_id = 154),
  [11613] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 10),
  [11615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 3, .production_id = 10),
  [11617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2141),
  [11619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2296),
  [11621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2129),
  [11623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [11625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [11627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [11629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [11631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [11633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [11635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [11637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_access_specifier, 1),
  [11639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_access_specifier, 1),
  [11641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 1),
  [11643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [11645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [11647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [11649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 118),
  [11651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 127),
  [11653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_ifdef_in_enumerator_list, 5, .production_id = 127),
  [11655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [11657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [11659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [11661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2609),
  [11663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8362),
  [11665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 175), SHIFT_REPEAT(6460),
  [11668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 175),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2475),
  [11672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [11674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7453),
  [11676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [11678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [11680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7477),
  [11682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [11684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [11686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [11688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7330),
  [11690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [11692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2763),
  [11694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4019),
  [11696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4022),
  [11698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [11700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7334),
  [11702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8127),
  [11704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [11706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4166),
  [11708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [11710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4163),
  [11712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [11714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7339),
  [11716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [11718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [11720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [11722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 1, .production_id = 19),
  [11724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [11726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [11728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [11730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7347),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(322),
  [11734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 114), SHIFT_REPEAT(6535),
  [11737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_definition_declarators_repeat1, 2, .production_id = 114),
  [11739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [11741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [11743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [11745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [11747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [11749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(826),
  [11751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [11753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4204),
  [11755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [11757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7359),
  [11759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [11761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3055),
  [11765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [11767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [11769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2699),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7367),
  [11773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7367),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [11783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2902),
  [11785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [11787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7522),
  [11789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [11793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [11795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [11797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [11799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7404),
  [11801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2877),
  [11803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [11805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7374),
  [11807] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 207), SHIFT_REPEAT(7224),
  [11810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 207),
  [11812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2358),
  [11814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [11816] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8704),
  [11818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [11820] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 195), SHIFT_REPEAT(7132),
  [11823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 195),
  [11825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1134),
  [11829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4280),
  [11831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3088),
  [11833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1205),
  [11835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3857),
  [11837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [11839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4285),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7397),
  [11843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7397),
  [11845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3773),
  [11849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4713),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [11853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7286),
  [11855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [11857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [11859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [11861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2703),
  [11863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [11865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3675),
  [11867] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 2),
  [11869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_qualifier, 1),
  [11871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [11873] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 3, .production_id = 203),
  [11875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [11877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9132),
  [11879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [11881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 1),
  [11883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [11885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [11887] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 5),
  [11889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [11891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2803),
  [11893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4768),
  [11895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [11897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [11899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [11901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9220),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [11905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [11907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7441),
  [11909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8250),
  [11911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4185),
  [11913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7511),
  [11915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [11917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2643),
  [11919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3010),
  [11921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2708),
  [11923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [11925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7424),
  [11927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2464),
  [11929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2642),
  [11931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [11933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6192),
  [11935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2602),
  [11937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7547),
  [11939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7547),
  [11941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [11943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list, 2),
  [11945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [11947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [11953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8555),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4696),
  [11965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [11967] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2),
  [11969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7477),
  [11972] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_literal_repeat1, 2), SHIFT_REPEAT(7477),
  [11975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [11977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8478),
  [11979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4463),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4449),
  [11985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [11987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_else_in_enumerator_list_no_comma, 1),
  [11989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6812),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3633),
  [11993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7129),
  [11999] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 3, .production_id = 183),
  [12001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8255),
  [12003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3931),
  [12005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [12007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7414),
  [12009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [12011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 2, .production_id = 150),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [12015] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_operator_cast_identifier, 2, .production_id = 34),
  [12017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [12021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7590),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [12025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6787),
  [12027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7494),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7494),
  [12031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4272),
  [12033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [12035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [12037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7611),
  [12039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [12043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [12045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2362),
  [12047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9355),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [12051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7557),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [12055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 4),
  [12057] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2),
  [12059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_char_literal_repeat1, 2), SHIFT_REPEAT(7522),
  [12062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [12064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [12066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [12068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8487),
  [12070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [12072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [12074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [12076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [12078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [12080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8474),
  [12082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [12084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4499),
  [12086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4344),
  [12088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [12090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7569),
  [12092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4133),
  [12094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [12096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [12098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8500),
  [12100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [12102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [12104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8222),
  [12106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [12108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 3),
  [12110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6249),
  [12112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9411),
  [12114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand_list, 2, .production_id = 150),
  [12116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [12118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [12120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [12122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [12124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [12126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [12128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [12130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [12132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5061),
  [12134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4311),
  [12136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2339),
  [12138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_definition_declarators, 2, .production_id = 70),
  [12140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [12142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1203),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2516),
  [12148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2922),
  [12150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4674),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [12154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [12158] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5204),
  [12160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_clobber_list, 2, .production_id = 196),
  [12162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8316),
  [12164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand_list, 3, .production_id = 183),
  [12166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4405),
  [12170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [12172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 2),
  [12174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [12176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [12178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [12182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2910),
  [12184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7582),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7582),
  [12188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3039),
  [12190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8439),
  [12192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [12194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [12196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3206),
  [12198] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2335),
  [12200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1953),
  [12202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 195), SHIFT_REPEAT(7129),
  [12205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 195),
  [12207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [12209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [12211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [12213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(863),
  [12215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [12217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [12219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8441),
  [12221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [12223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [12225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [12227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [12229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [12231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [12233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, .production_id = 92),
  [12235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8236),
  [12237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [12239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [12241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 3),
  [12243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [12245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7027),
  [12247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [12249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [12251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [12253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [12255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_output_operand_list_repeat1, 2, .production_id = 150),
  [12257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6574),
  [12259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [12261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [12263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [12265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [12267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [12269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [12271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [12273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3453),
  [12275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 6),
  [12277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [12279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [12281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [12283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [12285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7415),
  [12287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2984),
  [12289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2), SHIFT_REPEAT(8224),
  [12292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_declaration_repeat1, 2),
  [12294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [12300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8150),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1949),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [12306] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2), SHIFT_REPEAT(8986),
  [12309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_structured_binding_declarator_repeat1, 2),
  [12311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2037),
  [12313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2720),
  [12315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7430),
  [12317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [12319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_lambda_capture_specifier_repeat1, 2), SHIFT_REPEAT(1554),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [12324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_designator, 2, .production_id = 95),
  [12326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [12328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [12330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [12332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [12334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [12336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [12338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3038),
  [12340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2692),
  [12342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [12344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [12346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6060),
  [12348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [12350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [12352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8243),
  [12354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [12356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [12358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8385),
  [12360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_declarator, 2),
  [12362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [12364] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2), SHIFT_REPEAT(4440),
  [12367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_throw_specifier_repeat1, 2),
  [12369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7610),
  [12371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [12373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 2),
  [12375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [12377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_reference_declarator, 2),
  [12379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [12381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [12383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [12385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [12387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8284),
  [12389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2), SHIFT_REPEAT(2000),
  [12392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_parameter_list_repeat1, 2),
  [12394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [12396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [12398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [12400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [12402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [12404] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 4),
  [12406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [12408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6510),
  [12410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3018),
  [12412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1923),
  [12414] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 2, .production_id = 70),
  [12416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2), SHIFT_REPEAT(2040),
  [12419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_requires_parameter_list_repeat1, 2),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7019),
  [12423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7020),
  [12425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [12427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [12429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_init_declarator, 2, .production_id = 69),
  [12431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_condition_declaration, 3, .production_id = 140),
  [12433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [12435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [12437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [12439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [12441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [12443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [12445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [12447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8344),
  [12449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4304),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3625),
  [12453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [12455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__namespace_specifier, 2, .production_id = 59),
  [12457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7161),
  [12459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [12461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [12463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [12465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [12467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [12469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [12471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [12473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(2037),
  [12476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [12478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [12480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2788),
  [12482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [12484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4906),
  [12486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4908),
  [12488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2783),
  [12490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [12492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2), SHIFT_REPEAT(6293),
  [12495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 2),
  [12497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3458),
  [12499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [12503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2), SHIFT_REPEAT(616),
  [12506] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2),
  [12508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [12510] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2), SHIFT_REPEAT(6796),
  [12513] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_initializer_list_repeat1, 2),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2780),
  [12517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [12519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [12521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [12523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3820),
  [12525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2971),
  [12527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 4, .production_id = 202),
  [12529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2998),
  [12531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [12533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2997),
  [12535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 2),
  [12537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [12541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 190),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [12545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8073),
  [12547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 5),
  [12549] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_subscript_argument_list_repeat1, 2), SHIFT_REPEAT(1388),
  [12552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [12554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [12556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [12558] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_argument_list_repeat1, 2), SHIFT_REPEAT(6223),
  [12561] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 2, .production_id = 68),
  [12563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [12565] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_base_class_clause, 7),
  [12567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8332),
  [12569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [12575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3303),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [12583] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2), SHIFT_REPEAT(8246),
  [12586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_preproc_params_repeat1, 2),
  [12588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7593),
  [12590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [12592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [12594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [12596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [12598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2768),
  [12600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2767),
  [12602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [12604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [12606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [12608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [12610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3009),
  [12612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [12614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [12616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(382),
  [12618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 4, .production_id = 202),
  [12620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2862),
  [12622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9333),
  [12624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 3, .production_id = 208),
  [12626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_input_operand_list_repeat1, 2, .production_id = 150),
  [12628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [12630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [12632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1127),
  [12634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [12636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [12638] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 2),
  [12640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [12642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [12644] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 3, .production_id = 5),
  [12646] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_subscript_range_designator, 5, .production_id = 189),
  [12648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [12650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2901),
  [12652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8256),
  [12654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2884),
  [12656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 2, .production_id = 108),
  [12658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 2, .production_id = 204),
  [12660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [12662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_nested_namespace_specifier, 3),
  [12664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [12666] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(1266),
  [12669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3704),
  [12671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [12673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [12675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [12677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7545),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5296),
  [12681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [12697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8244),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3735),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [12705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 3),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [12709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [12711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [12713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [12717] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2), SHIFT_REPEAT(4446),
  [12720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_generic_expression_repeat1, 2),
  [12722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [12724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [12726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7403),
  [12728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration_declarator, 3, .production_id = 113),
  [12730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3821),
  [12732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [12734] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 114), SHIFT_REPEAT(5676),
  [12737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 2, .production_id = 114),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [12741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [12743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2735),
  [12745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [12747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [12749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2745),
  [12751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8192),
  [12753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2, .production_id = 100),
  [12755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [12757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [12761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer_list, 3),
  [12763] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_clobber_list_repeat1, 2, .production_id = 196),
  [12765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 210), SHIFT_REPEAT(9333),
  [12768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 210),
  [12770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8190),
  [12772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 2),
  [12774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [12776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_output_operand, 7, .production_id = 211),
  [12778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [12780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [12782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [12784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [12786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [12788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [12790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [12792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3069),
  [12794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [12796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2101),
  [12798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2105),
  [12800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [12802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [12804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [12806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2774),
  [12808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7568),
  [12810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [12812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [12814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5288),
  [12816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [12818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3054),
  [12820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3053),
  [12822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3052),
  [12824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3051),
  [12826] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_input_operand, 7, .production_id = 211),
  [12828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4012),
  [12830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8973),
  [12832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7556),
  [12834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [12836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [12838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2165),
  [12840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [12842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8046),
  [12844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [12846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [12848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [12850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4107),
  [12852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [12854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [12856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [12858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5344),
  [12860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [12862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5346),
  [12864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5347),
  [12866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [12868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [12870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7583),
  [12872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [12874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [12876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [12878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [12880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [12882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [12884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [12886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [12888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [12890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [12892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [12894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [12896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7495),
  [12898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [12900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [12902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [12904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [12906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [12908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4247),
  [12910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_initializer_list_repeat1, 2), SHIFT_REPEAT(1245),
  [12913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7442),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [12917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7399),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [12921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4316),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2108),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2765),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2766),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2769),
  [12945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2772),
  [12947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7375),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [12951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [12961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8877),
  [12963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9213),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9409),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9211),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9408),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9407),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9406),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9405),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9404),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9403),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [12993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9402),
  [12997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9186),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9161),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9397),
  [13013] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_gnu_asm_goto_list_repeat1, 2, .production_id = 204),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9143),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [13021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1366),
  [13023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9125),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9391),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [13033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_base_class_clause_repeat1, 6),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9084),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9385),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9060),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9382),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3173),
  [13051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [13053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9244),
  [13055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9366),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [13073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9364),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [13077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_gnu_asm_goto_list, 1),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8900),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9379),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8537),
  [13093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [13095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9267),
  [13097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [13099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [13101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [13103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [13105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2972),
  [13107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 2),
  [13109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 2),
  [13111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [13113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [13115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [13117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8974),
  [13119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 4),
  [13121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 4),
  [13123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [13125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3),
  [13127] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_initializer, 3, .production_id = 100),
  [13129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [13131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [13133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8990),
  [13135] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__declaration_declarator_repeat1, 3, .production_id = 163),
  [13137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [13139] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_template_parameter_declaration, 3, .production_id = 57),
  [13141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_type_parameter_declaration, 3, .production_id = 153),
  [13143] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_template_argument_list_repeat1, 2, .dynamic_precedence = 2),
  [13145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [13147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8885),
  [13149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [13151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8962),
  [13153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6258),
  [13155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [13157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [13159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 2, .production_id = 6),
  [13161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, .production_id = 92),
  [13163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_params, 3),
  [13165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_preproc_params, 3),
  [13167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8462),
  [13169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [13171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8204),
  [13173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [13175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8764),
  [13177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_field_identifier, 2, .production_id = 34),
  [13179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [13181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [13183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [13185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4585),
  [13187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [13189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [13191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8897),
  [13193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [13195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [13197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [13199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [13201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9079),
  [13203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [13205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [13207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8600),
  [13209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [13211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8647),
  [13213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_pack_expansion, 2, .production_id = 28),
  [13215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [13217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [13219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9246),
  [13221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9416),
  [13223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8423),
  [13225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [13227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8567),
  [13229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4498),
  [13231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [13233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2258),
  [13235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [13237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8538),
  [13239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [13241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [13243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [13245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [13247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8586),
  [13249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8590),
  [13251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8178),
  [13253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [13255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8213),
  [13257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [13259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8451),
  [13261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [13263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [13265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [13267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9104),
  [13269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [13271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8563),
  [13273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [13275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [13277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3690),
  [13279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2510),
  [13281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8633),
  [13283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5597),
  [13285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2292),
  [13287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [13289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [13291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [13293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2528),
  [13295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [13297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [13299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [13301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [13303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4160),
  [13305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [13307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8982),
  [13309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [13311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [13313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [13315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [13317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [13319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8911),
  [13321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [13323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [13325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [13327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [13329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [13331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [13333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [13335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9374),
  [13337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [13339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [13341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [13343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [13345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [13347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [13349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [13351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [13353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3539),
  [13355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [13357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [13359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2504),
  [13361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6748),
  [13363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2272),
  [13365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [13367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [13369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [13371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [13373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [13375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3420),
  [13377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [13379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [13381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8508),
  [13383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [13385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [13387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [13389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [13391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [13393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [13395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1368),
  [13397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9036),
  [13399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [13401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [13403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [13405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [13407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [13409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [13411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [13413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [13415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [13417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [13419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [13421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(987),
  [13423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [13425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [13427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [13429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [13431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [13433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [13435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [13437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [13439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5765),
  [13441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [13443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [13445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [13447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [13449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [13451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [13453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [13455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [13457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3900),
  [13459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [13461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [13463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3898),
  [13465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [13467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [13469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [13471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [13473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [13475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [13477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [13479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [13481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [13483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [13485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [13487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [13489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [13491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [13493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [13495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4954),
  [13497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4896),
  [13499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7436),
  [13503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [13505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [13507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [13509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [13511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [13513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [13515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4557),
  [13517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [13519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ms_based_modifier, 2),
  [13521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [13523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4900),
  [13525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8902),
  [13527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2552),
  [13529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [13531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [13533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [13535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [13537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [13539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2373),
  [13541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8592),
  [13543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2122),
  [13545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2361),
  [13547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [13549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [13551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [13553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2391),
  [13555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [13557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [13559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(934),
  [13561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9252),
  [13563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3884),
  [13565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [13567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [13569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [13571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [13573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [13575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [13577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [13579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9304),
  [13581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [13583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2639),
  [13585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [13587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9392),
  [13589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [13591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [13593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8664),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9398),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4312),
  [13605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [13609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [13611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [13613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [13615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [13617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [13619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [13621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [13623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [13625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [13627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [13629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [13631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [13633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3581),
  [13635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [13637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unary_right_fold, 3, .production_id = 54),
  [13639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [13641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [13643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3523),
  [13645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3580),
  [13647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [13649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9077),
  [13651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [13653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [13655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [13657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9037),
  [13659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [13661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [13663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [13665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [13667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [13669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [13671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [13673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [13675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2352),
  [13677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [13679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [13681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [13683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [13685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [13687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2779),
  [13689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [13691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 3),
  [13693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [13695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3826),
  [13697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2287),
  [13699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4659),
  [13701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [13703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [13705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [13707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [13709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2191),
  [13711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2135),
  [13713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [13715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [13717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2329),
  [13719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [13721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2131),
  [13723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2366),
  [13725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [13727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2119),
  [13729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [13731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2117),
  [13737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [13739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8819),
  [13741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [13743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [13745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [13747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [13749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [13751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2753),
  [13753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [13755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [13757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [13759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [13761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [13763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [13765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2975),
  [13767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [13769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [13771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [13773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [13775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6289),
  [13777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1379),
  [13779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [13781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [13783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [13785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [13787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [13789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2097),
  [13791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [13793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [13795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [13797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [13799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3791),
  [13801] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__fold_operator, 1), SHIFT(8670),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [13806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [13808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [13810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [13812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8605),
  [13814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 2),
  [13816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7549),
  [13818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [13820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [13822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5313),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2710),
  [13828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [13830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [13832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [13834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [13836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [13838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [13840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 3, .production_id = 81),
  [13842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7262),
  [13844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [13846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8490),
  [13848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [13850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [13852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [13854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [13856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2580),
  [13858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4290),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2577),
  [13868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [13870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4846),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [13882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [13886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [13888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2574),
  [13890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [13892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [13894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [13896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [13898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [13900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [13902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [13906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9232),
  [13908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9233),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9280),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9282),
  [13914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [13916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9320),
  [13918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9412),
  [13920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9415),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [13924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [13926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [13930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4847),
  [13932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2561),
  [13934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [13936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [13938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9243),
  [13940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [13944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [13948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1681),
  [13950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1016),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8991),
  [13954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [13956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3647),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [13960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [13962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2683),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3002),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9018),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1709),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [13988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [13990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2557),
  [13992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4984),
  [13994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9058),
  [13996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4228),
  [13998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2554),
  [14000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [14002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [14004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [14006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [14008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [14010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8933),
  [14012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2548),
  [14014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2547),
  [14016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [14018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [14020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [14022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9035),
  [14024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5316),
  [14026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9038),
  [14028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [14030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2542),
  [14032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3353),
  [14034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [14036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [14038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [14040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [14042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [14044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5322),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [14054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [14058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [14060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [14062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2297),
  [14066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_parameter_list, 4),
  [14068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [14070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3520),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [14080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [14082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1380),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1980),
  [14088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2809),
  [14090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2810),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2815),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [14096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [14098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [14100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [14102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [14104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3717),
  [14106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 4, .production_id = 126),
  [14108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elifdef, 4, .production_id = 127),
  [14110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [14112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [14116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7250),
  [14118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9085),
  [14120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8634),
  [14122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8432),
  [14124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [14126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6702),
  [14128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [14130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 81),
  [14132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [14134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [14136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [14138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 4, .production_id = 10),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4221),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4222),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [14148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [14150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2564),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3766),
  [14154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [14158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [14160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2619),
  [14164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [14166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [14168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8649),
  [14170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [14172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8624),
  [14176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [14178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [14180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [14182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [14184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [14186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [14188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [14190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [14192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [14194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9215),
  [14202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [14204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1597),
  [14206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [14208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [14218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [14220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [14228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [14232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [14234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [14236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [14238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1051),
  [14244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [14246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(829),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [14252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [14254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [14256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [14258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [14260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4492),
  [14262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [14264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [14266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif, 5, .production_id = 170),
  [14268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [14270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [14272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [14274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8550),
  [14276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [14278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1760),
  [14280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [14282] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 126),
  [14284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [14286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [14288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [14290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [14292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [14294] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 5, .production_id = 80),
  [14296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [14298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [14300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [14302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [14304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [14306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [14308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [14310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8628),
  [14312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [14314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [14316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [14318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [14320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8643),
  [14322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [14324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_ifdef_in_enumerator_list_no_comma, 5, .production_id = 127),
  [14326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [14328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [14330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [14332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [14334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [14336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [14338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1475),
  [14340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [14342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [14344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [14346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [14348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [14350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [14352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [14354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [14356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [14358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [14360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [14362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [14364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [14366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [14368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2882),
  [14370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [14372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2334),
  [14374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2663),
  [14376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [14378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [14380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [14382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [14384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [14386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8737),
  [14388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(912),
  [14390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [14392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [14394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [14396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1817),
  [14398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [14400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1413),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [14410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [14412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [14422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [14424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8653),
  [14426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [14428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [14430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [14432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [14434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [14436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2649),
  [14438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [14440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [14442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8808),
  [14444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [14446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [14448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [14450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [14452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [14454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [14456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(397),
  [14458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [14460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [14462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [14464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [14466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [14468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7856),
  [14470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [14472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [14474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [14476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [14478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [14480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [14482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [14484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [14486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [14488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [14490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [14492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [14494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8855),
  [14496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8856),
  [14498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [14500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [14502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [14504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [14506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4270),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [14518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [14520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8899),
  [14522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [14524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [14526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [14528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [14530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [14532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [14534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5371),
  [14536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [14538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [14540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4243),
  [14542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [14544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [14546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [14548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [14550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [14552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_if_in_enumerator_list_no_comma, 6, .production_id = 170),
  [14554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 4, .production_id = 126),
  [14556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [14558] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 4, .production_id = 126),
  [14560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [14562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8460),
  [14564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [14566] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [14568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [14570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [14572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [14574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [14576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9224),
  [14578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2377),
  [14580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [14582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 4, .production_id = 126),
  [14584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [14586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [14588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [14590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1150),
  [14592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [14594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [14596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [14598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [14600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2590),
  [14602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [14604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [14606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [14608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [14610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [14612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [14614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [14616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [14618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [14620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [14622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [14624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2860),
  [14626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(876),
  [14628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(873),
  [14630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [14632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [14634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2733),
  [14636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [14638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [14640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [14642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [14644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2384),
  [14646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [14648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8935),
  [14650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [14652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [14654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8599),
  [14656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [14658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1857),
  [14660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9059),
  [14662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [14664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list, 5, .production_id = 170),
  [14666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [14668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [14670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_enumerator_list_no_comma, 5, .production_id = 170),
  [14672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4232),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [14678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [14680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9083),
  [14682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [14684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_preproc_elif_in_field_declaration_list, 5, .production_id = 170),
  [14686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [14688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8327),
  [14694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [14696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [14698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [14700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [14702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [14704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [14706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9111),
  [14708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9340),
  [14710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [14712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [14714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [14716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [14718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7473),
  [14720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9130),
  [14722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [14724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [14726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [14728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [14730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [14732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [14734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [14736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9148),
  [14738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7939),
  [14740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [14742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [14744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9160),
  [14746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [14748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [14750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [14752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [14754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [14756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [14758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [14760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [14762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2666),
  [14764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [14766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [14768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [14770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [14772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [14774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [14776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [14778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [14780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [14782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [14796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [14798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2427),
  [14800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [14802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9309),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [14808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [14810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [14812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [14814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [14816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [14818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9302),
  [14820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [14822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4500),
  [14824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9312),
  [14826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [14828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9322),
  [14830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [14832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4495),
  [14834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9331),
  [14836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2541),
  [14838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4488),
  [14840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9339),
  [14842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9347),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4268),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9361),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9363),
  [14858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9369),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9371),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9373),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9375),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [14872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [14874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [14876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [14878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [14880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [14882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [14884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1612),
  [14886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1591),
  [14888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [14890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1579),
  [14892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1545),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_raw_string_delimiter = 0,
  ts_external_token_raw_string_content = 1,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_raw_string_delimiter] = sym_raw_string_delimiter,
  [ts_external_token_raw_string_content] = sym_raw_string_content,
};

static const bool ts_external_scanner_states[4][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_raw_string_delimiter] = true,
    [ts_external_token_raw_string_content] = true,
  },
  [2] = {
    [ts_external_token_raw_string_delimiter] = true,
  },
  [3] = {
    [ts_external_token_raw_string_content] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_cpp_external_scanner_create(void);
void tree_sitter_cpp_external_scanner_destroy(void *);
bool tree_sitter_cpp_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_cpp_external_scanner_serialize(void *, char *);
void tree_sitter_cpp_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_cpp(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_cpp_external_scanner_create,
      tree_sitter_cpp_external_scanner_destroy,
      tree_sitter_cpp_external_scanner_scan,
      tree_sitter_cpp_external_scanner_serialize,
      tree_sitter_cpp_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
